/*!
 * GraphQL Voyager - Represent any GraphQL API as an interactive graph
 * -------------------------------------------------------------
 *   Version: "1.0.0-rc.9"
 *   Repo: https://github.com/APIs-guru/graphql-voyager
 */
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 3);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(process) {// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

// resolves . and .. elements in a path array with directory names there
// must be no slashes, empty elements, or device names (c:\) in the array
// (so also no leading and trailing slashes - it does not distinguish
// relative and absolute paths)
function normalizeArray(parts, allowAboveRoot) {
  // if the path tries to go above the root, `up` ends up > 0
  var up = 0;
  for (var i = parts.length - 1; i >= 0; i--) {
    var last = parts[i];
    if (last === '.') {
      parts.splice(i, 1);
    } else if (last === '..') {
      parts.splice(i, 1);
      up++;
    } else if (up) {
      parts.splice(i, 1);
      up--;
    }
  }

  // if the path is allowed to go above the root, restore leading ..s
  if (allowAboveRoot) {
    for (; up--; up) {
      parts.unshift('..');
    }
  }

  return parts;
}

// Split a filename into [root, dir, basename, ext], unix version
// 'root' is just a slash, or nothing.
var splitPathRe =
    /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
var splitPath = function(filename) {
  return splitPathRe.exec(filename).slice(1);
};

// path.resolve([from ...], to)
// posix version
exports.resolve = function() {
  var resolvedPath = '',
      resolvedAbsolute = false;

  for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
    var path = (i >= 0) ? arguments[i] : process.cwd();

    // Skip empty and invalid entries
    if (typeof path !== 'string') {
      throw new TypeError('Arguments to path.resolve must be strings');
    } else if (!path) {
      continue;
    }

    resolvedPath = path + '/' + resolvedPath;
    resolvedAbsolute = path.charAt(0) === '/';
  }

  // At this point the path should be resolved to a full absolute path, but
  // handle relative paths to be safe (might happen when process.cwd() fails)

  // Normalize the path
  resolvedPath = normalizeArray(filter(resolvedPath.split('/'), function(p) {
    return !!p;
  }), !resolvedAbsolute).join('/');

  return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
};

// path.normalize(path)
// posix version
exports.normalize = function(path) {
  var isAbsolute = exports.isAbsolute(path),
      trailingSlash = substr(path, -1) === '/';

  // Normalize the path
  path = normalizeArray(filter(path.split('/'), function(p) {
    return !!p;
  }), !isAbsolute).join('/');

  if (!path && !isAbsolute) {
    path = '.';
  }
  if (path && trailingSlash) {
    path += '/';
  }

  return (isAbsolute ? '/' : '') + path;
};

// posix version
exports.isAbsolute = function(path) {
  return path.charAt(0) === '/';
};

// posix version
exports.join = function() {
  var paths = Array.prototype.slice.call(arguments, 0);
  return exports.normalize(filter(paths, function(p, index) {
    if (typeof p !== 'string') {
      throw new TypeError('Arguments to path.join must be strings');
    }
    return p;
  }).join('/'));
};


// path.relative(from, to)
// posix version
exports.relative = function(from, to) {
  from = exports.resolve(from).substr(1);
  to = exports.resolve(to).substr(1);

  function trim(arr) {
    var start = 0;
    for (; start < arr.length; start++) {
      if (arr[start] !== '') break;
    }

    var end = arr.length - 1;
    for (; end >= 0; end--) {
      if (arr[end] !== '') break;
    }

    if (start > end) return [];
    return arr.slice(start, end - start + 1);
  }

  var fromParts = trim(from.split('/'));
  var toParts = trim(to.split('/'));

  var length = Math.min(fromParts.length, toParts.length);
  var samePartsLength = length;
  for (var i = 0; i < length; i++) {
    if (fromParts[i] !== toParts[i]) {
      samePartsLength = i;
      break;
    }
  }

  var outputParts = [];
  for (var i = samePartsLength; i < fromParts.length; i++) {
    outputParts.push('..');
  }

  outputParts = outputParts.concat(toParts.slice(samePartsLength));

  return outputParts.join('/');
};

exports.sep = '/';
exports.delimiter = ':';

exports.dirname = function(path) {
  var result = splitPath(path),
      root = result[0],
      dir = result[1];

  if (!root && !dir) {
    // No dirname whatsoever
    return '.';
  }

  if (dir) {
    // It has a dirname, strip trailing slash
    dir = dir.substr(0, dir.length - 1);
  }

  return root + dir;
};


exports.basename = function(path, ext) {
  var f = splitPath(path)[2];
  // TODO: make this comparison case-insensitive on windows?
  if (ext && f.substr(-1 * ext.length) === ext) {
    f = f.substr(0, f.length - ext.length);
  }
  return f;
};


exports.extname = function(path) {
  return splitPath(path)[3];
};

function filter (xs, f) {
    if (xs.filter) return xs.filter(f);
    var res = [];
    for (var i = 0; i < xs.length; i++) {
        if (f(xs[i], i, xs)) res.push(xs[i]);
    }
    return res;
}

// String.prototype.substr - negative index don't work in IE8
var substr = 'ab'.substr(-1) === 'b'
    ? function (str, start, len) { return str.substr(start, len) }
    : function (str, start, len) {
        if (start < 0) start = str.length + start;
        return str.substr(start, len);
    }
;

/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(2)))

/***/ }),
/* 1 */
/***/ (function(module, exports) {



/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

exports.nextTick = function nextTick(fn) {
	setTimeout(fn, 0);
};

exports.platform = exports.arch = 
exports.execPath = exports.title = 'browser';
exports.pid = 1;
exports.browser = true;
exports.env = {};
exports.argv = [];

exports.binding = function (name) {
	throw new Error('No such module. (Possibly not yet loaded)')
};

(function () {
    var cwd = '/';
    var path;
    exports.cwd = function () { return cwd };
    exports.chdir = function (dir) {
        if (!path) path = __webpack_require__(0);
        cwd = path.resolve(dir, cwd);
    };
})();

exports.exit = exports.kill = 
exports.umask = exports.dlopen = 
exports.uptime = exports.memoryUsage = 
exports.uvCounters = function() {};
exports.features = {};


/***/ }),
/* 3 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_viz_js__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_viz_js___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_viz_js__);


onmessage = function(event) {
  try {
    console.time('Viz');
    var svgString = __WEBPACK_IMPORTED_MODULE_0_viz_js__(event.data.dot, {totalMemory: 2 * 16777216});
    console.timeEnd('Viz');
    postMessage({result: 'success', svgString: svgString});
  }
  catch(e) {
    postMessage({result: 'failed', msg: e.toString()});
  }
};


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(process, __dirname) {/*
Viz.js
Copyright (c) 2014-2017 Michael Daines
Licensed under MIT license

This distribution contains other software in object code form:

Graphviz
Licensed under Eclipse Public License - v 1.0
http://www.graphviz.org

Expat
Copyright (c) 1998, 1999, 2000 Thai Open Source Software Center Ltd and Clark Cooper
Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Expat maintainers.
Licensed under MIT license
http://www.libexpat.org

zlib
Copyright (C) 1995-2013 Jean-loup Gailly and Mark Adler
http://www.zlib.net/zlib_license.html
*/
(function(global) {
var Module = function(Module) {
  Module = Module || {};

var e;e||(e=eval("(function() { try { return Module || {} } catch(e) { return {} } })()"));var aa={},l;for(l in e)e.hasOwnProperty(l)&&(aa[l]=e[l]);var ba="object"===typeof window,ca="function"===typeof importScripts,da="object"===typeof process&&"function"==="function"&&!ba&&!ca,fa=!ba&&!da&&!ca;
if(da){e.print||(e.print=function(a){process.stdout.write(a+"\n")});e.printErr||(e.printErr=function(a){process.stderr.write(a+"\n")});var ga=__webpack_require__(1),ha=__webpack_require__(0);e.read=function(a,b){a=ha.normalize(a);var c=ga.readFileSync(a);c||a==ha.resolve(a)||(a=path.join(__dirname,"..","src",a),c=ga.readFileSync(a));c&&!b&&(c=c.toString());return c};e.readBinary=function(a){a=e.read(a,!0);a.buffer||(a=new Uint8Array(a));assert(a.buffer);return a};e.load=function(a){ia(read(a))};e.thisProgram||(e.thisProgram=
1<process.argv.length?process.argv[1].replace(/\\/g,"/"):"unknown-program");e.arguments=process.argv.slice(2);"undefined"!==typeof module&&(module.exports=e);process.on("uncaughtException",function(a){if(!(a instanceof ja))throw a;});e.inspect=function(){return"[Emscripten Module object]"}}else if(fa)e.print||(e.print=print),"undefined"!=typeof printErr&&(e.printErr=printErr),e.read="undefined"!=typeof read?read:function(){throw"no read() available (jsc?)";},e.readBinary=function(a){if("function"===
typeof readbuffer)return new Uint8Array(readbuffer(a));a=read(a,"binary");assert("object"===typeof a);return a},"undefined"!=typeof scriptArgs?e.arguments=scriptArgs:"undefined"!=typeof arguments&&(e.arguments=arguments),eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined");else if(ba||ca)e.read=function(a){var b=new XMLHttpRequest;b.open("GET",a,!1);b.send(null);return b.responseText},"undefined"!=typeof arguments&&(e.arguments=arguments),"undefined"!==
typeof console?(e.print||(e.print=function(a){console.log(a)}),e.printErr||(e.printErr=function(a){console.log(a)})):e.print||(e.print=function(){}),ca&&(e.load=importScripts),"undefined"===typeof e.setWindowTitle&&(e.setWindowTitle=function(a){document.title=a});else throw"Unknown runtime environment. Where are we?";function ia(a){eval.call(null,a)}!e.load&&e.read&&(e.load=function(a){ia(e.read(a))});e.print||(e.print=function(){});e.printErr||(e.printErr=e.print);e.arguments||(e.arguments=[]);
e.thisProgram||(e.thisProgram="./this.program");e.print=e.print;e.X=e.printErr;e.preRun=[];e.postRun=[];for(l in aa)aa.hasOwnProperty(l)&&(e[l]=aa[l]);
var n={lb:function(a){ka=a},Za:function(){return ka},ya:function(){return m},ja:function(a){m=a},Ma:function(a){switch(a){case "i1":case "i8":return 1;case "i16":return 2;case "i32":return 4;case "i64":return 8;case "float":return 4;case "double":return 8;default:return"*"===a[a.length-1]?n.K:"i"===a[0]?(a=parseInt(a.substr(1)),assert(0===a%8),a/8):0}},Ya:function(a){return Math.max(n.Ma(a),n.K)},pd:16,Ld:function(a,b){"double"===b||"i64"===b?a&7&&(assert(4===(a&7)),a+=4):assert(0===(a&3));return a},
xd:function(a,b,c){return c||"i64"!=a&&"double"!=a?a?Math.min(b||(a?n.Ya(a):0),n.K):Math.min(b,8):8},N:function(a,b,c){return c&&c.length?(c.splice||(c=Array.prototype.slice.call(c)),c.splice(0,0,b),e["dynCall_"+a].apply(null,c)):e["dynCall_"+a].call(null,b)},ea:[],Ra:function(a){for(var b=0;b<n.ea.length;b++)if(!n.ea[b])return n.ea[b]=a,2*(1+b);throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.";},ib:function(a){n.ea[(a-2)/2]=null},Q:function(a){n.Q.wa||
(n.Q.wa={});n.Q.wa[a]||(n.Q.wa[a]=1,e.X(a))},qa:{},Ad:function(a,b){assert(b);n.qa[b]||(n.qa[b]={});var c=n.qa[b];c[a]||(c[a]=function(){return n.N(b,a,arguments)});return c[a]},yd:function(){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work";},ia:function(a){var b=m;m=m+a|0;m=m+15&-16;return b},mb:function(a){var b=la;la=la+a|0;la=la+15&-16;return b},ba:function(a){var b=p;p=p+a|0;p=p+15&-16;if(a=p>=ma)v("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+
ma+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which adjusts the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 "),a=!0;return a?(p=b,0):b},na:function(a,b){return Math.ceil(a/(b?b:16))*(b?b:16)},Id:function(a,b,c){return c?+(a>>>0)+4294967296*+(b>>>0):+(a>>>0)+4294967296*+(b|0)},q:8,K:4,qd:0};n.addFunction=n.Ra;
n.removeFunction=n.ib;var w=!1,na,oa,ka;function assert(a,b){a||v("Assertion failed: "+b)}function pa(a){var b=e["_"+a];if(!b)try{b=eval("_"+a)}catch(c){}assert(b,"Cannot call unknown function "+a+" (perhaps LLVM optimizations or closure removed it?)");return b}var ra;
(function(){var a={stackSave:function(){n.ya()},stackRestore:function(){n.ja()},arrayToC:function(a){for(var b=n.ia(a.length),c=b,d=0;d<a.length;d++)x[c++>>0]=a[d];return b},stringToC:function(a){var b=0;null!==a&&void 0!==a&&0!==a&&(b=n.ia((a.length<<2)+1),sa(a,b));return b}},b={string:a.stringToC,array:a.arrayToC};ra=function(a,c,d,h,u){a=pa(a);var q=[],r=0;if(h)for(var t=0;t<h.length;t++){var A=b[d[t]];A?(0===r&&(r=n.ya()),q[t]=A(h[t])):q[t]=h[t]}d=a.apply(null,q);"string"===c&&(d=y(d));if(0!==
r){if(u&&u.async){EmterpreterAsync.rd.push(function(){n.ja(r)});return}n.ja(r)}return d};var c=/^function\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/,d;for(d in a)a.hasOwnProperty(d)&&a[d].toString().match(c).slice(1)})();e.ccall=ra;
function ta(a){var b;b="i32";"*"===b.charAt(b.length-1)&&(b="i32");switch(b){case "i1":return x[a>>0];case "i8":return x[a>>0];case "i16":return ua[a>>1];case "i32":return z[a>>2];case "i64":return z[a>>2];case "float":return va[a>>2];case "double":return wa[a>>3];default:v("invalid type for setValue: "+b)}return null}
function B(a,b,c,d){var f,g;"number"===typeof a?(f=!0,g=a):(f=!1,g=a.length);var k="string"===typeof b?b:null;c=4==c?d:[xa,n.ia,n.mb,n.ba][void 0===c?2:c](Math.max(g,k?1:b.length));if(f){d=c;assert(0==(c&3));for(a=c+(g&-4);d<a;d+=4)z[d>>2]=0;for(a=c+g;d<a;)x[d++>>0]=0;return c}if("i8"===k)return a.subarray||a.slice?E.set(a,c):E.set(new Uint8Array(a),c),c;d=0;for(var h,u;d<g;){var q=a[d];"function"===typeof q&&(q=n.Bd(q));f=k||b[d];if(0===f)d++;else{"i64"==f&&(f="i32");var r=c+d,t=f,t=t||"i8";"*"===
t.charAt(t.length-1)&&(t="i32");switch(t){case "i1":x[r>>0]=q;break;case "i8":x[r>>0]=q;break;case "i16":ua[r>>1]=q;break;case "i32":z[r>>2]=q;break;case "i64":oa=[q>>>0,(na=q,1<=+ya(na)?0<na?(za(+Aa(na/4294967296),4294967295)|0)>>>0:~~+Ba((na-+(~~na>>>0))/4294967296)>>>0:0)];z[r>>2]=oa[0];z[r+4>>2]=oa[1];break;case "float":va[r>>2]=q;break;case "double":wa[r>>3]=q;break;default:v("invalid type for setValue: "+t)}u!==f&&(h=n.Ma(f),u=f);d+=h}}return c}
function y(a,b){if(0===b||!a)return"";for(var c=0,d,f=0;;){d=E[a+f>>0];c|=d;if(0==d&&!b)break;f++;if(b&&f==b)break}b||(b=f);d="";if(128>c){for(;0<b;)c=String.fromCharCode.apply(String,E.subarray(a,a+Math.min(b,1024))),d=d?d+c:c,a+=1024,b-=1024;return d}return e.UTF8ToString(a)}e.Pointer_stringify=y;
function Ca(a,b){for(var c,d,f,g,k,h,u="";;){c=a[b++];if(!c)return u;c&128?(d=a[b++]&63,192==(c&224)?u+=String.fromCharCode((c&31)<<6|d):(f=a[b++]&63,224==(c&240)?c=(c&15)<<12|d<<6|f:(g=a[b++]&63,240==(c&248)?c=(c&7)<<18|d<<12|f<<6|g:(k=a[b++]&63,248==(c&252)?c=(c&3)<<24|d<<18|f<<12|g<<6|k:(h=a[b++]&63,c=(c&1)<<30|d<<24|f<<18|g<<12|k<<6|h))),65536>c?u+=String.fromCharCode(c):(c-=65536,u+=String.fromCharCode(55296|c>>10,56320|c&1023)))):u+=String.fromCharCode(c)}}
e.UTF8ToString=function(a){return Ca(E,a)};
function Da(a){function b(c,d,f){d=d||Infinity;var g="",k=[],t;if("N"===a[h]){h++;"K"===a[h]&&h++;for(t=[];"E"!==a[h];)if("S"===a[h]){h++;var D=a.indexOf("_",h);t.push(q[a.substring(h,D)||0]||"?");h=D+1}else if("C"===a[h])t.push(t[t.length-1]),h+=2;else{var D=parseInt(a.substr(h)),V=D.toString().length;if(!D||!V){h--;break}var Fb=a.substr(h+V,D);t.push(Fb);q.push(Fb);h+=V+D}h++;t=t.join("::");d--;if(0===d)return c?[t]:t}else if(("K"===a[h]||r&&"L"===a[h])&&h++,D=parseInt(a.substr(h)))V=D.toString().length,
t=a.substr(h+V,D),h+=V+D;r=!1;"I"===a[h]?(h++,D=b(!0),V=b(!0,1,!0),g+=V[0]+" "+t+"<"+D.join(", ")+">"):g=t;a:for(;h<a.length&&0<d--;)if(t=a[h++],t in u)k.push(u[t]);else switch(t){case "P":k.push(b(!0,1,!0)[0]+"*");break;case "R":k.push(b(!0,1,!0)[0]+"&");break;case "L":h++;D=a.indexOf("E",h)-h;k.push(a.substr(h,D));h+=D+2;break;case "A":D=parseInt(a.substr(h));h+=D.toString().length;if("_"!==a[h])throw"?";h++;k.push(b(!0,1,!0)[0]+" ["+D+"]");break;case "E":break a;default:g+="?"+t;break a}f||1!==
k.length||"void"!==k[0]||(k=[]);return c?(g&&k.push(g+"?"),k):g+("("+k.join(", ")+")")}var c=!!e.___cxa_demangle;if(c)try{var d=xa(a.length);sa(a.substr(1),d);var f=xa(4),g=e.___cxa_demangle(d,0,0,f);if(0===ta(f)&&g)return y(g)}catch(k){}finally{d&&Ea(d),f&&Ea(f),g&&Ea(g)}var h=3,u={v:"void",b:"bool",c:"char",s:"short",i:"int",l:"long",f:"float",d:"double",w:"wchar_t",a:"signed char",h:"unsigned char",t:"unsigned short",j:"unsigned int",m:"unsigned long",x:"long long",y:"unsigned long long",z:"..."},
q=[],r=!0,d=a;try{if("Object._main"==a||"_main"==a)return"main()";"number"===typeof a&&(a=y(a));if("_"!==a[0]||"_"!==a[1]||"Z"!==a[2])return a;switch(a[3]){case "n":return"operator new()";case "d":return"operator delete()"}d=b()}catch(t){d+="?"}0<=d.indexOf("?")&&!c&&n.Q("warning: a problem occurred in builtin C++ name demangling; build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return d}
function Fa(){return Ga().replace(/__Z[\w\d_]+/g,function(a){var b=Da(a);return a===b?a:a+" ["+b+"]"})}function Ga(){var a=Error();if(!a.stack){try{throw Error(0);}catch(b){a=b}if(!a.stack)return"(no stack trace available)"}return a.stack.toString()}function Ha(){var a=p;0<a%4096&&(a+=4096-a%4096);return a}for(var x,E,ua,Ia,z,Ja,va,wa,Ka=0,la=0,La=0,m=0,Ma=0,Oa=0,p=0,Pa=e.TOTAL_STACK||5242880,ma=e.TOTAL_MEMORY||16777216,G=65536;G<ma||G<2*Pa;)G=16777216>G?2*G:G+16777216;G!==ma&&(ma=G);
assert("undefined"!==typeof Int32Array&&"undefined"!==typeof Float64Array&&!!(new Int32Array(1)).subarray&&!!(new Int32Array(1)).set,"JS engine does not provide full typed array support");var buffer;buffer=new ArrayBuffer(ma);x=new Int8Array(buffer);ua=new Int16Array(buffer);z=new Int32Array(buffer);E=new Uint8Array(buffer);Ia=new Uint16Array(buffer);Ja=new Uint32Array(buffer);va=new Float32Array(buffer);wa=new Float64Array(buffer);z[0]=255;assert(255===E[0]&&0===E[3],"Typed arrays 2 must be run on a little-endian system");
e.HEAP=void 0;e.buffer=buffer;e.HEAP8=x;e.HEAP16=ua;e.HEAP32=z;e.HEAPU8=E;e.HEAPU16=Ia;e.HEAPU32=Ja;e.HEAPF32=va;e.HEAPF64=wa;function Qa(a){for(;0<a.length;){var b=a.shift();if("function"==typeof b)b();else{var c=b.Va;"number"===typeof c?void 0===b.aa?n.N("v",c):n.N("vi",c,[b.aa]):c(void 0===b.aa?null:b.aa)}}}var Ra=[],Sa=[],Ta=[],H=[],Ua=[],Va=!1;function Wa(){var a=e.preRun.shift();Ra.unshift(a)}
function Xa(a,b){for(var c=0,d=0;d<a.length;++d){var f=a.charCodeAt(d);55296<=f&&57343>=f&&(f=65536+((f&1023)<<10)|a.charCodeAt(++d)&1023);127>=f?++c:c=2047>=f?c+2:65535>=f?c+3:2097151>=f?c+4:67108863>=f?c+5:c+6}c=Array(c+1);var g=c.length,d=0;if(0<g){for(var f=d,g=d+g-1,k=0;k<a.length;++k){var h=a.charCodeAt(k);55296<=h&&57343>=h&&(h=65536+((h&1023)<<10)|a.charCodeAt(++k)&1023);if(127>=h){if(d>=g)break;c[d++]=h}else{if(2047>=h){if(d+1>=g)break;c[d++]=192|h>>6}else{if(65535>=h){if(d+2>=g)break;c[d++]=
224|h>>12}else{if(2097151>=h){if(d+3>=g)break;c[d++]=240|h>>18}else{if(67108863>=h){if(d+4>=g)break;c[d++]=248|h>>24}else{if(d+5>=g)break;c[d++]=252|h>>30;c[d++]=128|h>>24&63}c[d++]=128|h>>18&63}c[d++]=128|h>>12&63}c[d++]=128|h>>6&63}c[d++]=128|h&63}}c[d]=0;d=d-f}else d=0;b&&(c.length=d);return c}function sa(a,b){for(var c=Xa(a,void 0),d=0;d<c.length;)x[b+d>>0]=c[d],d+=1}
Math.imul&&-5===Math.imul(4294967295,5)||(Math.imul=function(a,b){var c=a&65535,d=b&65535;return c*d+((a>>>16)*d+c*(b>>>16)<<16)|0});Math.Cd=Math.imul;Math.clz32||(Math.clz32=function(a){a=a>>>0;for(var b=0;32>b;b++)if(a&1<<31-b)return b;return 32});Math.td=Math.clz32;var ya=Math.abs,Ya=Math.cos,Za=Math.sin,$a=Math.tan,ab=Math.acos,bb=Math.asin,cb=Math.atan,db=Math.atan2,eb=Math.exp,fb=Math.sqrt,Ba=Math.ceil,Aa=Math.floor,gb=Math.pow,za=Math.min;e.preloadedImages={};e.preloadedAudios={};Ka=8;
la=Ka+196688;Sa.push();
B([0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,32,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,
0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,32,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,2,16,0,0,0,0,0,0,0,0,0,0,0,0,16,64,112,177,0,0,8,0,0,0,1,0,0,0,0,0,0,0,2,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,150,64,0,0,0,0,0,128,150,64,4,144,195,0,0,0,0,0,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,64,0,0,0,0,0,0,88,64,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,64,0,0,0,0,0,0,88,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,32,3,2,0,0,0,0,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,66,64,0,0,0,0,0,0,66,64,0,0,0,0,0,32,131,64,0,0,0,0,0,192,136,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,64,0,0,0,0,0,0,66,64,0,0,0,0,0,32,131,64,0,0,0,0,0,192,136,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,176,193,0,0,0,0,0,0,0,0,0,0,0,16,64,60,184,0,0,147,0,0,0,1,0,0,0,0,0,0,0,64,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,16,0,2,0,0,0,0,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,64,0,0,0,0,0,0,88,64,0,176,193,0,0,0,0,0,0,0,0,0,0,0,0,0,52,188,0,0,16,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,64,0,0,0,0,0,0,88,64,64,32,62,3,0,0,0,0,0,0,0,0,0,0,16,64,60,189,0,
0,122,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,64,0,0,0,0,0,0,82,64],"i8",4,n.q);
B([51,51,51,51,51,51,211,63,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,153,153,153,153,153,169,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,1,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,2,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,3,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,4,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,51,51,51,51,51,51,243,63,5,0,0,
0,0,0,0,0,6,0,0,0,0,0,0,0,154,153,153,153,153,153,233,63,6,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,7,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,255,255,255,255,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,51,51,51,51,51,51,211,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,128,70,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,154,153,153,153,153,153,217,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,51,51,51,51,51,227,63,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,20,174,71,225,122,228,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,1,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,0,225,0,0,1,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,128,102,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,128,102,64,154,153,153,153,153,153,217,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,128,102,64,123,20,174,71,225,122,228,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,128,70,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,12,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,
0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,1,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,1,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,
208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,88,168,53,205,59,78,213,63,37,117,2,154,8,27,218,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,44,212,154,230,29,167,234,63,106,222,113,138,142,228,232,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,
63,0,0,0,0,0,0,224,63,93,220,70,3,120,11,226,63,0,0,0,0,0,0,208,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,208,63,211,188,227,20,29,201,209,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,93,220,70,3,120,11,226,63,93,220,70,3,120,11,226,63,93,220,70,3,120,11,226,63,13,113,172,139,219,104,220,63,100,
93,220,70,3,120,237,63,210,111,95,7,206,25,231,63,16,122,54,171,62,87,229,63,16,122,54,171,62,87,229,63,210,111,95,7,206,25,231,63,120,11,36,40,126,140,227,63,181,21,251,203,238,201,225,63,210,111,95,7,206,25,231,63,210,111,95,7,206,25,231,63,88,168,53,205,59,78,213,63,136,133,90,211,188,227,216,63,210,111,95,7,206,25,231,63,120,11,36,40,126,140,227,63,196,66,173,105,222,113,236,63,210,111,95,7,206,25,231,63,210,111,95,7,206,25,231,63,181,21,251,203,238,201,225,63,210,111,95,7,206,25,231,63,16,122,
54,171,62,87,229,63,181,21,251,203,238,201,225,63,120,11,36,40,126,140,227,63,210,111,95,7,206,25,231,63,210,111,95,7,206,25,231,63,134,56,214,197,109,52,238,63,210,111,95,7,206,25,231,63,210,111,95,7,206,25,231,63,120,11,36,40,126,140,227,63,88,168,53,205,59,78,213,63,211,188,227,20,29,201,209,63,88,168,53,205,59,78,213,63,166,10,70,37,117,2,222,63,0,0,0,0,0,0,224,63,88,168,53,205,59,78,213,63,13,113,172,139,219,104,220,63,0,0,0,0,0,0,224,63,13,113,172,139,219,104,220,63,0,0,0,0,0,0,224,63,13,113,
172,139,219,104,220,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,0,0,0,0,0,0,224,63,211,188,227,20,29,201,209,63,106,222,113,138,142,228,232,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,88,168,53,205,59,78,213,63,136,133,90,211,188,227,216,63,211,188,227,20,29,201,209,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,210,111,95,7,206,25,231,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,13,113,172,
139,219,104,220,63,244,108,86,125,174,182,222,63,17,54,60,189,82,150,201,63,244,108,86,125,174,182,222,63,59,1,77,132,13,79,225,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,
0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,62,232,217,172,250,92,197,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,130,115,70,148,246,6,199,63,13,113,172,139,219,104,220,63,
0,0,0,0,0,0,224,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,7,240,22,72,80,252,220,63,162,180,55,248,194,100,214,63,88,168,53,205,59,78,213,63,13,113,172,139,219,104,220,63,13,113,172,139,219,104,220,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,208,63,13,113,172,139,219,104,220,63,0,0,0,
0,0,0,208,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,208,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,208,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,
0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,196,66,173,105,222,113,236,63,0,0,0,0,0,0,208,63,127,217,61,121,88,168,209,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,120,11,36,40,126,140,227,63,210,111,95,7,206,25,231,63,196,66,173,105,222,113,236,63,19,242,65,207,102,213,211,63,0,0,0,0,0,
0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,16,122,54,171,62,87,229,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,211,188,227,20,29,201,209,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,211,188,227,20,29,201,209,63,0,0,0,0,0,0,224,63,210,111,95,7,206,25,231,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,0,0,0,0,0,0,208,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,
97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,
218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,
227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,
124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,
81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,
50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,
27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,
63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,
97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,
218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,
227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,
124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,
81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,
50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,81,218,27,124,97,50,227,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,
201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,
63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,244,108,86,125,174,182,214,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,196,66,173,105,222,113,236,63,16,122,54,171,62,87,229,63,245,219,215,129,115,70,204,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,136,133,
90,211,188,227,216,63,1,77,132,13,79,175,226,63,211,188,227,20,29,201,209,63,88,168,53,205,59,78,213,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,211,188,227,20,29,201,209,63,211,188,227,
20,29,201,209,63,1,77,132,13,79,175,226,63,1,77,132,13,79,175,226,63,1,77,132,13,79,175,226,63,181,21,251,203,238,201,225,63,204,93,75,200,7,61,240,63,16,122,54,171,62,87,229,63,16,122,54,171,62,87,229,63,210,111,95,7,206,25,231,63,210,111,95,7,206,25,231,63,16,122,54,171,62,87,229,63,120,11,36,40,126,140,227,63,106,222,113,138,142,228,232,63,210,111,95,7,206,25,231,63,211,188,227,20,29,201,209,63,0,0,0,0,0,0,224,63,16,122,54,171,62,87,229,63,181,21,251,203,238,201,225,63,44,212,154,230,29,167,234,
63,210,111,95,7,206,25,231,63,106,222,113,138,142,228,232,63,16,122,54,171,62,87,229,63,106,222,113,138,142,228,232,63,210,111,95,7,206,25,231,63,16,122,54,171,62,87,229,63,120,11,36,40,126,140,227,63,210,111,95,7,206,25,231,63,16,122,54,171,62,87,229,63,134,56,214,197,109,52,238,63,16,122,54,171,62,87,229,63,16,122,54,171,62,87,229,63,120,11,36,40,126,140,227,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,166,10,70,37,117,2,222,63,181,21,251,203,238,201,
225,63,72,191,125,29,56,103,204,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,0,0,0,0,0,0,224,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,211,188,227,20,29,201,209,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,72,191,125,29,56,103,204,63,72,191,125,29,56,103,204,63,0,0,0,0,0,0,224,63,72,191,125,29,56,103,204,63,44,212,154,230,29,167,234,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,
201,225,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,224,63,211,188,227,20,29,201,209,63,181,21,251,203,238,201,225,63,0,0,0,0,0,0,224,63,210,111,95,7,206,25,231,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,2,154,8,27,158,94,213,63,224,190,14,156,51,162,208,63,2,154,8,27,158,94,213,63,1,77,132,13,79,175,226,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,
188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,
20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,88,168,53,205,59,78,213,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,62,232,217,172,250,92,197,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,
201,225,63,181,21,251,203,238,201,225,63,29,56,103,68,105,111,200,63,88,168,53,205,59,78,213,63,181,21,251,203,238,201,225,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,211,188,227,20,29,201,209,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,181,21,251,203,238,201,225,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,231,29,167,232,72,46,225,63,162,180,55,248,194,100,214,63,72,191,125,29,56,103,204,63,88,168,53,205,59,78,
213,63,88,168,53,205,59,78,213,63,181,21,251,203,238,201,225,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,211,188,227,20,29,201,209,63,120,11,36,40,126,140,227,63,211,188,227,20,29,201,209,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,211,188,227,20,29,201,209,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,211,188,227,20,
29,201,209,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,88,168,53,205,59,78,213,63,0,0,0,0,0,0,240,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,
20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,0,0,0,0,0,0,240,63,211,188,227,20,29,201,209,63,234,149,178,12,113,172,215,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,181,21,251,203,238,201,225,63,106,222,113,138,142,228,232,63,0,0,0,0,0,0,240,63,152,221,147,135,133,90,215,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,
227,20,29,201,209,63,196,66,173,105,222,113,236,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,72,191,125,29,56,103,204,63,120,11,36,40,126,140,227,63,134,56,214,197,109,52,238,63,120,11,36,40,126,140,227,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,211,188,227,20,29,201,209,63,81,160,79,228,73,210,14,64,180,200,118,190,159,
58,53,192,58,34,223,165,212,37,213,191,243,130,62,71,154,46,138,63,159,229,121,112,119,214,249,191,126,253,16,27,44,156,230,63,150,236,216,8,196,235,204,63,205,206,162,119,42,224,208,63,176,227,191,64,16,32,237,191,173,161,212,94,68,219,216,63,59,161,124,230,81,150,118,63,211,110,112,249,122,132,123,63,129,204,206,162,119,42,228,191,209,173,215,244,160,160,200,63,106,223,55,25,176,63,132,63,190,202,144,25,94,255,132,63,28,150,6,126,84,195,196,191,165,73,41,232,246,226,35,64,169,217,3,173,192,144,
193,63,8,196,144,65,147,105,137,63,250,68,158,36,93,51,208,191,1,240,153,54,45,194,94,63,13,156,125,47,207,148,151,63,137,181,248,20,0,227,137,63,229,169,88,70,52,203,177,191,143,0,201,207,161,103,166,191,92,181,198,251,204,180,136,63,77,164,143,84,58,179,144,63,230,199,4,161,97,214,160,191,199,105,103,28,19,247,130,191,42,127,107,229,45,112,92,191,228,87,98,84,8,154,117,63,209,241,135,85,114,4,183,63,149,212,9,104,34,60,51,192,100,35,16,175,235,119,16,192,167,33,170,240,103,120,199,63,218,255,0,
107,213,174,193,63,78,40,68,192,33,84,247,191,170,72,133,177,133,32,245,63,157,104,87,33,229,39,246,63,77,46,198,192,58,142,205,63,89,107,40,181,23,209,220,191,3,63,170,97,191,39,204,63,166,71,83,61,153,127,218,63,182,129,59,80,167,60,174,63,81,76,222,0,51,223,185,191,245,118,149,255,218,11,166,63,212,165,53,188,15,246,148,63,31,173,32,188,44,220,144,63,40,44,241,128,178,201,35,64,35,90,225,76,2,138,183,63,72,163,101,81,150,41,127,63,187,180,134,247,193,158,147,63,23,168,123,83,71,125,160,191,33,
43,174,224,109,148,139,63,51,115,220,132,214,30,181,191,160,120,132,137,245,252,143,63,105,53,36,238,177,244,145,191,184,205,51,122,94,191,106,63,146,62,173,162,63,52,205,191,126,176,231,198,79,62,152,191,7,35,155,80,45,199,164,63,62,24,194,123,88,185,145,191,45,124,125,173,75,141,198,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,33,249,63,0,0,0,0,45,68,116,62,0,0,0,128,152,70,248,60,0,0,0,96,81,204,
120,59,0,0,0,128,131,27,240,57,0,0,0,64,32,37,122,56],"i8",4,n.q+33632);
B([0,0,0,128,34,130,227,54,0,0,0,0,29,243,105,53,0,0,0,0,0,0,0,0,0,0,0,0,40,160,1,0,140,171,0,0,3,0,0,0,120,173,0,0,3,0,0,0,72,177,0,0,3,0,0,0,200,177,0,0,3,0,0,0,116,179,0,0,3,0,0,0,248,179,0,0,3,0,0,0,20,184,0,0,3,0,0,0,4,176,0,0,3,0,0,0,48,187,0,0,3,0,0,0,252,187,0,0,3,0,0,0,204,191,0,0,3,0,0,0,20,189,0,0,0,0,0,0,60,173,0,0,0,0,0,0,32,177,0,0,0,0,0,0,160,177,0,0,0,0,0,0,76,179,0,0,0,0,0,0,208,179,0,0,0,0,0,0,236,183,0,0,0,0,0,0,160,175,0,0,0,0,0,0,8,187,0,0,0,0,0,0,212,187,0,0,0,0,0,0,164,191,
0,0,0,0,0,0,236,188,0,0,4,0,0,0,24,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,1,
0,0,0,1,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,37,2,0,1,0,0,0,76,172,0,0,8,0,0,0,4,0,0,0,155,164,1,0,1,0,0,0,196,172,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,160,1,0,1,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,62,160,1,0,1,0,0,0,0,0,0,0,128,0,0,0,1,0,0,0,69,160,1,0,1,0,0,0,0,0,0,0,72,0,0,0,2,0,0,0,79,160,1,0,1,0,0,0,0,0,0,0,128,0,0,0,3,0,0,0,89,160,1,0,1,0,0,0,0,0,0,0,128,0,0,0,4,0,0,0,103,160,1,0,1,0,0,0,0,0,0,0,128,0,0,0,5,0,0,0,113,160,1,0,1,0,0,0,0,0,0,0,128,0,0,0,6,0,0,0,126,
160,1,0,1,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,174,0,0,172,174,0,0,188,174,0,0,204,174,0,0,220,174,0,0,236,174,0,0,252,174,0,0,12,175,0,0,172,174,0,0,172,174,0,0,236,174,0,0,236,174,0,0,0,0,0,0,31,0,0,0,63,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,161,1,0,1,0,0,0,40,175,0,0,24,1,0,0,1,0,0,0,67,161,1,0,1,0,0,0,40,175,0,0,24,1,0,0,2,0,0,0,73,161,1,0,1,0,0,0,40,175,0,0,24,
1,0,0,3,0,0,0,82,161,1,0,1,0,0,0,40,175,0,0,24,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,161,1,0,1,0,0,0,0,0,0,0,112,1,0,0,1,0,0,0,102,161,1,0,1,0,0,0,0,0,0,0,112,1,0,0,2,0,0,0,113,161,1,0,1,0,0,0,0,0,0,0,56,1,0,0,3,0,0,0,127,161,1,0,1,0,0,0,0,0,0,0,56,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,10,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,1,0,0,0,6,0,0,0,2,0,0,0,2,0,0,0,7,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,160,164,1,0,1,0,0,0,168,176,0,0,168,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,164,1,0,1,0,0,0,0,0,0,0,200,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,184,2,0,231,161,2,0,120,163,2,0,184,169,2,0,175,176,2,0,238,180,2,0,110,184,2,0,127,184,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,228,164,1,0,1,0,0,0,84,178,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,232,164,1,0,1,0,0,0,0,0,0,0,32,2,0,0,2,0,0,0,242,164,1,0,1,0,0,0,0,0,0,0,88,2,0,0,0,0,0,0,251,164,1,0,1,0,0,0,0,0,0,0,88,2,0,0,3,0,0,0,4,165,1,0,1,0,0,0,0,0,0,0,88,2,0,0,0,0,0,0,14,165,1,0,1,0,0,0,0,0,0,0,32,2,0,0,3,0,0,0,26,165,1,0,1,0,0,0,0,0,0,0,32,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,3,0,0,0,9,0,0,0,3,0,0,0,3,0,0,0,10,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,91,166,1,0,255,255,255,255,212,178,0,0,144,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,
166,1,0,255,255,255,255,0,0,0,0,176,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,184,2,0,231,161,2,0,184,169,2,0,120,163,2,0,238,180,2,0,175,176,2,0,127,184,2,0,110,184,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,46,2,0,1,0,0,0,72,180,0,0,232,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,227,1,0,1,0,0,0,0,0,0,0,8,3,0,0,1,0,0,0,20,168,1,0,1,0,0,0,0,0,0,0,8,3,0,0,2,0,0,0,96,227,1,0,1,0,0,0,0,0,0,0,64,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,25,0,0,0,26,0,0,
0,0,0,0,0,4,0,0,0,0,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,12,0,0,0,5,0,0,0,4,0,0,0,13,0,0,0,5,0,0,0,3,0,0,0,0,0,0,0,19,172,1,0,33,172,1,0,55,172,1,0,235,197,2,0,69,172,1,0,84,172,1,0,89,172,1,0,119,172,1,0,235,197,2,0,137,172,1,0,185,172,1,0,235,197,2,0,215,172,1,0,255,172,1,0,13,173,1,0,60,173,1,0,112,173,1,0,129,173,1,0,166,173,1,0,201,173,1,0,207,173,1,0,235,173,1,0,8,174,1,
0,35,174,1,0,68,174,1,0,94,174,1,0,128,174,1,0,159,174,1,0,197,174,1,0,221,174,1,0,253,174,1,0,26,175,1,0,62,175,1,0,74,175,1,0,235,197,2,0,85,175,1,0,123,175,1,0,159,175,1,0,197,175,1,0,235,197,2,0,251,175,1,0,19,176,1,0,32,176,1,0,79,176,1,0,74,175,1,0,235,197,2,0,92,176,1,0,101,176,1,0,134,176,1,0,193,176,1,0,12,177,1,0,96,177,1,0,130,177,1,0,151,177,1,0,174,177,1,0,196,177,1,0,220,177,1,0,235,197,2,0,242,177,1,0,13,178,1,0,49,178,1,0,85,178,1,0,122,178,1,0,235,197,2,0,155,178,1,0,181,178,1,0,
199,178,1,0,212,178,1,0,225,178,1,0,245,178,1,0,4,179,1,0,12,179,1,0,33,179,1,0,47,179,1,0,109,179,1,0,120,179,1,0,74,175,1,0,235,197,2,0,126,179,1,0,138,179,1,0,153,179,1,0,201,173,1,0,235,197,2,0,172,179,1,0,213,179,1,0,243,179,1,0,3,180,1,0,20,180,1,0,27,180,1,0,42,180,1,0,58,180,1,0,126,180,1,0,133,180,1,0,201,173,1,0,235,197,2,0,143,180,1,0,187,180,1,0,198,180,1,0,207,180,1,0,216,180,1,0,233,180,1,0,250,180,1,0,14,181,1,0,74,175,1,0,235,197,2,0,26,181,1,0,42,181,1,0,56,181,1,0,70,181,1,0,83,
181,1,0,96,181,1,0,118,181,1,0,127,181,1,0,142,181,1,0,155,181,1,0,172,181,1,0,74,175,1,0,235,197,2,0,183,181,1,0,214,181,1,0,235,197,2,0,232,181,1,0,247,181,1,0,39,182,1,0,49,182,1,0,62,182,1,0,75,182,1,0,88,182,1,0,101,182,1,0,104,182,1,0,235,197,2,0,108,182,1,0,235,197,2,0,143,182,1,0,192,182,1,0,239,182,1,0,6,183,1,0,33,183,1,0,60,183,1,0,74,175,1,0,235,197,2,0,88,183,1,0,235,197,2,0,128,183,1,0,140,183,1,0,159,183,1,0,178,183,1,0,199,183,1,0,220,183,1,0,224,183,1,0,201,173,1,0,235,197,2,0,236,
183,1,0,235,197,2,0,252,183,1,0,10,184,1,0,22,184,1,0,35,184,1,0,67,184,1,0,89,184,1,0,235,197,2,0,109,184,1,0,182,184,1,0,252,184,1,0,44,185,1,0,95,185,1,0,102,185,1,0,141,185,1,0,180,185,1,0,235,197,2,0,185,185,1,0,0,0,0,0,35,0,0,0,0,0,0,0,36,0,0,0,37,0,0,0,6,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,4,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,15,0,0,0,7,0,0,0,5,0,0,0,16,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,200,46,2,0,1,
0,0,0,116,183,0,0,120,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,228,1,0,1,0,0,0,0,0,0,0,152,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,160,2,0,9,161,2,0,104,194,1,0,78,161,2,0,137,161,2,0,171,161,2,0,177,161,2,0,202,184,2,0,216,161,2,0,231,161,2,0,4,162,2,0,15,162,2,0,49,162,2,0,103,162,2,0,157,162,2,0,216,162,2,0,14,163,2,0,48,163,2,0,63,163,2,0,112,163,2,0,120,163,2,0,45,186,1,0,54,186,1,0,149,163,2,0,63,186,1,0,223,163,2,0,72,186,1,0,233,163,2,0,81,186,1,0,243,163,2,0,66,
164,2,0,125,164,2,0,93,186,1,0,184,164,2,0,195,164,2,0,8,165,2,0,22,165,2,0,96,165,2,0,110,165,2,0,124,165,2,0,135,165,2,0,184,165,2,0,248,165,2,0,0,166,2,0,8,166,2,0,67,166,2,0,121,166,2,0,133,166,2,0,109,194,1,0,145,166,2,0,155,166,2,0,166,166,2,0,195,166,2,0,249,166,2,0,184,169,2,0,218,169,2,0,230,169,2,0,165,172,2,0,214,172,2,0,2,173,2,0,56,173,2,0,69,173,2,0,103,173,2,0,137,173,2,0,146,173,2,0,220,173,2,0,230,173,2,0,43,174,2,0,97,174,2,0,108,174,2,0,241,174,2,0,6,175,2,0,101,186,1,0,16,175,
2,0,26,175,2,0,80,175,2,0,144,175,2,0,158,175,2,0,242,175,2,0,1,176,2,0,16,176,2,0,95,176,2,0,117,194,1,0,159,176,2,0,169,176,2,0,175,176,2,0,219,176,2,0,2,177,2,0,19,177,2,0,30,177,2,0,99,177,2,0,168,177,2,0,183,177,2,0,199,177,2,0,217,177,2,0,233,177,2,0,249,177,2,0,6,178,2,0,16,178,2,0,70,178,2,0,79,178,2,0,143,178,2,0,162,178,2,0,122,194,1,0,170,178,2,0,224,178,2,0,7,179,2,0,61,179,2,0,100,179,2,0,114,179,2,0,168,179,2,0,242,179,2,0,60,180,2,0,71,180,2,0,125,180,2,0,130,180,2,0,159,180,2,0,188,
180,2,0,199,180,2,0,238,180,2,0,6,181,2,0,60,181,2,0,114,181,2,0,126,181,2,0,165,181,2,0,176,181,2,0,225,181,2,0,18,182,2,0,165,206,1,0,57,182,2,0,101,182,2,0,155,182,2,0,209,182,2,0,219,182,2,0,248,182,2,0,56,183,2,0,110,183,2,0,128,194,1,0,134,183,2,0,178,183,2,0,217,183,2,0,15,184,2,0,76,184,2,0,110,184,2,0,116,184,2,0,127,184,2,0,166,184,2,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,51,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,18,0,0,0,8,0,0,0,6,0,0,0,19,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,249,192,1,0,1,0,0,0,144,186,0,0,208,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,192,1,0,1,0,0,0,0,0,0,0,240,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,53,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,21,0,0,0,9,
0,0,0,7,0,0,0,22,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,92,194,1,0,1,0,0,0,92,187,0,0,40,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,194,1,0,1,0,0,0,0,0,0,0,72,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,194,1,0,202,184,2,0,231,161,2,0,109,194,1,0,249,166,2,0,184,169,2,0,117,194,1,0,219,176,2,0,143,178,2,0,122,194,1,0,199,180,2,0,238,180,2,0,165,206,1,0,128,194,1,0,110,184,2,0,127,184,2,0,56,0,0,0,0,0,0,0,57,0,0,0,58,0,0,0,10,0,0,0,59,0,0,0,60,0,0,0,61,0,
0,0,62,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,24,0,0,0,11,0,0,0,8,0,0,0,25,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,47,205,1,0,1,0,0,0,116,188,0,0,128,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,205,1,0,1,0,0,0,0,0,0,0,160,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,161,2,0,59,205,1,0,202,184,2,0,231,161,2,0,4,162,2,0,70,205,1,0,76,205,1,0,87,205,1,0,94,205,1,0,15,162,2,0,103,162,2,0,102,205,1,0,108,
205,1,0,119,205,1,0,14,163,2,0,48,163,2,0,120,163,2,0,126,205,1,0,223,163,2,0,243,163,2,0,125,164,2,0,136,205,1,0,8,165,2,0,22,165,2,0,96,165,2,0,147,205,1,0,110,165,2,0,155,205,1,0,164,205,1,0,178,205,1,0,188,205,1,0,67,166,2,0,197,205,1,0,133,166,2,0,166,166,2,0,195,166,2,0,203,205,1,0,10,167,2,0,53,167,2,0,94,167,2,0,129,167,2,0,170,167,2,0,205,167,2,0,246,167,2,0,25,168,2,0,66,168,2,0,101,168,2,0,142,168,2,0,177,168,2,0,218,168,2,0,253,168,2,0,38,169,2,0,73,169,2,0,114,169,2,0,149,169,2,0,184,
169,2,0,210,205,1,0,218,169,2,0,222,205,1,0,2,173,2,0,103,173,2,0,43,174,2,0,235,205,1,0,16,176,2,0,248,205,1,0,159,176,2,0,175,176,2,0,2,206,1,0,219,176,2,0,2,177,2,0,19,177,2,0,17,206,1,0,35,206,1,0,30,177,2,0,168,177,2,0,183,177,2,0,199,177,2,0,217,177,2,0,233,177,2,0,51,206,1,0,62,206,1,0,73,206,1,0,249,177,2,0,143,178,2,0,148,178,2,0,78,206,1,0,87,206,1,0,96,206,1,0,112,206,1,0,119,206,1,0,224,178,2,0,7,179,2,0,61,179,2,0,114,179,2,0,130,180,2,0,159,180,2,0,127,206,1,0,238,180,2,0,134,206,1,
0,126,181,2,0,143,206,1,0,176,181,2,0,151,206,1,0,18,182,2,0,165,206,1,0,57,182,2,0,101,182,2,0,172,206,1,0,248,182,2,0,56,183,2,0,182,206,1,0,110,183,2,0,134,183,2,0,217,183,2,0,192,206,1,0,206,206,1,0,15,184,2,0,22,184,2,0,76,184,2,0,110,184,2,0,127,184,2,0,166,184,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,27,0,0,0,12,0,0,
0,9,0,0,0,28,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,54,216,1,0,255,255,255,255,44,191,0,0,216,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,216,1,0,255,255,255,255,0,0,0,0,248,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,66,0,0,32,66,2,0,65,73,0,0,250,65,2,0,65,82,0,0,205,65,2,0,65,88,0,0,53,66,2,0,66,32,0,0,113,68,2,0,66,73,0,0,130,68,2,0,67,66,0,0,186,66,2,0,67,79,0,0,168,66,2,0,67,88,0,0,199,66,2,0,72,32,0,0,235,66,2,0,72,66,0,0,245,66,2,0,72,73,0,0,129,67,2,0,72,88,0,0,4,67,2,0,
72,98,0,0,53,67,2,0,72,105,0,0,104,67,2,0,72,114,0,0,26,67,2,0,72,120,0,0,75,67,2,0,73,32,0,0,147,68,2,0,75,66,0,0,76,66,2,0,75,73,0,0,148,66,2,0,75,82,0,0,128,66,2,0,75,88,0,0,109,66,2,0,78,66,0,0,147,67,2,0,78,73,0,0,218,67,2,0,78,82,0,0,242,67,2,0,78,88,0,0,190,67,2,0,80,65,0,0,83,68,2,0,80,66,0,0,15,68,2,0,80,73,0,0,67,68,2,0,80,88,0,0,47,68,2,0,82,32,0,0,63,70,2,0,83,32,0,0,98,68,2,0,90,68,0,0,208,68,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,15,0,0,0,224,226,1,0,1,0,0,0,0,197,0,0,0,
0,0,0,16,0,0,0,232,226,1,0,1,0,0,0,0,197,0,0,0,0,0,0,17,0,0,0,240,226,1,0,1,0,0,0,0,197,0,0,0,0,0,0,17,0,0,0,249,226,1,0,1,0,0,0,0,197,0,0,0,0,0,0,17,0,0,0,1,227,1,0,1,0,0,0,0,197,0,0,0,0,0,0,19,0,0,0,9,227,1,0,1,0,0,0,4,197,0,0,0,0,0,0,20,0,0,0,17,227,1,0,1,0,0,0,4,197,0,0,0,0,0,0,21,0,0,0,25,227,1,0,1,0,0,0,4,197,0,0,0,0,0,0,21,0,0,0,34,227,1,0,1,0,0,0,4,197,0,0,0,0,0,0,21,0,0,0,42,227,1,0,1,0,0,0,4,197,0,0,0,0,0,0,22,0,0,0,50,227,1,0,1,0,0,0,8,197,0,0,0,0,0,0,23,0,0,0,59,227,1,0,1,0,0,0,8,197,
0,0,0,0,0,0,24,0,0,0,68,227,1,0,1,0,0,0,8,197,0,0,0,0,0,0,24,0,0,0,78,227,1,0,1,0,0,0,8,197,0,0,0,0,0,0,24,0,0,0,87,227,1,0,1,0,0,0,8,197,0,0,0,0,0,0,25,0,0,0,96,227,1,0,1,0,0,0,12,197,0,0,0,0,0,0,25,0,0,0,103,227,1,0,1,0,0,0,12,197,0,0,0,0,0,0,26,0,0,0,109,227,1,0,1,0,0,0,16,197,0,0,0,0,0,0,10,0,0,0,118,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,11,0,0,0,126,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,12,0,0,0,134,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,12,0,0,0,143,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,12,0,0,0,151,227,
1,0,1,0,0,0,20,197,0,0,0,0,0,0,14,0,0,0,159,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,14,0,0,0,166,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,13,0,0,0,174,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,5,0,0,0,182,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,6,0,0,0,190,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,7,0,0,0,198,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,7,0,0,0,207,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,7,0,0,0,215,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,9,0,0,0,223,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,9,0,0,0,230,227,1,0,1,0,0,0,20,197,0,0,0,0,0,
0,8,0,0,0,238,227,1,0,1,0,0,0,20,197,0,0,0,0,0,0,0,0,0,0,246,227,1,0,1,0,0,0,24,197,0,0,0,0,0,0,1,0,0,0,255,227,1,0,1,0,0,0,24,197,0,0,0,0,0,0,2,0,0,0,8,228,1,0,1,0,0,0,24,197,0,0,0,0,0,0,2,0,0,0,18,228,1,0,1,0,0,0,24,197,0,0,0,0,0,0,2,0,0,0,27,228,1,0,1,0,0,0,24,197,0,0,0,0,0,0,4,0,0,0,36,228,1,0,1,0,0,0,24,197,0,0,0,0,0,0,4,0,0,0,44,228,1,0,1,0,0,0,24,197,0,0,0,0,0,0,3,0,0,0,53,228,1,0,1,0,0,0,24,197,0,0,0,0,0,0,18,0,0,0,62,228,1,0,1,0,0,0,0,197,0,0,0,0,0,0,27,0,0,0,70,228,1,0,1,0,0,0,28,197,0,
0,0,0,0,0,28,0,0,0,78,228,1,0,1,0,0,0,28,197,0,0,0,0,0,0,29,0,0,0,86,228,1,0,1,0,0,0,28,197,0,0,0,0,0,0,29,0,0,0,95,228,1,0,1,0,0,0,28,197,0,0,0,0,0,0,29,0,0,0,103,228,1,0,1,0,0,0,28,197,0,0,0,0,0,0,30,0,0,0,111,228,1,0,1,0,0,0,32,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,218,231,1,0,44,197,0,0,1,0,0,0,72,197,0,0,0,0,0,0,0,0,0,0,72,0,0,0,73,0,0,0,1,0,0,0,0,0,0,0,138,37,2,0,0,0,0,0,60,197,0,0,68,197,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,4,0,0,0,24,1,0,0,48,1,0,0,176,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,240,1,0,51,240,1,0,55,240,1,0,62,240,1,0,66,240,1,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,244,1,0,248,198,0,0,1,0,0,0,84,199,0,0,0,0,0,0,0,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,75,0,0,0,85,0,0,
0,75,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,229,244,1,0,0,0,0,0,8,199,0,0,80,199,0,0,1,0,0,0,235,244,1,0,0,0,0,0,16,199,0,0,80,199,0,0,2,0,0,0,239,244,1,0,0,0,0,0,24,199,0,0,80,199,0,0,3,0,0,0,244,244,1,0,0,0,0,0,32,199,0,0,80,199,0,0,4,0,0,0,250,244,1,0,0,0,0,0,40,199,0,0,80,199,0,0,5,0,0,0,0,245,1,0,0,0,0,0,64,199,0,0,80,199,0,0,6,0,0,0,10,245,1,0,0,0,0,0,72,199,0,0,80,199,0,0,7,0,0,0,16,245,1,0,0,0,0,0,48,199,0,0,80,199,0,0,7,0,0,0,20,245,1,0,0,0,0,0,48,199,0,0,80,199,0,0,7,
0,0,0,25,245,1,0,0,0,0,0,56,199,0,0,80,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,48,0,0,0,0,0,0,0,1,0,0,0,32,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,7,2,0,194,7,2,0,225,7,2,0,254,7,2,0,29,8,2,0,36,8,2,0,45,8,2,0,170,7,2,0,175,7,2,0,182,7,2,0,187,7,2,0,76,7,2,0,94,7,2,0,108,7,2,0,122,7,2,0,136,7,2,0,143,7,2,0,158,7,2,0,170,7,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,197,2,0,0,0,0,0,157,178,2,0,1,0,0,0,160,9,2,0,7,0,0,0,1,10,2,0,3,0,0,0,199,198,2,0,5,0,0,0,61,10,2,0,15,0,0,0,202,44,2,0,8,0,0,0,202,44,2,0,16,0,0,0,69,10,2,0,4,0,0,0,69,10,2,0,17,0,0,0,74,
10,2,0,5,0,0,0,74,10,2,0,2,0,0,0,80,10,2,0,6,0,0,0,87,10,2,0,4,0,0,0,99,10,2,0,7,0,0,0,107,10,2,0,7,0,0,0,123,10,2,0,5,0,0,0,129,10,2,0,8,0,0,0,152,10,2,0,8,0,0,0,129,10,2,0,9,0,0,0,161,10,2,0,7,0,0,0,169,10,2,0,10,0,0,0,195,10,2,0,7,0,0,0,203,10,2,0,11,0,0,0,229,10,2,0,6,0,0,0,236,10,2,0,12,0,0,0,10,11,2,0,9,0,0,0,236,10,2,0,13,0,0,0,20,11,2,0,8,0,0,0,29,11,2,0,14,0,0,0,62,11,2,0,8,0,0,0,71,11,2,0,18,0,0,0,104,11,2,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,12,0,0,0,2,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,0,0,0,0,3,0,0,0,33,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,0,0,0,0,4,0,0,0,34,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,64,0,0,0,140,204,0,0,172,204,0,0,180,204,0,0,6,0,
0,0,4,0,0,0,160,204,0,0,6,0,0,0,4,0,0,0,6,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,8,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,24,2,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,
8,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,9,0,0,0,11,0,0,0,8,0,0,0,10,0,0,0,92,206,0,0,224,205,0,0,68,206,0,0,0,0,0,0,1,0,0,0,1,0,0,0,10,0,0,0,22,0,0,0,11,0,0,0,90,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,7,0,0,0,2,0,0,0,5,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,3,0,0,0,14,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,
0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,16,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,4,0,0,0,5,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,6,0,0,0,1,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,10,0,0,0,10,0,0,0,10,0,0,0,10,0,0,0,10,0,0,0,10,0,0,
0,10,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,11,0,0,0,1,0,0,0,12,0,0,0,1,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,19,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,1,0,0,0,30,0,0,0,1,0,0,0,1,0,0,0,19,0,0,0,1,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,19,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,39,0,0,0,40,0,0,0,41,
0,0,0,19,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,
0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,46,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,47,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,
0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,48,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19],"i8",4,n.q+43872);
B([19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,1,0,0,0,4,0,0,0,1,0,0,0,5,0,0,0,1,0,0,0,6,0,0,0,7,0,0,0,7,0,0,0,1,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,3,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,32,2,0,23,32,2,0,30,32,2,0,0,0,0,0,0,0,0,0,44,32,2,0,235,82,2,0,19,84,2,0,51,32,2,0,58,32,2,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,33,2,0,8,0,0,0,3,0,0,0,225,33,2,0,229,33,2,0,11,0,0,0,6,0,0,0,197,46,2,0,241,33,2,0,2,0,
0,0,1,0,0,0,244,33,2,0,248,33,2,0,4,0,0,0,2,0,0,0,253,33,2,0,1,34,2,0,4,0,0,0,4,0,0,0,6,34,2,0,11,34,2,0,5,0,0,0,5,0,0,0,17,34,2,0,21,34,2,0,4,0,0,0,7,0,0,0,26,34,2,0,30,34,2,0,5,0,0,0,9,0,0,0,36,34,2,0,40,34,2,0,4,0,0,0,10,0,0,0,45,34,2,0,50,34,2,0,4,0,0,0,12,0,0,0,55,34,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,43,2,0,0,0,0,0,1,0,0,0,76,43,2,0,1,0,0,0,0,0,0,0,174,82,2,0,1,0,0,0,1,0,0,0,157,178,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,37,2,0,49,0,0,0,0,0,0,0,0,0,0,0,59,72,2,0,16,0,0,0,19,191,2,0,128,0,0,0,172,37,2,0,64,0,0,0,167,60,2,0,16,0,0,0,174,37,2,0,64,0,0,0,0,0,0,0,0,0,0,0,122,37,2,0,1,0,0,0,129,37,2,0,2,0,0,0,134,37,2,0,3,
0,0,0,30,78,2,0,4,0,0,0,226,60,2,0,5,0,0,0,138,37,2,0,6,0,0,0,157,178,2,0,8,0,0,0,142,37,2,0,33,0,0,0,146,37,2,0,34,0,0,0,150,37,2,0,34,0,0,0,154,37,2,0,1,0,0,0,159,37,2,0,7,0,0,0,165,37,2,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,42,2,0,62,42,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,216,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,46,2,0,197,46,2,0,200,46,2,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,255,255,255,255,165,46,2,0,171,46,2,0,157,178,2,0,0,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,8,0,0,0,0,0,0,0,9,0,0,0,43,0,0,0,17,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,78,2,0,80,224,0,0,88,134,0,0,0,0,0,0,171,60,2,0,80,224,0,0,136,134,0,0,0,0,0,0,55,70,2,0,80,224,0,0,184,134,0,0,0,0,0,0,179,60,2,0,80,224,0,0,184,134,0,0,0,0,0,0,184,60,2,0,80,224,0,0,232,134,0,0,0,0,0,0,191,60,2,0,104,224,0,0,232,134,0,0,0,0,0,
0,197,60,2,0,80,224,0,0,24,135,0,0,0,0,0,0,201,60,2,0,80,224,0,0,72,135,0,0,0,0,0,0,157,178,2,0,80,224,0,0,120,135,0,0,0,0,0,0,210,60,2,0,80,224,0,0,120,135,0,0,0,0,0,0,220,60,2,0,80,224,0,0,168,135,0,0,0,0,0,0,226,60,2,0,80,224,0,0,216,135,0,0,0,0,0,0,234,60,2,0,80,224,0,0,8,136,0,0,0,0,0,0,244,60,2,0,80,224,0,0,56,136,0,0,0,0,0,0,2,61,2,0,80,224,0,0,104,136,0,0,0,0,0,0,8,61,2,0,80,224,0,0,152,136,0,0,0,0,0,0,17,61,2,0,80,224,0,0,200,136,0,0,0,0,0,0,25,61,2,0,80,224,0,0,248,136,0,0,0,0,0,0,34,61,
2,0,80,224,0,0,40,137,0,0,0,0,0,0,42,61,2,0,80,224,0,0,88,137,0,0,0,0,0,0,47,61,2,0,80,224,0,0,136,137,0,0,0,0,0,0,51,61,2,0,80,224,0,0,184,137,0,0,0,0,0,0,58,61,2,0,80,224,0,0,232,137,0,0,0,0,0,0,64,61,2,0,80,224,0,0,24,138,0,0,0,0,0,0,74,61,2,0,128,224,0,0,72,138,0,0,0,0,0,0,83,61,2,0,80,224,0,0,88,134,0,0,0,0,0,0,88,61,2,0,80,224,0,0,88,134,0,0,0,0,0,0,98,61,2,0,80,224,0,0,120,138,0,0,0,0,0,0,105,61,2,0,80,224,0,0,168,138,0,0,0,0,0,0,118,61,2,0,80,224,0,0,216,138,0,0,0,0,0,0,132,61,2,0,80,224,
0,0,8,139,0,0,0,0,0,0,146,61,2,0,80,224,0,0,56,139,0,0,0,0,0,0,158,61,2,0,80,224,0,0,104,139,0,0,0,0,0,0,171,61,2,0,80,224,0,0,152,139,0,0,0,0,0,0,180,61,2,0,80,224,0,0,200,139,0,0,0,0,0,0,190,61,2,0,80,224,0,0,248,139,0,0,0,0,0,0,199,61,2,0,80,224,0,0,40,140,0,0,0,0,0,0,207,61,2,0,80,224,0,0,88,140,0,0,0,0,0,0,215,61,2,0,80,224,0,0,136,140,0,0,0,0,0,0,224,61,2,0,80,224,0,0,184,140,0,0,0,0,0,0,228,61,2,0,80,224,0,0,232,140,0,0,0,0,0,0,239,61,2,0,80,224,0,0,24,141,0,0,0,0,0,0,243,61,2,0,80,224,0,0,
72,141,0,0,0,0,0,0,253,61,2,0,80,224,0,0,120,141,0,0,0,0,0,0,6,62,2,0,80,224,0,0,168,141,0,0,0,0,0,0,14,62,2,0,80,224,0,0,216,141,0,0,0,0,0,0,27,62,2,0,80,224,0,0,8,142,0,0,0,0,0,0,39,62,2,0,80,224,0,0,56,142,0,0,0,0,0,0,50,62,2,0,80,224,0,0,104,142,0,0,0,0,0,0,66,62,2,0,80,224,0,0,152,142,0,0,0,0,0,0,80,62,2,0,80,224,0,0,200,142,0,0,0,0,0,0,95,62,2,0,80,224,0,0,248,142,0,0,0,0,0,0,105,62,2,0,80,224,0,0,40,143,0,0,0,0,0,0,114,62,2,0,80,224,0,0,88,143,0,0,0,0,0,0,124,62,2,0,80,224,0,0,136,143,0,0,
0,0,0,0,134,62,2,0,80,224,0,0,184,143,0,0,0,0,0,0,141,62,2,0,80,224,0,0,232,143,0,0,0,0,0,0,148,62,2,0,80,224,0,0,24,144,0,0,0,0,0,0,158,62,2,0,152,224,0,0,0,0,0,0,0,0,0,0,165,62,2,0,152,224,0,0,0,0,0,0,0,0,0,0,122,60,2,0,176,224,0,0,0,0,0,0,0,0,0,0,173,62,2,0,200,224,0,0,72,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,60,2,0,167,60,2,0,77,191,2,0,169,60,2,0,0,0,0,0,0,0,0,0,0,0,0,0,91,0,0,0,92,0,0,0,23,0,0,0,4,0,0,0,2,0,0,0,12,0,0,0,93,0,0,0,92,0,0,0,23,0,0,0,5,0,0,0,0,0,0,0,13,0,0,0,91,0,
0,0,92,0,0,0,23,0,0,0,4,0,0,0,2,0,0,0,12,0,0,0,94,0,0,0,95,0,0,0,24,0,0,0,6,0,0,0,3,0,0,0,14,0,0,0,96,0,0,0,97,0,0,0,23,0,0,0,7,0,0,0,0,0,0,0,15,0,0,0,91,0,0,0,92,0,0,0,23,0,0,0,8,0,0,0,2,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,63,2,0,182,63,2,0,0,0,0,0,0,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,
0,0,0,27,0,0,0,28,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,65,2,0,221,65,2,0,234,65,2,0,0,0,0,0,0,0,0,0,4,0,0,0,239,65,2,0,0,0,0,0,0,0,0,0,250,65,2,0,221,65,2,0,234,65,2,0,0,0,0,0,17,66,2,0,5,0,0,0,239,65,2,0,0,0,0,0,25,66,2,0,32,66,2,0,221,65,2,0,48,66,2,0,0,0,0,0,0,0,0,0,6,0,0,0,239,65,2,0,36,82,2,0,0,0,0,0,53,66,2,0,221,65,2,0,48,66,2,0,0,0,0,0,17,66,2,0,7,0,0,0,239,65,2,0,36,82,2,0,25,66,2,0,76,66,2,0,89,66,2,0,48,66,2,0,0,0,0,0,0,0,0,0,10,0,0,0,103,66,2,0,36,82,2,0,0,0,0,0,109,66,2,0,89,66,2,0,48,66,2,0,0,0,0,0,
25,66,2,0,11,0,0,0,103,66,2,0,36,82,2,0,25,66,2,0,128,66,2,0,89,66,2,0,142,66,2,0,0,0,0,0,0,0,0,0,8,0,0,0,103,66,2,0,0,0,0,0,0,0,0,0,148,66,2,0,89,66,2,0,142,66,2,0,0,0,0,0,25,66,2,0,9,0,0,0,103,66,2,0,0,0,0,0,25,66,2,0,168,66,2,0,168,66,2,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,176,66,2,0,0,0,0,0,0,0,0,0,186,66,2,0,168,66,2,0,36,82,2,0,0,0,0,0,0,0,0,0,14,0,0,0,176,66,2,0,36,82,2,0,0,0,0,0,199,66,2,0,168,66,2,0,36,82,2,0,0,0,0,0,17,66,2,0,15,0,0,0,176,66,2,0,36,82,2,0,25,66,2,0,219,66,2,0,168,66,2,0,0,
0,0,0,0,0,0,0,17,66,2,0,13,0,0,0,176,66,2,0,0,0,0,0,25,66,2,0,235,66,2,0,235,66,2,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,239,65,2,0,0,0,0,0,0,0,0,0,245,66,2,0,235,66,2,0,36,82,2,0,0,0,0,0,0,0,0,0,18,0,0,0,239,65,2,0,36,82,2,0,0,0,0,0,4,67,2,0,235,66,2,0,36,82,2,0,0,0,0,0,17,66,2,0,19,0,0,0,239,65,2,0,36,82,2,0,25,66,2,0,26,67,2,0,235,66,2,0,0,0,0,0,43,67,2,0,0,0,0,0,20,0,0,0,239,65,2,0,0,0,0,0,0,0,0,0,53,67,2,0,235,66,2,0,36,82,2,0,43,67,2,0,0,0,0,0,22,0,0,0,239,65,2,0,36,82,2,0,0,0,0,0,75,67,2,0,235,
66,2,0,36,82,2,0,43,67,2,0,17,66,2,0,23,0,0,0,239,65,2,0,36,82,2,0,25,66,2,0,104,67,2,0,235,66,2,0,0,0,0,0,43,67,2,0,17,66,2,0,21,0,0,0,239,65,2,0,0,0,0,0,25,66,2,0,129,67,2,0,235,66,2,0,0,0,0,0,0,0,0,0,17,66,2,0,17,0,0,0,239,65,2,0,0,0,0,0,25,66,2,0,147,67,2,0,169,67,2,0,36,82,2,0,0,0,0,0,0,0,0,0,26,0,0,0,103,66,2,0,36,82,2,0,0,0,0,0,190,67,2,0,169,67,2,0,36,82,2,0,0,0,0,0,25,66,2,0,27,0,0,0,103,66,2,0,36,82,2,0,25,66,2,0,218,67,2,0,169,67,2,0,0,0,0,0,0,0,0,0,25,66,2,0,25,0,0,0,103,66,2,0,0,0,0,
0,25,66,2,0,242,67,2,0,169,67,2,0,9,68,2,0,0,0,0,0,0,0,0,0,24,0,0,0,103,66,2,0,0,0,0,0,0,0,0,0,15,68,2,0,29,68,2,0,36,82,2,0,0,0,0,0,0,0,0,0,30,0,0,0,103,66,2,0,36,82,2,0,0,0,0,0,47,68,2,0,29,68,2,0,36,82,2,0,0,0,0,0,25,66,2,0,31,0,0,0,103,66,2,0,36,82,2,0,25,66,2,0,67,68,2,0,29,68,2,0,0,0,0,0,0,0,0,0,25,66,2,0,29,0,0,0,103,66,2,0,0,0,0,0,25,66,2,0,83,68,2,0,29,68,2,0,9,68,2,0,0,0,0,0,0,0,0,0,28,0,0,0,103,66,2,0,0,0,0,0,0,0,0,0,98,68,2,0,98,68,2,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,105,68,2,0,0,0,0,
0,0,0,0,0,113,68,2,0,124,68,2,0,36,82,2,0,0,0,0,0,0,0,0,0,2,0,0,0,103,66,2,0,36,82,2,0,0,0,0,0,130,68,2,0,124,68,2,0,36,82,2,0,0,0,0,0,25,66,2,0,3,0,0,0,103,66,2,0,36,82,2,0,25,66,2,0,147,68,2,0,124,68,2,0,0,0,0,0,0,0,0,0,25,66,2,0,1,0,0,0,103,66,2,0,0,0,0,0,25,66,2,0,63,70,2,0,124,68,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,66,2,0,0,0,0,0,0,0,0,0,160,68,2,0,186,68,2,0,201,68,2,0,0,0,0,0,25,66,2,0,33,0,0,0,103,66,2,0,0,0,0,0,25,66,2,0,208,68,2,0,221,68,2,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,105,68,2,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,0,0,0,0,10,0,0,0,46,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,72,2,0,198,0,0,0,142,72,2,0,193,0,0,0,149,72,2,0,194,0,0,0,155,72,2,0,192,0,0,0,162,72,2,0,145,3,0,0,168,72,2,0,197,0,0,0,174,72,2,0,195,0,0,0,181,72,2,0,196,0,0,0,186,72,2,0,146,3,0,0,191,72,2,0,199,0,0,0,198,72,2,0,167,3,0,0,202,72,2,0,33,32,
0,0,209,72,2,0,148,3,0,0,215,72,2,0,208,0,0,0,219,72,2,0,201,0,0,0,226,72,2,0,202,0,0,0,232,72,2,0,200,0,0,0,239,72,2,0,149,3,0,0,247,72,2,0,151,3,0,0,251,72,2,0,203,0,0,0,0,73,2,0,147,3,0,0,6,73,2,0,205,0,0,0,13,73,2,0,206,0,0,0,19,73,2,0,204,0,0,0,26,73,2,0,153,3,0,0,31,73,2,0,207,0,0,0,36,73,2,0,154,3,0,0,42,73,2,0,155,3,0,0,49,73,2,0,156,3,0,0,52,73,2,0,209,0,0,0,59,73,2,0,157,3,0,0,62,73,2,0,82,1,0,0,68,73,2,0,211,0,0,0,75,73,2,0,212,0,0,0,81,73,2,0,210,0,0,0,88,73,2,0,169,3,0,0,94,73,2,0,159,
3,0,0,102,73,2,0,216,0,0,0,109,73,2,0,213,0,0,0,116,73,2,0,214,0,0,0,121,73,2,0,166,3,0,0,125,73,2,0,160,3,0,0,128,73,2,0,51,32,0,0,134,73,2,0,168,3,0,0,138,73,2,0,161,3,0,0,142,73,2,0,96,1,0,0,149,73,2,0,163,3,0,0,155,73,2,0,222,0,0,0,161,73,2,0,164,3,0,0,165,73,2,0,152,3,0,0,171,73,2,0,218,0,0,0,178,73,2,0,219,0,0,0,184,73,2,0,217,0,0,0,191,73,2,0,165,3,0,0,199,73,2,0,220,0,0,0,204,73,2,0,158,3,0,0,207,73,2,0,221,0,0,0,214,73,2,0,120,1,0,0,219,73,2,0,150,3,0,0,224,73,2,0,225,0,0,0,231,73,2,0,226,
0,0,0,237,73,2,0,180,0,0,0,243,73,2,0,230,0,0,0,249,73,2,0,224,0,0,0,0,74,2,0,53,33,0,0,8,74,2,0,177,3,0,0,14,74,2,0,38,0,0,0,18,74,2,0,39,34,0,0,22,74,2,0,32,34,0,0,26,74,2,0,229,0,0,0,32,74,2,0,72,34,0,0,38,74,2,0,227,0,0,0,45,74,2,0,228,0,0,0,50,74,2,0,30,32,0,0,56,74,2,0,178,3,0,0,61,74,2,0,166,0,0,0,68,74,2,0,34,32,0,0,73,74,2,0,41,34,0,0,77,74,2,0,231,0,0,0,84,74,2,0,184,0,0,0,90,74,2,0,162,0,0,0,95,74,2,0,199,3,0,0,99,74,2,0,198,2,0,0,104,74,2,0,99,38,0,0,110,74,2,0,69,34,0,0,115,74,2,0,169,
0,0,0,120,74,2,0,181,33,0,0,126,74,2,0,42,34,0,0,130,74,2,0,164,0,0,0,137,74,2,0,211,33,0,0,142,74,2,0,32,32,0,0,149,74,2,0,147,33,0,0,154,74,2,0,176,0,0,0,158,74,2,0,180,3,0,0,164,74,2,0,102,38,0,0,170,74,2,0,247,0,0,0,177,74,2,0,233,0,0,0,184,74,2,0,234,0,0,0,190,74,2,0,232,0,0,0,197,74,2,0,5,34,0,0,203,74,2,0,3,32,0,0,208,74,2,0,2,32,0,0,213,74,2,0,181,3,0,0,221,74,2,0,97,34,0,0,227,74,2,0,183,3,0,0,231,74,2,0,240,0,0,0,235,74,2,0,235,0,0,0,240,74,2,0,172,32,0,0,245,74,2,0,3,34,0,0,251,74,2,0,
146,1,0,0,0,75,2,0,0,34,0,0,7,75,2,0,189,0,0,0,14,75,2,0,188,0,0,0,21,75,2,0,190,0,0,0,28,75,2,0,68,32,0,0,34,75,2,0,179,3,0,0,40,75,2,0,101,34,0,0,43,75,2,0,62,0,0,0,46,75,2,0,212,33,0,0,51,75,2,0,148,33,0,0,56,75,2,0,101,38,0,0,63,75,2,0,38,32,0,0,70,75,2,0,237,0,0,0,77,75,2,0,238,0,0,0,83,75,2,0,161,0,0,0,89,75,2,0,236,0,0,0,96,75,2,0,17,33,0,0,102,75,2,0,30,34,0,0,108,75,2,0,43,34,0,0,112,75,2,0,185,3,0,0,117,75,2,0,191,0,0,0,124,75,2,0,8,34,0,0,129,75,2,0,239,0,0,0,134,75,2,0,186,3,0,0,140,75,
2,0,208,33,0,0,145,75,2,0,187,3,0,0,152,75,2,0,41,35,0,0,157,75,2,0,171,0,0,0,163,75,2,0,144,33,0,0,168,75,2,0,8,35,0,0,174,75,2,0,28,32,0,0,180,75,2,0,100,34,0,0,183,75,2,0,10,35,0,0,190,75,2,0,23,34,0,0,197,75,2,0,202,37,0,0,201,75,2,0,14,32,0,0,205,75,2,0,57,32,0,0,212,75,2,0,24,32,0,0,218,75,2,0,60,0,0,0,221,75,2,0,175,0,0,0,226,75,2,0,20,32,0,0,232,75,2,0,181,0,0,0,238,75,2,0,183,0,0,0,183,83,2,0,18,34,0,0,245,75,2,0,188,3,0,0,248,75,2,0,7,34,0,0,254,75,2,0,160,0,0,0,3,76,2,0,19,32,0,0,9,76,
2,0,96,34,0,0,12,76,2,0,11,34,0,0,15,76,2,0,172,0,0,0,19,76,2,0,9,34,0,0,25,76,2,0,132,34,0,0,30,76,2,0,241,0,0,0,37,76,2,0,189,3,0,0,40,76,2,0,243,0,0,0,47,76,2,0,244,0,0,0,53,76,2,0,83,1,0,0,59,76,2,0,242,0,0,0,66,76,2,0,62,32,0,0,72,76,2,0,201,3,0,0,78,76,2,0,191,3,0,0,86,76,2,0,149,34,0,0,92,76,2,0,40,34,0,0,95,76,2,0,170,0,0,0,100,76,2,0,186,0,0,0,105,76,2,0,248,0,0,0,112,76,2,0,245,0,0,0,119,76,2,0,151,34,0,0,126,76,2,0,246,0,0,0,131,76,2,0,182,0,0,0,136,76,2,0,2,34,0,0,141,76,2,0,48,32,0,0,
148,76,2,0,165,34,0,0,153,76,2,0,198,3,0,0,157,76,2,0,192,3,0,0,160,76,2,0,214,3,0,0,164,76,2,0,177,0,0,0,171,76,2,0,163,0,0,0,177,76,2,0,50,32,0,0,183,76,2,0,15,34,0,0,188,76,2,0,29,34,0,0,193,76,2,0,200,3,0,0,197,76,2,0,34,0,0,0,202,76,2,0,210,33,0,0,207,76,2,0,26,34,0,0,213,76,2,0,42,35,0,0,218,76,2,0,187,0,0,0,224,76,2,0,146,33,0,0,229,76,2,0,9,35,0,0,235,76,2,0,29,32,0,0,241,76,2,0,28,33,0,0,246,76,2,0,174,0,0,0,250,76,2,0,11,35,0,0,1,77,2,0,193,3,0,0,5,77,2,0,15,32,0,0,9,77,2,0,58,32,0,0,16,
77,2,0,25,32,0,0,22,77,2,0,26,32,0,0,28,77,2,0,97,1,0,0,35,77,2,0,197,34,0,0,40,77,2,0,167,0,0,0,45,77,2,0,173,0,0,0,49,77,2,0,195,3,0,0,55,77,2,0,194,3,0,0,62,77,2,0,60,34,0,0,66,77,2,0,96,38,0,0,73,77,2,0,130,34,0,0,77,77,2,0,134,34,0,0,82,77,2,0,17,34,0,0,86,77,2,0,131,34,0,0,90,77,2,0,185,0,0,0,95,77,2,0,178,0,0,0,100,77,2,0,179,0,0,0,105,77,2,0,135,34,0,0,110,77,2,0,223,0,0,0,116,77,2,0,196,3,0,0,120,77,2,0,52,34,0,0,127,77,2,0,184,3,0,0,133,77,2,0,209,3,0,0,142,77,2,0,9,32,0,0,149,77,2,0,254,
0,0,0,155,77,2,0,220,2,0,0,161,77,2,0,215,0,0,0,167,77,2,0,34,33,0,0,173,77,2,0,209,33,0,0,178,77,2,0,250,0,0,0,185,77,2,0,145,33,0,0,190,77,2,0,251,0,0,0,196,77,2,0,249,0,0,0,203,77,2,0,168,0,0,0,207,77,2,0,210,3,0,0,213,77,2,0,197,3,0,0,221,77,2,0,252,0,0,0,226,77,2,0,24,33,0,0,233,77,2,0,190,3,0,0,236,77,2,0,253,0,0,0,243,77,2,0,165,0,0,0,247,77,2,0,255,0,0,0,252,77,2,0,182,3,0,0,1,78,2,0,13,32,0,0,5,78,2,0,12,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,19,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,8,0,0,0,1,1,0,0,8,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,83,2,0,9,0,0,0,121,83,2,0,10,0,0,0,126,83,
2,0,10,0,0,0,134,83,2,0,11,0,0,0,140,83,2,0,11,0,0,0,149,83,2,0,12,0,0,0,152,83,2,0,12,0,0,0,158,83,2,0,13,0,0,0,163,83,2,0,13,0,0,0,171,83,2,0,14,0,0,0,176,83,2,0,14,0,0,0,183,83,2,0,15,0,0,0,189,83,2,0,15,0,0,0,201,83,2,0,16,0,0,0,14,0,0,0,98,0,0,0,49,0,0,0,50,0,0,0,20,0,0,0,51,0,0,0,99,0,0,0,52,0,0,0,21,0,0,0,53,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,85,2,0,85,93,201,127,201,127,255,0,46,85,2,0,187,
45,212,190,174,212,255,0,57,85,2,0,20,119,253,253,192,134,255,0,68,85,2,0,85,93,201,127,201,127,255,0,79,85,2,0,187,45,212,190,174,212,255,0,90,85,2,0,20,119,253,253,192,134,255,0,101,85,2,0,42,102,255,255,255,153,255,0,112,85,2,0,85,93,201,127,201,127,255,0,123,85,2,0,187,45,212,190,174,212,255,0,134,85,2,0,20,119,253,253,192,134,255,0,145,85,2,0,42,102,255,255,255,153,255,0,156,85,2,0,151,173,176,56,108,176,255,0,167,85,2,0,85,93,201,127,201,127,255,0,178,85,2,0,187,45,212,190,174,212,255,0,189,
85,2,0,20,119,253,253,192,134,255,0,200,85,2,0,42,102,255,255,255,153,255,0,211,85,2,0,151,173,176,56,108,176,255,0,222,85,2,0,232,252,240,240,2,127,255,0,233,85,2,0,85,93,201,127,201,127,255,0,244,85,2,0,187,45,212,190,174,212,255,0,255,85,2,0,20,119,253,253,192,134,255,0,10,86,2,0,42,102,255,255,255,153,255,0,21,86,2,0,151,173,176,56,108,176,255,0,32,86,2,0,232,252,240,240,2,127,255,0,43,86,2,0,17,224,191,191,91,23,255,0,54,86,2,0,85,93,201,127,201,127,255,0,65,86,2,0,187,45,212,190,174,212,255,
0,76,86,2,0,20,119,253,253,192,134,255,0,87,86,2,0,42,102,255,255,255,153,255,0,98,86,2,0,151,173,176,56,108,176,255,0,109,86,2,0,232,252,240,240,2,127,255,0,120,86,2,0,17,224,191,191,91,23,255,0,131,86,2,0,0,0,102,102,102,102,255,0,142,86,2,0,147,25,247,222,235,247,255,0,152,86,2,0,142,75,225,158,202,225,255,0,162,86,2,0,145,188,189,49,130,189,255,0,172,86,2,0,159,16,255,239,243,255,255,0,182,86,2,0,143,46,231,189,215,231,255,0,192,86,2,0,143,127,214,107,174,214,255,0,202,86,2,0,147,208,181,33,113,
181,255,0,212,86,2,0,159,16,255,239,243,255,255,0,222,86,2,0,143,46,231,189,215,231,255,0,232,86,2,0,143,127,214,107,174,214,255,0,242,86,2,0,145,188,189,49,130,189,255,0,252,86,2,0,149,241,156,8,81,156,255,0,6,87,2,0,159,16,255,239,243,255,255,0,16,87,2,0,148,43,239,198,219,239,255,0,26,87,2,0,142,75,225,158,202,225,255,0,36,87,2,0,143,127,214,107,174,214,255,0,46,87,2,0,145,188,189,49,130,189,255,0,56,87,2,0,149,241,156,8,81,156,255,0,66,87,2,0,159,16,255,239,243,255,255,0,76,87,2,0,148,43,239,
198,219,239,255,0,86,87,2,0,142,75,225,158,202,225,255,0,96,87,2,0,143,127,214,107,174,214,255,0,106,87,2,0,144,169,198,66,146,198,255,0,116,87,2,0,147,208,181,33,113,181,255,0,126,87,2,0,151,241,148,8,69,148,255,0,136,87,2,0,148,8,255,247,251,255,255,0,146,87,2,0,147,25,247,222,235,247,255,0,156,87,2,0,148,43,239,198,219,239,255,0,166,87,2,0,142,75,225,158,202,225,255,0,176,87,2,0,143,127,214,107,174,214,255,0,186,87,2,0,144,169,198,66,146,198,255,0,196,87,2,0,147,208,181,33,113,181,255,0,206,87,
2,0,151,241,148,8,69,148,255,0,216,87,2,0,148,8,255,247,251,255,255,0,226,87,2,0,147,25,247,222,235,247,255,0,236,87,2,0,148,43,239,198,219,239,255,0,246,87,2,0,142,75,225,158,202,225,255,0,0,88,2,0,143,127,214,107,174,214,255,0,10,88,2,0,144,169,198,66,146,198,255,0,20,88,2,0,147,208,181,33,113,181,255,0,30,88,2,0,149,241,156,8,81,156,255,0,40,88,2,0,152,235,107,8,48,107,255,0,50,88,2,0,23,239,84,84,48,5,255,0,60,88,2,0,119,255,60,0,60,48,255,0,71,88,2,0,23,236,140,140,81,10,255,0,81,88,2,0,24,194,
191,191,129,45,255,0,91,88,2,0,29,112,223,223,194,125,255,0,101,88,2,0,30,52,246,246,232,195,255,0,111,88,2,0,121,38,234,199,234,229,255,0,121,88,2,0,120,95,205,128,205,193,255,0,131,88,2,0,124,165,151,53,151,143,255,0,141,88,2,0,124,252,102,1,102,94,255,0,151,88,2,0,23,239,84,84,48,5,255,0,161,88,2,0,124,252,102,1,102,94,255,0,172,88,2,0,119,255,60,0,60,48,255,0,183,88,2,0,23,236,140,140,81,10,255,0,193,88,2,0,24,194,191,191,129,45,255,0,203,88,2,0,29,112,223,223,194,125,255,0,213,88,2,0,30,52,246,
246,232,195,255,0,223,88,2,0,0,0,245,245,245,245,255,0,233,88,2,0,121,38,234,199,234,229,255,0,243,88,2,0,120,95,205,128,205,193,255,0,253,88,2,0,124,165,151,53,151,143,255,0,7,89,2,0,28,135,216,216,179,101,255,0,16,89,2,0,0,0,245,245,245,245,255,0,25,89,2,0,123,127,180,90,180,172,255,0,34,89,2,0,21,215,166,166,97,26,255,0,43,89,2,0,29,112,223,223,194,125,255,0,52,89,2,0,120,95,205,128,205,193,255,0,61,89,2,0,121,253,133,1,133,113,255,0,70,89,2,0,21,215,166,166,97,26,255,0,79,89,2,0,29,112,223,223,
194,125,255,0,88,89,2,0,0,0,245,245,245,245,255,0,97,89,2,0,120,95,205,128,205,193,255,0,106,89,2,0,121,253,133,1,133,113,255,0,115,89,2,0,23,236,140,140,81,10,255,0,124,89,2,0,28,135,216,216,179,101,255,0,133,89,2,0,30,52,246,246,232,195,255,0,142,89,2,0,121,38,234,199,234,229,255,0,151,89,2,0,123,127,180,90,180,172,255,0,160,89,2,0,124,252,102,1,102,94,255,0,169,89,2,0,23,236,140,140,81,10,255,0,178,89,2,0,28,135,216,216,179,101,255,0,187,89,2,0,30,52,246,246,232,195,255,0,196,89,2,0,0,0,245,245,
245,245,255,0,205,89,2,0,121,38,234,199,234,229,255,0,214,89,2,0,123,127,180,90,180,172,255,0,223,89,2,0,124,252,102,1,102,94,255,0,232,89,2,0,23,236,140,140,81,10,255,0,241,89,2,0,24,194,191,191,129,45,255,0,250,89,2,0,29,112,223,223,194,125,255,0,3,90,2,0,30,52,246,246,232,195,255,0,12,90,2,0,121,38,234,199,234,229,255,0,21,90,2,0,120,95,205,128,205,193,255,0,30,90,2,0,124,165,151,53,151,143,255,0,39,90,2,0,124,252,102,1,102,94,255,0,48,90,2,0,23,236,140,140,81,10,255,0,57,90,2,0,24,194,191,191,
129,45,255,0,66,90,2,0,29,112,223,223,194,125,255,0,75,90,2,0,30,52,246,246,232,195,255,0,84,90,2,0,0,0,245,245,245,245,255,0,93,90,2,0,121,38,234,199,234,229,255,0,102,90,2,0,120,95,205,128,205,193,255,0,111,90,2,0,124,165,151,53,151,143,255,0,120,90,2,0,124,252,102,1,102,94,255,0,129,90,2,0,135,20,249,229,245,249,255,0,138,90,2,0,117,74,216,153,216,201,255,0,147,90,2,0,103,185,162,44,162,95,255,0,156,90,2,0,136,14,251,237,248,251,255,0,165,90,2,0,127,54,226,178,226,226,255,0,174,90,2,0,113,120,
194,102,194,164,255,0,183,90,2,0,98,190,139,35,139,69,255,0,192,90,2,0,136,14,251,237,248,251,255,0,201,90,2,0,127,54,226,178,226,226,255,0,210,90,2,0,113,120,194,102,194,164,255,0,219,90,2,0,103,185,162,44,162,95,255,0,228,90,2,0,102,255,109,0,109,44,255,0,237,90,2,0,136,14,251,237,248,251,255,0,246,90,2,0,119,34,236,204,236,230,255,0,255,90,2,0,117,74,216,153,216,201,255,0,8,91,2,0,113,120,194,102,194,164,255,0,17,91,2,0,103,185,162,44,162,95,255,0,26,91,2,0,102,255,109,0,109,44,255,0,35,91,2,0,
136,14,251,237,248,251,255,0,44,91,2,0,119,34,236,204,236,230,255,0,53,91,2,0,117,74,216,153,216,201,255,0,62,91,2,0,113,120,194,102,194,164,255,0,71,91,2,0,105,159,174,65,174,118,255,0,80,91,2,0,98,190,139,35,139,69,255,0,89,91,2,0,102,255,88,0,88,36,255,0,98,91,2,0,134,6,253,247,252,253,255,0,107,91,2,0,135,20,249,229,245,249,255,0,116,91,2,0,119,34,236,204,236,230,255,0,125,91,2,0,117,74,216,153,216,201,255,0,134,91,2,0,113,120,194,102,194,164,255,0,143,91,2,0,105,159,174,65,174,118,255,0,152,
91,2,0,98,190,139,35,139,69,255,0,161,91,2,0,102,255,88,0,88,36,255,0,170,91,2,0,134,6,253,247,252,253,255,0,179,91,2,0,135,20,249,229,245,249,255,0,188,91,2,0,119,34,236,204,236,230,255,0,197,91,2,0,117,74,216,153,216,201,255,0,206,91,2,0,113,120,194,102,194,164,255,0,215,91,2,0,105,159,174,65,174,118,255,0,224,91,2,0,98,190,139,35,139,69,255,0,233,91,2,0,102,255,109,0,109,44,255,0,242,91,2,0,101,255,68,0,68,27,255,0,251,91,2,0,144,20,244,224,236,244,255,0,4,92,2,0,148,70,218,158,188,218,255,0,13,
92,2,0,196,123,167,136,86,167,255,0,22,92,2,0,136,14,251,237,248,251,255,0,31,92,2,0,146,53,227,179,205,227,255,0,40,92,2,0,162,74,198,140,150,198,255,0,49,92,2,0,202,149,157,136,65,157,255,0,58,92,2,0,136,14,251,237,248,251,255,0,67,92,2,0,146,53,227,179,205,227,255,0,76,92,2,0,162,74,198,140,150,198,255,0,85,92,2,0,196,123,167,136,86,167,255,0,94,92,2,0,214,225,129,129,15,124,255,0,103,92,2,0,136,14,251,237,248,251,255,0,112,92,2,0,148,43,230,191,211,230,255,0,121,92,2,0,148,70,218,158,188,218,
255,0,130,92,2,0,162,74,198,140,150,198,255,0,139,92,2,0,196,123,167,136,86,167,255,0,148,92,2,0,214,225,129,129,15,124,255,0,157,92,2,0,136,14,251,237,248,251,255,0,166,92,2,0,148,43,230,191,211,230,255,0,175,92,2,0,148,70,218,158,188,218,255,0,184,92,2,0,162,74,198,140,150,198,255,0,193,92,2,0,190,100,177,140,107,177,255,0,202,92,2,0,202,149,157,136,65,157,255,0,211,92,2,0,213,252,110,110,1,107,255,0,220,92,2,0,134,6,253,247,252,253,255,0,229,92,2,0,144,20,244,224,236,244,255,0,238,92,2,0,148,43,
230,191,211,230,255,0,247,92,2,0,148,70,218,158,188,218,255,0,0,93,2,0,162,74,198,140,150,198,255,0,9,93,2,0,190,100,177,140,107,177,255,0,18,93,2,0,202,149,157,136,65,157,255,0,27,93,2],"i8",4,n.q+54112);
B([213,252,110,110,1,107,255,0,36,93,2,0,134,6,253,247,252,253,255,0,45,93,2,0,144,20,244,224,236,244,255,0,54,93,2,0,148,43,230,191,211,230,255,0,63,93,2,0,148,70,218,158,188,218,255,0,72,93,2,0,162,74,198,140,150,198,255,0,81,93,2,0,190,100,177,140,107,177,255,0,90,93,2,0,202,149,157,136,65,157,255,0,99,93,2,0,214,225,129,129,15,124,255,0,108,93,2,0,213,255,77,77,0,75,255,0,117,93,2,0,114,211,158,27,158,119,255,0,127,93,2,0,18,252,217,217,95,2,255,0,137,93,2,0,173,95,179,117,112,179,255,0,147,93,
2,0,114,211,158,27,158,119,255,0,157,93,2,0,18,252,217,217,95,2,255,0,167,93,2,0,173,95,179,117,112,179,255,0,177,93,2,0,233,209,231,231,41,138,255,0,187,93,2,0,114,211,158,27,158,119,255,0,197,93,2,0,18,252,217,217,95,2,255,0,207,93,2,0,173,95,179,117,112,179,255,0,217,93,2,0,233,209,231,231,41,138,255,0,227,93,2,0,62,208,166,102,166,30,255,0,237,93,2,0,114,211,158,27,158,119,255,0,247,93,2,0,18,252,217,217,95,2,255,0,1,94,2,0,173,95,179,117,112,179,255,0,11,94,2,0,233,209,231,231,41,138,255,0,21,
94,2,0,62,208,166,102,166,30,255,0,31,94,2,0,31,252,230,230,171,2,255,0,41,94,2,0,114,211,158,27,158,119,255,0,51,94,2,0,18,252,217,217,95,2,255,0,61,94,2,0,173,95,179,117,112,179,255,0,71,94,2,0,233,209,231,231,41,138,255,0,81,94,2,0,62,208,166,102,166,30,255,0,91,94,2,0,31,252,230,230,171,2,255,0,101,94,2,0,27,210,166,166,118,29,255,0,111,94,2,0,114,211,158,27,158,119,255,0,121,94,2,0,18,252,217,217,95,2,255,0,131,94,2,0,173,95,179,117,112,179,255,0,141,94,2,0,233,209,231,231,41,138,255,0,151,94,
2,0,62,208,166,102,166,30,255,0,161,94,2,0,31,252,230,230,171,2,255,0,171,94,2,0,27,210,166,166,118,29,255,0,181,94,2,0,0,0,102,102,102,102,255,0,191,94,2,0,76,25,243,224,243,219,255,0,200,94,2,0,95,61,221,168,221,181,255,0,209,94,2,0,140,170,202,67,162,202,255,0,218,94,2,0,65,17,249,240,249,232,255,0,227,94,2,0,87,46,228,186,228,188,255,0,236,94,2,0,123,101,204,123,204,196,255,0,245,94,2,0,141,197,190,43,140,190,255,0,254,94,2,0,65,17,249,240,249,232,255,0,7,95,2,0,87,46,228,186,228,188,255,0,16,
95,2,0,123,101,204,123,204,196,255,0,25,95,2,0,140,170,202,67,162,202,255,0,34,95,2,0,145,243,172,8,104,172,255,0,43,95,2,0,65,17,249,240,249,232,255,0,52,95,2,0,77,41,235,204,235,197,255,0,61,95,2,0,95,61,221,168,221,181,255,0,70,95,2,0,123,101,204,123,204,196,255,0,79,95,2,0,140,170,202,67,162,202,255,0,88,95,2,0,145,243,172,8,104,172,255,0,97,95,2,0,65,17,249,240,249,232,255,0,106,95,2,0,77,41,235,204,235,197,255,0,115,95,2,0,95,61,221,168,221,181,255,0,124,95,2,0,123,101,204,123,204,196,255,0,
133,95,2,0,137,160,211,78,179,211,255,0,142,95,2,0,141,197,190,43,140,190,255,0,151,95,2,0,147,242,158,8,88,158,255,0,160,95,2,0,60,12,252,247,252,240,255,0,169,95,2,0,76,25,243,224,243,219,255,0,178,95,2,0,77,41,235,204,235,197,255,0,187,95,2,0,95,61,221,168,221,181,255,0,196,95,2,0,123,101,204,123,204,196,255,0,205,95,2,0,137,160,211,78,179,211,255,0,214,95,2,0,141,197,190,43,140,190,255,0,223,95,2,0,147,242,158,8,88,158,255,0,232,95,2,0,60,12,252,247,252,240,255,0,241,95,2,0,76,25,243,224,243,
219,255,0,250,95,2,0,77,41,235,204,235,197,255,0,3,96,2,0,95,61,221,168,221,181,255,0,12,96,2,0,123,101,204,123,204,196,255,0,21,96,2,0,137,160,211,78,179,211,255,0,30,96,2,0,141,197,190,43,140,190,255,0,39,96,2,0,145,243,172,8,104,172,255,0,48,96,2,0,150,239,129,8,64,129,255,0,57,96,2,0,74,21,245,229,245,224,255,0,68,96,2,0,80,72,217,161,217,155,255,0,79,96,2,0,98,178,163,49,163,84,255,0,90,96,2,0,73,15,248,237,248,233,255,0,101,96,2,0,78,54,228,186,228,179,255,0,112,96,2,0,86,104,196,116,196,118,
255,0,123,96,2,0,98,190,139,35,139,69,255,0,134,96,2,0,73,15,248,237,248,233,255,0,145,96,2,0,78,54,228,186,228,179,255,0,156,96,2,0,86,104,196,116,196,118,255,0,167,96,2,0,98,178,163,49,163,84,255,0,178,96,2,0,102,255,109,0,109,44,255,0,189,96,2,0,73,15,248,237,248,233,255,0,200,96,2,0,77,44,233,199,233,192,255,0,211,96,2,0,80,72,217,161,217,155,255,0,222,96,2,0,86,104,196,116,196,118,255,0,233,96,2,0,98,178,163,49,163,84,255,0,244,96,2,0,102,255,109,0,109,44,255,0,255,96,2,0,73,15,248,237,248,233,
255,0,10,97,2,0,77,44,233,199,233,192,255,0,21,97,2,0,80,72,217,161,217,155,255,0,32,97,2,0,86,104,196,116,196,118,255,0,43,97,2,0,96,158,171,65,171,93,255,0,54,97,2,0,98,190,139,35,139,69,255,0,65,97,2,0,108,255,90,0,90,50,255,0,76,97,2,0,72,7,252,247,252,245,255,0,87,97,2,0,74,21,245,229,245,224,255,0,98,97,2,0,77,44,233,199,233,192,255,0,109,97,2,0,80,72,217,161,217,155,255,0,120,97,2,0,86,104,196,116,196,118,255,0,131,97,2,0,96,158,171,65,171,93,255,0,142,97,2,0,98,190,139,35,139,69,255,0,153,
97,2,0,108,255,90,0,90,50,255,0,164,97,2,0,72,7,252,247,252,245,255,0,175,97,2,0,74,21,245,229,245,224,255,0,186,97,2,0,77,44,233,199,233,192,255,0,197,97,2,0,80,72,217,161,217,155,255,0,208,97,2,0,86,104,196,116,196,118,255,0,219,97,2,0,96,158,171,65,171,93,255,0,230,97,2,0,98,190,139,35,139,69,255,0,241,97,2,0,102,255,109,0,109,44,255,0,252,97,2,0,101,255,68,0,68,27,255,0,7,98,2,0,0,0,240,240,240,240,255,0,17,98,2,0,0,0,189,189,189,189,255,0,27,98,2,0,0,0,99,99,99,99,255,0,37,98,2,0,0,0,247,247,
247,247,255,0,47,98,2,0,0,0,204,204,204,204,255,0,57,98,2,0,0,0,150,150,150,150,255,0,67,98,2,0,0,0,82,82,82,82,255,0,77,98,2,0,0,0,247,247,247,247,255,0,87,98,2,0,0,0,204,204,204,204,255,0,97,98,2,0,0,0,150,150,150,150,255,0,107,98,2,0,0,0,99,99,99,99,255,0,117,98,2,0,0,0,37,37,37,37,255,0,127,98,2,0,0,0,247,247,247,247,255,0,137,98,2,0,0,0,217,217,217,217,255,0,147,98,2,0,0,0,189,189,189,189,255,0,157,98,2,0,0,0,150,150,150,150,255,0,167,98,2,0,0,0,99,99,99,99,255,0,177,98,2,0,0,0,37,37,37,37,255,
0,187,98,2,0,0,0,247,247,247,247,255,0,197,98,2,0,0,0,217,217,217,217,255,0,207,98,2,0,0,0,189,189,189,189,255,0,217,98,2,0,0,0,150,150,150,150,255,0,227,98,2,0,0,0,115,115,115,115,255,0,237,98,2,0,0,0,82,82,82,82,255,0,247,98,2,0,0,0,37,37,37,37,255,0,1,99,2,0,0,0,255,255,255,255,255,0,11,99,2,0,0,0,240,240,240,240,255,0,21,99,2,0,0,0,217,217,217,217,255,0,31,99,2,0,0,0,189,189,189,189,255,0,41,99,2,0,0,0,150,150,150,150,255,0,51,99,2,0,0,0,115,115,115,115,255,0,61,99,2,0,0,0,82,82,82,82,255,0,71,
99,2,0,0,0,37,37,37,37,255,0,81,99,2,0,0,0,255,255,255,255,255,0,91,99,2,0,0,0,240,240,240,240,255,0,101,99,2,0,0,0,217,217,217,217,255,0,111,99,2,0,0,0,189,189,189,189,255,0,121,99,2,0,0,0,150,150,150,150,255,0,131,99,2,0,0,0,115,115,115,115,255,0,141,99,2,0,0,0,82,82,82,82,255,0,151,99,2,0,0,0,37,37,37,37,255,0,161,99,2,0,0,0,0,0,0,0,255,0,171,99,2,0,21,48,254,254,230,206,255,0,183,99,2,0,19,147,253,253,174,107,255,0,195,99,2,0,14,240,230,230,85,13,255,0,207,99,2,0,19,32,254,254,237,222,255,0,219,
99,2,0,20,120,253,253,190,133,255,0,231,99,2,0,17,194,253,253,141,60,255,0,243,99,2,0,13,253,217,217,71,1,255,0,255,99,2,0,19,32,254,254,237,222,255,0,11,100,2,0,20,120,253,253,190,133,255,0,23,100,2,0,17,194,253,253,141,60,255,0,35,100,2,0,14,240,230,230,85,13,255,0,47,100,2,0,13,250,166,166,54,3,255,0,59,100,2,0,19,32,254,254,237,222,255,0,71,100,2,0,21,91,253,253,208,162,255,0,83,100,2,0,19,147,253,253,174,107,255,0,95,100,2,0,17,194,253,253,141,60,255,0,107,100,2,0,14,240,230,230,85,13,255,0,
119,100,2,0,13,250,166,166,54,3,255,0,131,100,2,0,19,32,254,254,237,222,255,0,143,100,2,0,21,91,253,253,208,162,255,0,155,100,2,0,19,147,253,253,174,107,255,0,167,100,2,0,17,194,253,253,141,60,255,0,179,100,2,0,16,234,241,241,105,19,255,0,191,100,2,0,13,253,217,217,72,1,255,0,203,100,2,0,12,247,140,140,45,4,255,0,215,100,2,0,21,20,255,255,245,235,255,0,227,100,2,0,21,48,254,254,230,206,255,0,239,100,2,0,21,91,253,253,208,162,255,0,251,100,2,0,19,147,253,253,174,107,255,0,7,101,2,0,17,194,253,253,
141,60,255,0,19,101,2,0,16,234,241,241,105,19,255,0,31,101,2,0,13,253,217,217,72,1,255,0,43,101,2,0,12,247,140,140,45,4,255,0,55,101,2,0,21,20,255,255,245,235,255,0,67,101,2,0,21,48,254,254,230,206,255,0,79,101,2,0,21,91,253,253,208,162,255,0,91,101,2,0,19,147,253,253,174,107,255,0,103,101,2,0,17,194,253,253,141,60,255,0,115,101,2,0,16,234,241,241,105,19,255,0,127,101,2,0,13,253,217,217,72,1,255,0,139,101,2,0,13,250,166,166,54,3,255,0,151,101,2,0,12,246,127,127,39,4,255,0,163,101,2,0,25,54,254,254,
232,200,255,0,172,101,2,0,19,121,253,253,187,132,255,0,181,101,2,0,5,197,227,227,74,51,255,0,190,101,2,0,26,37,254,254,240,217,255,0,199,101,2,0,24,115,253,253,204,138,255,0,208,101,2,0,13,164,252,252,141,89,255,0,217,101,2,0,3,218,215,215,48,31,255,0,226,101,2,0,26,37,254,254,240,217,255,0,235,101,2,0,24,115,253,253,204,138,255,0,244,101,2,0,13,164,252,252,141,89,255,0,253,101,2,0,5,197,227,227,74,51,255,0,6,102,2,0,0,255,179,179,0,0,255,0,15,102,2,0,26,37,254,254,240,217,255,0,24,102,2,0,24,95,
253,253,212,158,255,0,33,102,2,0,19,121,253,253,187,132,255,0,42,102,2,0,13,164,252,252,141,89,255,0,51,102,2,0,5,197,227,227,74,51,255,0,60,102,2,0,0,255,179,179,0,0,255,0,69,102,2,0,26,37,254,254,240,217,255,0,78,102,2,0,24,95,253,253,212,158,255,0,87,102,2,0,19,121,253,253,187,132,255,0,96,102,2,0,13,164,252,252,141,89,255,0,105,102,2,0,7,178,239,239,101,72,255,0,114,102,2,0,3,218,215,215,48,31,255,0,123,102,2,0,0,255,153,153,0,0,255,0,132,102,2,0,24,18,255,255,247,236,255,0,141,102,2,0,25,54,
254,254,232,200,255,0,150,102,2,0,24,95,253,253,212,158,255,0,159,102,2,0,19,121,253,253,187,132,255,0,168,102,2,0,13,164,252,252,141,89,255,0,177,102,2,0,7,178,239,239,101,72,255,0,186,102,2,0,3,218,215,215,48,31,255,0,195,102,2,0,0,255,153,153,0,0,255,0,204,102,2,0,24,18,255,255,247,236,255,0,213,102,2,0,25,54,254,254,232,200,255,0,222,102,2,0,24,95,253,253,212,158,255,0,231,102,2,0,19,121,253,253,187,132,255,0,240,102,2,0,13,164,252,252,141,89,255,0,249,102,2,0,7,178,239,239,101,72,255,0,2,103,
2,0,3,218,215,215,48,31,255,0,11,103,2,0,0,255,179,179,0,0,255,0,20,103,2,0,0,255,127,127,0,0,255,0,29,103,2,0,142,68,227,166,206,227,255,0,41,103,2,0,190,153,154,106,61,154,255,0,54,103,2,0,144,211,180,31,120,180,255,0,66,103,2,0,65,97,223,178,223,138,255,0,78,103,2,0,82,184,160,51,160,44,255,0,90,103,2,0,0,99,251,251,154,153,255,0,102,103,2,0,254,225,227,227,26,28,255,0,114,103,2,0,23,143,253,253,191,111,255,0,126,103,2,0,21,255,255,255,127,0,255,0,138,103,2,0,198,42,214,202,178,214,255,0,150,103,
2,0,142,68,227,166,206,227,255,0,162,103,2,0,190,153,154,106,61,154,255,0,175,103,2,0,42,102,255,255,255,153,255,0,188,103,2,0,144,211,180,31,120,180,255,0,200,103,2,0,65,97,223,178,223,138,255,0,212,103,2,0,82,184,160,51,160,44,255,0,224,103,2,0,0,99,251,251,154,153,255,0,236,103,2,0,254,225,227,227,26,28,255,0,248,103,2,0,23,143,253,253,191,111,255,0,4,104,2,0,21,255,255,255,127,0,255,0,16,104,2,0,198,42,214,202,178,214,255,0,28,104,2,0,142,68,227,166,206,227,255,0,40,104,2,0,190,153,154,106,61,
154,255,0,53,104,2,0,42,102,255,255,255,153,255,0,66,104,2,0,15,197,177,177,89,40,255,0,79,104,2,0,144,211,180,31,120,180,255,0,91,104,2,0,65,97,223,178,223,138,255,0,103,104,2,0,82,184,160,51,160,44,255,0,115,104,2,0,0,99,251,251,154,153,255,0,127,104,2,0,254,225,227,227,26,28,255,0,139,104,2,0,23,143,253,253,191,111,255,0,151,104,2,0,21,255,255,255,127,0,255,0,163,104,2,0,198,42,214,202,178,214,255,0,175,104,2,0,142,68,227,166,206,227,255,0,186,104,2,0,144,211,180,31,120,180,255,0,197,104,2,0,65,
97,223,178,223,138,255,0,208,104,2,0,142,68,227,166,206,227,255,0,219,104,2,0,144,211,180,31,120,180,255,0,230,104,2,0,65,97,223,178,223,138,255,0,241,104,2,0,82,184,160,51,160,44,255,0,252,104,2,0,142,68,227,166,206,227,255,0,7,105,2,0,144,211,180,31,120,180,255,0,18,105,2,0,65,97,223,178,223,138,255,0,29,105,2,0,82,184,160,51,160,44,255,0,40,105,2,0,0,99,251,251,154,153,255,0,51,105,2,0,142,68,227,166,206,227,255,0,62,105,2,0,144,211,180,31,120,180,255,0,73,105,2,0,65,97,223,178,223,138,255,0,84,
105,2,0,82,184,160,51,160,44,255,0,95,105,2,0,0,99,251,251,154,153,255,0,106,105,2,0,254,225,227,227,26,28,255,0,117,105,2,0,142,68,227,166,206,227,255,0,128,105,2,0,144,211,180,31,120,180,255,0,139,105,2,0,65,97,223,178,223,138,255,0,150,105,2,0,82,184,160,51,160,44,255,0,161,105,2,0,0,99,251,251,154,153,255,0,172,105,2,0,254,225,227,227,26,28,255,0,183,105,2,0,23,143,253,253,191,111,255,0,194,105,2,0,142,68,227,166,206,227,255,0,205,105,2,0,144,211,180,31,120,180,255,0,216,105,2,0,65,97,223,178,
223,138,255,0,227,105,2,0,82,184,160,51,160,44,255,0,238,105,2,0,0,99,251,251,154,153,255,0,249,105,2,0,254,225,227,227,26,28,255,0,4,106,2,0,23,143,253,253,191,111,255,0,15,106,2,0,21,255,255,255,127,0,255,0,26,106,2,0,142,68,227,166,206,227,255,0,37,106,2,0,144,211,180,31,120,180,255,0,48,106,2,0,65,97,223,178,223,138,255,0,59,106,2,0,82,184,160,51,160,44,255,0,70,106,2,0,0,99,251,251,154,153,255,0,81,106,2,0,254,225,227,227,26,28,255,0,92,106,2,0,23,143,253,253,191,111,255,0,103,106,2,0,21,255,
255,255,127,0,255,0,114,106,2,0,198,42,214,202,178,214,255,0,125,106,2,0,3,78,251,251,180,174,255,0,137,106,2,0,146,53,227,179,205,227,255,0,149,106,2,0,77,41,235,204,235,197,255,0,161,106,2,0,3,78,251,251,180,174,255,0,173,106,2,0,146,53,227,179,205,227,255,0,185,106,2,0,77,41,235,204,235,197,255,0,197,106,2,0,202,27,228,222,203,228,255,0,209,106,2,0,3,78,251,251,180,174,255,0,221,106,2,0,146,53,227,179,205,227,255,0,233,106,2,0,77,41,235,204,235,197,255,0,245,106,2,0,202,27,228,222,203,228,255,
0,1,107,2,0,24,88,254,254,217,166,255,0,13,107,2,0,3,78,251,251,180,174,255,0,25,107,2,0,146,53,227,179,205,227,255,0,37,107,2,0,77,41,235,204,235,197,255,0,49,107,2,0,202,27,228,222,203,228,255,0,61,107,2,0,24,88,254,254,217,166,255,0,73,107,2,0,42,50,255,255,255,204,255,0,85,107,2,0,3,78,251,251,180,174,255,0,97,107,2,0,146,53,227,179,205,227,255,0,109,107,2,0,77,41,235,204,235,197,255,0,121,107,2,0,202,27,228,222,203,228,255,0,133,107,2,0,24,88,254,254,217,166,255,0,145,107,2,0,42,50,255,255,255,
204,255,0,157,107,2,0,28,44,229,229,216,189,255,0,169,107,2,0,3,78,251,251,180,174,255,0,181,107,2,0,146,53,227,179,205,227,255,0,193,107,2,0,77,41,235,204,235,197,255,0,205,107,2,0,202,27,228,222,203,228,255,0,217,107,2,0,24,88,254,254,217,166,255,0,229,107,2,0,42,50,255,255,255,204,255,0,241,107,2,0,28,44,229,229,216,189,255,0,253,107,2,0,233,35,253,253,218,236,255,0,9,108,2,0,3,78,251,251,180,174,255,0,21,108,2,0,146,53,227,179,205,227,255,0,33,108,2,0,77,41,235,204,235,197,255,0,45,108,2,0,202,
27,228,222,203,228,255,0,57,108,2,0,24,88,254,254,217,166,255,0,69,108,2,0,42,50,255,255,255,204,255,0,81,108,2,0,28,44,229,229,216,189,255,0,93,108,2,0,233,35,253,253,218,236,255,0,105,108,2,0,0,0,242,242,242,242,255,0,117,108,2,0,108,53,226,179,226,205,255,0,129,108,2,0,17,81,253,253,205,172,255,0,141,108,2,0,155,31,232,203,213,232,255,0,153,108,2,0,108,53,226,179,226,205,255,0,165,108,2,0,17,81,253,253,205,172,255,0,177,108,2,0,155,31,232,203,213,232,255,0,189,108,2,0,228,43,244,244,202,228,255,
0,201,108,2,0,108,53,226,179,226,205,255,0,213,108,2,0,17,81,253,253,205,172,255,0,225,108,2,0,155,31,232,203,213,232,255,0,237,108,2,0,228,43,244,244,202,228,255,0,249,108,2,0,56,45,245,230,245,201,255,0,5,109,2,0,108,53,226,179,226,205,255,0,17,109,2,0,17,81,253,253,205,172,255,0,29,109,2,0,155,31,232,203,213,232,255,0,41,109,2,0,228,43,244,244,202,228,255,0,53,109,2,0,56,45,245,230,245,201,255,0,65,109,2,0,35,81,255,255,242,174,255,0,77,109,2,0,108,53,226,179,226,205,255,0,89,109,2,0,17,81,253,
253,205,172,255,0,101,109,2,0,155,31,232,203,213,232,255,0,113,109,2,0,228,43,244,244,202,228,255,0,125,109,2,0,56,45,245,230,245,201,255,0,137,109,2,0,35,81,255,255,242,174,255,0,149,109,2,0,25,39,241,241,226,204,255,0,161,109,2,0,108,53,226,179,226,205,255,0,173,109,2,0,17,81,253,253,205,172,255,0,185,109,2,0,155,31,232,203,213,232,255,0,197,109,2,0,228,43,244,244,202,228,255,0,209,109,2,0,56,45,245,230,245,201,255,0,221,109,2,0,35,81,255,255,242,174,255,0,233,109,2,0,25,39,241,241,226,204,255,
0,245,109,2,0,0,0,204,204,204,204,255,0,1,110,2,0,230,253,142,142,1,82,255,0,11,110,2,0,77,191,100,39,100,25,255,0,22,110,2,0,230,220,197,197,27,125,255,0,32,110,2,0,232,118,222,222,119,174,255,0,42,110,2,0,229,62,241,241,182,218,255,0,52,110,2,0,233,29,253,253,224,239,255,0,62,110,2,0,59,38,245,230,245,208,255,0,72,110,2,0,61,103,225,184,225,134,255,0,82,110,2,0,63,166,188,127,188,65,255,0,92,110,2,0,68,197,146,77,146,33,255,0,102,110,2,0,230,253,142,142,1,82,255,0,112,110,2,0,68,197,146,77,146,
33,255,0,123,110,2,0,77,191,100,39,100,25,255,0,134,110,2,0,230,220,197,197,27,125,255,0,144,110,2,0,232,118,222,222,119,174,255,0,154,110,2,0,229,62,241,241,182,218,255,0,164,110,2,0,233,29,253,253,224,239,255,0,174,110,2,0,0,0,247,247,247,247,255,0,184,110,2,0,59,38,245,230,245,208,255,0,194,110,2,0,61,103,225,184,225,134,255,0,204,110,2,0,63,166,188,127,188,65,255,0,214,110,2,0,231,76,233,233,163,201,255,0,223,110,2,0,0,0,247,247,247,247,255,0,232,110,2,0,63,129,215,161,215,106,255,0,241,110,2,
0,228,220,208,208,28,139,255,0,250,110,2,0,229,62,241,241,182,218,255,0,3,111,2,0,61,103,225,184,225,134,255,0,12,111,2,0,72,198,172,77,172,38,255,0,21,111,2,0,228,220,208,208,28,139,255,0,30,111,2,0,229,62,241,241,182,218,255,0,39,111,2,0,0,0,247,247,247,247,255,0,48,111,2,0,61,103,225,184,225,134,255,0,57,111,2,0,72,198,172,77,172,38,255,0,66,111,2,0,230,220,197,197,27,125,255,0,75,111,2,0,231,76,233,233,163,201,255,0,84,111,2,0,233,29,253,253,224,239,255,0,93,111,2,0,59,38,245,230,245,208,255,
0,102,111,2,0,63,129,215,161,215,106,255,0,111,111,2,0,68,197,146,77,146,33,255,0,120,111,2,0,230,220,197,197,27,125,255,0,129,111,2,0,231,76,233,233,163,201,255,0,138,111,2,0,233,29,253,253,224,239,255,0,147,111,2,0,0,0,247,247,247,247,255,0,156,111,2,0,59,38,245,230,245,208,255,0,165,111,2,0,63,129,215,161,215,106,255,0,174,111,2,0,68,197,146,77,146,33,255,0,183,111,2,0,230,220,197,197,27,125,255,0,192,111,2,0,232,118,222,222,119,174,255,0,201,111,2,0,229,62,241,241,182,218,255,0,210,111,2,0,233,
29,253,253,224,239,255,0,219,111,2,0,59,38,245,230,245,208,255,0,228,111,2,0,61,103,225,184,225,134,255,0,237,111,2,0,63,166,188,127,188,65,255,0,246,111,2,0,68,197,146,77,146,33,255,0,255,111,2,0,230,220,197,197,27,125,255,0,8,112,2,0,232,118,222,222,119,174,255,0,17,112,2,0,229,62,241,241,182,218,255,0,26,112,2,0,233,29,253,253,224,239,255,0,35,112,2,0,0,0,247,247,247,247,255,0,44,112,2,0,59,38,245,230,245,208,255,0,53,112,2,0,61,103,225,184,225,134,255,0,62,112,2,0,63,166,188,127,188,65,255,0,
71,112,2,0,68,197,146,77,146,33,255,0,80,112,2,0,206,255,75,64,0,75,255,0,90,112,2,0,101,255,68,0,68,27,255,0,101,112,2,0,206,173,131,118,42,131,255,0,111,112,2,0,199,87,171,153,112,171,255,0,121,112,2,0,199,51,207,194,165,207,255,0,131,112,2,0,210,21,232,231,212,232,255,0,141,112,2,0,76,30,240,217,240,211,255,0,151,112,2,0,80,68,219,166,219,160,255,0,161,112,2,0,88,123,174,90,174,97,255,0,171,112,2,0,97,197,120,27,120,55,255,0,181,112,2,0,206,255,75,64,0,75,255,0,191,112,2,0,97,197,120,27,120,55,
255,0,202,112,2,0,101,255,68,0,68,27,255,0,213,112,2,0,206,173,131,118,42,131,255,0,223,112,2,0,199,87,171,153,112,171,255,0,233,112,2,0,199,51,207,194,165,207,255,0,243,112,2,0,210,21,232,231,212,232,255,0,253,112,2,0,0,0,247,247,247,247,255,0,7,113,2,0,76,30,240,217,240,211,255,0,17,113,2,0,80,68,219,166,219,160,255,0,27,113,2,0,88,123,174,90,174,97,255,0,37,113,2,0,196,70,195,175,141,195,255,0,46,113,2,0,0,0,247,247,247,247,255,0,55,113,2,0,82,90,191,127,191,123,255,0,64,113,2,0,201,168,148,123,
50,148,255,0,73,113,2,0,199,51,207,194,165,207,255,0,82,113,2,0,80,68,219,166,219,160,255,0,91,113,2,0,102,255,136,0,136,55,255,0,100,113,2,0,201,168,148,123,50,148,255,0,109,113,2,0,199,51,207,194,165,207,255,0,118,113,2,0,0,0,247,247,247,247,255,0,127,113,2,0,80,68,219,166,219,160,255,0,136,113,2,0,102,255,136,0,136,55,255,0,145,113,2,0,206,173,131,118,42,131,255,0,154,113,2,0,196,70,195,175,141,195,255,0,163,113,2,0,210,21,232,231,212,232,255,0,172,113,2,0,76,30,240,217,240,211,255,0,181,113,2,
0,82,90,191,127,191,123,255,0,190,113,2,0,97,197,120,27,120,55,255,0,199,113,2,0,206,173,131,118,42,131,255,0,208,113,2,0,196,70,195,175,141,195,255,0,217,113,2,0,210,21,232,231,212,232,255,0,226,113,2,0,0,0,247,247,247,247,255,0,235,113,2,0,76,30,240,217,240,211,255,0,244,113,2,0,82,90,191,127,191,123,255,0,253,113,2,0,97,197,120,27,120,55,255,0,6,114,2,0,206,173,131,118,42,131,255,0,15,114,2,0,199,87,171,153,112,171,255,0,24,114,2,0,199,51,207,194,165,207,255,0,33,114,2,0,210,21,232,231,212,232,
255,0,42,114,2,0,76,30,240,217,240,211,255,0,51,114,2,0,80,68,219,166,219,160,255,0,60,114,2,0,88,123,174,90,174,97,255,0,69,114,2,0,97,197,120,27,120,55,255,0,78,114,2,0,206,173,131,118,42,131,255,0,87,114,2,0,199,87,171,153,112,171,255,0,96,114,2,0,199,51,207,194,165,207,255,0,105,114,2,0,210,21,232,231,212,232,255,0,114,114,2,0,0,0,247,247,247,247,255,0,123,114,2,0,76,30,240,217,240,211,255,0,132,114,2,0,80,68,219,166,219,160,255,0,141,114,2,0,88,123,174,90,174,97,255,0,150,114,2,0,97,197,120,
27,120,55,255,0,159,114,2,0,189,11,242,236,231,242,255,0,168,114,2,0,151,61,219,166,189,219,255,0,177,114,2,0,141,197,190,43,140,190,255,0,186,114,2,0,185,8,246,241,238,246,255,0,195,114,2,0,155,40,225,189,201,225,255,0,204,114,2,0,145,112,207,116,169,207,255,0,213,114,2,0,143,247,176,5,112,176,255,0,222,114,2,0,185,8,246,241,238,246,255,0,231,114,2,0,155,40,225,189,201,225,255,0,240,114,2,0,145,112,207,116,169,207,255,0,249,114,2,0,141,197,190,43,140,190,255,0,2,115,2,0,143,247,141,4,90,141,255,
0,11,115,2,0,185,8,246,241,238,246,255,0,20,115,2,0,168,24,230,208,209,230,255,0,29,115,2,0,151,61,219,166,189,219,255,0,38,115,2,0,145,112,207,116,169,207,255,0,47,115,2,0,141,197,190,43,140,190,255,0,56,115,2,0,143,247,141,4,90,141,255,0,65,115,2,0,185,8,246,241,238,246,255,0,74,115,2,0,168,24,230,208,209,230,255,0,83,115,2,0,151,61,219,166,189,219,255,0,92,115,2,0,145,112,207,116,169,207,255,0,101,115,2,0,142,183,192,54,144,192,255,0,110,115,2,0,143,247,176,5,112,176,255,0,119,115,2,0,143,248,
123,3,78,123,255,0,128,115,2,0,233,8,255,255,247,251,255,0,137,115,2,0,189,11,242,236,231,242,255,0,146,115,2,0,168,24,230,208,209,230,255,0,155,115,2,0,151,61,219,166,189,219,255,0,164,115,2,0,145,112,207,116,169,207,255,0,173,115,2,0,142,183,192,54,144,192,255,0,182,115,2,0,143,247,176,5,112,176,255,0,191,115,2,0,143,248,123,3,78,123,255,0,200,115,2,0,233,8,255,255,247,251,255,0,209,115,2,0,189,11,242,236,231,242,255,0,218,115,2,0,168,24,230,208,209,230,255,0,227,115,2,0,151,61,219,166,189,219,
255,0,236,115,2,0,145,112,207,116,169,207,255,0,245,115,2,0,142,183,192,54,144,192,255,0,254,115,2,0,143,247,176,5,112,176,255,0,7,116,2,0,143,247,141,4,90,141,255,0,16,116,2,0,143,249,88,2,56,88,255,0,25,116,2,0,200,14,240,236,226,240,255,0,36,116,2,0,151,61,219,166,189,219,255,0,47,116,2,0,130,208,153,28,144,153,255,0,58,116,2,0,207,8,247,246,239,247,255,0,69,116,2,0,155,40,225,189,201,225,255,0,80,116,2,0,143,128,207,103,169,207,255,0,91,116,2,0,130,251,138,2,129,138,255,0,102,116,2,0,207,8,247,
246,239,247,255,0,113,116,2,0,155,40,225,189,201,225,255,0,124,116,2,0,143,128,207,103,169,207,255,0,135,116,2,0,130,208,153,28,144,153,255,0,146,116,2,0,119,252,108,1,108,89,255,0,157,116,2,0,207,8,247,246,239,247,255,0,168,116,2,0,168,24,230,208,209,230,255,0,179,116,2,0,151,61,219,166,189,219,255,0,190,116,2,0,143,128,207,103,169,207,255,0,201,116,2,0,130,208,153,28,144,153,255,0,212,116,2,0,119,252,108,1,108,89,255,0,223,116,2,0,207,8,247,246,239,247,255,0,234,116,2,0,168,24,230,208,209,230,255,
0,245,116,2,0,151,61,219,166,189,219,255,0,0,117,2,0,143,128,207,103,169,207,255,0,11,117,2,0,142,183,192,54,144,192,255,0,22,117,2,0,130,251,138,2,129,138,255,0,33,117,2,0,118,252,100,1,100,80,255,0,44,117,2,0,233,8,255,255,247,251,255,0,55,117,2,0,200,14,240,236,226,240,255,0,66,117,2,0,168,24,230,208,209,230,255,0,77,117,2,0,151,61,219,166,189,219,255,0,88,117,2,0,143,128,207,103,169,207,255,0,99,117,2,0,142,183,192,54,144,192,255,0,110,117,2,0,130,251,138,2,129,138,255,0,121,117,2,0,118,252,100,
1,100,80,255,0,132,117,2,0,233,8,255,255,247,251,255,0,143,117,2,0,200,14,240,236,226,240,255,0,154,117,2,0,168,24,230,208,209,230,255,0,165,117,2,0,151,61,219,166,189,219,255,0,176,117,2,0,143,128,207,103,169,207,255,0,187,117,2,0,142,183,192,54,144,192,255,0,198,117,2,0,130,251,138,2,129,138,255,0,209,117,2,0,119,252,108,1,108,89,255,0,220,117,2,0,117,251,70,1,70,54,255,0,231,117,2,0,18,238,127,127,59,8,255,0,241,117,2,0,195,255,75,45,0,75,255,0,252,117,2,0,20,246,179,179,88,6,255,0,6,118,2,0,22,
232,224,224,130,20,255,0,16,118,2,0,23,155,253,253,184,99,255,0,26,118,2,0,24,72,254,254,224,182,255,0,36,118,2,0,165,20,235,216,218,235,255,0,46,118,2,0,177,47,210,178,171,210,255,0,56,118,2,0,179,84,172,128,115,172,255,0,66,118,2,0,189,181,136,84,39,136,255,0,76,118,2,0,18,238,127,127,59,8,255,0,86,118,2,0,189,181,136,84,39,136,255,0,97,118,2,0,195,255,75,45,0,75,255,0,108,118,2,0,20,246,179,179,88,6,255,0,118,118,2,0,22,232,224,224,130,20,255,0,128,118,2,0,23,155,253,253,184,99,255,0,138,118,2,
0,24,72,254,254,224,182,255,0,148,118,2,0,0,0,247,247,247,247,255,0,158,118,2,0,165,20,235,216,218,235,255,0,168,118,2,0,177,47,210,178,171,210,255,0,178,118,2,0,179,84,172,128,115,172,255,0,188,118,2,0,23,187,241,241,163,64,255,0,197,118,2,0,0,0,247,247,247,247,255,0,206,118,2,0,178,69,195,153,142,195,255,0,215,118,2,0,17,253,230,230,97,1,255,0,224,118,2,0,23,155,253,253,184,99,255,0,233,118,2,0,177,47,210,178,171,210,255,0,242,118,2,0,185,155,153,94,60,153,255,0,251,118,2,0,17,253,230,230,97,1,
255,0,4,119,2,0,23,155,253,253,184,99,255,0,13,119,2,0,0,0,247,247,247,247,255,0,22,119,2,0,177,47,210,178,171,210,255,0,31,119,2,0,185,155,153,94,60,153,255,0,40,119,2,0,20,246,179,179,88,6,255,0,49,119,2,0,23,187,241,241,163,64,255,0,58,119,2,0,24,72,254,254,224,182,255,0,67,119,2,0,165,20,235,216,218,235,255,0,76,119,2,0,178,69,195,153,142,195,255,0,85,119,2,0,189,181,136,84,39,136,255,0,94,119,2,0,20,246,179,179,88,6,255,0,103,119,2,0,23,187,241,241,163,64,255,0,112,119,2,0,24,72,254,254,224,
182,255,0,121,119,2,0,0,0,247,247,247,247,255,0,130,119,2,0,165,20,235,216,218,235,255,0,139,119,2,0,178,69,195,153,142,195,255,0,148,119,2,0,189,181,136,84,39,136,255,0,157,119,2,0,20,246,179,179,88,6,255,0,166,119,2,0,22,232,224,224,130,20,255,0,175,119,2,0,23,155,253,253,184,99,255,0,184,119,2,0,24,72,254,254,224,182,255,0,193,119,2,0,165,20,235,216,218,235,255,0,202,119,2,0,177,47,210,178,171,210,255,0,211,119,2,0,179,84,172,128,115,172,255,0,220,119,2,0,189,181,136,84,39,136,255,0,229,119,2,
0,20,246,179,179,88,6,255,0,238,119,2,0,22,232,224,224,130,20,255,0,247,119,2,0,23,155,253,253,184,99,255,0,0,120,2,0,24,72,254,254,224,182,255,0,9,120,2,0,0,0,247,247,247,247,255,0,18,120,2,0,165,20,235,216,218,235,255,0,27,120,2,0,177,47,210,178,171,210,255,0,36,120,2,0,179,84,172,128,115,172,255,0,45,120,2,0,189,181,136,84,39,136,255,0,54,120,2,0,188,14,239,231,225,239,255,0,63,120,2,0,214,67,201,201,148,199,255,0,72,120,2,0,234,222,221,221,28,119,255,0,81,120,2,0,185,8,246,241,238,246,255,0,90,
120,2,0,211,41,216,215,181,216,255,0,99,120,2,0,228,139,223,223,101,176,255,0,108,120,2,0,239,232,206,206,18,86,255,0,117,120,2,0,185,8,246,241,238,246,255,0,126,120,2,0,211,41,216,215,181,216,255,0,135,120,2,0,228,139,223,223,101,176,255,0,144,120,2,0,234,222,221,221,28,119,255,0,153,120,2,0,236,255,152,152,0,67,255,0,162,120,2,0,185,8,246,241,238,246,255,0,171,120,2,0,204,38,218,212,185,218,255,0,180,120,2,0,214,67,201,201,148,199,255,0,189,120,2,0,228,139,223,223,101,176,255,0,198,120,2,0,234,
222,221,221,28,119,255,0,207,120,2,0,236,255,152,152,0,67,255,0,216,120,2,0,185,8,246,241,238,246,255,0,225,120,2,0,204,38,218,212,185,218,255,0,234,120,2,0,214,67,201,201,148,199,255,0,243,120,2,0,228,139,223,223,101,176,255,0,252,120,2,0,233,209,231,231,41,138,255,0,5,121,2,0,239,232,206,206,18,86,255,0,14,121,2,0,236,255,145,145,0,63,255,0,23,121,2,0,195,5,249,247,244,249,255,0,32,121,2,0,188,14,239,231,225,239,255,0,41,121,2,0,204,38,218,212,185,218,255,0,50,121,2,0,214,67,201,201,148,199,255,
0,59,121,2,0,228,139,223,223,101,176,255,0,68,121,2,0,233,209,231,231,41,138,255,0,77,121,2,0,239,232,206,206,18,86,255,0,86,121,2,0,236,255,145,145,0,63,255,0,95,121,2,0,195,5,249,247,244,249,255,0,104,121,2,0,188,14,239,231,225,239,255,0,113,121,2,0,204,38,218,212,185,218,255,0,122,121,2,0,214,67,201,201,148,199,255,0,131,121,2,0,228,139,223,223,101,176,255,0,140,121,2,0,233,209,231,231,41,138,255,0,149,121,2,0,239,232,206,206,18,86,255,0,158,121,2,0,236,255,152,152,0,67,255,0,167,121,2,0,242,255,
103,103,0,31,255,0,176,121,2,0,180,8,245,239,237,245,255,0,188,121,2,0,168,37,220,188,189,220,255,0,200,121,2,0,176,100,177,117,107,177,255,0,212,121,2,0,182,7,247,242,240,247,255,0,224,121,2,0,173,28,226,203,201,226,255,0,236,121,2,0,173,58,200,158,154,200,255,0,248,121,2,0,182,128,163,106,81,163,255,0,4,122,2,0,182,7,247,242,240,247,255,0,16,122,2,0,173,28,226,203,201,226,255,0,28,122,2,0,173,58,200,158,154,200,255,0,40,122,2,0,176,100,177,117,107,177,255,0,52,122,2,0,188,185,143,84,39,143,255,
0,64,122,2,0,182,7,247,242,240,247,255,0,76,122,2,0,170,18,235,218,218,235,255,0,88,122,2,0,168,37,220,188,189,220,255,0,100,122,2,0,173,58,200,158,154,200,255,0,112,122,2,0,176,100,177,117,107,177,255,0,124,122,2,0,188,185,143,84,39,143,255,0,136,122,2,0,182,7,247,242,240,247,255,0,148,122,2,0,170,18,235,218,218,235,255,0,160,122,2,0,168,37,220,188,189,220,255,0,172,122,2,0,173,58,200,158,154,200,255,0,184,122,2,0,172,83,186,128,125,186,255,0,196,122,2,0,182,128,163,106,81,163,255,0,208,122,2,0,
190,216,134,74,20,134,255,0,220,122,2,0,191,2,253,252,251,253,255,0,232,122,2,0,180,8,245,239,237,245,255,0,244,122,2,0,170,18,235,218,218,235,255,0,0,123,2,0,168,37,220,188,189,220,255,0,12,123,2,0,173,58,200,158,154,200,255,0,24,123,2,0,172,83,186,128,125,186,255,0,36,123,2,0,182,128,163,106,81,163,255,0,48,123,2,0,190,216,134,74,20,134,255,0,60,123,2,0,191,2,253,252,251,253,255,0,72,123,2,0,180,8,245,239,237,245,255,0,84,123,2,0,170,18,235,218,218,235,255,0,96,123,2,0,168,37,220,188,189,220,255,
0,108,123,2,0,173,58,200,158,154,200,255,0,120,123,2,0,172,83,186,128,125,186,255,0,132,123,2,0,182,128,163,106,81,163,255,0,144,123,2,0,188,185,143,84,39,143,255,0,156,123,2,0,191,255,125,63,0,125,255,0,168,123,2,0,242,255,103,103,0,31,255,0,178,123,2,0,150,241,97,5,48,97,255,0,189,123,2,0,249,220,178,178,24,43,255,0,199,123,2,0,5,163,214,214,96,77,255,0,209,123,2,0,13,119,244,244,165,130,255,0,219,123,2,0,15,54,253,253,219,199,255,0,229,123,2,0,142,32,240,209,229,240,255,0,239,123,2,0,141,87,222,
146,197,222,255,0,249,123,2,0,143,167,195,67,147,195,255,0,3,124,2,0,148,206,172,33,102,172,255,0,13,124,2,0,242,255,103,103,0,31,255,0,23,124,2,0,148,206,172,33,102,172,255,0,34,124,2,0,150,241,97,5,48,97,255,0,45,124,2,0,249,220,178,178,24,43,255,0,55,124,2,0,5,163,214,214,96,77,255,0,65,124,2,0,13,119,244,244,165,130,255,0,75,124,2,0,15,54,253,253,219,199,255,0,85,124,2,0,0,0,247,247,247,247,255,0,95,124,2,0,142,32,240,209,229,240,255,0,105,124,2,0,141,87,222,146,197,222,255,0,115,124,2,0,143,
167,195,67,147,195,255,0,125,124,2,0,12,150,239,239,138,98,255,0,134,124,2,0,0,0,247,247,247,247,255,0,143,124,2,0,143,128,207,103,169,207,255,0,152,124,2,0,248,255,202,202,0,32,255,0,161,124,2,0,13,119,244,244,165,130,255,0,170,124,2,0,141,87,222,146,197,222,255,0,179,124,2,0,143,247,176,5,113,176,255,0,188,124,2,0,248,255,202,202,0,32,255,0,197,124,2,0,13,119,244,244,165,130,255,0,206,124,2,0,0,0,247,247,247,247,255,0,215,124,2,0,141,87,222,146,197,222,255,0,224,124,2,0,143,247,176,5,113,176,255,
0,233,124,2,0,249,220,178,178,24,43,255,0,242,124,2,0,12,150,239,239,138,98,255,0,251,124,2,0,15,54,253,253,219,199,255,0,4,125,2,0,142,32,240,209,229,240,255,0,13,125,2,0,143,128,207,103,169,207,255,0,22,125,2,0,148,206,172,33,102,172,255,0,31,125,2,0,249,220,178,178,24,43,255,0,40,125,2,0,12,150,239,239,138,98,255,0,49,125,2,0,15,54,253,253,219,199,255,0,58,125,2,0,0,0,247,247,247,247,255,0,67,125,2,0,142,32,240,209,229,240,255,0,76,125,2,0,143,128,207,103,169,207,255,0,85,125,2,0,148,206,172,33,
102,172,255,0,94,125,2,0,249,220,178,178,24,43,255,0,103,125,2,0,5,163,214,214,96,77,255,0,112,125,2,0,13,119,244,244,165,130,255,0,121,125,2,0,15,54,253,253,219,199,255,0,130,125,2,0,142,32,240,209,229,240,255,0,139,125,2,0,141,87,222,146,197,222,255,0,148,125,2,0,143,167,195,67,147,195,255,0,157,125,2,0,148,206,172,33,102,172,255,0,166,125,2,0,249,220,178,178,24,43,255,0,175,125,2,0,5,163,214,214,96,77,255,0,184,125,2,0,13,119,244,244,165,130,255,0,193,125,2,0,15,54,253,253,219,199,255,0,202,125,
2,0,0,0,247,247,247,247,255,0,211,125,2,0,142,32,240,209,229,240,255,0,220,125,2,0,141,87,222,146,197,222,255,0,229,125,2,0,143,167,195,67,147,195,255,0,238,125,2,0,148,206,172,33,102,172,255,0,247,125,2,0,242,255,103,103,0,31,255,0,1,126,2,0,0,0,26,26,26,26,255,0,12,126,2,0,249,220,178,178,24,43,255,0,22,126,2,0,5,163,214,214,96,77,255,0,32,126,2,0,13,119,244,244,165,130,255,0,42,126,2,0,15,54,253,253,219,199,255,0,52,126,2,0,0,0,224,224,224,224,255,0,62,126,2,0,0,0,186,186,186,186,255,0,72,126,
2,0,0,0,135,135,135,135,255,0,82,126,2,0,0,0,77,77,77,77,255,0,92,126,2,0,242,255,103,103,0,31,255,0,102,126,2,0,0,0,77,77,77,77,255,0,113,126,2,0,0,0,26,26,26,26,255,0,124,126,2,0,249,220,178,178,24,43,255,0,134,126,2,0,5,163,214,214,96,77,255,0,144,126,2,0,13,119,244,244,165,130,255,0,154,126,2,0,15,54,253,253,219,199,255,0,164,126,2,0,0,0,255,255,255,255,255,0,174,126,2,0,0,0,224,224,224,224,255,0,184,126,2,0,0,0,186,186,186,186,255,0,194,126,2,0,0,0,135,135,135,135,255,0,204,126,2,0,12,150,239,
239,138,98,255,0,213,126,2,0,0,0,255,255,255,255,255,0,222,126,2,0,0,0,153,153,153,153,255,0,231,126,2,0,248,255,202,202,0,32,255,0,240,126,2,0,13,119,244,244,165,130,255,0,249,126,2,0,0,0,186,186,186,186,255,0,2,127,2,0,0,0,64,64,64,64,255,0,11,127,2,0,248,255,202,202,0,32,255,0,20,127,2,0,13,119,244,244,165,130,255,0,29,127,2,0,0,0,255,255],"i8",4,n.q+64352);
B([255,255,255,0,38,127,2,0,0,0,186,186,186,186,255,0,47,127,2,0,0,0,64,64,64,64,255,0,56,127,2,0,249,220,178,178,24,43,255,0,65,127,2,0,12,150,239,239,138,98,255,0,74,127,2,0,15,54,253,253,219,199,255,0,83,127,2,0,0,0,224,224,224,224,255,0,92,127,2,0,0,0,153,153,153,153,255,0,101,127,2,0,0,0,77,77,77,77,255,0,110,127,2,0,249,220,178,178,24,43,255,0,119,127,2,0,12,150,239,239,138,98,255,0,128,127,2,0,15,54,253,253,219,199,255,0,137,127,2,0,0,0,255,255,255,255,255,0,146,127,2,0,0,0,224,224,224,224,
255,0,155,127,2,0,0,0,153,153,153,153,255,0,164,127,2,0,0,0,77,77,77,77,255,0,173,127,2,0,249,220,178,178,24,43,255,0,182,127,2,0,5,163,214,214,96,77,255,0,191,127,2,0,13,119,244,244,165,130,255,0,200,127,2,0,15,54,253,253,219,199,255,0,209,127,2,0,0,0,224,224,224,224,255,0,218,127,2,0,0,0,186,186,186,186,255,0,227,127,2,0,0,0,135,135,135,135,255,0,236,127,2,0,0,0,77,77,77,77,255,0,245,127,2,0,249,220,178,178,24,43,255,0,254,127,2,0,5,163,214,214,96,77,255,0,7,128,2,0,13,119,244,244,165,130,255,0,
16,128,2,0,15,54,253,253,219,199,255,0,25,128,2,0,0,0,255,255,255,255,255,0,34,128,2,0,0,0,224,224,224,224,255,0,43,128,2,0,0,0,186,186,186,186,255,0,52,128,2,0,0,0,135,135,135,135,255,0,61,128,2,0,0,0,77,77,77,77,255,0,70,128,2,0,3,32,253,253,224,221,255,0,79,128,2,0,244,92,250,250,159,181,255,0,88,128,2,0,227,220,197,197,27,138,255,0,97,128,2,0,13,28,254,254,235,226,255,0,106,128,2,0,252,72,251,251,180,185,255,0,115,128,2,0,238,147,247,247,104,161,255,0,124,128,2,0,224,253,174,174,1,126,255,0,133,
128,2,0,13,28,254,254,235,226,255,0,142,128,2,0,252,72,251,251,180,185,255,0,151,128,2,0,238,147,247,247,104,161,255,0,160,128,2,0,227,220,197,197,27,138,255,0,169,128,2,0,213,252,122,122,1,119,255,0,178,128,2,0,13,28,254,254,235,226,255,0,187,128,2,0,3,60,252,252,197,192,255,0,196,128,2,0,244,92,250,250,159,181,255,0,205,128,2,0,238,147,247,247,104,161,255,0,214,128,2,0,227,220,197,197,27,138,255,0,223,128,2,0,213,252,122,122,1,119,255,0,232,128,2,0,13,28,254,254,235,226,255,0,241,128,2,0,3,60,252,
252,197,192,255,0,250,128,2,0,244,92,250,250,159,181,255,0,3,129,2,0,238,147,247,247,104,161,255,0,12,129,2,0,230,195,221,221,52,151,255,0,21,129,2,0,224,253,174,174,1,126,255,0,30,129,2,0,213,252,122,122,1,119,255,0,39,129,2,0,14,12,255,255,247,243,255,0,48,129,2,0,3,32,253,253,224,221,255,0,57,129,2,0,3,60,252,252,197,192,255,0,66,129,2,0,244,92,250,250,159,181,255,0,75,129,2,0,238,147,247,247,104,161,255,0,84,129,2,0,230,195,221,221,52,151,255,0,93,129,2,0,224,253,174,174,1,126,255,0,102,129,2,
0,213,252,122,122,1,119,255,0,111,129,2,0,14,12,255,255,247,243,255,0,120,129,2,0,3,32,253,253,224,221,255,0,129,129,2,0,3,60,252,252,197,192,255,0,138,129,2,0,244,92,250,250,159,181,255,0,147,129,2,0,238,147,247,247,104,161,255,0,156,129,2,0,230,195,221,221,52,151,255,0,165,129,2,0,224,253,174,174,1,126,255,0,174,129,2,0,213,252,122,122,1,119,255,0,183,129,2,0,199,255,106,73,0,106,255,0,192,129,2,0,245,255,165,165,0,38,255,0,204,129,2,0,167,171,149,49,54,149,255,0,217,129,2,0,2,208,215,215,48,39,
255,0,229,129,2,0,10,184,244,244,109,67,255,0,241,129,2,0,20,157,253,253,174,97,255,0,253,129,2,0,30,110,254,254,224,144,255,0,9,130,2,0,136,24,248,224,243,248,255,0,21,130,2,0,138,67,233,171,217,233,255,0,33,130,2,0,143,113,209,116,173,209,255,0,45,130,2,0,151,157,180,69,117,180,255,0,57,130,2,0,245,255,165,165,0,38,255,0,69,130,2,0,151,157,180,69,117,180,255,0,82,130,2,0,167,171,149,49,54,149,255,0,95,130,2,0,2,208,215,215,48,39,255,0,107,130,2,0,10,184,244,244,109,67,255,0,119,130,2,0,20,157,253,
253,174,97,255,0,131,130,2,0,30,110,254,254,224,144,255,0,143,130,2,0,42,64,255,255,255,191,255,0,155,130,2,0,136,24,248,224,243,248,255,0,167,130,2,0,138,67,233,171,217,233,255,0,179,130,2,0,143,113,209,116,173,209,255,0,191,130,2,0,13,164,252,252,141,89,255,0,202,130,2,0,42,64,255,255,255,191,255,0,213,130,2,0,143,86,219,145,191,219,255,0,224,130,2,0,254,225,215,215,25,28,255,0,235,130,2,0,20,157,253,253,174,97,255,0,246,130,2,0,138,67,233,171,217,233,255,0,1,131,2,0,145,193,182,44,123,182,255,
0,12,131,2,0,254,225,215,215,25,28,255,0,23,131,2,0,20,157,253,253,174,97,255,0,34,131,2,0,42,64,255,255,255,191,255,0,45,131,2,0,138,67,233,171,217,233,255,0,56,131,2,0,145,193,182,44,123,182,255,0,67,131,2,0,2,208,215,215,48,39,255,0,78,131,2,0,13,164,252,252,141,89,255,0,89,131,2,0,30,110,254,254,224,144,255,0,100,131,2,0,136,24,248,224,243,248,255,0,111,131,2,0,143,86,219,145,191,219,255,0,122,131,2,0,151,157,180,69,117,180,255,0,133,131,2,0,2,208,215,215,48,39,255,0,144,131,2,0,13,164,252,252,
141,89,255,0,155,131,2,0,30,110,254,254,224,144,255,0,166,131,2,0,42,64,255,255,255,191,255,0,177,131,2,0,136,24,248,224,243,248,255,0,188,131,2,0,143,86,219,145,191,219,255,0,199,131,2,0,151,157,180,69,117,180,255,0,210,131,2,0,2,208,215,215,48,39,255,0,221,131,2,0,10,184,244,244,109,67,255,0,232,131,2,0,20,157,253,253,174,97,255,0,243,131,2,0,30,110,254,254,224,144,255,0,254,131,2,0,136,24,248,224,243,248,255,0,9,132,2,0,138,67,233,171,217,233,255,0,20,132,2,0,143,113,209,116,173,209,255,0,31,132,
2,0,151,157,180,69,117,180,255,0,42,132,2,0,2,208,215,215,48,39,255,0,53,132,2,0,10,184,244,244,109,67,255,0,64,132,2,0,20,157,253,253,174,97,255,0,75,132,2,0,30,110,254,254,224,144,255,0,86,132,2,0,42,64,255,255,255,191,255,0,97,132,2,0,136,24,248,224,243,248,255,0,108,132,2,0,138,67,233,171,217,233,255,0,119,132,2,0,143,113,209,116,173,209,255,0,130,132,2,0,151,157,180,69,117,180,255,0,141,132,2,0,245,255,165,165,0,38,255,0,153,132,2,0,107,255,104,0,104,55,255,0,166,132,2,0,2,208,215,215,48,39,
255,0,178,132,2,0,10,184,244,244,109,67,255,0,190,132,2,0,20,157,253,253,174,97,255,0,202,132,2,0,31,115,254,254,224,139,255,0,214,132,2,0,51,106,239,217,239,139,255,0,226,132,2,0,62,130,217,166,217,106,255,0,238,132,2,0,83,121,189,102,189,99,255,0,250,132,2,0,103,211,152,26,152,80,255,0,6,133,2,0,245,255,165,165,0,38,255,0,18,133,2,0,103,211,152,26,152,80,255,0,31,133,2,0,107,255,104,0,104,55,255,0,44,133,2,0,2,208,215,215,48,39,255,0,56,133,2,0,10,184,244,244,109,67,255,0,68,133,2,0,20,157,253,
253,174,97,255,0,80,133,2,0,31,115,254,254,224,139,255,0,92,133,2,0,42,64,255,255,255,191,255,0,104,133,2,0,51,106,239,217,239,139,255,0,116,133,2,0,62,130,217,166,217,106,255,0,128,133,2,0,83,121,189,102,189,99,255,0,140,133,2,0,13,164,252,252,141,89,255,0,151,133,2,0,42,64,255,255,255,191,255,0,162,133,2,0,66,136,207,145,207,96,255,0,173,133,2,0,254,225,215,215,25,28,255,0,184,133,2,0,20,157,253,253,174,97,255,0,195,133,2,0,62,130,217,166,217,106,255,0,206,133,2,0,98,210,150,26,150,65,255,0,217,
133,2,0,254,225,215,215,25,28,255,0,228,133,2,0,20,157,253,253,174,97,255,0,239,133,2,0,42,64,255,255,255,191,255,0,250,133,2,0,62,130,217,166,217,106,255,0,5,134,2,0,98,210,150,26,150,65,255,0,16,134,2,0,2,208,215,215,48,39,255,0,27,134,2,0,13,164,252,252,141,89,255,0,38,134,2,0,31,115,254,254,224,139,255,0,49,134,2,0,51,106,239,217,239,139,255,0,60,134,2,0,66,136,207,145,207,96,255,0,71,134,2,0,103,211,152,26,152,80,255,0,82,134,2,0,2,208,215,215,48,39,255,0,93,134,2,0,13,164,252,252,141,89,255,
0,104,134,2,0,31,115,254,254,224,139,255,0,115,134,2,0,42,64,255,255,255,191,255,0,126,134,2,0,51,106,239,217,239,139,255,0,137,134,2,0,66,136,207,145,207,96,255,0,148,134,2,0,103,211,152,26,152,80,255,0,159,134,2,0,2,208,215,215,48,39,255,0,170,134,2,0,10,184,244,244,109,67,255,0,181,134,2,0,20,157,253,253,174,97,255,0,192,134,2,0,31,115,254,254,224,139,255,0,203,134,2,0,51,106,239,217,239,139,255,0,214,134,2,0,62,130,217,166,217,106,255,0,225,134,2,0,83,121,189,102,189,99,255,0,236,134,2,0,103,
211,152,26,152,80,255,0,247,134,2,0,2,208,215,215,48,39,255,0,2,135,2,0,10,184,244,244,109,67,255,0,13,135,2,0,20,157,253,253,174,97,255,0,24,135,2,0,31,115,254,254,224,139,255,0,35,135,2,0,42,64,255,255,255,191,255,0,46,135,2,0,51,106,239,217,239,139,255,0,57,135,2,0,62,130,217,166,217,106,255,0,68,135,2,0,83,121,189,102,189,99,255,0,79,135,2,0,103,211,152,26,152,80,255,0,90,135,2,0,13,44,254,254,224,210,255,0,99,135,2,0,9,139,252,252,146,114,255,0,108,135,2,0,1,211,222,222,45,38,255,0,117,135,2,
0,13,37,254,254,229,217,255,0,126,135,2,0,11,108,252,252,174,145,255,0,135,135,2,0,7,179,251,251,106,74,255,0,144,135,2,0,253,224,203,203,24,29,255,0,153,135,2,0,13,37,254,254,229,217,255,0,162,135,2,0,11,108,252,252,174,145,255,0,171,135,2,0,7,179,251,251,106,74,255,0,180,135,2,0,1,211,222,222,45,38,255,0,189,135,2,0,253,231,165,165,15,21,255,0,198,135,2,0,13,37,254,254,229,217,255,0,207,135,2,0,12,92,252,252,187,161,255,0,216,135,2,0,9,139,252,252,146,114,255,0,225,135,2,0,7,179,251,251,106,74,
255,0,234,135,2,0,1,211,222,222,45,38,255,0,243,135,2,0,253,231,165,165,15,21,255,0,252,135,2,0,13,37,254,254,229,217,255,0,5,136,2,0,12,92,252,252,187,161,255,0,14,136,2,0,9,139,252,252,146,114,255,0,23,136,2,0,7,179,251,251,106,74,255,0,32,136,2,0,3,208,239,239,59,44,255,0,41,136,2,0,253,224,203,203,24,29,255,0,50,136,2,0,251,255,153,153,0,13,255,0,59,136,2,0,14,15,255,255,245,240,255,0,68,136,2,0,13,44,254,254,224,210,255,0,77,136,2,0,12,92,252,252,187,161,255,0,86,136,2,0,9,139,252,252,146,114,
255,0,95,136,2,0,7,179,251,251,106,74,255,0,104,136,2,0,3,208,239,239,59,44,255,0,113,136,2,0,253,224,203,203,24,29,255,0,122,136,2,0,251,255,153,153,0,13,255,0,131,136,2,0,14,15,255,255,245,240,255,0,140,136,2,0,13,44,254,254,224,210,255,0,149,136,2,0,12,92,252,252,187,161,255,0,158,136,2,0,9,139,252,252,146,114,255,0,167,136,2,0,7,179,251,251,106,74,255,0,176,136,2,0,3,208,239,239,59,44,255,0,185,136,2,0,253,224,203,203,24,29,255,0,194,136,2,0,253,231,165,165,15,21,255,0,203,136,2,0,249,255,103,
103,0,13,255,0,212,136,2,0,254,225,228,228,26,28,255,0,221,136,2,0,146,178,184,55,126,184,255,0,230,136,2,0,83,147,175,77,175,74,255,0,239,136,2,0,254,225,228,228,26,28,255,0,248,136,2,0,146,178,184,55,126,184,255,0,1,137,2,0,83,147,175,77,175,74,255,0,10,137,2,0,207,132,163,152,78,163,255,0,19,137,2,0,254,225,228,228,26,28,255,0,28,137,2,0,146,178,184,55,126,184,255,0,37,137,2,0,83,147,175,77,175,74,255,0,46,137,2,0,207,132,163,152,78,163,255,0,55,137,2,0,21,255,255,255,127,0,255,0,64,137,2,0,254,
225,228,228,26,28,255,0,73,137,2,0,146,178,184,55,126,184,255,0,82,137,2,0,83,147,175,77,175,74,255,0,91,137,2,0,207,132,163,152,78,163,255,0,100,137,2,0,21,255,255,255,127,0,255,0,109,137,2,0,42,204,255,255,255,51,255,0,118,137,2,0,254,225,228,228,26,28,255,0,127,137,2,0,146,178,184,55,126,184,255,0,136,137,2,0,83,147,175,77,175,74,255,0,145,137,2,0,207,132,163,152,78,163,255,0,154,137,2,0,21,255,255,255,127,0,255,0,163,137,2,0,42,204,255,255,255,51,255,0,172,137,2,0,15,193,166,166,86,40,255,0,181,
137,2,0,254,225,228,228,26,28,255,0,190,137,2,0,146,178,184,55,126,184,255,0,199,137,2,0,83,147,175,77,175,74,255,0,208,137,2,0,207,132,163,152,78,163,255,0,217,137,2,0,21,255,255,255,127,0,255,0,226,137,2,0,42,204,255,255,255,51,255,0,235,137,2,0,15,193,166,166,86,40,255,0,244,137,2,0,232,121,247,247,129,191,255,0,253,137,2,0,254,225,228,228,26,28,255,0,6,138,2,0,146,178,184,55,126,184,255,0,15,138,2,0,83,147,175,77,175,74,255,0,24,138,2,0,207,132,163,152,78,163,255,0,33,138,2,0,21,255,255,255,127,
0,255,0,42,138,2,0,42,204,255,255,255,51,255,0,51,138,2,0,15,193,166,166,86,40,255,0,60,138,2,0,232,121,247,247,129,191,255,0,69,138,2,0,0,0,153,153,153,153,255,0,78,138,2,0,114,120,194,102,194,165,255,0,87,138,2,0,11,155,252,252,141,98,255,0,96,138,2,0,156,77,203,141,160,203,255,0,105,138,2,0,114,120,194,102,194,165,255,0,114,138,2,0,11,155,252,252,141,98,255,0,123,138,2,0,156,77,203,141,160,203,255,0,132,138,2,0,228,102,231,231,138,195,255,0,141,138,2,0,114,120,194,102,194,165,255,0,150,138,2,0,
11,155,252,252,141,98,255,0,159,138,2,0,156,77,203,141,160,203,255,0,168,138,2,0,228,102,231,231,138,195,255,0,177,138,2,0,58,155,216,166,216,84,255,0,186,138,2,0,114,120,194,102,194,165,255,0,195,138,2,0,11,155,252,252,141,98,255,0,204,138,2,0,156,77,203,141,160,203,255,0,213,138,2,0,228,102,231,231,138,195,255,0,222,138,2,0,58,155,216,166,216,84,255,0,231,138,2,0,34,208,255,255,217,47,255,0,240,138,2,0,114,120,194,102,194,165,255,0,249,138,2,0,11,155,252,252,141,98,255,0,2,139,2,0,156,77,203,141,
160,203,255,0,11,139,2,0,228,102,231,231,138,195,255,0,20,139,2,0,58,155,216,166,216,84,255,0,29,139,2,0,34,208,255,255,217,47,255,0,38,139,2,0,25,90,229,229,196,148,255,0,47,139,2,0,114,120,194,102,194,165,255,0,56,139,2,0,11,155,252,252,141,98,255,0,65,139,2,0,156,77,203,141,160,203,255,0,74,139,2,0,228,102,231,231,138,195,255,0,83,139,2,0,58,155,216,166,216,84,255,0,92,139,2,0,34,208,255,255,217,47,255,0,101,139,2,0,25,90,229,229,196,148,255,0,110,139,2,0,0,0,179,179,179,179,255,0,119,139,2,0,
120,84,211,141,211,199,255,0,129,139,2,0,211,82,189,188,128,189,255,0,140,139,2,0,42,76,255,255,255,179,255,0,150,139,2,0,175,37,218,190,186,218,255,0,160,139,2,0,4,139,251,251,128,114,255,0,170,139,2,0,144,100,211,128,177,211,255,0,180,139,2,0,22,156,253,253,180,98,255,0,190,139,2,0,58,134,222,179,222,105,255,0,200,139,2,0,233,47,252,252,205,229,255,0,210,139,2,0,0,0,217,217,217,217,255,0,220,139,2,0,120,84,211,141,211,199,255,0,230,139,2,0,211,82,189,188,128,189,255,0,241,139,2,0,77,41,235,204,
235,197,255,0,252,139,2,0,42,76,255,255,255,179,255,0,6,140,2,0,175,37,218,190,186,218,255,0,16,140,2,0,4,139,251,251,128,114,255,0,26,140,2,0,144,100,211,128,177,211,255,0,36,140,2,0,22,156,253,253,180,98,255,0,46,140,2,0,58,134,222,179,222,105,255,0,56,140,2,0,233,47,252,252,205,229,255,0,66,140,2,0,0,0,217,217,217,217,255,0,76,140,2,0,120,84,211,141,211,199,255,0,86,140,2,0,211,82,189,188,128,189,255,0,97,140,2,0,77,41,235,204,235,197,255,0,108,140,2,0,37,144,255,255,237,111,255,0,119,140,2,0,
42,76,255,255,255,179,255,0,129,140,2,0,175,37,218,190,186,218,255,0,139,140,2,0,4,139,251,251,128,114,255,0,149,140,2,0,144,100,211,128,177,211,255,0,159,140,2,0,22,156,253,253,180,98,255,0,169,140,2,0,58,134,222,179,222,105,255,0,179,140,2,0,233,47,252,252,205,229,255,0,189,140,2,0,0,0,217,217,217,217,255,0,199,140,2,0,120,84,211,141,211,199,255,0,208,140,2,0,42,76,255,255,255,179,255,0,217,140,2,0,175,37,218,190,186,218,255,0,226,140,2,0,120,84,211,141,211,199,255,0,235,140,2,0,42,76,255,255,255,
179,255,0,244,140,2,0,175,37,218,190,186,218,255,0,253,140,2,0,4,139,251,251,128,114,255,0,6,141,2,0,120,84,211,141,211,199,255,0,15,141,2,0,42,76,255,255,255,179,255,0,24,141,2,0,175,37,218,190,186,218,255,0,33,141,2,0,4,139,251,251,128,114,255,0,42,141,2,0,144,100,211,128,177,211,255,0,51,141,2,0,120,84,211,141,211,199,255,0,60,141,2,0,42,76,255,255,255,179,255,0,69,141,2,0,175,37,218,190,186,218,255,0,78,141,2,0,4,139,251,251,128,114,255,0,87,141,2,0,144,100,211,128,177,211,255,0,96,141,2,0,22,
156,253,253,180,98,255,0,105,141,2,0,120,84,211,141,211,199,255,0,114,141,2,0,42,76,255,255,255,179,255,0,123,141,2,0,175,37,218,190,186,218,255,0,132,141,2,0,4,139,251,251,128,114,255,0,141,141,2,0,144,100,211,128,177,211,255,0,150,141,2,0,22,156,253,253,180,98,255,0,159,141,2,0,58,134,222,179,222,105,255,0,168,141,2,0,120,84,211,141,211,199,255,0,177,141,2,0,42,76,255,255,255,179,255,0,186,141,2,0,175,37,218,190,186,218,255,0,195,141,2,0,4,139,251,251,128,114,255,0,204,141,2,0,144,100,211,128,177,
211,255,0,213,141,2,0,22,156,253,253,180,98,255,0,222,141,2,0,58,134,222,179,222,105,255,0,231,141,2,0,233,47,252,252,205,229,255,0,240,141,2,0,120,84,211,141,211,199,255,0,249,141,2,0,42,76,255,255,255,179,255,0,2,142,2,0,175,37,218,190,186,218,255,0,11,142,2,0,4,139,251,251,128,114,255,0,20,142,2,0,144,100,211,128,177,211,255,0,29,142,2,0,22,156,253,253,180,98,255,0,38,142,2,0,58,134,222,179,222,105,255,0,47,142,2,0,233,47,252,252,205,229,255,0,56,142,2,0,0,0,217,217,217,217,255,0,65,142,2,0,237,
253,158,158,1,66,255,0,79,142,2,0,177,130,162,94,79,162,255,0,94,142,2,0,250,180,213,213,62,79,255,0,108,142,2,0,10,184,244,244,109,67,255,0,122,142,2,0,20,157,253,253,174,97,255,0,136,142,2,0,31,115,254,254,224,139,255,0,150,142,2,0,49,96,245,230,245,152,255,0,164,142,2,0,79,65,221,171,221,164,255,0,178,142,2,0,114,120,194,102,194,165,255,0,192,142,2,0,143,187,189,50,136,189,255,0,206,142,2,0,237,253,158,158,1,66,255,0,220,142,2,0,143,187,189,50,136,189,255,0,235,142,2,0,177,130,162,94,79,162,255,
0,250,142,2,0,250,180,213,213,62,79,255,0,8,143,2,0,10,184,244,244,109,67,255,0,22,143,2,0,20,157,253,253,174,97,255,0,36,143,2,0,31,115,254,254,224,139,255,0,50,143,2,0,42,64,255,255,255,191,255,0,64,143,2,0,49,96,245,230,245,152,255,0,78,143,2,0,79,65,221,171,221,164,255,0,92,143,2,0,114,120,194,102,194,165,255,0,106,143,2,0,13,164,252,252,141,89,255,0,119,143,2,0,42,64,255,255,255,191,255,0,132,143,2,0,81,77,213,153,213,148,255,0,145,143,2,0,254,225,215,215,25,28,255,0,158,143,2,0,20,157,253,253,
174,97,255,0,171,143,2,0,79,65,221,171,221,164,255,0,184,143,2,0,143,196,186,43,131,186,255,0,197,143,2,0,254,225,215,215,25,28,255,0,210,143,2,0,20,157,253,253,174,97,255,0,223,143,2,0,42,64,255,255,255,191,255,0,236,143,2,0,79,65,221,171,221,164,255,0,249,143,2,0,143,196,186,43,131,186,255,0,6,144,2,0,250,180,213,213,62,79,255,0,19,144,2,0,13,164,252,252,141,89,255,0,32,144,2,0,31,115,254,254,224,139,255,0,45,144,2,0,49,96,245,230,245,152,255,0,58,144,2,0,81,77,213,153,213,148,255,0,71,144,2,0,
143,187,189,50,136,189,255,0,84,144,2,0,250,180,213,213,62,79,255,0,97,144,2,0,13,164,252,252,141,89,255,0,110,144,2,0,31,115,254,254,224,139,255,0,123,144,2,0,42,64,255,255,255,191,255,0,136,144,2,0,49,96,245,230,245,152,255,0,149,144,2,0,81,77,213,153,213,148,255,0,162,144,2,0,143,187,189,50,136,189,255,0,175,144,2,0,250,180,213,213,62,79,255,0,188,144,2,0,10,184,244,244,109,67,255,0,201,144,2,0,20,157,253,253,174,97,255,0,214,144,2,0,31,115,254,254,224,139,255,0,227,144,2,0,49,96,245,230,245,152,
255,0,240,144,2,0,79,65,221,171,221,164,255,0,253,144,2,0,114,120,194,102,194,165,255,0,10,145,2,0,143,187,189,50,136,189,255,0,23,145,2,0,250,180,213,213,62,79,255,0,36,145,2,0,10,184,244,244,109,67,255,0,49,145,2,0,20,157,253,253,174,97,255,0,62,145,2,0,31,115,254,254,224,139,255,0,75,145,2,0,42,64,255,255,255,191,255,0,88,145,2,0,49,96,245,230,245,152,255,0,101,145,2,0,79,65,221,171,221,164,255,0,114,145,2,0,114,120,194,102,194,165,255,0,127,145,2,0,143,187,189,50,136,189,255,0,140,145,2,0,147,
15,255,240,248,255,255,0,155,145,2,0,24,35,250,250,235,215,255,0,173,145,2,0,127,255,255,0,255,255,255,0,183,145,2,0,113,128,255,127,255,212,255,0,199,145,2,0,127,15,255,240,255,255,255,0,210,145,2,0,42,26,245,245,245,220,255,0,221,145,2,0,23,58,255,255,228,196,255,0,233,145,2,0,0,0,0,0,0,0,255,0,244,145,2,0,25,49,255,255,235,205,255,0,8,146,2,0,170,255,255,0,0,255,255,0,18,146,2,0,192,206,226,138,43,226,255,0,34,146,2,0,0,190,165,165,42,42,255,0,45,146,2,0,23,99,222,222,184,135,255,0,60,146,2,0,
128,103,160,95,158,160,255,0,75,146,2,0,63,255,255,127,255,0,255,0,91,146,2,0,17,218,210,210,105,30,255,0,106,146,2,0,11,175,255,255,127,80,255,0,117,146,2,0,154,147,237,100,149,237,255,0,137,146,2,0,33,34,255,255,248,220,255,0,151,146,2,0,246,231,220,220,20,60,255,0,164,146,2,0,127,255,255,0,255,255,255,0,174,146,2,0,170,255,139,0,0,139,255,0,188,146,2,0,127,255,139,0,139,139,255,0,202,146,2,0,30,239,184,184,134,11,255,0,221,146,2,0,0,0,169,169,169,169,255,0,235,146,2,0,85,255,100,0,100,0,255,0,
250,146,2,0,0,0,169,169,169,169,255,0,8,147,2,0,39,110,189,189,183,107,255,0,23,147,2,0,212,255,139,139,0,139,255,0,40,147,2,0,58,142,107,85,107,47,255,0,60,147,2,0,23,255,255,255,140,0,255,0,76,147,2,0,198,192,204,153,50,204,255,0,92,147,2,0,0,255,139,139,0,0,255,0,105,147,2,0,10,121,233,233,150,122,255,0,121,147,2,0,85,61,188,143,188,143,255,0,139,147,2,0,175,143,139,72,61,139,255,0,158,147,2,0,127,103,79,47,79,79,255,0,177,147,2,0,127,103,79,47,79,79,255,0,196,147,2,0,128,255,209,0,206,209,255,
0,215,147,2,0,199,255,211,148,0,211,255,0,231,147,2,0,232,235,255,255,20,147,255,0,245,147,2,0,138,255,255,0,191,255,255,0,6,148,2,0,0,0,105,105,105,105,255,0,19,148,2,0,0,0,105,105,105,105,255,0,32,148,2,0,148,225,255,30,144,255,255,0,48,148,2,0,0,206,178,178,34,34,255,0,63,148,2,0,28,15,255,255,250,240,255,0,80,148,2,0,85,192,139,34,139,34,255,0,97,148,2,0,212,255,255,255,0,255,255,0,110,148,2,0,0,0,220,220,220,220,255,0,125,148,2,0,170,7,255,248,248,255,255,0,141,148,2,0,35,255,255,255,215,0,255,
0,151,148,2,0,30,217,218,218,165,32,255,0,166,148,2,0,0,0,128,128,128,128,255,0,176,148,2,0,85,255,128,0,128,0,255,0,187,148,2,0,59,208,255,173,255,47,255,0,204,148,2,0,0,0,128,128,128,128,255,0,214,148,2,0,85,15,255,240,255,240,255,0,228,148,2,0,233,150,255,255,105,180,255,0,241,148,2,0,0,140,205,205,92,92,255,0,0,149,2,0,194,255,130,75,0,130,255,0,12,149,2,0,42,15,255,255,255,240,255,0,23,149,2,0,38,106,240,240,230,140,255,0,34,149,2,0,170,20,250,230,230,250,255,0,48,149,2,0,240,15,255,255,240,
245,255,0,67,149,2,0,64,255,252,124,252,0,255,0,82,149,2,0,38,49,255,255,250,205,255,0,100,149,2,0,137,63,230,173,216,230,255,0,115,149,2,0,0,119,240,240,128,128,255,0,131,149,2,0,127,31,255,224,255,255,255,0,146,149,2,0,42,40,250,250,250,210,255,0,172,149,2,0,0,0,211,211,211,211,255,0,187,149,2,0,85,100,238,144,238,144,255,0,203,149,2,0,0,0,211,211,211,211,255,0,218,149,2,0,248,73,255,255,182,193,255,0,233,149,2,0,12,132,255,255,160,122,255,0,250,149,2,0,125,209,178,32,178,170,255,0,13,150,2,0,143,
117,250,135,206,250,255,0,31,150,2,0,148,56,153,119,136,153,255,0,51,150,2,0,148,56,153,119,136,153,255,0,71,150,2,0,151,52,222,176,196,222,255,0,91,150,2,0,42,31,255,255,255,224,255,0,108,150,2,0,85,255,255,0,255,0,255,0,118,150,2,0,85,192,205,50,205,50,255,0,133,150,2,0,21,20,250,250,240,230,255,0,144,150,2,0,212,255,255,255,0,255,255,0,157,150,2,0,0,255,128,128,0,0,255,0,169,150,2,0,113,128,205,102,205,170,255,0,191,150,2,0,170,255,205,0,0,205,255,0,207,150,2,0,204,152,211,186,85,211,255,0,225,
150,2,0,183,124,219,147,112,219,255,0,243,150,2,0,103,169,179,60,179,113,255,0,7,151,2,0,176,143,238,123,104,238,255,0,28,151,2,0,111,255,250,0,250,154,255,0,51,151,2,0,125,167,209,72,209,204,255,0,72,151,2,0,228,228,199,199,21,133,255,0,93,151,2,0,170,198,112,25,25,112,255,0,111,151,2,0,106,9,255,245,255,250,255,0,126,151,2,0,4,30,255,255,228,225,255,0,141,151,2,0,26,73,255,255,228,181,255,0,155,151,2,0,25,81,255,255,222,173,255,0,172,151,2,0,170,255,128,0,0,128,255,0,182,151,2,0,27,23,253,253,245,
230,255,0,195,151,2,0,42,255,128,128,128,0,255,0,206,151,2,0,56,192,142,107,142,35,255,0,221,151,2,0,27,255,255,255,165,0,255,0,233,151,2,0,11,255,255,255,69,0,255,0,248,151,2,0,214,123,218,218,112,214,255,0,4,152,2,0,38,72,238,238,232,170,255,0,23,152,2,0,85,100,251,152,251,152,255,0,38,152,2,0,127,67,238,175,238,238,255,0,57,152,2,0,241,124,219,219,112,147,255,0,76,152,2,0,26,41,255,255,239,213,255,0,92,152,2,0,20,70,255,255,218,185,255,0,107,152,2,0,20,176,205,205,133,63,255,0,117,152,2,0,247,
63,255,255,192,203,255,0,127,152,2,0,212,70,221,221,160,221,255,0,137,152,2,0,132,59,230,176,224,230,255,0,153,152,2,0,212,255,128,128,0,128,255,0,165,152,2,0,0,255,255,255,0,0,255,0,174,152,2,0,0,61,188,188,143,143,255,0,189,152,2,0,159,181,225,65,105,225,255,0,204,152,2,0,17,220,139,139,69,19,255,0,221,152,2,0,4,138,250,250,128,114,255,0,233,152,2,0,19,154,244,244,164,96,255,0,249,152,2,0,103,170,139,46,139,87,255,0,7,153,2,0,17,16,255,255,245,238,255,0,21,153,2,0,13,183,160,160,82,45,255,0,33,
153,2,0,0,0,192,192,192,192,255,0,45,153,2,0,139,108,235,135,206,235,255,0,58,153,2,0,175,143,205,106,90,205,255,0,73,153,2,0,148,56,144,112,128,144,255,0,88,153,2,0,148,56,144,112,128,144,255,0,103,153,2,0,0,5,255,255,250,250,255,0,113,153,2,0,106,255,255,0,255,127,255,0,130,153,2,0,146,155,180,70,130,180,255,0,145,153,2,0,24,84,210,210,180,140,255,0,154,153,2,0,127,255,128,0,128,128,255,0,164,153,2,0,212,29,216,216,191,216,255,0,177,153,2,0,6,184,255,255,99,71,255,0,189,153,2,0,123,182,224,64,224,
208,255,0,204,153,2,0,212,115,238,238,130,238,255,0,216,153,2,0,27,68,245,245,222,179,255,0,227,153,2,0,0,0,255,255,255,255,255,0,238,153,2,0,0,0,245,245,245,245,255,0,254,153,2,0,42,255,255,255,255,0,255,0,10,154,2,0,56,192,205,154,205,50,255,0,27,154,2,0,45,67,252,247,252,185,255,0,36,154,2,0,68,91,221,173,221,142,255,0,45,154,2,0,98,178,163,49,163,84,255,0,54,154,2,0,42,50,255,255,255,204,255,0,63,154,2,0,62,85,230,194,230,153,255,0,72,154,2,0,85,100,198,120,198,121,255,0,81,154,2,0,99,187,132,
35,132,67,255,0,90,154,2,0,42,50,255,255,255,204,255,0,99,154,2,0,62,85,230,194,230,153,255,0,108,154,2,0,85,100,198,120,198,121,255,0,117,154,2,0,98,178,163,49,163,84,255,0,126,154,2,0,107,255,104,0,104,55,255,0,135,154,2,0,42,50,255,255,255,204,255,0,144,154,2,0,55,81,240,217,240,163,255,0,153,154,2,0,68,91,221,173,221,142,255,0,162,154,2,0,85,100,198,120,198,121,255,0,171,154,2,0,98,178,163,49,163,84,255,0,180,154,2,0,107,255,104,0,104,55,255,0,189,154,2,0,42,50,255,255,255,204,255,0,198,154,2,
0,55,81,240,217,240,163,255,0,207,154,2,0,68,91,221,173,221,142,255,0,216,154,2,0,85,100,198,120,198,121,255,0,225,154,2,0,96,158,171,65,171,93,255,0,234,154,2,0,99,187,132,35,132,67,255,0,243,154,2,0,108,255,90,0,90,50,255,0,252,154,2,0,42,25,255,255,255,229,255,0,5,155,2,0,45,67,252,247,252,185,255,0,14,155,2,0,55,81,240,217,240,163,255,0,23,155,2,0,68,91,221,173,221,142,255,0,32,155,2,0,85,100,198,120,198,121,255,0,41,155,2,0,96,158,171,65,171,93,255,0,50,155,2,0,99,187,132,35,132,67,255,0,59,
155,2,0,108,255,90,0,90,50,255,0,68,155,2,0,42,25,255,255,255,229,255,0,77,155,2,0,45,67,252,247,252,185,255,0,86,155,2,0,55,81,240,217,240,163,255,0,95,155,2,0,68,91,221,173,221,142,255,0,104,155,2,0,85,100,198,120,198,121,255,0,113,155,2,0,96,158,171,65,171,93,255,0,122,155,2,0,99,187,132,35,132,67,255,0,131,155,2,0,107,255,104,0,104,55,255,0,140,155,2,0,110,255,69,0,69,41,255,0,149,155,2,0,49,73,248,237,248,177,255,0,160,155,2,0,117,97,205,127,205,187,255,0,171,155,2,0,144,194,184,44,127,184,255,
0,182,155,2,0,42,50,255,255,255,204,255,0,193,155,2,0,99,66,218,161,218,180,255,0,204,155,2,0,132,170,196,65,182,196,255,0,215,155,2,0,150,203,168,34,94,168,255,0,226,155,2,0,42,50,255,255,255,204,255,0,237,155,2,0,99,66,218,161,218,180,255,0,248,155,2,0,132,170,196,65,182,196,255,0,3,156,2,0,144,194,184,44,127,184,255,0,14,156,2,0,164,191,148,37,52,148,255,0,25,156,2,0,42,50,255,255,255,204,255,0,36,156,2,0,69,58,233,199,233,180,255,0,47,156,2,0,117,97,205,127,205,187,255,0,58,156,2,0,132,170,196,
65,182,196,255,0,69,156,2,0,144,194,184,44,127,184,255,0,80,156,2,0,164,191,148,37,52,148,255,0,91,156,2,0,42,50,255,255,255,204,255,0,102,156,2,0,69,58,233,199,233,180,255,0,113,156,2,0,117,97,205,127,205,187,255,0,124,156,2,0,132,170,196,65,182,196,255,0,135,156,2,0,139,216,192,29,145,192,255,0,146,156,2,0,150,203,168,34,94,168,255,0,157,156,2,0,158,231,132,12,44,132,255,0,168,156,2,0,42,38,255,255,255,217,255,0,179,156,2,0,49,73,248,237,248,177,255,0,190,156,2,0,69,58,233,199,233,180,255,0,201,
156,2,0,117,97,205,127,205,187,255,0,212,156,2,0,132,170,196,65,182,196,255,0,223,156,2,0,139,216,192,29,145,192,255,0,234,156,2,0,150,203,168,34,94,168,255,0,245,156,2,0,158,231,132,12,44,132,255,0,0,157,2,0,42,38,255,255,255,217,255,0,11,157,2,0,49,73,248,237,248,177,255,0,22,157,2,0,69,58,233,199,233,180,255,0,33,157,2,0,117,97,205,127,205,187,255,0,44,157,2,0,132,170,196,65,182,196,255,0,55,157,2,0,139,216,192,29,145,192,255,0,66,157,2,0,150,203,168,34,94,168,255,0,77,157,2,0,164,191,148,37,52,
148,255,0,88,157,2,0,158,231,88,8,29,88,255,0,99,157,2,0,37,66,255,255,247,188,255,0,110,157,2,0,28,175,254,254,196,79,255,0,121,157,2,0,16,238,217,217,95,14,255,0,132,157,2,0,42,42,255,255,255,212,255,0,143,157,2,0,28,112,254,254,217,142,255,0,154,157,2,0,22,213,254,254,153,41,255,0,165,157,2,0,15,252,204,204,76,2,255,0,176,157,2,0,42,42,255,255,255,212,255,0,187,157,2,0,28,112,254,254,217,142,255,0,198,157,2,0,22,213,254,254,153,41,255,0,209,157,2,0,16,238,217,217,95,14,255,0,220,157,2,0,13,248,
153,153,52,4,255,0,231,157,2,0,42,42,255,255,255,212,255,0,242,157,2,0,31,109,254,254,227,145,255,0,253,157,2,0,28,175,254,254,196,79,255,0,8,158,2,0,22,213,254,254,153,41,255,0,19,158,2,0,16,238,217,217,95,14,255,0,30,158,2,0,13,248,153,153,52,4,255,0,41,158,2,0,42,42,255,255,255,212,255,0,52,158,2,0,31,109,254,254,227,145,255,0,63,158,2,0,28,175,254,254,196,79,255,0,74,158,2,0,22,213,254,254,153,41,255,0,85,158,2,0,18,233,236,236,112,20,255,0,96,158,2,0,15,252,204,204,76,2,255,0,107,158,2,0,12,
247,140,140,45,4,255,0,118,158,2,0,42,25,255,255,255,229,255,0,129,158,2,0,37,66,255,255,247,188,255,0,140,158,2,0,31,109,254,254,227,145,255,0,151,158,2,0,28,175,254,254,196,79,255,0,162,158,2,0,22,213,254,254,153,41,255,0,173,158,2,0,18,233,236,236,112,20,255,0,184,158,2,0,15,252,204,204,76,2,255,0,195,158,2,0,12,247,140,140,45,4,255,0,206,158,2,0,42,25,255,255,255,229,255,0,217,158,2,0,37,66,255,255,247,188,255,0,228,158,2,0,31,109,254,254,227,145,255,0,239,158,2,0,28,175,254,254,196,79,255,0,
250,158,2,0,22,213,254,254,153,41,255,0,5,159,2,0,18,233,236,236,112,20,255,0,16,159,2,0,15,252,204,204,76,2,255,0,27,159,2,0,13,248,153,153,52,4,255,0,38,159,2,0,13,240,102,102,37,6,255,0,49,159,2,0,34,95,255,255,237,160,255,0,60,159,2,0,24,178,254,254,178,76,255,0,71,159,2,0,5,221,240,240,59,32,255,0,82,159,2,0,42,77,255,255,255,178,255,0,93,159,2,0,29,162,254,254,204,92,255,0,104,159,2,0,17,194,253,253,141,60,255,0,115,159,2,0,254,225,227,227,26,28,255,0,126,159,2,0,42,77,255,255,255,178,255,0,
137,159,2,0,29,162,254,254,204,92,255,0,148,159,2,0,17,194,253,253,141,60,255,0,159,159,2,0,5,221,240,240,59,32,255,0,170,159,2,0,246,255,189,189,0,38,255,0,181,159,2,0,42,77,255,255,255,178,255,0,192,159,2,0,30,136,254,254,217,118,255,0,203,159,2,0,24,178,254,254,178,76,255,0,214,159,2,0,17,194,253,253,141,60,255,0,225,159,2,0,5,221,240,240,59,32,255,0,236,159,2,0,246,255,189,189,0,38,255,0,247,159,2,0,42,77,255,255,255,178,255,0,2,160,2,0,30,136,254,254,217,118,255,0,13,160,2,0,24,178,254,254,178,
76,255,0,24,160,2,0,17,194,253,253,141,60,255,0,35,160,2,0,7,212,252,252,78,42,255,0,46,160,2,0,254,225,227,227,26,28,255,0,57,160,2,0,245,255,177,177,0,38,255,0,68,160,2,0,42,50,255,255,255,204,255,0,79,160,2,0,34,95,255,255,237,160,255,0,90,160,2,0,30,136,254,254,217,118,255,0,101,160,2,0,24,178,254,254,178,76,255,0,112,160,2,0,17,194,253,253,141,60,255,0,123,160,2,0,7,212,252,252,78,42,255,0,134,160,2,0,254,225,227,227,26,28,255,0,145,160,2,0,245,255,177,177,0,38,255,0,156,160,2,0,42,50,255,255,
255,204,255,0,167,160,2,0,34,95,255,255,237,160,255,0,178,160,2,0,30,136,254,254,217,118,255,0,189,160,2,0,24,178,254,254,178,76,255,0,200,160,2,0,17,194,253,253,141,60,255,0,211,160,2,0,7,212,252,252,78,42,255,0,222,160,2,0,254,225,227,227,26,28,255,0,233,160,2,0,246,255,189,189,0,38,255,0,244,160,2,0,242,255,128,128,0,38,255,0,255,160,2,0,147,15,255,240,248,255,255,0,9,161,2,0,24,35,250,250,235,215,255,0,22,161,2,0,23,36,255,255,239,219,255,0,36,161,2,0,23,36,238,238,223,204,255,0,50,161,2,0,23,
36,205,205,192,176,255,0,64,161,2,0,24,34,139,139,131,120,255,0,78,161,2,0,113,128,255,127,255,212,255,0,89,161,2,0,113,128,255,127,255,212,255,0,101,161,2,0,113,128,238,118,238,198,255,0,113,161,2,0,113,128,205,102,205,170,255,0,125,161,2,0,113,128,139,69,139,116,255,0,137,161,2,0,127,15,255,240,255,255,255,0,143,161,2,0,127,15,255,240,255,255,255,0,150,161,2,0,127,15,238,224,238,238,255,0,157,161,2,0,127,14,205,193,205,205,255,0,164,161,2,0,127,14,139,131,139,139,255,0,171,161,2,0,42,26,245,245,
245,220,255,0,177,161,2,0,23,58,255,255,228,196,255,0,184,161,2,0,23,58,255,255,228,196,255,0,192,161,2,0,23,58,238,238,213,183,255,0,200,161,2,0,22,58,205,205,183,158,255,0,208,161,2,0,23,58,139,139,125,107,255,0,202,184,2,0,0,0,0,0,0,0,255,0,216,161,2,0,25,49,255,255,235,205,255,0,231,161,2,0,170,255,255,0,0,255,255,0,236,161,2,0,170,255,255,0,0,255,255,0,242,161,2,0,170,255,238,0,0,238,255,0,248,161,2,0,170,255,205,0,0,205,255,0,254,161,2,0,170,255,139,0,0,139,255,0,4,162,2,0,192,206,226,138,43,
226,255,0,15,162,2,0,0,190,165,165,42,42,255,0,21,162,2,0,0,191,255,255,64,64,255,0,28,162,2,0,0,191,238,238,59,59,255,0,35,162,2,0,0,191,205,205,51,51,255,0,42,162,2,0,0,190,139,139,35,35,255,0,49,162,2,0,23,99,222,222,184,135,255,0,59,162,2,0,23,100,255,255,211,155,255,0,70,162,2,0,23,99,238,238,197,145,255,0,81,162,2,0,23,99,205,205,170,125,255,0,92,162,2,0,23,99,139,139,115,85,255,0,103,162,2,0,128,103,160,95,158,160,255,0,113,162,2,0,131,103,255,152,245,255,255,0,124,162,2,0,131,102,238,142,
229,238,255,0,135,162,2,0,131,103,205,122,197,205,255,0,146,162,2,0,131,102,139,83,134,139,255,0,157,162,2,0,63,255,255,127,255,0,255,0,168,162,2,0,63,255,255,127,255,0,255,0,180,162,2,0,63,255,238,118,238,0,255,0,192,162,2,0,63,255,205,102,205,0,255,0,204,162,2,0,63,255,139,69,139,0,255,0,216,162,2,0,17,218,210,210,105,30,255,0,226,162,2,0,17,219,255,255,127,36,255,0,237,162,2,0,17,219,238,238,118,33,255,0,248,162,2,0,17,218,205,205,102,29,255,0,3,163,2,0,17,220,139,139,69,19,255,0,14,163,2,0,11,
175,255,255,127,80,255,0,20,163,2,0,7,169,255,255,114,86,255,0,27,163,2,0,6,169,238,238,106,80,255,0,34,163,2,0,6,169,205,205,91,69,255,0,41,163,2,0,6,168,139,139,62,47,255,0,48,163,2,0,154,147,237,100,149,237,255,0,63,163,2,0,33,34,255,255,248,220,255,0,72,163,2,0,33,34,255,255,248,220,255,0,82,163,2,0,34,35,238,238,232,205,255,0,92,163,2,0,34,34,205,205,200,177,255,0,102,163,2,0,35,34,139,139,136,120,255,0,112,163,2,0,246,231,220,220,20,60,255,0,120,163,2,0,127,255,255,0,255,255,255,0,125,163,2,
0,127,255,255,0,255,255,255,0,131,163,2,0,127,255,238,0,238,238,255,0,137,163,2,0,127,255,205,0,205,205,255,0,143,163,2,0,127,255,139,0,139,139,255,0,149,163,2,0,30,239,184,184,134,11,255,0,163,163,2,0,30,240,255,255,185,15,255,0,178,163,2,0,30,240,238,238,173,14,255,0,193,163,2,0,30,240,205,205,149,12,255,0,208,163,2,0,30,240,139,139,101,8,255,0,223,163,2,0,85,255,100,0,100,0,255,0,233,163,2,0,39,110,189,189,183,107,255,0,243,163,2,0,58,142,107,85,107,47,255,0,2,164,2,0,58,143,255,202,255,112,255,
0,18,164,2,0,58,143,238,188,238,104,255,0,34,164,2,0,58,143,205,162,205,90,255],"i8",4,n.q+74592);
B([50,164,2,0,58,143,139,110,139,61,255,0,66,164,2,0,23,255,255,255,140,0,255,0,77,164,2,0,21,255,255,255,127,0,255,0,89,164,2,0,21,255,238,238,118,0,255,0,101,164,2,0,21,255,205,205,102,0,255,0,113,164,2,0,21,255,139,139,69,0,255,0,125,164,2,0,198,192,204,153,50,204,255,0,136,164,2,0,198,193,255,191,62,255,255,0,148,164,2,0,198,192,238,178,58,238,255,0,160,164,2,0,198,192,205,154,50,205,255,0,172,164,2,0,198,192,139,104,34,139,255,0,184,164,2,0,10,121,233,233,150,122,255,0,195,164,2,0,85,61,188,
143,188,143,255,0,208,164,2,0,85,62,255,193,255,193,255,0,222,164,2,0,85,62,238,180,238,180,255,0,236,164,2,0,85,62,205,155,205,155,255,0,250,164,2,0,85,62,139,105,139,105,255,0,8,165,2,0,175,143,139,72,61,139,255,0,22,165,2,0,127,103,79,47,79,79,255,0,36,165,2,0,127,104,255,151,255,255,255,0,51,165,2,0,127,103,238,141,238,238,255,0,66,165,2,0,127,104,205,121,205,205,255,0,81,165,2,0,127,104,139,82,139,139,255,0,96,165,2,0,127,103,79,47,79,79,255,0,110,165,2,0,128,255,209,0,206,209,255,0,124,165,
2,0,199,255,211,148,0,211,255,0,135,165,2,0,232,235,255,255,20,147,255,0,144,165,2,0,232,235,255,255,20,147,255,0,154,165,2,0,232,235,238,238,18,137,255,0,164,165,2,0,232,235,205,205,16,118,255,0,174,165,2,0,231,236,139,139,10,80,255,0,184,165,2,0,138,255,255,0,191,255,255,0,196,165,2,0,138,255,255,0,191,255,255,0,209,165,2,0,138,255,238,0,178,238,255,0,222,165,2,0,138,255,205,0,154,205,255,0,235,165,2,0,138,255,139,0,104,139,255,0,248,165,2,0,0,0,105,105,105,105,255,0,0,166,2,0,0,0,105,105,105,105,
255,0,8,166,2,0,148,225,255,30,144,255,255,0,19,166,2,0,148,225,255,30,144,255,255,0,31,166,2,0,148,225,238,28,134,238,255,0,43,166,2,0,148,225,205,24,116,205,255,0,55,166,2,0,148,225,139,16,78,139,255,0,67,166,2,0,0,206,178,178,34,34,255,0,77,166,2,0,0,207,255,255,48,48,255,0,88,166,2,0,0,207,238,238,44,44,255,0,99,166,2,0,0,207,205,205,38,38,255,0,110,166,2,0,0,207,139,139,26,26,255,0,121,166,2,0,28,15,255,255,250,240,255,0,133,166,2,0,85,192,139,34,139,34,255,0,145,166,2,0,0,0,220,220,220,220,
255,0,155,166,2,0,170,7,255,248,248,255,255,0,166,166,2,0,35,255,255,255,215,0,255,0,171,166,2,0,35,255,255,255,215,0,255,0,177,166,2,0,35,255,238,238,201,0,255,0,183,166,2,0,35,255,205,205,173,0,255,0,189,166,2,0,35,255,139,139,117,0,255,0,195,166,2,0,30,217,218,218,165,32,255,0,205,166,2,0,30,218,255,255,193,37,255,0,216,166,2,0,30,218,238,238,180,34,255,0,227,166,2,0,30,218,205,205,155,29,255,0,238,166,2,0,30,218,139,139,105,20,255,0,249,166,2,0,0,0,192,192,192,192,255,0,254,166,2,0,0,0,0,0,0,
0,255,0,4,167,2,0,0,0,3,3,3,3,255,0,10,167,2,0,0,0,26,26,26,26,255,0,17,167,2,0,0,0,255,255,255,255,255,0,25,167,2,0,0,0,28,28,28,28,255,0,32,167,2,0,0,0,31,31,31,31,255,0,39,167,2,0,0,0,33,33,33,33,255,0,46,167,2,0,0,0,36,36,36,36,255,0,53,167,2,0,0,0,38,38,38,38,255,0,60,167,2,0,0,0,41,41,41,41,255,0,67,167,2,0,0,0,43,43,43,43,255,0,74,167,2,0,0,0,46,46,46,46,255,0,81,167,2,0,0,0,48,48,48,48,255,0,88,167,2,0,0,0,5,5,5,5,255,0,94,167,2,0,0,0,51,51,51,51,255,0,101,167,2,0,0,0,54,54,54,54,255,0,108,
167,2,0,0,0,56,56,56,56,255,0,115,167,2,0,0,0,59,59,59,59,255,0,122,167,2,0,0,0,61,61,61,61,255,0,129,167,2,0,0,0,64,64,64,64,255,0,136,167,2,0,0,0,66,66,66,66,255,0,143,167,2,0,0,0,69,69,69,69,255,0,150,167,2,0,0,0,71,71,71,71,255,0,157,167,2,0,0,0,74,74,74,74,255,0,164,167,2,0,0,0,8,8,8,8,255,0,170,167,2,0,0,0,77,77,77,77,255,0,177,167,2,0,0,0,79,79,79,79,255,0,184,167,2,0,0,0,82,82,82,82,255,0,191,167,2,0,0,0,84,84,84,84,255,0,198,167,2,0,0,0,87,87,87,87,255,0,205,167,2,0,0,0,89,89,89,89,255,0,
212,167,2,0,0,0,92,92,92,92,255,0,219,167,2,0,0,0,94,94,94,94,255,0,226,167,2,0,0,0,97,97,97,97,255,0,233,167,2,0,0,0,99,99,99,99,255,0,240,167,2,0,0,0,10,10,10,10,255,0,246,167,2,0,0,0,102,102,102,102,255,0,253,167,2,0,0,0,105,105,105,105,255,0,4,168,2,0,0,0,107,107,107,107,255,0,11,168,2,0,0,0,110,110,110,110,255,0,18,168,2,0,0,0,112,112,112,112,255,0,25,168,2,0,0,0,115,115,115,115,255,0,32,168,2,0,0,0,117,117,117,117,255,0,39,168,2,0,0,0,120,120,120,120,255,0,46,168,2,0,0,0,122,122,122,122,255,
0,53,168,2,0,0,0,125,125,125,125,255,0,60,168,2,0,0,0,13,13,13,13,255,0,66,168,2,0,0,0,127,127,127,127,255,0,73,168,2,0,0,0,130,130,130,130,255,0,80,168,2,0,0,0,133,133,133,133,255,0,87,168,2,0,0,0,135,135,135,135,255,0,94,168,2,0,0,0,138,138,138,138,255,0,101,168,2,0,0,0,140,140,140,140,255,0,108,168,2,0,0,0,143,143,143,143,255,0,115,168,2,0,0,0,145,145,145,145,255,0,122,168,2,0,0,0,148,148,148,148,255,0,129,168,2,0,0,0,150,150,150,150,255,0,136,168,2,0,0,0,15,15,15,15,255,0,142,168,2,0,0,0,153,
153,153,153,255,0,149,168,2,0,0,0,156,156,156,156,255,0,156,168,2,0,0,0,158,158,158,158,255,0,163,168,2,0,0,0,161,161,161,161,255,0,170,168,2,0,0,0,163,163,163,163,255,0,177,168,2,0,0,0,166,166,166,166,255,0,184,168,2,0,0,0,168,168,168,168,255,0,191,168,2,0,0,0,171,171,171,171,255,0,198,168,2,0,0,0,173,173,173,173,255,0,205,168,2,0,0,0,176,176,176,176,255,0,212,168,2,0,0,0,18,18,18,18,255,0,218,168,2,0,0,0,179,179,179,179,255,0,225,168,2,0,0,0,181,181,181,181,255,0,232,168,2,0,0,0,184,184,184,184,
255,0,239,168,2,0,0,0,186,186,186,186,255,0,246,168,2,0,0,0,189,189,189,189,255,0,253,168,2,0,0,0,191,191,191,191,255,0,4,169,2,0,0,0,194,194,194,194,255,0,11,169,2,0,0,0,196,196,196,196,255,0,18,169,2,0,0,0,199,199,199,199,255,0,25,169,2,0,0,0,201,201,201,201,255,0,32,169,2,0,0,0,20,20,20,20,255,0,38,169,2,0,0,0,204,204,204,204,255,0,45,169,2,0,0,0,207,207,207,207,255,0,52,169,2,0,0,0,209,209,209,209,255,0,59,169,2,0,0,0,212,212,212,212,255,0,66,169,2,0,0,0,214,214,214,214,255,0,73,169,2,0,0,0,217,
217,217,217,255,0,80,169,2,0,0,0,219,219,219,219,255,0,87,169,2,0,0,0,222,222,222,222,255,0,94,169,2,0,0,0,224,224,224,224,255,0,101,169,2,0,0,0,227,227,227,227,255,0,108,169,2,0,0,0,23,23,23,23,255,0,114,169,2,0,0,0,229,229,229,229,255,0,121,169,2,0,0,0,232,232,232,232,255,0,128,169,2,0,0,0,235,235,235,235,255,0,135,169,2,0,0,0,237,237,237,237,255,0,142,169,2,0,0,0,240,240,240,240,255,0,149,169,2,0,0,0,242,242,242,242,255,0,156,169,2,0,0,0,245,245,245,245,255,0,163,169,2,0,0,0,247,247,247,247,255,
0,170,169,2,0,0,0,250,250,250,250,255,0,177,169,2,0,0,0,252,252,252,252,255,0,184,169,2,0,85,255,255,0,255,0,255,0,190,169,2,0,85,255,255,0,255,0,255,0,197,169,2,0,85,255,238,0,238,0,255,0,204,169,2,0,85,255,205,0,205,0,255,0,211,169,2,0,85,255,139,0,139,0,255,0,218,169,2,0,59,208,255,173,255,47,255,0,230,169,2,0,0,0,192,192,192,192,255,0,235,169,2,0,0,0,0,0,0,0,255,0,241,169,2,0,0,0,3,3,3,3,255,0,247,169,2,0,0,0,26,26,26,26,255,0,254,169,2,0,0,0,255,255,255,255,255,0,6,170,2,0,0,0,28,28,28,28,255,
0,13,170,2,0,0,0,31,31,31,31,255,0,20,170,2,0,0,0,33,33,33,33,255,0,27,170,2,0,0,0,36,36,36,36,255,0,34,170,2,0,0,0,38,38,38,38,255,0,41,170,2,0,0,0,41,41,41,41,255,0,48,170,2,0,0,0,43,43,43,43,255,0,55,170,2,0,0,0,46,46,46,46,255,0,62,170,2,0,0,0,48,48,48,48,255,0,69,170,2,0,0,0,5,5,5,5,255,0,75,170,2,0,0,0,51,51,51,51,255,0,82,170,2,0,0,0,54,54,54,54,255,0,89,170,2,0,0,0,56,56,56,56,255,0,96,170,2,0,0,0,59,59,59,59,255,0,103,170,2,0,0,0,61,61,61,61,255,0,110,170,2,0,0,0,64,64,64,64,255,0,117,170,
2,0,0,0,66,66,66,66,255,0,124,170,2,0,0,0,69,69,69,69,255,0,131,170,2,0,0,0,71,71,71,71,255,0,138,170,2,0,0,0,74,74,74,74,255,0,145,170,2,0,0,0,8,8,8,8,255,0,151,170,2,0,0,0,77,77,77,77,255,0,158,170,2,0,0,0,79,79,79,79,255,0,165,170,2,0,0,0,82,82,82,82,255,0,172,170,2,0,0,0,84,84,84,84,255,0,179,170,2,0,0,0,87,87,87,87,255,0,186,170,2,0,0,0,89,89,89,89,255,0,193,170,2,0,0,0,92,92,92,92,255,0,200,170,2,0,0,0,94,94,94,94,255,0,207,170,2,0,0,0,97,97,97,97,255,0,214,170,2,0,0,0,99,99,99,99,255,0,221,
170,2,0,0,0,10,10,10,10,255,0,227,170,2,0,0,0,102,102,102,102,255,0,234,170,2,0,0,0,105,105,105,105,255,0,241,170,2,0,0,0,107,107,107,107,255,0,248,170,2,0,0,0,110,110,110,110,255,0,255,170,2,0,0,0,112,112,112,112,255,0,6,171,2,0,0,0,115,115,115,115,255,0,13,171,2,0,0,0,117,117,117,117,255,0,20,171,2,0,0,0,120,120,120,120,255,0,27,171,2,0,0,0,122,122,122,122,255,0,34,171,2,0,0,0,125,125,125,125,255,0,41,171,2,0,0,0,13,13,13,13,255,0,47,171,2,0,0,0,127,127,127,127,255,0,54,171,2,0,0,0,130,130,130,
130,255,0,61,171,2,0,0,0,133,133,133,133,255,0,68,171,2,0,0,0,135,135,135,135,255,0,75,171,2,0,0,0,138,138,138,138,255,0,82,171,2,0,0,0,140,140,140,140,255,0,89,171,2,0,0,0,143,143,143,143,255,0,96,171,2,0,0,0,145,145,145,145,255,0,103,171,2,0,0,0,148,148,148,148,255,0,110,171,2,0,0,0,150,150,150,150,255,0,117,171,2,0,0,0,15,15,15,15,255,0,123,171,2,0,0,0,153,153,153,153,255,0,130,171,2,0,0,0,156,156,156,156,255,0,137,171,2,0,0,0,158,158,158,158,255,0,144,171,2,0,0,0,161,161,161,161,255,0,151,171,
2,0,0,0,163,163,163,163,255,0,158,171,2,0,0,0,166,166,166,166,255,0,165,171,2,0,0,0,168,168,168,168,255,0,172,171,2,0,0,0,171,171,171,171,255,0,179,171,2,0,0,0,173,173,173,173,255,0,186,171,2,0,0,0,176,176,176,176,255,0,193,171,2,0,0,0,18,18,18,18,255,0,199,171,2,0,0,0,179,179,179,179,255,0,206,171,2,0,0,0,181,181,181,181,255,0,213,171,2,0,0,0,184,184,184,184,255,0,220,171,2,0,0,0,186,186,186,186,255,0,227,171,2,0,0,0,189,189,189,189,255,0,234,171,2,0,0,0,191,191,191,191,255,0,241,171,2,0,0,0,194,
194,194,194,255,0,248,171,2,0,0,0,196,196,196,196,255,0,255,171,2,0,0,0,199,199,199,199,255,0,6,172,2,0,0,0,201,201,201,201,255,0,13,172,2,0,0,0,20,20,20,20,255,0,19,172,2,0,0,0,204,204,204,204,255,0,26,172,2,0,0,0,207,207,207,207,255,0,33,172,2,0,0,0,209,209,209,209,255,0,40,172,2,0,0,0,212,212,212,212,255,0,47,172,2,0,0,0,214,214,214,214,255,0,54,172,2,0,0,0,217,217,217,217,255,0,61,172,2,0,0,0,219,219,219,219,255,0,68,172,2,0,0,0,222,222,222,222,255,0,75,172,2,0,0,0,224,224,224,224,255,0,82,172,
2,0,0,0,227,227,227,227,255,0,89,172,2,0,0,0,23,23,23,23,255,0,95,172,2,0,0,0,229,229,229,229,255,0,102,172,2,0,0,0,232,232,232,232,255,0,109,172,2,0,0,0,235,235,235,235,255,0,116,172,2,0,0,0,237,237,237,237,255,0,123,172,2,0,0,0,240,240,240,240,255,0,130,172,2,0,0,0,242,242,242,242,255,0,137,172,2,0,0,0,245,245,245,245,255,0,144,172,2,0,0,0,247,247,247,247,255,0,151,172,2,0,0,0,250,250,250,250,255,0,158,172,2,0,0,0,252,252,252,252,255,0,165,172,2,0,85,15,255,240,255,240,255,0,174,172,2,0,85,15,255,
240,255,240,255,0,184,172,2,0,85,15,238,224,238,224,255,0,194,172,2,0,85,14,205,193,205,193,255,0,204,172,2,0,85,14,139,131,139,131,255,0,214,172,2,0,233,150,255,255,105,180,255,0,222,172,2,0,234,145,255,255,110,180,255,0,231,172,2,0,235,141,238,238,106,167,255,0,240,172,2,0,236,135,205,205,96,144,255,0,249,172,2,0,234,148,139,139,58,98,255,0,2,173,2,0,0,140,205,205,92,92,255,0,12,173,2,0,0,148,255,255,106,106,255,0,23,173,2,0,0,148,238,238,99,99,255,0,34,173,2,0,0,149,205,205,85,85,255,0,45,173,
2,0,0,148,139,139,58,58,255,0,56,173,2,0,194,255,130,75,0,130,255,0,63,173,2,0,42,0,255,255,255,254,0,0,69,173,2,0,42,15,255,255,255,240,255,0,75,173,2,0,42,15,255,255,255,240,255,0,82,173,2,0,42,15,238,238,238,224,255,0,89,173,2,0,42,14,205,205,205,193,255,0,96,173,2,0,42,14,139,139,139,131,255,0,103,173,2,0,38,106,240,240,230,140,255,0,109,173,2,0,39,112,255,255,246,143,255,0,116,173,2,0,39,112,238,238,230,133,255,0,123,173,2,0,39,111,205,205,198,115,255,0,130,173,2,0,39,111,139,139,134,78,255,
0,137,173,2,0,170,20,250,230,230,250,255,0,146,173,2,0,240,15,255,255,240,245,255,0,160,173,2,0,240,15,255,255,240,245,255,0,175,173,2,0,239,15,238,238,224,229,255,0,190,173,2,0,240,14,205,205,193,197,255,0,205,173,2,0,239,14,139,139,131,134,255,0,220,173,2,0,64,255,252,124,252,0,255,0,230,173,2,0,38,49,255,255,250,205,255,0,243,173,2,0,38,49,255,255,250,205,255,0,1,174,2,0,37,50,238,238,233,191,255,0,15,174,2,0,38,49,205,205,201,165,255,0,29,174,2,0,39,49,139,139,137,112,255,0,43,174,2,0,137,63,
230,173,216,230,255,0,53,174,2,0,138,64,255,191,239,255,255,0,64,174,2,0,138,64,238,178,223,238,255,0,75,174,2,0,138,63,205,154,192,205,255,0,86,174,2,0,137,64,139,104,131,139,255,0,97,174,2,0,0,119,240,240,128,128,255,0,108,174,2,0,127,31,255,224,255,255,255,0,118,174,2,0,127,31,255,224,255,255,255,0,129,174,2,0,127,31,238,209,238,238,255,0,140,174,2,0,127,31,205,180,205,205,255,0,151,174,2,0,127,31,139,122,139,139,255,0,162,174,2,0,35,115,238,238,221,130,255,0,177,174,2,0,35,116,255,255,236,139,
255,0,193,174,2,0,35,115,238,238,220,130,255,0,209,174,2,0,35,115,205,205,190,112,255,0,225,174,2,0,35,115,139,139,129,76,255,0,241,174,2,0,42,40,250,250,250,210,255,0,6,175,2,0,0,0,211,211,211,211,255,0,16,175,2,0,0,0,211,211,211,211,255,0,26,175,2,0,248,73,255,255,182,193,255,0,36,175,2,0,249,81,255,255,174,185,255,0,47,175,2,0,248,81,238,238,162,173,255,0,58,175,2,0,249,80,205,205,140,149,255,0,69,175,2,0,249,80,139,139,95,101,255,0,80,175,2,0,12,132,255,255,160,122,255,0,92,175,2,0,12,132,255,
255,160,122,255,0,105,175,2,0,11,132,238,238,149,114,255,0,118,175,2,0,12,133,205,205,129,98,255,0,131,175,2,0,12,133,139,139,87,66,255,0,144,175,2,0,125,209,178,32,178,170,255,0,158,175,2,0,143,117,250,135,206,250,255,0,171,175,2,0,143,79,255,176,226,255,255,0,185,175,2,0,143,79,238,164,211,238,255,0,199,175,2,0,142,79,205,141,182,205,255,0,213,175,2,0,143,78,139,96,123,139,255,0,227,175,2,0,175,143,255,132,112,255,255,0,242,175,2,0,148,56,153,119,136,153,255,0,1,176,2,0,148,56,153,119,136,153,255,
0,16,176,2,0,151,52,222,176,196,222,255,0,31,176,2,0,151,53,255,202,225,255,255,0,47,176,2,0,151,53,238,188,210,238,255,0,63,176,2,0,151,53,205,162,181,205,255,0,79,176,2,0,150,53,139,110,123,139,255,0,95,176,2,0,42,31,255,255,255,224,255,0,107,176,2,0,42,31,255,255,255,224,255,0,120,176,2,0,42,31,238,238,238,209,255,0,133,176,2,0,42,31,205,205,205,180,255,0,146,176,2,0,42,31,139,139,139,122,255,0,159,176,2,0,85,192,205,50,205,50,255,0,169,176,2,0,21,20,250,250,240,230,255,0,175,176,2,0,212,255,255,
255,0,255,255,0,183,176,2,0,212,255,255,255,0,255,255,0,192,176,2,0,212,255,238,238,0,238,255,0,201,176,2,0,212,255,205,205,0,205,255,0,210,176,2,0,212,255,139,139,0,139,255,0,219,176,2,0,239,185,176,176,48,96,255,0,226,176,2,0,228,203,255,255,52,179,255,0,234,176,2,0,228,203,238,238,48,167,255,0,242,176,2,0,228,204,205,205,41,144,255,0,250,176,2,0,228,203,139,139,28,98,255,0,2,177,2,0,113,128,205,102,205,170,255,0,19,177,2,0,170,255,205,0,0,205,255,0,30,177,2,0,204,152,211,186,85,211,255,0,43,177,
2,0,203,153,255,224,102,255,255,0,57,177,2,0,203,153,238,209,95,238,255,0,71,177,2,0,203,153,205,180,82,205,255,0,85,177,2,0,203,154,139,122,55,139,255,0,99,177,2,0,183,124,219,147,112,219,255,0,112,177,2,0,183,125,255,171,130,255,255,0,126,177,2,0,183,125,238,159,121,238,255,0,140,177,2,0,183,125,205,137,104,205,255,0,154,177,2,0,183,124,139,93,71,139,255,0,168,177,2,0,103,169,179,60,179,113,255,0,183,177,2,0,176,143,238,123,104,238,255,0,199,177,2,0,111,255,250,0,250,154,255,0,217,177,2,0,125,167,
209,72,209,204,255,0,233,177,2,0,228,228,199,199,21,133,255,0,249,177,2,0,170,198,112,25,25,112,255,0,6,178,2,0,106,9,255,245,255,250,255,0,16,178,2,0,4,30,255,255,228,225,255,0,26,178,2,0,4,30,255,255,228,225,255,0,37,178,2,0,4,30,238,238,213,210,255,0,48,178,2,0,3,29,205,205,183,181,255,0,59,178,2,0,5,29,139,139,125,123,255,0,70,178,2,0,26,73,255,255,228,181,255,0,79,178,2,0,25,81,255,255,222,173,255,0,91,178,2,0,25,81,255,255,222,173,255,0,104,178,2,0,25,82,238,238,207,161,255,0,117,178,2,0,25,
82,205,205,179,139,255,0,130,178,2,0,25,82,139,139,121,94,255,0,143,178,2,0,170,255,128,0,0,128,255,0,148,178,2,0,170,255,128,0,0,128,255,0,157,178,2,0,42,0,255,255,255,254,0,0,162,178,2,0,27,23,253,253,245,230,255,0,170,178,2,0,56,192,142,107,142,35,255,0,180,178,2,0,56,193,255,192,255,62,255,0,191,178,2,0,56,192,238,179,238,58,255,0,202,178,2,0,56,192,205,154,205,50,255,0,213,178,2,0,56,192,139,105,139,34,255,0,224,178,2,0,27,255,255,255,165,0,255,0,231,178,2,0,27,255,255,255,165,0,255,0,239,178,
2,0,27,255,238,238,154,0,255,0,247,178,2,0,27,255,205,205,133,0,255,0,255,178,2,0,27,255,139,139,90,0,255,0,7,179,2,0,11,255,255,255,69,0,255,0,17,179,2,0,11,255,255,255,69,0,255,0,28,179,2,0,11,255,238,238,64,0,255,0,39,179,2,0,11,255,205,205,55,0,255,0,50,179,2,0,11,255,139,139,37,0,255,0,61,179,2,0,214,123,218,218,112,214,255,0,68,179,2,0,214,124,255,255,131,250,255,0,76,179,2,0,214,124,238,238,122,233,255,0,84,179,2,0,214,124,205,205,105,201,255,0,92,179,2,0,213,124,139,139,71,137,255,0,100,179,
2,0,38,72,238,238,232,170,255,0,114,179,2,0,85,100,251,152,251,152,255,0,124,179,2,0,85,101,255,154,255,154,255,0,135,179,2,0,85,100,238,144,238,144,255,0,146,179,2,0,85,100,205,124,205,124,255,0,157,179,2,0,85,100,139,84,139,84,255,0,168,179,2,0,127,67,238,175,238,238,255,0,182,179,2,0,127,68,255,187,255,255,255,0,197,179,2,0,127,68,238,174,238,238,255,0,212,179,2,0,127,68,205,150,205,205,255,0,227,179,2,0,127,67,139,102,139,139,255,0,242,179,2,0,241,124,219,219,112,147,255,0,0,180,2,0,241,125,255,
255,130,171,255,0,15,180,2,0,241,125,238,238,121,159,255,0,30,180,2,0,241,125,205,205,104,137,255,0,45,180,2,0,241,124,139,139,71,93,255,0,60,180,2,0,26,41,255,255,239,213,255,0,71,180,2,0,20,70,255,255,218,185,255,0,81,180,2,0,20,70,255,255,218,185,255,0,92,180,2,0,19,69,238,238,203,173,255,0,103,180,2,0,19,69,205,205,175,149,255,0,114,180,2,0,20,69,139,139,119,101,255,0,125,180,2,0,20,176,205,205,133,63,255,0,130,180,2,0,247,63,255,255,192,203,255,0,135,180,2,0,245,73,255,255,181,197,255,0,141,
180,2,0,245,73,238,238,169,184,255,0,147,180,2,0,245,74,205,205,145,158,255,0,153,180,2,0,245,73,139,139,99,108,255,0,159,180,2,0,212,70,221,221,160,221,255,0,164,180,2,0,212,68,255,255,187,255,255,0,170,180,2,0,212,68,238,238,174,238,255,0,176,180,2,0,212,68,205,205,150,205,255,0,182,180,2,0,212,67,139,139,102,139,255,0,188,180,2,0,132,59,230,176,224,230,255,0,199,180,2,0,196,221,240,160,32,240,255,0,206,180,2,0,191,207,255,155,48,255,255,0,214,180,2,0,192,207,238,145,44,238,255,0,222,180,2,0,192,
207,205,125,38,205,255,0,230,180,2,0,192,207,139,85,26,139,255,0,238,180,2,0,0,255,255,255,0,0,255,0,242,180,2,0,0,255,255,255,0,0,255,0,247,180,2,0,0,255,238,238,0,0,255,0,252,180,2,0,0,255,205,205,0,0,255,0,1,181,2,0,0,255,139,139,0,0,255,0,6,181,2,0,0,61,188,188,143,143,255,0,16,181,2,0,0,62,255,255,193,193,255,0,27,181,2,0,0,62,238,238,180,180,255,0,38,181,2,0,0,62,205,205,155,155,255,0,49,181,2,0,0,62,139,139,105,105,255,0,60,181,2,0,159,181,225,65,105,225,255,0,70,181,2,0,159,183,255,72,118,
255,255,0,81,181,2,0,159,183,238,67,110,238,255,0,92,181,2,0,159,182,205,58,95,205,255,0,103,181,2,0,159,183,139,39,64,139,255,0,114,181,2,0,17,220,139,139,69,19,255,0,126,181,2,0,4,138,250,250,128,114,255,0,133,181,2,0,9,150,255,255,140,105,255,0,141,181,2,0,9,150,238,238,130,98,255,0,149,181,2,0,9,150,205,205,112,84,255,0,157,181,2,0,9,150,139,139,76,57,255,0,165,181,2,0,19,154,244,244,164,96,255,0,176,181,2,0,103,170,139,46,139,87,255,0,185,181,2,0,103,171,255,84,255,159,255,0,195,181,2,0,103,
171,238,78,238,148,255,0,205,181,2,0,103,171,205,67,205,128,255,0,215,181,2,0,103,170,139,46,139,87,255,0,225,181,2,0,17,16,255,255,245,238,255,0,234,181,2,0,17,16,255,255,245,238,255,0,244,181,2,0,18,17,238,238,229,222,255,0,254,181,2,0,18,17,205,205,197,191,255,0,8,182,2,0,18,16,139,139,134,130,255,0,18,182,2,0,13,183,160,160,82,45,255,0,25,182,2,0,13,184,255,255,130,71,255,0,33,182,2,0,13,184,238,238,121,66,255,0,41,182,2,0,13,184,205,205,104,57,255,0,49,182,2,0,13,185,139,139,71,38,255,0,57,182,
2,0,139,108,235,135,206,235,255,0,65,182,2,0,144,120,255,135,206,255,255,0,74,182,2,0,144,120,238,126,192,238,255,0,83,182,2,0,144,120,205,108,166,205,255,0,92,182,2,0,145,119,139,74,112,139,255,0,101,182,2,0,175,143,205,106,90,205,255,0,111,182,2,0,175,144,255,131,111,255,255,0,122,182,2,0,175,144,238,122,103,238,255,0,133,182,2,0,175,144,205,105,89,205,255,0,144,182,2,0,175,144,139,71,60,139,255,0,155,182,2,0,148,56,144,112,128,144,255,0,165,182,2,0,149,56,255,198,226,255,255,0,176,182,2,0,149,
56,238,185,211,238,255,0,187,182,2,0,148,57,205,159,182,205,255,0,198,182,2,0,149,56,139,108,123,139,255,0,209,182,2,0,148,56,144,112,128,144,255,0,219,182,2,0,0,5,255,255,250,250,255,0,224,182,2,0,0,5,255,255,250,250,255,0,230,182,2,0,0,5,238,238,233,233,255,0,236,182,2,0,0,4,205,205,201,201,255,0,242,182,2,0,0,3,139,139,137,137,255,0,248,182,2,0,106,255,255,0,255,127,255,0,4,183,2,0,106,255,255,0,255,127,255,0,17,183,2,0,106,255,238,0,238,118,255,0,30,183,2,0,106,255,205,0,205,102,255,0,43,183,
2,0,106,255,139,0,139,69,255,0,56,183,2,0,146,155,180,70,130,180,255,0,66,183,2,0,146,156,255,99,184,255,255,0,77,183,2,0,146,156,238,92,172,238,255,0,88,183,2,0,146,156,205,79,148,205,255,0,99,183,2,0,147,155,139,54,100,139,255,0,110,183,2,0,24,84,210,210,180,140,255,0,114,183,2,0,20,176,255,255,165,79,255,0,119,183,2,0,20,176,238,238,154,73,255,0,124,183,2,0,20,176,205,205,133,63,255,0,129,183,2,0,20,176,139,139,90,43,255,0,134,183,2,0,212,29,216,216,191,216,255,0,142,183,2,0,212,30,255,255,225,
255,255,0,151,183,2,0,212,30,238,238,210,238,255,0,160,183,2,0,212,29,205,205,181,205,255,0,169,183,2,0,212,29,139,139,123,139,255,0,178,183,2,0,6,184,255,255,99,71,255,0,185,183,2,0,6,184,255,255,99,71,255,0,193,183,2,0,6,184,238,238,92,66,255,0,201,183,2,0,6,184,205,205,79,57,255,0,209,183,2,0,6,185,139,139,54,38,255,0,203,186,2,0,42,0,255,255,255,254,0,0,217,183,2,0,123,182,224,64,224,208,255,0,227,183,2,0,129,255,255,0,245,255,255,0,238,183,2,0,129,255,238,0,229,238,255,0,249,183,2,0,129,255,
205,0,197,205,255,0,4,184,2,0,129,255,139,0,134,139,255,0,15,184,2,0,212,115,238,238,130,238,255,0,22,184,2,0,227,215,208,208,32,144,255,0,32,184,2,0,235,193,255,255,62,150,255,0,43,184,2,0,235,192,238,238,58,140,255,0,54,184,2,0,235,192,205,205,50,120,255,0,65,184,2,0,235,192,139,139,34,82,255,0,76,184,2,0,27,68,245,245,222,179,255,0,82,184,2,0,27,69,255,255,231,186,255,0,89,184,2,0,27,68,238,238,216,174,255,0,96,184,2,0,27,68,205,205,186,150,255,0,103,184,2,0,27,67,139,139,126,102,255,0,110,184,
2,0,0,0,255,255,255,255,255,0,116,184,2,0,0,0,245,245,245,245,255,0,127,184,2,0,42,255,255,255,255,0,255,0,134,184,2,0,42,255,255,255,255,0,255,0,142,184,2,0,42,255,238,238,238,0,255,0,150,184,2,0,42,255,205,205,205,0,255,0,158,184,2,0,42,255,139,139,139,0,255,0,166,184,2,0,56,192,205,154,205,50,255,0,0,0,0,0,0,0,0,0,0,0,0,0,104,189,2,0,105,186,2,0,107,186,2,0,109,186,2,0,111,186,2,0,113,186,2,0,115,186,2,0,117,186,2,0,119,186,2,0,121,186,2,0,123,186,2,0,126,186,2,0,129,186,2,0,132,186,2,0,135,186,
2,0,138,186,2,0,141,186,2,0,144,186,2,0,147,186,2,0,150,186,2,0,153,186,2,0,0,0,0,0,0,0,0,0,4,0,0,0,4,0,0,0,11,0,0,0,54,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,187,2,0,41,189,2,0,8,0,0,0,16,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,16,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,198,2,0,9,0,0,0,
161,199,2,0,10,0,0,0,169,199,2,0,11,0,0,0,65,202,2,0,12,0,0,0,176,199,2,0,13,0,0,0,188,199,2,0,14,0,0,0,12,199,2,0,15,0,0,0,76,202,2,0,16,0,0,0,208,199,2,0,17,0,0,0,218,199,2,0,18,0,0,0,232,199,2,0,19,0,0,0,239,199,2,0,20,0,0,0,244,199,2,0,21,0,0,0,247,199,2,0,22,0,0,0,84,202,2,0,23,0,0,0,4,200,2,0,24,0,0,0,10,200,2,0,25,0,0,0,16,200,2,0,26,0,0,0,23,200,2,0,27,0,0,0,29,200,2,0,27,0,0,0,37,200,2,0,28,0,0,0,44,200,2,0,29,0,0,0,209,198,2,0,30,0,0,0,154,199,2,0,31,0,0,0,161,199,2,0,10,0,0,0,169,199,2,
0,11,0,0,0,176,199,2,0,13,0,0,0,188,199,2,0,14,0,0,0,12,199,2,0,15,0,0,0,200,199,2,0,32,0,0,0,208,199,2,0,17,0,0,0,218,199,2,0,18,0,0,0,232,199,2,0,19,0,0,0,239,199,2,0,20,0,0,0,244,199,2,0,21,0,0,0,247,199,2,0,22,0,0,0,252,199,2,0,33,0,0,0,4,200,2,0,24,0,0,0,10,200,2,0,25,0,0,0,16,200,2,0,26,0,0,0,23,200,2,0,27,0,0,0,29,200,2,0,27,0,0,0,37,200,2,0,28,0,0,0,44,200,2,0,29,0,0,0,12,199,2,0,34,0,0,0,18,199,2,0,35,0,0,0,23,199,2,0,36,0,0,0,209,198,2,0,37,0,0,0,199,198,2,0,38,0,0,0,205,198,2,0,39,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,204,2,0,71,204,2,0,84,204,2,0,101,204,2,0,133,204,2,0,148,204,2,0,166,204,2,0,181,204,2,0,201,204,2,0,229,204,2,0,8,205,2,0,25,205,2,0,52,205,2,0,72,205,2,0,110,205,2,0,137,205,2,0,179,205,2,0,226,205,
2,0,243,205,2,0,38,206,2,0,61,206,2,0,107,206,2,0,134,206,2,0,185,206,2,0,221,206,2,0,17,207,2,0,62,207,2,0,77,207,2,0,103,207,2,0,141,207,2,0,173,207,2,0,206,207,2,0,240,207,2,0,1,208,2,0,22,208,2,0,38,208,2,0,55,208,2,0,99,208,2,0,179,208,2,0,238,208,2,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,6,0,0,0,7,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,
28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,
255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,
0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,
0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,
255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,
0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,
255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,
253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,
15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8],"i8",4,n.q+84832);
B([8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,45,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,45,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,128,117,1,0,240,118,1,0,96,120,1,0,208,121,1,0,208,121,1,0,64,123,1,0,96,120,1,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,6,0,0,0,7,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,
17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,10,0,0,0,7,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,
25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,45,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,14,0,0,0,40,0,0,0,51,0,0,0,52,0,0,0,41,0,0,0,53,0,0,0,15,
0,0,0,26,0,0,0,42,0,0,0,11,0,0,0,12,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,16,0,0,0,49,0,0,0,54,0,0,0,55,0,0,0,50,0,0,0,56,0,0,0,17,0,0,0,27,0,0,0,51,0,0,0,13,
0,0,0,14,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,108,1,0,204,124,1,0,60,126,1,0,172,127,1,0,172,127,1,0,28,129,1,0,60,126,1,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,
0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,10,0,0,0,7,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,12,0,0,0,31,0,0,0,40,0,0,0,41,0,0,0,32,0,0,0,42,0,0,0,13,0,0,0,25,0,0,0,33,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,
19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,
7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,45,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,14,0,0,0,40,0,0,0,51,0,0,0,52,0,0,0,41,0,0,0,53,0,0,0,15,0,0,0,26,0,0,0,42,0,0,0,11,0,0,0,12,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,
22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,16,0,0,0,49,0,0,0,54,0,0,0,55,0,0,0,50,0,0,0,56,0,0,0,17,0,0,0,27,0,0,0,51,0,0,0,13,0,0,0,14,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,
22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,212,2,0,127,212,2,0,130,212,2,0,136,212,2,0,35,212,2,0,143,212,2,0,152,212,2,0,160,212,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,
27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,196,133,1,0,52,134,1,0,164,134,1,0,164,134,1,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,
0,0,0,48,0,0,0,0,0,0,0,0,0,0,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,3,0,0,0,4,0,0,0,4,0,0,0,6,0,0,0,131,249,162,0,68,78,110,0,252,41,21,0,209,87,39,0,221,52,245,0,98,219,192,0,60,153,149,0,65,144,67,0,99,81,254,0,187,222,171,0,183,97,197,0,58,110,36,0,210,77,66,0,73,6,224,0,9,234,46,0,28,146,209,0,235,29,254,0,41,177,28,0,232,62,167,0,245,53,130,0,68,187,46,0,156,233,132,0,180,38,112,0,65,126,95,0,214,145,57,0,83,131,57,0,156,244,57,0,139,95,132,0,
40,249,189,0,248,31,59,0,222,255,151,0,15,152,5,0,17,47,239,0,10,90,139,0,109,31,109,0,207,126,54,0,9,203,39,0,70,79,183,0,158,102,63,0,45,234,95,0,186,39,117,0,229,235,199,0,61,123,241,0,247,57,7,0,146,82,138,0,251,107,234,0,31,177,95,0,8,93,141,0,48,3,86,0,123,252,70,0,240,171,107,0,32,188,207,0,54,244,154,0,227,169,29,0,94,97,145,0,8,27,230,0,133,153,101,0,160,20,95,0,141,64,104,0,128,216,255,0,39,115,77,0,6,6,49,0,202,86,21,0,201,168,115,0,123,226,96,0,107,140,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,20,0,0,0,225,253,2,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,17,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,20,0,0,0,217,249,2,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,20,0,0,0,209,245,2,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,247,255,2,0,110,0,0,0,249,255,2,0,114,0,
0,0,251,255,2,0,102,0,0,0,253,255,2,0,97,0,0,0,255,255,2,0,101,0,0,0,1,0,3,0,119,0,0,0,3,0,3,0,87,0,0,0,16,0,3,0,115,0,0,0,30,0,3,0,83,0,0,0,42,0,3,0,100,0,0,0,55,0,3,0,68,0,0,0,67,0,3],"i8",4,n.q+95072);
B([4,0,4,0,27,0,27,0,32,0,32,0,35,0,33,0,10,0,2,0,22,0,9,0,33,0,33,0,33,0,21,0,28,0,1,0,20,0,20,0,20,0,20,0,20,0,20,0,20,0,8,0,4,0,5,0,27,0,2,0,23,0,27,0,32,0,31,0,30,0,29,0,9,0,19,0,0,0,21,0,18,0,21,0,3,0,7,0,21,0,21,0,20,0,20,0,20,0,20,0,20,0,20,0,20,0,20,0,8,0,4,0,5,0,5,0,6,0,27,0,26,0,24,0,25,0,32,0,7,0,21,0,20,0,20,0,20,0,20,0,20,0,20,0,11,0,20,0,13,0,20,0,12,0,20,0,20,0,20,0,14,0,20,0,20,0,20,0,16,0,20,0,15,0,20,0,17,0,0,0,0,0,0,0,174,0,46,0,47,0,51,0,53,0,48,0,55,0,170,0,219,0,219,0,219,0,
219,0,0,0,61,0,135,0,55,0,55,0,219,0,219,0,0,0,40,0,53,0,46,0,50,0,47,0,98,0,0,0,0,0,71,0,0,0,0,0,219,0,81,0,0,0,219,0,219,0,219,0,0,0,219,0,132,0,85,0,219,0,130,0,219,0,0,0,129,0,219,0,0,0,62,0,66,0,65,0,72,0,68,0,82,0,91,0,0,0,0,0,94,0,95,0,219,0,0,0,219,0,219,0,219,0,0,0,0,0,123,0,73,0,87,0,82,0,90,0,90,0,93,0,0,0,95,0,0,0,95,0,0,0,101,0,93,0,95,0,0,0,93,0,110,0,106,0,0,0,105,0,0,0,110,0,0,0,219,0,147,0,154,0,161,0,168,0,171,0,112,0,177,0,184,0,191,0,198,0,205,0,211,0,0,0,1,0,1,0,1,0,1,0,1,0,1,
0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,3,0,4,0,7,0,3,0,4,0,5,0,5,0,6,0,6,0,8,0,7,0,7,0,17,0,22,0,18,0,17,0,18,0,8,0,8,0,15,0,15,0,23,0,15,0,24,0,15,0,25,0,26,0,26,0,30,0,22,0,52,0,30,0,5,0,50,0,6,0,34,0,34,0,51,0,23,0,24,0,53,0,25,0,26,0,26,0,42,0,54,0,42,0,52,0,55,0,50,0,69,0,59,0,60,0,51,0,59,0,60,0,70,0,53,0,71,0,72,0,76,0,54,0,34,0,73,0,74,0,55,0,69,0,78,0,80,0,98,
0,81,0,82,0,84,0,70,0,71,0,85,0,72,0,76,0,86,0,73,0,74,0,88,0,90,0,78,0,68,0,80,0,81,0,82,0,84,0,56,0,47,0,44,0,85,0,41,0,86,0,27,0,16,0,88,0,90,0,93,0,93,0,93,0,93,0,93,0,93,0,93,0,94,0,94,0,94,0,94,0,94,0,94,0,94,0,95,0,95,0,95,0,95,0,95,0,95,0,95,0,96,0,9,0,96,0,96,0,96,0,96,0,96,0,97,0,97,0,99,0,2,0,99,0,99,0,99,0,99,0,99,0,100,0,0,0,100,0,0,0,100,0,100,0,100,0,101,0,0,0,101,0,101,0,101,0,101,0,101,0,102,0,102,0,0,0,102,0,102,0,102,0,102,0,103,0,0,0,103,0,103,0,103,0,103,0,104,0,0,0,104,0,104,
0,104,0,104,0,104,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,0,0,92,0,1,0,93,0,93,0,94,0,94,0,95,0,95,0,92,0,92,0,92,0,92,0,92,0,96,0,92,0,92,0,92,0,97,0,92,0,92,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,99,0,100,0,101,0,102,0,102,0,92,0,92,0,103,0,92,0,92,0,92,0,96,0,92,0,92,0,97,0,92,0,97,0,92,0,104,
0,97,0,92,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,99,0,100,0,101,0,101,0,92,0,102,0,92,0,92,0,92,0,103,0,104,0,97,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,98,0,0,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,0,0,10,0,11,0,12,0,13,0,14,0,10,0,15,0,16,0,17,0,18,0,19,0,10,0,20,0,21,0,21,0,21,0,22,0,23,0,21,0,24,0,21,0,21,0,25,0,21,0,21,0,21,0,26,0,21,0,21,0,10,0,21,0,21,0,21,0,22,0,23,0,24,0,21,0,21,0,25,0,21,0,
21,0,21,0,26,0,21,0,21,0,21,0,21,0,27,0,12,0,12,0,36,0,30,0,30,0,32,0,33,0,32,0,33,0,36,0,37,0,38,0,45,0,50,0,47,0,46,0,42,0,37,0,38,0,40,0,41,0,51,0,42,0,52,0,43,0,53,0,54,0,55,0,60,0,50,0,71,0,61,0,34,0,69,0,34,0,63,0,64,0,70,0,51,0,52,0,72,0,53,0,54,0,55,0,47,0,73,0,42,0,71,0,74,0,69,0,76,0,92,0,60,0,70,0,92,0,61,0,77,0,72,0,78,0,79,0,82,0,73,0,65,0,80,0,81,0,74,0,76,0,83,0,84,0,49,0,85,0,86,0,87,0,77,0,78,0,88,0,79,0,82,0,89,0,80,0,81,0,90,0,91,0,83,0,68,0,84,0,85,0,86,0,87,0,75,0,68,0,44,0,88,
0,44,0,89,0,56,0,44,0,90,0,91,0,29,0,29,0,29,0,29,0,29,0,29,0,29,0,31,0,31,0,31,0,31,0,31,0,31,0,31,0,35,0,35,0,35,0,35,0,35,0,35,0,35,0,39,0,92,0,39,0,39,0,39,0,39,0,39,0,48,0,48,0,57,0,28,0,57,0,57,0,57,0,57,0,57,0,58,0,92,0,58,0,92,0,58,0,58,0,58,0,59,0,92,0,59,0,59,0,59,0,59,0,59,0,62,0,62,0,92,0,62,0,62,0,62,0,62,0,66,0,92,0,66,0,66,0,66,0,66,0,67,0,92,0,67,0,67,0,67,0,67,0,67,0,9,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,
92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,92,0,8,0,174,255,209,0,10,0,174,255,174,255,11,0,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,5,0,209,0,174,255,209,0,209,0,209,0,209,0,209,0,209,0,209,0,209,0,174,255,251,255,174,255,14,0,236,255,174,255,174,255,174,255,174,255,209,0,209,0,209,0,209,0,209,0,13,0,37,0,12,0,66,0,16,0,80,0,19,0,109,0,123,0,20,0,152,0,15,0,166,0,195,0,174,255,174,255,174,255,
174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,23,0,174,255,119,0,174,255,7,0,46,0,174,255,38,0,174,255,23,0,17,0,35,0,174,255,13,0,174,255,174,255,174,255,174,255,58,0,174,255,174,255,53,0,174,255,174,255,174,255,40,0,174,255,7,0,174,255,59,0,69,0,174,255,72,0,174,255,174,255,174,255,174,255,174,255,174,255,174,255,252,255,232,0,246,255,255,255,26,0,0,0,39,0,1,0,50,0,174,255,174,
255,2,0,36,0,3,0,47,0,174,255,174,255,174,255,174,255,174,255,254,255,148,0,174,255,9,0,27,0,174,255,188,255,174,255,174,255,175,255,174,255,174,255,174,255,174,255,174,255,174,255,174,255,0,0,0,0,0,0,109,230,236,222,5,0,11,0,0,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,
159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,
0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,
44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,
8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,99,111,114,101,0,73,32,0,37,46,48,50,102,0,100,111,116,58,100,111,116,0,103,118,
58,100,111,116,0,99,97,110,111,110,58,100,111,116,0,112,108,97,105,110,58,100,111,116,0,112,108,97,105,110,45,101,120,116,58,100,111,116,0,120,100,111,116,58,120,100,111,116,0,120,100,111,116,49,46,50,58,120,100,111,116,0,120,100,111,116,49,46,52,58,120,100,111,116,0,0,0,0,0,0,0,0,0,0,0,32,37,100,32,0,35,37,48,50,120,37,48,50,120,37,48,50,120,37,48,50,120,0,115,101,116,108,105,110,101,119,105,100,116,104,40,0,37,46,51,102,0,83,32,0,67,32,0,50,32,0,69,32,0,101,32,0,70,32,0,116,32,37,117,32,0,84,32,
0,120,100,111,116,118,101,114,115,105,111,110,0,49,46,52,0,49,46,50,0,49,46,55,0,95,108,100,114,97,119,95,0,95,104,100,114,97,119,95,0,95,116,100,114,97,119,95,0,95,104,108,100,114,97,119,95,0,95,116,108,100,114,97,119,95,0,120,100,111,116,32,118,101,114,115,105,111,110,32,34,37,115,34,32,116,111,111,32,108,111,110,103,0,37,115,37,100,32,45,0,106,115,111,110,0,106,115,111,110,48,0,100,111,116,95,106,115,111,110,0,120,100,111,116,95,106,115,111,110,0,106,115,111,110,58,106,115,111,110,0,106,115,111,
110,48,58,106,115,111,110,0,100,111,116,95,106,115,111,110,58,106,115,111,110,0,120,100,111,116,95,106,115,111,110,58,106,115,111,110,0,34,110,97,109,101,34,58,32,34,37,115,34,0,34,100,105,114,101,99,116,101,100,34,58,32,37,115,44,10,0,34,115,116,114,105,99,116,34,58,32,37,115,0,34,95,115,117,98,103,114,97,112,104,95,99,110,116,34,58,32,37,100,0,34,95,103,118,105,100,34,58,32,37,100,0,34,111,98,106,101,99,116,115,34,58,32,91,10,0,34,115,117,98,103,114,97,112,104,115,34,58,32,91,10,0,34,110,111,100,
101,115,34,58,32,91,10,0,34,95,103,118,105,100,34,58,32,37,100,44,10,0,34,101,100,103,101,115,34,58,32,91,10,0,34,116,97,105,108,34,58,32,37,100,44,10,0,34,104,101,97,100,34,58,32,37,100,0,34,37,115,34,58,32,0,100,114,97,119,95,0,108,100,114,97,119,95,0,104,100,114,97,119,95,0,116,100,114,97,119,95,0,104,108,100,114,97,119,95,0,116,108,100,114,97,119,95,0,67,111,117,108,100,32,110,111,116,32,112,97,114,115,101,32,120,100,111,116,32,34,37,115,34,10,0,91,10,0,34,111,112,34,58,32,34,37,99,34,44,10,0,
34,114,101,99,116,34,58,32,91,37,46,48,51,102,44,37,46,48,51,102,44,37,46,48,51,102,44,37,46,48,51,102,93,10,0,34,111,112,34,58,32,34,76,34,44,10,0,34,111,112,34,58,32,34,84,34,44,10,0,34,112,116,34,58,32,91,37,46,48,51,102,44,37,46,48,51,102,93,44,10,0,34,97,108,105,103,110,34,58,32,34,37,99,34,44,10,0,34,119,105,100,116,104,34,58,32,37,46,48,51,102,44,10,0,34,116,101,120,116,34,58,32,34,37,115,34,10,0,34,103,114,97,100,34,58,32,34,110,111,110,101,34,44,10,0,34,99,111,108,111,114,34,58,32,34,37,
115,34,10,0,34,103,114,97,100,34,58,32,34,108,105,110,101,97,114,34,44,10,0,34,112,48,34,58,32,91,37,46,48,51,102,44,37,46,48,51,102,93,44,10,0,34,112,49,34,58,32,91,37,46,48,51,102,44,37,46,48,51,102,93,44,10,0,34,103,114,97,100,34,58,32,34,114,97,100,105,97,108,34,44,10,0,34,112,48,34,58,32,91,37,46,48,51,102,44,37,46,48,51,102,44,37,46,48,51,102,93,44,10,0,34,112,49,34,58,32,91,37,46,48,51,102,44,37,46,48,51,102,44,37,46,48,51,102,93,44,10,0,34,111,112,34,58,32,34,70,34,44,10,0,34,115,105,122,
101,34,58,32,37,46,48,51,102,44,10,0,34,102,97,99,101,34,58,32,34,37,115,34,10,0,34,111,112,34,58,32,34,83,34,44,10,0,34,115,116,121,108,101,34,58,32,34,37,115,34,10,0,34,111,112,34,58,32,34,116,34,44,10,0,34,102,111,110,116,99,104,97,114,34,58,32,37,100,10,0,34,37,115,34,0,34,115,116,111,112,115,34,58,32,91,0,123,34,102,114,97,99,34,58,32,37,46,48,51,102,44,32,34,99,111,108,111,114,34,58,32,34,37,115,34,125,0,93,10,0,34,112,111,105,110,116,115,34,58,32,91,0,91,37,46,48,51,102,44,37,46,48,51,102,
93,0,92,34,0,92,47,0,92,98,0,92,102,0,92,110,0,92,114,0,92,116,0,68,117,112,108,105,99,97,116,101,32,99,108,117,115,116,101,114,32,110,97,109,101,32,34,37,115,34,10,0,120,100,111,116,0,102,105,103,0,102,105,103,58,102,105,103,0,110,32,62,61,32,52,0,103,118,114,101,110,100,101,114,95,99,111,114,101,95,102,105,103,46,99,0,102,105,103,95,98,101,122,105,101,114,0,102,105,103,95,114,101,115,111,108,118,101,95,99,111,108,111,114,0,109,97,112,0,105,115,109,97,112,58,109,97,112,0,99,109,97,112,58,109,97,
112,0,105,109,97,112,58,109,97,112,0,99,109,97,112,120,58,109,97,112,0,105,109,97,112,95,110,112,58,109,97,112,0,99,109,97,112,120,95,110,112,58,109,97,112,0,114,101,99,116,32,37,115,32,37,100,44,37,100,32,37,100,44,37,100,10,0,99,105,114,99,108,101,32,37,115,32,37,100,44,37,100,44,37,100,10,0,112,111,108,121,32,37,115,0,32,37,100,44,37,100,0,103,118,114,101,110,100,101,114,95,99,111,114,101,95,109,97,112,46,99,0,109,97,112,95,111,117,116,112,117,116,95,115,104,97,112,101,0,114,101,99,116,97,110,
103,108,101,32,40,37,100,44,37,100,41,32,40,37,100,44,37,100,41,32,37,115,32,37,115,10,0,60,97,114,101,97,32,115,104,97,112,101,61,34,99,105,114,99,108,101,34,0,60,97,114,101,97,32,115,104,97,112,101,61,34,114,101,99,116,34,0,60,97,114,101,97,32,115,104,97,112,101,61,34,112,111,108,121,34,0,32,104,114,101,102,61,34,0,32,116,105,116,108,101,61,34,0,32,97,108,116,61,34,34,0,32,99,111,111,114,100,115,61,34,0,37,100,44,37,100,44,37,100,0,37,100,44,37,100,44,37,100,44,37,100,0,37,100,44,37,100,0,44,37,
100,44,37,100,0,34,62,10,0,60,47,109,97,112,62,10,0,98,97,115,101,32,114,101,102,101,114,101,114,10,0,100,101,102,97,117,108,116,32,0,60,109,97,112,32,105,100,61,34,0,34,32,110,97,109,101,61,34,0,109,112,0,109,112,58,109,112,0,35,32,37,115,10,0,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,46,49,102,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,10,0,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,
37,46,49,102,32,37,100,32,37,100,32,37,100,32,37,100,10,0,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,46,51,102,32,37,100,32,37,46,52,102,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,10,0,37,100,32,37,100,32,35,37,48,50,120,37,48,50,120,37,48,50,120,10,0,103,118,114,101,110,100,101,114,95,99,111,114,101,95,109,112,46,99,0,109,112,95,114,101,115,111,108,118,101,95,99,111,108,111,114,0,37,100,32,37,100,32,37,100,32,
37,100,32,37,100,32,37,100,32,37,46,49,102,32,37,46,52,102,32,37,100,32,37,46,49,102,32,37,46,49,102,32,37,100,32,37,100,32,37,115,92,48,48,49,10,0,35,32,101,110,100,32,111,102,32,70,73,71,32,102,105,108,101,10,0,35,70,73,71,32,51,46,50,10,0,35,32,71,101,110,101,114,97,116,101,100,32,98,121,32,37,115,32,118,101,114,115,105,111,110,32,37,115,32,40,37,115,41,10,0,35,32,84,105,116,108,101,58,32,37,115,10,0,35,32,80,97,103,101,115,58,32,37,100,10,0,80,111,114,116,114,97,105,116,10,0,67,101,110,116,101,
114,10,0,73,110,99,104,101,115,10,0,76,101,116,116,101,114,10,0,49,48,48,46,48,48,10,0,83,105,110,103,108,101,10,0,45,50,10,0,49,50,48,48,0,32,50,10,0,112,115,50,58,112,115,0,32,93,32,32,37,100,32,116,114,117,101,32,37,115,10,0,32,93,32,32,37,100,32,102,97,108,115,101,32,37,115,10,0,32,115,101,116,108,105,110,101,119,105,100,116,104,10,0,37,115,32,0,115,101,116,104,115,98,0,37,46,53,103,32,37,46,53,103,32,37,46,53,103,32,37,115,99,111,108,111,114,10,0,37,32,0,110,101,119,112,97,116,104,32,0,32,109,
111,118,101,116,111,10,0,32,108,105,110,101,116,111,10,0,115,116,114,111,107,101,10,0,32,99,117,114,118,101,116,111,10,0,99,108,111,115,101,112,97,116,104,32,102,105,108,108,10,0,99,108,111,115,101,112,97,116,104,32,115,116,114,111,107,101,10,0,32,101,108,108,105,112,115,101,95,112,97,116,104,32,102,105,108,108,10,0,32,101,108,108,105,112,115,101,95,112,97,116,104,32,115,116,114,111,107,101,10,0,32,47,37,115,32,115,101,116,95,102,111,110,116,10,0,32,109,111,118,101,116,111,32,0,32,37,115,32,97,108,
105,103,110,101,100,116,101,120,116,10,0,91,32,47,82,101,99,116,32,91,32,0,32,93,10,0,32,32,47,66,111,114,100,101,114,32,91,32,48,32,48,32,48,32,93,10,32,32,47,65,99,116,105,111,110,32,60,60,32,47,83,117,98,116,121,112,101,32,47,85,82,73,32,47,85,82,73,32,37,115,32,62,62,10,32,32,47,83,117,98,116,121,112,101,32,47,76,105,110,107,10,47,65,78,78,32,112,100,102,109,97,114,107,10,0,103,115,97,118,101,10,0,37,37,32,37,115,10,0,48,32,48,32,48,32,101,100,103,101,99,111,108,111,114,10,0,101,110,100,112,97,
103,101,10,115,104,111,119,112,97,103,101,10,103,114,101,115,116,111,114,101,10,0,37,37,80,97,103,101,84,114,97,105,108,101,114,10,0,37,37,37,37,69,110,100,80,97,103,101,58,32,37,100,10,0,37,37,37,37,80,97,103,101,58,32,37,100,32,37,100,10,0,37,37,37,37,80,97,103,101,66,111,117,110,100,105,110,103,66,111,120,58,32,37,100,32,37,100,32,37,100,32,37,100,10,0,76,97,110,100,115,99,97,112,101,0,80,111,114,116,114,97,105,116,0,37,37,37,37,80,97,103,101,79,114,105,101,110,116,97,116,105,111,110,58,32,37,
115,10,0,60,60,32,47,80,97,103,101,83,105,122,101,32,91,37,100,32,37,100,93,32,62,62,32,115,101,116,112,97,103,101,100,101,118,105,99,101,10,0,37,100,32,37,100,32,37,100,32,98,101,103,105,110,112,97,103,101,10,0,103,115,97,118,101,10,37,100,32,37,100,32,37,100,32,37,100,32,98,111,120,112,114,105,109,32,99,108,105,112,32,110,101,119,112,97,116,104,10,0,37,103,32,37,103,32,115,101,116,95,115,99,97,108,101,32,37,100,32,114,111,116,97,116,101,32,37,103,32,37,103,32,116,114,97,110,115,108,97,116,101,10,
0,99,97,110,118,97,115,32,115,105,122,101,32,40,37,100,44,37,100,41,32,101,120,99,101,101,100,115,32,80,68,70,32,108,105,109,105,116,32,40,37,100,41,10,9,40,115,117,103,103,101,115,116,32,115,101,116,116,105,110,103,32,97,32,98,111,117,110,100,105,110,103,32,98,111,120,32,115,105,122,101,44,32,115,101,101,32,100,111,116,40,49,41,41,10,0,91,32,47,67,114,111,112,66,111,120,32,91,37,100,32,37,100,32,37,100,32,37,100,93,32,47,80,65,71,69,83,32,112,100,102,109,97,114,107,10,0,37,100,32,37,100,32,115,101,
116,108,97,121,101,114,10,0,0,37,37,37,37,84,105,116,108,101,58,32,37,115,10,0,37,37,80,97,103,101,115,58,32,40,97,116,101,110,100,41,10,0,37,37,80,97,103,101,115,58,32,49,10,0,37,37,66,111,117,110,100,105,110,103,66,111,120,58,32,40,97,116,101,110,100,41,10,0,37,37,37,37,66,111,117,110,100,105,110,103,66,111,120,58,32,37,100,32,37,100,32,37,100,32,37,100,10,0,37,37,69,110,100,67,111,109,109,101,110,116,115,10,115,97,118,101,10,0,115,101,116,117,112,76,97,116,105,110,49,10,0,91,32,123,67,97,116,97,
108,111,103,125,32,60,60,32,47,85,82,73,32,60,60,32,47,66,97,115,101,32,37,115,32,62,62,32,62,62,10,47,80,85,84,32,112,100,102,109,97,114,107,10,0,37,37,66,101,103,105,110,80,114,111,108,111,103,0,47,68,111,116,68,105,99,116,32,50,48,48,32,100,105,99,116,32,100,101,102,0,68,111,116,68,105,99,116,32,98,101,103,105,110,0,47,115,101,116,117,112,76,97,116,105,110,49,32,123,0,109,97,114,107,0,47,69,110,99,111,100,105,110,103,86,101,99,116,111,114,32,50,53,54,32,97,114,114,97,121,32,100,101,102,0,32,69,
110,99,111,100,105,110,103,86,101,99,116,111,114,32,48,0,73,83,79,76,97,116,105,110,49,69,110,99,111,100,105,110,103,32,48,32,50,53,53,32,103,101,116,105,110,116,101,114,118,97,108,32,112,117,116,105,110,116,101,114,118,97,108,0,69,110,99,111,100,105,110,103,86,101,99,116,111,114,32,52,53,32,47,104,121,112,104,101,110,32,112,117,116,0,37,32,83,101,116,32,117,112,32,73,83,79,32,76,97,116,105,110,32,49,32,99,104,97,114,97,99,116,101,114,32,101,110,99,111,100,105,110,103,0,47,115,116,97,114,110,101,
116,73,83,79,32,123,0,32,32,32,32,32,32,32,32,100,117,112,32,100,117,112,32,102,105,110,100,102,111,110,116,32,100,117,112,32,108,101,110,103,116,104,32,100,105,99,116,32,98,101,103,105,110,0,32,32,32,32,32,32,32,32,123,32,49,32,105,110,100,101,120,32,47,70,73,68,32,110,101,32,123,32,100,101,102,32,125,123,32,112,111,112,32,112,111,112,32,125,32,105,102,101,108,115,101,0,32,32,32,32,32,32,32,32,125,32,102,111,114,97,108,108,0,32,32,32,32,32,32,32,32,47,69,110,99,111,100,105,110,103,32,69,110,99,111,
100,105,110,103,86,101,99,116,111,114,32,100,101,102,0,32,32,32,32,32,32,32,32,99,117,114,114,101,110,116,100,105,99,116,32,101,110,100,32,100,101,102,105,110,101,102,111,110,116,0,125,32,100,101,102,0,47,84,105,109,101,115,45,82,111,109,97,110,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,84,105,109,101,115,45,73,116,97,108,105,99,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,84,105,109,101,115,45,66,111,108,100,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,
84,105,109,101,115,45,66,111,108,100,73,116,97,108,105,99,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,72,101,108,118,101,116,105,99,97,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,72,101,108,118,101,116,105,99,97,45,79,98,108,105,113,117,101,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,72,101,108,118,101,116,105,99,97,45,66,111,108,100,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,72,101,108,118,101,116,105,99,97,45,66,111,108,100,79,98,108,
105,113,117,101,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,67,111,117,114,105,101,114,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,67,111,117,114,105,101,114,45,79,98,108,105,113,117,101,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,67,111,117,114,105,101,114,45,66,111,108,100,32,115,116,97,114,110,101,116,73,83,79,32,100,101,102,0,47,67,111,117,114,105,101,114,45,66,111,108,100,79,98,108,105,113,117,101,32,115,116,97,114,110,101,116,73,83,79,32,100,101,
102,0,99,108,101,97,114,116,111,109,97,114,107,0,125,32,98,105,110,100,32,100,101,102,0,37,37,66,101,103,105,110,82,101,115,111,117,114,99,101,58,32,112,114,111,99,115,101,116,32,103,114,97,112,104,118,105,122,32,48,32,48,0,47,99,111,111,114,100,45,102,111,110,116,45,102,97,109,105,108,121,32,47,84,105,109,101,115,45,82,111,109,97,110,32,100,101,102,0,47,100,101,102,97,117,108,116,45,102,111,110,116,45,102,97,109,105,108,121,32,47,84,105,109,101,115,45,82,111,109,97,110,32,100,101,102,0,47,99,111,
111,114,100,102,111,110,116,32,99,111,111,114,100,45,102,111,110,116,45,102,97,109,105,108,121,32,102,105,110,100,102,111,110,116,32,56,32,115,99,97,108,101,102,111,110,116,32,100,101,102,0,47,73,110,118,83,99,97,108,101,70,97,99,116,111,114,32,49,46,48,32,100,101,102,0,47,115,101,116,95,115,99,97,108,101,32,123,0,32,32,32,32,32,32,32,100,117,112,32,49,32,101,120,99,104,32,100,105,118,32,47,73,110,118,83,99,97,108,101,70,97,99,116,111,114,32,101,120,99,104,32,100,101,102,0,32,32,32,32,32,32,32,115,
99,97,108,101,0,37,32,115,116,121,108,101,115,0,47,115,111,108,105,100,32,123,32,91,93,32,48,32,115,101,116,100,97,115,104,32,125,32,98,105,110,100,32,100,101,102,0,47,100,97,115,104,101,100,32,123,32,91,57,32,73,110,118,83,99,97,108,101,70,97,99,116,111,114,32,109,117,108,32,100,117,112,32,93,32,48,32,115,101,116,100,97,115,104,32,125,32,98,105,110,100,32,100,101,102,0,47,100,111,116,116,101,100,32,123,32,91,49,32,73,110,118,83,99,97,108,101,70,97,99,116,111,114,32,109,117,108,32,54,32,73,110,118,
83,99,97,108,101,70,97,99,116,111,114,32,109,117,108,93,32,48,32,115,101,116,100,97,115,104,32,125,32,98,105,110,100,32,100,101,102,0,47,105,110,118,105,115,32,123,47,102,105,108,108,32,123,110,101,119,112,97,116,104,125,32,100,101,102,32,47,115,116,114,111,107,101,32,123,110,101,119,112,97,116,104,125,32,100,101,102,32,47,115,104,111,119,32,123,112,111,112,32,110,101,119,112,97,116,104,125,32,100,101,102,125,32,98,105,110,100,32,100,101,102,0,47,98,111,108,100,32,123,32,50,32,115,101,116,108,105,
110,101,119,105,100,116,104,32,125,32,98,105,110,100,32,100,101,102,0,47,102,105,108,108,101,100,32,123,32,125,32,98,105,110,100,32,100,101,102,0,47,117,110,102,105,108,108,101,100,32,123,32,125,32,98,105,110,100,32,100,101,102,0,47,114,111,117,110,100,101,100,32,123,32,125,32,98,105,110,100,32,100,101,102,0,47,100,105,97,103,111,110,97,108,115,32,123,32,125,32,98,105,110,100,32,100,101,102,0,47,116,97,112,101,114,101,100,32,123,32,125,32,98,105,110,100,32,100,101,102,0,37,32,104,111,111,107,115,
32,102,111,114,32,115,101,116,116,105,110,103,32,99,111,108,111,114,32,0,47,110,111,100,101,99,111,108,111,114,32,123,32,115,101,116,104,115,98,99,111,108,111,114,32,125,32,98,105,110,100,32,100,101,102,0,47,101,100,103,101,99,111,108,111,114,32,123,32,115,101,116,104,115,98,99,111,108,111,114,32,125,32,98,105,110,100,32,100,101,102,0,47,103,114,97,112,104,99,111,108,111,114,32,123,32,115,101,116,104,115,98,99,111,108,111,114,32,125,32,98,105,110,100,32,100,101,102,0,47,110,111,112,99,111,108,111,
114,32,123,112,111,112,32,112,111,112,32,112,111,112,125,32,98,105,110,100,32,100,101,102,0,47,98,101,103,105,110,112,97,103,101,32,123,9,37,32,105,32,106,32,110,112,97,103,101,115,0,9,47,110,112,97,103,101,115,32,101,120,99,104,32,100,101,102,0,9,47,106,32,101,120,99,104,32,100,101,102,0,9,47,105,32,101,120,99,104,32,100,101,102,0,9,47,115,116,114,32,49,48,32,115,116,114,105,110,103,32,100,101,102,0,9,110,112,97,103,101,115,32,49,32,103,116,32,123,0,9,9,103,115,97,118,101,0,9,9,9,99,111,111,114,
100,102,111,110,116,32,115,101,116,102,111,110,116,0,9,9,9,48,32,48,32,109,111,118,101,116,111,0,9,9,9,40,92,40,41,32,115,104,111,119,32,105,32,115,116,114,32,99,118,115,32,115,104,111,119,32,40,44,41,32,115,104,111,119,32,106,32,115,116,114,32,99,118,115,32,115,104,111,119,32,40,92,41,41,32,115,104,111,119,0,9,9,103,114,101,115,116,111,114,101,0,9,125,32,105,102,0,47,115,101,116,95,102,111,110,116,32,123,0,9,102,105,110,100,102,111,110,116,32,101,120,99,104,0,9,115,99,97,108,101,102,111,110,116,
32,115,101,116,102,111,110,116,0,37,32,100,114,97,119,32,116,101,120,116,32,102,105,116,116,101,100,32,116,111,32,105,116,115,32,101,120,112,101,99,116,101,100,32,119,105,100,116,104,0,47,97,108,105,103,110,101,100,116,101,120,116,32,123,9,9,9,37,32,119,105,100,116,104,32,116,101,120,116,0,9,47,116,101,120,116,32,101,120,99,104,32,100,101,102,0,9,47,119,105,100,116,104,32,101,120,99,104,32,100,101,102,0,9,103,115,97,118,101,0,9,9,119,105,100,116,104,32,48,32,103,116,32,123,0,9,9,9,91,93,32,48,32,
115,101,116,100,97,115,104,0,9,9,9,116,101,120,116,32,115,116,114,105,110,103,119,105,100,116,104,32,112,111,112,32,119,105,100,116,104,32,101,120,99,104,32,115,117,98,32,116,101,120,116,32,108,101,110,103,116,104,32,100,105,118,32,48,32,116,101,120,116,32,97,115,104,111,119,0,9,9,125,32,105,102,0,9,103,114,101,115,116,111,114,101,0,47,98,111,120,112,114,105,109,32,123,9,9,9,9,37,32,120,99,111,114,110,101,114,32,121,99,111,114,110,101,114,32,120,115,105,122,101,32,121,115,105,122,101,0,9,9,52,32,
50,32,114,111,108,108,0,9,9,109,111,118,101,116,111,0,9,9,50,32,99,111,112,121,0,9,9,101,120,99,104,32,48,32,114,108,105,110,101,116,111,0,9,9,48,32,101,120,99,104,32,114,108,105,110,101,116,111,0,9,9,112,111,112,32,110,101,103,32,48,32,114,108,105,110,101,116,111,0,9,9,99,108,111,115,101,112,97,116,104,0,47,101,108,108,105,112,115,101,95,112,97,116,104,32,123,0,9,47,114,121,32,101,120,99,104,32,100,101,102,0,9,47,114,120,32,101,120,99,104,32,100,101,102,0,9,47,121,32,101,120,99,104,32,100,101,102,
0,9,47,120,32,101,120,99,104,32,100,101,102,0,9,109,97,116,114,105,120,32,99,117,114,114,101,110,116,109,97,116,114,105,120,0,9,110,101,119,112,97,116,104,0,9,120,32,121,32,116,114,97,110,115,108,97,116,101,0,9,114,120,32,114,121,32,115,99,97,108,101,0,9,48,32,48,32,49,32,48,32,51,54,48,32,97,114,99,0,9,115,101,116,109,97,116,114,105,120,0,47,101,110,100,112,97,103,101,32,123,32,115,104,111,119,112,97,103,101,32,125,32,98,105,110,100,32,100,101,102,0,47,115,104,111,119,112,97,103,101,32,123,32,125,
32,100,101,102,0,47,108,97,121,101,114,99,111,108,111,114,115,101,113,0,9,91,9,37,32,108,97,121,101,114,32,99,111,108,111,114,32,115,101,113,117,101,110,99,101,32,45,32,100,97,114,107,101,115,116,32,116,111,32,108,105,103,104,116,101,115,116,0,9,9,91,48,32,48,32,48,93,0,9,9,91,46,50,32,46,56,32,46,56,93,0,9,9,91,46,52,32,46,56,32,46,56,93,0,9,9,91,46,54,32,46,56,32,46,56,93,0,9,9,91,46,56,32,46,56,32,46,56,93,0,9,93,0,100,101,102,0,47,108,97,121,101,114,108,101,110,32,108,97,121,101,114,99,111,108,
111,114,115,101,113,32,108,101,110,103,116,104,32,100,101,102,0,47,115,101,116,108,97,121,101,114,32,123,47,109,97,120,108,97,121,101,114,32,101,120,99,104,32,100,101,102,32,47,99,117,114,108,97,121,101,114,32,101,120,99,104,32,100,101,102,0,9,108,97,121,101,114,99,111,108,111,114,115,101,113,32,99,117,114,108,97,121,101,114,32,49,32,115,117,98,32,108,97,121,101,114,108,101,110,32,109,111,100,32,103,101,116,0,9,97,108,111,97,100,32,112,111,112,32,115,101,116,104,115,98,99,111,108,111,114,0,9,47,110,
111,100,101,99,111,108,111,114,32,123,110,111,112,99,111,108,111,114,125,32,100,101,102,0,9,47,101,100,103,101,99,111,108,111,114,32,123,110,111,112,99,111,108,111,114,125,32,100,101,102,0,9,47,103,114,97,112,104,99,111,108,111,114,32,123,110,111,112,99,111,108,111,114,125,32,100,101,102,0,47,111,110,108,97,121,101,114,32,123,32,99,117,114,108,97,121,101,114,32,110,101,32,123,105,110,118,105,115,125,32,105,102,32,125,32,100,101,102,0,47,111,110,108,97,121,101,114,115,32,123,0,9,47,109,121,117,112,
112,101,114,32,101,120,99,104,32,100,101,102,0,9,47,109,121,108,111,119,101,114,32,101,120,99,104,32,100,101,102,0,9,99,117,114,108,97,121,101,114,32,109,121,108,111,119,101,114,32,108,116,0,9,99,117,114,108,97,121,101,114,32,109,121,117,112,112,101,114,32,103,116,0,9,111,114,0,9,123,105,110,118,105,115,125,32,105,102,0,47,99,117,114,108,97,121,101,114,32,48,32,100,101,102,0,37,37,69,110,100,82,101,115,111,117,114,99,101,0,37,37,69,110,100,80,114,111,108,111,103,0,37,37,66,101,103,105,110,83,101,
116,117,112,0,49,52,32,100,101,102,97,117,108,116,45,102,111,110,116,45,102,97,109,105,108,121,32,115,101,116,95,102,111,110,116,0,37,32,47,97,114,114,111,119,108,101,110,103,116,104,32,49,48,32,100,101,102,0,37,32,47,97,114,114,111,119,119,105,100,116,104,32,53,32,100,101,102,0,37,32,109,97,107,101,32,115,117,114,101,32,112,100,102,109,97,114,107,32,105,115,32,104,97,114,109,108,101,115,115,32,102,111,114,32,80,83,45,105,110,116,101,114,112,114,101,116,101,114,115,32,111,116,104,101,114,32,116,104,
97,110,32,68,105,115,116,105,108,108,101,114,0,47,112,100,102,109,97,114,107,32,119,104,101,114,101,32,123,112,111,112,125,32,123,117,115,101,114,100,105,99,116,32,47,112,100,102,109,97,114,107,32,47,99,108,101,97,114,116,111,109,97,114,107,32,108,111,97,100,32,112,117,116,125,32,105,102,101,108,115,101,0,37,32,109,97,107,101,32,39,60,60,39,32,97,110,100,32,39,62,62,39,32,115,97,102,101,32,111,110,32,80,83,32,76,101,118,101,108,32,49,32,100,101,118,105,99,101,115,0,47,108,97,110,103,117,97,103,101,
108,101,118,101,108,32,119,104,101,114,101,32,123,112,111,112,32,108,97,110,103,117,97,103,101,108,101,118,101,108,125,123,49,125,32,105,102,101,108,115,101,0,50,32,108,116,32,123,0,32,32,32,32,117,115,101,114,100,105,99,116,32,40,60,60,41,32,99,118,110,32,40,91,41,32,99,118,110,32,108,111,97,100,32,112,117,116,0,32,32,32,32,117,115,101,114,100,105,99,116,32,40,62,62,41,32,99,118,110,32,40,91,41,32,99,118,110,32,108,111,97,100,32,112,117,116,0,125,32,105,102,0,37,37,69,110,100,83,101,116,117,112,
0,37,37,84,114,97,105,108,101,114,10,0,37,37,37,37,80,97,103,101,115,58,32,37,100,10,0,101,110,100,10,114,101,115,116,111,114,101,10,0,37,37,69,79,70,10,0,37,33,80,83,45,65,100,111,98,101,45,51,46,48,0,32,69,80,83,70,45,51,46,48,10,0,37,37,37,37,67,114,101,97,116,111,114,58,32,37,115,32,118,101,114,115,105,111,110,32,37,115,32,40,37,115,41,10,0,100,97,114,107,98,108,117,101,0,100,97,114,107,99,121,97,110,0,100,97,114,107,103,114,97,121,0,100,97,114,107,103,114,101,121,0,100,97,114,107,109,97,103,
101,110,116,97,0,100,97,114,107,114,101,100,0,108,105,103,104,116,103,114,101,101,110,0,60,33,45,45,32,0,60,112,111,108,121,108,105,110,101,0,32,112,111,105,110,116,115,61,34,0,34,47,62,10,0,32,102,105,108,108,61,34,0,117,114,108,40,35,108,95,37,100,41,0,117,114,108,40,35,114,95,37,100,41,0,34,32,102,105,108,108,45,111,112,97,99,105,116,121,61,34,37,102,0,34,32,115,116,114,111,107,101,61,34,0,34,32,115,116,114,111,107,101,45,119,105,100,116,104,61,34,0,34,32,115,116,114,111,107,101,45,100,97,115,
104,97,114,114,97,121,61,34,37,115,0,53,44,50,0,49,44,53,0,34,32,115,116,114,111,107,101,45,111,112,97,99,105,116,121,61,34,37,102,0,103,118,114,101,110,100,101,114,95,99,111,114,101,95,115,118,103,46,99,0,115,118,103,95,112,114,105,110,116,95,99,111,108,111,114,0,60,112,97,116,104,0,32,105,100,61,34,0,95,112,34,32,0,32,100,61,34,0,37,99,0,60,100,101,102,115,62,10,60,114,97,100,105,97,108,71,114,97,100,105,101,110,116,32,105,100,61,34,114,95,37,100,34,32,99,120,61,34,53,48,37,37,34,32,99,121,61,34,
53,48,37,37,34,32,114,61,34,55,53,37,37,34,32,102,120,61,34,37,100,37,37,34,32,102,121,61,34,37,100,37,37,34,62,10,0,60,115,116,111,112,32,111,102,102,115,101,116,61,34,48,34,32,115,116,121,108,101,61,34,115,116,111,112,45,99,111,108,111,114,58,0,59,115,116,111,112,45,111,112,97,99,105,116,121,58,0,49,46,0,59,34,47,62,10,0,60,115,116,111,112,32,111,102,102,115,101,116,61,34,49,34,32,115,116,121,108,101,61,34,115,116,111,112,45,99,111,108,111,114,58,0,59,34,47,62,10,60,47,114,97,100,105,97,108,71,
114,97,100,105,101,110,116,62,10,60,47,100,101,102,115,62,10,0,60,100,101,102,115,62,10,60,108,105,110,101,97,114,71,114,97,100,105,101,110,116,32,105,100,61,34,108,95,37,100,34,32,103,114,97,100,105,101,110,116,85,110,105,116,115,61,34,117,115,101,114,83,112,97,99,101,79,110,85,115,101,34,32,0,120,49,61,34,0,34,32,121,49,61,34,0,34,32,120,50,61,34,0,34,32,121,50,61,34,0,34,32,62,10,0,60,115,116,111,112,32,111,102,102,115,101,116,61,34,37,46,48,51,102,34,32,115,116,121,108,101,61,34,115,116,111,112,
45,99,111,108,111,114,58,0,59,34,47,62,10,60,47,108,105,110,101,97,114,71,114,97,100,105,101,110,116,62,10,60,47,100,101,102,115,62,10,0,60,112,111,108,121,103,111,110,0,60,101,108,108,105,112,115,101,0,32,99,120,61,34,0,34,32,99,121,61,34,0,34,32,114,120,61,34,0,34,32,114,121,61,34,0,60,116,101,120,116,0,32,116,101,120,116,45,97,110,99,104,111,114,61,34,115,116,97,114,116,34,0,32,116,101,120,116,45,97,110,99,104,111,114,61,34,101,110,100,34,0,32,116,101,120,116,45,97,110,99,104,111,114,61,34,109,
105,100,100,108,101,34,0,32,120,61,34,0,34,32,121,61,34,0,32,102,111,110,116,45,102,97,109,105,108,121,61,34,37,115,0,44,37,115,0,32,102,111,110,116,45,119,101,105,103,104,116,61,34,37,115,34,0,32,102,111,110,116,45],"i8",4,n.q+103786);
B([115,116,114,101,116,99,104,61,34,37,115,34,0,32,102,111,110,116,45,115,116,121,108,101,61,34,37,115,34,0,32,102,111,110,116,45,102,97,109,105,108,121,61,34,37,115,34,0,32,102,111,110,116,45,119,101,105,103,104,116,61,34,98,111,108,100,34,0,32,102,111,110,116,45,115,116,121,108,101,61,34,105,116,97,108,105,99,34,0,32,116,101,120,116,45,100,101,99,111,114,97,116,105,111,110,61,34,0,37,115,111,118,101,114,108,105,110,101,0,37,115,108,105,110,101,45,116,104,114,111,117,103,104,0,32,98,97,115,101,108,
105,110,101,45,115,104,105,102,116,61,34,115,117,112,101,114,34,0,32,98,97,115,101,108,105,110,101,45,115,104,105,102,116,61,34,115,117,98,34,0,32,102,111,110,116,45,115,105,122,101,61,34,37,46,50,102,34,0,32,102,105,108,108,61,34,37,115,34,0,32,102,105,108,108,61,34,35,37,48,50,120,37,48,50,120,37,48,50,120,34,0,115,118,103,95,116,101,120,116,115,112,97,110,0,62,0,60,116,101,120,116,80,97,116,104,32,120,108,105,110,107,58,104,114,101,102,61,34,35,37,115,95,112,34,32,115,116,97,114,116,79,102,102,
115,101,116,61,34,53,48,37,37,34,62,0,60,116,115,112,97,110,32,120,61,34,48,34,32,100,121,61,34,0,34,62,0,60,47,116,115,112,97,110,62,60,47,116,101,120,116,80,97,116,104,62,0,60,47,116,101,120,116,62,10,0,60,47,103,62,10,0,60,103,0,32,105,100,61,34,97,95,0,32,120,108,105,110,107,58,104,114,101,102,61,34,0,32,120,108,105,110,107,58,116,105,116,108,101,61,34,0,32,116,97,114,103,101,116,61,34,0,60,116,105,116,108,101,62,0,60,47,116,105,116,108,101,62,10,0,60,103,32,105,100,61,34,0,95,37,115,0,34,32,
99,108,97,115,115,61,34,37,115,0,99,108,97,115,115,0,32,116,114,97,110,115,102,111,114,109,61,34,115,99,97,108,101,40,0,41,32,114,111,116,97,116,101,40,37,100,41,32,116,114,97,110,115,108,97,116,101,40,0,41,34,62,10,0,60,47,115,118,103,62,10,0,60,33,45,45,0,32,80,97,103,101,115,58,32,37,100,32,45,45,62,10,0,60,115,118,103,32,119,105,100,116,104,61,34,37,100,112,116,34,32,104,101,105,103,104,116,61,34,37,100,112,116,34,10,0,32,118,105,101,119,66,111,120,61,34,37,46,50,102,32,37,46,50,102,32,37,46,
50,102,32,37,46,50,102,34,0,32,120,109,108,110,115,61,34,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,115,118,103,34,0,32,120,109,108,110,115,58,120,108,105,110,107,61,34,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,49,57,57,57,47,120,108,105,110,107,34,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,32,115,116,97,110,100,97,108,111,110,101,61,34,110,111,34,63,62,10,
0,115,116,121,108,101,115,104,101,101,116,0,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,104,114,101,102,61,34,0,34,32,116,121,112,101,61,34,116,101,120,116,47,99,115,115,34,63,62,10,0,60,33,68,79,67,84,89,80,69,32,115,118,103,32,80,85,66,76,73,67,32,34,45,47,47,87,51,67,47,47,68,84,68,32,83,86,71,32,49,46,49,47,47,69,78,34,10,0,32,34,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,71,114,97,112,104,105,99,115,47,83,86,71,47,49,46,49,47,68,84,68,47,115,118,103,
49,49,46,100,116,100,34,62,10,0,60,33,45,45,32,71,101,110,101,114,97,116,101,100,32,98,121,32,0,116,107,0,116,107,58,116,107,0,35,32,0,32,99,114,101,97,116,101,32,108,105,110,101,32,0,32,45,102,105,108,108,32,0,32,45,100,97,115,104,32,53,0,32,45,100,97,115,104,32,50,0,103,118,114,101,110,100,101,114,95,99,111,114,101,95,116,107,46,99,0,116,107,103,101,110,95,112,114,105,110,116,95,116,97,103,115,0,103,114,97,112,104,32,108,97,98,101,108,0,32,45,116,97,103,115,32,123,37,100,37,115,37,112,125,0,116,
107,103,101,110,95,112,114,105,110,116,95,99,111,108,111,114,0,36,99,0,32,45,119,105,100,116,104,32,0,32,45,115,109,111,111,116,104,32,98,101,122,105,101,114,32,0,32,99,114,101,97,116,101,32,112,111,108,121,103,111,110,32,0,32,45,111,117,116,108,105,110,101,32,0,32,99,114,101,97,116,101,32,111,118,97,108,32,0,32,99,114,101,97,116,101,32,116,101,120,116,32,0,32,45,116,101,120,116,32,123,0,125,0,32,45,102,111,110,116,32,123,0,32,37,100,125,0,32,45,97,110,99,104,111,114,32,119,0,32,45,97,110,99,104,
111,114,32,101,0,35,0,32,84,105,116,108,101,58,32,0,32,80,97,103,101,115,58,32,37,100,10,0,35,32,71,101,110,101,114,97,116,101,100,32,98,121,32,0,41,10,0,69,114,114,111,114,32,100,117,114,105,110,103,32,99,111,110,118,101,114,115,105,111,110,32,116,111,32,34,85,84,70,45,56,34,46,32,32,81,117,105,116,105,110,103,46,10,0,118,109,108,0,118,109,108,58,118,109,108,0,97,113,117,97,0,102,117,99,104,115,105,97,0,108,105,109,101,0,111,108,105,118,101,0,116,101,97,108,0,32,32,32,32,32,32,60,33,45,45,32,0,32,
45,45,62,10,0,32,60,118,58,115,104,97,112,101,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,97,98,115,111,108,117,116,101,59,32,0,32,119,105,100,116,104,58,32,37,100,59,32,104,101,105,103,104,116,58,32,37,100,34,32,102,105,108,108,101,100,61,34,102,97,108,115,101,34,62,0,60,118,58,112,97,116,104,32,118,61,34,0,32,109,32,0,37,46,48,102,44,37,46,48,102,32,0,32,108,32,0,32,101,32,0,34,47,62,0,60,47,118,58,115,104,97,112,101,62,10,0,60,118,58,115,116,114,111,107,101,32,99,111,108,111,
114,61,34,0,34,32,119,101,105,103,104,116,61,34,37,46,48,102,112,116,0,34,32,100,97,115,104,115,116,121,108,101,61,34,100,97,115,104,0,34,32,100,97,115,104,115,116,121,108,101,61,34,100,111,116,0,34,32,47,62,0,35,37,48,50,120,37,48,50,120,37,48,50,120,0,103,118,114,101,110,100,101,114,95,99,111,114,101,95,118,109,108,46,99,0,118,109,108,95,112,114,105,110,116,95,99,111,108,111,114,0,32,119,105,100,116,104,58,32,37,100,59,32,104,101,105,103,104,116,58,32,37,100,34,0,32,62,0,60,118,58,112,97,116,104,
32,32,118,61,34,0,109,32,0,37,115,37,46,48,102,44,37,46,48,102,32,0,99,32,0,47,62,60,47,118,58,115,104,97,112,101,62,10,0,32,102,105,108,108,101,100,61,34,116,114,117,101,34,32,102,105,108,108,99,111,108,111,114,61,34,0,34,32,0,32,102,105,108,108,101,100,61,34,102,97,108,115,101,34,32,0,37,46,48,102,32,37,46,48,102,32,0,108,32,0,120,32,101,32,34,47,62,0,32,32,60,118,58,111,118,97,108,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,97,98,115,111,108,117,116,101,59,0,32,108,101,102,
116,58,32,37,46,50,102,59,32,116,111,112,58,32,37,46,50,102,59,0,32,119,105,100,116,104,58,32,37,46,50,102,59,32,104,101,105,103,104,116,58,32,37,46,50,102,34,0,60,47,118,58,111,118,97,108,62,10,0,60,118,58,114,101,99,116,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,97,98,115,111,108,117,116,101,59,32,0,32,115,116,114,111,107,101,100,61,34,102,97,108,115,101,34,32,102,105,108,108,101,100,61,34,102,97,108,115,101,34,62,10,0,60,118,58,116,101,120,116,98,111,120,32,105,110,115,101,
116,61,34,48,44,48,44,48,44,48,34,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,97,98,115,111,108,117,116,101,59,32,118,45,116,101,120,116,45,119,114,97,112,112,105,110,103,58,39,102,97,108,115,101,39,59,112,97,100,100,105,110,103,58,39,48,39,59,0,102,111,110,116,45,102,97,109,105,108,121,58,32,39,37,115,39,59,0,102,111,110,116,45,119,101,105,103,104,116,58,32,37,115,59,0,102,111,110,116,45,115,116,114,101,116,99,104,58,32,37,115,59,0,102,111,110,116,45,115,116,121,108,101,58,32,
37,115,59,0,32,102,111,110,116,45,115,105,122,101,58,32,37,46,50,102,112,116,59,0,99,111,108,111,114,58,37,115,59,0,99,111,108,111,114,58,35,37,48,50,120,37,48,50,120,37,48,50,120,59,0,118,109,108,95,116,101,120,116,115,112,97,110,0,34,62,60,99,101,110,116,101,114,62,0,60,47,99,101,110,116,101,114,62,60,47,118,58,116,101,120,116,98,111,120,62,10,0,60,47,118,58,114,101,99,116,62,10,0,60,47,97,62,10,0,60,97,0,32,104,114,101,102,61,34,37,115,34,0,32,116,105,116,108,101,61,34,37,115,34,0,32,116,97,114,
103,101,116,61,34,37,115,34,0,62,10,0,60,47,118,58,103,114,111,117,112,62,10,0,60,47,68,73,86,62,10,0,60,68,73,86,32,105,100,61,39,95,86,77,76,50,95,39,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,114,101,108,97,116,105,118,101,59,118,105,115,105,98,105,108,105,116,121,58,104,105,100,100,101,110,34,62,10,0,60,33,45,45,32,105,110,115,101,114,116,32,97,110,121,32,111,116,104,101,114,32,104,116,109,108,32,99,111,110,116,101,110,116,32,104,101,114,101,32,45,45,62,10,0,60,68,73,86,32,
105,100,61,39,95,110,111,116,86,77,76,49,95,39,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,114,101,108,97,116,105,118,101,59,34,62,10,0,60,33,45,45,32,116,104,105,115,32,115,104,111,117,108,100,32,111,110,108,121,32,100,105,115,112,108,97,121,32,111,110,32,78,79,78,45,73,69,32,98,114,111,119,115,101,114,115,32,45,45,62,10,0,60,72,50,62,83,111,114,114,121,44,32,116,104,105,115,32,100,105,97,103,114,97,109,32,119,105,108,108,32,111,110,108,121,32,100,105,115,112,108,97,121,32,99,
111,114,114,101,99,116,108,121,32,111,110,32,73,110,116,101,114,110,101,116,32,69,120,112,108,111,114,101,114,32,53,32,40,97,110,100,32,117,112,41,32,98,114,111,119,115,101,114,115,46,60,47,72,50,62,10,0,60,68,73,86,32,105,100,61,39,95,110,111,116,86,77,76,50,95,39,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,114,101,108,97,116,105,118,101,59,34,62,10,0,60,33,45,45,32,105,110,115,101,114,116,32,97,110,121,32,111,116,104,101,114,32,78,79,78,45,73,69,32,104,116,109,108,32,99,111,
110,116,101,110,116,32,104,101,114,101,32,45,45,62,10,0,60,47,66,79,68,89,62,10,60,47,72,84,77,76,62,10,0,60,72,69,65,68,62,0,60,77,69,84,65,32,104,116,116,112,45,101,113,117,105,118,61,34,67,111,110,116,101,110,116,45,84,121,112,101,34,32,99,111,110,116,101,110,116,61,34,116,101,120,116,47,104,116,109,108,59,32,99,104,97,114,115,101,116,61,85,84,70,45,56,34,62,10,0,60,84,73,84,76,69,62,0,60,47,84,73,84,76,69,62,0,60,33,45,45,32,80,97,103,101,115,58,32,37,100,32,45,45,62,10,0,32,32,32,60,83,67,82,
73,80,84,32,76,65,78,71,85,65,71,69,61,39,74,97,118,97,115,99,114,105,112,116,39,62,10,0,32,32,32,102,117,110,99,116,105,111,110,32,98,114,111,119,115,101,114,99,104,101,99,107,40,41,10,0,32,32,32,123,10,0,32,32,32,32,32,32,118,97,114,32,117,97,32,61,32,119,105,110,100,111,119,46,110,97,118,105,103,97,116,111,114,46,117,115,101,114,65,103,101,110,116,10,0,32,32,32,32,32,32,118,97,114,32,109,115,105,101,32,61,32,117,97,46,105,110,100,101,120,79,102,32,40,32,39,77,83,73,69,32,39,32,41,10,0,32,32,32,
32,32,32,118,97,114,32,105,101,118,101,114,115,59,10,0,32,32,32,32,32,32,118,97,114,32,105,116,101,109,59,10,0,32,32,32,32,32,32,118,97,114,32,86,77,76,121,101,115,61,110,101,119,32,65,114,114,97,121,40,39,95,86,77,76,49,95,39,44,39,95,86,77,76,50,95,39,41,59,10,0,32,32,32,32,32,32,118,97,114,32,86,77,76,110,111,61,110,101,119,32,65,114,114,97,121,40,39,95,110,111,116,86,77,76,49,95,39,44,39,95,110,111,116,86,77,76,50,95,39,41,59,10,0,32,32,32,32,32,32,105,102,32,40,32,109,115,105,101,32,62,32,48,
32,41,123,32,32,32,32,32,32,47,47,32,73,102,32,73,110,116,101,114,110,101,116,32,69,120,112,108,111,114,101,114,44,32,114,101,116,117,114,110,32,118,101,114,115,105,111,110,32,110,117,109,98,101,114,10,0,32,32,32,32,32,32,32,32,32,105,101,118,101,114,115,61,32,112,97,114,115,101,73,110,116,32,40,117,97,46,115,117,98,115,116,114,105,110,103,32,40,109,115,105,101,43,53,44,32,117,97,46,105,110,100,101,120,79,102,32,40,39,46,39,44,32,109,115,105,101,32,41,41,41,10,0,32,32,32,32,32,32,125,10,0,32,32,32,
32,32,32,105,102,32,40,105,101,118,101,114,115,62,61,53,41,123,10,0,32,32,32,32,32,32,32,102,111,114,32,40,120,32,105,110,32,86,77,76,121,101,115,41,123,10,0,32,32,32,32,32,32,32,32,32,105,116,101,109,32,61,32,100,111,99,117,109,101,110,116,46,103,101,116,69,108,101,109,101,110,116,66,121,73,100,40,86,77,76,121,101,115,91,120,93,41,59,10,0,32,32,32,32,32,32,32,32,32,105,102,32,40,105,116,101,109,41,32,123,10,0,32,32,32,32,32,32,32,32,32,32,32,105,116,101,109,46,115,116,121,108,101,46,118,105,115,
105,98,105,108,105,116,121,61,39,118,105,115,105,98,108,101,39,59,10,0,32,32,32,32,32,32,32,32,32,125,10,0,32,32,32,32,32,32,32,125,10,0,32,32,32,32,32,32,32,102,111,114,32,40,120,32,105,110,32,86,77,76,110,111,41,123,10,0,32,32,32,32,32,32,32,32,32,105,116,101,109,32,61,32,100,111,99,117,109,101,110,116,46,103,101,116,69,108,101,109,101,110,116,66,121,73,100,40,86,77,76,110,111,91,120,93,41,59,10,0,32,32,32,32,32,32,32,32,32,32,32,105,116,101,109,46,115,116,121,108,101,46,118,105,115,105,98,105,
108,105,116,121,61,39,104,105,100,100,101,110,39,59,10,0,32,32,32,32,32,125,101,108,115,101,123,10,0,32,32,32,32,32,125,10,0,32,32,32,125,10,0,32,32,32,60,47,83,67,82,73,80,84,62,10,0,60,47,72,69,65,68,62,0,60,66,79,68,89,32,111,110,108,111,97,100,61,39,98,114,111,119,115,101,114,99,104,101,99,107,40,41,59,39,62,10,0,60,68,73,86,32,105,100,61,39,95,86,77,76,49,95,39,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,114,101,108,97,116,105,118,101,59,32,100,105,115,112,108,97,121,58,105,
110,108,105,110,101,59,32,118,105,115,105,98,105,108,105,116,121,58,104,105,100,100,101,110,0,32,119,105,100,116,104,58,32,37,100,112,116,59,32,104,101,105,103,104,116,58,32,37,100,112,116,34,62,10,0,60,83,84,89,76,69,62,10,0,118,92,58,42,32,123,32,98,101,104,97,118,105,111,114,58,32,117,114,108,40,35,100,101,102,97,117,108,116,35,86,77,76,41,59,100,105,115,112,108,97,121,58,105,110,108,105,110,101,45,98,108,111,99,107,125,10,0,60,47,83,84,89,76,69,62,10,0,60,120,109,108,58,110,97,109,101,115,112,
97,99,101,32,110,115,61,34,117,114,110,58,115,99,104,101,109,97,115,45,109,105,99,114,111,115,111,102,116,45,99,111,109,58,118,109,108,34,32,112,114,101,102,105,120,61,34,118,34,32,47,62,10,0,32,60,118,58,103,114,111,117,112,32,115,116,121,108,101,61,34,112,111,115,105,116,105,111,110,58,114,101,108,97,116,105,118,101,59,32,0,32,119,105,100,116,104,58,32,37,100,112,116,59,32,104,101,105,103,104,116,58,32,37,100,112,116,34,0,32,99,111,111,114,100,111,114,105,103,105,110,61,34,48,44,48,34,32,99,111,
111,114,100,115,105,122,101,61,34,37,100,44,37,100,34,32,62,0,60,72,84,77,76,62,10,0,10,60,33,45,45,32,71,101,110,101,114,97,116,101,100,32,98,121,32,0,32,118,101,114,115,105,111,110,32,0,32,40,0,41,10,45,45,62,10,0,112,111,118,32,114,101,110,100,101,114,101,114,58,101,108,32,45,32,37,115,10,0,112,111,118,0,112,111,118,58,112,111,118,0,98,97,107,101,114,115,99,104,111,99,0,98,114,97,115,115,0,98,114,105,103,104,116,103,111,108,100,0,98,114,111,110,122,101,0,98,114,111,110,122,101,50,0,99,108,101,
97,114,0,99,111,111,108,99,111,112,112,101,114,0,99,111,112,112,101,114,0,100,97,114,107,98,114,111,119,110,0,100,97,114,107,112,117,114,112,108,101,0,100,97,114,107,116,97,110,0,100,97,114,107,119,111,111,100,0,100,107,103,114,101,101,110,99,111,112,112,101,114,0,100,117,115,116,121,114,111,115,101,0,102,101,108,100,115,112,97,114,0,102,108,101,115,104,0,103,114,97,121,48,53,0,103,114,101,101,110,99,111,112,112,101,114,0,104,117,110,116,101,114,115,103,114,101,101,110,0,108,105,103,104,116,95,112,
117,114,112,108,101,0,108,105,103,104,116,119,111,111,100,0,109,97,110,100,97,114,105,110,111,114,97,110,103,101,0,109,101,100,105,117,109,102,111,114,101,115,116,103,114,101,101,110,0,109,101,100,105,117,109,103,111,108,100,101,110,114,111,100,0,109,101,100,105,117,109,119,111,111,100,0,109,101,100,95,112,117,114,112,108,101,0,109,105,99,97,0,110,101,111,110,98,108,117,101,0,110,101,111,110,112,105,110,107,0,110,101,119,109,105,100,110,105,103,104,116,98,108,117,101,0,110,101,119,116,97,110,0,111,
108,100,103,111,108,100,0,113,117,97,114,116,122,0,114,105,99,104,98,108,117,101,0,115,99,97,114,108,101,116,0,115,101,109,105,83,119,101,101,116,67,104,111,99,0,115,105,108,118,101,114,0,115,112,105,99,121,112,105,110,107,0,115,117,109,109,101,114,115,107,121,0,118,101,114,121,100,97,114,107,98,114,111,119,110,0,118,101,114,121,95,108,105,103,104,116,95,112,117,114,112,108,101,0,47,47,42,42,42,32,99,111,109,109,101,110,116,58,32,37,115,10,0,47,47,42,42,42,32,112,111,108,121,108,105,110,101,10,0,
115,99,97,108,101,32,32,32,32,60,37,57,46,51,102,44,32,37,57,46,51,102,44,32,37,57,46,51,102,62,10,0,114,111,116,97,116,101,32,32,32,60,37,57,46,51,102,44,32,37,57,46,51,102,44,32,37,57,46,51,102,62,10,0,116,114,97,110,115,108,97,116,101,60,37,57,46,51,102,44,32,37,57,46,51,102,44,32,37,57,46,51,102,62,10,0,115,112,104,101,114,101,95,115,119,101,101,112,32,123,10,32,32,32,32,37,115,10,32,32,32,32,37,100,44,10,0,108,105,110,101,97,114,95,115,112,108,105,110,101,0,60,37,57,46,51,102,44,32,37,57,46,
51,102,44,32,37,57,46,51,102,62,44,32,37,46,51,102,10,0,37,115,32,32,32,32,37,115,0,32,32,32,32,116,111,108,101,114,97,110,99,101,32,48,46,48,49,10,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,125,10,0,37,115,37,115,0,37,115,32,116,114,97,110,115,109,105,116,32,37,46,51,102,0,82,101,100,0,71,114,101,101,110,0,66,108,117,101,0,114,103,98,60,37,57,46,51,102,44,32,37,57,46,51,102,44,32,37,57,46,51,102,62,32,116,114,97,110,115,109,105,116,32,37,46,51,102,0,111,111,112,115,
44,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,117,110,104,97,110,100,108,101,100,32,99,111,108,111,114,32,116,121,112,101,61,37,100,32,37,115,10,0,103,118,114,101,110,100,101,114,95,99,111,114,101,95,112,111,118,46,99,0,112,111,118,95,99,111,108,111,114,95,97,115,95,115,116,114,0,112,105,103,109,101,110,116,32,123,32,99,111,108,111,114,32,37,115,32,125,10,0,47,47,42,42,42,32,98,101,122,105,101,114,10,0,98,95,115,112,108,105,110,101,0,32,32,32,32,32,32,32,32,116,111,108,101,114,
97,110,99,101,32,48,46,48,49,10,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,125,10,0,47,47,42,42,42,32,112,111,108,121,103,111,110,10,0,32,32,32,32,116,111,108,101,114,97,110,99,101,32,48,46,49,10,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,125,10,0,112,111,108,121,103,111,110,32,123,32,37,100,44,10,0,60,37,57,46,51,102,44,32,37,57,46,51,102,44,32,37,57,46,51,102,62,0,37,115,10,32,32,32,32,37,115,0,10,32,32,32,32,37,115,32,32,32,32,37,
115,32,32,32,32,37,115,32,32,32,32,37,115,125,10,0,47,47,42,42,42,32,101,108,108,105,112,115,101,10,0,116,111,114,117,115,32,123,32,37,46,51,102,44,32,37,46,51,102,10,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,125,10,0,115,112,104,101,114,101,32,123,60,37,57,46,51,102,44,32,37,57,46,51,102,44,32,37,57,46,51,102,62,44,32,49,46,48,10,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,125,10,0,47,47,42,42,42,32,116,101,120,116,115,112,97,110,
58,32,37,115,44,32,102,111,110,116,115,105,122,101,32,61,32,37,46,51,102,44,32,102,111,110,116,110,97,109,101,32,61,32,37,115,10,0,115,99,97,108,101,32,37,46,51,102,10,0,116,101,120,116,32,123,10,32,32,32,32,116,116,102,32,34,37,115,34,44,10,32,32,32,32,34,37,115,34,44,32,37,46,51,102,44,32,37,46,51,102,10,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,32,32,32,32,37,115,125,10,0,32,32,32,32,110,111,95,115,104,97,100,111,119,10,0,47,47,42,42,42,32,101,110,100,95,101,100,
103,101,10,0,47,47,42,42,42,32,98,101,103,105,110,95,101,100,103,101,10,0,47,47,42,42,42,32,101,110,100,95,110,111,100,101,10,0,47,47,42,42,42,32,98,101,103,105,110,95,110,111,100,101,58,32,37,115,10,0,47,47,42,42,42,32,101,110,100,95,99,108,117,115,116,101,114,10,0,47,47,42,42,42,32,98,101,103,105,110,95,99,108,117,115,116,101,114,10,0,47,47,42,42,42,32,101,110,100,95,112,97,103,101,10,0,47,47,42,42,42,32,98,101,103,105,110,95,112,97,103,101,10,0,47,47,42,42,42,32,101,110,100,95,108,97,121,101,114,
10,0,47,47,42,42,42,32,98,101,103,105,110,95,108,97,121,101,114,58,32,37,115,44,32,37,100,47,37,100,10,0,47,47,42,42,42,32,101,110,100,95,103,114,97,112,104,10,0,47,47,42,42,42,32,98,101,103,105,110,95,103,114,97,112,104,32,37,115,10,0,99,97,109,101,114,97,32,123,32,108,111,99,97,116,105,111,110,32,60,37,46,51,102,32,44,32,37,46,51,102,32,44,32,37,46,51,102,62,10,32,32,32,32,32,32,32,32,32,108,111,111,107,95,97,116,32,32,60,37,46,51,102,32,44,32,37,46,51,102,32,44,32,37,46,51,102,62,10,32,32,32,32,
32,32,32,32,32,114,105,103,104,116,32,120,32,42,32,105,109,97,103,101,95,119,105,100,116,104,32,47,32,105,109,97,103,101,95,104,101,105,103,104,116,10,32,32,32,32,32,32,32,32,32,97,110,103,108,101,32,37,46,51,102,10,125,10,0,47,47,115,107,121,10,112,108,97,110,101,32,123,32,60,48,44,32,49,44,32,48,62,44,32,49,32,104,111,108,108,111,119,10,32,32,32,32,116,101,120,116,117,114,101,32,123,10,32,32,32,32,32,32,32,32,112,105,103,109,101,110,116,32,123,32,98,111,122,111,32,116,117,114,98,117,108,101,110,
99,101,32,48,46,57,53,10,32,32,32,32,32,32,32,32,32,32,32,32,99,111,108,111,114,95,109,97,112,32,123,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,91,48,46,48,48,32,114,103,98,32,60,48,46,48,53,44,32,48,46,50,48,44,32,48,46,53,48,62,93,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,91,48,46,53,48,32,114,103,98,32,60,48,46,48,53,44,32,48,46,50,48,44,32,48,46,53,48,62,93,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,91,48,46,55,53,32,114,103,98,32,60,49,46,48,48,44,32,49,46,48,48,44,32,
49,46,48,48,62,93,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,91,48,46,55,53,32,114,103,98,32,60,48,46,50,53,44,32,48,46,50,53,44,32,48,46,50,53,62,93,10,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,91,49,46,48,48,32,114,103,98,32,60,48,46,53,48,44,32,48,46,53,48,44,32,48,46,53,48,62,93,10,32,32,32,32,32,32,32,32,32,32,32,32,125,10,32,32,32,32,32,32,32,32,32,32,32,32,115,99,97,108,101,32,60,49,46,48,48,44,32,49,46,48,48,44,32,49,46,53,48,62,32,42,32,50,46,53,48,10,32,32,32,32,32,32,32,32,
32,32,32,32,116,114,97,110,115,108,97,116,101,32,60,48,46,48,48,44,32,48,46,48,48,44,32,48,46,48,48,62,10,32,32,32,32,32,32,32,32,125,10,32,32,32,32,32,32,32,32,102,105,110,105,115,104,32,123,32,97,109,98,105,101,110,116,32,49,32,100,105,102,102,117,115,101,32,48,32,125,10,32,32,32,32,125,10,32,32,32,32,115,99,97,108,101,32,49,48,48,48,48,10,125,10,47,47,109,105,115,116,10,102,111,103,32,123,32,102,111,103,95,116,121,112,101,32,50,10,32,32,32,32,100,105,115,116,97,110,99,101,32,53,48,10,32,32,32,
32,99,111,108,111,114,32,114,103,98,32,60,49,46,48,48,44,32,49,46,48,48,44,32,49,46,48,48,62,32,42,32,48,46,55,53,10,32,32,32,32,102,111,103,95,111,102,102,115,101,116,32,48,46,49,48,10,32,32,32,32,102,111,103,95,97,108,116,32,49,46,53,48,10,32,32,32,32,116,117,114,98,117,108,101,110,99,101,32,49,46,55,53,10,125,10,47,47,103,110,100,10,112,108,97,110,101,32,123,32,60,48,46,48,48,44,32,49,46,48,48,44,32,48,46,48,48,62,44,32,48,10,32,32,32,32,116,101,120,116,117,114,101,32,123,10,32,32,32,32,32,32,
32,32,112,105,103,109,101,110,116,123,32,99,111,108,111,114,32,114,103,98,32,60,48,46,50,53,44,32,48,46,52,53,44,32,48,46,48,48,62,32,125,10,32,32,32,32,32,32,32,32,110,111,114,109,97,108,32,123,32,98,117,109,112,115,32,48,46,55,53,32,115,99,97,108,101,32,48,46,48,49,32,125,10,32,32,32,32,32,32,32,32,102,105,110,105,115,104,32,123,32,112,104,111,110,103,32,48,46,49,48,32,125,10,32,32,32,32,125,10,125,10,0,108,105,103,104,116,95,115,111,117,114,99,101,32,123,32,60,49,53,48,48,44,51,48,48,48,44,45,
50,53,48,48,62,32,99,111,108,111,114,32,87,104,105,116,101,32,125,10,0,35,118,101,114,115,105,111,110,32,51,46,54,59,10,0,103,108,111,98,97,108,95,115,101,116,116,105,110,103,115,32,123,32,97,115,115,117,109,101,100,95,103,97,109,109,97,32,49,46,48,32,125,10,0,35,100,101,102,97,117,108,116,32,123,32,102,105,110,105,115,104,32,123,32,97,109,98,105,101,110,116,32,48,46,49,32,100,105,102,102,117,115,101,32,48,46,57,32,125,32,125,10,0,35,105,110,99,108,117,100,101,32,34,99,111,108,111,114,115,46,105,
110,99,34,10,35,105,110,99,108,117,100,101,32,34,116,101,120,116,117,114,101,115,46,105,110,99,34,10,35,105,110,99,108,117,100,101,32,34,115,104,97,112,101,115,46,105,110,99,34,10,0,35,100,101,99,108,97,114,101,32,37,115,32,61,32,37,115,59,10,0,66,108,97,99,107,0,87,104,105,116,101,0,112,105,99,0,112,105,99,58,112,105,99,0,37,115,32,37,115,10,0,46,92,34,32,0,32,37,100,32,37,100,0,32,37,115,10,0,32,37,100,0,102,105,108,108,32,0,101,108,108,105,112,115,101,32,97,116,116,114,115,37,100,32,37,115,119,
105,100,32,37,46,53,102,32,104,116,32,37,46,53,102,32,97,116,32,40,37,46,53,102,44,37,46,53,102,41,59,10,0,37,115,37,115,32,105,115,32,110,111,116,32,97,32,116,114,111,102,102,32,102,111,110,116,10,0,100,111,116,32,112,105,99,32,112,108,117,103,105,110,58,32,0,82,0,46,102,116,32,37,115,10,0,46,112,115,32,37,100,42,92,110,40,83,70,117,47,37,46,48,102,117,10,0,37,48,51,111,0,34,37,115,34,32,97,116,32,40,37,46,53,102,44,37,46,53,102,41,59,10,0,93,10,46,80,69,10,0,37,115,37,115,32,117,110,115,117,112,
112,111,114,116,101,100,10,0,46,80,83,32,37,46,53,102,32,37,46,53,102,10,0,37,115,32,116,111,32,99,104,97,110,103,101,32,100,114,97,119,105,110,103,32,115,105,122,101,44,32,109,117,108,116,105,112,108,121,32,116,104,101,32,119,105,100,116,104,32,97,110,100,32,104,101,105,103,104,116,32,111,110,32,116,104,101,32,46,80,83,32,108,105,110,101,32,97,98,111,118,101,32,97,110,100,32,116,104,101,32,110,117,109,98,101,114,32,111,110,32,116,104,101,32,116,119,111,32,108,105,110,101,115,32,98,101,108,111,119,
32,40,114,111,117,110,100,101,100,32,116,111,32,116,104,101,32,110,101,97,114,101,115,116,32,105,110,116,101,103,101,114,41,32,98,121,32,97,32,115,99,97,108,101,32,102,97,99,116,111,114,10,0,46,110,114,32,83,70,32,37,46,48,102,10,115,99,97,108,101,116,104,105,99,107,110,101,115,115,32,61,32,37,46,48,102,10,0,37,115,32,100,111,110,39,116,32,99,104,97,110,103,101,32,97,110,121,116,104,105,110,103,32,98,101,108,111,119,32,116,104,105,115,32,108,105,110,101,32,105,110,32,116,104,105,115,32,100,114,97,
119,105,110,103,10,0,37,115,32,110,111,110,45,102,97,116,97,108,32,114,117,110,45,116,105,109,101,32,112,105,99,32,118,101,114,115,105,111,110,32,100,101,116,101,114,109,105,110,97,116,105,111,110,44,32,118,101,114,115,105,111,110,32,50,10,0,98,111,120,114,97,100,61,50,46,48,32,37,115,32,119,105,108,108,32,98,101,32,114,101,115,101,116,32,116,111,32,48,46,48,32,98,121,32,103,112,105,99,32,111,110,108,121,10,0,115,99,97,108,101,61,49,46,48,32,37,115,32,114,101,113,117,105,114,101,100,32,102,111,114,
32,99,111,109,112,97,114,105,115,111,110,115,10,0,37,115,32,98,111,120,114,97,100,32,105,115,32,110,111,119,32,48,46,48,32,105,110,32,103,112,105,99,44,32,101,108,115,101,32,105,116,32,114,101,109,97,105,110,115,32,50,46,48,10,0,37,115,32,100,97,115,104,119,105,100,32,105,115,32,48,46,49,32,105,110,32,49,48,116,104,32,69,100,105,116,105,111,110,44,32,48,46,48,53,32,105,110,32,68,87,66,32,50,32,97,110,100,32,105,110,32,103,112,105,99,10,0,37,115,32,102,105,108,108,118,97,108,32,105,115,32,48,46,51,
32,105,110,32,49,48,116,104,32,69,100,105,116,105,111,110,32,40,102,105,108,108,32,48,32,109,101,97,110,115,32,98,108,97,99,107,41,44,32,48,46,53,32,105,110,32,103,112,105,99,32,40,102,105,108,108,32,48,32,109,101,97,110,115,32,119,104,105,116,101,41,44,32,117,110,100,101,102,105,110,101,100,32,105,110,32,68,87,66,32,50,10,0,37,115,32,102,105,108,108,32,104,97,115,32,110,111,32,109,101,97,110,105,110,103,32,105,110,32,68,87,66,32,50,44,32,103,112,105,99,32,99,97,110,32,117,115,101,32,102,105,108,
108,32,111,114,32,102,105,108,108,101,100,44,32,49,48,116,104,32,69,100,105,116,105,111,110,32,117,115,101,115,32,102,105,108,108,32,111,110,108,121,10,0,37,115,32,68,87,66,32,50,32,100,111,101,115,110,39,116,32,117,115,101,32,102,105,108,108,32,97,110,100,32,100,111,101,115,110,39,116,32,100,101,102,105,110,101,32,102,105,108,108,118,97,108,10,0,37,115,32,114,101,115,101,116,32,119,111,114,107,115,32,105,110,32,103,112,105,99,32,97,110,100,32,49,48,116,104,32,101,100,105,116,105,111,110,44,32,98,
117,116,32,105,115,110,39,116,32,100,101,102,105,110,101,100,32,105,110,32,68,87,66,32,50,10,0,37,115,32,68,87,66,32,50,32,99,111,109,112,97,116,105,98,105,108,105,116,121,32,100,101,102,105,110,105,116,105,111,110,115,10,0,105,102,32,98,111,120,114,97,100,32,62,32,49,46,48,32,38,38,32,100,97,115,104,119,105,100,32,60,32,48,46,48,55,53,32,116,104,101,110,32,88,10,9,102,105,108,108,118,97,108,32,61,32,49,59,10,9,100,101,102,105,110,101,32,102,105,108,108,32,89,32,89,59,10,9,100,101,102,105,110,101,
32,115,111,108,105,100,32,89,32,89,59,10,9,100,101,102,105,110,101,32,114,101,115,101,116,32,89,32,115,99,97,108,101,61,49,46,48,32,89,59,10,88,10,0,114,101,115,101,116,32,37,115,32,115,101,116,32,116,111,32,107,110,111,119,110,32,115,116,97,116,101,10,0,37,115,32,71,78,85,32,112,105,99,32,118,115,46,32,49,48,116,104,32,69,100,105,116,105,111,110,32,100,92,40,101,39,116,101,110,116,101,10,0,105,102,32,102,105,108,108,118,97,108,32,62,32,48,46,52,32,116,104,101,110,32,88,10,9,100,101,102,105,110,101,
32,115,101,116,102,105,108,108,118,97,108,32,89,32,102,105,108,108,118,97,108,32,61,32,49,32,45,32,89,59,10,9,100,101,102,105,110,101,32,98,111,108,100,32,89,32,116,104,105,99,107,110,101,115,115,32,50,32,89,59,10,0,9,37,115,32,105,102,32,121,111,117,32,117,115,101,32,103,112,105,99,32,97,110,100,32,105,116,32,98,97,114,102,115,32,111,110,32,101,110,99,111,117,110,116,101,114,105,110,103,32,34,115,111,108,105,100,34,44,10,0,9,37,115,9,105,110,115,116,97,108,108,32,97,32,109,111,114,101,32,114,101,
99,101,110,116,32,118,101,114,115,105,111,110,32,111,102,32,103,112,105,99,32,111,114,32,115,119,105,116,99,104,32,116,111,32,68,87,66,32,111,114,32,49,48,116,104,32,69,100,105,116,105,111,110,32,112,105,99,59,10,0,9,37,115,9,115,111,114,114,121,44,32,116,104,101,32,103,114,111,102,102,32,102,111,108,107,115,32,99,104,97,110,103,101,100,32,103,112,105,99,59,32,115,101,110,100,32,97,110,121,32,99,111,109,112,108,97,105,110,116,32,116,111,32,116,104,101,109,59,10,0,88,32,101,108,115,101,32,90,10,9,
100,101,102,105,110,101,32,115,101,116,102,105,108,108,118,97,108,32,89,32,102,105,108,108,118,97,108,32,61,32,89,59,10,9,100,101,102,105,110,101,32,98,111,108,100,32,89,32,89,59,10,9,100,101,102,105,110,101,32,102,105,108,108,101,100,32,89,32,102,105,108,108,32,89,59,10,90,10,0,37,115,32,97,114,114,111,119,104,101,97,100,32,104,97,115,32,110,111,32,109,101,97,110,105,110,103,32,105,110,32,68,87,66,32,50,44,32,97,114,114,111,119,104,101,97,100,32,61,32,55,32,109,97,107,101,115,32,102,105,108,108,
101,100,32,97,114,114,111,119,104,101,97,100,115,32,105,110,32,103,112,105,99,32,97,110,100,32,105,110,32,49,48,116,104,32,69,100,105,116,105,111,110,10,0,37,115,32,97,114,114,111,119,104,101,97,100,32,105,115,32,117,110,100,101,102,105,110,101,100,32,105,110,32,68,87,66,32,50,44,32,105,110,105,116,105,97,108,108,121,32,49,32,105,110,32,103,112,105,99,44,32,50,32,105,110,32,49,48,116,104,32,69,100,105,116,105,111,110,10,0,97,114,114,111,119,104,101,97,100,32,61,32,55,32,37,115,32,110,111,116,32,117,
115,101,100,32,98,121,32,103,114,97,112,104,118,105,122,10,0,37,115,32,71,78,85,32,112,105,99,32,115,117,112,112,111,114,116,115,32,97,32,98,111,120,114,97,100,32,118,97,114,105,97,98,108,101,32,116,111,32,100,114,97,119,32,98,111,120,101,115,32,119,105,116,104,32,114,111,117,110,100,101,100,32,99,111,114,110,101,114,115,59,32,68,87,66,32,97,110,100,32,49,48,116,104,32,69,100,46,32,100,111,32,110,111,116,10,0,98,111,120,114,97,100,32,61,32,48,32,37,115,32,110,111,32,114,111,117,110,100,101,100,32,
99,111,114,110,101,114,115,32,105,110,32,103,114,97,112,104,118,105,122,10,0,37,115,32,71,78,85,32,112,105,99,32,115,117,112,112,111,114,116,115,32,97,32,108,105,110,101,116,104,105,99,107,32,118,97,114,105,97,98,108,101,32,116,111,32,115,101,116,32,108,105,110,101,32,116,104,105,99,107,110,101,115,115,59,32,68,87,66,32,97,110,100,32,49,48,116,104,32,69,100,46,32,100,111,32,110,111,116,10,0,108,105,110,101,116,104,105,99,107,32,61,32,48,59,32,111,108,100,108,105,110,101,116,104,105,99,107,32,61,32,
108,105,110,101,116,104,105,99,107,10,0,37,115,32,46,80,83,32,119,47,111,32,97,114,103,115,32,99,97,117,115,101,115,32,71,78,85,32,112,105,99,32,116,111,32,115,99,97,108,101,32,100,114,97,119,105,110,103,32,116,111,32,102,105,116,32,56,46,53,120,49,49,32,112,97,112,101,114,59,32,68,87,66,32,100,111,101,115,32,110,111,116,10,0,37,115,32,109,97,120,112,115,104,116,32,97,110,100,32,109,97,120,112,115,119,105,100,32,104,97,118,101,32,110,111,32,109,101,97,110,105,110,103,32,105,110,32,68,87,66,32,50,
46,48,44,32,115,101,116,32,112,97,103,101,32,98,111,117,110,100,97,114,105,101,115,32,105,110,32,103,112,105,99,32,97,110,100,32,105,110,32,49,48,116,104,32,69,100,105,116,105,111,110,10,0,37,115,32,109,97,120,112,115,104,116,32,97,110,100,32,109,97,120,112,115,119,105,100,32,97,114,101,32,112,114,101,100,101,102,105,110,101,100,32,116,111,32,49,49,46,48,32,97,110,100,32,56,46,53,32,105,110,32,103,112,105,99,10,0,109,97,120,112,115,104,116,32,61,32,37,102,10,109,97,120,112,115,119,105,100,32,61,32,
37,102,10,0,68,111,116,58,32,91,10,0,100,101,102,105,110,101,32,97,116,116,114,115,48,32,37,37,32,37,37,59,32,100,101,102,105,110,101,32,117,110,102,105,108,108,101,100,32,37,37,32,37,37,59,32,100,101,102,105,110,101,32,114,111,117,110,100,101,100,32,37,37,32,37,37,59,32,100,101,102,105,110,101,32,100,105,97,103,111,110,97,108,115,32,37,37,32,37,37,10,0,37,115,32,114,101,115,116,111,114,101,32,112,111,105,110,116,32,115,105,122,101,32,97,110,100,32,102,111,110,116,10,46,112,115,32,92,110,40,46,83,
10,46,102,116,32,92,110,40,68,70,10,0,37,115,32,67,114,101,97,116,111,114,58,32,37,115,32,118,101,114,115,105,111,110,32,37,115,32,40,37,115,41,10,0,37,115,32,84,105,116,108,101,58,32,37,115,10,0,37,115,32,115,97,118,101,32,112,111,105,110,116,32,115,105,122,101,32,97,110,100,32,102,111,110,116,10,46,110,114,32,46,83,32,92,110,40,46,115,10,46,110,114,32,68,70,32,92,110,40,46,102,10,0,112,110,103,58,115,118,103,0,103,105,102,58,115,118,103,0,106,112,101,103,58,115,118,103,0,106,112,101,58,115,118,
103,0,106,112,103,58,115,118,103,0,112,110,103,58,102,105,103,0,103,105,102,58,102,105,103,0,106,112,101,103,58,102,105,103,0,106,112,101,58,102,105,103,0,106,112,103,58,102,105,103,0,112,110,103,58,118,114,109,108,0,103,105,102,58,118,114,109,108,0,106,112,101,103,58,118,114,109,108,0,106,112,101,58,118,114,109,108,0,106,112,103,58,118,114,109,108,0,101,112,115,58,112,115,0,112,115,58,112,115,0,40,108,105,98,41,58,112,115,0,112,110,103,58,109,97,112,0,103,105,102,58,109,97,112,0,106,112,101,103,
58,109,97,112,0,106,112,101,58,109,97,112,0,106,112,103,58,109,97,112,0,112,115,58,109,97,112,0,101,112,115,58,109,97,112,0,115,118,103,58,109,97,112,0,112,110,103,58,100,111,116,0,103,105,102,58,100,111,116,0,106,112,101,103,58,100,111,116,0,106,112,101,58,100,111,116,0,106,112,103,58,100,111,116,0,112,115,58,100,111,116,0,101,112,115,58,100,111,116,0,115,118,103,58,100,111,116,0,112,110,103,58,120,100,111,116,0,103,105,102,58,120,100,111,116,0,106,112,101,103,58,120,100,111,116,0,106,112,101,58,
120,100,111,116,0,106,112,103,58,120,100,111,116,0,112,115,58,120,100,111,116,0,101,112,115,58,120,100,111,116,0,115,118,103,58,120,100,111,116,0,115,118,103,58,115,118,103,0,112,110,103,58,118,109,108,0,103,105,102,58,118,109,108,0,106,112,101,103,58,118,109,108,0,106,112,101,58,118,109,108,0,106,112,103,58,118,109,108,0,103,105,102,58,116,107,0,105,109,97,103,101,32,99,114,101,97,116,101,32,112,104,111,116,111,32,34,112,104,111,116,111,95,37,115,34,32,45,102,105,108,101,32,34,37,115,34,10,0,36,
99,32,99,114,101,97,116,101,32,105,109,97,103,101,32,37,46,50,102,32,37,46,50,102,32,45,105,109,97,103,101,32,34,112,104,111,116,111,95,37,115,34,10,0,60,118,58,105,109,97,103,101,32,115,114,99,61,34,37,115,34,32,115,116,121,108,101,61,34,32,112,111,115,105,116,105,111,110,58,97,98,115,111,108,117,116,101,59,32,119,105,100,116,104,58,37,46,50,102,59,32,104,101,105,103,104,116,58,37,46,50,102,59,32,108,101,102,116,58,37,46,50,102,32,59,32,116,111,112,58,37,46,50,102,34,0,32,47,62,10,0,103,118,108,
111,97,100,105,109,97,103,101,95,99,111,114,101,46,99,0,99,111,114,101,95,108,111,97,100,105,109,97,103,101,95,112,115,108,105,98,0,91,32,0,37,103,32,37,103,32,0,93,32,32,37,100,32,116,114,117,101,32,37,115,10,0,93,32,32],"i8",4,n.q+114026);
B([37,100,32,102,97,108,115,101,32,37,115,10,0,99,111,114,101,95,108,111,97,100,105,109,97,103,101,95,112,115,0,103,115,97,118,101,32,37,103,32,37,103,32,116,114,97,110,115,108,97,116,101,32,110,101,119,112,97,116,104,10,0,117,115,101,114,95,115,104,97,112,101,95,37,100,10,0,103,114,101,115,116,111,114,101,10,0,99,111,114,101,95,108,111,97,100,105,109,97,103,101,95,118,114,109,108,0,83,104,97,112,101,32,123,10,0,32,32,97,112,112,101,97,114,97,110,99,101,32,65,112,112,101,97,114,97,110,99,101,32,123,
10,0,32,32,32,32,109,97,116,101,114,105,97,108,32,77,97,116,101,114,105,97,108,32,123,10,0,32,32,32,32,32,32,97,109,98,105,101,110,116,73,110,116,101,110,115,105,116,121,32,48,46,51,51,10,0,32,32,32,32,32,32,32,32,100,105,102,102,117,115,101,67,111,108,111,114,32,49,32,49,32,49,10,0,32,32,32,32,125,10,0,32,32,32,32,116,101,120,116,117,114,101,32,73,109,97,103,101,84,101,120,116,117,114,101,32,123,32,117,114,108,32,34,37,115,34,32,125,10,0,32,32,125,10,0,99,111,114,101,95,108,111,97,100,105,109,97,
103,101,95,102,105,103,0,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,46,49,102,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,10,32,37,100,32,37,115,10,0,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,32,37,100,10,0,99,111,114,101,95,108,111,97,100,105,109,97,103,101,95,115,118,103,0,60,105,109,97,103,101,32,120,108,105,110,107,58,104,114,101,102,61,34,0,34,32,119,105,100,116,104,61,34,37,103,
112,120,34,32,104,101,105,103,104,116,61,34,37,103,112,120,34,32,112,114,101,115,101,114,118,101,65,115,112,101,99,116,82,97,116,105,111,61,34,120,77,105,100,89,77,105,100,32,109,101,101,116,34,32,120,61,34,37,103,34,32,121,61,34,37,103,34,0,32,116,114,97,110,115,102,111,114,109,61,34,114,111,116,97,116,101,40,37,100,32,37,103,32,37,103,41,34,0,34,32,119,105,100,116,104,61,34,37,103,112,120,34,32,104,101,105,103,104,116,61,34,37,103,112,120,34,32,112,114,101,115,101,114,118,101,65,115,112,101,99,
116,82,97,116,105,111,61,34,120,77,105,110,89,77,105,110,32,109,101,101,116,34,32,120,61,34,37,103,34,32,121,61,34,37,103,34,0,47,62,10,0,100,111,116,95,108,97,121,111,117,116,0,112,104,97,115,101,0,100,111,116,32,100,111,101,115,32,110,111,116,32,115,117,112,112,111,114,116,32,116,104,101,32,97,115,112,101,99,116,32,97,116,116,114,105,98,117,116,101,32,102,111,114,32,100,105,115,99,111,110,110,101,99,116,101,100,32,103,114,97,112,104,115,32,111,114,32,103,114,97,112,104,115,32,119,105,116,104,32,
99,108,117,115,116,101,114,115,10,0,118,32,61,61,32,110,0,100,111,116,105,110,105,116,46,99,0,114,101,109,111,118,101,95,102,114,111,109,95,114,97,110,107,0,99,111,109,112,111,117,110,100,0,111,114,100,101,114,0,101,100,103,101,32,108,97,98,101,108,115,32,119,105,116,104,32,115,112,108,105,110,101,115,61,99,117,114,118,101,100,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,100,111,116,32,45,32,117,115,101,32,120,108,97,98,101,108,115,10,0,40,108,32,61,32,69,68,95,108,97,98,101,
108,40,102,101,41,41,0,100,111,116,115,112,108,105,110,101,115,46,99,0,115,101,116,69,100,103,101,76,97,98,101,108,80,111,115,0,69,68,95,108,97,98,101,108,40,102,101,41,0,95,100,111,116,95,115,112,108,105,110,101,115,0,102,108,97,116,32,101,100,103,101,32,98,101,116,119,101,101,110,32,97,100,106,97,99,101,110,116,32,110,111,100,101,115,32,111,110,101,32,111,102,32,119,104,105,99,104,32,104,97,115,32,97,32,114,101,99,111,114,100,32,115,104,97,112,101,32,45,32,114,101,112,108,97,99,101,32,114,101,99,
111,114,100,115,32,119,105,116,104,32,72,84,77,76,45,108,105,107,101,32,108,97,98,101,108,115,10,0,32,32,69,100,103,101,32,37,115,32,37,115,32,37,115,10,0,97,117,120,103,0,108,97,98,101,108,95,102,108,111,97,116,0,102,105,120,101,100,0,120,120,120,0,49,48,48,48,48,0,123,37,115,125,0,101,32,33,61,32,78,85,76,76,0,102,97,115,116,103,114,46,99,0,100,101,108,101,116,101,95,102,97,115,116,95,101,100,103,101,0,110,32,33,61,32,78,68,95,110,101,120,116,40,110,41,0,102,97,115,116,95,110,111,100,101,0,117,
32,33,61,32,118,0,102,97,115,116,95,110,111,100,101,97,112,112,0,78,68,95,110,101,120,116,40,118,41,32,61,61,32,78,85,76,76,0,102,105,110,100,95,102,97,115,116,95,110,111,100,101,40,103,44,32,110,41,0,100,101,108,101,116,101,95,102,97,115,116,95,110,111,100,101,0,100,101,108,101,116,101,95,102,108,97,116,95,101,100,103,101,0,109,101,114,103,101,95,111,110,101,119,97,121,32,103,108,105,116,99,104,10,0,109,101,114,103,101,95,111,110,101,119,97,121,0,108,103,0,99,111,109,112,0,99,110,116,32,61,61,32,
115,122,0,109,105,110,99,114,111,115,115,46,99,0,102,105,120,76,97,98,101,108,79,114,100,101,114,0,0,109,99,108,105,109,105,116,0,109,101,114,103,101,50,58,32,103,114,97,112,104,32,37,115,44,32,114,97,110,107,32,37,100,32,104,97,115,32,111,110,108,121,32,37,100,32,60,32,37,100,32,110,111,100,101,115,10,0,114,101,109,105,110,99,114,111,115,115,0,109,105,110,99,114,111,115,115,32,37,115,58,32,37,100,32,99,114,111,115,115,105,110,103,115,44,32,37,46,50,102,32,115,101,99,115,46,10,0,105,110,115,116,97,
108,108,95,105,110,95,114,97,110,107,44,32,108,105,110,101,32,37,100,58,32,37,115,32,37,115,32,114,97,110,107,32,37,100,32,105,32,61,32,37,100,32,97,110,32,61,32,48,10,0,71,68,95,114,97,110,107,40,103,41,91,114,93,46,110,32,60,61,32,71,68,95,114,97,110,107,40,103,41,91,114,93,46,97,110,0,105,110,115,116,97,108,108,95,105,110,95,114,97,110,107,0,105,110,115,116,97,108,108,95,105,110,95,114,97,110,107,44,32,108,105,110,101,32,37,100,58,32,78,68,95,111,114,100,101,114,40,37,115,41,32,91,37,100,93,32,
62,32,71,68,95,114,97,110,107,40,82,111,111,116,41,91,37,100,93,46,97,110,32,91,37,100,93,10,0,105,110,115,116,97,108,108,95,105,110,95,114,97,110,107,44,32,108,105,110,101,32,37,100,58,32,114,97,110,107,32,37,100,32,110,111,116,32,105,110,32,114,97,110,107,32,114,97,110,103,101,32,91,37,100,44,37,100,93,10,0,105,110,115,116,97,108,108,95,105,110,95,114,97,110,107,44,32,108,105,110,101,32,37,100,58,32,71,68,95,114,97,110,107,40,103,41,91,37,100,93,46,118,32,43,32,78,68,95,111,114,100,101,114,40,37,
115,41,32,91,37,100,93,32,62,32,71,68,95,114,97,110,107,40,103,41,91,37,100,93,46,97,118,32,43,32,71,68,95,114,97,110,107,40,82,111,111,116,41,91,37,100,93,46,97,110,32,91,37,100,93,10,0,115,117,114,112,114,105,115,101,10,0,78,68,95,111,114,100,101,114,40,118,41,32,60,32,78,68,95,111,114,100,101,114,40,119,41,0,116,114,97,110,115,112,111,115,101,95,115,116,101,112,0,118,0,110,101,105,103,104,98,111,114,0,40,114,118,32,61,61,32,48,41,32,124,124,32,40,78,68,95,111,114,100,101,114,40,114,118,41,45,78,
68,95,111,114,100,101,114,40,118,41,41,42,100,105,114,32,62,32,48,0,99,111,110,115,116,114,97,105,110,105,110,103,95,102,108,97,116,95,101,100,103,101,40,103,44,118,44,101,41,32,61,61,32,70,65,76,83,69,0,102,108,97,116,95,114,101,111,114,100,101,114,0,78,68,95,114,97,110,107,40,118,41,32,61,61,32,114,0,112,111,115,116,111,114,100,101,114,0,102,108,97,116,105,110,100,101,120,40,97,103,104,101,97,100,40,101,41,41,32,60,32,77,45,62,110,114,111,119,115,0,102,108,97,116,95,115,101,97,114,99,104,0,102,
108,97,116,105,110,100,101,120,40,97,103,116,97,105,108,40,101,41,41,32,60,32,77,45,62,110,99,111,108,115,0,109,105,110,99,114,111,115,115,58,32,112,97,115,115,32,37,100,32,105,116,101,114,32,37,100,32,116,114,121,105,110,103,32,37,100,32,99,117,114,95,99,114,111,115,115,32,37,100,32,98,101,115,116,95,99,114,111,115,115,32,37,100,10,0,98,97,108,97,110,99,101,0,111,117,116,0,111,114,100,101,114,105,110,103,32,39,37,115,39,32,110,111,116,32,114,101,99,111,103,110,105,122,101,100,46,10,0,111,114,100,
101,114,105,110,103,32,39,37,115,39,32,110,111,116,32,114,101,99,111,103,110,105,122,101,100,32,102,111,114,32,110,111,100,101,32,39,37,115,39,46,10,0,95,110,101,119,95,114,97,110,107,0,69,100,103,101,32,108,101,110,103,116,104,32,37,102,32,108,97,114,103,101,114,32,116,104,97,110,32,109,97,120,105,109,117,109,32,37,117,32,97,108,108,111,119,101,100,46,10,67,104,101,99,107,32,102,111,114,32,111,118,101,114,119,105,100,101,32,110,111,100,101,40,115,41,46,10,0,104,112,0,112,111,115,105,116,105,111,
110,46,99,0,99,111,110,110,101,99,116,71,114,97,112,104,0,114,97,110,107,40,103,44,32,50,44,32,110,115,105,116,101,114,50,40,103,41,41,32,61,61,32,48,0,100,111,116,95,112,111,115,105,116,105,111,110,0,65,82,61,37,48,46,52,108,102,9,32,65,114,101,97,61,32,37,48,46,52,108,102,9,0,68,117,109,109,121,61,37,100,10,0,71,111,105,110,103,32,116,111,32,97,112,112,108,121,32,97,110,111,116,104,101,114,32,101,120,112,97,110,115,105,111,110,46,10,0,110,101,120,116,35,105,116,101,114,61,37,100,10,0,110,115,108,
105,109,105,116,0,99,111,110,116,97,105,110,95,110,111,100,101,115,32,99,108,117,115,116,32,37,115,32,114,97,110,107,32,37,100,32,109,105,115,115,105,110,103,32,110,111,100,101,10,0,110,115,108,105,109,105,116,49,0,110,101,119,114,97,110,107,0,108,101,118,101,108,32,97,115,115,105,103,110,109,101,110,116,32,99,111,110,115,116,114,97,105,110,116,115,0,108,101,118,101,108,32,103,114,97,112,104,32,114,101,99,0,99,111,109,112,97,99,116,0,95,119,101,97,107,95,37,100,0,127,114,111,111,116,0,77,97,120,114,
97,110,107,32,61,32,37,100,44,32,109,105,110,114,97,110,107,32,61,32,37,100,10,0,108,101,97,100,101,114,32,33,61,32,78,85,76,76,0,114,97,110,107,46,99,0,99,108,117,115,116,101,114,95,108,101,97,100,101,114,0,40,78,68,95,85,70,95,115,105,122,101,40,110,41,32,60,61,32,49,41,32,124,124,32,40,110,32,61,61,32,108,101,97,100,101,114,41,0,97,103,104,101,97,100,40,101,41,32,61,61,32,85,70,95,102,105,110,100,40,97,103,104,101,97,100,40,101,41,41,0,109,105,110,109,97,120,95,101,100,103,101,115,0,97,103,116,
97,105,108,40,101,41,32,61,61,32,85,70,95,102,105,110,100,40,97,103,116,97,105,108,40,101,41,41,0,114,97,110,107,0,115,97,109,101,0,109,105,110,0,115,111,117,114,99,101,0,109,97,120,0,115,105,110,107,0,127,116,111,112,0,127,98,111,116,0,114,97,110,107,105,110,103,58,32,102,97,105,108,117,114,101,32,116,111,32,99,114,101,97,116,101,32,115,116,114,111,110,103,32,99,111,110,115,116,114,97,105,110,116,32,101,100,103,101,32,98,101,116,119,101,101,110,32,110,111,100,101,115,32,37,115,32,97,110,100,32,37,
115,10,0,108,101,118,101,108,32,101,100,103,101,32,114,101,99,0,108,101,118,101,108,32,110,111,100,101,32,114,101,99,0,115,97,109,101,104,101,97,100,0,115,97,109,101,116,97,105,108,0,116,111,111,32,109,97,110,121,32,40,62,32,37,100,41,32,115,97,109,101,123,104,101,97,100,44,116,97,105,108,125,32,103,114,111,117,112,115,32,102,111,114,32,110,111,100,101,32,37,115,10,0,99,111,109,98,105,65,82,32,61,32,37,108,102,10,0,37,108,102,44,37,100,0,116,104,101,32,97,115,112,101,99,116,32,97,116,116,114,105,
98,117,116,101,32,104,97,115,32,98,101,101,110,32,100,105,115,97,98,108,101,100,32,100,117,101,32,116,111,32,105,109,112,108,101,109,101,110,116,97,116,105,111,110,32,102,108,97,119,115,32,45,32,97,116,116,114,105,98,117,116,101,32,105,103,110,111,114,101,100,46,10,0,69,68,95,116,111,95,118,105,114,116,40,101,41,32,61,61,32,78,85,76,76,0,99,108,97,115,115,50,46,99,0,109,101,114,103,101,95,99,104,97,105,110,0,69,68,95,116,111,95,118,105,114,116,40,111,114,105,103,41,32,61,61,32,78,85,76,76,0,109,97,
107,101,95,99,104,97,105,110,0,69,68,95,116,111,95,118,105,114,116,40,111,114,105,103,41,32,33,61,32,78,85,76,76,0,37,115,32,119,97,115,32,97,108,114,101,97,100,121,32,105,110,32,97,32,114,97,110,107,115,101,116,44,32,100,101,108,101,116,101,100,32,102,114,111,109,32,99,108,117,115,116,101,114,32,37,115,10,0,78,68,95,114,97,110,107,40,102,114,111,109,41,32,60,32,78,68,95,114,97,110,107,40,116,111,41,0,99,108,117,115,116,101,114,46,99,0,109,97,112,95,112,97,116,104,0,108,104,101,97,100,0,108,116,97,
105,108,0,37,115,32,45,62,32,37,115,58,32,115,112,108,105,110,101,32,115,105,122,101,32,62,32,49,32,110,111,116,32,115,117,112,112,111,114,116,101,100,10,0,37,115,32,45,62,32,37,115,58,32,104,101,97,100,32,110,111,116,32,105,110,115,105,100,101,32,104,101,97,100,32,99,108,117,115,116,101,114,32,37,115,10,0,37,115,32,45,62,32,37,115,58,32,116,97,105,108,32,105,115,32,105,110,115,105,100,101,32,104,101,97,100,32,99,108,117,115,116,101,114,32,37,115,10,0,98,101,122,45,62,115,102,108,97,103,0,99,111,
109,112,111,117,110,100,46,99,0,109,97,107,101,67,111,109,112,111,117,110,100,69,100,103,101,0,98,101,122,45,62,101,102,108,97,103,0,37,115,32,45,62,32,37,115,58,32,116,97,105,108,32,110,111,116,32,105,110,115,105,100,101,32,116,97,105,108,32,99,108,117,115,116,101,114,32,37,115,10,0,37,115,32,45,62,32,37,115,58,32,104,101,97,100,32,105,115,32,105,110,115,105,100,101,32,116,97,105,108,32,99,108,117,115,116,101,114,32,37,115,10,0,40,37,46,53,103,44,37,46,53,103,41,0,115,101,103,109,101,110,116,32,
91,37,115,44,37,115,93,32,100,111,101,115,32,110,111,116,32,105,110,116,101,114,115,101,99,116,32,98,111,120,32,108,108,61,37,115,44,117,114,61,37,115,10,0,98,111,120,73,110,116,101,114,115,101,99,116,102,0,99,108,117,115,116,101,114,32,110,97,109,101,100,32,37,115,32,110,111,116,32,102,111,117,110,100,10,0,99,111,110,99,101,110,116,114,97,116,101,61,116,114,117,101,32,109,97,121,32,110,111,116,32,119,111,114,107,32,99,111,114,114,101,99,116,108,121,46,10,0,114,101,98,117,105,108,116,100,95,118,108,
105,115,116,115,58,32,114,97,110,107,32,108,101,97,100,32,37,115,32,110,111,116,32,105,110,32,111,114,100,101,114,32,37,100,32,111,102,32,114,97,110,107,32,37,100,10,0,100,101,103,101,110,101,114,97,116,101,32,99,111,110,99,101,110,116,114,97,116,101,100,32,114,97,110,107,32,37,115,44,37,100,10,0,78,68,95,105,110,40,114,105,103,104,116,41,46,115,105,122,101,32,43,32,78,68,95,111,117,116,40,114,105,103,104,116,41,46,115,105,122,101,32,61,61,32,48,0,99,111,110,99,46,99,0,109,101,114,103,101,118,105,
114,116,117,97,108,0,0,100,111,116,58,32,79,117,116,32,111,102,32,109,101,109,111,114,121,10,0,71,68,95,109,105,110,114,97,110,107,40,103,41,32,61,61,32,48,0,102,108,97,116,46,99,0,97,98,111,109,105,110,97,116,105,111,110,0,78,68,95,111,117,116,40,118,41,46,115,105,122,101,32,61,61,32,50,0,115,101,116,98,111,117,110,100,115,0,110,101,97,116,111,95,108,97,121,111,117,116,0,110,101,97,116,111,0,102,100,112,0,115,102,100,112,0,116,119,111,112,105,0,99,105,114,99,111,0,112,97,116,99,104,119,111,114,107,
0,111,115,97,103,101,0,110,111,112,0,110,111,112,49,0,110,111,112,50,0,37,108,102,44,37,108,102,44,37,108,102,37,99,0,110,111,100,101,32,37,115,44,32,112,111,115,105,116,105,111,110,32,37,115,44,32,101,120,112,101,99,116,101,100,32,116,119,111,32,100,111,117,98,108,101,115,10,0,110,111,116,114,97,110,115,108,97,116,101,0,110,111,100,101,32,37,115,32,105,110,32,103,114,97,112,104,32,37,115,32,104,97,115,32,110,111,32,112,111,115,105,116,105,111,110,10,0,115,44,37,108,102,44,37,108,102,37,110,0,32,
101,44,37,108,102,44,37,108,102,37,110,0,0,112,111,115,32,97,116,116,114,105,98,117,116,101,32,102,111,114,32,101,100,103,101,32,40,37,115,44,37,115,41,32,100,111,101,115,110,39,116,32,104,97,118,101,32,51,110,43,49,32,112,111,105,110,116,115,10,0,37,108,102,44,37,108,102,37,110,0,115,121,110,116,97,120,32,101,114,114,111,114,32,105,110,32,112,111,115,32,97,116,116,114,105,98,117,116,101,32,102,111,114,32,101,100,103,101,32,40,37,115,44,37,115,41,10,0,115,116,97,114,116,0,115,101,108,102,0,114,97,
110,100,111,109,0,110,111,100,101,32,112,111,115,105,116,105,111,110,115,32,97,114,101,32,105,103,110,111,114,101,100,32,117,110,108,101,115,115,32,115,116,97,114,116,61,114,97,110,100,111,109,10,0,97,115,32,114,101,113,117,105,114,101,100,32,98,121,32,116,104,101,32,45,110,32,102,108,97,103,10,0,109,111,100,101,0,75,75,0,109,97,106,111,114,0,104,105,101,114,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,37,115,32,102,111,114,32,97,116,116,114,105,98,117,116,101,32,34,109,111,100,101,34,32,
105,110,32,103,114,97,112,104,32,37,115,32,45,32,105,103,110,111,114,101,100,10,0,109,111,100,101,108,0,99,105,114,99,117,105,116,0,115,117,98,115,101,116,0,115,104,111,114,116,112,97,116,104,0,109,100,115,0,101,100,103,101,115,32,105,110,32,103,114,97,112,104,32,37,115,32,104,97,118,101,32,110,111,32,108,101,110,32,97,116,116,114,105,98,117,116,101,46,32,72,101,110,99,101,44,32,116,104,101,32,109,100,115,32,109,111,100,101,108,10,0,105,115,32,105,110,97,112,112,114,111,112,114,105,97,116,101,46,
32,82,101,118,101,114,116,105,110,103,32,116,111,32,116,104,101,32,115,104,111,114,116,101,115,116,32,112,97,116,104,32,109,111,100,101,108,46,10,0,85,110,107,110,111,119,110,32,118,97,108,117,101,32,37,115,32,102,111,114,32,97,116,116,114,105,98,117,116,101,32,34,109,111,100,101,108,34,32,105,110,32,103,114,97,112,104,32,37,115,32,45,32,105,103,110,111,114,101,100,10,0,95,110,101,97,116,111,95,99,99,0,115,116,114,101,115,115,119,116,0,37,115,32,97,116,116,114,105,98,117,116,101,32,118,97,108,117,
101,32,109,117,115,116,32,98,101,32,49,32,111,114,32,50,32,45,32,105,103,110,111,114,105,110,103,10,0,109,111,100,101,108,32,37,100,32,115,109,97,114,116,95,105,110,105,116,32,37,100,32,115,116,114,101,115,115,119,116,32,37,100,32,105,116,101,114,97,116,105,111,110,115,32,37,100,32,116,111,108,32,37,102,10,0,99,111,110,118,101,114,116,32,103,114,97,112,104,58,32,0,109,97,106,111,114,105,122,97,116,105,111,110,10,0,37,100,32,110,111,100,101,115,32,37,46,50,102,32,115,101,99,10,0,108,101,118,101,108,
115,103,97,112,0,108,97,121,111,117,116,32,97,98,111,114,116,101,100,10,0,103,114,97,112,104,32,37,115,32,105,115,32,100,105,115,99,111,110,110,101,99,116,101,100,46,32,72,101,110,99,101,44,32,116,104,101,32,99,105,114,99,117,105,116,32,109,111,100,101,108,10,0,65,108,116,101,114,110,97,116,105,118,101,108,121,44,32,99,111,110,115,105,100,101,114,32,114,117,110,110,105,110,103,32,110,101,97,116,111,32,117,115,105,110,103,32,45,71,112,97,99,107,61,116,114,117,101,32,111,114,32,100,101,99,111,109,112,
111,115,105,110,103,10,0,116,104,101,32,103,114,97,112,104,32,105,110,116,111,32,99,111,110,110,101,99,116,101,100,32,99,111,109,112,111,110,101,110,116,115,46,10,0,83,111,108,118,105,110,103,32,109,111,100,101,108,32,37,100,32,105,116,101,114,97,116,105,111,110,115,32,37,100,32,116,111,108,32,37,102,10,0,78,68,95,105,100,40,110,112,41,32,61,61,32,105,0,110,101,97,116,111,105,110,105,116,46,99,0,109,97,107,101,71,114,97,112,104,68,97,116,97,0,102,32,60,32,103,114,97,112,104,91,106,93,46,110,101,100,
103,101,115,0,100,102,115,67,121,99,108,101,0,37,108,102,44,37,108,102,44,37,108,102,44,37,108,102,0,98,32,61,61,32,110,0,110,101,97,116,111,115,112,108,105,110,101,115,46,99,0,109,97,107,101,95,98,97,114,114,105,101,114,115,0,109,97,107,101,83,112,108,105,110,101,58,32,102,97,105,108,101,100,32,116,111,32,109,97,107,101,32,115,112,108,105,110,101,32,101,100,103,101,32,40,37,115,44,37,115,41,10,0,115,112,108,105,110,101,32,37,115,32,37,115,10,0,116,104,101,32,98,111,117,110,100,105,110,103,32,98,
111,120,101,115,32,111,102,32,115,111,109,101,32,110,111,100,101,115,32,116,111,117,99,104,32,45,32,102,97,108,108,105,110,103,32,98,97,99,107,32,116,111,32,115,116,114,97,105,103,104,116,32,108,105,110,101,32,101,100,103,101,115,10,0,115,111,109,101,32,110,111,100,101,115,32,119,105,116,104,32,109,97,114,103,105,110,32,40,37,46,48,50,102,44,37,46,48,50,102,41,32,116,111,117,99,104,32,45,32,102,97,108,108,105,110,103,32,98,97,99,107,32,116,111,32,115,116,114,97,105,103,104,116,32,108,105,110,101,
32,101,100,103,101,115,10,0,112,111,108,121,108,105,110,101,115,0,111,114,116,104,111,103,111,110,97,108,32,108,105,110,101,115,0,108,105,110,101,32,115,101,103,109,101,110,116,115,0,67,114,101,97,116,105,110,103,32,101,100,103,101,115,32,117,115,105,110,103,32,37,115,10,0,112,111,108,121,108,105,110,101,32,37,115,32,37,115,10,0,109,100,115,77,111,100,101,108,58,32,100,101,108,116,97,32,61,32,37,102,10,0,83,101,116,116,105,110,103,32,117,112,32,115,116,114,101,115,115,32,102,117,110,99,116,105,111,
110,0,83,111,108,118,105,110,103,32,109,111,100,101,108,58,32,0,10,102,105,110,97,108,32,101,32,61,32,37,102,32,37,100,32,105,116,101,114,97,116,105,111,110,115,32,37,46,50,102,32,115,101,99,10,0,83,99,97,110,110,105,110,103,32,103,114,97,112,104,32,37,115,44,32,37,100,32,110,111,100,101,115,10,0,68,97,109,112,105,110,103,0,100,101,102,97,117,108,116,100,105,115,116,0,83,101,116,116,105,110,103,32,105,110,105,116,105,97,108,32,112,111,115,105,116,105,111,110,115,10,0,115,116,97,114,116,61,37,115,
32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,119,105,116,104,32,109,111,100,101,61,115,101,108,102,32,45,32,105,103,110,111,114,101,100,10,0,83,101,116,116,105,110,103,32,117,112,32,115,112,114,105,110,103,32,109,111,100,101,108,58,32,0,37,46,50,102,32,115,101,99,10,0,10,102,105,110,97,108,32,101,32,61,32,37,102,0,33,0,32,37,100,37,115,32,105,116,101,114,97,116,105,111,110,115,32,37,46,50,102,32,115,101,99,10,0,77,97,120,46,32,105,116,101,114,97,116,105,111,110,115,32,40,37,100,41,32,
114,101,97,99,104,101,100,32,111,110,32,103,114,97,112,104,32,37,115,10,0,37,46,51,102,32,0,37,115,32,37,46,51,102,10,0,78,68,95,104,101,97,112,105,110,100,101,120,40,118,41,32,60,32,48,0,115,116,117,102,102,46,99,0,110,101,97,116,111,95,101,110,113,117,101,117,101,0,67,97,108,99,117,108,97,116,105,110,103,32,115,104,111,114,116,101,115,116,32,112,97,116,104,115,58,32,0,98,97,100,32,101,100,103,101,32,108,101,110,32,34,37,115,34,0,32,105,110,32,37,115,32,45,32,115,101,116,116,105,110,103,32,116,111,
32,37,46,48,50,102,10,0,115,112,101,99,105,102,105,101,100,32,114,111,111,116,32,110,111,100,101,32,34,37,115,34,32,119,97,115,32,110,111,116,32,102,111,117,110,100,46,0,85,115,105,110,103,32,100,101,102,97,117,108,116,32,99,97,108,99,117,108,97,116,105,111,110,32,102,111,114,32,114,111,111,116,32,110,111,100,101,10,0,114,101,112,111,115,105,116,105,111,110,32,37,115,10,0,37,115,32,58,32,37,102,32,37,102,10,0,37,115,32,58,32,37,102,32,37,102,32,37,102,32,37,102,10,0,32,32,0,71,114,97,112,104,32,37,
115,32,104,97,115,32,97,114,114,97,121,32,112,97,99,107,105,110,103,32,119,105,116,104,32,117,115,101,114,32,118,97,108,117,101,115,32,98,117,116,32,110,111,32,34,115,111,114,116,118,34,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,100,101,102,105,110,101,100,46,0,112,105,110,0,87,97,114,110,105,110,103,58,32,110,111,100,101,32,37,115,44,32,112,111,115,105,116,105,111,110,32,37,115,44,32,101,120,112,101,99,116,101,100,32,116,119,111,32,102,108,111,97,116,115,10,0,99,111,111,114,100,115,
0,115,112,108,105,110,101,115,32,97,110,100,32,99,108,117,115,116,101,114,32,101,100,103,101,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,45,32,117,115,105,110,103,32,108,105,110,101,32,115,101,103,109,101,110,116,115,10,0,108,97,121,111,117,116,32,37,115,10,0,95,100,103,95,37,100,0,100,101,114,105,118,101,32,103,114,97,112,104,32,37,115,32,111,102,32,37,115,10,0,37,108,102,44,37,108,102,44,37,108,102,44,37,108,102,37,99,0,103,114,97,112,104,32,37,115,44,32,99,111,111,114,100,32,37,
115,44,32,101,120,112,101,99,116,101,100,32,102,111,117,114,32,100,111,117,98,108,101,115,10,0,110,111,100,101,32,34,37,115,34,32,105,115,32,99,111,110,116,97,105,110,101,100,32,105,110,32,116,119,111,32,110,111,110,45,99,111,109,112,97,114,97,98,108,101,32,99,108,117,115,116,101,114,115,32,34,37,115,34,32,97,110,100,32,34,37,115,34,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,111,114,116,95,37,115,95,37,115,95,37,115,95,37,108,100,0,95,112,111,114,116,95,37,115,95,40,37,100,41,95,40,37,100,41,95,37,108,100,0,105,32,61,61,32,100,101,103,
0,108,97,121,111,117,116,46,99,0,103,101,116,69,100,103,101,76,105,115,116,0,105,100,120,32,61,61,32,115,122,0,101,120,112,97,110,100,67,108,117,115,116,101,114,0,101,110,100,32,37,115,10,0,109,97,120,105,116,101,114,0,84,48,0,102,100,112,32,100,111,101,115,32,110,111,116,32,115,117,112,112,111,114,116,32,115,116,97,114,116,61,115,101,108,102,32,45,32,105,103,110,111,114,105,110,103,10,0,120,76,97,121,111,117,116,32,0,57,58,112,114,105,115,109,0,116,114,105,101,115,32,61,32,37,100,44,32,109,111,100,
101,32,61,32,37,115,10,0,100,101,114,105,118,101,100,0,105,110,102,111,0,100,105,109,101,110,0,100,105,109,0,115,102,100,112,32,111,110,108,121,32,115,117,112,112,111,114,116,115,32,115,116,97,114,116,61,114,97,110,100,111,109,10,0,75,0,114,101,112,117,108,115,105,118,101,102,111,114,99,101,0,108,101,118,101,108,115,0,115,109,111,111,116,104,105,110,103,0,97,118,103,95,100,105,115,116,0,103,114,97,112,104,95,100,105,115,116,0,112,111,119,101,114,95,100,105,115,116,0,115,112,114,105,110,103,0,113,
117,97,100,116,114,101,101,0,102,97,115,116,0,98,101,97,117,116,105,102,121,0,111,118,101,114,108,97,112,95,115,104,114,105,110,107,0,114,111,116,97,116,105,111,110,0,108,97,98,101,108,95,115,99,104,101,109,101,0,108,97,98,101,108,95,115,99,104,101,109,101,32,61,32,37,100,32,62,32,52,32,58,32,105,103,110,111,114,105,110,103,10,0,115,112,114,105,110,103,95,101,108,101,99,116,114,105,99,97,108,95,99,111,110,116,114,111,108,58,10,0,32,32,114,101,112,117,108,115,105,118,101,32,97,110,100,32,97,116,116,
114,97,99,116,105,118,101,32,101,120,112,111,110,101,110,116,115,58,32,37,46,48,51,102,32,37,46,48,51,102,10,0,32,32,114,97,110,100,111,109,32,115,116,97,114,116,32,37,100,32,115,101,101,100,32,37,100,10,0,32,32,75,32,58,32,37,46,48,51,102,32,67,32,58,32,37,46,48,51,102,10,0,32,32,109,97,120,32,108,101,118,101,108,115,32,37,100,32,99,111,97,114,115,101,110,95,115,99,104,101,109,101,32,37,100,32,99,111,97,114,115,101,110,95,110,111,100,101,32,37,100,10,0,32,32,113,117,97,100,116,114,101,101,32,115,
105,122,101,32,37,100,32,109,97,120,95,108,101,118,101,108,32,37,100,10,0,32,32,66,97,114,110,101,115,45,72,117,116,116,32,99,111,110,115,116,97,110,116,32,37,46,48,51,102,32,116,111,108,101,114,97,110,99,101,32,32,37,46,48,51,102,32,109,97,120,105,116,101,114,32,37,100,10,0,32,32,99,111,111,108,105,110,103,32,37,46,48,51,102,32,115,116,101,112,32,115,105,122,101,32,32,37,46,48,51,102,32,97,100,97,112,116,105,118,101,32,37,100,10,0,32,32,98,101,97,117,116,105,102,121,95,108,101,97,118,101,115,32,
37,100,32,110,111,100,101,32,119,101,105,103,104,116,115,32,37,100,32,114,111,116,97,116,105,111,110,32,37,46,48,51,102,10,0,32,32,115,109,111,111,116,104,105,110,103,32,37,115,32,111,118,101,114,108,97,112,32,37,100,32,105,110,105,116,105,97,108,95,115,99,97,108,105,110,103,32,37,46,48,51,102,32,100,111,95,115,104,114,105,110,107,105,110,103,32,37,100,10,0,32,32,111,99,116,114,101,101,32,115,99,104,101,109,101,32,37,115,32,109,101,116,104,111,100,32,37,115,10,0,32,32,101,100,103,101,95,108,97,98,
101,108,105,110,103,95,115,99,104,101,109,101,32,37,100,10,0,13,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,105,116,101,114,32,61,32,37,100,44,32,115,116,101,112,32,61,32,37,102,32,70,110,111,114,109,32,61,32,37,102,32,110,122,32,61,32,37,100,32,32,75,32,61,32,37,102,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,115,112,114,105,110,103,95,101,108,101,99,116,114,105,99,97,108,95,101,109,98,101,100,100,105,110,103,95,115,108,111,119,0,100,
109,101,97,110,32,61,32,37,102,44,32,114,104,111,32,61,32,37,102,10,0,115,101,110,100,32,114,97,110,100,111,109,32,99,111,111,114,100,105,110,97,116,101,115,10,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,102,10,0,37,100,32,37,100,10,0,81,85,65,68,95,84,82,69,69,95,72,89,66,82,73,68,44,32,115,105,122,101,32,108,97,114,103,101,114,32,116,104,97,110,32,37,100,44,32,115,119,105,116,99,104,32,116,111,32,102,97,115,116,32,113,117,97,100,116,114,101,101,0,99,116,114,108,45,62,111,118,
101,114,108,97,112,61,37,100,10,0,83,80,82,73,78,71,95,69,76,69,67,84,82,73,67,65,76,0,83,80,82,73,78,71,95,77,65,88,69,78,84,0,83,84,82,69,83,83,95,77,65,88,69,78,84,0,83,84,82,69,83,83,95,65,80,80,82,79,88,0,83,84,82,69,83,83,0,85,78,73,70,79,82,77,95,83,84,82,69,83,83,0,70,85,76,76,95,83,84,82,69,83,83,0,78,79,78,69,0,78,79,82,77,65,76,0,70,65,83,84,0,72,89,66,82,73,68,0,83,84,82,69,83,83,95,77,65,74,79,82,73,90,65,84,73,79,78,95,71,82,65,80,72,95,68,73,83,84,0,83,84,82,69,83,83,95,77,65,74,79,
82,73,90,65,84,73,79,78,95,65,86,71,95,68,73,83,84,0,83,84,82,69,83,83,95,77,65,74,79,82,73,90,65,84,73,79,78,95,80,79,87,69,82,95,68,73,83,84,0,83,80,82,73,78,71,0,84,82,73,65,78,71,76,69,0,82,78,71,0,117,110,105,102,111,114,109,95,115,116,114,101,115,115,46,99,0,85,110,105,102,111,114,109,83,116,114,101,115,115,83,109,111,111,116,104,101,114,95,110,101,119,0,83,112,97,114,115,101,77,97,116,114,105,120,95,105,115,95,115,121,109,109,101,116,114,105,99,40,66,44,32,70,65,76,83,69,41,0,117,110,105,102,
111,114,109,95,115,116,114,101,115,115,0,124,101,100,103,101,108,97,98,101,108,124,0,108,101,110,0,110,111,114,109,97,108,105,122,101,0,111,118,101,114,108,97,112,0,115,99,97,108,101,32,61,32,40,37,46,48,51,102,44,37,46,48,51,102,41,10,0,65,100,106,117,115,116,105,110,103,32,37,115,32,117,115,105,110,103,32,37,115,10,0,85,110,104,97,110,100,108,101,100,32,97,100,106,117,115,116,32,111,112,116,105,111,110,32,37,115,10,0,118,111,114,111,95,109,97,114,103,105,110,0,78,117,109,98,101,114,32,111,102,32,
105,116,101,114,97,116,105,111,110,115,32,61,32,37,100,10,0,78,117,109,98,101,114,32,111,102,32,105,110,99,114,101,97,115,101,115,32,61,32,37,100,10,0,115,101,112,0,101,115,101,112,0,78,111,100,101,32,115,101,112,97,114,97,116,105,111,110,58,32,97,100,100,61,37,100,32,40,37,102,44,37,102,41,10,0,69,100,103,101,32,115,101,112,97,114,97,116,105,111,110,58,32,97,100,100,61,37,100,32,40,37,102,44,37,102,41,10,0,37,102,44,37,102,0,111,118,101,114,108,97,112,32,91,37,100,93,32,58,32,37,100,10,0,118,111,
114,111,110,111,105,0,79,118,101,114,108,97,112,32,118,97,108,117,101,32,34,37,115,34,32,117,110,115,117,112,112,111,114,116,101,100,32,45,32,105,103,110,111,114,101,100,10,0,85,110,114,101,99,111,103,110,105,122,101,100,32,111,118,101,114,108,97,112,32,118,97,108,117,101,32,34,37,115,34,32,45,32,117,115,105,110,103,32,102,97,108,115,101,10,0,86,111,114,111,110,111,105,0,111,118,101,114,108,97,112,58,32,37,115,32,118,97,108,117,101,32,37,100,32,115,99,97,108,105,110,103,32,37,46,48,52,102,10,0,111,
118,101,114,108,97,112,95,115,99,97,108,105,110,103,0,115,99,97,108,105,110,103,0,118,112,115,99,0,105,112,115,101,112,0,111,115,99,97,108,101,0,111,108,100,32,115,99,97,108,105,110,103,0,115,99,97,108,101,120,121,0,120,32,97,110,100,32,121,32,115,99,97,108,105,110,103,0,111,114,116,104,111,0,111,114,116,104,111,103,111,110,97,108,32,99,111,110,115,116,114,97,105,110,116,115,0,111,114,116,104,111,95,121,120,0,111,114,116,104,111,120,121,0,120,121,32,111,114,116,104,111,103,111,110,97,108,32,99,111,
110,115,116,114,97,105,110,116,115,0,111,114,116,104,111,121,120,0,121,120,32,111,114,116,104,111,103,111,110,97,108,32,99,111,110,115,116,114,97,105,110,116,115,0,112,111,114,116,104,111,0,112,115,101,117,100,111,45,111,114,116,104,111,103,111,110,97,108,32,99,111,110,115,116,114,97,105,110,116,115,0,112,111,114,116,104,111,95,121,120,0,112,111,114,116,104,111,120,121,0,120,121,32,112,115,101,117,100,111,45,111,114,116,104,111,103,111,110,97,108,32,99,111,110,115,116,114,97,105,110,116,115,0,112,
111,114,116,104,111,121,120,0,121,120,32,112,115,101,117,100,111,45,111,114,116,104,111,103,111,110,97,108,32,99,111,110,115,116,114,97,105,110,116,115,0,112,114,105,115,109,0,67,97,108,99,117,108,97,116,105,110,103,32,99,105,114,99,117,105,116,32,109,111,100,101,108,0,99,111,110,106,117,103,97,116,101,95,103,114,97,100,105,101,110,116,58,32,117,110,101,120,112,101,99,116,101,100,32,108,101,110,103,116,104,32,48,32,118,101,99,116,111,114,10,0,67,97,108,99,117,108,97,116,105,110,103,32,115,117,98,
115,101,116,32,109,111,100,101,108,0,103,114,97,112,104,32,105,115,32,100,105,115,99,111,110,110,101,99,116,101,100,46,32,72,101,110,99,101,44,32,116,104,101,32,99,105,114,99,117,105,116,32,109,111,100,101,108,10,0,105,115,32,117,110,100,101,102,105,110,101,100,46,32,82,101,118,101,114,116,105,110,103,32,116,111,32,116,104,101,32,115,104,111,114,116,101,115,116,32,112,97,116,104,32,109,111,100,101,108,46,10,0,67,97,108,99,117,108,97,116,105,110,103,32,77,68,83,32,109,111,100,101,108,0,67,97,108,99,
117,108,97,116,105,110,103,32,115,104,111,114,116,101,115,116,32,112,97,116,104,115,0,58,32,37,46,50,102,32,115,101,99,10,0,83,101,116,116,105,110,103,32,105,110,105,116,105,97,108,32,112,111,115,105,116,105,111,110,115,0,58,32,37,46,50,102,32,115,101,99,0,99,111,109,112,114,101,115,115,32,37,103,32,10,0,98,101,115,116,99,111,115,116,32,60,32,72,85,71,69,95,86,65,76,0,99,111,110,115,116,114,97,105,110,116,46,99,0,99,111,109,112,117,116,101,83,99,97,108,101,88,89,0,115,99,97,108,101,32,98,121,32,37,
103,44,37,103,32,10,0,99,103,0,100,101,108,116,97,32,60,61,32,48,120,70,70,70,70,0,109,107,78,67,111,110,115,116,114,97,105,110,116,71,0,118,103,0,71,114,97,112,104,118,105,122,32,98,117,105,108,116,32,119,105,116,104,111,117,116,32,97,110,121,32,116,114,105,97,110,103,117,108,97,116,105,111,110,32,108,105,98,114,97,114,121,10,0,100,101,108,97,117,110,97,121,95,116,114,105,97,110,103,117,108,97,116,105,111,110,58,32,37,115,10,0,100,101,108,97,117,110,97,121,95,116,114,105,58,32,37,115,10,0,10,105,
110,116,101],"i8",4,n.q+124266);
B([114,115,101,99,116,105,111,110,32,97,116,32,37,46,51,102,32,37,46,51,102,10,0,116,114,121,105,110,103,32,116,111,32,100,101,108,101,116,101,32,97,32,110,111,110,45,108,105,110,101,10,0,115,101,103,35,37,100,32,58,32,40,37,46,51,102,44,32,37,46,51,102,41,32,40,37,46,51,102,44,32,37,46,51,102,41,10,0,114,101,109,111,118,101,95,111,118,101,114,108,97,112,58,32,71,114,97,112,104,118,105,122,32,110,111,116,32,98,117,105,108,116,32,119,105,116,104,32,116,114,105,97,110,103,117,108,97,116,105,111,110,
32,108,105,98,114,97,114,121,10,0,109,97,107,101,65,100,100,80,111,108,121,58,32,117,110,107,110,111,119,110,32,115,104,97,112,101,32,116,121,112,101,32,37,115,10,0,109,97,107,101,80,111,108,121,58,32,117,110,107,110,111,119,110,32,115,104,97,112,101,32,116,121,112,101,32,37,115,10,0,120,33,61,78,85,76,76,0,115,109,97,114,116,95,105,110,105,95,120,46,99,0,73,77,68,83,95,103,105,118,101,110,95,100,105,109,0,105,108,108,45,99,111,110,100,105,116,105,111,110,101,100,0,114,111,111,116,32,61,32,37,115,
32,109,97,120,32,115,116,101,112,115,32,116,111,32,114,111,111,116,32,61,32,37,100,10,0,116,119,111,112,105,58,32,117,115,101,32,111,102,32,119,101,105,103,104,116,61,48,32,99,114,101,97,116,101,115,32,100,105,115,99,111,110,110,101,99,116,101,100,32,99,111,109,112,111,110,101,110,116,46,10,0,82,97,110,107,32,115,101,112,97,114,97,116,105,111,110,32,61,32,0,37,46,48,51,108,102,32,0,97,114,101,97,0,105,110,115,101,116,0,37,46,48,51,102,0,37,115,32,99,111,111,114,100,32,37,46,53,103,32,37,46,53,103,
32,104,116,32,37,102,32,119,105,100,116,104,32,37,102,10,0,114,101,99,32,37,102,32,37,102,32,37,102,32,37,102,10,0,37,102,32,45,32,37,102,32,37,102,32,37,102,32,37,102,32,61,32,37,102,32,40,37,102,32,37,102,32,37,102,32,37,102,41,10,0,116,114,121,105,110,103,32,116,111,32,97,100,100,32,116,111,32,114,101,99,116,32,123,37,102,32,43,47,45,32,37,102,44,32,37,102,32,43,47,45,32,37,102,125,10,0,116,111,116,97,108,32,97,100,100,101,100,32,115,111,32,102,97,114,32,61,32,37,100,10,0,97,100,100,105,110,103,
32,37,100,32,105,116,101,109,115,44,32,116,111,116,97,108,32,97,114,101,97,32,61,32,37,102,44,32,119,32,61,32,37,102,44,32,97,114,101,97,47,119,61,37,102,10,0,99,111,109,112,111,117,110,100,69,100,103,101,115,58,32,99,111,117,108,100,32,110,111,116,32,99,111,110,115,116,114,117,99,116,32,111,98,115,116,97,99,108,101,115,32,45,32,102,97,108,108,105,110,103,32,98,97,99,107,32,116,111,32,115,116,114,97,105,103,104,116,32,108,105,110,101,32,101,100,103,101,115,10,0,99,111,109,112,111,117,110,100,69,100,
103,101,115,58,32,110,111,100,101,115,32,116,111,117,99,104,32,45,32,102,97,108,108,105,110,103,32,98,97,99,107,32,116,111,32,115,116,114,97,105,103,104,116,32,108,105,110,101,32,101,100,103,101,115,10,0,112,97,99,107,32,118,97,108,117,101,32,37,100,32,105,115,32,115,109,97,108,108,101,114,32,116,104,97,110,32,101,115,101,112,32,40,37,46,48,51,102,44,37,46,48,51,102,41,10,0,115,101,112,32,118,97,108,117,101,32,40,37,46,48,51,102,44,37,46,48,51,102,41,32,105,115,32,115,109,97,108,108,101,114,32,116,
104,97,110,32,101,115,101,112,32,40,37,46,48,51,102,44,37,46,48,51,102,41,10,0,99,99,37,115,95,37,100,0,99,99,37,115,43,37,100,0,99,95,99,110,116,32,61,61,32,48,0,99,111,109,112,46,99,0,102,105,110,100,67,67,111,109,112,0,103,114,105,100,40,37,100,44,37,100,41,58,32,37,115,10,0,119,105,100,116,104,32,62,32,48,0,81,117,97,100,84,114,101,101,46,99,0,81,117,97,100,84,114,101,101,95,110,101,119,0,33,40,113,45,62,108,41,0,81,117,97,100,84,114,101,101,95,97,100,100,95,105,110,116,101,114,110,97,108,0,105,
105,32,60,32,49,60,60,100,105,109,32,38,38,32,105,105,32,62,61,32,48,0,113,45,62,113,116,115,91,105,105,93,0,113,45,62,110,32,61,61,32,49,0,33,40,113,45,62,113,116,115,41,0,113,45,62,108,0,119,103,116,32,62,32,48,0,81,117,97,100,84,114,101,101,95,114,101,112,117,108,115,105,118,101,95,102,111,114,99,101,95,97,99,99,117,109,117,108,97,116,101,0,113,116,50,45,62,110,32,62,32,48,0,113,116,49,45,62,110,32,62,32,48,32,38,38,32,113,116,50,45,62,110,32,62,32,48,0,81,117,97,100,84,114,101,101,95,114,101,
112,117,108,115,105,118,101,95,102,111,114,99,101,95,105,110,116,101,114,97,99,116,0,100,105,115,116,32,62,32,48,0,65,45,62,102,111,114,109,97,116,32,61,61,32,70,79,82,77,65,84,95,67,83,82,0,83,112,97,114,115,101,77,97,116,114,105,120,46,99,0,83,112,97,114,115,101,77,97,116,114,105,120,95,116,114,97,110,115,112,111,115,101,0,83,112,97,114,115,101,77,97,116,114,105,120,95,105,115,95,115,121,109,109,101,116,114,105,99,0,65,32,38,38,32,66,0,83,112,97,114,115,101,77,97,116,114,105,120,95,97,100,100,0,
65,45,62,102,111,114,109,97,116,32,61,61,32,66,45,62,102,111,114,109,97,116,32,38,38,32,65,45,62,102,111,114,109,97,116,32,61,61,32,70,79,82,77,65,84,95,67,83,82,0,65,45,62,116,121,112,101,32,61,61,32,66,45,62,116,121,112,101,0,65,45,62,102,111,114,109,97,116,32,61,61,32,70,79,82,77,65,84,95,67,79,79,82,68,0,83,112,97,114,115,101,77,97,116,114,105,120,95,102,114,111,109,95,99,111,111,114,100,105,110,97,116,101,95,102,111,114,109,97,116,0,83,112,97,114,115,101,77,97,116,114,105,120,95,109,117,108,
116,105,112,108,121,95,100,101,110,115,101,49,0,65,45,62,116,121,112,101,32,61,61,32,77,65,84,82,73,88,95,84,89,80,69,95,82,69,65,76,0,83,112,97,114,115,101,77,97,116,114,105,120,95,109,117,108,116,105,112,108,121,95,100,101,110,115,101,50,0,83,112,97,114,115,101,77,97,116,114,105,120,95,109,117,108,116,105,112,108,121,95,118,101,99,116,111,114,0,65,45,62,116,121,112,101,32,61,61,32,77,65,84,82,73,88,95,84,89,80,69,95,82,69,65,76,32,124,124,32,65,45,62,116,121,112,101,32,61,61,32,77,65,84,82,73,88,
95,84,89,80,69,95,73,78,84,69,71,69,82,0,83,112,97,114,115,101,77,97,116,114,105,120,95,109,117,108,116,105,112,108,121,0,106,99,91,109,97,115,107,91,106,98,91,107,93,93,93,32,61,61,32,106,98,91,107,93,0,83,112,97,114,115,101,77,97,116,114,105,120,95,109,117,108,116,105,112,108,121,51,0,106,100,91,109,97,115,107,91,106,99,91,107,93,93,93,32,61,61,32,106,99,91,107,93,0,106,97,91,109,97,115,107,91,106,97,91,106,93,93,93,32,61,61,32,106,97,91,106,93,0,83,112,97,114,115,101,77,97,116,114,105,120,95,115,
117,109,95,114,101,112,101,97,116,95,101,110,116,114,105,101,115,0,105,100,32,60,32,110,42,40,121,109,97,120,45,121,109,105,110,43,49,41,0,106,97,91,109,97,115,107,91,105,100,93,93,32,61,61,32,106,97,91,106,93,0,83,112,97,114,115,101,77,97,116,114,105,120,95,99,111,111,114,100,105,110,97,116,101,95,102,111,114,109,95,97,100,100,95,101,110,116,114,105,101,115,0,83,112,97,114,115,101,77,97,116,114,105,120,95,100,105,118,105,100,101,95,114,111,119,95,98,121,95,100,101,103,114,101,101,0,109,32,62,32,
48,32,38,38,32,110,32,62,32,48,32,38,38,32,110,122,32,62,61,32,48,0,83,112,97,114,115,101,77,97,116,114,105,120,95,102,114,111,109,95,99,111,111,114,100,105,110,97,116,101,95,97,114,114,97,121,115,95,105,110,116,101,114,110,97,108,0,65,0,110,32,62,32,49,0,103,101,110,101,114,97,108,46,99,0,105,114,97,110,100,0,109,105,110,100,105,115,116,0,97,114,116,105,99,117,108,97,116,105,111,110,95,112,111,115,0,114,111,111,116,0,111,110,101,98,108,111,99,107,0,80,114,105,111,114,105,116,121,81,117,101,117,101,
46,99,0,80,114,105,111,114,105,116,121,81,117,101,117,101,95,112,117,115,104,0,103,97,105,110,32,60,61,32,113,45,62,110,103,97,105,110,0,83,112,97,114,115,101,77,97,116,114,105,120,95,105,115,95,115,121,109,109,101,116,114,105,99,40,65,44,32,70,65,76,83,69,41,0,112,111,115,116,95,112,114,111,99,101,115,115,46,99,0,105,100,101,97,108,95,100,105,115,116,97,110,99,101,95,109,97,116,114,105,120,0,108,101,110,32,62,32,48,0,83,116,114,101,115,115,77,97,106,111,114,105,122,97,116,105,111,110,83,109,111,
111,116,104,101,114,50,95,110,101,119,0,110,122,32,62,32,48,0,105,100,101,97,108,95,100,105,115,116,95,115,99,104,101,109,101,32,118,97,108,117,101,32,119,114,111,110,103,0,83,112,97,114,115,101,77,97,116,114,105,120,95,105,115,95,115,121,109,109,101,116,114,105,99,40,65,44,32,70,65,76,83,69,41,32,38,38,32,65,45,62,116,121,112,101,32,61,61,32,77,65,84,82,73,88,95,84,89,80,69,95,82,69,65,76,0,83,112,97,114,115,101,83,116,114,101,115,115,77,97,106,111,114,105,122,97,116,105,111,110,83,109,111,111,116,
104,101,114,95,110,101,119,0,40,33,106,99,110,41,32,38,38,32,40,33,118,97,108,41,0,103,101,116,95,101,100,103,101,95,108,97,98,101,108,95,109,97,116,114,105,120,0,105,100,105,97,103,32,62,61,32,48,0,83,116,114,101,115,115,77,97,106,111,114,105,122,97,116,105,111,110,83,109,111,111,116,104,101,114,95,115,109,111,111,116,104,0,84,114,105,97,110,103,108,101,83,109,111,111,116,104,101,114,95,110,101,119,0,106,100,105,97,103,32,62,61,32,48,0,83,112,114,105,110,103,83,109,111,111,116,104,101,114,95,110,
101,119,0,33,102,108,97,103,0,83,112,114,105,110,103,83,109,111,111,116,104,101,114,95,115,109,111,111,116,104,0,110,101,105,103,104,98,61,37,100,10,0,114,111,111,116,32,61,32,37,115,10,0,115,45,62,115,122,32,62,32,48,0,98,108,111,99,107,116,114,101,101,46,99,0,112,111,112,0,95,98,108,111,99,107,95,37,100,0,97,99,116,117,97,108,0,110,111,100,101,108,105,115,116,46,99,0,105,110,115,101,114,116,78,111,100,101,108,105,115,116,0,95,99,108,111,110,101,95,37,100,0,95,115,112,97,110,95,37,100,0,105,112,
0,100,101,103,108,105,115,116,46,99,0,114,101,109,111,118,101,68,101,103,108,105,115,116,0,117,115,101,114,111,117,116,58,32,99,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,10,0,69,114,114,111,114,0,87,97,114,110,105,110,103,0,37,115,58,32,0,95,65,71,95,100,97,116,97,100,105,99,116,0,97,103,100,105,99,116,111,102,58,32,117,110,107,110,111,119,110,32,107,105,110,100,32,37,100,10,0,95,65,71,95,115,116,114,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,99,37,108,100,0,109,101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,102,97,105,108,117,114,101,0,97,103,100,101,108,101,116,101,32,111,110,32,119,114,111,110,103,32,103,114,97,112,104,0,97,103,100,101,108,101,116,101,32,111,110,32,98,97,100,32,111,98,106,101,99,116,0,97,103,114,97,112,104,111,102,32,97,32,98,97,100,32,111,98,106,101,99,116,0,97,103,114,111,111,116,32,111,102,32,97,32,98,97,100,32,111,98,106,101,99,116,0,95,65,71,95,112,101,110,100,105,
110,103,0,97,103,114,101,99,111,114,100,95,99,97,108,108,98,97,99,107,32,111,102,32,97,32,98,97,100,32,111,98,106,101,99,116,0,112,101,110,100,32,100,105,99,116,111,102,32,97,32,98,97,100,32,111,98,106,101,99,116,0,109,111,118,101,32,116,111,32,102,114,111,110,116,32,108,111,99,107,32,105,110,99,111,110,115,105,115,116,101,110,99,121,0,0,108,105,110,101,0,37,100,32,37,49,91,34,93,37,110,0,105,110,112,117,116,0,115,121,110,116,97,120,32,97,109,98,105,103,117,105,116,121,32,45,32,98,97,100,108,121,
32,100,101,108,105,109,105,116,101,100,32,110,117,109,98,101,114,32,39,0,39,32,105,110,32,108,105,110,101,32,37,100,32,111,102,32,0,32,115,112,108,105,116,115,32,105,110,116,111,32,116,119,111,32,116,111,107,101,110,115,10,0,37,115,0,92,92,0,102,97,116,97,108,32,102,108,101,120,32,115,99,97,110,110,101,114,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,45,45,101,110,100,32,111,102,32,98,117,102,102,101,114,32,109,105,115,115,101,100,0,102,97,116,97,108,32,101,114,114,111,114,32,45,32,115,
99,97,110,110,101,114,32,105,110,112,117,116,32,98,117,102,102,101,114,32,111,118,101,114,102,108,111,119,0,111,117,116,32,111,102,32,100,121,110,97,109,105,99,32,109,101,109,111,114,121,32,105,110,32,97,97,103,95,103,101,116,95,110,101,120,116,95,98,117,102,102,101,114,40,41,0,102,97,116,97,108,32,102,108,101,120,32,115,99,97,110,110,101,114,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,45,45,110,111,32,97,99,116,105,111,110,32,102,111,117,110,100,0,111,117,116,32,111,102,32,100,121,110,
97,109,105,99,32,109,101,109,111,114,121,32,105,110,32,97,97,103,95,99,114,101,97,116,101,95,98,117,102,102,101,114,40,41,0,58,32,0,32,105,110,32,108,105,110,101,32,37,100,0,32,110,101,97,114,32,39,0,32,115,99,97,110,110,105,110,103,32,97,32,113,117,111,116,101,100,32,115,116,114,105,110,103,32,40,109,105,115,115,105,110,103,32,101,110,100,113,117,111,116,101,63,32,108,111,110,103,101,114,32,116,104,97,110,32,37,100,63,41,0,10,83,116,114,105,110,103,32,115,116,97,114,116,105,110,103,58,34,0,32,115,
99,97,110,110,105,110,103,32,97,32,72,84,77,76,32,115,116,114,105,110,103,32,40,109,105,115,115,105,110,103,32,39,62,39,63,32,98,97,100,32,110,101,115,116,105,110,103,63,32,108,111,110,103,101,114,32,116,104,97,110,32,37,100,63,41,0,10,83,116,114,105,110,103,32,115,116,97,114,116,105,110,103,58,60,0,32,115,99,97,110,110,105,110,103,32,97,32,47,42,46,46,46,42,47,32,99,111,109,109,101,110,116,32,40,109,105,115,115,105,110,103,32,39,42,47,63,32,108,111,110,103,101,114,32,116,104,97,110,32,37,100,63,
41,0,102,108,101,120,32,115,99,97,110,110,101,114,32,112,117,115,104,45,98,97,99,107,32,111,118,101,114,102,108,111,119,0,37,115,10,0,111,117,116,32,111,102,32,100,121,110,97,109,105,99,32,109,101,109,111,114,121,32,105,110,32,97,97,103,101,110,115,117,114,101,95,98,117,102,102,101,114,95,115,116,97,99,107,40,41,0,108,105,110,101,108,101,110,103,116,104,0,59,10,0,32,91,107,101,121,61,0,93,0,32,91,0,44,10,0,61,0,95,37,108,100,95,83,85,83,80,69,67,84,0,100,105,0,115,116,114,105,99,116,32,0,123,10,0,
93,59,10,0,34,34,0,115,116,114,105,99,116,0,97,103,97,112,112,108,121,58,32,117,110,107,110,111,119,110,32,111,98,106,101,99,116,32,116,121,112,101,32,37,100,10,0,18,238,238,20,9,3,238,254,238,238,238,1,238,238,238,1,238,238,10,254,238,19,25,21,238,19,1,238,238,238,238,11,17,238,238,238,238,238,238,238,238,238,1,238,238,22,9,1,1,29,15,23,238,238,26,23,27,238,238,28,238,238,238,238,1,25,251,238,238,238,1,238,16,238,238,30,238,238,238,238,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,23,17,2,2,2,2,2,2,2,2,2,2,2,2,2,18,16,2,19,2,2,22,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,2,21,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,14,2,15,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,3,4,5,6,7,8,9,10,11,12,13,11,3,4,5,
15,7,3,12,13,6,12,13,14,12,13,26,21,22,0,1,0,3,7,14,6,15,8,12,13,18,19,42,16,17,9,16,47,48,17,50,23,19,13,20,18,46,18,20,65,19,50,19,44,64,42,66,25,44,66,70,34,12,13,14,35,15,9,16,17,10,16,17,201,16,17,45,69,70,252,1,6,246,15,7,246,36,2,16,17,47,48,54,77,78,40,38,59,60,42,54,49,57,61,63,47,58,64,216,68,48,62,37,55,67,53,75,43,56,73,76,0,3,9,0,0,0,1,14,2,11,12,8,35,36,37,54,59,61,0,13,16,18,27,22,28,18,39,50,34,23,51,30,60,6,7,53,5,15,17,20,24,41,0,19,41,0,0,0,0,0,55,21,40,29,30,0,33,38,52,31,48,62,
25,44,0,27,0,32,26,42,0,43,58,46,47,0,49,56,57,45,0,2,2,1,0,3,3,1,0,1,0,1,1,1,0,2,1,1,0,2,2,3,1,1,0,0,5,0,1,3,1,3,5,3,1,1,1,1,2,0,1,0,4,2,0,2,1,1,3,2,1,0,3,2,1,0,1,1,0,1,1,1,3,107,101,121,0,0,24,25,25,25,26,27,28,28,29,29,30,30,31,31,32,32,33,33,34,34,35,36,36,38,39,37,37,40,40,41,41,41,42,42,43,43,43,44,44,45,45,46,47,47,48,49,49,50,51,52,54,53,55,55,55,56,56,56,57,57,58,58,238,238,255,238,238,238,238,238,238,31,32,238,0,239,238,238,238,12,238,238,238,8,13,238,238,238,248,238,238,238,238,238,238,
245,238,255,3,8,4,33,5,11,18,19,39,20,21,22,41,50,65,23,24,25,26,44,51,52,66,71,72,27,74,28,29,46,30,79,31,32,97,116,116,114,105,98,117,116,101,32,109,97,99,114,111,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,37,115,58,37,115,0,46,37,100,0,110,111,110,97,109,101,46,103,118,0,67,111,117,108,100,32,110,111,116,32,111,112,101,110,32,34,37,115,34,32,102,111,114,32,119,114,105,116,105,110,103,32,58,32,37,115,10,0,78,111,32,108,105,98,122,32,115,117,112,112,111,114,116,46,10,0,109,
101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,102,97,105,108,117,114,101,10,0,103,118,119,114,105,116,101,95,110,111,95,122,32,112,114,111,98,108,101,109,32,37,100,10,0,78,111,32,108,105,98,122,32,115,117,112,112,111,114,116,10,0,103,118,112,114,105,110,116,102,58,32,37,115,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,46,57,57,0,103,114,97,112,104,118,105,122,0,50,46,52,48,46,49,0,50,48,49,54,49,50,50,53,46,48,51,48,52,0,114,101,110,
100,101,114,0,100,101,118,105,99,101,0,108,111,97,100,105,109,97,103,101,0,100,121,110,97,109,105,99,32,108,111,97,100,105,110,103,32,110,111,116,32,97,118,97,105,108,97,98,108,101,10,0,85,115,105,110,103,32,37,115,58,32,37,115,58,37,115,10,0,103,118,117,115,101,114,115,104,97,112,101,46,99,0,103,118,117,115,101,114,115,104,97,112,101,95,102,105,110,100,0,103,118,117,115,101,114,115,104,97,112,101,95,102,105,108,101,95,97,99,99,101,115,115,0,70,105,108,101,110,97,109,101,32,34,37,115,34,32,105,115,
32,117,110,115,97,102,101,10,0,37,115,32,119,104,105,108,101,32,111,112,101,110,105,110,103,32,37,115,10,0,117,115,45,62,102,0,103,118,117,115,101,114,115,104,97,112,101,95,111,112,101,110,0,60,115,118,103,0,87,69,66,80,0,119,101,98,112,0,40,108,105,98,41,0,34,37,115,34,32,119,97,115,32,110,111,116,32,102,111,117,110,100,32,97,115,32,97,32,102,105,108,101,32,111,114,32,97,115,32,97,32,115,104,97,112,101,32,108,105,98,114,97,114,121,32,109,101,109,98,101,114,10,0,1,208,209,210,211,212,213,214,215,
216,217,0,37,37,66,111,117,110,100,105,110,103,66,111,120,58,0,40,91,97,45,122,93,91,97,45,122,65,45,90,93,42,41,61,34,40,91,94,34,93,42,41,34,0,99,97,110,110,111,116,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,32,37,115,0,37,108,102,37,50,115,0,112,116,0,118,105,101,119,66,111,120,0,37,108,102,32,37,108,102,32,37,108,102,32,37,108,102,0,47,77,101,100,105,97,66,111,120,0,105,110,0,112,120,0,112,99,0,34,0,99,109,0,109,109,0,137,80,78,71,13,
10,26,10,0,112,110,103,0,37,33,80,83,45,65,100,111,98,101,45,0,66,77,0,98,109,112,0,71,73,70,56,0,103,105,102,0,255,216,255,224,0,106,112,101,103,0,37,80,68,70,45,0,112,100,102,0,197,208,211,198,0,101,112,115,0,60,63,120,109,108,0,120,109,108,0,82,73,70,70,0,114,105,102,102,0,0,0,1,0,0,105,99,111,0,37,100,32,37,100,32,37,100,32,37,100,0,76,97,121,111,117,116,32,119,97,115,32,110,111,116,32,100,111,110,101,10,0,102,97,105,108,117,114,101,32,109,97,108,108,111,99,39,105,110,103,32,102,111,114,32,114,
101,115,117,108,116,32,115,116,114,105,110,103,0,111,114,105,103,0,111,112,0,99,99,111,109,112,115,46,99,0,109,97,112,67,108,117,115,116,0,99,99,103,114,97,112,104,105,110,102,111,0,99,99,103,110,111,100,101,105,110,102,111,0,100,103,0,40,37,52,108,100,41,32,37,55,108,100,32,110,111,100,101,115,32,37,55,108,100,32,101,100,103,101,115,10,0,32,32,32,32,32,32,32,37,55,100,32,110,111,100,101,115,32,37,55,100,32,101,100,103,101,115,32,37,55,108,100,32,99,111,109,112,111,110,101,110,116,115,32,37,115,10,
0,69,114,114,111,114,58,32,110,111,100,101,32,34,37,115,34,32,98,101,108,111,110,103,115,32,116,111,32,116,119,111,32,110,111,110,45,110,101,115,116,101,100,32,99,108,117,115,116,101,114,115,32,34,37,115,34,32,97,110,100,32,34,37,115,34,10,0,103,99,58,32,79,117,116,32,111,102,32,109,101,109,111,114,121,10,0,95,99,99,95,0,98,98,91,37,115,93,32,37,46,53,103,32,37,46,53,103,32,37,46,53,103,32,37,46,53,103,10,0,115,116,101,112,32,115,105,122,101,32,61,32,37,100,10,0,37,115,32,110,111,46,32,99,101,108,
108,115,32,37,100,32,87,32,37,100,32,72,32,37,100,10,0,32,32,37,100,32,37,100,32,99,101,108,108,10,0,99,99,32,40,37,100,32,99,101,108,108,115,41,32,97,116,32,40,37,100,44,37,100,41,10,0,112,111,115,91,37,100,93,32,37,100,32,37,100,10,0,115,111,114,116,118,0,112,105,110,102,111,0,112,97,99,107,46,99,0,103,101,116,80,97,99,107,73,110,102,111,0,32,32,109,97,114,103,105,110,32,37,100,10,0,112,97,99,107,109,111,100,101,0,112,97,114,115,101,80,97,99,107,77,111,100,101,73,110,102,111,0,97,114,114,97,121,
0,97,115,112,101,99,116,0,37,102,0,112,97,99,107,32,105,110,102,111,58,10,0,117,110,100,101,102,105,110,101,100,0,32,32,109,111,100,101,32,32,32,37,115,10,0,32,32,97,115,112,101,99,116,32,37,102,10,0,32,32,115,105,122,101,32,32,32,37,100,10,0,32,32,102,108,97,103,115,32,32,37,100,10,0,112,97,99,107,0,114,111,119,32,109,97,106,111,114,0,99,111,108,117,109,110,32,109,97,106,111,114,0,97,114,114,97,121,32,112,97,99,107,105,110,103,58,32,37,115,32,37,100,32,114,111,119,115,32,37,100,32,99,111,108,117,
109,110,115,10,0,99,99,32,40,37,100,32,99,101,108,108,115,41,32,97,116,32,40,37,100,44,37,100,41,32,40,37,100,44,37,100,41,10,0,108,105,98,112,97,99,107,58,32,100,105,115,99,32,61,32,37,102,32,40,32,60,32,48,41,10,0,80,97,99,107,105,110,103,58,32,99,111,109,112,117,116,101,32,103,114,105,100,32,115,105,122,101,10,0,97,32,37,102,32,98,32,37,102,32,99,32,37,102,32,100,32,37,102,32,114,32,37,102,10,0,114,111,111,116,32,37,100,32,40,37,102,41,32,37,100,32,40,37,102,41,10,0,32,114,49,32,37,102,32,114,
50,32,37,102,10,0,65,114,114,111,119,32,116,121,112,101,32,34,37,115,34,32,117,110,107,110,111,119,110,32,45,32,105,103,110,111,114,105,110,103,10,0,110,111,114,109,97,108,0,99,114,111,119,0,116,101,101,0,100,111,116,0,105,110,118,0,118,101,101,0,112,101,110,0,109,112,116,121,0,99,117,114,118,101,0,105,99,117,114,118,101,0,108,0,104,97,108,102,0,105,110,118,101,109,112,116,121,0,95,98,97,99,107,103,114,111,117,110,100,0,95,100,114,97,119,95,0,67,111,117,108,100,32,110,111,116,32,112,97,114,115,101,
32,34,95,98,97,99,107,103,114,111,117,110,100,34,32,97,116,116,114,105,98,117,116,101,32,105,110,32,103,114,97,112,104,32,37,115,10,0,32,32,34,37,115,34,10,0,110,111,32,109,101,109,111,114,121,32,102,114,111,109,32,122,109,97,108,108,111,99,40,41,10,0,111,98,106,0,101,109,105,116,46,99,0,112,111,112,95,111,98,106,95,115,116,97,116,101,0,99,108,117,115,116,0,37,108,100,0,108,110,114,108,97,121,101,114,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,37,115,32,111,117,116,112,
117,116,10,0,99,111,108,111,114,115,99,104,101,109,101,0,103,114,97,100,105,101,110,116,32,112,101,110,32,99,111,108,111,114,115,32,110,111,116,32,121,101,116,32,115,117,112,112,111,114,116,101,100,46,10,0,73,109,97,103,101,115,32,117,110,115,117,112,112,111,114,116,101,100,32,105,110,32,34,98,97,99,107,103,114,111,117,110,100,34,32,97,116,116,114,105,98,117,116,101,10,0,105,110,32,99,108,117,115,116,101,114,32,37,115,10,0,77,111,114,101,32,116,104,97,110,32,50,32,99,111,108,111,114,115,32,115,112,
101,99,105,102,105,101,100,32,102,111,114,32,97,32,103,114,97,100,105,101,110,116,32,45,32,105,103,110,111,114,105,110,103,32,114,101,109,97,105,110,105,110,103,10,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,101,115,116,105,110,103,32,110,111,116,32,97,108,108,111,119,101,100,32,105,
110,32,115,116,121,108,101,58,32,37,115,10,0,117,110,109,97,116,99,104,101,100,32,39,41,39,32,105,110,32,115,116,121,108,101,58,32,37,115,10,0,116,114,117,110,99,97,116,105,110,103,32,115,116,121,108,101,32,39,37,115,39,10,0,117,110,109,97,116,99,104,101,100,32,39,40,39,32,105,110,32,115,116,121,108,101,58,32,37,115,10,0,67,0,76,97,121,111,117,116,32,119,97,115,32,110,111,116,32,100,111,110,101,46,32,32,77,105,115,115,105,110,103,32,108,97,121,111,117,116,32,112,108,117,103,105,110,115,63,32,10,0,
103,118,82,101,110,100,101,114,74,111,98,115,32,37,115,58,32,37,46,50,102,32,115,101,99,115,46,10,0,115,112,108,45,62,115,105,122,101,32,62,32,48,0,105,110,105,116,95,115,112,108,105,110,101,115,95,98,98,0,112,97,100,0,66,76,0,112,97,103,101,100,105,114,0,108,97,121,101,114,115,0,108,97,121,101,114,115,101,112,0,58,9,32,0,108,97,121,101,114,108,105,115,116,115,101,112,0,44,0,84,104,101,32,99,104,97,114,97,99,116,101,114,32,39,37,99,39,32,97,112,112,101,97,114,115,32,105,110,32,98,111,116,104,32,116,
104,101,32,108,97,121,101,114,115,101,112,32,97,110,100,32,108,97,121,101,114,108,105,115,116,115,101,112,32,97,116,116,114,105,98,117,116,101,115,32,45,32,108,97,121,101,114,108,105,115,116,115,101,112,32,105,103,110,111,114,101,100,46,10,0,108,97,121,101,114,115,101,108,101,99,116,0,84,104,101,32,108,97,121,101,114,115,101,108,101,99,116,32,97,116,116,114,105,98,117,116,101,32,34,37,115,34,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,97,110,121,32,108,97,121,101,114,32,115,112,101,
99,105,102,101,100,32,98,121,32,116,104,101,32,108,97,121,101,114,115,32,97,116,116,114,105,98,117,116,101,32,45,32,105,103,110,111,114,101,100,46,10,0,108,97,121,111,117,116,32,119,97,115,32,110,111,116,32,100,111,110,101,10,0,114,101,110,100,101,114,101,114,32,102,111,114,32,37,115,32,105,115,32,117,110,97,118,97,105,108,97,98,108,101,10,0,111,117,116,112,117,116,111,114,100,101,114,0,111,100,101,115,102,105,114,115,116,0,100,103,101,115,102,105,114,115,116,0,118,105,101,119,112,111,114,116,0,37,
108,102,44,37,108,102,44,37,108,102,44,39,37,91,94,39,93,39,0,37,108,102,44,37,108,102,44,37,108,102,44,37,91,94,44,93,37,115,0,37,108,102,44,37,108,102,44,37,108,102,44,37,108,102,44,37,108,102,0,112,97,103,101,100,105,114,61,37,115,32,105,103,110,111,114,101,100,10,0,115,111,108,105,100,0,0,115,101,116,108,105,110,101,119,105,100,116,104,0,49,0,0,98,122,46,115,105,122,101,32,62,32,48,0,98,101,122,105,101,114,95,98,98,0,98,122,46,115,105,122,101,32,37,32,51,32,61,61,32,49,0,97,108,108,0,108,97,98,
101,108,97,108,105,103,110,101,100,0,101,100,103,101,104,114,101,102,0,101,100,103,101,85,82,76,0,108,97,98,101,108,104,114,101,102,0,108,97,98,101,108,85,82,76,0,116,97,105,108,104,114,101,102,0,116,97,105,108,85,82,76,0,104,101,97,100,104,114,101,102,0,104,101,97,100,85,82,76,0,101,100,103,101,116,97,114,103,101,116,0,108,97,98,101,108,116,97,114,103,101,116,0,116,97,105,108,116,97,114,103,101,116,0,104,101,97,100,116,97,114,103,101,116,0,101,100,103,101,116,111,111,108,116,105,112,0,108,97,98,
101,108,116,111,111,108,116,105,112,0,116,97,105,108,116,111,111,108,116,105,112,0,104,101,97,100,116,111,111,108,116,105,112,0,32,45,62,32,0,32,45,45,32,0,105,110,32,101,100,103,101,32,37,115,37,115,37,115,10,0,102,111,114,119,97,114,100,0,98,97,99,107,0,101,109,105,116,95,101,100,103,101,95,108,97,98,101,108,0,37,115,45,37,115,0,84,111,116,97,108,32,115,105,122,101,32,62,32,49,32,105,110,32,34,37,115,34,32,99,111,108,111,114,32,115,112,101,99,32,0,73,108,108,101,103,97,108,32,108,101,110,103,116,
104,32,118,97,108,117,101,32,105,110,32,34,37,115,34,32,99,111,108,111,114,32,97,116,116,114,105,98,117,116,101,32,0,112,97,103,101,37,100,44,37,100,95,0,0,0,0,37,108,102,0,102,111,110,116,112,97,116,104,0,68,79,84,70,79,78,84,80,65,84,72,0,71,68,70,79,78,84,80,65,84,72,0,99,104,97,114,115,101,116,0,117,116,102,45,56,0,108,97,116,105,110,45,49,0,108,97,116,105,110,49,0,108,49,0,73,83,79,45,56,56,53,57,45,49,0,73,83,79,95,56,56,53,57,45,49,0,73,83,79,56,56,53,57,45,49,0,73,83,79,45,73,82,45,49,48,
48,0,98,105,103,45,53,0,98,105,103,53,0,117,116,102,56,0,85,110,115,117,112,112,111,114,116,101,100,32,99,104,97,114,115,101,116,32,34,37,115,34,32,45,32,97,115,115,117,109,105,110,103,32,117,116,102,45,56,10,0,105,109,97,103,101,112,97,116,104,0,113,117,97,110,116,117,109,0,114,97,110,107,100,105,114,0,76,82,0,66,84,0,82,76,0,110,111,100,101,115,101,112,0,114,97,110,107,115,101,112,0,101,113,117,97,108,108,121,0,115,104,111,119,98,111,120,101,115,0,102,111,110,116,110,97,109,101,115,0,114,97,116,
105,111,0,97,117,116,111,0,99,111,109,112,114,101,115,115,0,101,120,112,97,110,100,0,102,105,108,108,0,115,105,122,101,0,112,97,103,101,0,99,101,110,116,101,114,0,114,111,116,97,116,101,0,111,114,105,101,110,116,97,116,105,111,110,0,108,97,110,100,115,99,97,112,101,0,99,108,117,115,116,101,114,114,97,110,107,0,99,111,110,99,101,110,116,114,97,116,101,0,100,112,105,0,114,101,115,111,108,117,116,105,111,110,0,111,114,100,101,114,105,110,103,0,102,105,108,108,99,111,108,111,114,0,102,111,110,116,115,
105,122,101,0,102,111,110,116,110,97,109,101,0,102,111,110,116,99,111,108,111,114,0,120,108,97,98,101,108,0,112,101,110,119,105,100,116,104,0,112,101,114,105,112,104,101,114,105,101,115,0,115,107,101,119,0,100,105,115,116,111,114,116,105,111,110,0,110,111,106,117,115,116,105,102,121,0,108,97,121,101,114,0,103,114,111,117,112,0,99,111,109,109,101,110,116,0,118,101,114,116,105,99,101,115,0,122,0,119,101,105,103,104,116,0,108,97,98,101,108,102,108,111,97,116,0,100,105,114,0,97,114,114,111,119,104,101,
97,100,0,97,114,114,111,119,116,97,105,108,0,104,101,97,100,108,97,98,101,108,0,116,97,105,108,108,97,98,101,108,0,108,97,98,101,108,102,111,110,116,115,105,122,101,0,108,97,98,101,108,102,111,110,116,110,97,109,101,0,108,97,98,101,108,102,111,110,116,99,111,108,111,114,0,108,97,98,101,108,100,105,115,116,97,110,99,101,0,108,97,98,101,108,97,110,103,108,101,0,109,105,110,108,101,110,0,100,101,99,111,114,97,116,101,0,97,114,114,111,119,115,105,122,101,0,99,111,110,115,116,114,97,105,110,116,0,116,
97,105,108,99,108,105,112,0,104,101,97,100,99,108,105,112,0,108,97,98,101,108,106,117,115,116,0,85,110,115,117,112,112,111,114,116,101,100,32,99,104,97,114,115,101,116,32,118,97,108,117,101,32,37,100,10,0,85,84,70,45,56,0,66,73,71,45,53,0,108,111,99,97,108,0,103,108,111,98,97,108,0,37,108,102,44,37,108,102,37,99,0,37,108,102,37,99,0,103,100,0,112,115,0,115,118,103,0,105,110,32,108,97,98,101,108,32,111,102,32,103,114,97,112,104,32,37,115,10,0,105,110,32,108,97,98,101,108,32,111,102,32,110,111,100,
101,32,37,115,10,0,105,110,32,108,97,98,101,108,32,111,102,32,101,100,103,101,32,37,115,32,37,115,32,37,115,10,0,107,105,110,100,32,61,61,32,76,84,95,78,79,78,69,0,108,97,98,101,108,115,46,99,0,109,97,107,101,95,108,97,98,101,108,0,38,35,49,51,59,0,38,35,49,48,59,0,38,113,117,111,116,59,0,38,35,49,54,48,59,0,38,97,109,112,59,0,38,35,51,57,59,0,38,35,52,53,59,0,38,103,116,59,0,38,108,116,59,0,92,76,0,92,71,0,92,69,0,92,72,0,92,84,0,37,115,32,37,100,32,110,111,100,101,115,32,37,100,32,101,100,103,101,
115,32,109,97,120,105,116,101,114,61,37,100,32,98,97,108,97,110,99,101,61,37,100,10,0,110,101,116,119,111,114,107,32,115,105,109,112,108,101,120,58,32,0,116,114,111,117,98,108,101,32,105,110,32,105,110,105,116,95,114,97,110,107,10,0,9,37,115,32,37,100,10,0,33,84,82,69,69,95,69,68,71,69,40,101,41,0,110,115,46,99,0,109,101,114,103,101,95,116,114,101,101,115,0,40,114,48,45,62,104,101,97,112,95,105,110,100,101,120,32,62,32,45,49,41,32,124,124,32,40,114,49,45,62,104,101,97,112,95,105,110,100,101,120,32,
62,32,45,49,41,0,83,84,115,101,116,85,110,105,111,110,0,114,45,62,104,101,97,112,95,105,110,100,101,120,32,62,61,32,48,0,84,114,101,101,95,101,100,103,101,46,115,105,122,101,32,61,61,32,78,95,110,111,100,101,115,32,45,32,49,0,102,101,97,115,105,98,108,101,95,116,114,101,101,0,117,112,100,97,116,101,58,32,109,105,115,109,97,116,99,104,101,100,32,108,99,97,32,105,110,32,116,114,101,101,117,112,100,97,116,101,115,10,0,37,100,32,0,37,115,37,100,32,110,111,100,101,115,32,37,100,32,101,100,103,101,115,
32,37,100,32,105,116,101,114,32,37,46,50,102,32,115,101,99,10,0,115,101,97,114,99,104,115,105,122,101,0,97,100,100,95,116,114,101,101,95,101,100,103,101,58,32,109,105,115,115,105,110,103,32,116,114,101,101,32,101,100,103,101,10,0,97,100,100,95,116,114,101,101,95,101,100,103,101,58,32,101,109,112,116,121,32,111,117,116,101,100,103,101,32,108,105,115,116,10,0,97,100,100,95,116,114,101,101,95,101,100,103,101,58,32,101,109,112,116,121,32,105,110,101,100,103,101,32,108,105,115,116,10,0,103,114,97,112,
104,32,0,37,46,53,103,0,32,0,0,0,110,111,100,101,32,0,115,116,111,112,10,0,112,111,115,0,114,101,99,116,115,0,120,108,112,0,108,112,0,104,101,97,100,95,108,112,0,116,97,105,108,95,108,112,0,108,119,105,100,116,104,0,108,104,101,105,103,104,116,0,98,98,0,37,46,53,103,44,37,46,53,103,44,37,46,53,103,0,44,37,46,53,103,0,37,46,53,103,44,37,46,53,103,0,115,97,109,112,108,101,112,111,105,110,116,115,0,37,46,53,103,32,37,46,53,103,0,115,44,37,46,53,103,44,37,46,53,103,32,0,101,44,37,46,53,103,44,37,46,53,
103,32,0,37,46,53,103,44,37,46,53,103,44,37,46,53,103,44,37,46,53,103,0,37,46,50,102,0,37,46,53,103,44,37,46,53,103,44,37,46,53,103,44,37,46,53,103,32,0,0,110,111,32,112,111,115,105,116,105,111,110,32,102,111,114,32,101,100,103,101,32,119,105,116,104,32,108,97,98,101,108,32,37,115,0,110,111,32,112,111,115,105,116,105,111,110,32,102,111,114,32,101,100,103,101,32,119,105,116,104,32,116,97,105,108,32,108,97,98,101,108,32,37,115,0,110,111,32,112,111,115,105,116,105,111,110,32,102,111,114,32,101,100,103,
101,32,119,105,116,104,32,104,101,97,100,32,108,97,98,101,108,32,37,115,0,110,111,32,112,111,115,105,116,105,111,110,32,102,111,114,32,101,100,103,101,32,119,105,116,104,32,120,108,97,98,101,108,32,37,115,0,102,111,114,99,101,108,97,98,101,108,115,0,37,100,32,111,98,106,115,32,37,100,32,120,108,97,98,101,108,115,32,102,111,114,99,101,61,37,100,32,98,98,61,40,37,46,48,50,102,44,37,46,48,50,102,41,32,40,37,46,48,50,102,44,37,46,48,50,102,41,10,0,111,98,106,101,99,116,115,10,0,32,91,37,100,93,32,40,
37,46,48,50,102,44,37,46,48,50,102,41,32,40,37,46,48,50,102,44,37,46,48,50,102,41,32,37,112,32,34,37,115,34,10,0,120,108,97,98,101,108,115,10,0,32,91,37,100,93,32,37,112,32,115,101,116,32,37,100,32,40,37,46,48,50,102,44,37,46,48,50,102,41,32,40,37,46,48,50,102,44,37,46,48,50,102,41,32,37,115,10,0,37,100,32,111,117,116,32,111,102,32,37,100,32,108,97,98,101,108,115,32,112,111,115,105,116,105,111,110,101,100,46,10,0,37,100,32,111,117,116,32,111,102,32,37,100,32,101,120,116,101,114,105,111,114,32,108,
97,98,101,108,115,32,112,111,115,105,116,105,111,110,101,100,46,10,0,108,111,115,116,32,37,115,32,37,115,32,101,100,103,101,10,0,47,112,97,116,104,98,111,120,32,123,10,32,32,32,32,47,88,32,101,120,99,104,32,110,101,103,32,37,46,53,103,32,115,117,98,32,100,101,102,10,32,32,32,32,47,89,32,101,120,99,104,32,37,46,53,103,32,115,117,98,32,100,101,102,10,32,32,32,32,47,120,32,101,120,99,104,32,110,101,103,32,37,46,53,103,32,115,117,98,32,100,101,102,10,32,32,32,32,47,121,32,101,120,99,104,32,37,46,53,103,
32,115,117,98,32,100,101,102,10,32,32,32,32,110,101,119,112,97,116,104,32,120,32,121,32,109,111,118,101,116,111,10,32,32,32,32,88,32,121,32,108,105,110,101,116,111,10,32,32,32,32,88,32,89,32,108,105,110,101,116,111,10,32,32,32,32,120,32,89,32,108,105,110,101,116,111,10,32,32,32,32,99,108,111,115,101,112,97,116,104,32,115,116,114,111,107,101,10,125,32,100,101,102,10,0,47,112,97,116,104,98,111,120,32,123,10,32,32,32,32,47,89,32,101,120,99,104,32,37,46,53,103,32,115,117,98,32,100,101,102,10,32,32,32,
32,47,88,32,101,120,99,104,32,37,46,53,103,32,115,117,98,32,100,101,102,10,32,32,32,32,47,121,32,101,120,99,104,32,37,46,53,103,32,115,117,98,32,100,101,102,10,32,32,32,32,47,120,32,101,120,99,104,32,37,46,53,103,32,115,117,98,32,100,101,102,10,32,32,32,32,110,101,119,112,97,116,104,32,120,32,121,32,109,111,118,101,116,111,10,32,32,32,32,88,32,121,32,108,105,110,101,116,111,10,32,32,32,32,88,32,89,32,108,105,110,101,116,111,10,32,32,32,32,120,32,89,32,108,105,110,101,116,111,10,32,32,32,32,99,108,
111,115,101,112,97,116,104,32,115,116,114,111,107,101,10,32,125,32,100,101,102,10,47,100,98,103,115,116,97,114,116,32,123,32,103,115,97,118,101,32,37,46,53,103,32,37,46,53,103,32,116,114,97,110,115,108,97,116],"i8",4,n.q+134506);
B([101,32,125,32,100,101,102,10,47,97,114,114,111,119,108,101,110,103,116,104,32,49,48,32,100,101,102,10,47,97,114,114,111,119,119,105,100,116,104,32,97,114,114,111,119,108,101,110,103,116,104,32,50,32,100,105,118,32,100,101,102,10,47,97,114,114,111,119,104,101,97,100,32,123,10,32,32,32,32,103,115,97,118,101,10,32,32,32,32,114,111,116,97,116,101,10,32,32,32,32,99,117,114,114,101,110,116,112,111,105,110,116,10,32,32,32,32,110,101,119,112,97,116,104,10,32,32,32,32,109,111,118,101,116,111,10,32,32,32,
32,97,114,114,111,119,108,101,110,103,116,104,32,97,114,114,111,119,119,105,100,116,104,32,50,32,100,105,118,32,114,108,105,110,101,116,111,10,32,32,32,32,48,32,97,114,114,111,119,119,105,100,116,104,32,110,101,103,32,114,108,105,110,101,116,111,10,32,32,32,32,99,108,111,115,101,112,97,116,104,32,102,105,108,108,10,32,32,32,32,103,114,101,115,116,111,114,101,10,125,32,98,105,110,100,32,100,101,102,10,47,109,97,107,101,97,114,114,111,119,32,123,10,32,32,32,32,99,117,114,114,101,110,116,112,111,105,
110,116,32,101,120,99,104,32,112,111,112,32,115,117,98,32,101,120,99,104,32,99,117,114,114,101,110,116,112,111,105,110,116,32,112,111,112,32,115,117,98,32,97,116,97,110,10,32,32,32,32,97,114,114,111,119,104,101,97,100,10,125,32,98,105,110,100,32,100,101,102,10,47,112,111,105,110,116,32,123,32,32,32,32,110,101,119,112,97,116,104,32,32,32,32,50,32,48,32,51,54,48,32,97,114,99,32,102,105,108,108,125,32,100,101,102,47,109,97,107,101,118,101,99,32,123,10,32,32,32,32,47,89,32,101,120,99,104,32,100,101,102,
10,32,32,32,32,47,88,32,101,120,99,104,32,100,101,102,10,32,32,32,32,47,121,32,101,120,99,104,32,100,101,102,10,32,32,32,32,47,120,32,101,120,99,104,32,100,101,102,10,32,32,32,32,110,101,119,112,97,116,104,32,120,32,121,32,109,111,118,101,116,111,10,32,32,32,32,88,32,89,32,108,105,110,101,116,111,32,115,116,114,111,107,101,10,32,32,32,32,88,32,89,32,109,111,118,101,116,111,10,32,32,32,32,120,32,121,32,109,97,107,101,97,114,114,111,119,10,125,32,100,101,102,10,0,99,111,117,108,100,110,39,116,32,111,
112,101,110,32,101,112,115,102,32,102,105,108,101,32,37,115,10,0,37,37,37,37,66,111,117,110,100,105,110,103,66,111,120,58,32,37,100,32,37,100,32,37,100,32,37,100,0,114,101,97,100,0,66,111,117,110,100,105,110,103,66,111,120,32,110,111,116,32,102,111,117,110,100,32,105,110,32,101,112,115,102,32,102,105,108,101,32,37,115,10,0,115,104,97,112,101,102,105,108,101,32,110,111,116,32,115,101,116,32,111,114,32,110,111,116,32,102,111,117,110,100,32,102,111,114,32,101,112,115,102,32,110,111,100,101,32,37,115,
10,0,99,97,110,39,116,32,102,105,110,100,32,108,105,98,114,97,114,121,32,102,105,108,101,32,37,115,10,0,99,97,110,39,116,32,111,112,101,110,32,108,105,98,114,97,114,121,32,102,105,108,101,32,37,115,10,0,69,79,70,0,66,69,71,73,78,0,69,78,68,0,84,82,65,73,76,69,82,0,47,117,115,101,114,95,115,104,97,112,101,95,37,100,32,123,10,0,37,37,66,101,103,105,110,68,111,99,117,109,101,110,116,58,10,0,37,37,69,110,100,68,111,99,117,109,101,110,116,10,0,125,32,98,105,110,100,32,100,101,102,10,0,85,84,70,45,56,32,
105,110,112,117,116,32,117,115,101,115,32,110,111,110,45,76,97,116,105,110,49,32,99,104,97,114,97,99,116,101,114,115,32,119,104,105,99,104,32,99,97,110,110,111,116,32,98,101,32,104,97,110,100,108,101,100,32,98,121,32,116,104,105,115,32,80,111,115,116,83,99,114,105,112,116,32,100,114,105,118,101,114,10,0,114,111,117,116,101,115,112,108,105,110,101,115,105,110,105,116,58,32,99,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,112,115,10,0,114,111,117,116,101,115,112,108,105,110,101,115,58,32,37,
100,32,101,100,103,101,115,44,32,37,100,32,98,111,120,101,115,32,37,46,50,102,32,115,101,99,10,0,105,110,32,114,111,117,116,101,115,112,108,105,110,101,115,44,32,99,97,110,110,111,116,32,102,105,110,100,32,78,79,82,77,65,76,32,101,100,103,101,10,0,105,110,32,99,104,101,99,107,112,97,116,104,44,32,98,111,120,32,48,32,104,97,115,32,76,76,32,99,111,111,114,100,32,62,32,85,82,32,99,111,111,114,100,10,0,105,110,32,99,104,101,99,107,112,97,116,104,44,32,98,111,120,32,37,100,32,104,97,115,32,76,76,32,99,
111,111,114,100,32,62,32,85,82,32,99,111,111,114,100,10,0,105,110,32,99,104,101,99,107,112,97,116,104,44,32,98,111,120,101,115,32,37,100,32,97,110,100,32,37,100,32,100,111,110,39,116,32,116,111,117,99,104,10,0,105,110,32,99,104,101,99,107,112,97,116,104,44,32,115,116,97,114,116,32,112,111,114,116,32,110,111,116,32,105,110,32,102,105,114,115,116,32,98,111,120,10,0,105,110,32,99,104,101,99,107,112,97,116,104,44,32,101,110,100,32,112,111,114,116,32,110,111,116,32,105,110,32,108,97,115,116,32,98,111,
120,10,0,105,110,32,114,111,117,116,101,115,112,108,105,110,101,115,44,32,105,108,108,101,103,97,108,32,118,97,108,117,101,115,32,111,102,32,112,114,101,118,32,37,100,32,97,110,100,32,110,101,120,116,32,37,100,44,32,108,105,110,101,32,37,100,10,0,105,110,32,114,111,117,116,101,115,112,108,105,110,101,115,44,32,101,100,103,101,32,105,115,32,97,32,108,111,111,112,32,97,116,32,37,115,10,0,105,110,32,114,111,117,116,101,115,112,108,105,110,101,115,44,32,80,115,104,111,114,116,101,115,116,112,97,116,104,
32,102,97,105,108,101,100,10,0,105,110,32,114,111,117,116,101,115,112,108,105,110,101,115,44,32,80,114,111,117,116,101,115,112,108,105,110,101,32,102,97,105,108,101,100,10,0,85,110,97,98,108,101,32,116,111,32,114,101,99,108,97,105,109,32,98,111,120,32,115,112,97,99,101,32,105,110,32,115,112,108,105,110,101,32,114,111,117,116,105,110,103,32,102,111,114,32,101,100,103,101,32,34,37,115,34,32,45,62,32,34,37,115,34,46,32,83,111,109,101,116,104,105,110,103,32,105,115,32,112,114,111,98,97,98,108,121,32,
115,101,114,105,111,117,115,108,121,32,119,114,111,110,103,46,10,0,37,100,32,98,111,120,101,115,58,10,0,37,100,32,40,37,46,53,103,44,32,37,46,53,103,41,44,32,40,37,46,53,103,44,32,37,46,53,103,41,10,0,99,111,110,115,116,114,97,105,110,101,100,0,110,111,116,32,99,111,110,115,116,114,97,105,110,101,100,0,115,116,97,114,116,32,112,111,114,116,58,32,40,37,46,53,103,44,32,37,46,53,103,41,44,32,116,97,110,103,101,110,116,32,97,110,103,108,101,58,32,37,46,53,103,44,32,37,115,10,0,101,110,100,32,112,111,
114,116,58,32,40,37,46,53,103,44,32,37,46,53,103,41,44,32,116,97,110,103,101,110,116,32,97,110,103,108,101,58,32,37,46,53,103,44,32,37,115,10,0,99,97,110,110,111,116,32,114,101,45,97,108,108,111,99,97,116,101,32,112,115,10,0,115,105,100,101,115,32,61,61,32,52,0,115,104,97,112,101,115,46,99,0,114,111,117,110,100,95,99,111,114,110,101,114,115,0,115,104,97,112,101,102,105,108,101,0,101,112,115,102,0,99,117,115,116,111,109,0,117,115,105,110,103,32,37,115,32,102,111,114,32,117,110,107,110,111,119,110,
32,115,104,97,112,101,32,37,115,10,0,115,0,101,0,119,0,112,111,108,121,103,111,110,0,111,118,97,108,0,99,105,114,99,108,101,0,112,111,105,110,116,0,101,103,103,0,116,114,105,97,110,103,108,101,0,112,108,97,105,110,116,101,120,116,0,112,108,97,105,110,0,100,105,97,109,111,110,100,0,116,114,97,112,101,122,105,117,109,0,112,97,114,97,108,108,101,108,111,103,114,97,109,0,104,111,117,115,101,0,112,101,110,116,97,103,111,110,0,104,101,120,97,103,111,110,0,115,101,112,116,97,103,111,110,0,111,99,116,97,
103,111,110,0,110,111,116,101,0,116,97,98,0,102,111,108,100,101,114,0,98,111,120,51,100,0,99,111,109,112,111,110,101,110,116,0,99,121,108,105,110,100,101,114,0,114,101,99,116,0,114,101,99,116,97,110,103,108,101,0,115,113,117,97,114,101,0,100,111,117,98,108,101,99,105,114,99,108,101,0,100,111,117,98,108,101,111,99,116,97,103,111,110,0,116,114,105,112,108,101,111,99,116,97,103,111,110,0,105,110,118,116,114,105,97,110,103,108,101,0,105,110,118,116,114,97,112,101,122,105,117,109,0,105,110,118,104,111,
117,115,101,0,117,110,100,101,114,108,105,110,101,0,77,100,105,97,109,111,110,100,0,77,115,113,117,97,114,101,0,77,99,105,114,99,108,101,0,112,114,111,109,111,116,101,114,0,99,100,115,0,116,101,114,109,105,110,97,116,111,114,0,117,116,114,0,105,110,115,117,108,97,116,111,114,0,114,105,98,111,115,105,116,101,0,114,110,97,115,116,97,98,0,112,114,111,116,101,97,115,101,115,105,116,101,0,112,114,111,116,101,105,110,115,116,97,98,0,112,114,105,109,101,114,115,105,116,101,0,114,101,115,116,114,105,99,116,
105,111,110,115,105,116,101,0,102,105,118,101,112,111,118,101,114,104,97,110,103,0,116,104,114,101,101,112,111,118,101,114,104,97,110,103,0,110,111,118,101,114,104,97,110,103,0,97,115,115,101,109,98,108,121,0,115,105,103,110,97,116,117,114,101,0,114,112,114,111,109,111,116,101,114,0,108,97,114,114,111,119,0,114,97,114,114,111,119,0,108,112,114,111,109,111,116,101,114,0,114,101,99,111,114,100,0,77,114,101,99,111,114,100,0,115,116,97,114,0,35,56,48,56,48,56,48,0,35,102,99,102,99,102,99,0,35,51,48,51,
48,51,48,0,35,101,56,101,56,101,56,0,35,101,48,101,48,101,48,0,35,102,48,102,48,102,48,0,35,49,48,49,48,49,48,0,35,102,56,102,56,102,56,0,105,110,32,110,111,100,101,32,37,115,10,0,114,111,117,110,100,101,100,0,100,105,97,103,111,110,97,108,115,0,114,97,100,105,97,108,0,115,116,114,105,112,101,100,0,119,101,100,103,101,100,0,95,0,110,111,100,101,32,37,115,44,32,112,111,114,116,32,37,115,44,32,117,110,114,101,99,111,103,110,105,122,101,100,32,99,111,109,112,97,115,115,32,112,111,105,110,116,32,39,37,
115,39,32,45,32,105,103,110,111,114,101,100,10,0,110,111,100,101,32,37,115,44,32,112,111,114,116,32,37,115,32,117,110,114,101,99,111,103,110,105,122,101,100,10,0,37,46,53,103,32,37,46,53,103,32,116,114,97,110,115,108,97,116,101,32,110,101,119,112,97,116,104,32,117,115,101,114,95,115,104,97,112,101,95,37,100,10,0,105,110,118,105,115,0,0,102,105,108,108,101,100,0,0,98,97,100,32,108,97,98,101,108,32,102,111,114,109,97,116,32,37,115,10,0,92,78,0,109,97,114,103,105,110,0,37,108,102,44,37,108,102,0,114,
101,103,117,108,97,114,0,60,110,105,108,62,0,78,111,32,111,114,32,105,109,112,114,111,112,101,114,32,115,104,97,112,101,102,105,108,101,61,34,37,115,34,32,102,111,114,32,110,111,100,101,32,34,37,115,34,10,0,78,111,32,111,114,32,105,109,112,114,111,112,101,114,32,105,109,97,103,101,61,34,37,115,34,32,102,111,114,32,110,111,100,101,32,34,37,115,34,10,0,108,97,98,101,108,108,111,99,0,110,111,100,101,32,39,37,115,39,44,32,103,114,97,112,104,32,39,37,115,39,32,115,105,122,101,32,116,111,111,32,115,109,
97,108,108,32,102,111,114,32,108,97,98,101,108,10,0,115,112,108,105,110,101,115,46,99,0,98,101,103,105,110,112,97,116,104,0,80,45,62,101,110,100,46,116,104,101,116,97,32,60,32,50,32,42,32,77,95,80,73,0,101,110,100,112,97,116,104,0,109,97,107,101,83,101,108,102,69,100,103,101,0,112,111,108,121,108,105,110,101,77,105,100,112,111,105,110,116,0,103,101,116,115,112,108,105,110,101,112,111,105,110,116,115,58,32,110,111,32,115,112,108,105,110,101,32,112,111,105,110,116,115,32,97,118,97,105,108,97,98,108,
101,32,102,111,114,32,101,100,103,101,32,40,37,115,44,37,115,41,10,0,115,112,97,110,45,62,102,111,110,116,0,116,101,120,116,115,112,97,110,46,99,0,116,101,120,116,115,112,97,110,95,115,105,122,101,0,102,111,110,116,45,62,110,97,109,101,0,99,111,117,114,0,97,114,105,97,108,0,104,101,108,118,101,116,105,99,97,0,91,105,110,116,101,114,110,97,108,32,116,105,109,101,115,93,0,91,105,110,116,101,114,110,97,108,32,99,111,117,114,105,101,114,93,0,91,105,110,116,101,114,110,97,108,32,97,114,105,97,108,93,0,
102,111,110,116,110,97,109,101,58,32,34,37,115,34,32,114,101,115,111,108,118,101,100,32,116,111,58,32,37,115,10,0,102,111,110,116,110,97,109,101,58,32,117,110,97,98,108,101,32,116,111,32,114,101,115,111,108,118,101,32,34,37,115,34,10,0,65,118,97,110,116,71,97,114,100,101,45,66,111,111,107,0,85,82,87,32,71,111,116,104,105,99,32,76,0,98,111,111,107,0,115,97,110,115,45,83,101,114,105,102,0,65,118,97,110,116,71,97,114,100,101,45,66,111,111,107,79,98,108,105,113,117,101,0,111,98,108,105,113,117,101,0,
105,116,97,108,105,99,0,65,118,97,110,116,71,97,114,100,101,45,68,101,109,105,0,100,101,109,105,0,65,118,97,110,116,71,97,114,100,101,45,68,101,109,105,79,98,108,105,113,117,101,0,66,111,111,107,109,97,110,45,68,101,109,105,0,85,82,87,32,66,111,111,107,109,97,110,32,76,0,115,101,114,105,102,0,66,111,111,107,109,97,110,45,68,101,109,105,73,116,97,108,105,99,0,66,111,111,107,109,97,110,45,76,105,103,104,116,0,108,105,103,104,116,0,66,111,111,107,109,97,110,45,76,105,103,104,116,73,116,97,108,105,99,
0,67,111,117,114,105,101,114,0,109,111,110,111,115,112,97,99,101,0,67,111,117,114,105,101,114,45,66,111,108,100,0,67,111,117,114,105,101,114,45,66,111,108,100,79,98,108,105,113,117,101,0,67,111,117,114,105,101,114,45,79,98,108,105,113,117,101,0,72,101,108,118,101,116,105,99,97,0,72,101,108,118,101,116,105,99,97,45,66,111,108,100,0,72,101,108,118,101,116,105,99,97,45,66,111,108,100,79,98,108,105,113,117,101,0,72,101,108,118,101,116,105,99,97,45,78,97,114,114,111,119,0,99,111,110,100,101,110,115,101,
100,0,72,101,108,118,101,116,105,99,97,45,78,97,114,114,111,119,45,66,111,108,100,0,72,101,108,118,101,116,105,99,97,45,78,97,114,114,111,119,45,66,111,108,100,79,98,108,105,113,117,101,0,72,101,108,118,101,116,105,99,97,45,78,97,114,114,111,119,45,79,98,108,105,113,117,101,0,72,101,108,118,101,116,105,99,97,45,79,98,108,105,113,117,101,0,78,101,119,67,101,110,116,117,114,121,83,99,104,108,98,107,45,66,111,108,100,0,67,101,110,116,117,114,121,32,83,99,104,111,111,108,98,111,111,107,32,76,0,78,101,
119,67,101,110,116,117,114,121,83,99,104,108,98,107,45,66,111,108,100,73,116,97,108,105,99,0,78,101,119,67,101,110,116,117,114,121,83,99,104,108,98,107,45,73,116,97,108,105,99,0,78,101,119,67,101,110,116,117,114,121,83,99,104,108,98,107,45,82,111,109,97,110,0,114,111,109,97,110,0,80,97,108,97,116,105,110,111,45,66,111,108,100,0,80,97,108,97,116,105,110,111,32,76,105,110,111,116,121,112,101,0,80,97,108,97,116,105,110,111,45,66,111,108,100,73,116,97,108,105,99,0,80,97,108,97,116,105,110,111,45,73,116,
97,108,105,99,0,80,97,108,97,116,105,110,111,45,82,111,109,97,110,0,83,121,109,98,111,108,0,102,97,110,116,97,115,121,0,84,105,109,101,115,45,66,111,108,100,0,84,105,109,101,115,0,84,105,109,101,115,45,66,111,108,100,73,116,97,108,105,99,0,84,105,109,101,115,45,73,116,97,108,105,99,0,90,97,112,102,67,104,97,110,99,101,114,121,45,77,101,100,105,117,109,73,116,97,108,105,99,0,85,82,87,32,67,104,97,110,99,101,114,121,32,76,0,109,101,100,105,117,109,0,90,97,112,102,68,105,110,103,98,97,116,115,0,68,105,
110,103,98,97,116,115,0,105,110,112,117,116,115,99,97,108,101,0,117,116,105,108,115,46,99,0,117,32,61,61,32,85,70,95,102,105,110,100,40,117,41,0,85,70,95,115,101,116,110,97,109,101,0,1,102,105,108,101,32,108,111,97,100,105,110,103,32,105,115,32,100,105,115,97,98,108,101,100,32,98,101,99,97,117,115,101,32,116,104,101,32,101,110,118,105,114,111,110,109,101,110,116,32,99,111,110,116,97,105,110,115,32,83,69,82,86,69,82,95,78,65,77,69,61,34,37,115,34,10,97,110,100,32,116,104,101,32,71,86,95,70,73,76,69,
95,80,65,84,72,32,118,97,114,105,97,98,108,101,32,105,115,32,117,110,115,101,116,32,111,114,32,101,109,112,116,121,46,10,0,80,97,116,104,32,112,114,111,118,105,100,101,100,32,116,111,32,102,105,108,101,58,32,34,37,115,34,32,104,97,115,32,98,101,101,110,32,105,103,110,111,114,101,100,32,98,101,99,97,117,115,101,32,102,105,108,101,115,32,97,114,101,32,111,110,108,121,32,112,101,114,109,105,116,116,101,100,32,116,111,32,98,101,32,108,111,97,100,101,100,32,102,114,111,109,32,116,104,101,32,100,105,114,
101,99,116,111,114,105,101,115,32,105,110,32,34,37,115,34,32,119,104,101,110,32,114,117,110,110,105,110,103,32,105,110,32,97,110,32,104,116,116,112,32,115,101,114,118,101,114,46,10,0,110,111,0,116,114,117,101,0,121,101,115,0,101,108,108,105,112,115,101,0,84,105,109,101,115,45,82,111,109,97,110,0,99,108,117,115,116,101,114,0,95,95,99,108,117,115,116,101,114,110,111,100,101,115,0,99,108,117,115,116,101,114,32,99,121,99,108,101,32,37,115,32,45,45,32,37,115,32,110,111,116,32,115,117,112,112,111,114,116,
101,100,10,0,116,97,105,108,32,99,108,117,115,116,101,114,32,37,115,32,105,110,115,105,100,101,32,104,101,97,100,32,99,108,117,115,116,101,114,32,37,115,10,0,104,101,97,100,32,99,108,117,115,116,101,114,32,37,115,32,105,110,115,105,100,101,32,116,97,105,108,32,99,108,117,115,116,101,114,32,37,115,10,0,116,97,105,108,32,110,111,100,101,32,37,115,32,105,110,115,105,100,101,32,104,101,97,100,32,99,108,117,115,116,101,114,32,37,115,10,0,104,101,97,100,32,110,111,100,101,32,37,115,32,105,110,115,105,100,
101,32,116,97,105,108,32,99,108,117,115,116,101,114,32,37,115,10,0,0,85,84,70,56,32,99,111,100,101,115,32,62,32,52,32,98,121,116,101,115,32,97,114,101,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,32,40,103,114,97,112,104,32,37,115,41,32,45,32,116,114,101,97,116,101,100,32,97,115,32,76,97,116,105,110,45,49,46,32,80,101,114,104,97,112,115,32,34,45,71,99,104,97,114,115,101,116,61,108,97,116,105,110,49,34,32,105,115,32,110,101,101,100,101,100,63,10,0,73,
110,118,97,108,105,100,32,37,100,45,98,121,116,101,32,85,84,70,56,32,102,111,117,110,100,32,105,110,32,105,110,112,117,116,32,111,102,32,103,114,97,112,104,32,37,115,32,45,32,116,114,101,97,116,101,100,32,97,115,32,76,97,116,105,110,45,49,46,32,80,101,114,104,97,112,115,32,34,45,71,99,104,97,114,115,101,116,61,108,97,116,105,110,49,34,32,105,115,32,110,101,101,100,101,100,63,10,0,98,122,46,115,105,122,101,0,111,118,101,114,108,97,112,95,98,101,122,105,101,114,0,117,114,118,101,100,0,111,109,112,111,
117,110,100,0,97,108,115,101,0,105,110,101,0,111,110,101,0,111,0,114,116,104,111,0,111,108,121,108,105,110,101,0,112,108,105,110,101,0,114,117,101,0,101,115,0,85,110,107,110,111,119,110,32,34,115,112,108,105,110,101,115,34,32,118,97,108,117,101,58,32,34,37,115,34,32,45,32,105,103,110,111,114,101,100,10,0,115,112,108,105,110,101,115,0,65,69,108,105,103,0,65,97,99,117,116,101,0,65,99,105,114,99,0,65,103,114,97,118,101,0,65,108,112,104,97,0,65,114,105,110,103,0,65,116,105,108,100,101,0,65,117,109,108,
0,66,101,116,97,0,67,99,101,100,105,108,0,67,104,105,0,68,97,103,103,101,114,0,68,101,108,116,97,0,69,84,72,0,69,97,99,117,116,101,0,69,99,105,114,99,0,69,103,114,97,118,101,0,69,112,115,105,108,111,110,0,69,116,97,0,69,117,109,108,0,71,97,109,109,97,0,73,97,99,117,116,101,0,73,99,105,114,99,0,73,103,114,97,118,101,0,73,111,116,97,0,73,117,109,108,0,75,97,112,112,97,0,76,97,109,98,100,97,0,77,117,0,78,116,105,108,100,101,0,78,117,0,79,69,108,105,103,0,79,97,99,117,116,101,0,79,99,105,114,99,0,79,
103,114,97,118,101,0,79,109,101,103,97,0,79,109,105,99,114,111,110,0,79,115,108,97,115,104,0,79,116,105,108,100,101,0,79,117,109,108,0,80,104,105,0,80,105,0,80,114,105,109,101,0,80,115,105,0,82,104,111,0,83,99,97,114,111,110,0,83,105,103,109,97,0,84,72,79,82,78,0,84,97,117,0,84,104,101,116,97,0,85,97,99,117,116,101,0,85,99,105,114,99,0,85,103,114,97,118,101,0,85,112,115,105,108,111,110,0,85,117,109,108,0,88,105,0,89,97,99,117,116,101,0,89,117,109,108,0,90,101,116,97,0,97,97,99,117,116,101,0,97,99,
105,114,99,0,97,99,117,116,101,0,97,101,108,105,103,0,97,103,114,97,118,101,0,97,108,101,102,115,121,109,0,97,108,112,104,97,0,97,109,112,0,97,110,100,0,97,110,103,0,97,114,105,110,103,0,97,115,121,109,112,0,97,116,105,108,100,101,0,97,117,109,108,0,98,100,113,117,111,0,98,101,116,97,0,98,114,118,98,97,114,0,98,117,108,108,0,99,97,112,0,99,99,101,100,105,108,0,99,101,100,105,108,0,99,101,110,116,0,99,104,105,0,99,105,114,99,0,99,108,117,98,115,0,99,111,110,103,0,99,111,112,121,0,99,114,97,114,114,
0,99,117,112,0,99,117,114,114,101,110,0,100,65,114,114,0,100,97,103,103,101,114,0,100,97,114,114,0,100,101,103,0,100,101,108,116,97,0,100,105,97,109,115,0,100,105,118,105,100,101,0,101,97,99,117,116,101,0,101,99,105,114,99,0,101,103,114,97,118,101,0,101,109,112,116,121,0,101,109,115,112,0,101,110,115,112,0,101,112,115,105,108,111,110,0,101,113,117,105,118,0,101,116,97,0,101,116,104,0,101,117,109,108,0,101,117,114,111,0,101,120,105,115,116,0,102,110,111,102,0,102,111,114,97,108,108,0,102,114,97,99,
49,50,0,102,114,97,99,49,52,0,102,114,97,99,51,52,0,102,114,97,115,108,0,103,97,109,109,97,0,103,101,0,103,116,0,104,65,114,114,0,104,97,114,114,0,104,101,97,114,116,115,0,104,101,108,108,105,112,0,105,97,99,117,116,101,0,105,99,105,114,99,0,105,101,120,99,108,0,105,103,114,97,118,101,0,105,109,97,103,101,0,105,110,102,105,110,0,105,110,116,0,105,111,116,97,0,105,113,117,101,115,116,0,105,115,105,110,0,105,117,109,108,0,107,97,112,112,97,0,108,65,114,114,0,108,97,109,98,100,97,0,108,97,110,103,0,
108,97,113,117,111,0,108,97,114,114,0,108,99,101,105,108,0,108,100,113,117,111,0,108,101,0,108,102,108,111,111,114,0,108,111,119,97,115,116,0,108,111,122,0,108,114,109,0,108,115,97,113,117,111,0,108,115,113,117,111,0,108,116,0,109,97,99,114,0,109,100,97,115,104,0,109,105,99,114,111,0,109,105,100,100,111,116,0,109,117,0,110,97,98,108,97,0,110,98,115,112,0,110,100,97,115,104,0,110,101,0,110,105,0,110,111,116,0,110,111,116,105,110,0,110,115,117,98,0,110,116,105,108,100,101,0,110,117,0,111,97,99,117,
116,101,0,111,99,105,114,99,0,111,101,108,105,103,0,111,103,114,97,118,101,0,111,108,105,110,101,0,111,109,101,103,97,0,111,109,105,99,114,111,110,0,111,112,108,117,115,0,111,114,0,111,114,100,102,0,111,114,100,109,0,111,115,108,97,115,104,0,111,116,105,108,100,101,0,111,116,105,109,101,115,0,111,117,109,108,0,112,97,114,97,0,112,97,114,116,0,112,101,114,109,105,108,0,112,101,114,112,0,112,104,105,0,112,105,0,112,105,118,0,112,108,117,115,109,110,0,112,111,117,110,100,0,112,114,105,109,101,0,112,
114,111,100,0,112,114,111,112,0,112,115,105,0,113,117,111,116,0,114,65,114,114,0,114,97,100,105,99,0,114,97,110,103,0,114,97,113,117,111,0,114,97,114,114,0,114,99,101,105,108,0,114,100,113,117,111,0,114,101,97,108,0,114,101,103,0,114,102,108,111,111,114,0,114,104,111,0,114,108,109,0,114,115,97,113,117,111,0,114,115,113,117,111,0,115,98,113,117,111,0,115,99,97,114,111,110,0,115,100,111,116,0,115,101,99,116,0,115,104,121,0,115,105,103,109,97,0,115,105,103,109,97,102,0,115,105,109,0,115,112,97,100,101,
115,0,115,117,98,0,115,117,98,101,0,115,117,109,0,115,117,112,0,115,117,112,49,0,115,117,112,50,0,115,117,112,51,0,115,117,112,101,0,115,122,108,105,103,0,116,97,117,0,116,104,101,114,101,52,0,116,104,101,116,97,0,116,104,101,116,97,115,121,109,0,116,104,105,110,115,112,0,116,104,111,114,110,0,116,105,108,100,101,0,116,105,109,101,115,0,116,114,97,100,101,0,117,65,114,114,0,117,97,99,117,116,101,0,117,97,114,114,0,117,99,105,114,99,0,117,103,114,97,118,101,0,117,109,108,0,117,112,115,105,104,0,117,
112,115,105,108,111,110,0,117,117,109,108,0,119,101,105,101,114,112,0,120,105,0,121,97,99,117,116,101,0,121,101,110,0,121,117,109,108,0,122,101,116,97,0,122,119,106,0,122,119,110,106,0,109,97,112,78,0,95,95,0,108,97,98,101,108,0,115,104,97,112,101,0,98,111,120,0,84,119,111,32,99,108,117,115,116,101,114,115,32,110,97,109,101,100,32,37,115,32,45,32,116,104,101,32,115,101,99,111,110,100,32,119,105,108,108,32,98,101,32,105,103,110,111,114,101,100,10,0,37,115,37,115,37,115,0,47,0,58,0,111,100,98,0,79,
114,116,104,111,103,111,110,97,108,32,101,100,103,101,115,32,100,111,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,104,97,110,100,108,101,32,101,100,103,101,32,108,97,98,101,108,115,46,32,84,114,121,32,117,115,105,110,103,32,120,108,97,98,101,108,115,46,10,0,37,37,33,80,83,45,65,100,111,98,101,45,50,46,48,10,37,37,37,37,66,111,117,110,100,105,110,103,66,111,120,58,32,40,97,116,101,110,100,41,10,47,112,111,105,110,116,32,123,10,32,32,47,89,32,101,120,99,104,32,100,101,102,10,32,32,47,88,
32,101,120,99,104,32,100,101,102,10,32,32,110,101,119,112,97,116,104,10,32,32,88,32,89,32,51,32,48,32,51,54,48,32,97,114,99,32,102,105,108,108,10,125,32,100,101,102,10,47,99,101,108,108,32,123,10,32,32,47,89,32,101,120,99,104,32,100,101,102,10,32,32,47,88,32,101,120,99,104,32,100,101,102,10,32,32,47,121,32,101,120,99,104,32,100,101,102,10,32,32,47,120,32,101,120,99,104,32,100,101,102,10,32,32,110,101,119,112,97,116,104,10,32,32,120,32,121,32,109,111,118,101,116,111,10,32,32,120,32,89,32,108,105,110,
101,116,111,10,32,32,88,32,89,32,108,105,110,101,116,111,10,32,32,88,32,121,32,108,105,110,101,116,111,10,32,32,99,108,111,115,101,112,97,116,104,32,115,116,114,111,107,101,10,125,32,100,101,102,10,47,110,111,100,101,32,123,10,32,47,117,32,101,120,99,104,32,100,101,102,10,32,47,114,32,101,120,99,104,32,100,101,102,10,32,47,100,32,101,120,99,104,32,100,101,102,10,32,47,108,32,101,120,99,104,32,100,101,102,10,32,110,101,119,112,97,116,104,32,108,32,100,32,109,111,118,101,116,111,10,32,114,32,100,32,
108,105,110,101,116,111,32,114,32,117,32,108,105,110,101,116,111,32,108,32,117,32,108,105,110,101,116,111,10,32,99,108,111,115,101,112,97,116,104,32,102,105,108,108,10,125,32,100,101,102,10,10,0,37,100,32,37,100,32,116,114,97,110,115,108,97,116,101,10,0,110,101,119,112,97,116,104,32,37,100,32,37,100,32,109,111,118,101,116,111,10,0,37,100,32,37,100,32,108,105,110,101,116,111,10,0,37,100,32,37,100,32,108,105,110,101,116,111,32,115,116,114,111,107,101,10,0,48,46,56,32,48,46,56,32,48,46,56,32,115,101,
116,114,103,98,99,111,108,111,114,10,0,115,104,111,119,112,97,103,101,10,37,37,37,37,84,114,97,105,108,101,114,10,37,37,37,37,66,111,117,110,100,105,110,103,66,111,120,58,32,37,100,32,37,100,32,37,100,32,37,100,10,0,111,114,116,104,111,32,37,115,32,37,115,10,0,99,104,97,110,110,101,108,32,37,100,32,40,37,102,44,37,102,41,10,0,32,45,62,10,0,32,32,32,32,32,0,66,95,82,73,71,72,84,0,66,95,68,79,87,78,0,66,95,76,69,70,84,0,66,95,85,80,0,66,95,78,79,68,69,0,40,40,37,102,44,37,102,41,44,40,37,102,44,37,
102,41,41,32,37,115,32,37,115,0,115,101,103,0,111,114,116,104,111,46,99,0,110,101,120,116,95,115,101,103,0,100,101,99,105,100,101,95,112,111,105,110,116,0,105,110,99,111,109,112,97,114,97,98,108,101,32,115,101,103,109,101,110,116,115,32,33,33,32,45,45,32,65,98,111,114,116,105,110,103,10,0,115,49,45,62,99,111,109,109,95,99,111,111,114,100,61,61,115,50,45,62,99,111,109,109,95,99,111,111,114,100,0,105,115,95,112,97,114,97,108,108,101,108,0,99,104,97,110,105,0,99,104,97,110,83,101,97,114,99,104,0,99,
112,0,103,114,97,112,104,32,71,32,123,10,0,32,110,111,100,101,91,115,104,97,112,101,61,112,111,105,110,116,93,10,0,32,32,37,100,32,91,112,111,115,61,34,37,100,44,37,100,34,93,10,0,32,32,37,100,32,45,45,32,37,100,91,108,101,110,61,34,37,102,34,93,10,0,125,10,0,115,111,108,105,100,0,105,110,118,105,115,105,98,108,101,0,98,111,108,100,0,115,101,116,108,105,110,101,119,105,100,116,104,0,102,105,108,108,101,100,0,117,110,102,105,108,108,101,100,0,116,97,112,101,114,101,100,0,103,118,114,101,110,100,101,
114,95,115,101,116,95,115,116,121,108,101,58,32,117,110,115,117,112,112,111,114,116,101,100,32,115,116,121,108,101,32,37,115,32,45,32,105,103,110,111,114,105,110,103,10,0,103,118,114,101,110,100,101,114,46,99,0,103,118,114,101,110,100,101,114,95,117,115,101,114,115,104,97,112,101,0,110,97,109,101,0,110,97,109,101,91,48,93,0,98,111,116,104,0,99,111,108,111,114,32,37,115,0,37,115,32,105,115,32,110,111,116,32,97,32,107,110,111,119,110,32,99,111,108,111,114,46,10,0,101,114,114,111,114,32,105,110,32,99,
111,108,120,108,97,116,101,40,41,10,0,108,97,121,111,117,116,0,76,97,121,111,117,116,32,116,121,112,101,58,32,34,37,115,34,32,110,111,116,32,114,101,99,111,103,110,105,122,101,100,46,32,85,115,101,32,111,110,101,32,111,102,58,37,115,10,0,106,111,98,0,103,118,108,111,97,100,105,109,97,103,101,46,99,0,103,118,108,111,97,100,105,109,97,103,101,0,117,115,0,117,115,45,62,110,97,109,101,0,117,115,45,62,110,97,109,101,91,48,93,0,78,111,32,108,111,97,100,105,109,97,103,101,32,112,108,117,103,105,110,32,102,
111,114,32,34,37,115,34,10,0,81,0,76,101,102,116,0,75,80,95,76,101,102,116,0,82,105,103,104,116,0,75,80,95,82,105,103,104,116,0,85,112,0,75,80,95,85,112,0,68,111,119,110,0,75,80,95,68,111,119,110,0,112,108,117,115,0,75,80,95,65,100,100,0,109,105,110,117,115,0,75,80,95,83,117,98,116,114,97,99,116,0,70,0,110,111,100,101,0,85,82,76,0,101,100,103,101,0,116,97,105,108,112,111,114,116,0,104,101,97,100,112,111,114,116,0,107,101,121,0,100,105,103,114,97,112,104,0,103,114,97,112,104,0,115,117,98,103,114,97,
112,104,0,95,76,84,88,95,108,105,98,114,97,114,121,0,116,101,120,116,108,97,121,111,117,116,0,111,117,116,32,111,102,32,109,101,109,111,114,121,10,0,114,101,99,116,46,98,111,117,110,100,97,114,121,91,50,93,32,60,32,73,78,84,95,77,65,88,0,120,108,97,98,101,108,115,46,99,0,111,98,106,112,108,112,109,107,115,0,114,101,99,116,46,98,111,117,110,100,97,114,121,91,51,93,32,60,32,73,78,84,95,77,65,88,0,118,112,0,120,108,104,100,120,117,110,108,111,97,100,0,115,105,122,101,61,61,102,114,101,101,100,0,111,
98,106,112,45,62,108,98,108,0,120,108,105,110,116,101,114,115,101,99,116,105,111,110,115,0,111,98,106,112,49,45,62,115,122,46,120,32,61,61,32,48,32,38,38,32,111,98,106,112,49,45,62,115,122,46,121,32,61,61,32,48,0,108,98,108,101,110,99,108,111,115,105,110,103,0,108,112,32,33,61,32,99,108,112,0,103,101,116,105,110,116,114,115,120,105,0,35,37,50,120,37,50,120,37,50,120,37,50,120,0,37,108,102,37,108,102,37,108,102,0,108,97,99,107,0,104,105,116,101,0,105,103,104,116,103,114,101,121,0,88,49,49,47,0,47,
97,99,99,101,110,116,51,47,49,0,47,97,99,99,101,110,116,51,47,50,0,47,97,99,99,101,110,116,51,47,51,0,47,97,99,99,101,110,116,52,47,49,0,47,97,99,99,101,110,116,52,47,50,0,47,97,99,99,101,110,116,52,47,51,0,47,97,99,99,101,110,116,52,47,52,0,47,97,99,99,101,110,116,53,47,49,0,47,97,99,99,101,110,116,53,47,50,0,47,97,99,99,101,110,116,53,47,51,0,47,97,99,99,101,110,116,53,47,52,0,47,97,99,99,101,110,116,53,47,53,0,47,97,99,99,101,110,116,54,47,49,0,47,97,99,99,101,110,116,54,47,50,0,47,97,99,99,101,
110,116,54,47,51,0,47,97,99,99,101,110,116,54,47,52,0,47,97,99,99,101,110,116,54,47,53,0,47,97,99,99,101,110,116,54,47,54,0,47,97,99,99,101,110,116,55,47,49,0,47,97,99,99,101,110,116,55,47,50,0,47,97,99,99,101,110,116,55,47,51,0,47,97,99,99,101,110,116,55,47,52,0,47,97,99,99,101,110,116,55,47,53,0,47,97,99,99,101,110,116,55,47,54,0,47,97,99,99,101,110,116,55,47,55,0,47,97,99,99,101,110,116,56,47,49,0,47,97,99,99,101,110,116,56,47,50,0,47,97,99,99,101,110,116,56,47,51,0,47,97,99,99,101,110,116,56,
47,52,0,47,97,99,99,101,110,116,56,47,53,0,47,97,99,99,101,110,116,56,47,54,0,47,97,99,99,101,110,116,56,47,55,0,47,97,99,99,101,110,116,56,47,56,0,47,98,108,117,101,115,51,47,49,0,47,98,108,117,101,115,51,47,50,0,47,98,108,117,101,115,51,47,51,0,47,98,108,117,101,115,52,47,49,0,47,98,108,117,101,115,52,47,50,0,47,98,108,117,101,115,52,47,51,0,47,98,108,117,101,115,52,47,52,0,47,98,108,117,101,115,53,47,49,0,47,98,108,117,101,115,53,47,50,0,47,98,108,117,101,115,53,47,51,0,47,98,108,117,101,115,53,
47,52,0,47,98,108,117,101,115,53,47,53,0,47,98,108,117,101,115,54,47,49,0,47,98,108,117,101,115,54,47,50,0,47,98,108,117,101,115,54,47,51,0,47,98,108,117,101,115,54,47,52,0,47,98,108,117,101,115,54,47,53,0,47,98,108,117,101,115,54,47,54,0,47,98,108,117,101,115,55,47,49,0,47,98,108,117,101,115,55,47,50,0,47,98,108,117,101,115,55,47,51,0,47,98,108,117,101,115,55,47,52,0,47,98,108,117,101,115,55,47,53,0,47,98,108,117,101,115,55,47,54,0,47,98,108,117,101,115,55,47,55,0,47,98,108,117,101,115,56,47,49,
0,47,98,108,117,101,115,56,47,50,0,47,98,108,117,101,115,56,47,51,0,47,98,108,117,101,115,56,47,52,0,47,98,108,117,101,115,56,47,53,0,47,98,108,117,101,115,56,47,54,0,47,98,108,117,101,115,56,47,55,0,47,98,108,117,101,115,56,47,56,0,47,98,108,117,101,115,57,47,49,0,47,98,108,117,101,115,57,47,50,0,47,98,108,117,101,115,57,47,51,0,47,98,108,117,101,115,57,47,52,0,47,98,108,117,101,115,57,47,53,0,47,98,108,117,101,115,57,47,54,0,47,98,108,117,101,115,57,47,55,0,47,98,108,117,101,115,57,47,56,0,47,98,
108,117,101,115,57,47,57,0,47,98,114,98,103,49,48,47,49,0,47,98,114,98,103,49,48,47,49,48,0,47,98,114,98,103,49,48,47,50,0,47,98,114,98,103,49,48,47,51,0,47,98,114,98,103,49,48,47,52,0,47,98,114,98,103,49,48,47,53,0,47,98,114,98,103,49,48,47,54,0,47,98,114,98,103,49,48,47,55,0,47,98,114,98,103,49,48,47,56,0,47,98,114,98,103,49,48,47,57,0,47,98,114,98,103,49,49,47,49,0,47,98,114,98,103,49,49,47,49,48,0,47,98,114,98,103,49,49,47,49,49,0,47,98,114,98,103,49,49,47,50,0,47,98,114,98,103,49,49,47,51,0,
47,98,114,98,103,49,49,47,52,0,47,98,114,98,103,49,49,47,53,0,47,98,114,98,103,49,49,47,54,0,47,98,114,98,103,49,49,47,55,0,47,98,114,98,103,49,49,47,56,0,47,98,114,98,103,49,49,47,57,0,47,98,114,98,103,51,47,49,0,47,98,114,98,103,51,47,50,0,47,98,114,98,103,51,47,51,0,47,98,114,98,103,52,47,49,0,47,98,114,98,103,52,47,50,0,47,98,114,98,103,52,47,51,0,47,98,114,98,103,52,47,52,0,47,98,114,98,103,53,47,49,0,47,98,114,98,103,53,47,50,0,47,98,114,98,103,53,47,51,0,47,98,114,98,103,53,47,52,0,47,98,114,
98,103,53,47,53,0,47,98,114,98,103,54,47,49,0,47,98,114,98,103,54,47,50,0,47,98,114,98,103,54,47,51,0,47,98,114,98,103,54,47,52,0,47,98,114,98,103,54,47,53,0,47,98,114,98,103,54,47,54,0,47,98,114,98,103,55,47,49,0,47,98,114,98,103,55,47,50,0,47,98,114,98,103,55,47,51,0,47,98,114,98,103,55,47,52,0,47,98,114,98,103,55,47,53,0,47,98,114,98,103,55,47,54,0,47,98,114,98,103,55,47,55,0,47,98,114,98,103,56,47,49,0,47,98,114,98,103,56,47,50,0,47,98,114,98,103,56,47,51,0,47,98,114,98,103,56,47,52,0,47,98,114,
98,103,56,47,53,0,47,98,114,98,103,56,47,54,0,47,98,114,98,103,56,47,55,0,47,98,114,98,103,56,47,56,0,47,98,114,98,103,57,47,49,0,47,98,114,98,103,57,47,50,0,47,98,114,98,103,57,47,51,0,47,98,114,98,103,57,47,52,0,47,98,114,98,103,57,47,53,0,47,98,114,98,103,57,47,54,0,47,98,114,98,103,57,47,55,0,47,98,114,98,103,57,47,56,0,47,98,114,98,103,57,47,57,0,47,98,117,103,110,51,47,49,0,47,98,117,103,110,51,47,50,0,47,98,117,103,110,51,47,51,0,47,98,117,103,110,52,47,49,0,47,98,117,103,110,52,47,50,0,47,
98,117,103,110,52,47,51,0,47,98,117,103,110,52,47,52,0,47,98,117,103,110,53,47,49,0,47,98,117,103,110,53,47,50,0,47,98,117,103,110,53,47,51,0,47,98,117,103,110,53,47,52,0,47,98,117,103,110,53,47,53,0,47,98,117,103,110,54,47,49,0,47,98,117,103,110,54,47,50,0,47,98,117,103,110,54,47,51,0,47,98,117,103,110,54,47,52,0,47,98,117,103,110,54,47,53,0,47,98,117,103,110,54,47,54,0,47,98,117,103,110,55,47,49,0,47,98,117,103,110,55,47,50,0,47,98,117,103,110,55,47,51,0,47,98,117,103,110,55,47,52,0,47,98,117,103,
110,55,47,53,0,47,98,117,103,110,55,47,54,0,47,98,117,103,110,55,47,55,0,47,98,117,103,110,56,47,49,0,47,98,117,103,110,56,47,50,0,47,98,117,103,110,56,47,51,0,47,98,117,103,110,56,47,52,0,47,98,117,103,110,56,47,53,0,47,98,117,103,110,56,47,54,0,47,98,117,103,110,56,47,55,0,47,98,117,103,110,56,47,56,0,47,98,117,103,110,57,47,49,0,47,98,117,103,110,57,47,50,0,47,98,117,103,110,57,47,51,0,47,98,117,103,110,57,47,52,0,47,98,117,103,110,57,47,53,0,47,98,117,103,110,57,47,54,0,47,98,117,103,110,57,47,
55,0,47,98,117,103,110,57,47,56,0,47,98,117,103,110,57,47,57,0,47,98,117,112,117,51,47,49,0,47,98,117,112,117,51,47,50,0,47,98,117,112,117,51,47,51,0,47,98,117,112,117,52,47,49,0,47,98,117,112,117,52,47,50,0,47,98,117,112,117,52,47,51,0,47,98,117,112,117,52,47,52,0,47,98,117,112,117,53,47,49,0,47,98,117,112,117,53,47,50,0,47,98,117,112,117,53,47,51,0,47,98,117,112,117,53,47,52,0,47,98,117,112,117,53,47,53,0,47,98,117,112,117,54,47,49,0,47,98,117,112,117,54,47,50,0,47,98,117,112,117,54,47,51,0,47,
98,117,112,117,54,47,52,0,47,98,117,112,117,54,47,53,0,47,98,117,112,117,54,47,54,0,47,98,117,112,117,55,47,49,0,47,98,117,112,117,55,47,50,0,47,98,117,112,117,55,47,51,0,47,98,117,112,117,55,47,52,0,47,98,117,112,117,55,47,53,0,47,98,117,112,117,55,47,54,0,47,98,117,112,117,55,47,55,0,47,98,117,112,117,56,47,49,0,47,98,117,112,117,56,47,50,0,47,98,117,112,117,56,47,51,0,47,98,117,112,117,56,47,52,0,47,98,117,112,117,56,47,53,0,47,98,117,112,117,56,47,54,0,47,98,117,112,117,56,47,55,0,47,98,117,112,
117,56,47,56,0,47,98,117,112,117,57,47,49,0,47,98,117,112,117,57,47,50,0,47,98,117,112,117,57,47,51,0,47,98,117,112,117,57,47,52,0,47,98,117,112,117,57,47,53,0,47,98,117,112,117,57,47,54,0,47,98,117,112,117,57,47,55,0,47,98,117,112,117,57,47,56,0,47,98,117,112,117,57],"i8",4,n.q+144746);
B([47,57,0,47,100,97,114,107,50,51,47,49,0,47,100,97,114,107,50,51,47,50,0,47,100,97,114,107,50,51,47,51,0,47,100,97,114,107,50,52,47,49,0,47,100,97,114,107,50,52,47,50,0,47,100,97,114,107,50,52,47,51,0,47,100,97,114,107,50,52,47,52,0,47,100,97,114,107,50,53,47,49,0,47,100,97,114,107,50,53,47,50,0,47,100,97,114,107,50,53,47,51,0,47,100,97,114,107,50,53,47,52,0,47,100,97,114,107,50,53,47,53,0,47,100,97,114,107,50,54,47,49,0,47,100,97,114,107,50,54,47,50,0,47,100,97,114,107,50,54,47,51,0,47,100,97,
114,107,50,54,47,52,0,47,100,97,114,107,50,54,47,53,0,47,100,97,114,107,50,54,47,54,0,47,100,97,114,107,50,55,47,49,0,47,100,97,114,107,50,55,47,50,0,47,100,97,114,107,50,55,47,51,0,47,100,97,114,107,50,55,47,52,0,47,100,97,114,107,50,55,47,53,0,47,100,97,114,107,50,55,47,54,0,47,100,97,114,107,50,55,47,55,0,47,100,97,114,107,50,56,47,49,0,47,100,97,114,107,50,56,47,50,0,47,100,97,114,107,50,56,47,51,0,47,100,97,114,107,50,56,47,52,0,47,100,97,114,107,50,56,47,53,0,47,100,97,114,107,50,56,47,54,0,
47,100,97,114,107,50,56,47,55,0,47,100,97,114,107,50,56,47,56,0,47,103,110,98,117,51,47,49,0,47,103,110,98,117,51,47,50,0,47,103,110,98,117,51,47,51,0,47,103,110,98,117,52,47,49,0,47,103,110,98,117,52,47,50,0,47,103,110,98,117,52,47,51,0,47,103,110,98,117,52,47,52,0,47,103,110,98,117,53,47,49,0,47,103,110,98,117,53,47,50,0,47,103,110,98,117,53,47,51,0,47,103,110,98,117,53,47,52,0,47,103,110,98,117,53,47,53,0,47,103,110,98,117,54,47,49,0,47,103,110,98,117,54,47,50,0,47,103,110,98,117,54,47,51,0,47,
103,110,98,117,54,47,52,0,47,103,110,98,117,54,47,53,0,47,103,110,98,117,54,47,54,0,47,103,110,98,117,55,47,49,0,47,103,110,98,117,55,47,50,0,47,103,110,98,117,55,47,51,0,47,103,110,98,117,55,47,52,0,47,103,110,98,117,55,47,53,0,47,103,110,98,117,55,47,54,0,47,103,110,98,117,55,47,55,0,47,103,110,98,117,56,47,49,0,47,103,110,98,117,56,47,50,0,47,103,110,98,117,56,47,51,0,47,103,110,98,117,56,47,52,0,47,103,110,98,117,56,47,53,0,47,103,110,98,117,56,47,54,0,47,103,110,98,117,56,47,55,0,47,103,110,
98,117,56,47,56,0,47,103,110,98,117,57,47,49,0,47,103,110,98,117,57,47,50,0,47,103,110,98,117,57,47,51,0,47,103,110,98,117,57,47,52,0,47,103,110,98,117,57,47,53,0,47,103,110,98,117,57,47,54,0,47,103,110,98,117,57,47,55,0,47,103,110,98,117,57,47,56,0,47,103,110,98,117,57,47,57,0,47,103,114,101,101,110,115,51,47,49,0,47,103,114,101,101,110,115,51,47,50,0,47,103,114,101,101,110,115,51,47,51,0,47,103,114,101,101,110,115,52,47,49,0,47,103,114,101,101,110,115,52,47,50,0,47,103,114,101,101,110,115,52,47,
51,0,47,103,114,101,101,110,115,52,47,52,0,47,103,114,101,101,110,115,53,47,49,0,47,103,114,101,101,110,115,53,47,50,0,47,103,114,101,101,110,115,53,47,51,0,47,103,114,101,101,110,115,53,47,52,0,47,103,114,101,101,110,115,53,47,53,0,47,103,114,101,101,110,115,54,47,49,0,47,103,114,101,101,110,115,54,47,50,0,47,103,114,101,101,110,115,54,47,51,0,47,103,114,101,101,110,115,54,47,52,0,47,103,114,101,101,110,115,54,47,53,0,47,103,114,101,101,110,115,54,47,54,0,47,103,114,101,101,110,115,55,47,49,0,47,
103,114,101,101,110,115,55,47,50,0,47,103,114,101,101,110,115,55,47,51,0,47,103,114,101,101,110,115,55,47,52,0,47,103,114,101,101,110,115,55,47,53,0,47,103,114,101,101,110,115,55,47,54,0,47,103,114,101,101,110,115,55,47,55,0,47,103,114,101,101,110,115,56,47,49,0,47,103,114,101,101,110,115,56,47,50,0,47,103,114,101,101,110,115,56,47,51,0,47,103,114,101,101,110,115,56,47,52,0,47,103,114,101,101,110,115,56,47,53,0,47,103,114,101,101,110,115,56,47,54,0,47,103,114,101,101,110,115,56,47,55,0,47,103,114,
101,101,110,115,56,47,56,0,47,103,114,101,101,110,115,57,47,49,0,47,103,114,101,101,110,115,57,47,50,0,47,103,114,101,101,110,115,57,47,51,0,47,103,114,101,101,110,115,57,47,52,0,47,103,114,101,101,110,115,57,47,53,0,47,103,114,101,101,110,115,57,47,54,0,47,103,114,101,101,110,115,57,47,55,0,47,103,114,101,101,110,115,57,47,56,0,47,103,114,101,101,110,115,57,47,57,0,47,103,114,101,121,115,51,47,49,0,47,103,114,101,121,115,51,47,50,0,47,103,114,101,121,115,51,47,51,0,47,103,114,101,121,115,52,47,49,
0,47,103,114,101,121,115,52,47,50,0,47,103,114,101,121,115,52,47,51,0,47,103,114,101,121,115,52,47,52,0,47,103,114,101,121,115,53,47,49,0,47,103,114,101,121,115,53,47,50,0,47,103,114,101,121,115,53,47,51,0,47,103,114,101,121,115,53,47,52,0,47,103,114,101,121,115,53,47,53,0,47,103,114,101,121,115,54,47,49,0,47,103,114,101,121,115,54,47,50,0,47,103,114,101,121,115,54,47,51,0,47,103,114,101,121,115,54,47,52,0,47,103,114,101,121,115,54,47,53,0,47,103,114,101,121,115,54,47,54,0,47,103,114,101,121,115,
55,47,49,0,47,103,114,101,121,115,55,47,50,0,47,103,114,101,121,115,55,47,51,0,47,103,114,101,121,115,55,47,52,0,47,103,114,101,121,115,55,47,53,0,47,103,114,101,121,115,55,47,54,0,47,103,114,101,121,115,55,47,55,0,47,103,114,101,121,115,56,47,49,0,47,103,114,101,121,115,56,47,50,0,47,103,114,101,121,115,56,47,51,0,47,103,114,101,121,115,56,47,52,0,47,103,114,101,121,115,56,47,53,0,47,103,114,101,121,115,56,47,54,0,47,103,114,101,121,115,56,47,55,0,47,103,114,101,121,115,56,47,56,0,47,103,114,101,
121,115,57,47,49,0,47,103,114,101,121,115,57,47,50,0,47,103,114,101,121,115,57,47,51,0,47,103,114,101,121,115,57,47,52,0,47,103,114,101,121,115,57,47,53,0,47,103,114,101,121,115,57,47,54,0,47,103,114,101,121,115,57,47,55,0,47,103,114,101,121,115,57,47,56,0,47,103,114,101,121,115,57,47,57,0,47,111,114,97,110,103,101,115,51,47,49,0,47,111,114,97,110,103,101,115,51,47,50,0,47,111,114,97,110,103,101,115,51,47,51,0,47,111,114,97,110,103,101,115,52,47,49,0,47,111,114,97,110,103,101,115,52,47,50,0,47,111,
114,97,110,103,101,115,52,47,51,0,47,111,114,97,110,103,101,115,52,47,52,0,47,111,114,97,110,103,101,115,53,47,49,0,47,111,114,97,110,103,101,115,53,47,50,0,47,111,114,97,110,103,101,115,53,47,51,0,47,111,114,97,110,103,101,115,53,47,52,0,47,111,114,97,110,103,101,115,53,47,53,0,47,111,114,97,110,103,101,115,54,47,49,0,47,111,114,97,110,103,101,115,54,47,50,0,47,111,114,97,110,103,101,115,54,47,51,0,47,111,114,97,110,103,101,115,54,47,52,0,47,111,114,97,110,103,101,115,54,47,53,0,47,111,114,97,110,
103,101,115,54,47,54,0,47,111,114,97,110,103,101,115,55,47,49,0,47,111,114,97,110,103,101,115,55,47,50,0,47,111,114,97,110,103,101,115,55,47,51,0,47,111,114,97,110,103,101,115,55,47,52,0,47,111,114,97,110,103,101,115,55,47,53,0,47,111,114,97,110,103,101,115,55,47,54,0,47,111,114,97,110,103,101,115,55,47,55,0,47,111,114,97,110,103,101,115,56,47,49,0,47,111,114,97,110,103,101,115,56,47,50,0,47,111,114,97,110,103,101,115,56,47,51,0,47,111,114,97,110,103,101,115,56,47,52,0,47,111,114,97,110,103,101,115,
56,47,53,0,47,111,114,97,110,103,101,115,56,47,54,0,47,111,114,97,110,103,101,115,56,47,55,0,47,111,114,97,110,103,101,115,56,47,56,0,47,111,114,97,110,103,101,115,57,47,49,0,47,111,114,97,110,103,101,115,57,47,50,0,47,111,114,97,110,103,101,115,57,47,51,0,47,111,114,97,110,103,101,115,57,47,52,0,47,111,114,97,110,103,101,115,57,47,53,0,47,111,114,97,110,103,101,115,57,47,54,0,47,111,114,97,110,103,101,115,57,47,55,0,47,111,114,97,110,103,101,115,57,47,56,0,47,111,114,97,110,103,101,115,57,47,57,
0,47,111,114,114,100,51,47,49,0,47,111,114,114,100,51,47,50,0,47,111,114,114,100,51,47,51,0,47,111,114,114,100,52,47,49,0,47,111,114,114,100,52,47,50,0,47,111,114,114,100,52,47,51,0,47,111,114,114,100,52,47,52,0,47,111,114,114,100,53,47,49,0,47,111,114,114,100,53,47,50,0,47,111,114,114,100,53,47,51,0,47,111,114,114,100,53,47,52,0,47,111,114,114,100,53,47,53,0,47,111,114,114,100,54,47,49,0,47,111,114,114,100,54,47,50,0,47,111,114,114,100,54,47,51,0,47,111,114,114,100,54,47,52,0,47,111,114,114,100,
54,47,53,0,47,111,114,114,100,54,47,54,0,47,111,114,114,100,55,47,49,0,47,111,114,114,100,55,47,50,0,47,111,114,114,100,55,47,51,0,47,111,114,114,100,55,47,52,0,47,111,114,114,100,55,47,53,0,47,111,114,114,100,55,47,54,0,47,111,114,114,100,55,47,55,0,47,111,114,114,100,56,47,49,0,47,111,114,114,100,56,47,50,0,47,111,114,114,100,56,47,51,0,47,111,114,114,100,56,47,52,0,47,111,114,114,100,56,47,53,0,47,111,114,114,100,56,47,54,0,47,111,114,114,100,56,47,55,0,47,111,114,114,100,56,47,56,0,47,111,114,
114,100,57,47,49,0,47,111,114,114,100,57,47,50,0,47,111,114,114,100,57,47,51,0,47,111,114,114,100,57,47,52,0,47,111,114,114,100,57,47,53,0,47,111,114,114,100,57,47,54,0,47,111,114,114,100,57,47,55,0,47,111,114,114,100,57,47,56,0,47,111,114,114,100,57,47,57,0,47,112,97,105,114,101,100,49,48,47,49,0,47,112,97,105,114,101,100,49,48,47,49,48,0,47,112,97,105,114,101,100,49,48,47,50,0,47,112,97,105,114,101,100,49,48,47,51,0,47,112,97,105,114,101,100,49,48,47,52,0,47,112,97,105,114,101,100,49,48,47,53,0,
47,112,97,105,114,101,100,49,48,47,54,0,47,112,97,105,114,101,100,49,48,47,55,0,47,112,97,105,114,101,100,49,48,47,56,0,47,112,97,105,114,101,100,49,48,47,57,0,47,112,97,105,114,101,100,49,49,47,49,0,47,112,97,105,114,101,100,49,49,47,49,48,0,47,112,97,105,114,101,100,49,49,47,49,49,0,47,112,97,105,114,101,100,49,49,47,50,0,47,112,97,105,114,101,100,49,49,47,51,0,47,112,97,105,114,101,100,49,49,47,52,0,47,112,97,105,114,101,100,49,49,47,53,0,47,112,97,105,114,101,100,49,49,47,54,0,47,112,97,105,114,
101,100,49,49,47,55,0,47,112,97,105,114,101,100,49,49,47,56,0,47,112,97,105,114,101,100,49,49,47,57,0,47,112,97,105,114,101,100,49,50,47,49,0,47,112,97,105,114,101,100,49,50,47,49,48,0,47,112,97,105,114,101,100,49,50,47,49,49,0,47,112,97,105,114,101,100,49,50,47,49,50,0,47,112,97,105,114,101,100,49,50,47,50,0,47,112,97,105,114,101,100,49,50,47,51,0,47,112,97,105,114,101,100,49,50,47,52,0,47,112,97,105,114,101,100,49,50,47,53,0,47,112,97,105,114,101,100,49,50,47,54,0,47,112,97,105,114,101,100,49,50,
47,55,0,47,112,97,105,114,101,100,49,50,47,56,0,47,112,97,105,114,101,100,49,50,47,57,0,47,112,97,105,114,101,100,51,47,49,0,47,112,97,105,114,101,100,51,47,50,0,47,112,97,105,114,101,100,51,47,51,0,47,112,97,105,114,101,100,52,47,49,0,47,112,97,105,114,101,100,52,47,50,0,47,112,97,105,114,101,100,52,47,51,0,47,112,97,105,114,101,100,52,47,52,0,47,112,97,105,114,101,100,53,47,49,0,47,112,97,105,114,101,100,53,47,50,0,47,112,97,105,114,101,100,53,47,51,0,47,112,97,105,114,101,100,53,47,52,0,47,112,
97,105,114,101,100,53,47,53,0,47,112,97,105,114,101,100,54,47,49,0,47,112,97,105,114,101,100,54,47,50,0,47,112,97,105,114,101,100,54,47,51,0,47,112,97,105,114,101,100,54,47,52,0,47,112,97,105,114,101,100,54,47,53,0,47,112,97,105,114,101,100,54,47,54,0,47,112,97,105,114,101,100,55,47,49,0,47,112,97,105,114,101,100,55,47,50,0,47,112,97,105,114,101,100,55,47,51,0,47,112,97,105,114,101,100,55,47,52,0,47,112,97,105,114,101,100,55,47,53,0,47,112,97,105,114,101,100,55,47,54,0,47,112,97,105,114,101,100,55,
47,55,0,47,112,97,105,114,101,100,56,47,49,0,47,112,97,105,114,101,100,56,47,50,0,47,112,97,105,114,101,100,56,47,51,0,47,112,97,105,114,101,100,56,47,52,0,47,112,97,105,114,101,100,56,47,53,0,47,112,97,105,114,101,100,56,47,54,0,47,112,97,105,114,101,100,56,47,55,0,47,112,97,105,114,101,100,56,47,56,0,47,112,97,105,114,101,100,57,47,49,0,47,112,97,105,114,101,100,57,47,50,0,47,112,97,105,114,101,100,57,47,51,0,47,112,97,105,114,101,100,57,47,52,0,47,112,97,105,114,101,100,57,47,53,0,47,112,97,105,
114,101,100,57,47,54,0,47,112,97,105,114,101,100,57,47,55,0,47,112,97,105,114,101,100,57,47,56,0,47,112,97,105,114,101,100,57,47,57,0,47,112,97,115,116,101,108,49,51,47,49,0,47,112,97,115,116,101,108,49,51,47,50,0,47,112,97,115,116,101,108,49,51,47,51,0,47,112,97,115,116,101,108,49,52,47,49,0,47,112,97,115,116,101,108,49,52,47,50,0,47,112,97,115,116,101,108,49,52,47,51,0,47,112,97,115,116,101,108,49,52,47,52,0,47,112,97,115,116,101,108,49,53,47,49,0,47,112,97,115,116,101,108,49,53,47,50,0,47,112,
97,115,116,101,108,49,53,47,51,0,47,112,97,115,116,101,108,49,53,47,52,0,47,112,97,115,116,101,108,49,53,47,53,0,47,112,97,115,116,101,108,49,54,47,49,0,47,112,97,115,116,101,108,49,54,47,50,0,47,112,97,115,116,101,108,49,54,47,51,0,47,112,97,115,116,101,108,49,54,47,52,0,47,112,97,115,116,101,108,49,54,47,53,0,47,112,97,115,116,101,108,49,54,47,54,0,47,112,97,115,116,101,108,49,55,47,49,0,47,112,97,115,116,101,108,49,55,47,50,0,47,112,97,115,116,101,108,49,55,47,51,0,47,112,97,115,116,101,108,49,
55,47,52,0,47,112,97,115,116,101,108,49,55,47,53,0,47,112,97,115,116,101,108,49,55,47,54,0,47,112,97,115,116,101,108,49,55,47,55,0,47,112,97,115,116,101,108,49,56,47,49,0,47,112,97,115,116,101,108,49,56,47,50,0,47,112,97,115,116,101,108,49,56,47,51,0,47,112,97,115,116,101,108,49,56,47,52,0,47,112,97,115,116,101,108,49,56,47,53,0,47,112,97,115,116,101,108,49,56,47,54,0,47,112,97,115,116,101,108,49,56,47,55,0,47,112,97,115,116,101,108,49,56,47,56,0,47,112,97,115,116,101,108,49,57,47,49,0,47,112,97,
115,116,101,108,49,57,47,50,0,47,112,97,115,116,101,108,49,57,47,51,0,47,112,97,115,116,101,108,49,57,47,52,0,47,112,97,115,116,101,108,49,57,47,53,0,47,112,97,115,116,101,108,49,57,47,54,0,47,112,97,115,116,101,108,49,57,47,55,0,47,112,97,115,116,101,108,49,57,47,56,0,47,112,97,115,116,101,108,49,57,47,57,0,47,112,97,115,116,101,108,50,51,47,49,0,47,112,97,115,116,101,108,50,51,47,50,0,47,112,97,115,116,101,108,50,51,47,51,0,47,112,97,115,116,101,108,50,52,47,49,0,47,112,97,115,116,101,108,50,52,
47,50,0,47,112,97,115,116,101,108,50,52,47,51,0,47,112,97,115,116,101,108,50,52,47,52,0,47,112,97,115,116,101,108,50,53,47,49,0,47,112,97,115,116,101,108,50,53,47,50,0,47,112,97,115,116,101,108,50,53,47,51,0,47,112,97,115,116,101,108,50,53,47,52,0,47,112,97,115,116,101,108,50,53,47,53,0,47,112,97,115,116,101,108,50,54,47,49,0,47,112,97,115,116,101,108,50,54,47,50,0,47,112,97,115,116,101,108,50,54,47,51,0,47,112,97,115,116,101,108,50,54,47,52,0,47,112,97,115,116,101,108,50,54,47,53,0,47,112,97,115,
116,101,108,50,54,47,54,0,47,112,97,115,116,101,108,50,55,47,49,0,47,112,97,115,116,101,108,50,55,47,50,0,47,112,97,115,116,101,108,50,55,47,51,0,47,112,97,115,116,101,108,50,55,47,52,0,47,112,97,115,116,101,108,50,55,47,53,0,47,112,97,115,116,101,108,50,55,47,54,0,47,112,97,115,116,101,108,50,55,47,55,0,47,112,97,115,116,101,108,50,56,47,49,0,47,112,97,115,116,101,108,50,56,47,50,0,47,112,97,115,116,101,108,50,56,47,51,0,47,112,97,115,116,101,108,50,56,47,52,0,47,112,97,115,116,101,108,50,56,47,
53,0,47,112,97,115,116,101,108,50,56,47,54,0,47,112,97,115,116,101,108,50,56,47,55,0,47,112,97,115,116,101,108,50,56,47,56,0,47,112,105,121,103,49,48,47,49,0,47,112,105,121,103,49,48,47,49,48,0,47,112,105,121,103,49,48,47,50,0,47,112,105,121,103,49,48,47,51,0,47,112,105,121,103,49,48,47,52,0,47,112,105,121,103,49,48,47,53,0,47,112,105,121,103,49,48,47,54,0,47,112,105,121,103,49,48,47,55,0,47,112,105,121,103,49,48,47,56,0,47,112,105,121,103,49,48,47,57,0,47,112,105,121,103,49,49,47,49,0,47,112,105,
121,103,49,49,47,49,48,0,47,112,105,121,103,49,49,47,49,49,0,47,112,105,121,103,49,49,47,50,0,47,112,105,121,103,49,49,47,51,0,47,112,105,121,103,49,49,47,52,0,47,112,105,121,103,49,49,47,53,0,47,112,105,121,103,49,49,47,54,0,47,112,105,121,103,49,49,47,55,0,47,112,105,121,103,49,49,47,56,0,47,112,105,121,103,49,49,47,57,0,47,112,105,121,103,51,47,49,0,47,112,105,121,103,51,47,50,0,47,112,105,121,103,51,47,51,0,47,112,105,121,103,52,47,49,0,47,112,105,121,103,52,47,50,0,47,112,105,121,103,52,47,51,
0,47,112,105,121,103,52,47,52,0,47,112,105,121,103,53,47,49,0,47,112,105,121,103,53,47,50,0,47,112,105,121,103,53,47,51,0,47,112,105,121,103,53,47,52,0,47,112,105,121,103,53,47,53,0,47,112,105,121,103,54,47,49,0,47,112,105,121,103,54,47,50,0,47,112,105,121,103,54,47,51,0,47,112,105,121,103,54,47,52,0,47,112,105,121,103,54,47,53,0,47,112,105,121,103,54,47,54,0,47,112,105,121,103,55,47,49,0,47,112,105,121,103,55,47,50,0,47,112,105,121,103,55,47,51,0,47,112,105,121,103,55,47,52,0,47,112,105,121,103,
55,47,53,0,47,112,105,121,103,55,47,54,0,47,112,105,121,103,55,47,55,0,47,112,105,121,103,56,47,49,0,47,112,105,121,103,56,47,50,0,47,112,105,121,103,56,47,51,0,47,112,105,121,103,56,47,52,0,47,112,105,121,103,56,47,53,0,47,112,105,121,103,56,47,54,0,47,112,105,121,103,56,47,55,0,47,112,105,121,103,56,47,56,0,47,112,105,121,103,57,47,49,0,47,112,105,121,103,57,47,50,0,47,112,105,121,103,57,47,51,0,47,112,105,121,103,57,47,52,0,47,112,105,121,103,57,47,53,0,47,112,105,121,103,57,47,54,0,47,112,105,
121,103,57,47,55,0,47,112,105,121,103,57,47,56,0,47,112,105,121,103,57,47,57,0,47,112,114,103,110,49,48,47,49,0,47,112,114,103,110,49,48,47,49,48,0,47,112,114,103,110,49,48,47,50,0,47,112,114,103,110,49,48,47,51,0,47,112,114,103,110,49,48,47,52,0,47,112,114,103,110,49,48,47,53,0,47,112,114,103,110,49,48,47,54,0,47,112,114,103,110,49,48,47,55,0,47,112,114,103,110,49,48,47,56,0,47,112,114,103,110,49,48,47,57,0,47,112,114,103,110,49,49,47,49,0,47,112,114,103,110,49,49,47,49,48,0,47,112,114,103,110,49,
49,47,49,49,0,47,112,114,103,110,49,49,47,50,0,47,112,114,103,110,49,49,47,51,0,47,112,114,103,110,49,49,47,52,0,47,112,114,103,110,49,49,47,53,0,47,112,114,103,110,49,49,47,54,0,47,112,114,103,110,49,49,47,55,0,47,112,114,103,110,49,49,47,56,0,47,112,114,103,110,49,49,47,57,0,47,112,114,103,110,51,47,49,0,47,112,114,103,110,51,47,50,0,47,112,114,103,110,51,47,51,0,47,112,114,103,110,52,47,49,0,47,112,114,103,110,52,47,50,0,47,112,114,103,110,52,47,51,0,47,112,114,103,110,52,47,52,0,47,112,114,103,
110,53,47,49,0,47,112,114,103,110,53,47,50,0,47,112,114,103,110,53,47,51,0,47,112,114,103,110,53,47,52,0,47,112,114,103,110,53,47,53,0,47,112,114,103,110,54,47,49,0,47,112,114,103,110,54,47,50,0,47,112,114,103,110,54,47,51,0,47,112,114,103,110,54,47,52,0,47,112,114,103,110,54,47,53,0,47,112,114,103,110,54,47,54,0,47,112,114,103,110,55,47,49,0,47,112,114,103,110,55,47,50,0,47,112,114,103,110,55,47,51,0,47,112,114,103,110,55,47,52,0,47,112,114,103,110,55,47,53,0,47,112,114,103,110,55,47,54,0,47,112,
114,103,110,55,47,55,0,47,112,114,103,110,56,47,49,0,47,112,114,103,110,56,47,50,0,47,112,114,103,110,56,47,51,0,47,112,114,103,110,56,47,52,0,47,112,114,103,110,56,47,53,0,47,112,114,103,110,56,47,54,0,47,112,114,103,110,56,47,55,0,47,112,114,103,110,56,47,56,0,47,112,114,103,110,57,47,49,0,47,112,114,103,110,57,47,50,0,47,112,114,103,110,57,47,51,0,47,112,114,103,110,57,47,52,0,47,112,114,103,110,57,47,53,0,47,112,114,103,110,57,47,54,0,47,112,114,103,110,57,47,55,0,47,112,114,103,110,57,47,56,
0,47,112,114,103,110,57,47,57,0,47,112,117,98,117,51,47,49,0,47,112,117,98,117,51,47,50,0,47,112,117,98,117,51,47,51,0,47,112,117,98,117,52,47,49,0,47,112,117,98,117,52,47,50,0,47,112,117,98,117,52,47,51,0,47,112,117,98,117,52,47,52,0,47,112,117,98,117,53,47,49,0,47,112,117,98,117,53,47,50,0,47,112,117,98,117,53,47,51,0,47,112,117,98,117,53,47,52,0,47,112,117,98,117,53,47,53,0,47,112,117,98,117,54,47,49,0,47,112,117,98,117,54,47,50,0,47,112,117,98,117,54,47,51,0,47,112,117,98,117,54,47,52,0,47,112,
117,98,117,54,47,53,0,47,112,117,98,117,54,47,54,0,47,112,117,98,117,55,47,49,0,47,112,117,98,117,55,47,50,0,47,112,117,98,117,55,47,51,0,47,112,117,98,117,55,47,52,0,47,112,117,98,117,55,47,53,0,47,112,117,98,117,55,47,54,0,47,112,117,98,117,55,47,55,0,47,112,117,98,117,56,47,49,0,47,112,117,98,117,56,47,50,0,47,112,117,98,117,56,47,51,0,47,112,117,98,117,56,47,52,0,47,112,117,98,117,56,47,53,0,47,112,117,98,117,56,47,54,0,47,112,117,98,117,56,47,55,0,47,112,117,98,117,56,47,56,0,47,112,117,98,117,
57,47,49,0,47,112,117,98,117,57,47,50,0,47,112,117,98,117,57,47,51,0,47,112,117,98,117,57,47,52,0,47,112,117,98,117,57,47,53,0,47,112,117,98,117,57,47,54,0,47,112,117,98,117,57,47,55,0,47,112,117,98,117,57,47,56,0,47,112,117,98,117,57,47,57,0,47,112,117,98,117,103,110,51,47,49,0,47,112,117,98,117,103,110,51,47,50,0,47,112,117,98,117,103,110,51,47,51,0,47,112,117,98,117,103,110,52,47,49,0,47,112,117,98,117,103,110,52,47,50,0,47,112,117,98,117,103,110,52,47,51,0,47,112,117,98,117,103,110,52,47,52,0,
47,112,117,98,117,103,110,53,47,49,0,47,112,117,98,117,103,110,53,47,50,0,47,112,117,98,117,103,110,53,47,51,0,47,112,117,98,117,103,110,53,47,52,0,47,112,117,98,117,103,110,53,47,53,0,47,112,117,98,117,103,110,54,47,49,0,47,112,117,98,117,103,110,54,47,50,0,47,112,117,98,117,103,110,54,47,51,0,47,112,117,98,117,103,110,54,47,52,0,47,112,117,98,117,103,110,54,47,53,0,47,112,117,98,117,103,110,54,47,54,0,47,112,117,98,117,103,110,55,47,49,0,47,112,117,98,117,103,110,55,47,50,0,47,112,117,98,117,103,
110,55,47,51,0,47,112,117,98,117,103,110,55,47,52,0,47,112,117,98,117,103,110,55,47,53,0,47,112,117,98,117,103,110,55,47,54,0,47,112,117,98,117,103,110,55,47,55,0,47,112,117,98,117,103,110,56,47,49,0,47,112,117,98,117,103,110,56,47,50,0,47,112,117,98,117,103,110,56,47,51,0,47,112,117,98,117,103,110,56,47,52,0,47,112,117,98,117,103,110,56,47,53,0,47,112,117,98,117,103,110,56,47,54,0,47,112,117,98,117,103,110,56,47,55,0,47,112,117,98,117,103,110,56,47,56,0,47,112,117,98,117,103,110,57,47,49,0,47,112,
117,98,117,103,110,57,47,50,0,47,112,117,98,117,103,110,57,47,51,0,47,112,117,98,117,103,110,57,47,52,0,47,112,117,98,117,103,110,57,47,53,0,47,112,117,98,117,103,110,57,47,54,0,47,112,117,98,117,103,110,57,47,55,0,47,112,117,98,117,103,110,57,47,56,0,47,112,117,98,117,103,110,57,47,57,0,47,112,117,111,114,49,48,47,49,0,47,112,117,111,114,49,48,47,49,48,0,47,112,117,111,114,49,48,47,50,0,47,112,117,111,114,49,48,47,51,0,47,112,117,111,114,49,48,47,52,0,47,112,117,111,114,49,48,47,53,0,47,112,117,
111,114,49,48,47,54,0,47,112,117,111,114,49,48,47,55,0,47,112,117,111,114,49,48,47,56,0,47,112,117,111,114,49,48,47,57,0,47,112,117,111,114,49,49,47,49,0,47,112,117,111,114,49,49,47,49,48,0,47,112,117,111,114,49,49,47,49,49,0,47,112,117,111,114,49,49,47,50,0,47,112,117,111,114,49,49,47,51,0,47,112,117,111,114,49,49,47,52,0,47,112,117,111,114,49,49,47,53,0,47,112,117,111,114,49,49,47,54,0,47,112,117,111,114,49,49,47,55,0,47,112,117,111,114,49,49,47,56,0,47,112,117,111,114,49,49,47,57,0,47,112,117,
111,114,51,47,49,0,47,112,117,111,114,51,47,50,0,47,112,117,111,114,51,47,51,0,47,112,117,111,114,52,47,49,0,47,112,117,111,114,52,47,50,0,47,112,117,111,114,52,47,51,0,47,112,117,111,114,52,47,52,0,47,112,117,111,114,53,47,49,0,47,112,117,111,114,53,47,50,0,47,112,117,111,114,53,47,51,0,47,112,117,111,114,53,47,52,0,47,112,117,111,114,53,47,53,0,47,112,117,111,114,54,47,49,0,47,112,117,111,114,54,47,50,0,47,112,117,111,114,54,47,51,0,47,112,117,111,114,54,47,52,0,47,112,117,111,114,54,47,53,0,47,
112,117,111,114,54,47,54,0,47,112,117,111,114,55,47,49,0,47,112,117,111,114,55,47,50,0,47,112,117,111,114,55,47,51,0,47,112,117,111,114,55,47,52,0,47,112,117,111,114,55,47,53,0,47,112,117,111,114,55,47,54,0,47,112,117,111,114,55,47,55,0,47,112,117,111,114,56,47,49,0,47,112,117,111,114,56,47,50,0,47,112,117,111,114,56,47,51,0,47,112,117,111,114,56,47,52,0,47,112,117,111,114,56,47,53,0,47,112,117,111,114,56,47,54,0,47,112,117,111,114,56,47,55,0,47,112,117,111,114,56,47,56,0,47,112,117,111,114,57,47,
49,0,47,112,117,111,114,57,47,50,0,47,112,117,111,114,57,47,51,0,47,112,117,111,114,57,47,52,0,47,112,117,111,114,57,47,53,0,47,112,117,111,114,57,47,54,0,47,112,117,111,114,57,47,55,0,47,112,117,111,114,57,47,56,0,47,112,117,111,114,57,47,57,0,47,112,117,114,100,51,47,49,0,47,112,117,114,100,51,47,50,0,47,112,117,114,100,51,47,51,0,47,112,117,114,100,52,47,49,0,47,112,117,114,100,52,47,50,0,47,112,117,114,100,52,47,51,0,47,112,117,114,100,52,47,52,0,47,112,117,114,100,53,47,49,0,47,112,117,114,100,
53,47,50,0,47,112,117,114,100,53,47,51,0,47,112,117,114,100,53,47,52,0,47,112,117,114,100,53,47,53,0,47,112,117,114,100,54,47,49,0,47,112,117,114,100,54,47,50,0,47,112,117,114,100,54,47,51,0,47,112,117,114,100,54,47,52,0,47,112,117,114,100,54,47,53,0,47,112,117,114,100,54,47,54,0,47,112,117,114,100,55,47,49,0,47,112,117,114,100,55,47,50,0,47,112,117,114,100,55,47,51,0,47,112,117,114,100,55,47,52,0,47,112,117,114,100,55,47,53,0,47,112,117,114,100,55,47,54,0,47,112,117,114,100,55,47,55,0,47,112,117,
114,100,56,47,49,0,47,112,117,114,100,56,47,50,0,47,112,117,114,100,56,47,51,0,47,112,117,114,100,56,47,52,0,47,112,117,114,100,56,47,53,0,47,112,117,114,100,56,47,54,0,47,112,117,114,100,56,47,55,0,47,112,117,114,100,56,47,56,0,47,112,117,114,100,57,47,49,0,47,112,117,114,100,57,47,50,0,47,112,117,114,100,57,47,51,0,47,112,117,114,100,57,47,52,0,47,112,117,114,100,57,47,53,0,47,112,117,114,100,57,47,54,0,47,112,117,114,100,57,47,55,0,47,112,117,114,100,57,47,56,0,47,112,117,114,100,57,47,57,0,47,
112,117,114,112,108,101,115,51,47,49,0,47,112,117,114,112,108,101,115,51,47,50,0,47,112,117,114,112,108,101,115,51,47,51,0,47,112,117,114,112,108,101,115,52,47,49,0,47,112,117,114,112,108,101,115,52,47,50,0,47,112,117,114,112,108,101,115,52,47,51,0,47,112,117,114,112,108,101,115,52,47,52,0,47,112,117,114,112,108,101,115,53,47,49,0,47,112,117,114,112,108,101,115,53,47,50,0,47,112,117,114,112,108,101,115,53,47,51,0,47,112,117,114,112,108,101,115,53,47,52,0,47,112,117,114,112,108,101,115,53,47,53,0,
47,112,117,114,112,108,101,115,54,47,49,0,47,112,117,114,112,108,101,115,54,47,50,0,47,112,117,114,112,108,101,115,54,47,51,0,47,112,117,114,112,108,101,115,54,47,52,0,47,112,117,114,112,108,101,115,54,47,53,0,47,112,117,114,112,108,101,115,54,47,54,0,47,112,117,114,112,108,101,115,55,47,49,0,47,112,117,114,112,108,101,115,55,47,50,0,47,112,117,114,112,108,101,115,55,47,51,0,47,112,117,114,112,108,101,115,55,47,52,0,47,112,117,114,112,108,101,115,55,47,53,0,47,112,117,114,112,108,101,115,55,47,54,
0,47,112,117,114,112,108,101,115,55,47,55,0,47,112,117,114,112,108,101,115,56,47,49,0,47,112,117,114,112,108,101,115,56,47,50,0,47,112,117,114,112,108,101,115,56,47,51,0,47,112,117,114,112,108,101,115,56,47,52,0,47,112,117,114,112,108,101,115,56,47,53,0,47,112,117,114,112,108,101,115,56,47,54,0,47,112,117,114,112,108,101,115,56,47,55,0,47,112,117,114,112,108,101,115,56,47,56,0,47,112,117,114,112,108,101,115,57,47,49,0,47,112,117,114,112,108,101,115,57,47,50,0,47,112,117,114,112,108,101,115,57,47,
51,0,47,112,117,114,112,108,101,115,57,47,52,0,47,112,117,114,112,108,101,115,57,47,53,0,47,112,117,114,112,108,101,115,57,47,54,0,47,112,117,114,112,108,101,115,57,47,55,0,47,112,117,114,112,108,101,115,57,47,56,0,47,112,117,114,112,108,101,115,57,47,57,0,47,114,100,98,117,49,48,47,49,0,47,114,100,98,117,49,48,47,49,48,0,47,114,100,98,117,49,48,47,50,0,47,114,100,98,117,49,48,47,51,0,47,114,100,98,117,49,48,47,52,0,47,114,100,98,117,49,48,47,53,0,47,114,100,98,117,49,48,47,54,0,47,114,100,98,117,
49,48,47,55,0,47,114,100,98,117,49,48,47,56,0,47,114,100,98,117,49,48,47,57,0,47,114,100,98,117,49,49,47,49,0,47,114,100,98,117,49,49,47,49,48,0,47,114,100,98,117,49,49,47,49,49,0,47,114,100,98,117,49,49,47,50,0,47,114,100,98,117,49,49,47,51,0,47,114,100,98,117,49,49,47,52,0,47,114,100,98,117,49,49,47,53,0,47,114,100,98,117,49,49,47,54,0,47,114,100,98,117,49,49,47,55,0,47,114,100,98,117,49,49,47,56,0,47,114,100,98,117,49,49,47,57,0,47,114,100,98,117,51,47,49,0,47,114,100,98,117,51,47,50,0,47,114,
100,98,117,51,47,51,0,47,114,100,98,117,52,47,49,0,47,114,100,98,117,52,47,50,0,47,114,100,98,117,52,47,51,0,47,114,100,98,117,52,47,52,0,47,114,100,98,117,53,47,49,0,47,114,100,98,117,53,47,50,0,47,114,100,98,117,53,47,51,0,47,114,100,98,117,53,47,52,0,47,114,100,98,117,53,47,53,0,47,114,100,98,117,54,47,49,0,47,114,100,98,117,54,47,50,0,47,114,100,98,117,54,47,51,0,47,114,100,98,117,54,47,52,0,47,114,100,98,117,54,47,53,0,47,114,100,98,117,54,47,54,0,47,114,100,98,117,55,47,49,0,47,114,100,98,117,
55,47,50,0,47,114,100,98,117,55,47,51,0,47,114,100,98,117,55,47,52,0,47,114,100,98,117,55,47,53,0,47,114,100,98,117,55,47,54,0,47,114,100,98,117,55,47,55,0,47,114,100,98,117,56,47,49,0,47,114,100,98,117,56,47,50,0,47,114,100,98,117,56,47,51,0,47,114,100,98,117,56,47,52,0,47,114,100,98,117,56,47,53,0,47,114,100,98,117,56,47,54,0,47,114,100,98,117,56,47,55,0,47,114,100,98,117,56,47,56,0,47,114,100,98,117,57,47,49,0,47,114,100,98,117,57,47,50,0,47,114,100,98,117,57,47,51,0,47,114,100,98,117,57,47,52,
0,47,114,100,98,117,57,47,53,0,47,114,100,98,117,57,47,54,0,47,114,100,98,117,57,47,55,0,47,114,100,98,117,57,47,56,0,47,114,100,98,117,57,47,57,0,47,114,100,103,121,49,48,47,49,0,47,114,100,103,121,49,48,47,49,48,0,47,114,100,103,121,49,48,47,50,0,47,114,100,103,121,49,48,47,51,0,47,114,100,103,121,49,48,47,52,0,47,114,100,103,121,49,48,47,53,0,47,114,100,103,121,49,48,47,54,0,47,114,100,103,121,49,48,47,55,0,47,114,100,103,121,49,48,47,56,0,47,114,100,103,121,49,48,47,57,0,47,114,100,103,121,49,
49,47,49,0,47,114,100,103,121,49,49,47,49,48,0,47,114,100,103,121,49,49,47,49,49,0,47,114,100,103,121,49,49,47,50,0,47,114,100,103,121,49,49,47,51,0,47,114,100,103,121,49,49,47,52,0,47,114,100,103,121,49,49,47,53,0,47,114,100,103,121,49,49,47,54,0,47,114,100,103,121,49,49,47,55,0,47,114,100,103,121,49,49,47,56,0,47,114,100,103,121,49,49,47,57,0,47,114,100,103,121,51,47,49,0,47,114,100,103,121,51,47,50,0,47,114,100,103,121,51,47,51,0,47,114,100,103,121,52,47,49,0,47,114,100,103,121,52,47,50,0,47,114,
100,103,121,52,47,51,0,47,114,100,103,121,52,47,52,0,47,114,100,103,121,53,47,49,0,47,114,100,103,121,53,47,50,0,47,114,100,103,121,53,47,51,0,47,114,100,103,121,53,47,52,0,47,114,100,103,121,53,47,53,0,47,114,100,103,121,54,47,49,0,47,114,100,103,121,54,47,50,0,47,114,100,103,121,54,47,51,0,47,114,100,103,121,54,47,52,0,47,114,100,103,121,54,47,53,0,47,114,100,103,121,54,47,54,0,47,114,100,103,121,55,47,49,0,47,114,100,103,121,55,47,50,0,47,114,100,103,121,55,47,51,0,47,114,100,103,121,55,47,52,
0,47,114,100,103,121,55,47,53,0,47,114,100,103,121,55,47,54,0,47,114,100,103,121,55,47,55,0,47,114,100,103,121,56,47,49,0,47,114,100,103,121,56,47,50,0,47,114,100,103,121,56,47,51,0,47,114,100,103,121,56,47,52,0,47,114,100,103,121,56,47,53,0,47,114,100,103,121,56,47,54,0,47,114,100,103,121,56,47,55,0,47,114,100,103,121,56,47,56,0,47,114,100,103,121,57,47,49,0,47,114,100,103,121,57,47,50,0,47,114,100,103,121,57,47,51,0,47,114,100,103,121,57,47,52,0,47,114,100,103,121,57,47,53,0,47,114,100,103,121,
57,47,54,0,47,114,100,103,121,57,47,55,0,47,114,100,103,121,57,47,56,0,47,114,100,103,121,57,47,57,0,47,114,100,112,117,51,47,49,0,47,114,100,112,117,51,47,50,0,47,114,100,112,117,51,47,51,0,47,114,100,112,117,52,47,49,0,47,114,100,112,117,52,47,50,0,47,114,100,112,117,52,47,51,0,47,114,100,112,117,52,47,52,0,47,114,100,112,117,53,47,49,0,47,114,100,112,117,53,47,50,0,47,114,100,112,117,53,47,51,0,47,114,100,112,117,53,47,52,0,47,114,100,112,117,53,47,53,0,47,114,100,112,117,54,47,49,0,47,114,100,
112,117,54,47,50,0,47,114,100,112,117,54,47,51,0,47,114,100,112,117,54,47,52,0,47,114,100,112,117,54,47,53,0,47,114,100,112,117,54,47,54,0,47,114,100,112,117,55,47,49,0,47,114,100,112,117,55,47,50,0,47,114,100,112,117,55,47,51,0,47,114,100,112,117,55,47,52,0,47,114,100,112,117,55,47,53,0,47,114,100,112,117,55,47,54,0,47,114,100,112,117,55,47,55,0,47,114,100,112,117,56,47,49,0,47,114,100,112,117,56,47,50,0,47,114,100,112,117,56,47,51,0,47,114,100,112,117,56,47,52,0,47,114,100,112,117,56,47,53,0,47,
114,100,112,117,56,47,54,0,47,114,100,112,117,56,47,55,0,47,114,100,112,117,56,47,56,0,47,114,100,112,117,57,47,49,0,47,114,100,112,117,57,47,50,0,47,114,100,112,117,57,47,51,0,47,114,100,112,117,57,47,52,0,47,114,100,112,117,57,47,53,0,47,114,100,112,117,57,47,54,0,47,114,100,112,117,57,47,55,0,47,114,100,112,117,57,47,56,0,47,114,100,112,117,57,47,57,0,47,114,100,121,108,98,117,49,48,47,49,0,47,114,100,121,108,98,117,49,48,47,49,48,0,47,114,100,121,108,98,117,49,48,47,50,0,47,114,100,121,108,98,
117,49,48,47,51,0,47,114,100,121,108,98,117,49,48,47,52,0,47,114,100,121,108,98,117,49,48,47,53,0,47,114,100,121,108,98,117,49,48,47,54,0,47,114,100,121,108,98,117,49,48,47,55,0,47,114,100,121,108,98,117,49,48,47,56,0,47,114,100,121,108,98,117,49,48,47,57,0,47,114,100,121,108,98,117,49,49,47,49,0,47,114,100,121,108,98,117,49,49,47,49,48,0,47,114,100,121,108,98,117,49,49,47,49,49,0,47,114,100,121,108,98,117,49,49,47,50,0,47,114,100,121,108,98,117,49,49,47,51,0,47,114,100,121,108,98,117,49,49,47,52,
0,47,114,100,121,108,98,117,49,49,47,53,0,47,114,100,121,108,98,117,49,49,47,54,0,47,114,100,121,108,98,117,49,49,47,55,0,47,114,100,121,108,98,117,49,49,47,56,0,47,114,100,121,108,98,117,49,49,47,57,0,47,114,100,121,108,98,117,51,47,49,0,47,114,100,121,108,98,117,51,47,50,0,47,114,100,121,108,98,117,51,47,51,0,47,114,100,121,108,98,117,52,47,49,0,47,114,100,121,108,98,117,52,47,50,0,47,114,100,121,108,98,117,52,47,51,0,47,114,100,121,108,98,117,52,47,52,0,47,114,100,121,108,98,117,53,47,49,0,47,
114,100,121,108,98,117,53,47,50,0,47,114,100,121,108,98,117,53,47,51,0,47,114,100,121,108,98,117,53,47,52,0,47,114,100,121,108,98,117,53,47,53,0,47,114,100,121,108,98,117,54,47,49,0,47,114,100,121,108,98,117,54,47,50,0,47,114,100,121,108,98,117,54,47,51,0,47,114,100,121,108,98,117,54,47,52,0,47,114,100,121,108,98,117,54,47,53,0,47,114,100,121,108,98,117,54,47,54,0,47,114,100,121,108,98,117,55,47,49,0,47,114,100,121,108,98,117,55,47,50,0,47,114,100,121,108,98,117,55,47,51,0,47,114,100,121,108,98,117,
55,47,52,0,47,114,100,121,108,98,117,55,47,53,0,47,114,100,121,108,98,117,55,47,54,0,47,114,100,121,108,98,117,55,47,55,0,47,114,100,121,108,98,117,56,47,49,0,47,114,100,121,108,98,117,56,47,50,0,47,114,100,121,108,98,117,56,47,51,0,47,114,100,121,108,98,117,56,47,52,0,47,114,100,121,108,98,117,56,47,53,0,47,114,100,121,108,98,117,56,47,54,0,47,114,100,121,108,98,117,56,47,55,0,47,114,100,121,108,98,117,56,47,56,0,47,114,100,121,108,98,117,57,47,49,0,47,114,100,121,108,98,117,57,47,50,0,47,114,100,
121,108,98,117,57,47,51,0,47,114,100,121,108,98,117,57,47,52,0,47,114,100,121,108,98,117,57,47,53,0,47,114,100,121,108,98,117,57,47,54,0,47,114,100,121,108,98,117,57,47,55,0,47,114,100,121,108,98,117,57,47,56,0,47,114,100,121,108,98,117,57,47,57,0,47,114,100,121,108,103,110,49,48,47,49,0,47,114,100,121,108,103,110,49,48,47,49,48,0,47,114,100,121,108,103,110,49,48,47,50,0,47,114,100,121,108,103,110,49,48,47,51,0,47,114,100,121,108,103,110,49,48,47,52,0,47,114,100,121,108,103,110,49,48,47,53,0,47,114,
100,121,108,103,110,49,48,47,54,0,47,114,100,121,108,103,110,49,48,47,55,0,47,114,100,121,108,103,110,49,48,47,56,0,47,114,100,121,108,103,110,49,48,47,57,0,47,114,100,121,108,103,110,49,49,47,49,0,47,114,100,121,108,103,110,49,49,47,49,48,0,47,114,100,121,108,103,110,49,49,47,49,49,0,47,114,100,121,108,103,110,49,49,47,50,0,47,114,100,121,108,103,110,49,49,47,51,0,47,114,100,121,108,103,110,49,49,47,52,0,47,114,100,121,108,103,110,49,49,47,53,0,47,114,100,121,108,103,110,49,49,47,54,0,47,114,100,
121,108,103,110,49,49,47],"i8",4,n.q+154986);
B([55,0,47,114,100,121,108,103,110,49,49,47,56,0,47,114,100,121,108,103,110,49,49,47,57,0,47,114,100,121,108,103,110,51,47,49,0,47,114,100,121,108,103,110,51,47,50,0,47,114,100,121,108,103,110,51,47,51,0,47,114,100,121,108,103,110,52,47,49,0,47,114,100,121,108,103,110,52,47,50,0,47,114,100,121,108,103,110,52,47,51,0,47,114,100,121,108,103,110,52,47,52,0,47,114,100,121,108,103,110,53,47,49,0,47,114,100,121,108,103,110,53,47,50,0,47,114,100,121,108,103,110,53,47,51,0,47,114,100,121,108,103,110,53,47,
52,0,47,114,100,121,108,103,110,53,47,53,0,47,114,100,121,108,103,110,54,47,49,0,47,114,100,121,108,103,110,54,47,50,0,47,114,100,121,108,103,110,54,47,51,0,47,114,100,121,108,103,110,54,47,52,0,47,114,100,121,108,103,110,54,47,53,0,47,114,100,121,108,103,110,54,47,54,0,47,114,100,121,108,103,110,55,47,49,0,47,114,100,121,108,103,110,55,47,50,0,47,114,100,121,108,103,110,55,47,51,0,47,114,100,121,108,103,110,55,47,52,0,47,114,100,121,108,103,110,55,47,53,0,47,114,100,121,108,103,110,55,47,54,0,47,
114,100,121,108,103,110,55,47,55,0,47,114,100,121,108,103,110,56,47,49,0,47,114,100,121,108,103,110,56,47,50,0,47,114,100,121,108,103,110,56,47,51,0,47,114,100,121,108,103,110,56,47,52,0,47,114,100,121,108,103,110,56,47,53,0,47,114,100,121,108,103,110,56,47,54,0,47,114,100,121,108,103,110,56,47,55,0,47,114,100,121,108,103,110,56,47,56,0,47,114,100,121,108,103,110,57,47,49,0,47,114,100,121,108,103,110,57,47,50,0,47,114,100,121,108,103,110,57,47,51,0,47,114,100,121,108,103,110,57,47,52,0,47,114,100,
121,108,103,110,57,47,53,0,47,114,100,121,108,103,110,57,47,54,0,47,114,100,121,108,103,110,57,47,55,0,47,114,100,121,108,103,110,57,47,56,0,47,114,100,121,108,103,110,57,47,57,0,47,114,101,100,115,51,47,49,0,47,114,101,100,115,51,47,50,0,47,114,101,100,115,51,47,51,0,47,114,101,100,115,52,47,49,0,47,114,101,100,115,52,47,50,0,47,114,101,100,115,52,47,51,0,47,114,101,100,115,52,47,52,0,47,114,101,100,115,53,47,49,0,47,114,101,100,115,53,47,50,0,47,114,101,100,115,53,47,51,0,47,114,101,100,115,53,
47,52,0,47,114,101,100,115,53,47,53,0,47,114,101,100,115,54,47,49,0,47,114,101,100,115,54,47,50,0,47,114,101,100,115,54,47,51,0,47,114,101,100,115,54,47,52,0,47,114,101,100,115,54,47,53,0,47,114,101,100,115,54,47,54,0,47,114,101,100,115,55,47,49,0,47,114,101,100,115,55,47,50,0,47,114,101,100,115,55,47,51,0,47,114,101,100,115,55,47,52,0,47,114,101,100,115,55,47,53,0,47,114,101,100,115,55,47,54,0,47,114,101,100,115,55,47,55,0,47,114,101,100,115,56,47,49,0,47,114,101,100,115,56,47,50,0,47,114,101,100,
115,56,47,51,0,47,114,101,100,115,56,47,52,0,47,114,101,100,115,56,47,53,0,47,114,101,100,115,56,47,54,0,47,114,101,100,115,56,47,55,0,47,114,101,100,115,56,47,56,0,47,114,101,100,115,57,47,49,0,47,114,101,100,115,57,47,50,0,47,114,101,100,115,57,47,51,0,47,114,101,100,115,57,47,52,0,47,114,101,100,115,57,47,53,0,47,114,101,100,115,57,47,54,0,47,114,101,100,115,57,47,55,0,47,114,101,100,115,57,47,56,0,47,114,101,100,115,57,47,57,0,47,115,101,116,49,51,47,49,0,47,115,101,116,49,51,47,50,0,47,115,101,
116,49,51,47,51,0,47,115,101,116,49,52,47,49,0,47,115,101,116,49,52,47,50,0,47,115,101,116,49,52,47,51,0,47,115,101,116,49,52,47,52,0,47,115,101,116,49,53,47,49,0,47,115,101,116,49,53,47,50,0,47,115,101,116,49,53,47,51,0,47,115,101,116,49,53,47,52,0,47,115,101,116,49,53,47,53,0,47,115,101,116,49,54,47,49,0,47,115,101,116,49,54,47,50,0,47,115,101,116,49,54,47,51,0,47,115,101,116,49,54,47,52,0,47,115,101,116,49,54,47,53,0,47,115,101,116,49,54,47,54,0,47,115,101,116,49,55,47,49,0,47,115,101,116,49,55,
47,50,0,47,115,101,116,49,55,47,51,0,47,115,101,116,49,55,47,52,0,47,115,101,116,49,55,47,53,0,47,115,101,116,49,55,47,54,0,47,115,101,116,49,55,47,55,0,47,115,101,116,49,56,47,49,0,47,115,101,116,49,56,47,50,0,47,115,101,116,49,56,47,51,0,47,115,101,116,49,56,47,52,0,47,115,101,116,49,56,47,53,0,47,115,101,116,49,56,47,54,0,47,115,101,116,49,56,47,55,0,47,115,101,116,49,56,47,56,0,47,115,101,116,49,57,47,49,0,47,115,101,116,49,57,47,50,0,47,115,101,116,49,57,47,51,0,47,115,101,116,49,57,47,52,0,
47,115,101,116,49,57,47,53,0,47,115,101,116,49,57,47,54,0,47,115,101,116,49,57,47,55,0,47,115,101,116,49,57,47,56,0,47,115,101,116,49,57,47,57,0,47,115,101,116,50,51,47,49,0,47,115,101,116,50,51,47,50,0,47,115,101,116,50,51,47,51,0,47,115,101,116,50,52,47,49,0,47,115,101,116,50,52,47,50,0,47,115,101,116,50,52,47,51,0,47,115,101,116,50,52,47,52,0,47,115,101,116,50,53,47,49,0,47,115,101,116,50,53,47,50,0,47,115,101,116,50,53,47,51,0,47,115,101,116,50,53,47,52,0,47,115,101,116,50,53,47,53,0,47,115,101,
116,50,54,47,49,0,47,115,101,116,50,54,47,50,0,47,115,101,116,50,54,47,51,0,47,115,101,116,50,54,47,52,0,47,115,101,116,50,54,47,53,0,47,115,101,116,50,54,47,54,0,47,115,101,116,50,55,47,49,0,47,115,101,116,50,55,47,50,0,47,115,101,116,50,55,47,51,0,47,115,101,116,50,55,47,52,0,47,115,101,116,50,55,47,53,0,47,115,101,116,50,55,47,54,0,47,115,101,116,50,55,47,55,0,47,115,101,116,50,56,47,49,0,47,115,101,116,50,56,47,50,0,47,115,101,116,50,56,47,51,0,47,115,101,116,50,56,47,52,0,47,115,101,116,50,56,
47,53,0,47,115,101,116,50,56,47,54,0,47,115,101,116,50,56,47,55,0,47,115,101,116,50,56,47,56,0,47,115,101,116,51,49,48,47,49,0,47,115,101,116,51,49,48,47,49,48,0,47,115,101,116,51,49,48,47,50,0,47,115,101,116,51,49,48,47,51,0,47,115,101,116,51,49,48,47,52,0,47,115,101,116,51,49,48,47,53,0,47,115,101,116,51,49,48,47,54,0,47,115,101,116,51,49,48,47,55,0,47,115,101,116,51,49,48,47,56,0,47,115,101,116,51,49,48,47,57,0,47,115,101,116,51,49,49,47,49,0,47,115,101,116,51,49,49,47,49,48,0,47,115,101,116,51,
49,49,47,49,49,0,47,115,101,116,51,49,49,47,50,0,47,115,101,116,51,49,49,47,51,0,47,115,101,116,51,49,49,47,52,0,47,115,101,116,51,49,49,47,53,0,47,115,101,116,51,49,49,47,54,0,47,115,101,116,51,49,49,47,55,0,47,115,101,116,51,49,49,47,56,0,47,115,101,116,51,49,49,47,57,0,47,115,101,116,51,49,50,47,49,0,47,115,101,116,51,49,50,47,49,48,0,47,115,101,116,51,49,50,47,49,49,0,47,115,101,116,51,49,50,47,49,50,0,47,115,101,116,51,49,50,47,50,0,47,115,101,116,51,49,50,47,51,0,47,115,101,116,51,49,50,47,
52,0,47,115,101,116,51,49,50,47,53,0,47,115,101,116,51,49,50,47,54,0,47,115,101,116,51,49,50,47,55,0,47,115,101,116,51,49,50,47,56,0,47,115,101,116,51,49,50,47,57,0,47,115,101,116,51,51,47,49,0,47,115,101,116,51,51,47,50,0,47,115,101,116,51,51,47,51,0,47,115,101,116,51,52,47,49,0,47,115,101,116,51,52,47,50,0,47,115,101,116,51,52,47,51,0,47,115,101,116,51,52,47,52,0,47,115,101,116,51,53,47,49,0,47,115,101,116,51,53,47,50,0,47,115,101,116,51,53,47,51,0,47,115,101,116,51,53,47,52,0,47,115,101,116,51,
53,47,53,0,47,115,101,116,51,54,47,49,0,47,115,101,116,51,54,47,50,0,47,115,101,116,51,54,47,51,0,47,115,101,116,51,54,47,52,0,47,115,101,116,51,54,47,53,0,47,115,101,116,51,54,47,54,0,47,115,101,116,51,55,47,49,0,47,115,101,116,51,55,47,50,0,47,115,101,116,51,55,47,51,0,47,115,101,116,51,55,47,52,0,47,115,101,116,51,55,47,53,0,47,115,101,116,51,55,47,54,0,47,115,101,116,51,55,47,55,0,47,115,101,116,51,56,47,49,0,47,115,101,116,51,56,47,50,0,47,115,101,116,51,56,47,51,0,47,115,101,116,51,56,47,52,
0,47,115,101,116,51,56,47,53,0,47,115,101,116,51,56,47,54,0,47,115,101,116,51,56,47,55,0,47,115,101,116,51,56,47,56,0,47,115,101,116,51,57,47,49,0,47,115,101,116,51,57,47,50,0,47,115,101,116,51,57,47,51,0,47,115,101,116,51,57,47,52,0,47,115,101,116,51,57,47,53,0,47,115,101,116,51,57,47,54,0,47,115,101,116,51,57,47,55,0,47,115,101,116,51,57,47,56,0,47,115,101,116,51,57,47,57,0,47,115,112,101,99,116,114,97,108,49,48,47,49,0,47,115,112,101,99,116,114,97,108,49,48,47,49,48,0,47,115,112,101,99,116,114,
97,108,49,48,47,50,0,47,115,112,101,99,116,114,97,108,49,48,47,51,0,47,115,112,101,99,116,114,97,108,49,48,47,52,0,47,115,112,101,99,116,114,97,108,49,48,47,53,0,47,115,112,101,99,116,114,97,108,49,48,47,54,0,47,115,112,101,99,116,114,97,108,49,48,47,55,0,47,115,112,101,99,116,114,97,108,49,48,47,56,0,47,115,112,101,99,116,114,97,108,49,48,47,57,0,47,115,112,101,99,116,114,97,108,49,49,47,49,0,47,115,112,101,99,116,114,97,108,49,49,47,49,48,0,47,115,112,101,99,116,114,97,108,49,49,47,49,49,0,47,115,
112,101,99,116,114,97,108,49,49,47,50,0,47,115,112,101,99,116,114,97,108,49,49,47,51,0,47,115,112,101,99,116,114,97,108,49,49,47,52,0,47,115,112,101,99,116,114,97,108,49,49,47,53,0,47,115,112,101,99,116,114,97,108,49,49,47,54,0,47,115,112,101,99,116,114,97,108,49,49,47,55,0,47,115,112,101,99,116,114,97,108,49,49,47,56,0,47,115,112,101,99,116,114,97,108,49,49,47,57,0,47,115,112,101,99,116,114,97,108,51,47,49,0,47,115,112,101,99,116,114,97,108,51,47,50,0,47,115,112,101,99,116,114,97,108,51,47,51,0,
47,115,112,101,99,116,114,97,108,52,47,49,0,47,115,112,101,99,116,114,97,108,52,47,50,0,47,115,112,101,99,116,114,97,108,52,47,51,0,47,115,112,101,99,116,114,97,108,52,47,52,0,47,115,112,101,99,116,114,97,108,53,47,49,0,47,115,112,101,99,116,114,97,108,53,47,50,0,47,115,112,101,99,116,114,97,108,53,47,51,0,47,115,112,101,99,116,114,97,108,53,47,52,0,47,115,112,101,99,116,114,97,108,53,47,53,0,47,115,112,101,99,116,114,97,108,54,47,49,0,47,115,112,101,99,116,114,97,108,54,47,50,0,47,115,112,101,99,
116,114,97,108,54,47,51,0,47,115,112,101,99,116,114,97,108,54,47,52,0,47,115,112,101,99,116,114,97,108,54,47,53,0,47,115,112,101,99,116,114,97,108,54,47,54,0,47,115,112,101,99,116,114,97,108,55,47,49,0,47,115,112,101,99,116,114,97,108,55,47,50,0,47,115,112,101,99,116,114,97,108,55,47,51,0,47,115,112,101,99,116,114,97,108,55,47,52,0,47,115,112,101,99,116,114,97,108,55,47,53,0,47,115,112,101,99,116,114,97,108,55,47,54,0,47,115,112,101,99,116,114,97,108,55,47,55,0,47,115,112,101,99,116,114,97,108,56,
47,49,0,47,115,112,101,99,116,114,97,108,56,47,50,0,47,115,112,101,99,116,114,97,108,56,47,51,0,47,115,112,101,99,116,114,97,108,56,47,52,0,47,115,112,101,99,116,114,97,108,56,47,53,0,47,115,112,101,99,116,114,97,108,56,47,54,0,47,115,112,101,99,116,114,97,108,56,47,55,0,47,115,112,101,99,116,114,97,108,56,47,56,0,47,115,112,101,99,116,114,97,108,57,47,49,0,47,115,112,101,99,116,114,97,108,57,47,50,0,47,115,112,101,99,116,114,97,108,57,47,51,0,47,115,112,101,99,116,114,97,108,57,47,52,0,47,115,112,
101,99,116,114,97,108,57,47,53,0,47,115,112,101,99,116,114,97,108,57,47,54,0,47,115,112,101,99,116,114,97,108,57,47,55,0,47,115,112,101,99,116,114,97,108,57,47,56,0,47,115,112,101,99,116,114,97,108,57,47,57,0,47,115,118,103,47,97,108,105,99,101,98,108,117,101,0,47,115,118,103,47,97,110,116,105,113,117,101,119,104,105,116,101,0,47,115,118,103,47,97,113,117,97,0,47,115,118,103,47,97,113,117,97,109,97,114,105,110,101,0,47,115,118,103,47,97,122,117,114,101,0,47,115,118,103,47,98,101,105,103,101,0,47,
115,118,103,47,98,105,115,113,117,101,0,47,115,118,103,47,98,108,97,99,107,0,47,115,118,103,47,98,108,97,110,99,104,101,100,97,108,109,111,110,100,0,47,115,118,103,47,98,108,117,101,0,47,115,118,103,47,98,108,117,101,118,105,111,108,101,116,0,47,115,118,103,47,98,114,111,119,110,0,47,115,118,103,47,98,117,114,108,121,119,111,111,100,0,47,115,118,103,47,99,97,100,101,116,98,108,117,101,0,47,115,118,103,47,99,104,97,114,116,114,101,117,115,101,0,47,115,118,103,47,99,104,111,99,111,108,97,116,101,0,
47,115,118,103,47,99,111,114,97,108,0,47,115,118,103,47,99,111,114,110,102,108,111,119,101,114,98,108,117,101,0,47,115,118,103,47,99,111,114,110,115,105,108,107,0,47,115,118,103,47,99,114,105,109,115,111,110,0,47,115,118,103,47,99,121,97,110,0,47,115,118,103,47,100,97,114,107,98,108,117,101,0,47,115,118,103,47,100,97,114,107,99,121,97,110,0,47,115,118,103,47,100,97,114,107,103,111,108,100,101,110,114,111,100,0,47,115,118,103,47,100,97,114,107,103,114,97,121,0,47,115,118,103,47,100,97,114,107,103,
114,101,101,110,0,47,115,118,103,47,100,97,114,107,103,114,101,121,0,47,115,118,103,47,100,97,114,107,107,104,97,107,105,0,47,115,118,103,47,100,97,114,107,109,97,103,101,110,116,97,0,47,115,118,103,47,100,97,114,107,111,108,105,118,101,103,114,101,101,110,0,47,115,118,103,47,100,97,114,107,111,114,97,110,103,101,0,47,115,118,103,47,100,97,114,107,111,114,99,104,105,100,0,47,115,118,103,47,100,97,114,107,114,101,100,0,47,115,118,103,47,100,97,114,107,115,97,108,109,111,110,0,47,115,118,103,47,100,
97,114,107,115,101,97,103,114,101,101,110,0,47,115,118,103,47,100,97,114,107,115,108,97,116,101,98,108,117,101,0,47,115,118,103,47,100,97,114,107,115,108,97,116,101,103,114,97,121,0,47,115,118,103,47,100,97,114,107,115,108,97,116,101,103,114,101,121,0,47,115,118,103,47,100,97,114,107,116,117,114,113,117,111,105,115,101,0,47,115,118,103,47,100,97,114,107,118,105,111,108,101,116,0,47,115,118,103,47,100,101,101,112,112,105,110,107,0,47,115,118,103,47,100,101,101,112,115,107,121,98,108,117,101,0,47,115,
118,103,47,100,105,109,103,114,97,121,0,47,115,118,103,47,100,105,109,103,114,101,121,0,47,115,118,103,47,100,111,100,103,101,114,98,108,117,101,0,47,115,118,103,47,102,105,114,101,98,114,105,99,107,0,47,115,118,103,47,102,108,111,114,97,108,119,104,105,116,101,0,47,115,118,103,47,102,111,114,101,115,116,103,114,101,101,110,0,47,115,118,103,47,102,117,99,104,115,105,97,0,47,115,118,103,47,103,97,105,110,115,98,111,114,111,0,47,115,118,103,47,103,104,111,115,116,119,104,105,116,101,0,47,115,118,103,
47,103,111,108,100,0,47,115,118,103,47,103,111,108,100,101,110,114,111,100,0,47,115,118,103,47,103,114,97,121,0,47,115,118,103,47,103,114,101,101,110,0,47,115,118,103,47,103,114,101,101,110,121,101,108,108,111,119,0,47,115,118,103,47,103,114,101,121,0,47,115,118,103,47,104,111,110,101,121,100,101,119,0,47,115,118,103,47,104,111,116,112,105,110,107,0,47,115,118,103,47,105,110,100,105,97,110,114,101,100,0,47,115,118,103,47,105,110,100,105,103,111,0,47,115,118,103,47,105,118,111,114,121,0,47,115,118,
103,47,107,104,97,107,105,0,47,115,118,103,47,108,97,118,101,110,100,101,114,0,47,115,118,103,47,108,97,118,101,110,100,101,114,98,108,117,115,104,0,47,115,118,103,47,108,97,119,110,103,114,101,101,110,0,47,115,118,103,47,108,101,109,111,110,99,104,105,102,102,111,110,0,47,115,118,103,47,108,105,103,104,116,98,108,117,101,0,47,115,118,103,47,108,105,103,104,116,99,111,114,97,108,0,47,115,118,103,47,108,105,103,104,116,99,121,97,110,0,47,115,118,103,47,108,105,103,104,116,103,111,108,100,101,110,114,
111,100,121,101,108,108,111,119,0,47,115,118,103,47,108,105,103,104,116,103,114,97,121,0,47,115,118,103,47,108,105,103,104,116,103,114,101,101,110,0,47,115,118,103,47,108,105,103,104,116,103,114,101,121,0,47,115,118,103,47,108,105,103,104,116,112,105,110,107,0,47,115,118,103,47,108,105,103,104,116,115,97,108,109,111,110,0,47,115,118,103,47,108,105,103,104,116,115,101,97,103,114,101,101,110,0,47,115,118,103,47,108,105,103,104,116,115,107,121,98,108,117,101,0,47,115,118,103,47,108,105,103,104,116,115,
108,97,116,101,103,114,97,121,0,47,115,118,103,47,108,105,103,104,116,115,108,97,116,101,103,114,101,121,0,47,115,118,103,47,108,105,103,104,116,115,116,101,101,108,98,108,117,101,0,47,115,118,103,47,108,105,103,104,116,121,101,108,108,111,119,0,47,115,118,103,47,108,105,109,101,0,47,115,118,103,47,108,105,109,101,103,114,101,101,110,0,47,115,118,103,47,108,105,110,101,110,0,47,115,118,103,47,109,97,103,101,110,116,97,0,47,115,118,103,47,109,97,114,111,111,110,0,47,115,118,103,47,109,101,100,105,
117,109,97,113,117,97,109,97,114,105,110,101,0,47,115,118,103,47,109,101,100,105,117,109,98,108,117,101,0,47,115,118,103,47,109,101,100,105,117,109,111,114,99,104,105,100,0,47,115,118,103,47,109,101,100,105,117,109,112,117,114,112,108,101,0,47,115,118,103,47,109,101,100,105,117,109,115,101,97,103,114,101,101,110,0,47,115,118,103,47,109,101,100,105,117,109,115,108,97,116,101,98,108,117,101,0,47,115,118,103,47,109,101,100,105,117,109,115,112,114,105,110,103,103,114,101,101,110,0,47,115,118,103,47,109,
101,100,105,117,109,116,117,114,113,117,111,105,115,101,0,47,115,118,103,47,109,101,100,105,117,109,118,105,111,108,101,116,114,101,100,0,47,115,118,103,47,109,105,100,110,105,103,104,116,98,108,117,101,0,47,115,118,103,47,109,105,110,116,99,114,101,97,109,0,47,115,118,103,47,109,105,115,116,121,114,111,115,101,0,47,115,118,103,47,109,111,99,99,97,115,105,110,0,47,115,118,103,47,110,97,118,97,106,111,119,104,105,116,101,0,47,115,118,103,47,110,97,118,121,0,47,115,118,103,47,111,108,100,108,97,99,
101,0,47,115,118,103,47,111,108,105,118,101,0,47,115,118,103,47,111,108,105,118,101,100,114,97,98,0,47,115,118,103,47,111,114,97,110,103,101,0,47,115,118,103,47,111,114,97,110,103,101,114,101,100,0,47,115,118,103,47,111,114,99,104,105,100,0,47,115,118,103,47,112,97,108,101,103,111,108,100,101,110,114,111,100,0,47,115,118,103,47,112,97,108,101,103,114,101,101,110,0,47,115,118,103,47,112,97,108,101,116,117,114,113,117,111,105,115,101,0,47,115,118,103,47,112,97,108,101,118,105,111,108,101,116,114,101,
100,0,47,115,118,103,47,112,97,112,97,121,97,119,104,105,112,0,47,115,118,103,47,112,101,97,99,104,112,117,102,102,0,47,115,118,103,47,112,101,114,117,0,47,115,118,103,47,112,105,110,107,0,47,115,118,103,47,112,108,117,109,0,47,115,118,103,47,112,111,119,100,101,114,98,108,117,101,0,47,115,118,103,47,112,117,114,112,108,101,0,47,115,118,103,47,114,101,100,0,47,115,118,103,47,114,111,115,121,98,114,111,119,110,0,47,115,118,103,47,114,111,121,97,108,98,108,117,101,0,47,115,118,103,47,115,97,100,100,
108,101,98,114,111,119,110,0,47,115,118,103,47,115,97,108,109,111,110,0,47,115,118,103,47,115,97,110,100,121,98,114,111,119,110,0,47,115,118,103,47,115,101,97,103,114,101,101,110,0,47,115,118,103,47,115,101,97,115,104,101,108,108,0,47,115,118,103,47,115,105,101,110,110,97,0,47,115,118,103,47,115,105,108,118,101,114,0,47,115,118,103,47,115,107,121,98,108,117,101,0,47,115,118,103,47,115,108,97,116,101,98,108,117,101,0,47,115,118,103,47,115,108,97,116,101,103,114,97,121,0,47,115,118,103,47,115,108,97,
116,101,103,114,101,121,0,47,115,118,103,47,115,110,111,119,0,47,115,118,103,47,115,112,114,105,110,103,103,114,101,101,110,0,47,115,118,103,47,115,116,101,101,108,98,108,117,101,0,47,115,118,103,47,116,97,110,0,47,115,118,103,47,116,101,97,108,0,47,115,118,103,47,116,104,105,115,116,108,101,0,47,115,118,103,47,116,111,109,97,116,111,0,47,115,118,103,47,116,117,114,113,117,111,105,115,101,0,47,115,118,103,47,118,105,111,108,101,116,0,47,115,118,103,47,119,104,101,97,116,0,47,115,118,103,47,119,104,
105,116,101,0,47,115,118,103,47,119,104,105,116,101,115,109,111,107,101,0,47,115,118,103,47,121,101,108,108,111,119,0,47,115,118,103,47,121,101,108,108,111,119,103,114,101,101,110,0,47,121,108,103,110,51,47,49,0,47,121,108,103,110,51,47,50,0,47,121,108,103,110,51,47,51,0,47,121,108,103,110,52,47,49,0,47,121,108,103,110,52,47,50,0,47,121,108,103,110,52,47,51,0,47,121,108,103,110,52,47,52,0,47,121,108,103,110,53,47,49,0,47,121,108,103,110,53,47,50,0,47,121,108,103,110,53,47,51,0,47,121,108,103,110,
53,47,52,0,47,121,108,103,110,53,47,53,0,47,121,108,103,110,54,47,49,0,47,121,108,103,110,54,47,50,0,47,121,108,103,110,54,47,51,0,47,121,108,103,110,54,47,52,0,47,121,108,103,110,54,47,53,0,47,121,108,103,110,54,47,54,0,47,121,108,103,110,55,47,49,0,47,121,108,103,110,55,47,50,0,47,121,108,103,110,55,47,51,0,47,121,108,103,110,55,47,52,0,47,121,108,103,110,55,47,53,0,47,121,108,103,110,55,47,54,0,47,121,108,103,110,55,47,55,0,47,121,108,103,110,56,47,49,0,47,121,108,103,110,56,47,50,0,47,121,108,
103,110,56,47,51,0,47,121,108,103,110,56,47,52,0,47,121,108,103,110,56,47,53,0,47,121,108,103,110,56,47,54,0,47,121,108,103,110,56,47,55,0,47,121,108,103,110,56,47,56,0,47,121,108,103,110,57,47,49,0,47,121,108,103,110,57,47,50,0,47,121,108,103,110,57,47,51,0,47,121,108,103,110,57,47,52,0,47,121,108,103,110,57,47,53,0,47,121,108,103,110,57,47,54,0,47,121,108,103,110,57,47,55,0,47,121,108,103,110,57,47,56,0,47,121,108,103,110,57,47,57,0,47,121,108,103,110,98,117,51,47,49,0,47,121,108,103,110,98,117,
51,47,50,0,47,121,108,103,110,98,117,51,47,51,0,47,121,108,103,110,98,117,52,47,49,0,47,121,108,103,110,98,117,52,47,50,0,47,121,108,103,110,98,117,52,47,51,0,47,121,108,103,110,98,117,52,47,52,0,47,121,108,103,110,98,117,53,47,49,0,47,121,108,103,110,98,117,53,47,50,0,47,121,108,103,110,98,117,53,47,51,0,47,121,108,103,110,98,117,53,47,52,0,47,121,108,103,110,98,117,53,47,53,0,47,121,108,103,110,98,117,54,47,49,0,47,121,108,103,110,98,117,54,47,50,0,47,121,108,103,110,98,117,54,47,51,0,47,121,108,
103,110,98,117,54,47,52,0,47,121,108,103,110,98,117,54,47,53,0,47,121,108,103,110,98,117,54,47,54,0,47,121,108,103,110,98,117,55,47,49,0,47,121,108,103,110,98,117,55,47,50,0,47,121,108,103,110,98,117,55,47,51,0,47,121,108,103,110,98,117,55,47,52,0,47,121,108,103,110,98,117,55,47,53,0,47,121,108,103,110,98,117,55,47,54,0,47,121,108,103,110,98,117,55,47,55,0,47,121,108,103,110,98,117,56,47,49,0,47,121,108,103,110,98,117,56,47,50,0,47,121,108,103,110,98,117,56,47,51,0,47,121,108,103,110,98,117,56,47,
52,0,47,121,108,103,110,98,117,56,47,53,0,47,121,108,103,110,98,117,56,47,54,0,47,121,108,103,110,98,117,56,47,55,0,47,121,108,103,110,98,117,56,47,56,0,47,121,108,103,110,98,117,57,47,49,0,47,121,108,103,110,98,117,57,47,50,0,47,121,108,103,110,98,117,57,47,51,0,47,121,108,103,110,98,117,57,47,52,0,47,121,108,103,110,98,117,57,47,53,0,47,121,108,103,110,98,117,57,47,54,0,47,121,108,103,110,98,117,57,47,55,0,47,121,108,103,110,98,117,57,47,56,0,47,121,108,103,110,98,117,57,47,57,0,47,121,108,111,
114,98,114,51,47,49,0,47,121,108,111,114,98,114,51,47,50,0,47,121,108,111,114,98,114,51,47,51,0,47,121,108,111,114,98,114,52,47,49,0,47,121,108,111,114,98,114,52,47,50,0,47,121,108,111,114,98,114,52,47,51,0,47,121,108,111,114,98,114,52,47,52,0,47,121,108,111,114,98,114,53,47,49,0,47,121,108,111,114,98,114,53,47,50,0,47,121,108,111,114,98,114,53,47,51,0,47,121,108,111,114,98,114,53,47,52,0,47,121,108,111,114,98,114,53,47,53,0,47,121,108,111,114,98,114,54,47,49,0,47,121,108,111,114,98,114,54,47,50,
0,47,121,108,111,114,98,114,54,47,51,0,47,121,108,111,114,98,114,54,47,52,0,47,121,108,111,114,98,114,54,47,53,0,47,121,108,111,114,98,114,54,47,54,0,47,121,108,111,114,98,114,55,47,49,0,47,121,108,111,114,98,114,55,47,50,0,47,121,108,111,114,98,114,55,47,51,0,47,121,108,111,114,98,114,55,47,52,0,47,121,108,111,114,98,114,55,47,53,0,47,121,108,111,114,98,114,55,47,54,0,47,121,108,111,114,98,114,55,47,55,0,47,121,108,111,114,98,114,56,47,49,0,47,121,108,111,114,98,114,56,47,50,0,47,121,108,111,114,
98,114,56,47,51,0,47,121,108,111,114,98,114,56,47,52,0,47,121,108,111,114,98,114,56,47,53,0,47,121,108,111,114,98,114,56,47,54,0,47,121,108,111,114,98,114,56,47,55,0,47,121,108,111,114,98,114,56,47,56,0,47,121,108,111,114,98,114,57,47,49,0,47,121,108,111,114,98,114,57,47,50,0,47,121,108,111,114,98,114,57,47,51,0,47,121,108,111,114,98,114,57,47,52,0,47,121,108,111,114,98,114,57,47,53,0,47,121,108,111,114,98,114,57,47,54,0,47,121,108,111,114,98,114,57,47,55,0,47,121,108,111,114,98,114,57,47,56,0,47,
121,108,111,114,98,114,57,47,57,0,47,121,108,111,114,114,100,51,47,49,0,47,121,108,111,114,114,100,51,47,50,0,47,121,108,111,114,114,100,51,47,51,0,47,121,108,111,114,114,100,52,47,49,0,47,121,108,111,114,114,100,52,47,50,0,47,121,108,111,114,114,100,52,47,51,0,47,121,108,111,114,114,100,52,47,52,0,47,121,108,111,114,114,100,53,47,49,0,47,121,108,111,114,114,100,53,47,50,0,47,121,108,111,114,114,100,53,47,51,0,47,121,108,111,114,114,100,53,47,52,0,47,121,108,111,114,114,100,53,47,53,0,47,121,108,
111,114,114,100,54,47,49,0,47,121,108,111,114,114,100,54,47,50,0,47,121,108,111,114,114,100,54,47,51,0,47,121,108,111,114,114,100,54,47,52,0,47,121,108,111,114,114,100,54,47,53,0,47,121,108,111,114,114,100,54,47,54,0,47,121,108,111,114,114,100,55,47,49,0,47,121,108,111,114,114,100,55,47,50,0,47,121,108,111,114,114,100,55,47,51,0,47,121,108,111,114,114,100,55,47,52,0,47,121,108,111,114,114,100,55,47,53,0,47,121,108,111,114,114,100,55,47,54,0,47,121,108,111,114,114,100,55,47,55,0,47,121,108,111,114,
114,100,56,47,49,0,47,121,108,111,114,114,100,56,47,50,0,47,121,108,111,114,114,100,56,47,51,0,47,121,108,111,114,114,100,56,47,52,0,47,121,108,111,114,114,100,56,47,53,0,47,121,108,111,114,114,100,56,47,54,0,47,121,108,111,114,114,100,56,47,55,0,47,121,108,111,114,114,100,56,47,56,0,47,121,108,111,114,114,100,57,47,49,0,47,121,108,111,114,114,100,57,47,50,0,47,121,108,111,114,114,100,57,47,51,0,47,121,108,111,114,114,100,57,47,52,0,47,121,108,111,114,114,100,57,47,53,0,47,121,108,111,114,114,100,
57,47,54,0,47,121,108,111,114,114,100,57,47,55,0,47,121,108,111,114,114,100,57,47,56,0,47,121,108,111,114,114,100,57,47,57,0,97,108,105,99,101,98,108,117,101,0,97,110,116,105,113,117,101,119,104,105,116,101,0,97,110,116,105,113,117,101,119,104,105,116,101,49,0,97,110,116,105,113,117,101,119,104,105,116,101,50,0,97,110,116,105,113,117,101,119,104,105,116,101,51,0,97,110,116,105,113,117,101,119,104,105,116,101,52,0,97,113,117,97,109,97,114,105,110,101,0,97,113,117,97,109,97,114,105,110,101,49,0,97,
113,117,97,109,97,114,105,110,101,50,0,97,113,117,97,109,97,114,105,110,101,51,0,97,113,117,97,109,97,114,105,110,101,52,0,97,122,117,114,101,0,97,122,117,114,101,49,0,97,122,117,114,101,50,0,97,122,117,114,101,51,0,97,122,117,114,101,52,0,98,101,105,103,101,0,98,105,115,113,117,101,0,98,105,115,113,117,101,49,0,98,105,115,113,117,101,50,0,98,105,115,113,117,101,51,0,98,105,115,113,117,101,52,0,98,108,97,110,99,104,101,100,97,108,109,111,110,100,0,98,108,117,101,0,98,108,117,101,49,0,98,108,117,101,
50,0,98,108,117,101,51,0,98,108,117,101,52,0,98,108,117,101,118,105,111,108,101,116,0,98,114,111,119,110,0,98,114,111,119,110,49,0,98,114,111,119,110,50,0,98,114,111,119,110,51,0,98,114,111,119,110,52,0,98,117,114,108,121,119,111,111,100,0,98,117,114,108,121,119,111,111,100,49,0,98,117,114,108,121,119,111,111,100,50,0,98,117,114,108,121,119,111,111,100,51,0,98,117,114,108,121,119,111,111,100,52,0,99,97,100,101,116,98,108,117,101,0,99,97,100,101,116,98,108,117,101,49,0,99,97,100,101,116,98,108,117,
101,50,0,99,97,100,101,116,98,108,117,101,51,0,99,97,100,101,116,98,108,117,101,52,0,99,104,97,114,116,114,101,117,115,101,0,99,104,97,114,116,114,101,117,115,101,49,0,99,104,97,114,116,114,101,117,115,101,50,0,99,104,97,114,116,114,101,117,115,101,51,0,99,104,97,114,116,114,101,117,115,101,52,0,99,104,111,99,111,108,97,116,101,0,99,104,111,99,111,108,97,116,101,49,0,99,104,111,99,111,108,97,116,101,50,0,99,104,111,99,111,108,97,116,101,51,0,99,104,111,99,111,108,97,116,101,52,0,99,111,114,97,108,
0,99,111,114,97,108,49,0,99,111,114,97,108,50,0,99,111,114,97,108,51,0,99,111,114,97,108,52,0,99,111,114,110,102,108,111,119,101,114,98,108,117,101,0,99,111,114,110,115,105,108,107,0,99,111,114,110,115,105,108,107,49,0,99,111,114,110,115,105,108,107,50,0,99,111,114,110,115,105,108,107,51,0,99,111,114,110,115,105,108,107,52,0,99,114,105,109,115,111,110,0,99,121,97,110,0,99,121,97,110,49,0,99,121,97,110,50,0,99,121,97,110,51,0,99,121,97,110,52,0,100,97,114,107,103,111,108,100,101,110,114,111,100,0,
100,97,114,107,103,111,108,100,101,110,114,111,100,49,0,100,97,114,107,103,111,108,100,101,110,114,111,100,50,0,100,97,114,107,103,111,108,100,101,110,114,111,100,51,0,100,97,114,107,103,111,108,100,101,110,114,111,100,52,0,100,97,114,107,103,114,101,101,110,0,100,97,114,107,107,104,97,107,105,0,100,97,114,107,111,108,105,118,101,103,114,101,101,110,0,100,97,114,107,111,108,105,118,101,103,114,101,101,110,49,0,100,97,114,107,111,108,105,118,101,103,114,101,101,110,50,0,100,97,114,107,111,108,105,
118,101,103,114,101,101,110,51,0,100,97,114,107,111,108,105,118,101,103,114,101,101,110,52,0,100,97,114,107,111,114,97,110,103,101,0,100,97,114,107,111,114,97,110,103,101,49,0,100,97,114,107,111,114,97,110,103,101,50,0,100,97,114,107,111,114,97,110,103,101,51,0,100,97,114,107,111,114,97,110,103,101,52,0,100,97,114,107,111,114,99,104,105,100,0,100,97,114,107,111,114,99,104,105,100,49,0,100,97,114,107,111,114,99,104,105,100,50,0,100,97,114,107,111,114,99,104,105,100,51,0,100,97,114,107,111,114,99,104,
105,100,52,0,100,97,114,107,115,97,108,109,111,110,0,100,97,114,107,115,101,97,103,114,101,101,110,0,100,97,114,107,115,101,97,103,114,101,101,110,49,0,100,97,114,107,115,101,97,103,114,101,101,110,50,0,100,97,114,107,115,101,97,103,114,101,101,110,51,0,100,97,114,107,115,101,97,103,114,101,101,110,52,0,100,97,114,107,115,108,97,116,101,98,108,117,101,0,100,97,114,107,115,108,97,116,101,103,114,97,121,0,100,97,114,107,115,108,97,116,101,103,114,97,121,49,0,100,97,114,107,115,108,97,116,101,103,114,
97,121,50,0,100,97,114,107,115,108,97,116,101,103,114,97,121,51,0,100,97,114,107,115,108,97,116,101,103,114,97,121,52,0,100,97,114,107,115,108,97,116,101,103,114,101,121,0,100,97,114,107,116,117,114,113,117,111,105,115,101,0,100,97,114,107,118,105,111,108,101,116,0,100,101,101,112,112,105,110,107,0,100,101,101,112,112,105,110,107,49,0,100,101,101,112,112,105,110,107,50,0,100,101,101,112,112,105,110,107,51,0,100,101,101,112,112,105,110,107,52,0,100,101,101,112,115,107,121,98,108,117,101,0,100,101,
101,112,115,107,121,98,108,117,101,49,0,100,101,101,112,115,107,121,98,108,117,101,50,0,100,101,101,112,115,107,121,98,108,117,101,51,0,100,101,101,112,115,107,121,98,108,117,101,52,0,100,105,109,103,114,97,121,0,100,105,109,103,114,101,121,0,100,111,100,103,101,114,98,108,117,101,0,100,111,100,103,101,114,98,108,117,101,49,0,100,111,100,103,101,114,98,108,117,101,50,0,100,111,100,103,101,114,98,108,117,101,51,0,100,111,100,103,101,114,98,108,117,101,52,0,102,105,114,101,98,114,105,99,107,0,102,105,
114,101,98,114,105,99,107,49,0,102,105,114,101,98,114,105,99,107,50,0,102,105,114,101,98,114,105,99,107,51,0,102,105,114,101,98,114,105,99,107,52,0,102,108,111,114,97,108,119,104,105,116,101,0,102,111,114,101,115,116,103,114,101,101,110,0,103,97,105,110,115,98,111,114,111,0,103,104,111,115,116,119,104,105,116,101,0,103,111,108,100,0,103,111,108,100,49,0,103,111,108,100,50,0,103,111,108,100,51,0,103,111,108,100,52,0,103,111,108,100,101,110,114,111,100,0,103,111,108,100,101,110,114,111,100,49,0,103,
111,108,100,101,110,114,111,100,50,0,103,111,108,100,101,110,114,111,100,51,0,103,111,108,100,101,110,114,111,100,52,0,103,114,97,121,0,103,114,97,121,48,0,103,114,97,121,49,0,103,114,97,121,49,48,0,103,114,97,121,49,48,48,0,103,114,97,121,49,49,0,103,114,97,121,49,50,0,103,114,97,121,49,51,0,103,114,97,121,49,52,0,103,114,97,121,49,53,0,103,114,97,121,49,54,0,103,114,97,121,49,55,0,103,114,97,121,49,56,0,103,114,97,121,49,57,0,103,114,97,121,50,0,103,114,97,121,50,48,0,103,114,97,121,50,49,0,103,
114,97,121,50,50,0,103,114,97,121,50,51,0,103,114,97,121,50,52,0,103,114,97,121,50,53,0,103,114,97,121,50,54,0,103,114,97,121,50,55,0,103,114,97,121,50,56,0,103,114,97,121,50,57,0,103,114,97,121,51,0,103,114,97,121,51,48,0,103,114,97,121,51,49,0,103,114,97,121,51,50,0,103,114,97,121,51,51,0,103,114,97,121,51,52,0,103,114,97,121,51,53,0,103,114,97,121,51,54,0,103,114,97,121,51,55,0,103,114,97,121,51,56,0,103,114,97,121,51,57,0,103,114,97,121,52,0,103,114,97,121,52,48,0,103,114,97,121,52,49,0,103,114,
97,121,52,50,0,103,114,97,121,52,51,0,103,114,97,121,52,52,0,103,114,97,121,52,53,0,103,114,97,121,52,54,0,103,114,97,121,52,55,0,103,114,97,121,52,56,0,103,114,97,121,52,57,0,103,114,97,121,53,0,103,114,97,121,53,48,0,103,114,97,121,53,49,0,103,114,97,121,53,50,0,103,114,97,121,53,51,0,103,114,97,121,53,52,0,103,114,97,121,53,53,0,103,114,97,121,53,54,0,103,114,97,121,53,55,0,103,114,97,121,53,56,0,103,114,97,121,53,57,0,103,114,97,121,54,0,103,114,97,121,54,48,0,103,114,97,121,54,49,0,103,114,97,
121,54,50,0,103,114,97,121,54,51,0,103,114,97,121,54,52,0,103,114,97,121,54,53,0,103,114,97,121,54,54,0,103,114,97,121,54,55,0,103,114,97,121,54,56,0,103,114,97,121,54,57,0,103,114,97,121,55,0,103,114,97,121,55,48,0,103,114,97,121,55,49,0,103,114,97,121,55,50,0,103,114,97,121,55,51,0,103,114,97,121,55,52,0,103,114,97,121,55,53,0,103,114,97,121,55,54,0,103,114,97,121,55,55,0,103,114,97,121,55,56,0,103,114,97,121,55,57,0,103,114,97,121,56,0,103,114,97,121,56,48,0,103,114,97,121,56,49,0,103,114,97,121,
56,50,0,103,114,97,121,56,51,0,103,114,97,121,56,52,0,103,114,97,121,56,53,0,103,114,97,121,56,54,0,103,114,97,121,56,55,0,103,114,97,121,56,56,0,103,114,97,121,56,57,0,103,114,97,121,57,0,103,114,97,121,57,48,0,103,114,97,121,57,49,0,103,114,97,121,57,50,0,103,114,97,121,57,51,0,103,114,97,121,57,52,0,103,114,97,121,57,53,0,103,114,97,121,57,54,0,103,114,97,121,57,55,0,103,114,97,121,57,56,0,103,114,97,121,57,57,0,103,114,101,101,110,0,103,114,101,101,110,49,0,103,114,101,101,110,50,0,103,114,101,
101,110,51,0,103,114,101,101,110,52,0,103,114,101,101,110,121,101,108,108,111,119,0,103,114,101,121,0,103,114,101,121,48,0,103,114,101,121,49,0,103,114,101,121,49,48,0,103,114,101,121,49,48,48,0,103,114,101,121,49,49,0,103,114,101,121,49,50,0,103,114,101,121,49,51,0,103,114,101,121,49,52,0,103,114,101,121,49,53,0,103,114,101,121,49,54,0,103,114,101,121,49,55,0,103,114,101,121,49,56,0,103,114,101,121,49,57,0,103,114,101,121,50,0,103,114,101,121,50,48,0,103,114,101,121,50,49,0,103,114,101,121,50,50,
0,103,114,101,121,50,51,0,103,114,101,121,50,52,0,103,114,101,121,50,53,0,103,114,101,121,50,54,0,103,114,101,121,50,55,0,103,114,101,121,50,56,0,103,114,101,121,50,57,0,103,114,101,121,51,0,103,114,101,121,51,48,0,103,114,101,121,51,49,0,103,114,101,121,51,50,0,103,114,101,121,51,51,0,103,114,101,121,51,52,0,103,114,101,121,51,53,0,103,114,101,121,51,54,0,103,114,101,121,51,55,0,103,114,101,121,51,56,0,103,114,101,121,51,57,0,103,114,101,121,52,0,103,114,101,121,52,48,0,103,114,101,121,52,49,0,103,
114,101,121,52,50,0,103,114,101,121,52,51,0,103,114,101,121,52,52,0,103,114,101,121,52,53,0,103,114,101,121,52,54,0,103,114,101,121,52,55,0,103,114,101,121,52,56,0,103,114,101,121,52,57,0,103,114,101,121,53,0,103,114,101,121,53,48,0,103,114,101,121,53,49,0,103,114,101,121,53,50,0,103,114,101,121,53,51,0,103,114,101,121,53,52,0,103,114,101,121,53,53,0,103,114,101,121,53,54,0,103,114,101,121,53,55,0,103,114,101,121,53,56,0,103,114,101,121,53,57,0,103,114,101,121,54,0,103,114,101,121,54,48,0,103,114,
101,121,54,49,0,103,114,101,121,54,50,0,103,114,101,121,54,51,0,103,114,101,121,54,52,0,103,114,101,121,54,53,0,103,114,101,121,54,54,0,103,114,101,121,54,55,0,103,114,101,121,54,56,0,103,114,101,121,54,57,0,103,114,101,121,55,0,103,114,101,121,55,48,0,103,114,101,121,55,49,0,103,114,101,121,55,50,0,103,114,101,121,55,51,0,103,114,101,121,55,52,0,103,114,101,121,55,53,0,103,114,101,121,55,54,0,103,114,101,121,55,55,0,103,114,101,121,55,56,0,103,114,101,121,55,57,0,103,114,101,121,56,0,103,114,101,
121,56,48,0,103,114,101,121,56,49,0,103,114,101,121,56,50,0,103,114,101,121,56,51,0,103,114,101,121,56,52,0,103,114,101,121,56,53,0,103,114,101,121,56,54,0,103,114,101,121,56,55,0,103,114,101,121,56,56,0,103,114,101,121,56,57,0,103,114,101,121,57,0,103,114,101,121,57,48,0,103,114,101,121,57,49,0,103,114,101,121,57,50,0,103,114,101,121,57,51,0,103,114,101,121,57,52,0,103,114,101,121,57,53,0,103,114,101,121,57,54,0,103,114,101,121,57,55,0,103,114,101,121,57,56,0,103,114,101,121,57,57,0,104,111,110,
101,121,100,101,119,0,104,111,110,101,121,100,101,119,49,0,104,111,110,101,121,100,101,119,50,0,104,111,110,101,121,100,101,119,51,0,104,111,110,101,121,100,101,119,52,0,104,111,116,112,105,110,107,0,104,111,116,112,105,110,107,49,0,104,111,116,112,105,110,107,50,0,104,111,116,112,105,110,107,51,0,104,111,116,112,105,110,107,52,0,105,110,100,105,97,110,114,101,100,0,105,110,100,105,97,110,114,101,100,49,0,105,110,100,105,97,110,114,101,100,50,0,105,110,100,105,97,110,114,101,100,51,0,105,110,100,
105,97,110,114,101,100,52,0,105,110,100,105,103,111,0,105,110,118,105,115,0,105,118,111,114,121,0,105,118,111,114,121,49,0,105,118,111,114,121,50,0,105,118,111,114,121,51,0,105,118,111,114,121,52,0,107,104,97,107,105,0,107,104,97,107,105],"i8",4,n.q+165226);
B([49,0,107,104,97,107,105,50,0,107,104,97,107,105,51,0,107,104,97,107,105,52,0,108,97,118,101,110,100,101,114,0,108,97,118,101,110,100,101,114,98,108,117,115,104,0,108,97,118,101,110,100,101,114,98,108,117,115,104,49,0,108,97,118,101,110,100,101,114,98,108,117,115,104,50,0,108,97,118,101,110,100,101,114,98,108,117,115,104,51,0,108,97,118,101,110,100,101,114,98,108,117,115,104,52,0,108,97,119,110,103,114,101,101,110,0,108,101,109,111,110,99,104,105,102,102,111,110,0,108,101,109,111,110,99,104,105,
102,102,111,110,49,0,108,101,109,111,110,99,104,105,102,102,111,110,50,0,108,101,109,111,110,99,104,105,102,102,111,110,51,0,108,101,109,111,110,99,104,105,102,102,111,110,52,0,108,105,103,104,116,98,108,117,101,0,108,105,103,104,116,98,108,117,101,49,0,108,105,103,104,116,98,108,117,101,50,0,108,105,103,104,116,98,108,117,101,51,0,108,105,103,104,116,98,108,117,101,52,0,108,105,103,104,116,99,111,114,97,108,0,108,105,103,104,116,99,121,97,110,0,108,105,103,104,116,99,121,97,110,49,0,108,105,103,
104,116,99,121,97,110,50,0,108,105,103,104,116,99,121,97,110,51,0,108,105,103,104,116,99,121,97,110,52,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,49,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,50,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,51,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,52,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,121,101,108,108,111,119,0,108,105,103,
104,116,103,114,97,121,0,108,105,103,104,116,103,114,101,121,0,108,105,103,104,116,112,105,110,107,0,108,105,103,104,116,112,105,110,107,49,0,108,105,103,104,116,112,105,110,107,50,0,108,105,103,104,116,112,105,110,107,51,0,108,105,103,104,116,112,105,110,107,52,0,108,105,103,104,116,115,97,108,109,111,110,0,108,105,103,104,116,115,97,108,109,111,110,49,0,108,105,103,104,116,115,97,108,109,111,110,50,0,108,105,103,104,116,115,97,108,109,111,110,51,0,108,105,103,104,116,115,97,108,109,111,110,52,0,
108,105,103,104,116,115,101,97,103,114,101,101,110,0,108,105,103,104,116,115,107,121,98,108,117,101,0,108,105,103,104,116,115,107,121,98,108,117,101,49,0,108,105,103,104,116,115,107,121,98,108,117,101,50,0,108,105,103,104,116,115,107,121,98,108,117,101,51,0,108,105,103,104,116,115,107,121,98,108,117,101,52,0,108,105,103,104,116,115,108,97,116,101,98,108,117,101,0,108,105,103,104,116,115,108,97,116,101,103,114,97,121,0,108,105,103,104,116,115,108,97,116,101,103,114,101,121,0,108,105,103,104,116,115,
116,101,101,108,98,108,117,101,0,108,105,103,104,116,115,116,101,101,108,98,108,117,101,49,0,108,105,103,104,116,115,116,101,101,108,98,108,117,101,50,0,108,105,103,104,116,115,116,101,101,108,98,108,117,101,51,0,108,105,103,104,116,115,116,101,101,108,98,108,117,101,52,0,108,105,103,104,116,121,101,108,108,111,119,0,108,105,103,104,116,121,101,108,108,111,119,49,0,108,105,103,104,116,121,101,108,108,111,119,50,0,108,105,103,104,116,121,101,108,108,111,119,51,0,108,105,103,104,116,121,101,108,108,
111,119,52,0,108,105,109,101,103,114,101,101,110,0,108,105,110,101,110,0,109,97,103,101,110,116,97,0,109,97,103,101,110,116,97,49,0,109,97,103,101,110,116,97,50,0,109,97,103,101,110,116,97,51,0,109,97,103,101,110,116,97,52,0,109,97,114,111,111,110,0,109,97,114,111,111,110,49,0,109,97,114,111,111,110,50,0,109,97,114,111,111,110,51,0,109,97,114,111,111,110,52,0,109,101,100,105,117,109,97,113,117,97,109,97,114,105,110,101,0,109,101,100,105,117,109,98,108,117,101,0,109,101,100,105,117,109,111,114,99,
104,105,100,0,109,101,100,105,117,109,111,114,99,104,105,100,49,0,109,101,100,105,117,109,111,114,99,104,105,100,50,0,109,101,100,105,117,109,111,114,99,104,105,100,51,0,109,101,100,105,117,109,111,114,99,104,105,100,52,0,109,101,100,105,117,109,112,117,114,112,108,101,0,109,101,100,105,117,109,112,117,114,112,108,101,49,0,109,101,100,105,117,109,112,117,114,112,108,101,50,0,109,101,100,105,117,109,112,117,114,112,108,101,51,0,109,101,100,105,117,109,112,117,114,112,108,101,52,0,109,101,100,105,117,
109,115,101,97,103,114,101,101,110,0,109,101,100,105,117,109,115,108,97,116,101,98,108,117,101,0,109,101,100,105,117,109,115,112,114,105,110,103,103,114,101,101,110,0,109,101,100,105,117,109,116,117,114,113,117,111,105,115,101,0,109,101,100,105,117,109,118,105,111,108,101,116,114,101,100,0,109,105,100,110,105,103,104,116,98,108,117,101,0,109,105,110,116,99,114,101,97,109,0,109,105,115,116,121,114,111,115,101,0,109,105,115,116,121,114,111,115,101,49,0,109,105,115,116,121,114,111,115,101,50,0,109,105,
115,116,121,114,111,115,101,51,0,109,105,115,116,121,114,111,115,101,52,0,109,111,99,99,97,115,105,110,0,110,97,118,97,106,111,119,104,105,116,101,0,110,97,118,97,106,111,119,104,105,116,101,49,0,110,97,118,97,106,111,119,104,105,116,101,50,0,110,97,118,97,106,111,119,104,105,116,101,51,0,110,97,118,97,106,111,119,104,105,116,101,52,0,110,97,118,121,0,110,97,118,121,98,108,117,101,0,110,111,110,101,0,111,108,100,108,97,99,101,0,111,108,105,118,101,100,114,97,98,0,111,108,105,118,101,100,114,97,98,
49,0,111,108,105,118,101,100,114,97,98,50,0,111,108,105,118,101,100,114,97,98,51,0,111,108,105,118,101,100,114,97,98,52,0,111,114,97,110,103,101,0,111,114,97,110,103,101,49,0,111,114,97,110,103,101,50,0,111,114,97,110,103,101,51,0,111,114,97,110,103,101,52,0,111,114,97,110,103,101,114,101,100,0,111,114,97,110,103,101,114,101,100,49,0,111,114,97,110,103,101,114,101,100,50,0,111,114,97,110,103,101,114,101,100,51,0,111,114,97,110,103,101,114,101,100,52,0,111,114,99,104,105,100,0,111,114,99,104,105,100,
49,0,111,114,99,104,105,100,50,0,111,114,99,104,105,100,51,0,111,114,99,104,105,100,52,0,112,97,108,101,103,111,108,100,101,110,114,111,100,0,112,97,108,101,103,114,101,101,110,0,112,97,108,101,103,114,101,101,110,49,0,112,97,108,101,103,114,101,101,110,50,0,112,97,108,101,103,114,101,101,110,51,0,112,97,108,101,103,114,101,101,110,52,0,112,97,108,101,116,117,114,113,117,111,105,115,101,0,112,97,108,101,116,117,114,113,117,111,105,115,101,49,0,112,97,108,101,116,117,114,113,117,111,105,115,101,50,
0,112,97,108,101,116,117,114,113,117,111,105,115,101,51,0,112,97,108,101,116,117,114,113,117,111,105,115,101,52,0,112,97,108,101,118,105,111,108,101,116,114,101,100,0,112,97,108,101,118,105,111,108,101,116,114,101,100,49,0,112,97,108,101,118,105,111,108,101,116,114,101,100,50,0,112,97,108,101,118,105,111,108,101,116,114,101,100,51,0,112,97,108,101,118,105,111,108,101,116,114,101,100,52,0,112,97,112,97,121,97,119,104,105,112,0,112,101,97,99,104,112,117,102,102,0,112,101,97,99,104,112,117,102,102,49,
0,112,101,97,99,104,112,117,102,102,50,0,112,101,97,99,104,112,117,102,102,51,0,112,101,97,99,104,112,117,102,102,52,0,112,101,114,117,0,112,105,110,107,0,112,105,110,107,49,0,112,105,110,107,50,0,112,105,110,107,51,0,112,105,110,107,52,0,112,108,117,109,0,112,108,117,109,49,0,112,108,117,109,50,0,112,108,117,109,51,0,112,108,117,109,52,0,112,111,119,100,101,114,98,108,117,101,0,112,117,114,112,108,101,0,112,117,114,112,108,101,49,0,112,117,114,112,108,101,50,0,112,117,114,112,108,101,51,0,112,117,
114,112,108,101,52,0,114,101,100,0,114,101,100,49,0,114,101,100,50,0,114,101,100,51,0,114,101,100,52,0,114,111,115,121,98,114,111,119,110,0,114,111,115,121,98,114,111,119,110,49,0,114,111,115,121,98,114,111,119,110,50,0,114,111,115,121,98,114,111,119,110,51,0,114,111,115,121,98,114,111,119,110,52,0,114,111,121,97,108,98,108,117,101,0,114,111,121,97,108,98,108,117,101,49,0,114,111,121,97,108,98,108,117,101,50,0,114,111,121,97,108,98,108,117,101,51,0,114,111,121,97,108,98,108,117,101,52,0,115,97,100,
100,108,101,98,114,111,119,110,0,115,97,108,109,111,110,0,115,97,108,109,111,110,49,0,115,97,108,109,111,110,50,0,115,97,108,109,111,110,51,0,115,97,108,109,111,110,52,0,115,97,110,100,121,98,114,111,119,110,0,115,101,97,103,114,101,101,110,0,115,101,97,103,114,101,101,110,49,0,115,101,97,103,114,101,101,110,50,0,115,101,97,103,114,101,101,110,51,0,115,101,97,103,114,101,101,110,52,0,115,101,97,115,104,101,108,108,0,115,101,97,115,104,101,108,108,49,0,115,101,97,115,104,101,108,108,50,0,115,101,97,
115,104,101,108,108,51,0,115,101,97,115,104,101,108,108,52,0,115,105,101,110,110,97,0,115,105,101,110,110,97,49,0,115,105,101,110,110,97,50,0,115,105,101,110,110,97,51,0,115,105,101,110,110,97,52,0,115,107,121,98,108,117,101,0,115,107,121,98,108,117,101,49,0,115,107,121,98,108,117,101,50,0,115,107,121,98,108,117,101,51,0,115,107,121,98,108,117,101,52,0,115,108,97,116,101,98,108,117,101,0,115,108,97,116,101,98,108,117,101,49,0,115,108,97,116,101,98,108,117,101,50,0,115,108,97,116,101,98,108,117,101,
51,0,115,108,97,116,101,98,108,117,101,52,0,115,108,97,116,101,103,114,97,121,0,115,108,97,116,101,103,114,97,121,49,0,115,108,97,116,101,103,114,97,121,50,0,115,108,97,116,101,103,114,97,121,51,0,115,108,97,116,101,103,114,97,121,52,0,115,108,97,116,101,103,114,101,121,0,115,110,111,119,0,115,110,111,119,49,0,115,110,111,119,50,0,115,110,111,119,51,0,115,110,111,119,52,0,115,112,114,105,110,103,103,114,101,101,110,0,115,112,114,105,110,103,103,114,101,101,110,49,0,115,112,114,105,110,103,103,114,
101,101,110,50,0,115,112,114,105,110,103,103,114,101,101,110,51,0,115,112,114,105,110,103,103,114,101,101,110,52,0,115,116,101,101,108,98,108,117,101,0,115,116,101,101,108,98,108,117,101,49,0,115,116,101,101,108,98,108,117,101,50,0,115,116,101,101,108,98,108,117,101,51,0,115,116,101,101,108,98,108,117,101,52,0,116,97,110,0,116,97,110,49,0,116,97,110,50,0,116,97,110,51,0,116,97,110,52,0,116,104,105,115,116,108,101,0,116,104,105,115,116,108,101,49,0,116,104,105,115,116,108,101,50,0,116,104,105,115,
116,108,101,51,0,116,104,105,115,116,108,101,52,0,116,111,109,97,116,111,0,116,111,109,97,116,111,49,0,116,111,109,97,116,111,50,0,116,111,109,97,116,111,51,0,116,111,109,97,116,111,52,0,116,117,114,113,117,111,105,115,101,0,116,117,114,113,117,111,105,115,101,49,0,116,117,114,113,117,111,105,115,101,50,0,116,117,114,113,117,111,105,115,101,51,0,116,117,114,113,117,111,105,115,101,52,0,118,105,111,108,101,116,0,118,105,111,108,101,116,114,101,100,0,118,105,111,108,101,116,114,101,100,49,0,118,105,
111,108,101,116,114,101,100,50,0,118,105,111,108,101,116,114,101,100,51,0,118,105,111,108,101,116,114,101,100,52,0,119,104,101,97,116,0,119,104,101,97,116,49,0,119,104,101,97,116,50,0,119,104,101,97,116,51,0,119,104,101,97,116,52,0,119,104,105,116,101,0,119,104,105,116,101,115,109,111,107,101,0,121,101,108,108,111,119,0,121,101,108,108,111,119,49,0,121,101,108,108,111,119,50,0,121,101,108,108,111,119,51,0,121,101,108,108,111,119,52,0,121,101,108,108,111,119,103,114,101,101,110,0,47,37,115,47,37,115,
0,105,109,97,103,101,115,99,97,108,101,0,102,97,108,115,101,0,98,108,97,99,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,100,0,65,103,110,111,100,101,105,110,102,111,95,116,0,114,111,119,103,0,99,111,108,103,0,65,103,114,97,112,104,105,110,102,111,95,116,0,45,62,0,100,101,108,120,32,62,61,32,48,0,104,116,109,108,116,97,98,108,101,46,99,
0,112,111,115,95,104,116,109,108,95,116,98,108,0,100,101,108,121,32,62,61,32,48,0,116,97,98,108,101,32,115,105,122,101,32,116,111,111,32,115,109,97,108,108,32,102,111,114,32,99,111,110,116,101,110,116,10,0,102,105,120,101,100,32,116,97,98,108,101,32,115,105,122,101,32,119,105,116,104,32,117,110,115,112,101,99,105,102,105,101,100,32,119,105,100,116,104,32,111,114,32,104,101,105,103,104,116,10,0,78,111,32,111,114,32,105,109,112,114,111,112,101,114,32,105,109,97,103,101,32,102,105,108,101,61,34,37,115,
34,10,0,99,101,108,108,32,115,105,122,101,32,116,111,111,32,115,109,97,108,108,32,102,111,114,32,99,111,110,116,101,110,116,10,0,102,105,120,101,100,32,99,101,108,108,32,115,105,122,101,32,119,105,116,104,32,117,110,115,112,101,99,105,102,105,101,100,32,119,105,100,116,104,32,111,114,32,104,101,105,103,104,116,10,0,112,101,110,99,111,108,111,114,0,65,103,101,100,103,101,105,110,102,111,95,116,0,49,0,50,0,51,0,52,0,53,0,54,0,55,0,56,0,57,0,49,48,0,49,49,0,49,50,0,49,51,0,49,52,0,49,53,0,49,54,0,49,
55,0,49,56,0,49,57,0,50,48,0,99,112,45,62,115,114,99,0,101,109,105,116,95,104,116,109,108,95,105,109,103,0,99,112,45,62,115,114,99,91,48,93,0,100,97,115,104,101,100,0,100,111,116,116,101,100,0,116,114,97,110,115,112,97,114,101,110,116,0,95,37,100,0,102,80,81,46,99,0,80,81,99,104,101,99,107,0,72,101,97,112,32,111,118,101,114,102,108,111,119,10,0,37,37,37,37,80,97,103,101,58,32,49,32,49,10,37,37,37,37,80,97,103,101,66,111,117,110,100,105,110,103,66,111,120,58,32,37,100,32,37,100,32,37,100,32,37,100,
10,0,37,102,32,37,102,32,116,114,97,110,115,108,97,116,101,10,0,48,32,48,32,49,32,115,101,116,114,103,98,99,111,108,111,114,10,0,37,102,32,37,102,32,37,102,32,37,102,32,110,111,100,101,10,0,48,32,48,32,48,32,115,101,116,114,103,98,99,111,108,111,114,10,0,37,102,32,37,102,32,37,102,32,37,102,32,99,101,108,108,10,0,49,32,48,32,48,32,115,101,116,114,103,98,99,111,108,111,114,10,0,102,97,105,108,101,100,32,97,116,32,110,111,100,101,32,37,100,91,48,93,10,0,110,112,45,62,99,101,108,108,115,91,48,93,0,109,
97,122,101,46,99,0,99,104,107,83,103,114,97,112,104,0,102,97,105,108,101,100,32,97,116,32,110,111,100,101,32,37,100,91,49,93,10,0,110,112,45,62,99,101,108,108,115,91,49,93,0,37,33,80,83,45,65,100,111,98,101,45,50,46,48,10,47,110,111,100,101,32,123,10,32,32,47,89,32,101,120,99,104,32,100,101,102,10,32,32,47,88,32,101,120,99,104,32,100,101,102,10,32,32,47,121,32,101,120,99,104,32,100,101,102,10,32,32,47,120,32,101,120,99,104,32,100,101,102,10,32,32,110,101,119,112,97,116,104,10,32,32,120,32,121,32,
109,111,118,101,116,111,10,32,32,120,32,89,32,108,105,110,101,116,111,10,32,32,88,32,89,32,108,105,110,101,116,111,10,32,32,88,32,121,32,108,105,110,101,116,111,10,32,32,99,108,111,115,101,112,97,116,104,32,102,105,108,108,10,125,32,100,101,102,10,47,99,101,108,108,32,123,10,32,32,47,89,32,101,120,99,104,32,100,101,102,10,32,32,47,88,32,101,120,99,104,32,100,101,102,10,32,32,47,121,32,101,120,99,104,32,100,101,102,10,32,32,47,120,32,101,120,99,104,32,100,101,102,10,32,32,110,101,119,112,97,116,104,
10,32,32,120,32,121,32,109,111,118,101,116,111,10,32,32,120,32,89,32,108,105,110,101,116,111,10,32,32,88,32,89,32,108,105,110,101,116,111,10,32,32,88,32,121,32,108,105,110,101,116,111,10,32,32,99,108,111,115,101,112,97,116,104,32,115,116,114,111,107,101,10,125,32,100,101,102,10,0,115,104,111,119,112,97,103,101,10,0,100,105,116,101,109,115,0,102,105,110,100,83,86,101,114,116,0,117,110,101,120,112,101,99,116,101,100,32,99,97,115,101,32,105,110,32,108,111,99,97,116,101,95,101,110,100,112,111,105,110,
116,10,0,48,0,116,114,97,112,101,122,111,105,100,46,99,0,108,111,99,97,116,101,95,101,110,100,112,111,105,110,116,0,97,100,100,95,115,101,103,109,101,110,116,58,32,101,114,114,111,114,10,0,110,101,119,116,114,97,112,58,32,84,114,97,112,101,122,111,105,100,45,116,97,98,108,101,32,111,118,101,114,102,108,111,119,32,37,100,10,0,110,101,119,116,114,97,112,0,110,101,119,110,111,100,101,58,32,81,117,101,114,121,45,116,97,98,108,101,32,111,118,101,114,102,108,111,119,10,0,110,101,119,110,111,100,101,0,105,
110,100,101,120,46,99,0,82,84,114,101,101,83,101,97,114,99,104,0,110,45,62,108,101,118,101,108,32,62,61,32,48,0,82,84,114,101,101,73,110,115,101,114,116,0,108,101,118,101,108,32,62,61,32,48,32,38,38,32,108,101,118,101,108,32,60,61,32,40,42,110,41,45,62,108,101,118,101,108,0,114,45,62,98,111,117,110,100,97,114,121,91,105,93,32,60,61,32,114,45,62,98,111,117,110,100,97,114,121,91,78,85,77,68,73,77,83,32,43,32,105,93,0,114,32,38,38,32,110,32,38,38,32,110,101,119,0,82,84,114,101,101,73,110,115,101,114,
116,50,0,108,101,118,101,108,32,62,61,32,48,32,38,38,32,108,101,118,101,108,32,60,61,32,110,45,62,108,101,118,101,108,0,70,65,76,83,69,0,110,111,100,101,46,99,0,78,111,100,101,67,111,118,101,114,0,114,32,38,38,32,110,0,80,105,99,107,66,114,97,110,99,104,0,65,100,100,66,114,97,110,99,104,0,105,32,60,32,78,79,68,69,67,65,82,68,0,110,101,119,0,110,32,38,38,32,105,32,62,61,32,48,32,38,38,32,105,32,60,32,78,79,68,69,67,65,82,68,0,68,105,115,99,111,110,66,114,97,110,99,104,0,114,0,114,101,99,116,97,110,
103,108,101,46,99,0,82,101,99,116,65,114,101,97,0,114,32,38,38,32,114,114,0,67,111,109,98,105,110,101,82,101,99,116,0,114,32,38,38,32,115,0,79,118,101,114,108,97,112,0,110,0,115,112,108,105,116,46,113,46,99,0,83,112,108,105,116,78,111,100,101,0,98,0,110,45,62,98,114,97,110,99,104,91,105,93,46,99,104,105,108,100,0,71,101,116,66,114,97,110,99,104,101,115,0,114,116,112,45,62,115,112,108,105,116,46,80,97,114,116,105,116,105,111,110,115,91,48,93,46,99,111,117,110,116,91,48,93,32,43,32,114,116,112,45,62,
115,112,108,105,116,46,80,97,114,116,105,116,105,111,110,115,91,48,93,46,99,111,117,110,116,91,49,93,32,61,61,32,78,79,68,69,67,65,82,68,32,43,32,49,0,77,101,116,104,111,100,90,101,114,111,0,114,116,112,45,62,115,112,108,105,116,46,80,97,114,116,105,116,105,111,110,115,91,48,93,46,99,111,117,110,116,91,48,93,32,62,61,32,114,116,112,45,62,77,105,110,70,105,108,108,32,38,38,32,114,116,112,45,62,115,112,108,105,116,46,80,97,114,116,105,116,105,111,110,115,91,48,93,46,99,111,117,110,116,91,49,93,32,62,
61,32,114,116,112,45,62,77,105,110,70,105,108,108,0,113,0,76,111,97,100,78,111,100,101,115,0,114,116,112,45,62,115,112,108,105,116,46,80,97,114,116,105,116,105,111,110,115,91,48,93,46,112,97,114,116,105,116,105,111,110,91,105,93,32,61,61,32,48,32,124,124,32,114,116,112,45,62,115,112,108,105,116,46,80,97,114,116,105,116,105,111,110,115,91,48,93,46,112,97,114,116,105,116,105,111,110,91,105,93,32,61,61,32,49,0,110,45,62,99,111,117,110,116,32,43,32,40,42,110,110,41,45,62,99,111,117,110,116,32,61,61,32,
78,79,68,69,67,65,82,68,32,43,32,49,0,33,114,116,112,45,62,115,112,108,105,116,46,80,97,114,116,105,116,105,111,110,115,91,48,93,46,116,97,107,101,110,91,105,93,0,67,108,97,115,115,105,102,121,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,2,2,2,2,2,2,16,12,89,1,0,31,80,8,3,7,18,19,20,87,22,23,8,11,105,12,31,10,5,12,14,41,17,43,15,45,16,47,48,32,50,6,52,53,27,28,29,30,11,12,33,34,35,36,37,38,39,40,12,24,25,23,4,10,27,28,
26,32,42,10,33,34,35,36,37,38,39,40,12,10,14,83,10,44,88,49,88,88,88,88,88,88,12,27,28,15,46,88,51,33,34,35,36,37,38,39,40,27,28,255,83,255,255,33,34,35,36,37,38,39,40,12,255,255,5,255,255,255,9,20,255,255,255,255,255,12,27,28,255,16,21,22,33,34,35,36,37,38,39,40,27,28,255,255,255,255,33,34,35,36,37,38,39,40,12,255,18,19,20,17,22,23,255,255,255,255,255,255,12,27,28,255,255,255,18,33,34,35,36,37,38,39,40,27,28,255,255,255,255,33,34,35,36,37,38,39,40,12,255,255,255,255,255,255,19,255,255,255,255,255,
255,12,27,28,255,255,255,255,33,34,35,36,37,38,39,40,27,28,255,255,255,255,33,34,35,36,37,38,39,40,18,19,20,21,22,23,24,25,255,255,255,255,255,255,255,255,255,35,36,37,38,39,27,18,19,20,22,23,34,54,104,1,31,56,86,33,32,2,27,27,27,94,27,27,55,57,112,54,210,194,79,4,60,34,71,34,63,34,68,34,34,88,34,101,34,34,5,6,95,96,57,4,7,8,9,10,11,12,13,14,4,102,103,93,106,109,5,6,111,88,59,113,7,8,9,10,11,12,13,14,4,114,60,91,115,62,97,70,27,18,19,20,22,23,4,5,6,63,65,98,73,7,8,9,10,11,12,13,14,5,6,0,92,0,0,7,
8,9,10,11,12,13,14,4,0,0,79,0,0,0,83,66,0,0,0,0,0,4,5,6,0,68,84,85,7,8,9,10,11,12,13,14,5,6,0,0,0,0,7,8,9,10,11,12,13,14,4,0,42,44,46,71,49,51,0,0,0,0,0,0,4,5,6,0,0,0,74,7,8,9,10,11,12,13,14,5,6,0,0,0,0,7,8,9,10,11,12,13,14,4,0,0,0,0,0,0,76,0,0,0,0,0,0,4,5,6,0,0,0,0,7,8,9,10,11,12,13,14,5,6,0,0,0,0,7,8,9,10,11,12,13,14,41,43,45,47,48,50,52,53,0,0,0,0,0,0,0,0,0,41,43,45,48,50,0,4,47,0,36,35,0,18,20,22,26,28,30,32,24,0,5,7,47,47,47,0,47,47,0,0,9,8,40,0,0,1,34,2,6,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,
0,37,3,38,19,10,41,21,11,42,23,14,45,25,17,27,12,43,29,13,44,31,15,33,16,0,51,0,48,0,47,67,0,49,0,47,0,53,46,39,66,50,65,0,58,56,0,60,52,69,0,54,0,64,0,0,63,0,68,55,59,57,61,0,2,3,3,1,1,2,1,1,1,3,3,3,3,3,3,3,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,1,1,2,0,6,1,3,3,3,3,3,1,0,1,2,3,0,4,1,2,3,0,4,0,4,0,4,0,3,2,1,2,1,2,1,83,121,110,116,97,120,32,101,114,114,111,114,58,32,110,111,110,45,115,112,97,99,101,32,115,116,114,105,110,103,32,117,115,101,100,32,98,101,102,111,114,101,32,60,84,65,66,76,69,62,0,83,121,
110,116,97,120,32,101,114,114,111,114,58,32,110,111,110,45,115,112,97,99,101,32,115,116,114,105,110,103,32,117,115,101,100,32,97,102,116,101,114,32,60,47,84,65,66,76,69,62,0,0,41,42,42,42,43,44,44,45,45,45,45,45,45,45,45,45,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,62,63,63,65,64,66,66,66,66,66,66,67,67,68,68,68,70,69,71,71,71,73,72,74,72,75,72,76,72,77,77,78,78,79,79,255,3,15,16,17,35,58,36,61,37,64,21,67,38,69,39,72,24,75,25,77,26,40,28,78,29,30,80,81,82,89,90,108,107,110,99,100,87,
105,109,101,109,111,114,121,32,101,120,104,97,117,115,116,101,100,0,0,37,115,32,105,110,32,108,105,110,101,32,37,100,32,10,0,45,45,0,85,110,99,108,111,115,101,100,32,99,111,109,109,101,110,116,10,0,76,97,98,101,108,32,99,108,111,115,101,100,32,98,101,102,111,114,101,32,101,110,100,32,111,102,32,72,84,77,76,32,101,108,101,109,101,110,116,10,0,60,72,84,77,76,62,0,60,47,72,84,77,76,62,0,84,65,66,76,69,0,84,82,0,84,72,0,84,68,0,72,84,77,76,0,70,79,78,84,0,66,0,85,0,79,0,73,0,83,85,80,0,83,85,66,0,83,
0,66,82,0,72,82,0,86,82,0,73,77,71,0,85,110,107,110,111,119,110,32,72,84,77,76,32,101,108,101,109,101,110,116,32,60,37,115,62,32,111,110,32,108,105,110,101,32,37,100,32,10,0,60,84,65,66,76,69,62,0,60,84,68,62,0,60,70,79,78,84,62,0,60,66,82,62,0,60,73,77,71,62,0,115,99,97,108,101,0,115,114,99,0,97,108,105,103,110,0,73,71,72,84,0,69,70,84,0,69,78,84,69,82,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,37,115,32,102,111,114,32,65,76,73,71,78,32,45,32,105,103,110,111,114,101,100,10,0,99,111,108,
111,114,0,102,97,99,101,0,112,111,105,110,116,45,115,105,122,101,0,80,79,73,78,84,45,83,73,90,69,0,73,109,112,114,111,112,101,114,32,37,115,32,118,97,108,117,101,32,37,115,32,45,32,105,103,110,111,114,101,100,0,37,115,32,118,97,108,117,101,32,37,115,32,62,32,37,100,32,45,32,116,111,111,32,108,97,114,103,101,32,45,32,105,103,110,111,114,101,100,0,37,115,32,118,97,108,117,101,32,37,115,32,60,32,37,100,32,45,32,116,111,111,32,115,109,97,108,108,32,45,32,105,103,110,111,114,101,100,0,98,97,108,105,103,
110,0,98,103,99,111,108,111,114,0,98,111,114,100,101,114,0,99,101,108,108,112,97,100,100,105,110,103,0,99,101,108,108,115,112,97,99,105,110,103,0,99,111,108,115,112,97,110,0,102,105,120,101,100,115,105,122,101,0,103,114,97,100,105,101,110,116,97,110,103,108,101,0,104,101,105,103,104,116,0,104,114,101,102,0,105,100,0,112,111,114,116,0,114,111,119,115,112,97,110,0,115,105,100,101,115,0,115,116,121,108,101,0,116,97,114,103,101,116,0,116,105,116,108,101,0,116,111,111,108,116,105,112,0,118,97,108,105,
103,110,0,119,105,100,116,104,0,87,73,68,84,72,0,79,84,84,79,77,0,79,80,0,73,68,68,76,69,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,37,115,32,102,111,114,32,86,65,76,73,71,78,32,45,32,105,103,110,111,114,101,100,10,0,32,44,0,79,85,78,68,69,68,0,65,68,73,65,76,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,37,115,32,102,111,114,32,83,84,89,76,69,32,45,32,105,103,110,111,114,101,100,10,0,83,79,76,73,68,0,73,78,86,73,83,73,66,76,69,0,73,78,86,73,83,0,68,79,84,84,69,68,0,68,65,83,72,69,
68,0,85,110,114,101,99,111,103,110,105,122,101,100,32,99,104,97,114,97,99,116,101,114,32,39,37,99,39,32,40,37,100,41,32,105,110,32,115,105,100,101,115,32,97,116,116,114,105,98,117,116,101,10,0,82,79,87,83,80,65,78,0,82,79,87,83,80,65,78,32,118,97,108,117,101,32,99,97,110,110,111,116,32,98,101,32,48,32,45,32,105,103,110,111,114,101,100,10,0,72,69,73,71,72,84,0,71,82,65,68,73,69,78,84,65,78,71,76,69,0,82,85,69,0,65,76,83,69,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,37,115,32,102,111,114,
32,70,73,88,69,68,83,73,90,69,32,45,32,105,103,110,111,114,101,100,10,0,67,79,76,83,80,65,78,0,67,79,76,83,80,65,78,32,118,97,108,117,101,32,99,97,110,110,111,116,32,98,101,32,48,32,45,32,105,103,110,111,114,101,100,10,0,67,69,76,76,83,80,65,67,73,78,71,0,67,69,76,76,80,65,68,68,73,78,71,0,66,79,82,68,69,82,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,37,115,32,102,111,114,32,66,65,76,73,71,78,32,105,110,32,84,68,32,45,32,105,103,110,111,114,101,100,10,0,69,88,84,0,73,108,108,101,103,97,108,
32,118,97,108,117,101,32,37,115,32,102,111,114,32,65,76,73,71,78,32,105,110,32,84,68,32,45,32,105,103,110,111,114,101,100,10,0,73,108,108,101,103,97,108,32,97,116,116,114,105,98,117,116,101,32,37,115,32,105,110,32,37,115,32,45,32,105,103,110,111,114,101,100,10,0,99,101,108,108,98,111,114,100,101,114,0,99,111,108,117,109,110,115,0,114,111,119,115,0,85,110,107,110,111,119,110,32,118,97,108,117,101,32,37,115,32,102,111,114,32,82,79,87,83,32,45,32,105,103,110,111,114,101,100,10,0,85,110,107,110,111,119,
110,32,118,97,108,117,101,32,37,115,32,102,111,114,32,67,79,76,85,77,78,83,32,45,32,105,103,110,111,114,101,100,10,0,67,69,76,76,83,66,79,82,68,69,82,0,46,46,46,32,37,115,32,46,46,46,10,0,106,32,61,61,32,48,0,99,118,116,46,99,0,80,111,98,115,112,97,116,104,0,114,111,117,116,101,46,99,0,108,105,98,112,97,116,104,47,37,115,58,37,100,58,32,37,115,10,0,115,104,111,114,116,101,115,116,46,99,0,99,97,110,110,111,116,32,109,97,108,108,111,99,32,112,110,108,115,0,99,97,110,110,111,116,32,109,97,108,108,111,
99,32,112,110,108,112,115,0,99,97,110,110,111,116,32,114,101,97,108,108,111,99,32,112,110,108,115,0,99,97,110,110,111,116,32,114,101,97,108,108,111,99,32,112,110,108,112,115,0,99,97,110,110,111,116,32,109,97,108,108,111,99,32,100,113,46,112,110,108,115,0,99,97,110,110,111,116,32,114,101,97,108,108,111,99,32,100,113,46,112,110,108,115,0,116,114,105,97,110,103,117,108,97,116,105,111,110,32,102,97,105,108,101,100,0,115,111,117,114,99,101,32,112,111,105,110,116,32,110,111,116,32,105,110,32,97,110,121,
32,116,114,105,97,110,103,108,101,0,100,101,115,116,105,110,97,116,105,111,110,32,112,111,105,110,116,32,110,111,116,32,105,110,32,97,110,121,32,116,114,105,97,110,103,108,101,0,99,97,110,110,111,116,32,102,105,110,100,32,116,114,105,97,110,103,108,101,32,112,97,116,104,0,99,97,110,110,111,116,32,109,97,108,108,111,99,32,111,112,115,0,99,97,110,110,111,116,32,114,101,97,108,108,111,99,32,111,112,115,0,99,97,110,110,111,116,32,109,97,108,108,111,99,32,116,114,105,115,0,99,97,110,110,111,116,32,114,
101,97,108,108,111,99,32,116,114,105,115,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,115,121,110,116,97,120,32,101,114,114,111,114,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,100,
117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,97,115,121,110,99,104,114,111,
110,111,117,115,32,101,110,116,105,116,121,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,
114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,
105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,
114,32,101,110,116,105,116,121,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,
114,101,32,112,114,101,102,105,120,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,
32,112,117,98,108,105,99,32,105,100,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,114,101,115,101,114,118,101,100,32,
112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,112,114,101,102,105,120,
32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,67,68,65,84,65,0,73,68,0,73,68,82,69,70,0,73,68,82,69,70,83,0,69,78,84,73,84,89,0,69,78,84,73,84,73,69,83,0,78,77,84,79,75,69,78,0,78,77,84,79,75,
69,78,83,0,78,79,84,65,84,73,79,78,40,0,40,0,124,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,67,68,65,84,65,91,118,101,114,115,105,111,110,0,101,110,99,111,100,105,110,103,0,115,116,97,110,100,97,108,111,110,101,0,85,83,45,65,83,67,
73,73,0,85,84,70,45,49,54,66,69,0,85,84,70,45,49,54,76,69,0,69,78,84,73,84,89,0,65,84,84,76,73,83,84,0,69,76,69,77,69,78,84,0,78,79,84,65,84,73,79,78,0,83,89,83,84,69,77,0,80,85,66,76,73,67,0,69,77,80,84,89,0,65,78,89,0,80,67,68,65,84,65,0,73,77,80,76,73,69,68,0,82,69,81,85,73,82,69,68,0,70,73,88,69,68,0,67,68,65,84,65,0,73,68,0,73,68,82,69,70,0,73,68,82,69,70,83,0,69,78,84,73,84,73,69,83,0,78,77,84,79,75,69,78,0,78,77,84,79,75,69,78,83,0,78,68,65,84,65,0,73,78,67,76,85,68,69,0,73,71,78,79,82,69,
0,68,79,67,84,89,80,69,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
55,17,17,17,17,56,17,57,58,59,60,61,62],"i8",4,n.q+175466);
B([17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,
255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,
255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,
239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,
61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,
255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,
255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,
255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,
255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,
0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,
255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,
255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,
255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,
255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,
0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,
0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,
0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,
224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,
0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,
0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,
255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,
114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,
97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,
73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,
0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,
100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114,111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,
32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,
108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,
115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,
100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,
102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,
97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,
78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,
111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,105,110,102,105,110,105,116,121,0,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,4,7,3,6,5,0,47,112,114,111,99,47,115,101,108,102,47,102,100,47,0,67,46,
85,84,70,45,56,0,114,119,97,0,119,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,116,109,112,0,47,116,109,112,47,116,37,120,45,37,120],"i8",4,n.q+185706);
B([17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,
0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,
48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,110,97,110,0,78,65,78,0,46,0,9,0,10,0,13,0,12,0,7,0,27,0,91,91,58,97,108,110,117,109,58,93,95,93,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,91,91,58,115,112,97,99,101,58,93,93,0,91,94,91,58,115,112,97,99,101,58,93,93,0,91,91,58,100,105,103,105,116,58,93,93,0,91,94,91,58,100,105,103,105,116,58,93,93,0],"i8",4,n.q+
196057);var hb=n.na(B(12,"i8",2),8);assert(0==hb%8);e._i64Subtract=ib;var jb=ya;e._i64Add=kb;
var I={J:1,H:2,$c:3,Xb:4,Y:5,Da:6,qb:7,uc:8,S:9,Eb:10,za:11,ld:11,Ba:12,R:13,Qb:14,Gc:15,ka:16,Aa:17,md:18,Z:19,ma:20,M:21,p:22,pc:23,Qa:24,T:25,hd:26,Rb:27,Cc:28,$:29,Xc:30,ic:31,Qc:32,Nb:33,Uc:34,yc:42,Ub:43,Fb:44,$b:45,ac:46,bc:47,hc:48,jd:49,sc:50,Zb:51,Kb:35,vc:37,wb:52,zb:53,nd:54,qc:55,Ab:56,Bb:57,Lb:35,Cb:59,Ec:60,tc:61,dd:62,Dc:63,zc:64,Ac:65,Wc:66,wc:67,tb:68,ad:69,Gb:70,Rc:71,kc:72,Ob:73,yb:74,Lc:76,xb:77,Vc:78,cc:79,dc:80,gc:81,fc:82,ec:83,Fc:38,Ca:39,lc:36,la:40,Mc:95,Pc:96,Jb:104,rc:105,
ub:97,Tc:91,Jc:88,Bc:92,Yc:108,Ib:111,rb:98,Hb:103,oc:101,mc:100,ed:110,Sb:112,Tb:113,Wb:115,vb:114,Mb:89,jc:90,Sc:93,Zc:94,sb:99,nc:102,Yb:106,Hc:107,gd:109,kd:87,Pb:122,bd:116,Kc:95,xc:123,Vb:84,Nc:75,Db:125,Ic:131,Oc:130,cd:86},lb={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",
13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",
35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",
54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",
75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",
92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",
109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};function mb(a){e.___errno_location&&(z[e.___errno_location()>>2]=a);return a}
function nb(a,b){for(var c=0,d=a.length-1;0<=d;d--){var f=a[d];"."===f?a.splice(d,1):".."===f?(a.splice(d,1),c++):c&&(a.splice(d,1),c--)}if(b)for(;c--;c)a.unshift("..");return a}function ob(a){var b="/"===a.charAt(0),c="/"===a.substr(-1);(a=nb(a.split("/").filter(function(a){return!!a}),!b).join("/"))||b||(a=".");a&&c&&(a+="/");return(b?"/":"")+a}
function pb(a){var b=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/.exec(a).slice(1);a=b[0];b=b[1];if(!a&&!b)return".";b&&(b=b.substr(0,b.length-1));return a+b}function qb(a){if("/"===a)return"/";var b=a.lastIndexOf("/");return-1===b?a:a.substr(b+1)}function rb(){var a=Array.prototype.slice.call(arguments,0);return ob(a.join("/"))}function sb(a,b){return ob(a+"/"+b)}
function tb(){for(var a="",b=!1,c=arguments.length-1;-1<=c&&!b;c--){b=0<=c?arguments[c]:"/";if("string"!==typeof b)throw new TypeError("Arguments to path.resolve must be strings");if(!b)return"";a=b+"/"+a;b="/"===b.charAt(0)}a=nb(a.split("/").filter(function(a){return!!a}),!b).join("/");return(b?"/":"")+a||"."}var ub=[];function vb(a,b){ub[a]={input:[],output:[],P:b};wb(a,xb)}
var xb={open:function(a){var b=ub[a.g.rdev];if(!b)throw new J(I.Z);a.tty=b;a.seekable=!1},close:function(a){a.tty.P.flush(a.tty)},flush:function(a){a.tty.P.flush(a.tty)},read:function(a,b,c,d){if(!a.tty||!a.tty.P.Na)throw new J(I.Da);for(var f=0,g=0;g<d;g++){var k;try{k=a.tty.P.Na(a.tty)}catch(h){throw new J(I.Y);}if(void 0===k&&0===f)throw new J(I.za);if(null===k||void 0===k)break;f++;b[c+g]=k}f&&(a.g.timestamp=Date.now());return f},write:function(a,b,c,d){if(!a.tty||!a.tty.P.ta)throw new J(I.Da);
for(var f=0;f<d;f++)try{a.tty.P.ta(a.tty,b[c+f])}catch(g){throw new J(I.Y);}d&&(a.g.timestamp=Date.now());return f}},yb={Na:function(a){if(!a.input.length){var b=null;if(da){var c=new Buffer(256),d=0,f=process.stdin.fd,g=!1;try{f=fs.openSync("/dev/stdin","r"),g=!0}catch(k){}d=fs.readSync(f,c,0,256,null);g&&fs.closeSync(f);0<d?b=c.slice(0,d).toString("utf-8"):b=null}else"undefined"!=typeof window&&"function"==typeof window.prompt?(b=window.prompt("Input: "),null!==b&&(b+="\n")):"function"==typeof readline&&
(b=readline(),null!==b&&(b+="\n"));if(!b)return null;a.input=Xa(b,!0)}return a.input.shift()},ta:function(a,b){null===b||10===b?(e.print(Ca(a.output,0)),a.output=[]):0!=b&&a.output.push(b)},flush:function(a){a.output&&0<a.output.length&&(e.print(Ca(a.output,0)),a.output=[])}},zb={ta:function(a,b){null===b||10===b?(e.printErr(Ca(a.output,0)),a.output=[]):0!=b&&a.output.push(b)},flush:function(a){a.output&&0<a.output.length&&(e.printErr(Ca(a.output,0)),a.output=[])}},K={G:null,A:function(){return K.createNode(null,
"/",16895,0)},createNode:function(a,b,c,d){if(24576===(c&61440)||4096===(c&61440))throw new J(I.J);K.G||(K.G={dir:{g:{D:K.k.D,F:K.k.F,lookup:K.k.lookup,U:K.k.U,rename:K.k.rename,unlink:K.k.unlink,rmdir:K.k.rmdir,readdir:K.k.readdir,symlink:K.k.symlink},stream:{I:K.n.I}},file:{g:{D:K.k.D,F:K.k.F},stream:{I:K.n.I,read:K.n.read,write:K.n.write,Ea:K.n.Ea,ga:K.n.ga,ha:K.n.ha}},link:{g:{D:K.k.D,F:K.k.F,readlink:K.k.readlink},stream:{}},Ga:{g:{D:K.k.D,F:K.k.F},stream:Ab}});c=Bb(a,b,c,d);L(c.mode)?(c.k=K.G.dir.g,
c.n=K.G.dir.stream,c.e={}):32768===(c.mode&61440)?(c.k=K.G.file.g,c.n=K.G.file.stream,c.o=0,c.e=null):40960===(c.mode&61440)?(c.k=K.G.link.g,c.n=K.G.link.stream):8192===(c.mode&61440)&&(c.k=K.G.Ga.g,c.n=K.G.Ga.stream);c.timestamp=Date.now();a&&(a.e[b]=c);return c},Xa:function(a){if(a.e&&a.e.subarray){for(var b=[],c=0;c<a.o;++c)b.push(a.e[c]);return b}return a.e},zd:function(a){return a.e?a.e.subarray?a.e.subarray(0,a.o):new Uint8Array(a.e):new Uint8Array},Ia:function(a,b){a.e&&a.e.subarray&&b>a.e.length&&
(a.e=K.Xa(a),a.o=a.e.length);if(!a.e||a.e.subarray){var c=a.e?a.e.buffer.byteLength:0;c>=b||(b=Math.max(b,c*(1048576>c?2:1.125)|0),0!=c&&(b=Math.max(b,256)),c=a.e,a.e=new Uint8Array(b),0<a.o&&a.e.set(c.subarray(0,a.o),0))}else for(!a.e&&0<b&&(a.e=[]);a.e.length<b;)a.e.push(0)},jb:function(a,b){if(a.o!=b)if(0==b)a.e=null,a.o=0;else{if(!a.e||a.e.subarray){var c=a.e;a.e=new Uint8Array(new ArrayBuffer(b));c&&a.e.set(c.subarray(0,Math.min(b,a.o)))}else if(a.e||(a.e=[]),a.e.length>b)a.e.length=b;else for(;a.e.length<
b;)a.e.push(0);a.o=b}},k:{D:function(a){var b={};b.dev=8192===(a.mode&61440)?a.id:1;b.ino=a.id;b.mode=a.mode;b.nlink=1;b.uid=0;b.gid=0;b.rdev=a.rdev;L(a.mode)?b.size=4096:32768===(a.mode&61440)?b.size=a.o:40960===(a.mode&61440)?b.size=a.link.length:b.size=0;b.atime=new Date(a.timestamp);b.mtime=new Date(a.timestamp);b.ctime=new Date(a.timestamp);b.L=4096;b.blocks=Math.ceil(b.size/b.L);return b},F:function(a,b){void 0!==b.mode&&(a.mode=b.mode);void 0!==b.timestamp&&(a.timestamp=b.timestamp);void 0!==
b.size&&K.jb(a,b.size)},lookup:function(){throw Cb[I.H];},U:function(a,b,c,d){return K.createNode(a,b,c,d)},rename:function(a,b,c){if(L(a.mode)){var d;try{d=Db(b,c)}catch(f){}if(d)for(var g in d.e)throw new J(I.Ca);}delete a.parent.e[a.name];a.name=c;b.e[c]=a;a.parent=b},unlink:function(a,b){delete a.e[b]},rmdir:function(a,b){var c=Db(a,b),d;for(d in c.e)throw new J(I.Ca);delete a.e[b]},readdir:function(a){var b=[".",".."],c;for(c in a.e)a.e.hasOwnProperty(c)&&b.push(c);return b},symlink:function(a,
b,c){a=K.createNode(a,b,41471,0);a.link=c;return a},readlink:function(a){if(40960!==(a.mode&61440))throw new J(I.p);return a.link}},n:{read:function(a,b,c,d,f){var g=a.g.e;if(f>=a.g.o)return 0;a=Math.min(a.g.o-f,d);assert(0<=a);if(8<a&&g.subarray)b.set(g.subarray(f,f+a),c);else for(d=0;d<a;d++)b[c+d]=g[f+d];return a},write:function(a,b,c,d,f,g){if(!d)return 0;a=a.g;a.timestamp=Date.now();if(b.subarray&&(!a.e||a.e.subarray)){if(g)return a.e=b.subarray(c,c+d),a.o=d;if(0===a.o&&0===f)return a.e=new Uint8Array(b.subarray(c,
c+d)),a.o=d;if(f+d<=a.o)return a.e.set(b.subarray(c,c+d),f),d}K.Ia(a,f+d);if(a.e.subarray&&b.subarray)a.e.set(b.subarray(c,c+d),f);else for(g=0;g<d;g++)a.e[f+g]=b[c+g];a.o=Math.max(a.o,f+d);return d},I:function(a,b,c){1===c?b+=a.position:2===c&&32768===(a.g.mode&61440)&&(b+=a.g.o);if(0>b)throw new J(I.p);return b},Ea:function(a,b,c){K.Ia(a.g,b+c);a.g.o=Math.max(a.g.o,b+c)},ga:function(a,b,c,d,f,g,k){if(32768!==(a.g.mode&61440))throw new J(I.Z);c=a.g.e;if(k&2||c.buffer!==b&&c.buffer!==b.buffer){if(0<
f||f+d<a.g.o)c.subarray?c=c.subarray(f,f+d):c=Array.prototype.slice.call(c,f,f+d);a=!0;d=xa(d);if(!d)throw new J(I.Ba);b.set(c,d)}else a=!1,d=c.byteOffset;return{gb:d,oa:a}},ha:function(a,b,c,d,f){if(32768!==(a.g.mode&61440))throw new J(I.Z);if(f&2)return 0;K.n.write(a,b,0,d,c,!1);return 0}}},M={fa:!1,nb:function(){M.fa=!!process.platform.match(/^win/)},A:function(a){assert(da);return M.createNode(null,"/",M.La(a.sa.root),0)},createNode:function(a,b,c){if(!L(c)&&32768!==(c&61440)&&40960!==(c&61440))throw new J(I.p);
a=Bb(a,b,c);a.k=M.k;a.n=M.n;return a},La:function(a){var b;try{b=fs.lstatSync(a),M.fa&&(b.mode=b.mode|(b.mode&146)>>1)}catch(c){if(!c.code)throw c;throw new J(I[c.code]);}return b.mode},B:function(a){for(var b=[];a.parent!==a;)b.push(a.name),a=a.parent;b.push(a.A.sa.root);b.reverse();return rb.apply(null,b)},Ja:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",
4096:"rs",4098:"rs+"},Ua:function(a){a&=-32769;if(a in M.Ja)return M.Ja[a];throw new J(I.p);},k:{D:function(a){a=M.B(a);var b;try{b=fs.lstatSync(a)}catch(c){if(!c.code)throw c;throw new J(I[c.code]);}M.fa&&!b.L&&(b.L=4096);M.fa&&!b.blocks&&(b.blocks=(b.size+b.L-1)/b.L|0);return{dev:b.dev,ino:b.ino,mode:b.mode,nlink:b.nlink,uid:b.uid,gid:b.gid,rdev:b.rdev,size:b.size,atime:b.atime,mtime:b.mtime,ctime:b.ctime,L:b.L,blocks:b.blocks}},F:function(a,b){var c=M.B(a);try{void 0!==b.mode&&(fs.chmodSync(c,
b.mode),a.mode=b.mode),void 0!==b.size&&fs.truncateSync(c,b.size)}catch(d){if(!d.code)throw d;throw new J(I[d.code]);}},lookup:function(a,b){var c=sb(M.B(a),b),c=M.La(c);return M.createNode(a,b,c)},U:function(a,b,c,d){a=M.createNode(a,b,c,d);b=M.B(a);try{L(a.mode)?fs.mkdirSync(b,a.mode):fs.writeFileSync(b,"",{mode:a.mode})}catch(f){if(!f.code)throw f;throw new J(I[f.code]);}return a},rename:function(a,b,c){a=M.B(a);b=sb(M.B(b),c);try{fs.renameSync(a,b)}catch(d){if(!d.code)throw d;throw new J(I[d.code]);
}},unlink:function(a,b){var c=sb(M.B(a),b);try{fs.unlinkSync(c)}catch(d){if(!d.code)throw d;throw new J(I[d.code]);}},rmdir:function(a,b){var c=sb(M.B(a),b);try{fs.rmdirSync(c)}catch(d){if(!d.code)throw d;throw new J(I[d.code]);}},readdir:function(a){a=M.B(a);try{return fs.readdirSync(a)}catch(b){if(!b.code)throw b;throw new J(I[b.code]);}},symlink:function(a,b,c){a=sb(M.B(a),b);try{fs.symlinkSync(c,a)}catch(d){if(!d.code)throw d;throw new J(I[d.code]);}},readlink:function(a){var b=M.B(a);try{return b=
fs.readlinkSync(b),b=Eb.relative(Eb.resolve(a.A.sa.root),b)}catch(c){if(!c.code)throw c;throw new J(I[c.code]);}}},n:{open:function(a){var b=M.B(a.g);try{32768===(a.g.mode&61440)&&(a.W=fs.openSync(b,M.Ua(a.flags)))}catch(c){if(!c.code)throw c;throw new J(I[c.code]);}},close:function(a){try{32768===(a.g.mode&61440)&&a.W&&fs.closeSync(a.W)}catch(b){if(!b.code)throw b;throw new J(I[b.code]);}},read:function(a,b,c,d,f){if(0===d)return 0;var g=new Buffer(d),k;try{k=fs.readSync(a.W,g,0,d,f)}catch(h){throw new J(I[h.code]);
}if(0<k)for(a=0;a<k;a++)b[c+a]=g[a];return k},write:function(a,b,c,d,f){b=new Buffer(b.subarray(c,c+d));var g;try{g=fs.writeSync(a.W,b,0,d,f)}catch(k){throw new J(I[k.code]);}return g},I:function(a,b,c){if(1===c)b+=a.position;else if(2===c&&32768===(a.g.mode&61440))try{b+=fs.fstatSync(a.W).size}catch(d){throw new J(I[d.code]);}if(0>b)throw new J(I.p);return b}}};B(1,"i32*",2);B(1,"i32*",2);B(1,"i32*",2);var Gb=null,Hb=[null],N=[],Ib=1,O=null,Jb=!0,P={},J=null,Cb={};
function Q(a,b){a=tb("/",a);b=b||{};if(!a)return{path:"",g:null};var c={Ka:!0,ua:0},d;for(d in c)void 0===b[d]&&(b[d]=c[d]);if(8<b.ua)throw new J(I.la);var c=nb(a.split("/").filter(function(a){return!!a}),!1),f=Gb;d="/";for(var g=0;g<c.length;g++){var k=g===c.length-1;if(k&&b.parent)break;f=Db(f,c[g]);d=sb(d,c[g]);f.V&&(!k||k&&b.Ka)&&(f=f.V.root);if(!k||b.da)for(k=0;40960===(f.mode&61440);)if(f=Kb(d),d=tb(pb(d),f),f=Q(d,{ua:b.ua}).g,40<k++)throw new J(I.la);}return{path:d,g:f}}
function Lb(a){for(var b;;){if(a===a.parent)return a=a.A.Oa,b?"/"!==a[a.length-1]?a+"/"+b:a+b:a;b=b?a.name+"/"+b:a.name;a=a.parent}}function Mb(a,b){for(var c=0,d=0;d<b.length;d++)c=(c<<5)-c+b.charCodeAt(d)|0;return(a+c>>>0)%O.length}function Nb(a){var b=Mb(a.parent.id,a.name);a.O=O[b];O[b]=a}function Db(a,b){var c;if(c=(c=Ob(a,"x"))?c:a.k.lookup?0:I.R)throw new J(c,a);for(c=O[Mb(a.id,b)];c;c=c.O){var d=c.name;if(c.parent.id===a.id&&d===b)return c}return a.k.lookup(a,b)}
function Bb(a,b,c,d){Pb||(Pb=function(a,b,c,d){a||(a=this);this.parent=a;this.A=a.A;this.V=null;this.id=Ib++;this.name=b;this.mode=c;this.k={};this.n={};this.rdev=d},Pb.prototype={},Object.defineProperties(Pb.prototype,{read:{get:function(){return 365===(this.mode&365)},set:function(a){a?this.mode|=365:this.mode&=-366}},write:{get:function(){return 146===(this.mode&146)},set:function(a){a?this.mode|=146:this.mode&=-147}},Fd:{get:function(){return L(this.mode)}},Ed:{get:function(){return 8192===(this.mode&
61440)}}}));a=new Pb(a,b,c,d);Nb(a);return a}function L(a){return 16384===(a&61440)}var Qb={r:0,rs:1052672,"r+":2,w:577,wx:705,xw:705,"w+":578,"wx+":706,"xw+":706,a:1089,ax:1217,xa:1217,"a+":1090,"ax+":1218,"xa+":1218};function Ob(a,b){if(Jb)return 0;if(-1===b.indexOf("r")||a.mode&292){if(-1!==b.indexOf("w")&&!(a.mode&146)||-1!==b.indexOf("x")&&!(a.mode&73))return I.R}else return I.R;return 0}function Rb(a,b){try{return Db(a,b),I.Aa}catch(c){}return Ob(a,"wx")}
function Sb(a){var b;b=4096;for(a=a||0;a<=b;a++)if(!N[a])return a;throw new J(I.Qa);}function Tb(a,b){Ub||(Ub=function(){},Ub.prototype={},Object.defineProperties(Ub.prototype,{object:{get:function(){return this.g},set:function(a){this.g=a}},Gd:{get:function(){return 1!==(this.flags&2097155)}},Hd:{get:function(){return 0!==(this.flags&2097155)}},Dd:{get:function(){return this.flags&1024}}}));var c=new Ub,d;for(d in a)c[d]=a[d];a=c;c=Sb(b);a.fd=c;return N[c]=a}
var Ab={open:function(a){a.n=Hb[a.g.rdev].n;a.n.open&&a.n.open(a)},I:function(){throw new J(I.$);}};function wb(a,b){Hb[a]={n:b}}function Vb(a,b){var c="/"===b,d=!b,f;if(c&&Gb)throw new J(I.ka);if(!c&&!d){f=Q(b,{Ka:!1});b=f.path;f=f.g;if(f.V)throw new J(I.ka);if(!L(f.mode))throw new J(I.ma);}var d={type:a,sa:{},Oa:b,fb:[]},g=a.A(d);g.A=d;d.root=g;c?Gb=g:f&&(f.V=d,f.A&&f.A.fb.push(d))}
function Wb(a,b,c){var d=Q(a,{parent:!0}).g;a=qb(a);if(!a||"."===a||".."===a)throw new J(I.p);var f=Rb(d,a);if(f)throw new J(f);if(!d.k.U)throw new J(I.J);return d.k.U(d,a,b,c)}function R(a){var b;b=(void 0!==b?b:511)&1023;b|=16384;Wb(a,b,0)}function Xb(a,b,c){"undefined"===typeof c&&(c=b,b=438);Wb(a,b|8192,c)}function Yb(a,b){if(!tb(a))throw new J(I.H);var c=Q(b,{parent:!0}).g;if(!c)throw new J(I.H);var d=qb(b),f=Rb(c,d);if(f)throw new J(f);if(!c.k.symlink)throw new J(I.J);c.k.symlink(c,d,a)}
function Kb(a){a=Q(a).g;if(!a)throw new J(I.H);if(!a.k.readlink)throw new J(I.p);return tb(Lb(a.parent),a.k.readlink(a))}
function Zb(a,b,c,d){if(""===a)throw new J(I.H);if("string"===typeof b){var f=Qb[b];if("undefined"===typeof f)throw Error("Unknown file open mode: "+b);b=f}c=b&64?("undefined"===typeof c?438:c)&4095|32768:0;var g;if("object"===typeof a)g=a;else{a=ob(a);try{g=Q(a,{da:!(b&131072)}).g}catch(k){}}f=!1;if(b&64)if(g){if(b&128)throw new J(I.Aa);}else g=Wb(a,c,0),f=!0;if(!g)throw new J(I.H);8192===(g.mode&61440)&&(b&=-513);if(b&65536&&!L(g.mode))throw new J(I.ma);if(!f&&(g?40960===(g.mode&61440)?c=I.la:L(g.mode)&&
(0!==(b&2097155)||b&512)?c=I.M:(c=["r","w","rw"][b&3],b&512&&(c+="w"),c=Ob(g,c)):c=I.H,c))throw new J(c);if(b&512){c=g;var h;"string"===typeof c?h=Q(c,{da:!0}).g:h=c;if(!h.k.F)throw new J(I.J);if(L(h.mode))throw new J(I.M);if(32768!==(h.mode&61440))throw new J(I.p);if(c=Ob(h,"w"))throw new J(c);h.k.F(h,{size:0,timestamp:Date.now()})}b&=-641;d=Tb({g:g,path:Lb(g),flags:b,seekable:!0,position:0,n:g.n,ob:[],error:!1},d);d.n.open&&d.n.open(d);!e.logReadFiles||b&1||($b||($b={}),a in $b||($b[a]=1,e.printErr("read file: "+
a)));try{P.onOpenFile&&(g=0,1!==(b&2097155)&&(g|=1),0!==(b&2097155)&&(g|=2),P.onOpenFile(a,g))}catch(u){console.log("FS.trackingDelegate['onOpenFile']('"+a+"', flags) threw an exception: "+u.message)}return d}function ac(a){a.ra&&(a.ra=null);try{a.n.close&&a.n.close(a)}catch(b){throw b;}finally{N[a.fd]=null}}function bc(a,b,c){if(!a.seekable||!a.n.I)throw new J(I.$);a.position=a.n.I(a,b,c);a.ob=[]}
function cc(){J||(J=function(a,b){this.g=b;this.kb=function(a){this.u=a;for(var b in I)if(I[b]===a){this.code=b;break}};this.kb(a);this.message=lb[a]},J.prototype=Error(),J.prototype.constructor=J,[I.H].forEach(function(a){Cb[a]=new J(a);Cb[a].stack="<generic error, no stack>"}))}var dc;function ec(a,b){var c=0;a&&(c|=365);b&&(c|=146);return c}
function fc(a,b,c){a=sb("/dev",a);var d=ec(!!b,!!c);gc||(gc=64);var f=gc++<<8|0;wb(f,{open:function(a){a.seekable=!1},close:function(){c&&c.buffer&&c.buffer.length&&c(10)},read:function(a,c,d,f){for(var q=0,r=0;r<f;r++){var t;try{t=b()}catch(A){throw new J(I.Y);}if(void 0===t&&0===q)throw new J(I.za);if(null===t||void 0===t)break;q++;c[d+r]=t}q&&(a.g.timestamp=Date.now());return q},write:function(a,b,d,f){for(var q=0;q<f;q++)try{c(b[d+q])}catch(r){throw new J(I.Y);}f&&(a.g.timestamp=Date.now());return q}});
Xb(a,d,f)}var gc,S={},Pb,Ub,$b,hc={};
function ic(a,b){try{var c,d=Q(a,{da:!0}).g;if(!d)throw new J(I.H);if(!d.k.D)throw new J(I.J);c=d.k.D(d)}catch(f){if(f&&f.g&&ob(a)!==ob(Lb(f.g)))return-I.ma;throw f;}z[b>>2]=c.dev;z[b+4>>2]=0;z[b+8>>2]=c.ino;z[b+12>>2]=c.mode;z[b+16>>2]=c.nlink;z[b+20>>2]=c.uid;z[b+24>>2]=c.gid;z[b+28>>2]=c.rdev;z[b+32>>2]=0;z[b+36>>2]=c.size;z[b+40>>2]=4096;z[b+44>>2]=c.blocks;z[b+48>>2]=c.atime.getTime()/1E3|0;z[b+52>>2]=0;z[b+56>>2]=c.mtime.getTime()/1E3|0;z[b+60>>2]=0;z[b+64>>2]=c.ctime.getTime()/1E3|0;z[b+68>>
2]=0;z[b+72>>2]=c.ino;return 0}var T=0;function W(){T+=4;return z[T-4>>2]}function jc(){var a;a=W();a=N[a];if(!a)throw new J(I.S);return a}function kc(){throw"bad";}e._realloc=kc;e._saveSetjmp=lc;function mc(a){e.exit(a)}e._bitshift64Ashr=nc;e._bitshift64Lshr=oc;function pc(a,b){H.push(function(){n.N("vi",a,[b])});pc.level=H.length}e._testSetjmp=qc;function rc(a,b){X.setThrew(a,b||1);throw"longjmp";}var sc=Ba;e._memcpy=tc;
function uc(a){uc.bb||(p=Ha(),uc.bb=!0,assert(n.ba),uc.Wa=n.ba,n.ba=function(){v("cannot dynamically allocate, sbrk now has control")});var b=p;return 0==a||uc.Wa(a)?b:4294967295}e._memmove=vc;e._memset=wc;e._bitshift64Shl=xc;var yc=ya,zc=Aa,Ac=B(1,"i32*",2);
function Bc(a){var b,c;Bc.C?(c=z[Ac>>2],b=z[c>>2]):(Bc.C=!0,Y.USER=Y.LOGNAME="web_user",Y.PATH="/",Y.PWD="/",Y.HOME="/home/web_user",Y.LANG="C",Y._=e.thisProgram,b=B(1024,"i8",2),c=B(256,"i8*",2),z[c>>2]=b,z[Ac>>2]=c);var d=[],f=0,g;for(g in a)if("string"===typeof a[g]){var k=g+"="+a[g];d.push(k);f+=k.length}if(1024<f)throw Error("Environment size exceeded TOTAL_ENV_SIZE!");for(a=0;a<d.length;a++){f=k=d[a];g=b;for(var h=0;h<f.length;++h)x[g++>>0]=f.charCodeAt(h);x[g>>0]=0;z[c+4*a>>2]=b;b+=k.length+
1}z[c+4*d.length>>2]=0}var Y={};function Cc(a,b){Dc=a;Ec=b;if(!Fc)return 1;if(0==a)Z=function(){setTimeout(Gc,b)},Hc="timeout";else if(1==a)Z=function(){Ic(Gc)},Hc="rAF";else if(2==a){if(!window.setImmediate){var c=[];window.addEventListener("message",function(a){a.source===window&&"__emcc"===a.data&&(a.stopPropagation(),c.shift()())},!0);window.setImmediate=function(a){c.push(a);window.postMessage("__emcc","*")}}Z=function(){window.setImmediate(Gc)};Hc="immediate"}return 0}
function Jc(a,b,c,d,f){e.noExitRuntime=!0;assert(!Fc,"emscripten_set_main_loop: there can only be one main loop function at once: call emscripten_cancel_main_loop to cancel the previous one before setting a new one with different parameters.");Fc=a;Kc=d;var g=Lc;Gc=function(){if(!w)if(0<Mc.length){var b=Date.now(),c=Mc.shift();c.Va(c.aa);if(Nc){var f=Nc,q=0==f%1?f-1:Math.floor(f);Nc=c.ud?q:(8*f+(q+.5))/9}console.log('main loop blocker "'+c.name+'" took '+(Date.now()-b)+" ms");Oc();setTimeout(Gc,0)}else g<
Lc||(Pc=Pc+1|0,1==Dc&&1<Ec&&0!=Pc%Ec?Z():("timeout"===Hc&&e.pa&&(e.X("Looks like you are rendering without using requestAnimationFrame for the main loop. You should use 0 for the frame rate in emscripten_set_main_loop in order to use requestAnimationFrame, as that can greatly improve your frame rates!"),Hc=""),Qc(function(){"undefined"!==typeof d?n.N("vi",a,[d]):n.N("v",a)}),g<Lc||("object"===typeof SDL&&SDL.audio&&SDL.audio.hb&&SDL.audio.hb(),Z())))};f||(b&&0<b?Cc(0,1E3/b):Cc(1,1),Z());if(c)throw"SimulateInfiniteLoop";
}var Z=null,Hc="",Lc=0,Fc=null,Kc=0,Dc=0,Ec=0,Pc=0,Mc=[];function Oc(){if(e.setStatus){var a=e.statusMessage||"Please wait...",b=Nc,c=Rc.wd;b?b<c?e.setStatus(a+" ("+(c-b)+"/"+c+")"):e.setStatus(a):e.setStatus("")}}function Qc(a){if(!(w||e.preMainLoop&&!1===e.preMainLoop())){try{a()}catch(b){if(b instanceof ja)return;b&&"object"===typeof b&&b.stack&&e.X("exception thrown: "+[b,b.stack]);throw b;}e.postMainLoop&&e.postMainLoop()}}var Rc={},Gc,Nc,Sc=!1,Tc=!1,Uc=[];
function Vc(){function a(){Tc=document.pointerLockElement===c||document.mozPointerLockElement===c||document.webkitPointerLockElement===c||document.msPointerLockElement===c}e.preloadPlugins||(e.preloadPlugins=[]);if(!Wc){Wc=!0;try{Xc=!0}catch(b){Xc=!1,console.log("warning: no blob constructor, cannot create blobs with mimetypes")}Yc="undefined"!=typeof MozBlobBuilder?MozBlobBuilder:"undefined"!=typeof WebKitBlobBuilder?WebKitBlobBuilder:Xc?null:console.log("warning: no BlobBuilder");Zc="undefined"!=
typeof window?window.URL?window.URL:window.webkitURL:void 0;e.Pa||"undefined"!==typeof Zc||(console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available."),e.Pa=!0);e.preloadPlugins.push({canHandle:function(a){return!e.Pa&&/\.(jpg|jpeg|png|bmp)$/i.test(a)},handle:function(a,b,c,k){var h=null;if(Xc)try{h=new Blob([a],{type:$c(b)}),h.size!==a.length&&(h=new Blob([(new Uint8Array(a)).buffer],{type:$c(b)}))}catch(u){n.Q("Blob constructor present but fails: "+
u+"; falling back to blob builder")}h||(h=new Yc,h.append((new Uint8Array(a)).buffer),h=h.getBlob());var q=Zc.createObjectURL(h),r=new Image;r.onload=function(){assert(r.complete,"Image "+b+" could not be decoded");var h=document.createElement("canvas");h.width=r.width;h.height=r.height;h.getContext("2d").drawImage(r,0,0);e.preloadedImages[b]=h;Zc.revokeObjectURL(q);c&&c(a)};r.onerror=function(){console.log("Image "+q+" could not be decoded");k&&k()};r.src=q}});e.preloadPlugins.push({canHandle:function(a){return!e.Kd&&
a.substr(-4)in{".ogg":1,".wav":1,".mp3":1}},handle:function(a,b,c,k){function h(h){q||(q=!0,e.preloadedAudios[b]=h,c&&c(a))}function u(){q||(q=!0,e.preloadedAudios[b]=new Audio,k&&k())}var q=!1;if(Xc){try{var r=new Blob([a],{type:$c(b)})}catch(t){return u()}var r=Zc.createObjectURL(r),A=new Audio;A.addEventListener("canplaythrough",function(){h(A)},!1);A.onerror=function(){if(!q){console.log("warning: browser could not fully decode audio "+b+", trying slower base64 approach");for(var c="",g=0,k=0,
r=0;r<a.length;r++)for(g=g<<8|a[r],k+=8;6<=k;)var t=g>>k-6&63,k=k-6,c=c+"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"[t];2==k?(c+="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"[(g&3)<<4],c+="=="):4==k&&(c+="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"[(g&15)<<2],c+="=");A.src="data:audio/x-"+b.substr(-3)+";base64,"+c;h(A)}};A.src=r;ad(function(){h(A)})}else return u()}});var c=e.canvas;c&&(c.va=c.requestPointerLock||c.mozRequestPointerLock||
c.webkitRequestPointerLock||c.msRequestPointerLock||function(){},c.Ha=document.exitPointerLock||document.mozExitPointerLock||document.webkitExitPointerLock||document.msExitPointerLock||function(){},c.Ha=c.Ha.bind(document),document.addEventListener("pointerlockchange",a,!1),document.addEventListener("mozpointerlockchange",a,!1),document.addEventListener("webkitpointerlockchange",a,!1),document.addEventListener("mspointerlockchange",a,!1),e.elementPointerLock&&c.addEventListener("click",function(a){!Tc&&
c.va&&(c.va(),a.preventDefault())},!1))}}function bd(a,b,c,d){if(b&&e.pa&&a==e.canvas)return e.pa;var f,g;if(b){g={antialias:!1,alpha:!1};if(d)for(var k in d)g[k]=d[k];if(g=GL.createContext(a,g))f=GL.getContext(g).od;a.style.backgroundColor="black"}else f=a.getContext("2d");if(!f)return null;c&&(b||assert("undefined"===typeof GLctx,"cannot set in module if GLctx is used, but we are a non-GL context that would replace it"),e.pa=f,b&&GL.Jd(g),e.Md=b,Uc.forEach(function(a){a()}),Vc());return f}
var cd=!1,dd=void 0,ed=void 0;
function fd(a,b,c){function d(){Sc=!1;var a=f.parentNode;(document.webkitFullScreenElement||document.webkitFullscreenElement||document.mozFullScreenElement||document.mozFullscreenElement||document.fullScreenElement||document.fullscreenElement||document.msFullScreenElement||document.msFullscreenElement||document.webkitCurrentFullScreenElement)===a?(f.Fa=document.cancelFullScreen||document.mozCancelFullScreen||document.webkitCancelFullScreen||document.msExitFullscreen||document.exitFullscreen||function(){},
f.Fa=f.Fa.bind(document),dd&&f.va(),Sc=!0,ed&&gd()):(a.parentNode.insertBefore(f,a),a.parentNode.removeChild(a),ed&&hd());if(e.onFullScreen)e.onFullScreen(Sc);id(f)}dd=a;ed=b;jd=c;"undefined"===typeof dd&&(dd=!0);"undefined"===typeof ed&&(ed=!1);"undefined"===typeof jd&&(jd=null);var f=e.canvas;cd||(cd=!0,document.addEventListener("fullscreenchange",d,!1),document.addEventListener("mozfullscreenchange",d,!1),document.addEventListener("webkitfullscreenchange",d,!1),document.addEventListener("MSFullscreenChange",
d,!1));var g=document.createElement("div");f.parentNode.insertBefore(g,f);g.appendChild(f);g.C=g.requestFullScreen||g.mozRequestFullScreen||g.msRequestFullscreen||(g.webkitRequestFullScreen?function(){g.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT)}:null);c?g.C({Nd:c}):g.C()}var kd=0;function ld(a){var b=Date.now();if(0===kd)kd=b+1E3/60;else for(;b+2>=kd;)kd+=1E3/60;b=Math.max(kd-b,0);setTimeout(a,b)}
function Ic(a){"undefined"===typeof window?ld(a):(window.requestAnimationFrame||(window.requestAnimationFrame=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||window.oRequestAnimationFrame||ld),window.requestAnimationFrame(a))}function ad(a){e.noExitRuntime=!0;setTimeout(function(){w||a()},1E4)}
function $c(a){return{jpg:"image/jpeg",jpeg:"image/jpeg",png:"image/png",bmp:"image/bmp",ogg:"audio/ogg",wav:"audio/wav",mp3:"audio/mpeg"}[a.substr(a.lastIndexOf(".")+1)]}var md=[];function nd(){var a=e.canvas;md.forEach(function(b){b(a.width,a.height)})}function gd(){if("undefined"!=typeof SDL){var a=Ja[SDL.screen+0*n.K>>2];z[SDL.screen+0*n.K>>2]=a|8388608}nd()}function hd(){if("undefined"!=typeof SDL){var a=Ja[SDL.screen+0*n.K>>2];z[SDL.screen+0*n.K>>2]=a&-8388609}nd()}
function id(a,b,c){b&&c?(a.pb=b,a.$a=c):(b=a.pb,c=a.$a);var d=b,f=c;e.forcedAspectRatio&&0<e.forcedAspectRatio&&(d/f<e.forcedAspectRatio?d=Math.round(f*e.forcedAspectRatio):f=Math.round(d/e.forcedAspectRatio));if((document.webkitFullScreenElement||document.webkitFullscreenElement||document.mozFullScreenElement||document.mozFullscreenElement||document.fullScreenElement||document.fullscreenElement||document.msFullScreenElement||document.msFullscreenElement||document.webkitCurrentFullScreenElement)===
a.parentNode&&"undefined"!=typeof screen)var g=Math.min(screen.width/d,screen.height/f),d=Math.round(d*g),f=Math.round(f*g);ed?(a.width!=d&&(a.width=d),a.height!=f&&(a.height=f),"undefined"!=typeof a.style&&(a.style.removeProperty("width"),a.style.removeProperty("height"))):(a.width!=b&&(a.width=b),a.height!=c&&(a.height=c),"undefined"!=typeof a.style&&(d!=b||f!=c?(a.style.setProperty("width",d+"px","important"),a.style.setProperty("height",f+"px","important")):(a.style.removeProperty("width"),a.style.removeProperty("height"))))}
var Wc,Xc,Yc,Zc,jd;function od(a){if(0===a)return 0;a=y(a);if(!Y.hasOwnProperty(a))return 0;od.C&&Ea(od.C);od.C=B(Xa(Y[a]),"i8",0);return od.C}cc();O=Array(4096);Vb(K,"/");R("/tmp");R("/home");R("/home/web_user");
(function(){R("/dev");wb(259,{read:function(){return 0},write:function(a,b,f,g){return g}});Xb("/dev/null",259);vb(1280,yb);vb(1536,zb);Xb("/dev/tty",1280);Xb("/dev/tty1",1536);var a;if("undefined"!==typeof crypto){var b=new Uint8Array(1);a=function(){crypto.getRandomValues(b);return b[0]}}else a=da?function(){return __webpack_require__(1).randomBytes(1)[0]}:function(){return 256*Math.random()|0};fc("random",a);fc("urandom",a);R("/dev/shm");R("/dev/shm/tmp")})();R("/proc");R("/proc/self");R("/proc/self/fd");
Vb({A:function(){var a=Bb("/proc/self","fd",16895,73);a.k={lookup:function(a,c){var d=N[+c];if(!d)throw new J(I.S);var f={parent:null,A:{Oa:"fake"},k:{readlink:function(){return d.path}}};return f.parent=f}};return a}},"/proc/self/fd");
Sa.unshift(function(){if(!e.noFSInit&&!dc){assert(!dc,"FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");dc=!0;cc();e.stdin=e.stdin;e.stdout=e.stdout;e.stderr=e.stderr;e.stdin?fc("stdin",e.stdin):Yb("/dev/tty","/dev/stdin");e.stdout?fc("stdout",null,e.stdout):Yb("/dev/tty","/dev/stdout");e.stderr?fc("stderr",null,e.stderr):Yb("/dev/tty1","/dev/stderr");var a=Zb("/dev/stdin",
"r");assert(0===a.fd,"invalid handle for stdin ("+a.fd+")");a=Zb("/dev/stdout","w");assert(1===a.fd,"invalid handle for stdout ("+a.fd+")");a=Zb("/dev/stderr","w");assert(2===a.fd,"invalid handle for stderr ("+a.fd+")")}});Ta.push(function(){Jb=!1});H.push(function(){dc=!1;var a=e._fflush;a&&a(0);for(a=0;a<N.length;a++){var b=N[a];b&&ac(b)}});Sa.unshift(function(){});H.push(function(){});if(da){var fs=__webpack_require__(1),Eb=__webpack_require__(0);M.nb()}Bc(Y);e.requestFullScreen=function(a,b,c){fd(a,b,c)};
e.requestAnimationFrame=function(a){Ic(a)};e.setCanvasSize=function(a,b,c){id(e.canvas,a,b);c||nd()};e.pauseMainLoop=function(){Z=null;Lc++};e.resumeMainLoop=function(){Lc++;var a=Dc,b=Ec,c=Fc;Fc=null;Jc(c,0,!1,Kc,!0);Cc(a,b);Z()};e.getUserMedia=function(){window.C||(window.C=navigator.getUserMedia||navigator.mozGetUserMedia);window.C(void 0)};e.createContext=function(a,b,c,d){return bd(a,b,c,d)};La=m=n.na(la);Ma=La+Pa;Oa=p=n.na(Ma);assert(Oa<ma,"TOTAL_MEMORY not big enough for stack");
var pd=B([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,
1,0,3,0,1,0,2,0,1,0],"i8",3);e.Sa={Math:Math,Int8Array:Int8Array,Int16Array:Int16Array,Int32Array:Int32Array,Uint8Array:Uint8Array,Uint16Array:Uint16Array,Uint32Array:Uint32Array,Float32Array:Float32Array,Float64Array:Float64Array,NaN:NaN,Infinity:Infinity};
e.Ta={abort:v,assert:assert,invoke_viiiii:function(a,b,c,d,f,g){try{e.dynCall_viiiii(a,b,c,d,f,g)}catch(k){if("number"!==typeof k&&"longjmp"!==k)throw k;X.setThrew(1,0)}},invoke_vi:function(a,b){try{e.dynCall_vi(a,b)}catch(c){if("number"!==typeof c&&"longjmp"!==c)throw c;X.setThrew(1,0)}},invoke_iiidd:function(a,b,c,d,f){try{return e.dynCall_iiidd(a,b,c,d,f)}catch(g){if("number"!==typeof g&&"longjmp"!==g)throw g;X.setThrew(1,0)}},invoke_vii:function(a,b,c){try{e.dynCall_vii(a,b,c)}catch(d){if("number"!==
typeof d&&"longjmp"!==d)throw d;X.setThrew(1,0)}},invoke_iiiiiiiiiii:function(a,b,c,d,f,g,k,h,u,q,r){try{return e.dynCall_iiiiiiiiiii(a,b,c,d,f,g,k,h,u,q,r)}catch(t){if("number"!==typeof t&&"longjmp"!==t)throw t;X.setThrew(1,0)}},invoke_ii:function(a,b){try{return e.dynCall_ii(a,b)}catch(c){if("number"!==typeof c&&"longjmp"!==c)throw c;X.setThrew(1,0)}},invoke_iiiiii:function(a,b,c,d,f,g){try{return e.dynCall_iiiiii(a,b,c,d,f,g)}catch(k){if("number"!==typeof k&&"longjmp"!==k)throw k;X.setThrew(1,
0)}},invoke_iiii:function(a,b,c,d){try{return e.dynCall_iiii(a,b,c,d)}catch(f){if("number"!==typeof f&&"longjmp"!==f)throw f;X.setThrew(1,0)}},invoke_viiiiii:function(a,b,c,d,f,g,k){try{e.dynCall_viiiiii(a,b,c,d,f,g,k)}catch(h){if("number"!==typeof h&&"longjmp"!==h)throw h;X.setThrew(1,0)}},invoke_di:function(a,b){try{return e.dynCall_di(a,b)}catch(c){if("number"!==typeof c&&"longjmp"!==c)throw c;X.setThrew(1,0)}},invoke_iiiiiii:function(a,b,c,d,f,g,k){try{return e.dynCall_iiiiiii(a,b,c,d,f,g,k)}catch(h){if("number"!==
typeof h&&"longjmp"!==h)throw h;X.setThrew(1,0)}},invoke_dd:function(a,b){try{return e.dynCall_dd(a,b)}catch(c){if("number"!==typeof c&&"longjmp"!==c)throw c;X.setThrew(1,0)}},invoke_dddd:function(a,b,c,d){try{return e.dynCall_dddd(a,b,c,d)}catch(f){if("number"!==typeof f&&"longjmp"!==f)throw f;X.setThrew(1,0)}},invoke_viiiiiiiii:function(a,b,c,d,f,g,k,h,u,q){try{e.dynCall_viiiiiiiii(a,b,c,d,f,g,k,h,u,q)}catch(r){if("number"!==typeof r&&"longjmp"!==r)throw r;X.setThrew(1,0)}},invoke_iii:function(a,
b,c){try{return e.dynCall_iii(a,b,c)}catch(d){if("number"!==typeof d&&"longjmp"!==d)throw d;X.setThrew(1,0)}},invoke_d:function(a){try{return e.dynCall_d(a)}catch(b){if("number"!==typeof b&&"longjmp"!==b)throw b;X.setThrew(1,0)}},invoke_i:function(a){try{return e.dynCall_i(a)}catch(b){if("number"!==typeof b&&"longjmp"!==b)throw b;X.setThrew(1,0)}},invoke_viiiddi:function(a,b,c,d,f,g,k){try{e.dynCall_viiiddi(a,b,c,d,f,g,k)}catch(h){if("number"!==typeof h&&"longjmp"!==h)throw h;X.setThrew(1,0)}},invoke_iiiii:function(a,
b,c,d,f){try{return e.dynCall_iiiii(a,b,c,d,f)}catch(g){if("number"!==typeof g&&"longjmp"!==g)throw g;X.setThrew(1,0)}},invoke_viii:function(a,b,c,d){try{e.dynCall_viii(a,b,c,d)}catch(f){if("number"!==typeof f&&"longjmp"!==f)throw f;X.setThrew(1,0)}},invoke_v:function(a){try{e.dynCall_v(a)}catch(b){if("number"!==typeof b&&"longjmp"!==b)throw b;X.setThrew(1,0)}},invoke_viid:function(a,b,c,d){try{e.dynCall_viid(a,b,c,d)}catch(f){if("number"!==typeof f&&"longjmp"!==f)throw f;X.setThrew(1,0)}},invoke_iiiid:function(a,
b,c,d,f){try{return e.dynCall_iiiid(a,b,c,d,f)}catch(g){if("number"!==typeof g&&"longjmp"!==g)throw g;X.setThrew(1,0)}},invoke_viiii:function(a,b,c,d,f){try{e.dynCall_viiii(a,b,c,d,f)}catch(g){if("number"!==typeof g&&"longjmp"!==g)throw g;X.setThrew(1,0)}},_pthread_cleanup_pop:function(){assert(pc.level==H.length,"cannot pop if something else added meanwhile!");H.pop();pc.level=H.length},_fabs:yc,_sin:Za,_exp:eb,_llvm_pow_f64:gb,___syscall265:function(a,b){T=b;return 0},___syscall54:function(a,b){T=
b;try{var c=jc(),d=W();switch(d){case 21505:return c.tty?0:-I.T;case 21506:return c.tty?0:-I.T;case 21519:if(!c.tty)return-I.T;var f=W();return z[f>>2]=0;case 21520:return c.tty?-I.p:-I.T;case 21531:f=W();if(!c.n.ab)throw new J(I.T);return c.n.ab(c,d,f);default:v("bad ioctl syscall "+d)}}catch(g){return"undefined"!==typeof S&&g instanceof J||v(g),-g.u}},_pthread_cleanup_push:pc,_abort:function(){e.abort()},_atan2:db,___setErrNo:mb,___syscall20:function(a,b){T=b;return 42},___assert_fail:function(a,
b,c,d){w=!0;throw"Assertion failed: "+y(a)+", at: "+[b?y(b):"unknown filename",c,d?y(d):"unknown function"]+" at "+Fa();},_floor:zc,_asin:bb,___buildEnvironment:Bc,_longjmp:rc,_cos:Ya,_times:function(a){0!==a&&wc(a,0,16);return 0},_emscripten_set_main_loop_timing:Cc,_fabsf:jb,_sbrk:uc,___syscall192:function(a,b){T=b;try{var c=W(),d=W(),f=W(),g=W(),k=W(),h=W(),h=h<<12,u,q=!1;if(-1===k){u=xa(d);if(!u)return-I.Ba;wc(u,0,d);q=!0}else{var r=N[k];if(!r)return-I.S;var t,A=E;if(1===(r.flags&2097155))throw new J(I.R);
if(!r.n.ga)throw new J(I.Z);t=r.n.ga(r,A,c,d,h,f,g);u=t.gb;q=t.oa}hc[u]={eb:u,cb:d,oa:q,fd:k,flags:g};return u}catch(F){return"undefined"!==typeof S&&F instanceof J||v(F),-F.u}},___syscall197:function(a,b){T=b;try{var c=jc(),d=W();return ic(c.path,d)}catch(f){return"undefined"!==typeof S&&f instanceof J||v(f),-f.u}},___syscall195:function(a,b){T=b;try{var c=y(W()),d=W();return ic(c,d)}catch(f){return"undefined"!==typeof S&&f instanceof J||v(f),-f.u}},__exit:mc,___syscall221:function(a,b){T=b;try{var c=
jc();switch(W()){case 0:var d=W();return 0>d?-I.p:Zb(c.path,c.flags,0,d).fd;case 1:case 2:return 0;case 3:return c.flags;case 4:return d=W(),c.flags|=d,0;case 12:case 12:return d=W(),ua[d+0>>1]=2,0;case 13:case 14:case 13:case 14:return 0;case 16:case 8:return-I.p;case 9:return mb(I.p),-1;default:return-I.p}}catch(f){return"undefined"!==typeof S&&f instanceof J||v(f),-f.u}},_emscripten_memcpy_big:function(a,b,c){E.set(E.subarray(b,b+c),a);return a},___syscall91:function(a,b){T=b;try{var c=W(),d=W(),
f=hc[c];if(!f)return 0;if(d===f.cb){var g=N[f.fd],k=f.flags,h=new Uint8Array(E.subarray(c,c+d));g&&g.n.ha&&g.n.ha(g,h,0,d,k);hc[c]=null;f.oa&&Ea(f.eb)}return 0}catch(u){return"undefined"!==typeof S&&u instanceof J||v(u),-u.u}},_atanf:cb,_atan:cb,_pthread_self:function(){return 0},_acos:ab,_getenv:od,___syscall33:function(a,b){T=b;try{var c=y(W()),d;var f=W();if(f&-8)d=-I.p;else{var g;g=Q(c,{da:!0}).g;c="";f&4&&(c+="r");f&2&&(c+="w");f&1&&(c+="x");d=c&&Ob(g,c)?-I.R:0}return d}catch(k){return"undefined"!==
typeof S&&k instanceof J||v(k),-k.u}},_sqrtf:fb,___unlock:function(){},___syscall140:function(a,b){T=b;try{var c=jc(),d=W(),f=W(),g=W(),k=W();assert(0===d);bc(c,f,k);z[g>>2]=c.position;c.ra&&0===f&&0===k&&(c.ra=null);return 0}catch(h){return"undefined"!==typeof S&&h instanceof J||v(h),-h.u}},_emscripten_set_main_loop:Jc,___syscall10:function(a,b){T=b;try{var c=y(W()),d=Q(c,{parent:!0}).g,f=qb(c),g=Db(d,f),k;a:{var h;try{h=Db(d,f)}catch(u){k=u.u;break a}var q=Ob(d,"wx");k=q?q:L(h.mode)?I.M:0}if(k)throw k===
I.M&&(k=I.J),new J(k);if(!d.k.unlink)throw new J(I.J);if(g.V)throw new J(I.ka);try{P.willDeletePath&&P.willDeletePath(c)}catch(r){console.log("FS.trackingDelegate['willDeletePath']('"+c+"') threw an exception: "+r.message)}d.k.unlink(d,f);var t=Mb(g.parent.id,g.name);if(O[t]===g)O[t]=g.O;else for(var A=O[t];A;){if(A.O===g){A.O=g.O;break}A=A.O}try{if(P.onDeletePath)P.onDeletePath(c)}catch(F){console.log("FS.trackingDelegate['onDeletePath']('"+c+"') threw an exception: "+F.message)}return 0}catch(U){return"undefined"!==
typeof S&&U instanceof J||v(U),-U.u}},_tan:$a,_sysconf:function(a){switch(a){case 30:return 4096;case 85:return G/4096;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:return 200809;case 79:return 0;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;
case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1E3;case 89:return 700;case 71:return 256;
case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"===typeof navigator?navigator.hardwareConcurrency||1:1}mb(I.p);return-1},___lock:function(){},___syscall6:function(a,b){T=b;try{var c=jc();ac(c);return 0}catch(d){return"undefined"!==typeof S&&d instanceof J||v(d),-d.u}},___syscall5:function(a,b){T=b;try{var c=y(W()),d=W(),f=W();return Zb(c,d,f).fd}catch(g){return"undefined"!==typeof S&&g instanceof J||
v(g),-g.u}},_setenv:function(a,b,c){if(0===a)return mb(I.p),-1;a=y(a);b=y(b);if(""===a||-1!==a.indexOf("="))return mb(I.p),-1;if(Y.hasOwnProperty(a)&&!c)return 0;Y[a]=b;Bc(Y);return 0},_time:function(a){var b=Date.now()/1E3|0;a&&(z[a>>2]=b);return b},_emscripten_longjmp:function(a,b){rc(a,b)},_ceil:sc,_sqrt:fb,_llvm_trap:function(){v("trap!")},_exit:function(a){mc(a)},___syscall145:function(a,b){T=b;try{var c=jc(),d=W(),f;a:{for(var g=W(),k=0,h=0;h<g;h++){var u=z[d+(8*h+4)>>2],q,r=c,t=z[d+8*h>>2],
A=u,F=void 0,U=x;if(0>A||0>F)throw new J(I.p);if(1===(r.flags&2097155))throw new J(I.S);if(L(r.g.mode))throw new J(I.M);if(!r.n.read)throw new J(I.p);var qa=!0;if("undefined"===typeof F)F=r.position,qa=!1;else if(!r.seekable)throw new J(I.$);var Na=r.n.read(r,U,t,A,F);qa||(r.position+=Na);q=Na;if(0>q){f=-1;break a}k+=q;if(q<u)break}f=k}return f}catch(ea){return"undefined"!==typeof S&&ea instanceof J||v(ea),-ea.u}},___syscall146:function(a,b){T=b;try{var c=jc(),d=W(),f;a:{for(var g=W(),k=0,h=0;h<g;h++){var u,
q=c,r=z[d+8*h>>2],t=z[d+(8*h+4)>>2],A=x,F=void 0;if(0>t||0>F)throw new J(I.p);if(0===(q.flags&2097155))throw new J(I.S);if(L(q.g.mode))throw new J(I.M);if(!q.n.write)throw new J(I.p);q.flags&1024&&bc(q,0,2);var U=!0;if("undefined"===typeof F)F=q.position,U=!1;else if(!q.seekable)throw new J(I.$);var qa=q.n.write(q,A,r,t,F,void 0);U||(q.position+=qa);try{if(q.path&&P.onWriteToFile)P.onWriteToFile(q.path)}catch(Na){console.log("FS.trackingDelegate['onWriteToFile']('"+path+"') threw an exception: "+
Na.message)}u=qa;if(0>u){f=-1;break a}k+=u}f=k}return f}catch(ea){return"undefined"!==typeof S&&ea instanceof J||v(ea),-ea.u}},STACKTOP:m,STACK_MAX:Ma,tempDoublePtr:hb,ABORT:w,cttz_i8:pd};// EMSCRIPTEN_START_ASM
var X=(function(global,env,buffer) {
"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=0;var o=0;var p=0;var q=0;var r=global.NaN,s=global.Infinity;var t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0.0;var C=0;var D=0;var E=0;var F=0;var G=0;var H=0;var I=0;var J=0;var K=0;var L=0;var M=global.Math.floor;var N=global.Math.abs;var O=global.Math.sqrt;var P=global.Math.pow;var Q=global.Math.cos;var R=global.Math.sin;var S=global.Math.tan;var T=global.Math.acos;var U=global.Math.asin;var V=global.Math.atan;var W=global.Math.atan2;var X=global.Math.exp;var Y=global.Math.log;var Z=global.Math.ceil;var _=global.Math.imul;var $=global.Math.min;var aa=global.Math.clz32;var ba=env.abort;var ca=env.assert;var da=env.invoke_viiiii;var ea=env.invoke_vi;var fa=env.invoke_iiidd;var ga=env.invoke_vii;var ha=env.invoke_iiiiiiiiiii;var ia=env.invoke_ii;var ja=env.invoke_iiiiii;var ka=env.invoke_iiii;var la=env.invoke_viiiiii;var ma=env.invoke_di;var na=env.invoke_iiiiiii;var oa=env.invoke_dd;var pa=env.invoke_dddd;var qa=env.invoke_viiiiiiiii;var ra=env.invoke_iii;var sa=env.invoke_d;var ta=env.invoke_i;var ua=env.invoke_viiiddi;var va=env.invoke_iiiii;var wa=env.invoke_viii;var xa=env.invoke_v;var ya=env.invoke_viid;var za=env.invoke_iiiid;var Aa=env.invoke_viiii;var Ba=env._pthread_cleanup_pop;var Ca=env._fabs;var Da=env._sin;var Ea=env._exp;var Fa=env._llvm_pow_f64;var Ga=env.___syscall265;var Ha=env.___syscall54;var Ia=env._pthread_cleanup_push;var Ja=env._abort;var Ka=env._atan2;var La=env.___setErrNo;var Ma=env.___syscall20;var Na=env.___assert_fail;var Oa=env._floor;var Pa=env._asin;var Qa=env.___buildEnvironment;var Ra=env._longjmp;var Sa=env._cos;var Ta=env._times;var Ua=env._emscripten_set_main_loop_timing;var Va=env._fabsf;var Wa=env._sbrk;var Xa=env.___syscall192;var Ya=env.___syscall197;var Za=env.___syscall195;var _a=env.__exit;var $a=env.___syscall221;var ab=env._emscripten_memcpy_big;var bb=env.___syscall91;var cb=env._atanf;var db=env._atan;var eb=env._pthread_self;var fb=env._acos;var gb=env._getenv;var hb=env.___syscall33;var ib=env._sqrtf;var jb=env.___unlock;var kb=env.___syscall140;var lb=env._emscripten_set_main_loop;var mb=env.___syscall10;var nb=env._tan;var ob=env._sysconf;var pb=env.___lock;var qb=env.___syscall6;var rb=env.___syscall5;var sb=env._setenv;var tb=env._time;var ub=env._emscripten_longjmp;var vb=env._ceil;var wb=env._sqrt;var xb=env._llvm_trap;var yb=env._exit;var zb=env.___syscall145;var Ab=env.___syscall146;var Bb=0.0;
// EMSCRIPTEN_START_FUNCS
function LG(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0.0;S=i;i=i+80|0;P=S+16|0;f=S;v=P;s=b+(a*56|0)|0;u=v+56|0;do{c[v>>2]=c[s>>2];v=v+4|0;s=s+4|0}while((v|0)<(u|0));D=P+16|0;G=P+24|0;n=+h[G>>3];O=P+8|0;o=+h[O>>3];do if(!(n>o+1.0e-07)){if(!(n<o+-1.0e-07)?+h[D>>3]>+h[P>>3]:0){R=4;break}f=c[P+36>>2]|0;if(!(c[b+((c[b+(a*56|0)+48>>2]|0)*56|0)+32>>2]|0)){l=0;R=7}else{f=MG(P,D,f,b,e)|0;R=20}}else R=4;while(0);if((R|0)==4){c[f>>2]=c[P>>2];c[f+4>>2]=c[P+4>>2];c[f+8>>2]=c[P+8>>2];c[f+12>>2]=c[P+12>>2];c[P>>2]=c[D>>2];c[P+4>>2]=c[D+4>>2];c[P+8>>2]=c[D+8>>2];c[P+12>>2]=c[D+12>>2];c[D>>2]=c[f>>2];c[D+4>>2]=c[f+4>>2];c[D+8>>2]=c[f+8>>2];c[D+12>>2]=c[f+12>>2];C=P+36|0;Q=c[C>>2]|0;R=P+40|0;f=c[R>>2]|0;c[C>>2]=f;c[R>>2]=Q;if(!(c[b+((c[b+(a*56|0)+44>>2]|0)*56|0)+32>>2]|0)){l=1;R=7}else{f=MG(P,D,f,b,e)|0;R=19}}if((R|0)==7){j=MG(P,D,f,b,e)|0;k=KG(d)|0;c[d+(k*72|0)+68>>2]=1;v=d+(k*72|0)|0;s=d+(j*72|0)|0;u=v+72|0;do{c[v>>2]=c[s>>2];v=v+4|0;s=s+4|0}while((v|0)<(u|0));t=+h[O>>3];h[d+(k*72|0)+16>>3]=t;h[d+(j*72|0)+32>>3]=t;t=+h[P>>3];h[d+(k*72|0)+8>>3]=t;h[d+(j*72|0)+24>>3]=t;c[d+(j*72|0)+48>>2]=k;c[d+(j*72|0)+52>>2]=0;c[d+(k*72|0)+40>>2]=j;c[d+(k*72|0)+44>>2]=0;f=c[d+(k*72|0)+48>>2]|0;if((f|0)>0){g=d+(f*72|0)+40|0;if((c[g>>2]|0)==(j|0))c[g>>2]=k;f=d+(f*72|0)+44|0;if((c[f>>2]|0)==(j|0))c[f>>2]=k}f=c[d+(k*72|0)+52>>2]|0;if((f|0)>0){g=d+(f*72|0)+40|0;if((c[g>>2]|0)==(j|0))c[g>>2]=k;f=d+(f*72|0)+44|0;if((c[f>>2]|0)==(j|0))c[f>>2]=k}C=JG()|0;R=JG()|0;Q=d+(j*72|0)+56|0;B=c[Q>>2]|0;c[e+(B*40|0)>>2]=2;A=e+(B*40|0)+8|0;c[A>>2]=c[P>>2];c[A+4>>2]=c[P+4>>2];c[A+8>>2]=c[P+8>>2];c[A+12>>2]=c[P+12>>2];c[e+(B*40|0)+4>>2]=a;c[e+(B*40|0)+32>>2]=R;c[e+(B*40|0)+36>>2]=C;c[e+(C*40|0)>>2]=3;c[e+(C*40|0)+24>>2]=j;c[e+(C*40|0)+28>>2]=B;c[e+(R*40|0)>>2]=3;c[e+(R*40|0)+24>>2]=k;c[e+(R*40|0)+28>>2]=B;c[Q>>2]=C;c[d+(k*72|0)+56>>2]=R;if(l){f=k;R=19}else{f=k;R=20}}if((R|0)==19)if(!(c[b+((c[b+(a*56|0)+48>>2]|0)*56|0)+32>>2]|0)){g=1;R=21}else{g=1;R=32}else if((R|0)==20)if(!(c[b+((c[b+(a*56|0)+44>>2]|0)*56|0)+32>>2]|0)){g=0;R=21}else{g=0;R=32}if((R|0)==21){m=MG(D,P,c[P+40>>2]|0,b,e)|0;l=KG(d)|0;c[d+(l*72|0)+68>>2]=1;v=d+(l*72|0)|0;s=d+(m*72|0)|0;u=v+72|0;do{c[v>>2]=c[s>>2];v=v+4|0;s=s+4|0}while((v|0)<(u|0));t=+h[G>>3];h[d+(l*72|0)+16>>3]=t;h[d+(m*72|0)+32>>3]=t;t=+h[D>>3];h[d+(l*72|0)+8>>3]=t;h[d+(m*72|0)+24>>3]=t;c[d+(m*72|0)+48>>2]=l;c[d+(m*72|0)+52>>2]=0;c[d+(l*72|0)+40>>2]=m;c[d+(l*72|0)+44>>2]=0;j=c[d+(l*72|0)+48>>2]|0;if((j|0)>0){k=d+(j*72|0)+40|0;if((c[k>>2]|0)==(m|0))c[k>>2]=l;j=d+(j*72|0)+44|0;if((c[j>>2]|0)==(m|0))c[j>>2]=l}j=c[d+(l*72|0)+52>>2]|0;if((j|0)>0){k=d+(j*72|0)+40|0;if((c[k>>2]|0)==(m|0))c[k>>2]=l;j=d+(j*72|0)+44|0;if((c[j>>2]|0)==(m|0))c[j>>2]=l}B=JG()|0;Q=JG()|0;C=d+(m*72|0)+56|0;A=c[C>>2]|0;c[e+(A*40|0)>>2]=2;z=e+(A*40|0)+8|0;c[z>>2]=c[D>>2];c[z+4>>2]=c[D+4>>2];c[z+8>>2]=c[D+8>>2];c[z+12>>2]=c[D+12>>2];c[e+(A*40|0)+4>>2]=a;c[e+(A*40|0)+32>>2]=Q;c[e+(A*40|0)+36>>2]=B;c[e+(B*40|0)>>2]=3;c[e+(B*40|0)+24>>2]=m;c[e+(B*40|0)+28>>2]=A;c[e+(Q*40|0)>>2]=3;c[e+(Q*40|0)+24>>2]=l;c[e+(Q*40|0)+28>>2]=A;c[C>>2]=B;c[d+(l*72|0)+56>>2]=Q;Q=f;C=m;f=0}else if((R|0)==32){Q=f;C=MG(D,P,c[P+40>>2]|0,b,e)|0;f=1}a:do if((Q|0)>0){A=d+(C*72|0)+32|0;B=d+(C*72|0)+24|0;z=(f|0)!=0;y=g?b+(a*56|0)+48|0:b+(a*56|0)+44|0;j=Q;g=0;f=0;b:while(1){k=d+(j*72|0)|0;w=d+(j*72|0)+24|0;x=d+(j*72|0)+32|0;n=+h[x>>3];o=+h[A>>3];if(!(n>o+1.0e-07)){if(n<o+-1.0e-07)break a;if(!(+h[w>>3]>=+h[B>>3]))break a}l=d+(j*72|0)+56|0;v=c[l>>2]|0;q=JG()|0;r=JG()|0;c[e+(v*40|0)>>2]=1;c[e+(v*40|0)+4>>2]=a;c[e+(v*40|0)+32>>2]=q;c[e+(v*40|0)+36>>2]=r;c[e+(q*40|0)>>2]=3;c[e+(q*40|0)+24>>2]=j;c[e+(q*40|0)+28>>2]=v;c[e+(r*40|0)>>2]=3;p=KG(d)|0;c[e+(r*40|0)+24>>2]=p;m=d+(p*72|0)|0;c[d+(p*72|0)+68>>2]=1;c[e+(r*40|0)+28>>2]=v;g=(j|0)==(Q|0)?p:g;if(+N(+(+h[x>>3]-+h[A>>3]))<=1.0e-07?+N(+(+h[w>>3]-+h[B>>3]))<=1.0e-07:0)f=p;v=m;s=k;u=v+72|0;do{c[v>>2]=c[s>>2];v=v+4|0;s=s+4|0}while((v|0)<(u|0));c[l>>2]=q;c[d+(p*72|0)+56>>2]=r;k=d+(j*72|0)+48|0;l=d+(j*72|0)+52|0;q=(c[l>>2]|0)<1;do if((c[k>>2]|0)<1){if(q){R=43;break b}u=d+(j*72|0)+40|0;q=c[u>>2]|0;do if((q|0)>0?(I=d+(j*72|0)+44|0,J=c[I>>2]|0,(J|0)>0):0){q=d+(j*72|0)+60|0;r=c[q>>2]|0;if((r|0)<=0){c[d+(p*72|0)+40>>2]=J;c[d+(p*72|0)+44>>2]=-1;c[I>>2]=-1;c[d+(J*72|0)+48>>2]=p;break}if((c[d+(j*72|0)+64>>2]|0)==1){c[d+(p*72|0)+40>>2]=J;c[I>>2]=-1;c[d+(p*72|0)+44>>2]=r;c[d+((c[u>>2]|0)*72|0)+48>>2]=j;c[d+(J*72|0)+48>>2]=p;c[d+(r*72|0)+48>>2]=p}else{c[d+(p*72|0)+44>>2]=-1;v=d+(p*72|0)+40|0;c[v>>2]=c[I>>2];s=c[u>>2]|0;c[I>>2]=s;c[u>>2]=r;c[d+(r*72|0)+48>>2]=j;c[d+(s*72|0)+48>>2]=j;c[d+((c[v>>2]|0)*72|0)+48>>2]=p}c[d+(p*72|0)+60>>2]=0;c[q>>2]=0}else R=80;while(0);do if((R|0)==80){R=0;r=d+(q*72|0)+48|0;s=c[r>>2]|0;q=d+(q*72|0)+52|0;if((s|0)>0?(c[q>>2]|0)>0:0){q=c[d+(s*72|0)+4>>2]|0;if((q|0)>0?(NG(q,b,D)|0)==0:0){c[d+(p*72|0)+44>>2]=-1;c[d+(j*72|0)+44>>2]=-1;c[u>>2]=-1;c[d+((c[d+(p*72|0)+40>>2]|0)*72|0)+52>>2]=p;break}c[d+(j*72|0)+44>>2]=-1;c[d+(p*72|0)+44>>2]=-1;c[d+(p*72|0)+40>>2]=-1;c[d+((c[u>>2]|0)*72|0)+48>>2]=j;break}c[r>>2]=j;c[q>>2]=p}while(0);if(+N(+(+h[x>>3]-+h[A>>3]))<=1.0e-07?z&+N(+(+h[w>>3]-+h[B>>3]))<=1.0e-07:0){q=c[y>>2]|0;if((q|0)<=0){R=92;break b}if(!(NG(q,b,P)|0)){R=92;break b}c[d+((c[l>>2]|0)*72|0)+40>>2]=j;c[d+(p*72|0)+52>>2]=-1;c[d+(p*72|0)+48>>2]=-1;k=c[l>>2]|0;break}k=c[l>>2]|0;l=d+(k*72|0)+40|0;q=c[l>>2]|0;r=d+(k*72|0)+44|0;do if((q|0)>0?(K=c[r>>2]|0,(K|0)>0):0){s=d+(k*72|0)+60|0;if((q|0)==(j|0)){c[s>>2]=K;c[d+(k*72|0)+64>>2]=1;break}else{c[s>>2]=q;c[d+(k*72|0)+64>>2]=2;break}}while(0);c[l>>2]=j;c[r>>2]=p}else{if(!q){t=+h[x>>3];n=+h[O>>3];o=t-n;if(!(+N(+o)<=1.0e-07)){T=+h[P>>3];n=T+o/(+h[G>>3]-n)*(+h[D>>3]-T);if(!(t<t+-1.0e-07))if(t>t+1.0e-07)u=0;else u=n<+h[w>>3]&1;else u=1}else u=+h[w>>3]>+h[P>>3]&1;s=d+(j*72|0)+40|0;l=c[s>>2]|0;do if((l|0)>0?(L=d+(j*72|0)+44|0,M=c[L>>2]|0,(M|0)>0):0){l=d+(j*72|0)+60|0;q=c[l>>2]|0;if((q|0)<=0){c[d+(p*72|0)+40>>2]=M;c[d+(p*72|0)+44>>2]=-1;c[L>>2]=-1;c[d+(M*72|0)+48>>2]=p;break}if((c[d+(j*72|0)+64>>2]|0)==1){c[d+(p*72|0)+40>>2]=M;c[L>>2]=-1;c[d+(p*72|0)+44>>2]=q;c[d+((c[s>>2]|0)*72|0)+48>>2]=j;c[d+(M*72|0)+48>>2]=p;c[d+(q*72|0)+48>>2]=p}else{c[d+(p*72|0)+44>>2]=-1;v=d+(p*72|0)+40|0;c[v>>2]=c[L>>2];r=c[s>>2]|0;c[L>>2]=r;c[s>>2]=q;c[d+(q*72|0)+48>>2]=j;c[d+(r*72|0)+48>>2]=j;c[d+((c[v>>2]|0)*72|0)+48>>2]=p}c[d+(p*72|0)+60>>2]=0;c[l>>2]=0}else R=112;while(0);do if((R|0)==112){R=0;q=d+(l*72|0)+48|0;r=c[q>>2]|0;l=d+(l*72|0)+52|0;if((r|0)>0?(c[l>>2]|0)>0:0){l=c[d+(r*72|0)+4>>2]|0;if((l|0)>0?(NG(l,b,D)|0)==0:0){c[d+(p*72|0)+44>>2]=-1;c[d+(j*72|0)+44>>2]=-1;c[s>>2]=-1;c[d+((c[d+(p*72|0)+40>>2]|0)*72|0)+52>>2]=p;break}c[d+(j*72|0)+44>>2]=-1;c[d+(p*72|0)+44>>2]=-1;c[d+(p*72|0)+40>>2]=-1;c[d+((c[s>>2]|0)*72|0)+48>>2]=j;break}c[q>>2]=j;c[l>>2]=p}while(0);if(+N(+(+h[x>>3]-+h[A>>3]))<=1.0e-07?z&+N(+(+h[w>>3]-+h[B>>3]))<=1.0e-07:0){l=p;R=121;break b}k=c[k>>2]|0;c[d+(k*72|0)+40>>2]=j;l=d+(k*72|0)+44|0;if(!u){c[l>>2]=-1;k=d+(j*72|0)+52|0;x=c[k>>2]|0;c[d+(x*72|0)+40>>2]=j;c[d+(x*72|0)+44>>2]=p;c[d+(p*72|0)+48>>2]=x;c[d+(p*72|0)+52>>2]=-1;k=c[k>>2]|0;break}else{c[l>>2]=p;x=d+(j*72|0)+52|0;w=c[x>>2]|0;c[d+(w*72|0)+40>>2]=p;c[d+(w*72|0)+44>>2]=-1;c[x>>2]=-1;break}}u=d+(j*72|0)+40|0;q=c[u>>2]|0;do if((q|0)>0?(E=d+(j*72|0)+44|0,F=c[E>>2]|0,(F|0)>0):0){q=d+(j*72|0)+60|0;r=c[q>>2]|0;if((r|0)<=0){c[d+(p*72|0)+40>>2]=F;c[d+(p*72|0)+44>>2]=-1;c[E>>2]=-1;c[d+(F*72|0)+48>>2]=p;break}if((c[d+(j*72|0)+64>>2]|0)==1){c[d+(p*72|0)+40>>2]=F;c[E>>2]=-1;c[d+(p*72|0)+44>>2]=r;c[d+((c[u>>2]|0)*72|0)+48>>2]=j;c[d+(F*72|0)+48>>2]=p;c[d+(r*72|0)+48>>2]=p}else{c[d+(p*72|0)+44>>2]=-1;v=d+(p*72|0)+40|0;c[v>>2]=c[E>>2];s=c[u>>2]|0;c[E>>2]=s;c[u>>2]=r;c[d+(r*72|0)+48>>2]=j;c[d+(s*72|0)+48>>2]=j;c[d+((c[v>>2]|0)*72|0)+48>>2]=p}c[d+(p*72|0)+60>>2]=0;c[q>>2]=0}else R=53;while(0);do if((R|0)==53){R=0;r=d+(q*72|0)+48|0;s=c[r>>2]|0;q=d+(q*72|0)+52|0;if((s|0)>0?(c[q>>2]|0)>0:0){q=c[d+(s*72|0)+4>>2]|0;if((q|0)>0?(NG(q,b,D)|0)==0:0){c[d+(p*72|0)+44>>2]=-1;c[d+(j*72|0)+44>>2]=-1;c[u>>2]=-1;c[d+((c[d+(p*72|0)+40>>2]|0)*72|0)+52>>2]=p;break}c[d+(j*72|0)+44>>2]=-1;c[d+(p*72|0)+44>>2]=-1;c[d+(p*72|0)+40>>2]=-1;c[d+((c[u>>2]|0)*72|0)+48>>2]=j;break}c[r>>2]=j;c[q>>2]=p}while(0);if(+N(+(+h[x>>3]-+h[A>>3]))<=1.0e-07?z&+N(+(+h[w>>3]-+h[B>>3]))<=1.0e-07:0){q=c[y>>2]|0;if((q|0)<=0){R=65;break b}if(!(NG(q,b,P)|0)){R=65;break b}c[d+((c[k>>2]|0)*72|0)+40>>2]=j;c[d+(p*72|0)+52>>2]=-1;c[d+(p*72|0)+48>>2]=-1;k=c[k>>2]|0;break}k=c[k>>2]|0;l=d+(k*72|0)+40|0;q=c[l>>2]|0;r=d+(k*72|0)+44|0;do if((q|0)>0?(H=c[r>>2]|0,(H|0)>0):0){s=d+(k*72|0)+60|0;if((q|0)==(j|0)){c[s>>2]=H;c[d+(k*72|0)+64>>2]=1;break}else{c[s>>2]=q;c[d+(k*72|0)+64>>2]=2;break}}while(0);c[l>>2]=j;c[r>>2]=p}while(0);c[m>>2]=a;c[d+(j*72|0)+4>>2]=a;if((k|0)>0)j=k;else break a}if((R|0)==43){AO(179590,19,1,c[24809]|0)|0;break}else if((R|0)==65){c[d+((c[d+(p*72|0)+48>>2]|0)*72|0)+44>>2]=p;c[l>>2]=-1;c[k>>2]=-1;k=m}else if((R|0)==92){c[d+((c[d+(p*72|0)+52>>2]|0)*72|0)+44>>2]=p;c[l>>2]=-1;c[k>>2]=-1;k=m}else if((R|0)==121){k=c[k>>2]|0;c[d+(k*72|0)+40>>2]=j;c[d+(k*72|0)+44>>2]=-1;k=d+(j*72|0)+52|0;R=c[k>>2]|0;c[d+(R*72|0)+40>>2]=l;c[d+(R*72|0)+44>>2]=-1;c[d+(l*72|0)+48>>2]=R;c[d+(l*72|0)+52>>2]=-1;c[k>>2]=-1;k=m}c[k>>2]=a;c[d+(j*72|0)+4>>2]=a}else{g=0;f=0}while(0);OG(a,Q,C,1,d,e);OG(a,g,f,2,d,e);c[b+(a*56|0)+32>>2]=1;i=S;return}function MG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0;m=a+8|0;n=b+8|0;a:while(1){b:do switch(c[f+(d*40|0)>>2]|0){case 3:{r=3;break a}case 2:{g=+h[m>>3];i=f+(d*40|0)+8|0;j=+h[f+(d*40|0)+16>>3];k=j+1.0e-07;do if(!(g>k)){l=j+-1.0e-07;if(!(g<l)?+h[a>>3]>+h[i>>3]:0)break;if(+N(+(g-j))<=1.0e-07?(o=+h[i>>3],+N(+(+h[a>>3]-o))<=1.0e-07):0){g=+h[n>>3];do if(!(g>k)){if(!(g<l)?+h[b>>3]>o:0)break;d=f+(d*40|0)+32|0;break b}while(0);d=f+(d*40|0)+36|0;break b}d=f+(d*40|0)+32|0;break b}while(0);d=f+(d*40|0)+36|0;break}case 1:{g=+h[m>>3];i=c[f+(d*40|0)+4>>2]|0;if(+N(+(g-+h[e+(i*56|0)+8>>3]))<=1.0e-07?(p=+h[a>>3],+N(+(p-+h[e+(i*56|0)>>3]))<=1.0e-07):0)j=p;else r=19;do if((r|0)==19){r=0;if(+N(+(g-+h[e+(i*56|0)+24>>3]))<=1.0e-07?(q=+h[a>>3],+N(+(q-+h[e+(i*56|0)+16>>3]))<=1.0e-07):0){j=q;break}if(!(NG(i,e,a)|0)){d=f+(d*40|0)+36|0;break b}else{d=f+(d*40|0)+32|0;break b}}while(0);if(!(+N(+(g-+h[n>>3]))<=1.0e-07))if(!(NG(i,e,b)|0)){d=f+(d*40|0)+36|0;break b}else{d=f+(d*40|0)+32|0;break b}else if(+h[b>>3]<j){d=f+(d*40|0)+32|0;break b}else{d=f+(d*40|0)+36|0;break b}}default:{r=31;break a}}while(0);d=c[d>>2]|0}if((r|0)==3)return c[f+(d*40|0)+24>>2]|0;else if((r|0)==31){AO(179524,35,1,c[24809]|0)|0;Na(179560,179562,349,179574)}return 0}function NG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0,i=0.0,j=0,k=0,l=0.0,m=0.0;k=b+(a*56|0)+16|0;l=+h[b+(a*56|0)+24>>3];g=b+(a*56|0)|0;i=+h[b+(a*56|0)+8>>3];do if(!(l>i+1.0e-07)){if(!(l<i+-1.0e-07)?+h[k>>3]>+h[g>>3]:0){j=4;break}f=+h[c+8>>3];if(+N(+(l-f))<=1.0e-07){d=+h[c>>3]<+h[k>>3]?1.0:-1.0;break}a=!(+N(+(i-f))<=1.0e-07);e=+h[g>>3];d=+h[c>>3];if(a){m=+h[k>>3];d=(f-l)*(e-m)-(i-l)*(d-m);break}else{d=d<e?1.0:-1.0;break}}else j=4;while(0);do if((j|0)==4){f=+h[c+8>>3];if(+N(+(l-f))<=1.0e-07){d=+h[c>>3]<+h[k>>3]?1.0:-1.0;break}j=!(+N(+(i-f))<=1.0e-07);e=+h[g>>3];d=+h[c>>3];if(j){d=(f-i)*(+h[k>>3]-e)-(l-i)*(d-e);break}else{d=d<e?1.0:-1.0;break}}while(0);return d>0.0|0}function OG(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;a:do if((b|0)>0){v=f+(d*72|0)+32|0;u=(e|0)==1;t=f+(d*72|0)+24|0;b:while(1){n=f+(b*72|0)+24|0;o=f+(b*72|0)+32|0;p=f+(b*72|0)+48|0;q=f+(b*72|0)+52|0;r=f+(b*72|0)|0;s=f+(b*72|0)+4|0;m=f+(b*72|0)+56|0;while(1){i=+h[o>>3];j=+h[v>>3];if(!(i>j+1.0e-07)){if(i<j+-1.0e-07)break a;if(!(+h[n>>3]>=+h[t>>3]))break a}e=c[p>>2]|0;d=(e|0)>0;do if(u){if(d?(c[f+(e*72|0)+4>>2]|0)==(a|0):0)break;e=c[q>>2]|0;if((e|0)<=0)break a;if((c[f+(e*72|0)+4>>2]|0)!=(a|0)){b=e;continue b}}else{if(d?(c[f+(e*72|0)>>2]|0)==(a|0):0)break;e=c[q>>2]|0;if((e|0)<=0)break a;if((c[f+(e*72|0)>>2]|0)!=(a|0)){b=e;continue b}}while(0);if((c[r>>2]|0)!=(c[f+(e*72|0)>>2]|0)){b=e;continue b}if((c[s>>2]|0)!=(c[f+(e*72|0)+4>>2]|0)){b=e;continue b}w=c[f+(e*72|0)+56>>2]|0;d=c[g+(w*40|0)+28>>2]|0;k=g+(d*40|0)+32|0;l=c[m>>2]|0;if((c[k>>2]|0)==(w|0))c[k>>2]=l;else c[g+(d*40|0)+36>>2]=l;d=c[f+(e*72|0)+48>>2]|0;c[p>>2]=d;do if((d|0)>0){k=f+(d*72|0)+40|0;if((c[k>>2]|0)==(e|0)){c[k>>2]=b;break}d=f+(d*72|0)+44|0;if((c[d>>2]|0)==(e|0))c[d>>2]=b}while(0);d=c[f+(e*72|0)+52>>2]|0;c[q>>2]=d;do if((d|0)>0){k=f+(d*72|0)+40|0;if((c[k>>2]|0)==(e|0)){c[k>>2]=b;break}d=f+(d*72|0)+44|0;if((c[d>>2]|0)==(e|0))c[d>>2]=b}while(0);w=f+(e*72|0)+24|0;c[n>>2]=c[w>>2];c[n+4>>2]=c[w+4>>2];c[n+8>>2]=c[w+8>>2];c[n+12>>2]=c[w+12>>2];c[f+(e*72|0)+68>>2]=2}}}while(0);return}function PG(a){a=a|0;var b=0;do{b=a;a=c[a>>2]|0;fQ(b)}while((a|0)!=0);return}function QG(){var a=0,b=0,d=0;a=yz(1992)|0;if(a){b=WG(a)|0;c[b+4>>2]=0;d=a+1972|0;c[d>>2]=(c[d>>2]|0)+1;c[a>>2]=b}return a|0}function RG(a){a=a|0;UG(a,c[a>>2]|0);fQ(c[a>>2]|0);fQ(a);return 0}function SG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;if(!b)Na(180045,179695,194,179703);e=c[b+4>>2]|0;if((e|0)<=-1)Na(179715,179695,195,179703);if(!d)Na(179987,179695,196,179703);i=a+1952|0;c[i>>2]=(c[i>>2]|0)+1;if((e|0)>0){i=0;h=0;while(1){e=b+8+(i*20|0)+16|0;if((c[e>>2]|0)!=0?(eH(d,b+8+(i*20|0)|0)|0)!=0:0){e=SG(a,c[e>>2]|0,d)|0;if(h){f=h;while(1){g=c[f>>2]|0;if(!g)break;else f=g}c[f>>2]=e;e=h}}else e=h;i=i+1|0;if((i|0)==64)break;else h=e}}else{g=0;e=0;do{f=b+8+(g*20|0)|0;if((c[b+8+(g*20|0)+16>>2]|0)!=0?(eH(d,f)|0)!=0:0){a=yz(8)|0;c[a+4>>2]=f;c[a>>2]=e;e=a}g=g+1|0}while((g|0)!=64)}return e|0}function TG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+64|0;o=q+52|0;n=q+32|0;h=q+16|0;j=q;c[o>>2]=0;if(!((b|0)!=0&(e|0)!=0))Na(179901,179695,247,179729);if((f|0)>-1?(l=c[e>>2]|0,(c[l+4>>2]|0)>=(f|0)):0){if((c[b>>2]|0)<=(c[b+8>>2]|0)?(c[b+4>>2]|0)<=(c[b+12>>2]|0):0){k=a+1912|0;g=a+1908|0;m=(c[g>>2]|0)==0;do if(!(c[k>>2]|0)){if(m)p=13}else if(m){p=a+1916|0;c[p>>2]=(c[p>>2]|0)+1;p=13;break}else{m=a+1924|0;c[m>>2]=(c[m>>2]|0)+1;break}while(0);if((p|0)==13){p=a+1964|0;c[p>>2]=(c[p>>2]|0)+1}if(!(VG(a,b,d,l,o,f)|0))g=0;else{do if(c[k>>2]|0)if(!(c[g>>2]|0)){p=a+1944|0;c[p>>2]=(c[p>>2]|0)+1;break}else{p=a+1948|0;c[p>>2]=(c[p>>2]|0)+1;break}while(0);g=WG(a)|0;p=a+1976|0;c[p>>2]=(c[p>>2]|0)+1;p=c[e>>2]|0;c[g+4>>2]=(c[p+4>>2]|0)+1;YG(h,p);c[n>>2]=c[h>>2];c[n+4>>2]=c[h+4>>2];c[n+8>>2]=c[h+8>>2];c[n+12>>2]=c[h+12>>2];p=n+16|0;c[p>>2]=c[e>>2];_G(a,n,g,0)|0;YG(j,c[o>>2]|0);c[n>>2]=c[j>>2];c[n+4>>2]=c[j+4>>2];c[n+8>>2]=c[j+8>>2];c[n+12>>2]=c[j+12>>2];c[p>>2]=c[o>>2];_G(a,n,g,0)|0;c[e>>2]=g;g=a+1980|0;c[g>>2]=(c[g>>2]|0)+2;g=1}i=q;return g|0}Na(179776,179695,250,179729)}Na(179741,179695,248,179729);return 0}function UG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;g=a+1980|0;h=a+1912|0;i=a+1936|0;if((c[b+4>>2]|0)>0){f=0;do{d=b+8+(f*20|0)+16|0;e=c[d>>2]|0;if((e|0)!=0?(UG(a,e),fQ(c[d>>2]|0),$G(b,f),c[g>>2]=(c[g>>2]|0)+-1,(c[h>>2]|0)!=0):0)c[i>>2]=(c[i>>2]|0)+1;f=f+1|0}while((f|0)!=64)}else{d=0;do{if((c[b+8+(d*20|0)+16>>2]|0)!=0?($G(b,d),c[g>>2]=(c[g>>2]|0)+-1,(c[h>>2]|0)!=0):0)c[i>>2]=(c[i>>2]|0)+1;d=d+1|0}while((d|0)!=64)}return}function VG(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;p=i;i=i+80|0;n=p+52|0;o=p+48|0;k=p+32|0;l=p+16|0;m=p;c[o>>2]=0;if(!((b|0)!=0&(e|0)!=0&(f|0)!=0))Na(179819,179695,311,179833);if((g|0)>-1?(j=c[e+4>>2]|0,(j|0)>=(g|0)):0){do if(c[a+1912>>2]|0)if(!(c[a+1908>>2]|0)){q=a+1944|0;c[q>>2]=(c[q>>2]|0)+1;break}else{q=a+1948|0;c[q>>2]=(c[q>>2]|0)+1;break}while(0);do if((j|0)>(g|0)){j=ZG(b,e)|0;h=e+8+(j*20|0)+16|0;j=e+8+(j*20|0)|0;if(!(VG(a,b,d,c[h>>2]|0,o,g)|0)){dH(k,b,j);c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];h=0;break}else{YG(l,c[h>>2]|0);c[j>>2]=c[l>>2];c[j+4>>2]=c[l+4>>2];c[j+8>>2]=c[l+8>>2];c[j+12>>2]=c[l+12>>2];h=c[o>>2]|0;c[n+16>>2]=h;YG(m,h);c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];c[n+8>>2]=c[m+8>>2];c[n+12>>2]=c[m+12>>2];h=a+1980|0;c[h>>2]=(c[h>>2]|0)+1;h=_G(a,n,e,f)|0;break}}else if((j|0)==(g|0)){c[n>>2]=c[b>>2];c[n+4>>2]=c[b+4>>2];c[n+8>>2]=c[b+8>>2];c[n+12>>2]=c[b+12>>2];c[n+16>>2]=d;h=a+1980|0;c[h>>2]=(c[h>>2]|0)+1;h=_G(a,n,e,f)|0;break}else Na(179878,179695,341,179833);while(0);i=p;return h|0}Na(179846,179695,312,179833);return 0}function WG(a){a=a|0;var b=0;a=a+1968|0;c[a>>2]=(c[a>>2]|0)+1;a=eQ(1288)|0;c[a>>2]=0;c[a+4>>2]=-1;b=0;do{aH(a+8+(b*20|0)|0);c[a+8+(b*20|0)+16>>2]=0;b=b+1|0}while((b|0)!=64);return a|0}function XG(a){a=a|0;var b=0;c[a>>2]=0;c[a+4>>2]=-1;b=0;do{aH(a+8+(b*20|0)|0);c[a+8+(b*20|0)+16>>2]=0;b=b+1|0}while((b|0)!=64);return}function YG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=i;i=i+32|0;h=j+16|0;f=j;if(!b)Na(180045,179884,99,179891);aH(h);d=1;g=0;do{do if(c[b+8+(g*20|0)+16>>2]|0){e=b+8+(g*20|0)|0;if(!d){dH(f,h,e);c[h>>2]=c[f>>2];c[h+4>>2]=c[f+4>>2];c[h+8>>2]=c[f+8>>2];c[h+12>>2]=c[f+12>>2];d=0;break}else{c[h>>2]=c[e>>2];c[h+4>>2]=c[e+4>>2];c[h+8>>2]=c[e+8>>2];c[h+12>>2]=c[e+12>>2];d=0;break}}while(0);g=g+1|0}while((g|0)!=64);c[a>>2]=c[h>>2];c[a+4>>2]=c[h+4>>2];c[a+8>>2]=c[h+8>>2];c[a+12>>2]=c[h+12>>2];i=j;return}function ZG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+32|0;m=n+16|0;k=n;if(!((a|0)!=0&(b|0)!=0))Na(179901,179884,125,179908);d=0;h=0;j=0;g=1;l=0;while(1){if(c[b+8+(l*20|0)+16>>2]|0){f=b+8+(l*20|0)|0;e=cH(f)|0;dH(k,a,f);c[m>>2]=c[k>>2];c[m+4>>2]=c[k+4>>2];c[m+8>>2]=c[k+8>>2];c[m+12>>2]=c[k+12>>2];f=(cH(m)|0)-e|0;if((g|0)!=0|(f|0)<(j|0)){d=l;g=0}else{g=(e|0)<(h|0)&(f|0)==(j|0);d=g?l:d;e=g?e:h;f=g?f:j;g=0}}else{e=h;f=j}l=l+1|0;if((l|0)==64)break;else{h=e;j=f}}i=n;return d|0}function _G(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;if(!b)Na(180067,179884,167,179919);if(!d)Na(180045,179884,168,179919);do if((c[d>>2]|0)<64){e=0;while(1){if(!(c[d+8+(e*20|0)+16>>2]|0)){a=7;break}e=e+1|0;if((e|0)>=64){a=9;break}}if((a|0)==7){f=d+8+(e*20|0)|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2];c[f+12>>2]=c[b+12>>2];c[f+16>>2]=c[b+16>>2];c[d>>2]=(c[d>>2]|0)+1;f=0;break}else if((a|0)==9)Na(179929,179884,178,179919)}else{do if(c[a+1912>>2]|0)if(!(c[a+1908>>2]|0)){f=a+1944|0;c[f>>2]=(c[f>>2]|0)+1;break}else{f=a+1948|0;c[f>>2]=(c[f>>2]|0)+1;break}while(0);if(!e)Na(179942,179884,187,179919);fH(a,d,b,e);if(!(c[d+4>>2]|0)){f=a+1972|0;c[f>>2]=(c[f>>2]|0)+1;f=1;break}else{f=a+1976|0;c[f>>2]=(c[f>>2]|0)+1;f=1;break}}while(0);return f|0}function $G(a,b){a=a|0;b=b|0;var d=0;if(!((a|0)!=0&b>>>0<64))Na(179946,179884,201,179974);d=a+8+(b*20|0)+16|0;if(!(c[d>>2]|0))Na(180069,179884,202,179974);else{aH(a+8+(b*20|0)|0);c[d>>2]=0;c[a>>2]=(c[a>>2]|0)+-1;return}}function aH(a){a=a|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;c[a+12>>2]=0;return}function bH(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;d=b;c[d>>2]=1;c[d+8>>2]=-1;c[d+12>>2]=0;c[d+4>>2]=0;c[a>>2]=c[d>>2];c[a+4>>2]=c[d+4>>2];c[a+8>>2]=c[d+8>>2];c[a+12>>2]=c[d+12>>2];i=b;return}function cH(a){a=a|0;var b=0,d=0;if(!a)Na(179987,179989,128,180001);b=c[a>>2]|0;d=c[a+8>>2]|0;if((d|0)<(b|0))b=0;else{b=_(c[a+12>>2]|0,d-b|0)|0;b=b-(c[a+4>>2]|0)|0}return b|0}function dH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+16|0;j=k;if(!((b|0)!=0&(d|0)!=0))Na(180010,179989,195,180018);e=c[b>>2]|0;f=c[b+8>>2]|0;do if((e|0)<=(f|0)){g=c[d>>2]|0;h=c[d+8>>2]|0;if((g|0)>(h|0)){c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];break}else{c[j>>2]=(e|0)<(g|0)?e:g;c[j+8>>2]=(f|0)>(h|0)?f:h;g=c[b+4>>2]|0;h=c[d+4>>2]|0;c[j+4>>2]=(g|0)<(h|0)?g:h;b=c[b+12>>2]|0;d=c[d+12>>2]|0;c[j+12>>2]=(b|0)>(d|0)?b:d;c[a>>2]=c[j>>2];c[a+4>>2]=c[j+4>>2];c[a+8>>2]=c[j+8>>2];c[a+12>>2]=c[j+12>>2];break}}else{c[a>>2]=c[d>>2];c[a+4>>2]=c[d+4>>2];c[a+8>>2]=c[d+8>>2];c[a+12>>2]=c[d+12>>2]}while(0);i=k;return}function eH(a,b){a=a|0;b=b|0;if(!((a|0)!=0&(b|0)!=0))Na(180030,179989,216,180037);if(((c[a>>2]|0)<=(c[b+8>>2]|0)?(c[b>>2]|0)<=(c[a+8>>2]|0):0)?(c[a+4>>2]|0)<=(c[b+12>>2]|0):0)return (c[b+4>>2]|0)<=(c[a+12>>2]|0)|0;return 0}function fH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;F=i;i=i+352|0;p=F+80|0;q=F+64|0;o=F+48|0;w=F+32|0;t=F+16|0;u=F;if(!b)Na(180045,180047,40,180057);if(!d)Na(180067,180047,41,180057);A=a+1912|0;do if(c[A>>2]|0)if(!(c[a+1908>>2]|0)){C=a+1928|0;c[C>>2]=(c[C>>2]|0)+1;break}else{C=a+1932|0;c[C>>2]=(c[C>>2]|0)+1;break}while(0);B=b+4|0;C=c[B>>2]|0;f=0;do{if(!(c[b+8+(f*20|0)+16>>2]|0)){E=11;break}y=b+8+(f*20|0)|0;z=a+4+(f*20|0)|0;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];c[z+12>>2]=c[y+12>>2];c[z+16>>2]=c[y+16>>2];f=f+1|0}while((f|0)<64);if((E|0)==11)Na(180069,180047,111,180088);z=a+4|0;f=a+1284|0;c[f>>2]=c[d>>2];c[f+4>>2]=c[d+4>>2];c[f+8>>2]=c[d+8>>2];c[f+12>>2]=c[d+12>>2];c[f+16>>2]=c[d+16>>2];f=a+1304|0;c[f>>2]=c[z>>2];c[f+4>>2]=c[z+4>>2];c[f+8>>2]=c[z+8>>2];c[f+12>>2]=c[z+12>>2];d=1;do{dH(p,f,a+4+(d*20|0)|0);c[f>>2]=c[p>>2];c[f+4>>2]=c[p+4>>2];c[f+8>>2]=c[p+8>>2];c[f+12>>2]=c[p+12>>2];d=d+1|0}while((d|0)!=65);z=a+1320|0;c[z>>2]=cH(f)|0;XG(b);x=a+1848|0;c[x>>2]=0;v=a+1844|0;c[v>>2]=0;r=a+1852|0;y=a+1868|0;bH(p);c[y>>2]=c[p>>2];c[y+4>>2]=c[p+4>>2];c[y+8>>2]=c[p+8>>2];c[y+12>>2]=c[p+12>>2];c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];c[r+12>>2]=c[p+12>>2];r=a+1888|0;c[r>>2]=0;s=a+1884|0;c[s>>2]=0;d=0;do{c[a+1584+(d<<2)>>2]=0;c[a+1324+(d<<2)>>2]=-1;d=d+1|0}while((d|0)!=65);d=0;do{c[p+(d<<2)>>2]=cH(a+4+(d*20|0)|0)|0;d=d+1|0}while((d|0)!=65);h=0;f=0;d=0;j=0;do{n=h;h=h+1|0;k=a+4+(n*20|0)|0;l=c[p+(n<<2)>>2]|0;m=h;do{dH(o,k,a+4+(m*20|0)|0);c[q>>2]=c[o>>2];c[q+4>>2]=c[o+4>>2];c[q+8>>2]=c[o+8>>2];c[q+12>>2]=c[o+12>>2];H=(cH(q)|0)-l|0;H=H-(c[p+(m<<2)>>2]|0)|0;G=H>>>0>j>>>0;j=G?H:j;f=G?n:f;d=G?m:d;m=m+1|0}while((m|0)!=65)}while((h|0)!=64);gH(a,f,0);gH(a,d,1);f=c[v>>2]|0;d=c[x>>2]|0;a:do if((d+f|0)<65){m=a+1892|0;n=a+1852|0;h=0;j=0;do{H=65-(c[m>>2]|0)|0;if((f|0)<(H|0)&(d|0)<(H|0)){k=-1;l=0}else break a;while(1){if(!(c[a+1584+(l<<2)>>2]|0)){H=a+4+(l*20|0)|0;dH(t,H,n);c[w>>2]=c[t>>2];c[w+4>>2]=c[t+4>>2];c[w+8>>2]=c[t+8>>2];c[w+12>>2]=c[t+12>>2];d=cH(w)|0;f=c[s>>2]|0;dH(u,H,y);c[w>>2]=c[u>>2];c[w+4>>2]=c[u+4>>2];c[w+8>>2]=c[u+8>>2];c[w+12>>2]=c[u+12>>2];H=cH(w)|0;d=H-(c[r>>2]|0)+(f-d)|0;f=(d|0)>-1?d:0-d|0;d=d>>>31;if((f|0)<=(k|0))if((f|0)==(k|0)){H=(c[a+1844+(d<<2)>>2]|0)<(c[a+1844+(h<<2)>>2]|0);h=H?d:h;d=k;j=H?l:j}else d=k;else{h=d;d=f;j=l}}else d=k;l=l+1|0;if((l|0)==65)break;else k=d}gH(a,j,h);f=c[v>>2]|0;d=c[x>>2]|0}while((d+f|0)<65)}while(0);if((f+d|0)<65){d=(f|0)>=(65-(c[a+1892>>2]|0)|0)&1;f=0;do{if(!(c[a+1584+(f<<2)>>2]|0))gH(a,f,d);f=f+1|0}while((f|0)!=65);f=c[v>>2]|0;d=c[x>>2]|0}if((f+d|0)!=65)Na(180100,180047,210,180186);H=c[a+1892>>2]|0;if((f|0)<(H|0)|(d|0)<(H|0))Na(180197,180047,212,180186);d=cH(a+1852|0)|0;d=(cH(y)|0)+d|0;if((c[A>>2]|0)!=0?(d|0)!=0&(c[a+1908>>2]|0)==0:0){H=a+1960|0;g[H>>2]=+((c[z>>2]|0)>>>0)/+(d|0)+ +g[H>>2]}f=WG(a)|0;c[e>>2]=f;c[B>>2]=C;c[f+4>>2]=C;if(!f)Na(180300,180047,298,180302);else D=0;do{d=c[a+1324+(D<<2)>>2]|0;if(d>>>0>=2){E=47;break}switch(d|0){case 0:{_G(a,a+4+(D*20|0)|0,b,0)|0;break}case 1:{_G(a,a+4+(D*20|0)|0,f,0)|0;break}default:{}}D=D+1|0}while((D|0)<65);if((E|0)==47)Na(180312,180047,303,180302);if(((c[c[e>>2]>>2]|0)+(c[b>>2]|0)|0)==65){i=F;return}else Na(180401,180047,86,180057)}function gH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;h=j;e=a+1584+(b<<2)|0;if(c[e>>2]|0)Na(180441,180047,257,180476);c[a+1324+(b<<2)>>2]=d;c[e>>2]=1;f=a+1844+(d<<2)|0;g=a+1852+(d<<4)|0;e=a+4+(b*20|0)|0;if(!(c[f>>2]|0)){c[g>>2]=c[e>>2];c[g+4>>2]=c[e+4>>2];c[g+8>>2]=c[e+8>>2];c[g+12>>2]=c[e+12>>2]}else{dH(h,e,g);c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[g+12>>2]=c[h+12>>2]}c[a+1884+(d<<2)>>2]=cH(g)|0;c[f>>2]=(c[f>>2]|0)+1;i=j;return}function hH(){var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=i;i=i+1200|0;u=w+800|0;f=w;c[23002]=0;c[23003]=-2;q=0;l=u;e=u;h=200;m=0;k=f;a:while(1){b[e>>1]=m;if((l+(h+-1<<1)|0)>>>0<=e>>>0){j=e-l>>1;e=j+1|0;if(h>>>0>9999){f=l;v=103;break}g=h<<1;g=g>>>0>1e4?1e4:g;f=eQ(g*6|3)|0;if(!f){f=l;v=103;break}rQ(f|0,l|0,e<<1|0)|0;h=f+((g>>>1&1073741823)<<2)|0;rQ(h|0,k|0,e<<2|0)|0;if((l|0)!=(u|0))fQ(l);if((g+-1|0)>(j|0)){t=f;e=f+(j<<1)|0;r=g;s=h;f=h+(j<<2)|0}else{e=1;v=105;break}}else{t=l;r=h;s=k}if((m|0)==31){e=0;f=t;v=104;break}p=b[105466+(m<<1)>>1]|0;j=p<<16>>16;do if(p<<16>>16!=-82){g=c[23003]|0;if((g|0)==-2){g=wH()|0;c[23003]=g}if((g|0)>=1)if(g>>>0<296)h=d[180485+g>>0]|0;else h=2;else{c[23003]=0;h=0}g=h+j|0;if(g>>>0<=271?(a[180781+g>>0]|0)==(h|0):0){p=a[181053+g>>0]|0;g=p<<24>>24;if(p<<24>>24<1){g=0-g|0;v=23;break}else{c[23003]=-2;f=f+4|0;c[f>>2]=c[23004];j=(q|0)==0?0:q+-1|0;break}}else v=22}else v=22;while(0);if((v|0)==22){v=0;p=a[181325+m>>0]|0;g=p&255;if(!(p<<24>>24)){g=c[23003]|0;b:do switch(q|0){case 0:{c[23002]=(c[23002]|0)+1;tH(183367);break}case 3:if((g|0)<1)if(!g){e=1;f=t;v=104;break a}else break b;else{c[23003]=-2;break b}default:{}}while(0);if(m)do{if((e|0)==(t|0)){e=1;f=t;v=104;break a}f=f+-4|0;e=e+-2|0}while((b[e>>1]|0)!=0);f=f+4|0;c[f>>2]=c[23004];j=3;g=1}else v=23}do if((v|0)==23){v=0;n=d[181441+g>>0]|0;o=1-n|0;p=f+(o<<2)|0;m=c[p>>2]|0;do switch(g|0){case 4:{f=t;v=26;break a}case 2:{l=c[f+-4>>2]|0;h=yz(8)|0;a[h+4>>0]=2;c[h>>2]=l;c[23005]=h;h=m;break}case 3:{l=c[f+-4>>2]|0;h=yz(8)|0;a[h+4>>0]=1;c[h>>2]=l;c[23005]=h;h=m;break}case 5:{h=kH()|0;break}case 8:{j=c[23006]|0;k=yz(64)|0;l=j+4|0;h=c[l>>2]|0;if(h>>>0>=(c[j+8>>2]|0)>>>0){ys(j,1)|0;h=c[l>>2]|0}a[h>>0]=0;h=c[j>>2]|0;c[l>>2]=h;c[k+8>>2]=dP(h)|0;c[k+12>>2]=c[c[23007]>>2];h=c[23008]|0;Jb[c[h>>2]&63](h,k,1)|0;h=m;break}case 9:{lH(c[f>>2]|0);h=m;break}case 18:{mH(c[f>>2]|0);h=m;break}case 19:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 20:{mH(c[f>>2]|0);h=m;break}case 21:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 22:{mH(c[f>>2]|0);h=m;break}case 23:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 24:{mH(c[f>>2]|0);h=m;break}case 25:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 26:{mH(c[f>>2]|0);h=m;break}case 27:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 28:{mH(c[f>>2]|0);h=m;break}case 29:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 30:{mH(c[f>>2]|0);h=m;break}case 31:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 32:{mH(c[f>>2]|0);h=m;break}case 33:{l=c[23007]|0;h=c[l+4>>2]|0;fQ(l);c[23007]=h;h=m;break}case 34:{h=c[f+-4>>2]|0;break}case 35:{h=c[f>>2]|0;break}case 38:{h=c[23006]|0;j=c[h+4>>2]|0;if(j>>>0>=(c[h+8>>2]|0)>>>0){ys(h,1)|0;j=c[23006]|0;h=j;j=c[j+4>>2]|0}c[h+4>>2]=j+1;a[j>>0]=0;m=c[23006]|0;h=c[m>>2]|0;c[m+4>>2]=h;while(1){j=a[h>>0]|0;if(!(j<<24>>24))break;if(j<<24>>24==32)h=h+1|0;else{f=t;v=55;break a}}c[(c[f>>2]|0)+80>>2]=c[23009];h=hs(92040,c[13093]|0)|0;c[(c[f>>2]|0)+84>>2]=h;c[23009]=c[f>>2];c[(c[f>>2]|0)+108>>2]=c[c[23007]>>2];h=c[f>>2]|0;break}case 39:{h=c[23006]|0;j=c[h+4>>2]|0;if(j>>>0>=(c[h+8>>2]|0)>>>0){ys(h,1)|0;j=c[23006]|0;h=j;j=c[j+4>>2]|0}c[h+4>>2]=j+1;a[j>>0]=0;m=c[23006]|0;h=c[m>>2]|0;c[m+4>>2]=h;while(1){j=a[h>>0]|0;if(!(j<<24>>24))break;if(j<<24>>24==32)h=h+1|0;else{f=t;v=62;break a}}h=c[23009]|0;c[23009]=c[h+80>>2];break}case 40:{h=c[f>>2]|0;break}case 41:{h=c[f+-4>>2]|0;break}case 42:{h=c[f+-4>>2]|0;break}case 43:{h=c[f+-4>>2]|0;break}case 44:{h=c[f+-4>>2]|0;break}case 45:{h=c[f+-4>>2]|0;break}case 48:{h=c[f>>2]|0;break}case 49:{h=c[f>>2]|0;break}case 50:{a[(c[f+-8>>2]|0)+12>>0]=1;h=c[f>>2]|0;break}case 51:{l=hs(92076,c[13093]|0)|0;h=c[23009]|0;j=yz(16)|0;c[j+8>>2]=l;if(a[h+112>>0]&2)a[j+12>>0]=1;h=c[h+84>>2]|0;Jb[c[h>>2]&63](h,j,1)|0;h=m;break}case 52:{h=c[(c[23009]|0)+84>>2]|0;h=Jb[c[h>>2]&63](h,0,256)|0;break}case 53:{h=c[f>>2]|0;break}case 54:{h=c[f>>2]|0;break}case 55:{h=(c[f+-8>>2]|0)+100|0;a[h>>0]=d[h>>0]|1;h=c[f>>2]|0;break}case 56:{nH(c[f+-4>>2]|0,c[f>>2]|0,1);h=m;break}case 57:{h=c[f+-12>>2]|0;break}case 58:{nH(c[f+-4>>2]|0,c[f>>2]|0,2);h=m;break}case 59:{h=c[f+-12>>2]|0;break}case 60:{nH(c[f+-4>>2]|0,c[f>>2]|0,3);h=m;break}case 61:{h=c[f+-12>>2]|0;break}case 62:{h=c[f>>2]|0;nH(h,kH()|0,2);h=m;break}case 63:{h=c[f+-8>>2]|0;break}case 64:{h=c[f+-4>>2]|0;break}case 65:{h=c[f>>2]|0;break}default:h=m}while(0);e=e+(0-n<<1)|0;f=f+(o<<2)|0;c[p>>2]=h;g=(d[181613+g>>0]|0)+-41|0;p=b[e>>1]|0;h=p+(b[105698+(g<<1)>>1]|0)|0;if(h>>>0<272?(a[180781+h>>0]|0)==(p|0):0){j=q;g=a[181053+h>>0]|0;break}j=q;g=a[181683+g>>0]|0}while(0);q=j;l=t;e=e+2|0;h=r;m=g;k=s}if((v|0)==26){jH();e=1;v=104}else if((v|0)==55){tH(181511);jH();e=1;v=104}else if((v|0)==62){tH(181562);jH();e=1;v=104}else if((v|0)==103){tH(181722);e=2;v=104}if((v|0)==104)if((f|0)!=(u|0))v=105;if((v|0)==105)fQ(f);i=w;return e|0}function iH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;f=i;i=i+160|0;e=f+8|0;g=f;c[g>>2]=0;c[g+4>>2]=0;c[23007]=g;c[23009]=0;c[23005]=0;c[23028]=c[(c[(c[d+52>>2]|0)+16>>2]|0)+144>>2];c[23008]=hs(92116,c[13093]|0)|0;c[23047]=hs(92152,c[13093]|0)|0;xs(e,128,f+24|0);c[23006]=e;if(!(uH(a,e,d)|0)){hH()|0;c[b>>2]=vH()|0;d=c[23005]|0}else{c[b>>2]=2;d=0}ds(c[23008]|0)|0;ds(c[23047]|0)|0;c[23008]=0;c[23047]=0;c[23007]=0;Bs(e);i=f;return d|0}function jH(){var a=0,b=0,d=0;a=c[23009]|0;b=c[23005]|0;if(b){JF(b,1);c[23005]=0}c[23023]=69;if(a)do{b=a;a=c[a+80>>2]|0;ds(c[b+84>>2]|0)|0;HF(b);fQ(b)}while((a|0)!=0);c[23023]=56;c[23033]=70;b=c[23008]|0;Jb[c[b>>2]&63](b,0,64)|0;c[23033]=56;c[23042]=71;b=c[23047]|0;Jb[c[b>>2]&63](b,0,64)|0;c[23042]=56;b=c[23007]|0;a=c[b+4>>2]|0;if(a)while(1){fQ(b);b=c[a+4>>2]|0;if(!b)break;else{d=a;a=b;b=d}}return}function kH(){var a=0,d=0,e=0,f=0,g=0,h=0;e=c[23047]|0;f=yz(40)|0;if(js(c[23008]|0)|0)lH(0);d=js(e)|0;b[f+4>>1]=d;if((d|0)!=0?(c[f>>2]=yz(d*24|0)|0,a=Jb[c[e>>2]&63](e,0,128)|0,(a|0)!=0):0){d=0;while(1){g=(c[f>>2]|0)+(d*24|0)|0;h=a+8|0;c[g>>2]=c[h>>2];c[g+4>>2]=c[h+4>>2];c[g+8>>2]=c[h+8>>2];c[g+12>>2]=c[h+12>>2];c[g+16>>2]=c[h+16>>2];c[g+20>>2]=c[h+20>>2];a=Jb[c[e>>2]&63](e,a,8)|0;if(!a){a=e;break}else d=d+1|0}}else a=e;Jb[c[a>>2]&63](e,0,64)|0;return f|0}function lH(d){d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;i=yz(32)|0;j=c[23008]|0;e=js(j)|0;k=i+8|0;a[i+14>>0]=d;if(e){b[i+12>>1]=e;c[k>>2]=yz(e*56|0)|0;e=fs(j)|0;if(e){d=0;while(1){f=(c[k>>2]|0)+(d*56|0)|0;g=e+8|0;h=f+56|0;do{c[f>>2]=c[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));e=c[e>>2]|0;if(!e)break;else d=d+1|0}}}else{c[k>>2]=yz(56)|0;b[i+12>>1]=1;h=dP(181739)|0;k=c[k>>2]|0;c[k>>2]=h;c[k+4>>2]=c[c[23007]>>2]}Jb[c[j>>2]&63](j,0,64)|0;k=c[23047]|0;Jb[c[k>>2]&63](k,i,1)|0;return}function mH(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0;k=i;i=i+32|0;j=k;g=yz(8)|0;f=c[c[23007]>>2]|0;c[j>>2]=c[a>>2];c[j+4>>2]=c[a+4>>2];c[j+8>>2]=c[a+8>>2];c[j+12>>2]=c[a+12>>2];c[j+16>>2]=c[a+16>>2];c[j+20>>2]=c[a+20>>2];c[j+24>>2]=c[a+24>>2];c[j+28>>2]=c[a+28>>2];if(f){a=j+4|0;if((c[a>>2]|0)==0?(b=c[f+4>>2]|0,(b|0)!=0):0)c[a>>2]=b;a=j+16|0;if(+h[a>>3]<0.0?(d=+h[f+16>>3],d>=0.0):0)h[a>>3]=d;if((c[j>>2]|0)==0?(e=c[f>>2]|0,(e|0)!=0):0)c[j>>2]=e;a=c[f+24>>2]&127;if(a){f=j+24|0;e=c[f>>2]|0;c[f>>2]=e&127|a|e&-128}}f=c[(c[23028]|0)+144>>2]|0;c[g>>2]=Jb[c[f>>2]&63](f,j,1)|0;c[g+4>>2]=c[23007];c[23007]=g;i=k;return}function nH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=yz(16)|0;g=c[23009]|0;h=c[g+84>>2]|0;h=c[(Jb[c[h>>2]&63](h,0,256)|0)+8>>2]|0;c[f+8>>2]=b;Jb[c[h>>2]&63](h,f,1)|0;f=b+88|0;a[b+92>>0]=e;if(a[g+112>>0]&1)a[b+100>>0]=1;switch(e|0){case 2:{c[f>>2]=d;break}case 3:{c[f>>2]=d;break}default:c[f>>2]=d}return}function oH(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function pH(a,b,d){a=a|0;b=b|0;d=d|0;ds(c[b+8>>2]|0)|0;fQ(b);return}function qH(b,d,e){b=b|0;d=d|0;e=e|0;b=c[d+8>>2]|0;e=b+88|0;switch(a[b+92>>0]|0){case 1:{e=c[e>>2]|0;ds(c[e+84>>2]|0)|0;HF(e);fQ(e);break}case 2:{IF(c[e>>2]|0);break}default:{}}HF(b);fQ(b);fQ(d);return}function rH(a,b,d){a=a|0;b=b|0;d=d|0;a=c[b+8>>2]|0;if(a)fQ(a);fQ(b);return}function sH(a,d,e){a=a|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;h=d+12|0;a=b[h>>1]|0;if(a<<16>>16){i=d+8|0;if(a<<16>>16>0){f=0;g=c[i>>2]|0;while(1){e=c[g>>2]|0;if(e){fQ(e);a=b[h>>1]|0}f=f+1|0;if((f|0)>=(a<<16>>16|0))break;else g=g+56|0}}fQ(c[i>>2]|0)}fQ(d);return}function tH(b){b=b|0;var d=0,e=0,f=0;e=i;i=i+16|0;d=e;if(!(a[92225]|0)){a[92225]=1;f=RI(c[23048]|0)|0;c[d>>2]=b;c[d+4>>2]=f;us(1,181740,d)|0;xH()}i=e;return}function uH(b,e,f){b=b|0;e=e|0;f=f|0;c[23051]=e;xs(92208,128,0);c[23049]=b;a[92227]=0;a[92224]=0;a[92225]=0;c[23059]=0;c[23060]=0;a[92226]=1;e=f+52|0;b=II(kz(d[(c[(c[e>>2]|0)+16>>2]|0)+115>>0]|0)|0)|0;c[23048]=b;KI(b,c[(c[(c[e>>2]|0)+16>>2]|0)+144>>2]|0);LI(c[23048]|0,72,33);MI(c[23048]|0,73);return 0}function vH(){var a=0;a=b[46112]|0;JI(c[23048]|0);Bs(92208);return (((a&65535)>>>8|a)&65535)<<24>>24|0}function wH(){var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+32|0;n=o+16|0;m=o+8|0;l=o;c[23050]=0;b=0;a:while(1){b:do switch(a[92227]|0){case 2:{b=-1;break a}case 0:{a[92227]=1;h=0;g=6;d=181818;break}default:{j=c[23049]|0;d=a[j>>0]|0;if(!(d<<24>>24)){a[92227]=2;h=b;g=7;d=181825;break b}b=j+1|0;c:do if(d<<24>>24==60){d=a[b>>0]|0;do if(d<<24>>24==33)if(!(gP(j+2|0,181756,2)|0)){g=j+4|0;f=1;b=g;d:while(1){d=(f|0)==0;e=b;e:while(1){if(d)break d;b=e+1|0;switch(a[e>>0]|0){case 0:{e=b;break d}case 60:{k=13;break e}case 62:{k=14;break e}default:e=b}}if((k|0)==13){k=0;f=f+1|0;continue}else if((k|0)==14){k=0;f=f+-1|0;continue}}b=e+-1|0;d=a[b>>0]|0;if(d<<24>>24){e=e+-3|0;if(e>>>0>=g>>>0?(gP(e,181756,2)|0)==0:0){k=21;break}us(0,181759,l)|0;a[92224]=1;d=a[b>>0]|0;k=21}}else{d=33;k=19}else k=19;while(0);f:do if((k|0)==19)while(1){switch(d<<24>>24){case 62:case 0:{k=21;break f}default:{}}k=b+1|0;d=a[k>>0]|0;b=k;k=19}while(0);if((k|0)==21){k=0;if(d<<24>>24==62){b=b+1|0;break}}us(0,181777,m)|0;a[92224]=1}else{b=j;while(1){switch(d<<24>>24){case 60:case 0:break c;case 38:{e=b+1|0;if((a[e>>0]|0)==35)k=27;else b=QC(e,92208)|0;break}default:k=27}if((k|0)==27){k=0;e=c[23053]|0;if(e>>>0>=(c[23054]|0)>>>0){ys(92208,1)|0;e=c[23053]|0}c[23053]=e+1;a[e>>0]=d;b=b+1|0}d=a[b>>0]|0}}while(0);h=b;g=b-j|0;d=j}}while(0);c[23058]=c[23057];c[23060]=c[23059];c[23057]=d;c[23059]=g;b=c[23053]|0;j=c[23052]|0;e=b-j|0;f=c[23048]|0;if((b|0)==(j|0))b=NI(f,d,g,(g|0)==0&1)|0;else{if(b>>>0>=(c[23054]|0)>>>0){ys(92208,1)|0;b=c[23053]|0}a[b>>0]=0;b=c[23052]|0;c[23053]=b;b=NI(f,b,e,0)|0}if(!((b|0)!=0|(a[92225]|0)!=0)){g=SI(QI(c[23048]|0)|0)|0;j=RI(c[23048]|0)|0;c[n>>2]=g;c[n+4>>2]=j;us(1,181740,n)|0;xH();a[92225]=1;c[23050]=268}if(h)c[23049]=h;b=c[23050]|0;if(!b)b=h;else break}i=o;return b|0}function xH(){var b=0,d=0,e=0,f=0;f=i;i=i+16|0;e=f;b=c[23051]|0;c[b+4>>2]=c[b>>2];d=c[23060]|0;if((d|0)>0){zs(b,c[23058]|0,d)|0;b=c[23051]|0}zs(b,c[23057]|0,c[23059]|0)|0;d=c[23051]|0;b=c[d+4>>2]|0;if(b>>>0>=(c[d+8>>2]|0)>>>0){ys(d,1)|0;b=c[23051]|0;d=b;b=c[b+4>>2]|0}c[d+4>>2]=b+1;a[b>>0]=0;b=c[23051]|0;d=c[b>>2]|0;c[b+4>>2]=d;c[e>>2]=d;us(3,182962,e)|0;i=f;return}function yH(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0;k=i;i=i+48|0;j=k+32|0;g=k;do if(!(YO(e,181833)|0)){j=yz(120)|0;c[j+100>>2]=-1;a[j+88>>0]=-1;BH(j,92244,22,f,181928);c[23004]=j;a[92226]=0;c[23050]=286}else{if((YO(e,181839)|0)!=0?(YO(e,181842)|0)!=0:0){if(!(YO(e,181845)|0)){a[92226]=1;j=yz(104)|0;b[j+80>>1]=1;b[j+82>>1]=1;BH(j,92420,22,f,181936);c[23004]=j;c[23050]=287;break}if(!(YO(e,181853)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=0;if(f)BH(g,92596,3,f,181941);j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=288;break}if(!(YO(e,181858)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=1;j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=290;break}if(!(YO(e,181874)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=32;j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=295;break}if(!(YO(e,181860)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=4;j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=291;break}if(!(YO(e,181862)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=64;j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=292;break}if(!(YO(e,181864)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=2;j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=289;break}if(!(YO(e,181866)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=8;j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=293;break}if(!(YO(e,181870)|0)){c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;h[g+16>>3]=-1.0;c[g+24>>2]=16;j=c[d+144>>2]|0;c[23004]=Jb[c[j>>2]&63](j,g,1)|0;c[23050]=294;break}if(!(YO(e,181876)|0)){c[23004]=0;BH(92016,92620,1,f,181948);c[23050]=283;break}if(!(YO(e,181879)|0)){c[23050]=277;break}if(!(YO(e,181882)|0)){c[23050]=280;break}if(!(YO(e,181885)|0)){j=yz(40)|0;BH(j,92628,2,f,181953);c[23004]=j;c[23050]=285;break}if(!(YO(e,181848)|0)){c[23050]=262;break}else{c[23050]=268;a[92225]=1;d=RI(c[23048]|0)|0;c[j>>2]=e;c[j+4>>2]=d;us(1,181889,j)|0;break}}a[92226]=0;c[23050]=260}while(0);i=k;return}function zH(b,d){b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;b=e;do if(!(YO(d,181833)|0)){c[23050]=264;a[92226]=1}else{if((YO(d,181839)|0)!=0?(YO(d,181842)|0)!=0:0){if(!(YO(d,181845)|0)){c[23050]=265;a[92226]=0;break}if(!(YO(d,181848)|0)){c[23050]=263;break}if(!(YO(d,181853)|0)){c[23050]=266;break}if(!(YO(d,181858)|0)){c[23050]=270;break}if(!(YO(d,181860)|0)){c[23050]=271;break}if(!(YO(d,181862)|0)){c[23050]=272;break}if(!(YO(d,181864)|0)){c[23050]=269;break}if(!(YO(d,181866)|0)){c[23050]=273;break}if(!(YO(d,181870)|0)){c[23050]=274;break}if(!(YO(d,181874)|0)){c[23050]=275;break}if(!(YO(d,181876)|0))if((c[23050]|0)==283){c[23050]=282;break}else{c[23050]=258;break}if(!(YO(d,181879)|0))if((c[23050]|0)==277){c[23050]=276;break}else{c[23050]=278;break}if(!(YO(d,181882)|0))if((c[23050]|0)==280){c[23050]=279;break}else{c[23050]=281;break}if(YO(d,181885)|0){c[23050]=268;a[92225]=1;f=RI(c[23048]|0)|0;c[b>>2]=d;c[b+4>>2]=f;us(1,181889,b)|0;break}if((c[23050]|0)==285){c[23050]=284;break}else{c[23050]=259;break}}c[23050]=261}while(0);i=e;return}function AH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(!((a[92226]|0)==0|(e|0)==0)){h=d;d=0;do{g=a[h>>0]|0;h=h+1|0;if((g&255)>31){f=c[23051]|0;b=c[f+4>>2]|0;if(b>>>0>=(c[f+8>>2]|0)>>>0){ys(f,1)|0;b=c[23051]|0;f=b;b=c[b+4>>2]|0}c[f+4>>2]=b+1;a[b>>0]=g;d=d+1|0}e=e+-1|0}while((e|0)!=0);if(d)c[23050]=267}return}function BH(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+16|0;n=o;m=o+8|0;j=c[g>>2]|0;if(j)do{k=c[g+4>>2]|0;g=g+8|0;c[m>>2]=j;l=OO(m,e,f,8,108)|0;if(!l){c[n>>2]=j;c[n+4>>2]=h;us(0,182811,n)|0;j=1}else{j=Qb[c[l+4>>2]&127](b,k)|0;j=(d[92224]|0|j)&255}a[92224]=j;j=c[g>>2]|0}while((j|0)!=0);i=o;return}function CH(a,b){a=a|0;b=b|0;c[a+36>>2]=dP(b)|0;return 0}function DH(a,b){a=a|0;b=b|0;c[a+32>>2]=dP(b)|0;return 0}function EH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;g=j;f=($M(a[d>>0]|0)|0)<<24>>24;switch(f|0){case 82:{e=d+1|0;if(!(YO(e,181975)|0)){c[b>>2]=114;e=0}else h=5;break}case 76:{h=6;break}default:{e=d+1|0;h=5}}do if((h|0)==5)if(!(YO(e,181980)|0))h=6;else{if((f|0)!=67?(YO(e,181984)|0)==0:0){c[g>>2]=d;us(0,181990,g)|0;e=1;break}c[b>>2]=110;e=0}while(0);if((h|0)==6){c[b>>2]=108;e=0}i=j;return e|0}function FH(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return 0}function GH(a,b){a=a|0;b=b|0;c[a>>2]=b;return 0}function HH(a,b){a=a|0;b=b|0;var d=0,e=0;e=i;i=i+16|0;d=e;if(!(IH(b,182050,0,255,d)|0)){h[a+16>>3]=+(c[d>>2]|0);a=0}else a=1;i=e;return a|0}function IH(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;l=i;i=i+48|0;k=l+24|0;j=l+8|0;h=l;m=l+36|0;g=SO(a,m,10)|0;do if((c[m>>2]|0)!=(a|0)){if((g|0)>(e|0)){c[j>>2]=b;c[j+4>>2]=a;c[j+8>>2]=e;us(0,182092,j)|0;g=1;break}if((g|0)<(d|0)){c[k>>2]=b;c[k+4>>2]=a;c[k+8>>2]=d;us(0,182131,k)|0;g=1;break}else{c[f>>2]=g;g=0;break}}else{c[h>>2]=b;c[h+4>>2]=a;us(0,182061,h)|0;g=1}while(0);i=l;return g|0}function JH(d,f){d=d|0;f=f|0;var g=0,h=0,j=0;j=i;i=i+16|0;g=j;switch(($M(a[f>>0]|0)|0)<<24>>24|0){case 76:{if(!(YO(f+1|0,181980)|0)){d=d+36|0;b[d>>1]=e[d>>1]|4;d=0}else h=9;break}case 82:{if(!(YO(f+1|0,181975)|0)){d=d+36|0;b[d>>1]=e[d>>1]|2;d=0}else h=9;break}case 84:{if(!(YO(f+1|0,182763)|0)){d=d+36|0;b[d>>1]=e[d>>1]|6;d=0}else h=9;break}case 67:{if(!(YO(f+1|0,181984)|0))d=0;else h=9;break}default:h=9}if((h|0)==9){c[g>>2]=f;us(0,182767,g)|0;d=1}i=j;return d|0}function KH(d,f){d=d|0;f=f|0;var g=0,h=0,j=0;j=i;i=i+16|0;g=j;switch(($M(a[f>>0]|0)|0)<<24>>24|0){case 76:{if(!(YO(f+1|0,181980)|0)){d=d+36|0;b[d>>1]=e[d>>1]|512;d=0}else h=7;break}case 82:{if(!(YO(f+1|0,181975)|0)){d=d+36|0;b[d>>1]=e[d>>1]|256;d=0}else h=7;break}case 67:{if(!(YO(f+1|0,181984)|0))d=0;else h=7;break}default:h=7}if((h|0)==7){c[g>>2]=f;us(0,182718,g)|0;d=1}i=j;return d|0}function LH(a,b){a=a|0;b=b|0;c[a+20>>2]=dP(b)|0;return 0}function MH(d,f){d=d|0;f=f|0;var g=0,h=0;h=i;i=i+16|0;g=h;if(!(IH(f,182711,0,255,g)|0)){a[d+33>>0]=c[g>>2];d=d+36|0;b[d>>1]=e[d>>1]|0|32;d=0}else d=1;i=h;return d|0}function NH(d,f){d=d|0;f=f|0;var g=0,h=0;h=i;i=i+16|0;g=h;if(!(IH(f,182699,0,255,g)|0)){a[d+34>>0]=c[g>>2];d=d+36|0;b[d>>1]=e[d>>1]|0|64;d=0}else d=1;i=h;return d|0}function OH(d,f){d=d|0;f=f|0;var g=0,h=0;h=i;i=i+16|0;g=h;if(!(IH(f,182687,-128,127,g)|0)){a[d+32>>0]=c[g>>2];d=d+36|0;b[d>>1]=e[d>>1]|0|128;d=0}else d=1;i=h;return d|0}function PH(a,b){a=a|0;b=b|0;c[a+24>>2]=dP(b)|0;return 0}function QH(a,d){a=a|0;d=d|0;var e=0,f=0,g=0;g=i;i=i+16|0;f=g;e=g+4|0;do if(!(IH(d,182642,0,65535,e)|0)){e=c[e>>2]|0;if(!e){us(0,182650,f)|0;e=1;break}else{b[a+80>>1]=e;e=0;break}}else e=1;while(0);i=g;return e|0}function RH(a,f){a=a|0;f=f|0;var g=0,h=0,j=0;j=i;i=i+16|0;g=j;switch(($M(d[f>>0]|0)|0)<<24>>24|0){case 84:{if(!(YO(f+1|0,182591)|0)){a=a+36|0;b[a>>1]=e[a>>1]|0|1;a=0}else h=5;break}case 70:{if(!(YO(f+1|0,182595)|0))a=0;else h=5;break}default:h=5}if((h|0)==5){c[g>>2]=f;us(0,182600,g)|0;a=1}i=j;return a|0}function SH(a,b){a=a|0;b=b|0;var d=0,e=0;e=i;i=i+16|0;d=e;if(!(IH(b,182577,0,360,d)|0)){c[a+28>>2]=c[d>>2]&65535;a=0}else a=1;i=e;return a|0}function TH(a,d){a=a|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;if(!(IH(d,182570,0,65535,e)|0)){b[a+40>>1]=c[e>>2];a=0}else a=1;i=f;return a|0}function UH(a,b){a=a|0;b=b|0;c[a>>2]=dP(b)|0;return 0}function VH(a,b){a=a|0;b=b|0;c[a+16>>2]=dP(b)|0;return 0}function WH(a,b){a=a|0;b=b|0;c[a+4>>2]=dP(b)|0;return 0}function XH(a,d){a=a|0;d=d|0;var e=0,f=0,g=0;g=i;i=i+16|0;f=g;e=g+4|0;do if(!(IH(d,182525,0,65535,e)|0)){e=c[e>>2]|0;if(!e){us(0,182533,f)|0;e=1;break}else{b[a+82>>1]=e;e=0;break}}else e=1;while(0);i=g;return e|0}function YH(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;k=i;i=i+16|0;h=k;f=a[e>>0]|0;if(f<<24>>24){g=f;f=0;a:do{b:while(1){e=e+1|0;g=g<<24>>24;switch(_M(g)|0){case 108:{j=4;break b}case 116:{j=5;break b}case 114:{j=6;break b}case 98:{j=7;break b}default:{}}c[h>>2]=g;c[h+4>>2]=g;us(0,182472,h)|0;g=a[e>>0]|0;if(!(g<<24>>24))break a}if((j|0)==4){j=0;f=f&65535|1024}else if((j|0)==5){j=0;f=f&65535|2048}else if((j|0)==6){j=0;f=f&65535|4096}else if((j|0)==7){j=0;f=f&65535|8192}f=f&65535;g=a[e>>0]|0}while(g<<24>>24!=0);if(f<<16>>16!=15360)j=11}else{f=0;j=11}if((j|0)==11){j=d+36|0;b[j>>1]=b[j>>1]|f}i=k;return 0}function ZH(d,f){d=d|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;l=m+8|0;k=m;j=dP(f)|0;g=mP(j,182382)|0;if(!g)f=0;else{h=d+42|0;f=0;do{do if((($M(a[g>>0]|0)|0)&255|0)==82){d=g+1|0;if(!(YO(d,182385)|0)){b[h>>1]=e[h>>1]|4;break}if(!(YO(d,182392)|0)){b[h>>1]=e[h>>1]|2;break}else{c[k>>2]=g;us(0,182398,k)|0;f=1;break}}else{if(!(YO(g,182436)|0)){b[h>>1]=e[h>>1]&65151;break}if((YO(g,182442)|0)!=0?(YO(g,182452)|0)!=0:0){if(!(YO(g,182458)|0)){b[h>>1]=e[h>>1]|128;break}if(!(YO(g,182465)|0)){b[h>>1]=e[h>>1]|256;break}else{c[l>>2]=g;us(0,182398,l)|0;f=1;break}}b[h>>1]=e[h>>1]|32}while(0);g=mP(0,182382)|0}while((g|0)!=0)}fQ(j);i=m;return f|0}function _H(a,b){a=a|0;b=b|0;c[a+8>>2]=dP(b)|0;return 0}function $H(a,b){a=a|0;b=b|0;c[a+12>>2]=dP(b)|0;return 0}function aI(d,f){d=d|0;f=f|0;var g=0,h=0,j=0;j=i;i=i+16|0;g=j;switch(($M(a[f>>0]|0)|0)<<24>>24|0){case 66:{if(!(YO(f+1|0,182328)|0)){d=d+36|0;b[d>>1]=e[d>>1]|16;d=0}else h=7;break}case 84:{if(!(YO(f+1|0,182334)|0)){d=d+36|0;b[d>>1]=e[d>>1]|8;d=0}else h=7;break}case 77:{if(!(YO(f+1|0,182337)|0))d=0;else h=7;break}default:h=7}if((h|0)==7){c[g>>2]=f;us(0,182343,g)|0;d=1}i=j;return d|0}function bI(a,d){a=a|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;if(!(IH(d,182322,0,65535,e)|0)){b[a+38>>1]=c[e>>2];a=0}else a=1;i=f;return a|0}function cI(a,b){a=a|0;b=b|0;return YO(c[a>>2]|0,c[b>>2]|0)|0}function dI(d,f){d=d|0;f=f|0;var g=0,h=0,j=0;j=i;i=i+16|0;g=j;switch(($M(a[f>>0]|0)|0)<<24>>24|0){case 76:{if(!(YO(f+1|0,181980)|0)){d=d+36|0;b[d>>1]=e[d>>1]|4;d=0}else h=7;break}case 82:{if(!(YO(f+1|0,181975)|0)){d=d+36|0;b[d>>1]=e[d>>1]|2;d=0}else h=7;break}case 67:{if(!(YO(f+1|0,181984)|0))d=0;else h=7;break}default:h=7}if((h|0)==7){c[g>>2]=f;us(0,181990,g)|0;d=1}i=j;return d|0}function eI(b,d){b=b|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;if(!(IH(d,182950,0,127,e)|0)){a[b+88>>0]=c[e>>2];b=0}else b=1;i=f;return b|0}function fI(b,e){b=b|0;e=e|0;var f=0,g=0;g=i;i=i+16|0;f=g;if((a[e>>0]|0)==42){b=b+112|0;a[b>>0]=d[b>>0]|1;b=0}else{c[f>>2]=e;us(0,182910,f)|0;b=1}i=g;return b|0}function gI(b,e){b=b|0;e=e|0;var f=0,g=0;g=i;i=i+16|0;f=g;if((a[e>>0]|0)==42){b=b+112|0;a[b>>0]=d[b>>0]|2;b=0}else{c[f>>2]=e;us(0,182873,f)|0;b=1}i=g;return b|0}function hI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=eQ(28)|0;if(!d)d=0;else{h=(b|0)>0;if(h){e=0;f=0;do{e=(c[(c[a+(f<<2)>>2]|0)+4>>2]|0)+e|0;f=f+1|0}while((f|0)!=(b|0));f=e<<4;if(!f)f=0;else f=eQ(f)|0}else{e=0;f=0}r=d+8|0;c[r>>2]=f;f=(b<<2)+4|0;if(!f)g=0;else g=eQ(f)|0;q=d+12|0;c[q>>2]=g;f=e<<2;if(!f){p=d+16|0;c[p>>2]=0;f=0}else{p=d+16|0;c[p>>2]=eQ(f)|0;f=eQ(f)|0}o=d+20|0;c[o>>2]=f;c[d+4>>2]=e;c[d>>2]=b;c[g>>2]=0;if(h){m=0;n=0;while(1){k=a+(n<<2)|0;e=c[k>>2]|0;j=c[e+4>>2]|0;l=m+-1+j|0;if((j|0)>0){g=e;i=m;j=0;while(1){h=(c[r>>2]|0)+(i<<4)|0;e=(c[g>>2]|0)+(j<<4)|0;c[h>>2]=c[e>>2];c[h+4>>2]=c[e+4>>2];c[h+8>>2]=c[e+8>>2];c[h+12>>2]=c[e+12>>2];h=i+1|0;e=c[p>>2]|0;c[e+(i<<2)>>2]=h;f=c[o>>2]|0;c[f+(i<<2)>>2]=i+-1;j=j+1|0;g=c[k>>2]|0;if((j|0)>=(c[g+4>>2]|0))break;else i=h}g=c[q>>2]|0}else{e=c[p>>2]|0;h=m}c[e+(l<<2)>>2]=m;c[f+(m<<2)>>2]=l;n=n+1|0;c[g+(n<<2)>>2]=h;if((n|0)==(b|0))break;else m=h}}DI(d)}return d|0}function iI(a){a=a|0;var b=0,d=0;fQ(c[a+8>>2]|0);fQ(c[a+12>>2]|0);fQ(c[a+16>>2]|0);fQ(c[a+20>>2]|0);b=a+24|0;d=c[b>>2]|0;if(d){fQ(c[d>>2]|0);fQ(c[b>>2]|0)}fQ(a);return}function jI(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+32|0;n=q+16|0;j=q;c[n>>2]=c[b>>2];c[n+4>>2]=c[b+4>>2];c[n+8>>2]=c[b+8>>2];c[n+12>>2]=c[b+12>>2];o=EI(a,d,n)|0;c[n>>2]=c[e>>2];c[n+4>>2]=c[e+4>>2];c[n+8>>2]=c[e+8>>2];c[n+12>>2]=c[e+12>>2];p=EI(a,f,n)|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];c[n>>2]=c[e>>2];c[n+4>>2]=c[e+4>>2];c[n+8>>2]=c[e+8>>2];c[n+12>>2]=c[e+12>>2];n=wI(j,d,o,n,f,p,a)|0;j=c[a+4>>2]|0;m=j+1|0;d=j;h=1;while(1){d=c[n+(d<<2)>>2]|0;f=h+1|0;if((d|0)==(m|0)){l=f;break}else h=f}k=eQ(l<<4)|0;d=k+(h<<4)|0;c[d>>2]=c[e>>2];c[d+4>>2]=c[e+4>>2];c[d+8>>2]=c[e+8>>2];c[d+12>>2]=c[e+12>>2];j=c[n+(j<<2)>>2]|0;d=h+-1|0;f=k+(d<<4)|0;if((j|0)!=(m|0)){h=a+8|0;do{a=(c[h>>2]|0)+(j<<4)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];j=c[n+(j<<2)>>2]|0;d=d+-1|0;f=k+(d<<4)|0}while((j|0)!=(m|0))};c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2];c[f+12>>2]=c[b+12>>2];if(d)Na(182974,182981,148,182987);if(o)fQ(o);if(p)fQ(p);c[g+4>>2]=l;c[g>>2]=k;fQ(n);i=q;return 1}function kI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;k=i;i=i+48|0;j=k+32|0;g=k+16|0;f=k;h=c[a>>2]|0;a=c[a+4>>2]|0;d=a+-1|0;a:do if((a|0)>0){e=0;while(1){m=h+(((d+e|0)%(a|0)|0)<<4)|0;l=h+(e<<4)|0;c[f>>2]=c[m>>2];c[f+4>>2]=c[m+4>>2];c[f+8>>2]=c[m+8>>2];c[f+12>>2]=c[m+12>>2];c[g>>2]=c[l>>2];c[g+4>>2]=c[l+4>>2];c[g+8>>2]=c[l+8>>2];c[g+12>>2]=c[l+12>>2];c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];e=e+1|0;if((BI(f,g,j)|0)==1){a=0;break a}if((e|0)>=(a|0)){a=1;break}}}else a=1;while(0);i=k;return a|0}function lI(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,l=0.0,m=0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=i;i=i+32|0;w=B+16|0;y=B;z=4;v=eQ(40)|0;c[v>>2]=0;x=c[e>>2]|0;u=c[e+4>>2]|0;z=nQ(92644,1,v|0,z|0)|0;v=C;n=0;e=n;n=0;if((e|0)!=0&(o|0)!=0){j=qQ(c[e>>2]|0,z|0,v|0)|0;if(!j)Ra(e|0,o|0);C=o}else j=-1;if((j|0)==1)e=C;else e=0;while(1){if(e){e=-1;break}a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];r=+h[k>>3];m=f+8|0;a[k>>0]=a[m>>0];a[k+1>>0]=a[m+1>>0];a[k+2>>0]=a[m+2>>0];a[k+3>>0]=a[m+3>>0];a[k+4>>0]=a[m+4>>0];a[k+5>>0]=a[m+5>>0];a[k+6>>0]=a[m+6>>0];a[k+7>>0]=a[m+7>>0];l=+h[k>>3];p=r*r+l*l;if(p>1.0e-06){n=0;q=+oa(1,+p);e=n;n=0;if((e|0)!=0&(o|0)!=0){j=qQ(c[e>>2]|0,z|0,v|0)|0;if(!j)Ra(e|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue}p=r/q;l=l/q}else p=r;h[f>>3]=p;h[m>>3]=l;t=f+16|0;m=f+16|0;a[k>>0]=a[m>>0];a[k+1>>0]=a[m+1>>0];a[k+2>>0]=a[m+2>>0];a[k+3>>0]=a[m+3>>0];a[k+4>>0]=a[m+4>>0];a[k+5>>0]=a[m+5>>0];a[k+6>>0]=a[m+6>>0];a[k+7>>0]=a[m+7>>0];q=+h[k>>3];s=f+24|0;a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];l=+h[k>>3];p=q*q+l*l;if(p>1.0e-06){n=0;r=+oa(1,+p);e=n;n=0;if((e|0)!=0&(o|0)!=0){j=qQ(c[e>>2]|0,z|0,v|0)|0;if(!j)Ra(e|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue}p=q/r;l=l/r}else p=q;h[m>>3]=p;h[s>>3]=l;c[23200]=0;n=0;ea(118,4);e=n;n=0;if((e|0)!=0&(o|0)!=0){j=qQ(c[e>>2]|0,z|0,v|0)|0;if(!j)Ra(e|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue}e=c[23200]|0;c[23200]=e+1;e=(c[23201]|0)+(e<<4)|0;c[e>>2]=c[x>>2];c[e+4>>2]=c[x+4>>2];c[e+8>>2]=c[x+8>>2];c[e+12>>2]=c[x+12>>2];n=0;c[y>>2]=c[f>>2];c[y+4>>2]=c[f+4>>2];c[y+8>>2]=c[f+8>>2];c[y+12>>2]=c[f+12>>2];c[w>>2]=c[t>>2];c[w+4>>2]=c[t+4>>2];c[w+8>>2]=c[t+8>>2];c[w+12>>2]=c[t+12>>2];e=na(1,b|0,d|0,x|0,u|0,y|0,w|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){m=qQ(c[j>>2]|0,z|0,v|0)|0;if(!m)Ra(j|0,o|0);C=o}else m=-1;if((m|0)==1)e=C;else{A=12;break}}if((A|0)==12)if((e|0)==-1)e=-1;else{c[g+4>>2]=c[23200];c[g>>2]=c[23201];e=0}fQ(z|0);i=B;return e|0}function mI(a){a=a|0;var b=0,d=0,e=0,f=0;f=i;i=i+32|0;e=f+16|0;d=f;if((c[23204]|0)<(a|0)){b=c[23201]|0;if(!b){e=eQ(a<<4)|0;c[23201]=e;if(!e){e=c[24809]|0;c[d>>2]=182996;c[d+4>>2]=531;c[d+8>>2]=183277;pO(e,183004,d)|0;Ra(92644,1)}}else{d=hQ(b,a<<4)|0;c[23201]=d;if(!d){d=c[24809]|0;c[e>>2]=182996;c[e+4>>2]=537;c[e+8>>2]=183295;pO(d,183004,e)|0;Ra(92644,1)}}c[23204]=a}i=f;return}function nI(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0;pa=i;i=i+128|0;ma=pa+96|0;oa=pa+72|0;ka=pa+32|0;ja=pa;na=pa+56|0;l=c[23203]|0;do if((c[23202]|0)<(f|0)){if(!l){l=eQ(f*40|0)|0;c[23203]=l;if(!l){l=-1;break}}else{l=hQ(l,f*40|0)|0;c[23203]=l;if(!l){l=-1;break}}c[23202]=f;la=6}else la=6;while(0);do if((la|0)==6){h[l>>3]=0.0;ca=(f|0)>1;if(ca){m=+h[l>>3];r=1;do{Z=r+-1|0;Y=e+(Z<<4)|0;a[k>>0]=a[Y>>0];a[k+1>>0]=a[Y+1>>0];a[k+2>>0]=a[Y+2>>0];a[k+3>>0]=a[Y+3>>0];a[k+4>>0]=a[Y+4>>0];a[k+5>>0]=a[Y+5>>0];a[k+6>>0]=a[Y+6>>0];a[k+7>>0]=a[Y+7>>0];$=+h[k>>3];Z=e+(Z<<4)+8|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];ba=+h[k>>3];Z=e+(r<<4)|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];aa=+h[k>>3];Z=e+(r<<4)+8|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];aa=$-aa;ba=ba-+h[k>>3];m=m+ +O(+(aa*aa+ba*ba));h[l+(r*40|0)>>3]=m;r=r+1|0}while((r|0)!=(f|0));if(ca){r=l+((f+-1|0)*40|0)|0;s=1;do{Z=l+(s*40|0)|0;h[Z>>3]=+h[Z>>3]/+h[r>>3];s=s+1|0}while((s|0)!=(f|0))}}u=(f|0)>0;a:do if(u){m=+h[g>>3];t=g+8|0;n=+h[t>>3];o=+h[j>>3];s=j+8|0;p=+h[s>>3];r=0;do{aa=+h[l+(r*40|0)>>3];ba=1.0-aa;ba=ba*(aa*3.0*ba);h[l+(r*40|0)+8>>3]=m*ba;h[l+(r*40|0)+16>>3]=n*ba;ba=+h[l+(r*40|0)>>3];ba=(1.0-ba)*(ba*(ba*3.0));h[l+(r*40|0)+24>>3]=o*ba;h[l+(r*40|0)+32>>3]=p*ba;r=r+1|0}while((r|0)!=(f|0));D=+h[j>>3];E=+h[s>>3];B=+h[g>>3];C=+h[t>>3];if(u){a[k>>0]=a[e>>0];a[k+1>>0]=a[e+1>>0];a[k+2>>0]=a[e+2>>0];a[k+3>>0]=a[e+3>>0];a[k+4>>0]=a[e+4>>0];a[k+5>>0]=a[e+5>>0];a[k+6>>0]=a[e+6>>0];a[k+7>>0]=a[e+7>>0];x=+h[k>>3];r=e+8|0;a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];y=+h[k>>3];r=f+-1|0;Z=e+(r<<4)|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];z=+h[k>>3];r=e+(r<<4)+8|0;a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];A=+h[k>>3];m=x;n=y;w=0.0;v=0.0;q=0.0;r=0;p=0.0;o=0.0;while(1){Z=l+(r*40|0)+8|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];W=+h[k>>3];Z=l+(r*40|0)+16|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];X=+h[k>>3];w=w+(W*W+X*X);Z=l+(r*40|0)+24|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];_=+h[k>>3];Z=l+(r*40|0)+32|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];aa=+h[k>>3];q=q+(W*_+X*aa);v=v+(_*_+aa*aa);$=+h[l+(r*40|0)>>3];ba=1.0-$;V=ba*ba*(ba+$*3.0);ba=$*$*($+ba*3.0);$=m-(x*V+z*ba);ba=n-(y*V+A*ba);p=p+(W*$+X*ba);o=o+(_*$+aa*ba);r=r+1|0;if((r|0)==(f|0)){x=D;y=E;break a}Z=e+(r<<4)|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];m=+h[k>>3];Z=e+(r<<4)+8|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];n=+h[k>>3]}}else{x=D;y=E;w=0.0;v=0.0;q=0.0;p=0.0;o=0.0}}else{B=+h[g>>3];C=+h[g+8>>3];x=+h[j>>3];y=+h[j+8>>3];w=0.0;v=0.0;q=0.0;p=0.0;o=0.0}while(0);m=v*w-q*q;n=m>=0.0?m:-m;if(n>=1.0e-06?(H=(v*p-q*o)/m,I=(w*o-q*p)/m,!(n<1.0e-06|H<=0.0|I<=0.0)):0){P=f+-1|0;N=e+8|0;Y=N;Z=e;_=+h[e>>3];$=+h[N>>3];aa=+h[e+(P<<4)>>3];ba=+h[e+(P<<4)+8>>3];m=H;n=I}else{Y=f+-1|0;Z=e+(Y<<4)|0;a[k>>0]=a[Z>>0];a[k+1>>0]=a[Z+1>>0];a[k+2>>0]=a[Z+2>>0];a[k+3>>0]=a[Z+3>>0];a[k+4>>0]=a[Z+4>>0];a[k+5>>0]=a[Z+5>>0];a[k+6>>0]=a[Z+6>>0];a[k+7>>0]=a[Z+7>>0];aa=+h[k>>3];Y=e+(Y<<4)+8|0;a[k>>0]=a[Y>>0];a[k+1>>0]=a[Y+1>>0];a[k+2>>0]=a[Y+2>>0];a[k+3>>0]=a[Y+3>>0];a[k+4>>0]=a[Y+4>>0];a[k+5>>0]=a[Y+5>>0];a[k+6>>0]=a[Y+6>>0];a[k+7>>0]=a[Y+7>>0];ba=+h[k>>3];a[k>>0]=a[e>>0];a[k+1>>0]=a[e+1>>0];a[k+2>>0]=a[e+2>>0];a[k+3>>0]=a[e+3>>0];a[k+4>>0]=a[e+4>>0];a[k+5>>0]=a[e+5>>0];a[k+6>>0]=a[e+6>>0];a[k+7>>0]=a[e+7>>0];_=+h[k>>3];Y=e+8|0;a[k>>0]=a[Y>>0];a[k+1>>0]=a[Y+1>>0];a[k+2>>0]=a[Y+2>>0];a[k+3>>0]=a[Y+3>>0];a[k+4>>0]=a[Y+4>>0];a[k+5>>0]=a[Y+5>>0];a[k+6>>0]=a[Y+6>>0];a[k+7>>0]=a[Y+7>>0];$=+h[k>>3];m=aa-_;n=ba-$;n=+O(+(m*m+n*n))/3.0;Z=e;m=n}X=B*m;V=C*m;W=x*n;U=y*n;K=(f|0)==2;L=(d|0)>0;M=ma+24|0;N=ma+16|0;P=ma+8|0;Q=_*3.0;R=$*3.0;S=4.0;T=4.0;l=1;b:while(1){p=_+X*S/3.0;o=$+V*S/3.0;n=aa-W*T/3.0;m=ba-U*T/3.0;if(l){C=p-_;D=o-$;E=n-p;H=m-o;I=aa-n;x=ba-m;x=+O(+(C*C+D*D))+0.0+ +O(+(E*E+H*H))+ +O(+(I*I+x*x));if(ca){v=+h[Z>>3];w=+h[Y>>3];l=1;q=0.0;do{H=v;v=+h[e+(l<<4)>>3];H=v-H;I=w;w=+h[e+(l<<4)+8>>3];I=w-I;q=q+ +O(+(H*H+I*I));l=l+1|0}while((l|0)!=(f|0))}else q=0.0;if(x<q+-.001)break}if(!L){la=71;break}y=n*3.0;x=aa+p*3.0-(_+y);y=Q+y-p*6.0;z=(p-_)*3.0;B=m*3.0;A=ba+o*3.0-($+B);B=R+B-o*6.0;C=(o-$)*3.0;J=0;c:while(1){D=+h[b+(J<<5)>>3];E=+h[b+(J<<5)+8>>3];H=+h[b+(J<<5)+16>>3];I=+h[b+(J<<5)+24>>3];v=H-D;w=I-E;d:do if(v==0.0){h[M>>3]=x;h[N>>3]=y;h[P>>3]=z;h[ma>>3]=_-D;G=xI(ma,oa)|0;if(!(w==0.0)){if((G|0)==4){l=4;break}if((G|0)>0){l=0;r=0}else{l=0;break}while(1){q=+h[oa+(r<<3)>>3];if(q>=0.0&q<=1.0?(h[M>>3]=A,h[N>>3]=B,h[P>>3]=C,h[ma>>3]=$,v=($+q*(C+q*(B+A*q))-E)/w,v>=0.0&v<=1.0):0){h[ja+(l<<3)>>3]=q;l=l+1|0}r=r+1|0;if((r|0)==(G|0))break d}}h[M>>3]=A;h[N>>3]=B;h[P>>3]=C;h[ma>>3]=$-E;F=xI(ma,ka)|0;l=(F|0)==4;if((G|0)==4){if(l){l=4;break}if((F|0)>0){l=0;r=0}else{l=0;break}while(1){q=+h[ka+(r<<3)>>3];if(q>=0.0&q<=1.0){h[ja+(l<<3)>>3]=q;l=l+1|0}r=r+1|0;if((r|0)==(F|0))break d}}r=(G|0)>0;if(l){if(r){l=0;r=0}else{l=0;break}while(1){q=+h[oa+(r<<3)>>3];if(q>=0.0&q<=1.0){h[ja+(l<<3)>>3]=q;l=l+1|0}r=r+1|0;if((r|0)==(G|0))break d}}if(r){t=(F|0)>0;l=0;u=0;do{if(t){q=+h[oa+(u<<3)>>3];s=!(q<=1.0)|!(q>=0.0);r=0;do{if(!(s|q!=+h[ka+(r<<3)>>3])){h[ja+(l<<3)>>3]=q;l=l+1|0}r=r+1|0}while((r|0)!=(F|0))}u=u+1|0}while((u|0)!=(G|0))}else l=0}else{q=w/v;w=$-_*q;qa=o-p*q;ra=(m-n*q)*3.0;h[M>>3]=ba-aa*q+qa*3.0-(w+ra);h[N>>3]=w*3.0+ra-qa*6.0;h[P>>3]=(qa-w)*3.0;h[ma>>3]=D*q-E+w;r=xI(ma,oa)|0;if((r|0)!=4)if((r|0)>0){l=0;s=0;do{q=+h[oa+(s<<3)>>3];if(q>=0.0&q<=1.0?(h[M>>3]=x,h[N>>3]=y,h[P>>3]=z,h[ma>>3]=_,ra=(_+q*(z+q*(y+x*q))-D)/v,ra>=0.0&ra<=1.0):0){h[ja+(l<<3)>>3]=q;l=l+1|0}s=s+1|0}while((s|0)!=(r|0))}else l=0;else l=4}while(0);if((l|0)!=4&(l|0)>0){r=0;do{q=+h[ja+(r<<3)>>3];if((!(q<1.0e-06|q>.999999)?(w=q*(q*q),ia=q*3.0,qa=1.0-q,ra=qa*(q*ia),ia=qa*(ia*qa),qa=qa*(qa*qa),ha=aa*w+(n*ra+(_*qa+p*ia)),ia=ba*w+(m*ra+($*qa+o*ia)),qa=ha-D,ra=ia-E,!(qa*qa+ra*ra<.001)):0)?(qa=ha-H,ra=ia-I,!(qa*qa+ra*ra<.001)):0)break c;r=r+1|0}while((r|0)<(l|0))}J=J+1|0;if((J|0)>=(d|0)){la=71;break b}}if(S==0.0&T==0.0){da=p;ea=o;fa=n;ga=m;la=73;break}l=S>.01;S=l?S*.5:0.0;T=l?T*.5:0.0;l=0}if((la|0)==71){mI((c[23200]|0)+4|0);na=c[23201]|0;l=c[23200]|0;h[na+(l<<4)>>3]=p;e=l+1|0;h[na+(l<<4)+8>>3]=o;h[na+(e<<4)>>3]=n;oa=l+2|0;h[na+(e<<4)+8>>3]=m;h[na+(oa<<4)>>3]=aa;h[na+(oa<<4)+8>>3]=ba;c[23200]=l+3;l=0;break}if((la|0)==73?K:0){mI((c[23200]|0)+4|0);na=c[23201]|0;l=c[23200]|0;h[na+(l<<4)>>3]=da;e=l+1|0;h[na+(l<<4)+8>>3]=ea;h[na+(e<<4)>>3]=fa;oa=l+2|0;h[na+(e<<4)+8>>3]=ga;h[na+(oa<<4)>>3]=aa;h[na+(oa<<4)+8>>3]=ba;c[23200]=l+3;l=0;break}v=X*.3333333333333333+_;q=V*.3333333333333333+$;p=aa-W*.3333333333333333;m=ba-U*.3333333333333333;r=f+-1|0;if((r|0)>1){s=c[23203]|0;u=1;o=-1.0;l=-1;while(1){ha=+h[s+(u*40|0)>>3];ra=1.0-ha;qa=ra*(ra*ra);ia=ha*3.0;n=ra*(ia*ra);ia=ra*(ha*ia);ha=ha*(ha*ha);t=e+(u<<4)|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];ra=+h[k>>3];t=e+(u<<4)+8|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];ra=ra-(aa*ha+(p*ia+(_*qa+v*n)));n=+h[k>>3]-(ba*ha+(m*ia+($*qa+q*n)));n=+O(+(ra*ra+n*n));t=n>o;l=t?u:l;u=u+1|0;if((u|0)==(r|0))break;else o=t?n:o}}else l=-1;s=e+(l<<4)|0;la=l+-1|0;ka=e+(la<<4)|0;a[k>>0]=a[ka>>0];a[k+1>>0]=a[ka+1>>0];a[k+2>>0]=a[ka+2>>0];a[k+3>>0]=a[ka+3>>0];a[k+4>>0]=a[ka+4>>0];a[k+5>>0]=a[ka+5>>0];a[k+6>>0]=a[ka+6>>0];a[k+7>>0]=a[ka+7>>0];m=+h[k>>3];la=e+(la<<4)+8|0;a[k>>0]=a[la>>0];a[k+1>>0]=a[la+1>>0];a[k+2>>0]=a[la+2>>0];a[k+3>>0]=a[la+3>>0];a[k+4>>0]=a[la+4>>0];a[k+5>>0]=a[la+5>>0];a[k+6>>0]=a[la+6>>0];a[k+7>>0]=a[la+7>>0];o=+h[k>>3];a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];p=+h[k>>3];la=e+(l<<4)+8|0;a[k>>0]=a[la>>0];a[k+1>>0]=a[la+1>>0];a[k+2>>0]=a[la+2>>0];a[k+3>>0]=a[la+3>>0];a[k+4>>0]=a[la+4>>0];a[k+5>>0]=a[la+5>>0];a[k+6>>0]=a[la+6>>0];a[k+7>>0]=a[la+7>>0];q=+h[k>>3];m=p-m;o=q-o;n=m*m+o*o;if(n>1.0e-06){ra=+O(+n);m=m/ra;o=o/ra}r=l+1|0;la=e+(r<<4)|0;a[k>>0]=a[la>>0];a[k+1>>0]=a[la+1>>0];a[k+2>>0]=a[la+2>>0];a[k+3>>0]=a[la+3>>0];a[k+4>>0]=a[la+4>>0];a[k+5>>0]=a[la+5>>0];a[k+6>>0]=a[la+6>>0];a[k+7>>0]=a[la+7>>0];n=+h[k>>3];la=e+(r<<4)+8|0;a[k>>0]=a[la>>0];a[k+1>>0]=a[la+1>>0];a[k+2>>0]=a[la+2>>0];a[k+3>>0]=a[la+3>>0];a[k+4>>0]=a[la+4>>0];a[k+5>>0]=a[la+5>>0];a[k+6>>0]=a[la+6>>0];a[k+7>>0]=a[la+7>>0];p=n-p;q=+h[k>>3]-q;n=p*p+q*q;if(n>1.0e-06){ra=+O(+n);n=p/ra;q=q/ra}else n=p;p=m+n;m=o+q;n=m*m+p*p;if(n>1.0e-06){ra=+O(+n);n=p/ra;m=m/ra}else n=p;h[na>>3]=n;h[na+8>>3]=m;c[oa>>2]=c[g>>2];c[oa+4>>2]=c[g+4>>2];c[oa+8>>2]=c[g+8>>2];c[oa+12>>2]=c[g+12>>2];c[ma>>2]=c[na>>2];c[ma+4>>2]=c[na+4>>2];c[ma+8>>2]=c[na+8>>2];c[ma+12>>2]=c[na+12>>2];nI(b,d,e,r,oa,ma)|0;c[oa>>2]=c[na>>2];c[oa+4>>2]=c[na+4>>2];c[oa+8>>2]=c[na+8>>2];c[oa+12>>2]=c[na+12>>2];c[ma>>2]=c[j>>2];c[ma+4>>2]=c[j+4>>2];c[ma+8>>2]=c[j+8>>2];c[ma+12>>2]=c[j+12>>2];nI(b,d,s,f-l|0,oa,ma)|0;l=0}while(0);i=pa;return l|0}function oI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,p=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,D=0.0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,fa=0,ha=0,ja=0,la=0;la=i;i=i+176|0;da=la+144|0;ca=la+128|0;ba=la+112|0;aa=la+96|0;$=la+80|0;_=la+64|0;Z=la+48|0;Y=la+32|0;X=la+16|0;W=la;ja=4;fa=eQ(40)|0;c[fa>>2]=0;V=la+160|0;ja=nQ(92820,1,fa|0,ja|0)|0;fa=C;n=0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1)e=C;else e=0;a:while(1){if(e){e=-2;break}q=a+4|0;j=c[q>>2]|0;if((c[23244]|0)<(j|0)){e=c[23245]|0;if(!e){n=0;e=ia(32,j<<3|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,ja|0,fa|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){e=C;continue}c[23245]=e;if(!e){e=c[24809]|0;n=0;c[W>>2]=183023;c[W+4>>2]=523;c[W+8>>2]=183034;ka(29,e|0,183004,W|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}n=0;ga(24,92820,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){N=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!N)Ra(e|0,o|0);C=o};e=C;continue}n=0;e=ia(32,j<<2|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,ja|0,fa|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){e=C;continue}c[23246]=e;if(!e){e=c[24809]|0;n=0;c[X>>2]=183023;c[X+4>>2]=527;c[X+8>>2]=183053;ka(29,e|0,183004,X|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}n=0;ga(24,92820,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){N=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!N)Ra(e|0,o|0);C=o};e=C;continue}}else{n=0;e=ra(103,e|0,j<<3|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,ja|0,fa|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){e=C;continue}c[23245]=e;if(!e){e=c[24809]|0;n=0;c[Y>>2]=183023;c[Y+4>>2]=533;c[Y+8>>2]=183073;ka(29,e|0,183004,Y|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}n=0;ga(24,92820,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){N=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!N)Ra(e|0,o|0);C=o};e=C;continue}n=0;e=ra(103,c[23246]|0,j<<2|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,ja|0,fa|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){e=C;continue}c[23246]=e;if(!e){e=c[24809]|0;n=0;c[Z>>2]=183023;c[Z+4>>2]=539;c[Z+8>>2]=183093;ka(29,e|0,183004,Z|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}n=0;ga(24,92820,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){N=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!N)Ra(e|0,o|0);C=o};e=C;continue}}c[23244]=j}c[23247]=0;c[23248]=0;e=c[q>>2]|0;k=e<<1;f=c[23249]|0;if((f|0)<(k|0)){f=c[23250]|0;do if(!f){n=0;f=ia(32,e<<3|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ja|0,fa|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue a}c[23250]=f;if(!f){e=c[24809]|0;n=0;c[_>>2]=183023;c[_+4>>2]=573;c[_+8>>2]=183114;ka(29,e|0,183004,_|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue a}n=0;ga(24,92820,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){N=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!N)Ra(e|0,o|0);C=o};e=C;continue a}}else{n=0;e=ra(103,f|0,e<<3|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,ja|0,fa|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){e=C;continue a}c[23250]=e;if(e){e=c[q>>2]|0;break}e=c[24809]|0;n=0;c[$>>2]=183023;c[$+4>>2]=580;c[$+8>>2]=183136;ka(29,e|0,183004,$|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue a}n=0;ga(24,92820,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){N=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!N)Ra(e|0,o|0);C=o};e=C;continue a}while(0);c[23249]=k;f=k}p=(f|0)/2|0;c[23251]=p;c[23252]=p+-1;p=(e|0)>0;k=c[a>>2]|0;if(p){f=-1;m=s;j=0;while(1){l=+h[k+(j<<4)>>3];g=m>l;f=g?j:f;j=j+1|0;if((j|0)>=(e|0))break;else m=g?l:m}}else f=-1;H=+h[k+(f<<4)>>3];J=+h[k+(f<<4)+8>>3];N=((f|0)==0?e:f)+-1|0;G=+h[k+(N<<4)>>3];M=(f|0)==(e+-1|0)?0:f+1|0;F=+h[k+(M<<4)>>3];I=+h[k+(M<<4)+8>>3];if(!(G==H&H==F&I>J)?(F-H)*(+h[k+(N<<4)+8>>3]-J)-(G-H)*(I-J)>0.0:0){if(p){f=e;j=0;do{g=c[a>>2]|0;if(!(((j|0)>0?(O=j+-1|0,+h[g+(j<<4)>>3]==+h[g+(O<<4)>>3]):0)?+h[g+(j<<4)+8>>3]==+h[g+(O<<4)+8>>3]:0)){N=c[23247]|0;c[(c[23245]|0)+(N<<3)>>2]=g+(j<<4);M=c[23245]|0;c[M+(N<<3)+4>>2]=M+(((N|0)%(f|0)|0)<<3);c[(c[23246]|0)+(N<<2)>>2]=(c[23245]|0)+(N<<3);c[23247]=N+1;f=c[q>>2]|0}j=j+1|0}while((j|0)<(f|0))}}else ha=40;b:do if((ha|0)==40?(ha=0,p):0){j=e;g=e;while(1){f=g+-1|0;e=c[a>>2]|0;if(!(((g|0)<=(j+-1|0)?+h[e+(f<<4)>>3]==+h[e+(g<<4)>>3]:0)?+h[e+(f<<4)+8>>3]==+h[e+(g<<4)+8>>3]:0)){N=c[23247]|0;c[(c[23245]|0)+(N<<3)>>2]=e+(f<<4);M=c[23245]|0;c[M+(N<<3)+4>>2]=M+(((N|0)%(j|0)|0)<<3);c[(c[23246]|0)+(N<<2)>>2]=(c[23245]|0)+(N<<3);c[23247]=N+1}if((g|0)<=1)break b;j=c[q>>2]|0;g=f}}while(0);N=c[23246]|0;e=c[23247]|0;c:do if((e|0)>3){d:while(1){K=e;e=e+-1|0;L=0;e:while(1){M=L;L=L+1|0;f=(L|0)%(K|0)|0;t=(M+2|0)%(K|0)|0;x=c[c[N+(((M+e|0)%(K|0)|0)<<2)>>2]>>2]|0;u=c[N+(M<<2)>>2]|0;v=c[u>>2]|0;w=c[N+(f<<2)>>2]|0;E=c[w>>2]|0;m=+h[x+8>>3];F=+h[v+8>>3];y=+h[E>>3];G=+h[v>>3];z=y-G;A=+h[E+8>>3];B=A-F;D=+h[x>>3];x=c[N+(t<<2)>>2]|0;E=c[x>>2]|0;H=+h[E+8>>3];I=F-H;J=+h[E>>3];if((m-F)*z-B*(D-G)>0.0){l=G-J;if(I*(D-J)-(m-H)*l>0.0?z*(H-F)-B*(J-G)>0.0:0)ha=60}else{l=G-J;D=I*(y-J)-(A-H)*l;if(D<0.0&!(D>0.0))ha=60}f:do if((ha|0)==60){ha=0;r=0;while(1){g=r;r=r+1|0;j=(r|0)==(K|0)?0:r;g:do if(!((j|0)==(t|0)|((g|0)==(t|0)|((g|0)==(M|0)|(j|0)==(M|0))))){q=c[c[N+(g<<2)>>2]>>2]|0;p=c[c[N+(j<<2)>>2]>>2]|0;m=+h[q>>3];y=+h[q+8>>3];D=I*(m-J)-l*(y-H);j=D>0.0;do if((!(!(D<0.0)&(j^1))?(P=+h[p>>3],Q=+h[p+8>>3],D=I*(P-J)-l*(Q-H),R=D>0.0,!(!(D<0.0)&(R^1))):0)?(S=y-Q,T=m-P,D=(G-P)*S-T*(F-Q),U=D>0.0,!(!(D<0.0)&(U^1))):0){D=(J-P)*S-T*(H-Q);g=D>0.0;if(!(D<0.0)&(g^1))break;if((j^R)&(U^g))break f;else break g}while(0);n=0;g=ka(42,v|0,E|0,q|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,ja|0,fa|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){e=C;continue a}if(g)break f;n=0;g=ka(42,v|0,E|0,p|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,ja|0,fa|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){e=C;continue a}if(g)break f;n=0;g=ka(42,q|0,p|0,v|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,ja|0,fa|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){e=C;continue a}if(g)break f;n=0;g=ka(42,q|0,p|0,E|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,ja|0,fa|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){e=C;continue a}if(g)break f}while(0);if((r|0)>=(K|0))break e}}while(0);if((L|0)>=(K|0))break d}n=0;wa(74,u|0,w|0,x|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ja|0,fa|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue a}if((f|0)<(e|0))do{M=f;f=f+1|0;c[N+(M<<2)>>2]=c[N+(f<<2)>>2]}while((f|0)!=(e|0));if((e|0)<=3){ha=81;break c}}e=c[24809]|0;n=0;c[aa>>2]=183023;c[aa+4>>2]=324;c[aa+8>>2]=183159;ka(29,e|0,183004,aa|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue a}}else ha=81;while(0);if((ha|0)==81){ha=0;n=0;wa(74,c[N>>2]|0,c[N+4>>2]|0,c[N+8>>2]|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}}E=c[23248]|0;x=(E|0)>0;h:do if(x){u=0;do{v=u;u=u+1|0;f=(u|0)<(E|0);if(f)w=u;else break;do{r=0;do{t=0;do{g=c[23253]|0;j=g+(v*52|0)|0;k=g+(w*52|0)|0;p=c[c[g+(v*52|0)+4+(r<<4)>>2]>>2]|0;q=c[c[g+(w*52|0)+4+(t<<4)>>2]>>2]|0;if((p|0)==(q|0)){e=c[c[g+(w*52|0)+4+(t<<4)+4>>2]>>2]|0;if((c[c[g+(v*52|0)+4+(r<<4)+4>>2]>>2]|0)==(e|0))ha=94;else ha=92}else{e=c[c[g+(w*52|0)+4+(t<<4)+4>>2]>>2]|0;ha=92}if(((ha|0)==92?(ha=0,(p|0)==(e|0)):0)?(c[c[g+(v*52|0)+4+(r<<4)+4>>2]>>2]|0)==(q|0):0)ha=94;if((ha|0)==94){ha=0;c[g+(v*52|0)+4+(r<<4)+12>>2]=k;c[g+(w*52|0)+4+(t<<4)+12>>2]=j}t=t+1|0}while((t|0)!=3);r=r+1|0}while((r|0)!=3);w=w+1|0}while((w|0)!=(E|0))}while(f);if(x){e=0;while(1){n=0;f=ra(109,e|0,b|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ja|0,fa|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue a}if(f){K=e;break h}e=e+1|0;if((e|0)>=(E|0)){K=e;break}}}else K=0}else K=0;while(0);if((K|0)==(E|0)){e=c[24809]|0;n=0;c[ba>>2]=183023;c[ba+4>>2]=192;c[ba+8>>2]=183180;ka(29,e|0,183004,ba|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}else{ha=104;break}}L=b+16|0;i:do if(x){e=0;while(1){n=0;f=ra(109,e|0,L|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ja|0,fa|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue a}if(f)break i;e=e+1|0;if((e|0)>=(E|0))break}}else e=0;while(0);if((e|0)==(E|0)){e=c[24809]|0;n=0;c[ca>>2]=183023;c[ca+4>>2]=200;c[ca+8>>2]=183213;ka(29,e|0,183004,ca|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}else{ha=110;break}}n=0;f=ra(110,K|0,e|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ja|0,fa|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue}if(!f){e=c[24809]|0;n=0;c[da>>2]=183023;c[da+4>>2]=207;c[da+8>>2]=183251;ka(29,e|0,183004,da|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}n=0;ea(119,2);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}else{ha=115;break}}if((K|0)==(e|0)){n=0;ea(119,2);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,ja|0,fa|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}else{ha=118;break}}c[V>>2]=b;f=V+4|0;c[f>>2]=0;e=V+8|0;c[e>>2]=L;c[V+12>>2]=0;k=c[23252]|0;g=c[23251]|0;j=c[23250]|0;if((k|0)>=(g|0))c[f>>2]=c[j+(g<<2)>>2];f=g+-1|0;c[23251]=f;c[j+(f<<2)>>2]=V;c[23255]=f;j:do if((K|0)==-1){f=0;g=e}else{x=b+24|0;q=f;t=f;w=K;while(1){v=c[23253]|0;c[v+(w*52|0)>>2]=2;u=v+(w*52|0)+16|0;ha=c[u>>2]|0;if((ha|0)!=0?(c[ha>>2]|0)==1:0){f=0;ha=127}else ha=125;do if((ha|0)==125){ha=0;N=c[v+(w*52|0)+32>>2]|0;if((N|0)!=0?(c[N>>2]|0)==1:0){f=1;ha=127;break}N=c[v+(w*52|0)+48>>2]|0;if((N|0)!=0?(c[N>>2]|0)==1:0){f=2;ha=127;break}g=c[23250]|0;p=c[c[g+(q<<2)>>2]>>2]|0;g=c[g+(k<<2)>>2]|0;N=c[g>>2]|0;I=+h[p+8>>3];J=+h[p>>3];N=(+h[x>>3]-I)*(+h[N>>3]-J)-(+h[N+8>>3]-I)*(+h[L>>3]-J)>0.0;p=N?g:e;g=N?e:g}while(0);do if((ha|0)==127){ha=0;g=c[v+(w*52|0)+4+(f<<4)>>2]|0;j=c[v+(w*52|0)+4+(f<<4)+4>>2]|0;N=c[g>>2]|0;E=c[c[v+(w*52|0)+4+((((f+1|0)>>>0)%3|0)<<4)+4>>2]>>2]|0;M=c[j>>2]|0;I=+h[E+8>>3];J=+h[E>>3];if((+h[N+8>>3]-I)*(+h[M>>3]-J)-(+h[M+8>>3]-I)*(+h[N>>3]-J)>0.0){p=j;break}p=g;g=j}while(0);k:do if((w|0)==(K|0)){f=c[23250]|0;if((k|0)>=(q|0))c[p+4>>2]=c[f+(k<<2)>>2];k=k+1|0;c[23252]=k;c[f+(k<<2)>>2]=p;f=c[23250]|0;if((k|0)>=(q|0))c[g+4>>2]=c[f+(q<<2)>>2];q=q+-1|0;c[23251]=q;c[f+(q<<2)>>2]=g;g=t}else{r=c[23250]|0;do if((c[r+(q<<2)>>2]|0)!=(g|0)){if((c[r+(k<<2)>>2]|0)==(g|0))break;n=0;p=ia(33,g|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){j=qQ(c[f>>2]|0,ja|0,fa|0)|0;if(!j)Ra(f|0,o|0);C=o}else j=-1;if((j|0)==1){e=C;continue a}c[23251]=p;if((k|0)>=(p|0))c[g+4>>2]=c[r+(p<<2)>>2];f=p+-1|0;c[23251]=f;c[r+(f<<2)>>2]=g;if((p|0)<=(t|0)){q=f;g=t;break k}c[23255]=p;q=f;g=p;break k}while(0);n=0;j=ia(33,p|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,ja|0,fa|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){e=C;continue a}c[23252]=j;if((j|0)>=(q|0))c[p+4>>2]=c[r+(j<<2)>>2];k=j+1|0;c[23252]=k;c[r+(k<<2)>>2]=p;if((j|0)>=(t|0)){g=t;break}c[23255]=j;g=j}while(0);f=c[u>>2]|0;if(!((f|0)!=0?(c[f>>2]|0)==1:0))ha=150;do if((ha|0)==150){ha=0;f=c[v+(w*52|0)+32>>2]|0;if((f|0)!=0?(c[f>>2]|0)==1:0)break;f=c[v+(w*52|0)+48>>2]|0;if(!f){f=0;g=e;break j}if((c[f>>2]|0)!=1){f=0;g=e;break j}}while(0);f=f-(c[23253]|0)|0;if((f|0)==-52){f=0;g=e;break}else{t=g;w=(f|0)/52|0}}}while(0);while(1){k=f+1|0;g=c[g+4>>2]|0;if(!g)break;else f=k}n=0;ea(119,k|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ja|0,fa|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1)e=C;else{ha=153;break}}if((ha|0)==104)e=-1;else if((ha|0)==110)e=-1;else if((ha|0)==115){c[d+4>>2]=2;e=c[23254]|0;c[e>>2]=c[b>>2];c[e+4>>2]=c[b+4>>2];c[e+8>>2]=c[b+8>>2];c[e+12>>2]=c[b+12>>2];ha=e+16|0;c[ha>>2]=c[L>>2];c[ha+4>>2]=c[L+4>>2];c[ha+8>>2]=c[L+8>>2];c[ha+12>>2]=c[L+12>>2];c[d>>2]=e;e=0}else if((ha|0)==118){c[d+4>>2]=2;e=c[23254]|0;c[e>>2]=c[b>>2];c[e+4>>2]=c[b+4>>2];c[e+8>>2]=c[b+8>>2];c[e+12>>2]=c[b+12>>2];ha=e+16|0;c[ha>>2]=c[L>>2];c[ha+4>>2]=c[L+4>>2];c[ha+8>>2]=c[L+8>>2];c[ha+12>>2]=c[L+12>>2];c[d>>2]=e;e=0}else if((ha|0)==153){c[d+4>>2]=k;g=c[23254]|0;j=g;while(1){ha=g+(f<<4)|0;fa=c[e>>2]|0;c[ha>>2]=c[fa>>2];c[ha+4>>2]=c[fa+4>>2];c[ha+8>>2]=c[fa+8>>2];c[ha+12>>2]=c[fa+12>>2];e=c[e+4>>2]|0;if(!e)break;else f=f+-1|0}c[d>>2]=j;e=0}fQ(ja|0);i=la;return e|0}function pI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0;k=+h[b>>3];l=+h[a>>3];g=k-l;i=+h[b+8>>3];n=+h[a+8>>3];e=i-n;m=+h[c>>3];f=m-l;j=+h[c+8>>3];d=j-n;i=(n-i)*(m-k)-(l-k)*(j-i);if(!(i>0.0)&!(i<0.0)){if(!(g*f+e*d>=0.0))a=0;else a=f*f+d*d<=g*g+e*e;a=a&1}else a=0;return a|0}function qI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+32|0;l=m+16|0;k=m;h=c[23248]|0;g=c[23257]|0;if((h|0)<(g|0)){f=h;e=c[23253]|0}else{j=g+20|0;g=c[23253]|0;do if(!g){g=eQ(j*52|0)|0;c[23253]=g;if(!g){l=c[24809]|0;c[k>>2]=183023;c[k+4>>2]=552;c[k+8>>2]=183314;pO(l,183004,k)|0;Ra(92820,1)}else{e=g;f=h}}else{g=hQ(g,j*52|0)|0;c[23253]=g;if(!g){k=c[24809]|0;c[l>>2]=183023;c[l+4>>2]=558;c[l+8>>2]=183333;pO(k,183004,l)|0;Ra(92820,1)}else{e=g;f=c[23248]|0;break}}while(0);c[23257]=j}c[23248]=f+1;l=e+(f*52|0)|0;c[l>>2]=0;c[e+(f*52|0)+4>>2]=a;c[e+(f*52|0)+8>>2]=b;c[e+(f*52|0)+16>>2]=0;c[e+(f*52|0)+20>>2]=b;c[e+(f*52|0)+24>>2]=d;c[e+(f*52|0)+32>>2]=0;c[e+(f*52|0)+36>>2]=d;c[e+(f*52|0)+40>>2]=a;c[e+(f*52|0)+48>>2]=0;c[e+(f*52|0)+12>>2]=l;c[e+(f*52|0)+28>>2]=l;c[e+(f*52|0)+44>>2]=l;i=m;return}function rI(a,b){a=a|0;b=b|0;var d=0.0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0;f=c[23253]|0;g=+h[b>>3];d=+h[b+8>>3];e=0;b=0;do{j=c[c[f+(a*52|0)+4+(e<<4)>>2]>>2]|0;l=c[c[f+(a*52|0)+4+(e<<4)+4>>2]>>2]|0;k=+h[l+8>>3];i=+h[l>>3];i=(+h[j+8>>3]-k)*(g-i)-(d-k)*(+h[j>>3]-i);b=(i<0.0&!(i>0.0)&1^1)+b|0;e=e+1|0}while((e|0)!=3);return ((b|0)==3|(b|0)==0)&1|0}function sI(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[23253]|0;e=d+(a*52|0)|0;do if(!(c[e>>2]|0)){c[e>>2]=1;if((a|0)==(b|0))d=1;else{e=c[d+(a*52|0)+16>>2]|0;if(e){if(sI((e-d|0)/52|0,b)|0){d=1;break}d=c[23253]|0}e=c[d+(a*52|0)+32>>2]|0;if(e){if(sI((e-d|0)/52|0,b)|0){d=1;break}d=c[23253]|0}e=c[d+(a*52|0)+48>>2]|0;if(e){if(sI((e-d|0)/52|0,b)|0){d=1;break}d=c[23253]|0}c[d+(a*52|0)>>2]=0;d=0}}else d=0;while(0);return d|0}function tI(a){a=a|0;var b=0,d=0,e=0,f=0;f=i;i=i+32|0;e=f+16|0;d=f;if((c[23256]|0)<(a|0)){b=c[23254]|0;if(!b){e=eQ(a<<4)|0;c[23254]=e;if(!e){e=c[24809]|0;c[d>>2]=183023;c[d+4>>2]=593;c[d+8>>2]=183277;pO(e,183004,d)|0;Ra(92820,1)}}else{d=hQ(b,a<<4)|0;c[23254]=d;if(!d){d=c[24809]|0;c[e>>2]=183023;c[e+4>>2]=599;c[e+8>>2]=183295;pO(d,183004,e)|0;Ra(92820,1)}}c[23256]=a}i=f;return}function uI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0,j=0,k=0.0,l=0,m=0;b=c[23255]|0;g=c[23250]|0;e=c[23251]|0;while(1){if((e|0)>=(b|0)){f=4;break}d=e+1|0;j=c[c[g+(d<<2)>>2]>>2]|0;m=c[c[g+(e<<2)>>2]>>2]|0;l=c[a>>2]|0;k=+h[m+8>>3];i=+h[m>>3];if((+h[j+8>>3]-k)*(+h[l>>3]-i)-(+h[l+8>>3]-k)*(+h[j>>3]-i)>0.0){b=e;break}else e=d}a:do if((f|0)==4){e=c[23252]|0;while(1){if((e|0)<=(b|0))break a;d=e+-1|0;m=c[c[g+(d<<2)>>2]>>2]|0;j=c[c[g+(e<<2)>>2]>>2]|0;l=c[a>>2]|0;i=+h[j+8>>3];k=+h[j>>3];k=(+h[m+8>>3]-i)*(+h[l>>3]-k)-(+h[l+8>>3]-i)*(+h[m>>3]-k);if(k<0.0&!(k>0.0)){b=e;break}else e=d}}while(0);return b|0}function vI(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0;o=eQ(d<<2)|0;p=eQ((d<<3)+8|0)|0;q=p+8|0;r=(d|0)>0;if(r){tQ(o|0,-1,d<<2|0)|0;f=0;do{h[q+(f<<3)>>3]=-2147483647.0;f=f+1|0}while((f|0)!=(d|0))}h[p>>3]=-2147483648.0;if((a|0)!=(b|0))do{l=q+(a<<3)|0;i=+h[l>>3];h[l>>3]=i==-2147483647.0?0.0:-i;if(r){m=e+(a<<2)|0;f=-1;n=0;do{k=q+(n<<3)|0;g=+h[k>>3];if(g<0.0){if((a|0)<(n|0))j=(c[e+(n<<2)>>2]|0)+(a<<3)|0;else j=(c[m>>2]|0)+(n<<3)|0;s=+h[j>>3];i=-(s+ +h[l>>3]);if(s!=0.0&g<i){h[k>>3]=i;c[o+(n<<2)>>2]=a;g=i}if(g>+h[q+(f<<3)>>3])f=n}n=n+1|0}while((n|0)!=(d|0));a=f}else a=-1}while((a|0)!=(b|0));fQ(p);return o|0}function wI(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;k=i;i=i+32|0;l=k+16|0;m=k;j=c[h+4>>2]|0;c[m>>2]=c[a>>2];c[m+4>>2]=c[a+4>>2];c[m+8>>2]=c[a+8>>2];c[m+12>>2]=c[a+12>>2];c[l>>2]=c[e>>2];c[l+4>>2]=c[e+4>>2];c[l+8>>2]=c[e+8>>2];c[l+12>>2]=c[e+12>>2];if(!(FI(m,b,l,f,h)|0)){m=c[h+24>>2]|0;c[m+(j<<2)>>2]=g;l=j+1|0;c[m+(l<<2)>>2]=d;j=vI(l,j,j+2|0,m)|0}else{m=eQ((j<<2)+8|0)|0;l=j+1|0;c[m+(j<<2)>>2]=l;c[m+(l<<2)>>2]=-1;j=m}i=k;return j|0}function xI(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0.0,f=0.0,g=0.0,i=0.0;c=+h[a+24>>3];if(!(c<1.0e-07&c>-1.0e-07)){g=+h[a+16>>3]/(c*3.0);e=+h[a+8>>3]/c;f=g*g;c=+h[a>>3]/c+(g*2.0*f-g*e);f=e/3.0-f;e=c*c;f=e+f*(f*(f*4.0));if(!(f<0.0)){e=(+O(+f)-c)*.5;i=+pN(e);c=i+ +pN(-c-e);h[b>>3]=c;if(f>0.0)a=1;else{i=c*-.5;h[b+16>>3]=i;h[b+8>>3]=i;a=3}}else{i=+W(+(+O(+-f)),+-c);f=+pN(+O(+(e-f))*.5)*2.0;c=f*+Q(+(i/3.0));h[b>>3]=c;h[b+8>>3]=f*+Q(+((i+3.141592653589793+3.141592653589793)/3.0));h[b+16>>3]=f*+Q(+((i+-3.141592653589793+-3.141592653589793)/3.0));a=3}h[b>>3]=c-g;if((a|0)!=1){d=1;do{h[b+(d<<3)>>3]=+h[b+(d<<3)>>3]-g;d=d+1|0}while((d|0)<(a|0))}}else a=yI(a,b)|0;return a|0}function yI(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;c=+h[a+16>>3];do if(c<1.0e-07&c>-1.0e-07){d=+h[a+8>>3];c=+h[a>>3];if(d<1.0e-07&d>-1.0e-07){a=c<1.0e-07&c>-1.0e-07?4:0;break}else{h[b>>3]=-c/d;a=1;break}}else{d=+h[a+8>>3]/(c*2.0);c=d*d-+h[a>>3]/c;if(!(c<0.0))if(c==0.0){h[b>>3]=-d;a=1;break}else{c=+O(+c)-d;h[b>>3]=c;h[b+8>>3]=d*-2.0-c;a=2;break}else a=0}while(0);return a|0}function zI(a){a=a|0;fQ(c[a>>2]|0);fQ(a);return}function AI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=c[a+4>>2]|0;k=(e*3|0)+-2|0;d=c[23259]|0;if((k|0)>(c[23258]|0)){if(!d)d=eQ(k<<4)|0;else d=hQ(d,k<<4)|0;c[23259]=d;c[23258]=k;j=d;i=d}else{j=d;i=d}h=c[a>>2]|0;c[j>>2]=c[h>>2];c[j+4>>2]=c[h+4>>2];c[j+8>>2]=c[h+8>>2];c[j+12>>2]=c[h+12>>2];sQ(j+16|0,h|0,16)|0;d=e+-1|0;if((d|0)>1){a=(d|0)>2?d:2;g=a*3|0;e=1;f=2;while(1){l=j+(f+2<<4)|0;m=j+(f+1<<4)|0;o=j+(f<<4)|0;n=h+(e<<4)|0;c[o>>2]=c[n>>2];c[o+4>>2]=c[n+4>>2];c[o+8>>2]=c[n+8>>2];c[o+12>>2]=c[n+12>>2];sQ(m|0,n|0,16)|0;c[l>>2]=c[m>>2];c[l+4>>2]=c[m+4>>2];c[l+8>>2]=c[m+8>>2];c[l+12>>2]=c[m+12>>2];e=e+1|0;if((e|0)>=(d|0))break;else f=f+3|0}d=g+-1|0}else{a=1;d=2}n=j+(d<<4)|0;o=h+(a<<4)|0;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];sQ(j+(d+1<<4)|0,o|0,16)|0;c[b+4>>2]=k;c[b>>2]=i;return}function BI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0;e=+h[b+8>>3];d=+h[b>>3];d=(+h[a+8>>3]-e)*(+h[c>>3]-d)-(+h[c+8>>3]-e)*(+h[a>>3]-d);return (d>.0001?1:(d<-.0001)<<31>>31)|0}function CI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0;n=+h[a+8>>3];o=+h[b+8>>3];l=n-o;p=+h[c>>3];m=+h[b>>3];j=+h[c+8>>3];i=+h[a>>3];f=i-m;g=l*(p-m)-(j-o)*f;c=g>.0001?1:(g<-.0001)<<31>>31;do if(!c)if(i!=m){if(p<m&i<p){b=1;break}if(m<p&p<i){b=1;break}else{k=7;break}}else{if(n<j&j<o){b=1;break}if(o<j&j<n){b=1;break}else{k=7;break}}else k=7;while(0);a:do if((k|0)==7){g=+h[d>>3];e=+h[d+8>>3];l=l*(g-m)-(e-o)*f;b=l>.0001?1:(l<-.0001)<<31>>31;do if(!b)if(i!=m){if(g<m&i<g){b=1;break a}if(m<g&g<i){b=1;break a}else break}else{if(n<e&e<o){b=1;break a}if(o<e&e<n){b=1;break a}else break}while(0);j=j-e;l=p-g;p=j*(i-g)-(n-e)*l;o=j*(m-g)-l*(o-e);b=((_(o>.0001?1:(o<-.0001)<<31>>31,p>.0001?1:(p<-.0001)<<31>>31)|0)&(_(b,c)|0))>>>31}while(0);return b|0}function DI(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0;s=i;i=i+32|0;o=s+16|0;n=s;p=c[b+4>>2]|0;e=p<<2;q=eQ(e+8|0)|0;d=gQ(_(p,p)|0,8)|0;g=(p|0)>0;if(g){f=0;while(1){c[q+(f<<2)>>2]=d;f=f+1|0;if((f|0)==(p|0))break;else d=d+(p<<3)|0}}l=q+e|0;c[l>>2]=0;c[l+4>>2]=0;c[b+24>>2]=q;l=c[b+8>>2]|0;m=c[b+16>>2]|0;j=c[b+20>>2]|0;if(g){g=0;do{t=c[j+(g<<2)>>2]|0;e=l+(g<<4)|0;f=l+(t<<4)|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];v=+h[k>>3];f=l+(t<<4)+8|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];u=+h[k>>3];a[k>>0]=a[e>>0];a[k+1>>0]=a[e+1>>0];a[k+2>>0]=a[e+2>>0];a[k+3>>0]=a[e+3>>0];a[k+4>>0]=a[e+4>>0];a[k+5>>0]=a[e+5>>0];a[k+6>>0]=a[e+6>>0];a[k+7>>0]=a[e+7>>0];w=+h[k>>3];f=l+(g<<4)+8|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];v=w-v;u=+h[k>>3]-u;u=+O(+(v*v+u*u));b=q+(g<<2)|0;h[(c[b>>2]|0)+(t<<3)>>3]=u;h[(c[q+(t<<2)>>2]|0)+(g<<3)>>3]=u;d=g+-1|0;d=(t|0)==(d|0)?g+-2|0:d;if((d|0)>-1)while(1){if(((GI(g,d,l,m,j)|0)!=0?(GI(d,g,l,m,j)|0)!=0:0)?(r=l+(d<<4)|0,c[n>>2]=c[e>>2],c[n+4>>2]=c[e+4>>2],c[n+8>>2]=c[e+8>>2],c[n+12>>2]=c[e+12>>2],c[o>>2]=c[r>>2],c[o+4>>2]=c[r+4>>2],c[o+8>>2]=c[r+8>>2],c[o+12>>2]=c[r+12>>2],(HI(n,o,p,p,p,l,m)|0)!=0):0){a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];v=+h[k>>3];t=l+(d<<4)+8|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];w=+h[k>>3];a[k>>0]=a[e>>0];a[k+1>>0]=a[e+1>>0];a[k+2>>0]=a[e+2>>0];a[k+3>>0]=a[e+3>>0];a[k+4>>0]=a[e+4>>0];a[k+5>>0]=a[e+5>>0];a[k+6>>0]=a[e+6>>0];a[k+7>>0]=a[e+7>>0];u=+h[k>>3];a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];v=u-v;w=+h[k>>3]-w;w=+O(+(v*v+w*w));h[(c[b>>2]|0)+(d<<3)>>3]=w;h[(c[q+(d<<2)>>2]|0)+(g<<3)>>3]=w}if((d|0)>0)d=d+-1|0;else break}g=g+1|0}while((g|0)!=(p|0))}i=s;return}function EI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0;y=i;i=i+80|0;x=y+48|0;v=y+32|0;p=y+64|0;o=y;w=y+16|0;q=c[b+4>>2]|0;n=b+8|0;s=c[n>>2]|0;t=c[b+16>>2]|0;u=c[b+20>>2]|0;r=eQ((q<<3)+16|0)|0;if((d|0)==-2222){c[o>>2]=c[e>>2];c[o+4>>2]=c[e+4>>2];c[o+8>>2]=c[e+8>>2];c[o+12>>2]=c[e+12>>2];f=b+12|0;l=p+4|0;d=0;while(1){if((d|0)>=(c[b>>2]|0)){d=-1111;break}A=c[f>>2]|0;z=c[A+(d<<2)>>2]|0;c[p>>2]=(c[n>>2]|0)+(z<<4);m=d+1|0;c[l>>2]=(c[A+(m<<2)>>2]|0)-z;c[v>>2]=c[p>>2];c[v+4>>2]=c[p+4>>2];c[x>>2]=c[o>>2];c[x+4>>2]=c[o+4>>2];c[x+8>>2]=c[o+8>>2];c[x+12>>2]=c[o+12>>2];if(!(kI(v,x)|0))d=m;else break}}if((d|0)>-1){m=c[b+12>>2]|0;n=c[m+(d+1<<2)>>2]|0;m=c[m+(d<<2)>>2]|0}else{n=q;m=q}if((m|0)>0){d=e+8|0;f=w+8|0;l=0;do{A=s+(l<<4)|0;c[w>>2]=c[A>>2];c[w+4>>2]=c[A+4>>2];c[w+8>>2]=c[A+8>>2];c[w+12>>2]=c[A+12>>2];A=c[u+(l<<2)>>2]|0;z=c[t+(l<<2)>>2]|0;b=s+(z<<4)|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];G=+h[k>>3];z=s+(z<<4)+8|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];B=+h[k>>3];z=s+(A<<4)|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];D=+h[k>>3];A=s+(A<<4)+8|0;a[k>>0]=a[A>>0];a[k+1>>0]=a[A+1>>0];a[k+2>>0]=a[A+2>>0];a[k+3>>0]=a[A+3>>0];a[k+4>>0]=a[A+4>>0];a[k+5>>0]=a[A+5>>0];a[k+6>>0]=a[A+6>>0];a[k+7>>0]=a[A+7>>0];F=+h[k>>3];g=+h[d>>3];C=+h[w>>3];E=+h[f>>3];j=+h[e>>3];H=(g-F)*(C-D)-(E-F)*(j-D);A=H>.0001?1:(H<-.0001)<<31>>31;g=g-E;G=G-C;B=B-E;j=j-C;H=G*g-B*j;z=H>.0001?1:(H<-.0001)<<31>>31;if(((G*(F-E)-(D-C)*B>.0001?z|A:z&A)|0)>=0?(c[v>>2]=c[e>>2],c[v+4>>2]=c[e+4>>2],c[v+8>>2]=c[e+8>>2],c[v+12>>2]=c[e+12>>2],c[x>>2]=c[w>>2],c[x+4>>2]=c[w+4>>2],c[x+8>>2]=c[w+8>>2],c[x+12>>2]=c[w+12>>2],(HI(v,x,m,n,q,s,t)|0)!=0):0)h[r+(l<<3)>>3]=+O(+(g*g+j*j));else h[r+(l<<3)>>3]=0.0;l=l+1|0}while((l|0)!=(m|0))}if((m|0)<(n|0)){A=m<<3;tQ(r+A|0,0,(n<<3)-A|0)|0}if((n|0)<(q|0)){d=e+8|0;f=w+8|0;l=n;do{A=s+(l<<4)|0;c[w>>2]=c[A>>2];c[w+4>>2]=c[A+4>>2];c[w+8>>2]=c[A+8>>2];c[w+12>>2]=c[A+12>>2];A=c[u+(l<<2)>>2]|0;z=c[t+(l<<2)>>2]|0;b=s+(z<<4)|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];C=+h[k>>3];z=s+(z<<4)+8|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];H=+h[k>>3];z=s+(A<<4)|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];F=+h[k>>3];A=s+(A<<4)+8|0;a[k>>0]=a[A>>0];a[k+1>>0]=a[A+1>>0];a[k+2>>0]=a[A+2>>0];a[k+3>>0]=a[A+3>>0];a[k+4>>0]=a[A+4>>0];a[k+5>>0]=a[A+5>>0];a[k+6>>0]=a[A+6>>0];a[k+7>>0]=a[A+7>>0];D=+h[k>>3];g=+h[d>>3];G=+h[w>>3];E=+h[f>>3];j=+h[e>>3];B=(g-D)*(G-F)-(E-D)*(j-F);A=B>.0001?1:(B<-.0001)<<31>>31;g=g-E;C=C-G;H=H-E;j=j-G;B=C*g-H*j;z=B>.0001?1:(B<-.0001)<<31>>31;if(((C*(D-E)-(F-G)*H>.0001?z|A:z&A)|0)>=0?(c[v>>2]=c[e>>2],c[v+4>>2]=c[e+4>>2],c[v+8>>2]=c[e+8>>2],c[v+12>>2]=c[e+12>>2],c[x>>2]=c[w>>2],c[x+4>>2]=c[w+4>>2],c[x+8>>2]=c[w+8>>2],c[x+12>>2]=c[w+12>>2],(HI(v,x,m,n,q,s,t)|0)!=0):0)h[r+(l<<3)>>3]=+O(+(g*g+j*j));else h[r+(l<<3)>>3]=0.0;l=l+1|0}while((l|0)!=(q|0))}h[r+(q<<3)>>3]=0.0;h[r+(q+1<<3)>>3]=0.0;i=y;return r|0}function FI(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;s=i;i=i+64|0;l=s+48|0;k=s+32|0;q=s+16|0;p=s;m=c[f+4>>2]|0;n=c[f+8>>2]|0;o=c[f+16>>2]|0;g=(e|0)<0;a:do if((b|0)<0)if(g){g=0;r=11}else{h=c[f+12>>2]|0;f=0;g=c[h+(e+1<<2)>>2]|0;h=c[h+(e<<2)>>2]|0;r=8}else{if(g){h=c[f+12>>2]|0;f=0;g=c[h+(b+1<<2)>>2]|0;h=c[h+(b<<2)>>2]|0;r=8;break}t=(b|0)>(e|0);f=c[f+12>>2]|0;h=c[f+(e<<2)>>2]|0;g=c[f+(b<<2)>>2]|0;j=t?h:g;h=t?g:h;g=c[f+((t?b:e)+1<<2)>>2]|0;f=c[f+((t?e:b)+1<<2)>>2]|0;if((j|0)>0){b=0;while(1){e=n+(b<<4)|0;t=n+(c[o+(b<<2)>>2]<<4)|0;c[p>>2]=c[a>>2];c[p+4>>2]=c[a+4>>2];c[p+8>>2]=c[a+8>>2];c[p+12>>2]=c[a+12>>2];c[q>>2]=c[d>>2];c[q+4>>2]=c[d+4>>2];c[q+8>>2]=c[d+8>>2];c[q+12>>2]=c[d+12>>2];c[k>>2]=c[e>>2];c[k+4>>2]=c[e+4>>2];c[k+8>>2]=c[e+8>>2];c[k+12>>2]=c[e+12>>2];c[l>>2]=c[t>>2];c[l+4>>2]=c[t+4>>2];c[l+8>>2]=c[t+8>>2];c[l+12>>2]=c[t+12>>2];b=b+1|0;if(CI(p,q,k,l)|0){g=0;break a}if((b|0)>=(j|0)){r=8;break}}}else r=8}while(0);b:do if((r|0)==8)if((f|0)<(h|0))while(1){e=n+(f<<4)|0;t=n+(c[o+(f<<2)>>2]<<4)|0;c[p>>2]=c[a>>2];c[p+4>>2]=c[a+4>>2];c[p+8>>2]=c[a+8>>2];c[p+12>>2]=c[a+12>>2];c[q>>2]=c[d>>2];c[q+4>>2]=c[d+4>>2];c[q+8>>2]=c[d+8>>2];c[q+12>>2]=c[d+12>>2];c[k>>2]=c[e>>2];c[k+4>>2]=c[e+4>>2];c[k+8>>2]=c[e+8>>2];c[k+12>>2]=c[e+12>>2];c[l>>2]=c[t>>2];c[l+4>>2]=c[t+4>>2];c[l+8>>2]=c[t+8>>2];c[l+12>>2]=c[t+12>>2];f=f+1|0;if(CI(p,q,k,l)|0){g=0;break b}if((f|0)>=(h|0)){r=11;break}}else r=11;while(0);c:do if((r|0)==11)if((g|0)<(m|0))while(1){r=n+(g<<4)|0;t=n+(c[o+(g<<2)>>2]<<4)|0;c[p>>2]=c[a>>2];c[p+4>>2]=c[a+4>>2];c[p+8>>2]=c[a+8>>2];c[p+12>>2]=c[a+12>>2];c[q>>2]=c[d>>2];c[q+4>>2]=c[d+4>>2];c[q+8>>2]=c[d+8>>2];c[q+12>>2]=c[d+12>>2];c[k>>2]=c[r>>2];c[k+4>>2]=c[r+4>>2];c[k+8>>2]=c[r+8>>2];c[k+12>>2]=c[r+12>>2];c[l>>2]=c[t>>2];c[l+4>>2]=c[t+4>>2];c[l+8>>2]=c[t+8>>2];c[l+12>>2]=c[t+12>>2];g=g+1|0;if(CI(p,q,k,l)|0){g=0;break c}if((g|0)>=(m|0)){g=1;break}}else g=1;while(0);i=s;return g|0}function GI(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0;g=c[g+(b<<2)>>2]|0;f=c[f+(b<<2)>>2]|0;s=e+(d<<4)|0;a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];p=+h[k>>3];d=e+(d<<4)+8|0;a[k>>0]=a[d>>0];a[k+1>>0]=a[d+1>>0];a[k+2>>0]=a[d+2>>0];a[k+3>>0]=a[d+3>>0];a[k+4>>0]=a[d+4>>0];a[k+5>>0]=a[d+5>>0];a[k+6>>0]=a[d+6>>0];a[k+7>>0]=a[d+7>>0];q=+h[k>>3];d=e+(f<<4)|0;a[k>>0]=a[d>>0];a[k+1>>0]=a[d+1>>0];a[k+2>>0]=a[d+2>>0];a[k+3>>0]=a[d+3>>0];a[k+4>>0]=a[d+4>>0];a[k+5>>0]=a[d+5>>0];a[k+6>>0]=a[d+6>>0];a[k+7>>0]=a[d+7>>0];o=+h[k>>3];f=e+(f<<4)+8|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];l=+h[k>>3];f=e+(b<<4)|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];i=+h[k>>3];f=e+(b<<4)+8|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];m=+h[k>>3];f=e+(g<<4)|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];j=+h[k>>3];g=e+(g<<4)+8|0;a[k>>0]=a[g>>0];a[k+1>>0]=a[g+1>>0];a[k+2>>0]=a[g+2>>0];a[k+3>>0]=a[g+3>>0];a[k+4>>0]=a[g+4>>0];a[k+5>>0]=a[g+5>>0];a[k+6>>0]=a[g+6>>0];a[k+7>>0]=a[g+7>>0];n=+h[k>>3];r=(i-j)*(q-n)-(p-j)*(m-n);g=r>.0001?1:(r<-.0001)<<31>>31;o=o-i;l=l-m;p=o*(q-m)-(p-i)*l;e=p>.0001?1:(p<-.0001)<<31>>31;return (o*(n-m)-l*(j-i)>.0001?g|e:g&e)>>>31^1|0}function HI(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;p=i;i=i+64|0;l=p+48|0;k=p+32|0;n=p+16|0;m=p;a:do if((d|0)>0){j=0;while(1){r=g+(j<<4)|0;q=g+(c[h+(j<<2)>>2]<<4)|0;c[m>>2]=c[a>>2];c[m+4>>2]=c[a+4>>2];c[m+8>>2]=c[a+8>>2];c[m+12>>2]=c[a+12>>2];c[n>>2]=c[b>>2];c[n+4>>2]=c[b+4>>2];c[n+8>>2]=c[b+8>>2];c[n+12>>2]=c[b+12>>2];c[k>>2]=c[r>>2];c[k+4>>2]=c[r+4>>2];c[k+8>>2]=c[r+8>>2];c[k+12>>2]=c[r+12>>2];c[l>>2]=c[q>>2];c[l+4>>2]=c[q+4>>2];c[l+8>>2]=c[q+8>>2];c[l+12>>2]=c[q+12>>2];j=j+1|0;if(CI(m,n,k,l)|0){e=0;break a}if((j|0)>=(d|0)){o=3;break}}}else o=3;while(0);b:do if((o|0)==3)if((e|0)<(f|0))while(1){q=g+(e<<4)|0;r=g+(c[h+(e<<2)>>2]<<4)|0;c[m>>2]=c[a>>2];c[m+4>>2]=c[a+4>>2];c[m+8>>2]=c[a+8>>2];c[m+12>>2]=c[a+12>>2];c[n>>2]=c[b>>2];c[n+4>>2]=c[b+4>>2];c[n+8>>2]=c[b+8>>2];c[n+12>>2]=c[b+12>>2];c[k>>2]=c[q>>2];c[k+4>>2]=c[q+4>>2];c[k+8>>2]=c[q+8>>2];c[k+12>>2]=c[q+12>>2];c[l>>2]=c[r>>2];c[l+4>>2]=c[r+4>>2];c[l+8>>2]=c[r+8>>2];c[l+12>>2]=c[r+12>>2];e=e+1|0;if(CI(m,n,k,l)|0){e=0;break b}if((e|0)>=(f|0)){e=1;break}}else e=1;while(0);i=p;return e|0}function II(a){a=a|0;return TI(a,0,0,0)|0}function JI(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if(b){g=b+368|0;j=b+20|0;d=c[b+364>>2]|0;while(1){if(!d){d=c[g>>2]|0;if(!d)break;c[g>>2]=0}f=c[d>>2]|0;Db[c[j>>2]&127](c[d+36>>2]|0);e=c[d+44>>2]|0;if(e)do{h=e;e=c[e+4>>2]|0;Db[c[j>>2]&127](c[h+16>>2]|0);Db[c[j>>2]&127](h)}while((e|0)!=0);Db[c[j>>2]&127](d);d=f}e=b+304|0;d=c[b+300>>2]|0;while(1){if(!d){d=c[e>>2]|0;if(!d)break;c[e>>2]=0}h=c[d+8>>2]|0;Db[c[j>>2]&127](d);d=h}d=c[b+376>>2]|0;if(d)do{h=d;d=c[d+4>>2]|0;Db[c[j>>2]&127](c[h+16>>2]|0);Db[c[j>>2]&127](h)}while((d|0)!=0);d=c[b+372>>2]|0;if(d)do{h=d;d=c[d+4>>2]|0;Db[c[j>>2]&127](c[h+16>>2]|0);Db[c[j>>2]&127](h)}while((d|0)!=0);_I(b+416|0);_I(b+440|0);if((a[b+488>>0]|0)==0?(i=c[b+356>>2]|0,(i|0)!=0):0){f=(c[b+476>>2]|0)==0;g=i+20|0;d=c[g>>2]|0;e=c[i+28>>2]|0;h=d+(e<<2)|0;if(e)do{e=c[d>>2]|0;d=d+4|0;if((e|0)!=0?(c[e+16>>2]|0)!=0:0)Db[c[j>>2]&127](c[e+20>>2]|0)}while((d|0)!=(h|0));$I(i);$I(i+132|0);$I(g);$I(i+40|0);$I(i+60|0);_I(i+80|0);_I(i+104|0);if(f){Db[c[j>>2]&127](c[i+184>>2]|0);Db[c[j>>2]&127](c[i+164>>2]|0)}Db[c[j>>2]&127](i)}Db[c[j>>2]&127](c[b+392>>2]|0);Db[c[j>>2]&127](c[b+464>>2]|0);Db[c[j>>2]&127](c[b+8>>2]|0);Db[c[j>>2]&127](c[b+44>>2]|0);Db[c[j>>2]&127](c[b+396>>2]|0);Db[c[j>>2]&127](c[b+240>>2]|0);d=c[b+252>>2]|0;if(d)Db[d&127](c[b+244>>2]|0);Db[c[j>>2]&127](b)}return}function KI(a,b){a=a|0;b=b|0;var d=0,e=0;d=a+4|0;e=(c[d>>2]|0)==(c[a>>2]|0);c[a>>2]=b;if(e)c[d>>2]=b;return}function LI(a,b,d){a=a|0;b=b|0;d=d|0;c[a+52>>2]=b;c[a+56>>2]=d;return}function MI(a,b){a=a|0;b=b|0;c[a+60>>2]=b;return}function NI(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;i=b+480|0;switch(c[i>>2]|0){case 3:{c[b+284>>2]=33;g=0;break}case 2:{c[b+284>>2]=36;g=0;break}case 0:{if((c[b+476>>2]|0)==0?(aJ(b)|0)<<24>>24==0:0){c[b+284>>2]=1;g=0}else h=7;break}default:h=7}a:do if((h|0)==7){c[i>>2]=1;if(e){g=OI(b,e)|0;if(!g){g=0;break}rQ(g|0,d|0,e|0)|0;g=PI(b,e,f)|0;break}a[b+484>>0]=f;if(!f)g=1;else{g=b+24|0;d=c[g>>2]|0;f=b+296|0;c[f>>2]=d;h=c[b+28>>2]|0;c[b+40>>2]=h;e=b+280|0;h=Ub[c[e>>2]&127](b,d,h,g)|0;c[b+284>>2]=h;if(h){c[b+292>>2]=c[b+288>>2];c[e>>2]=58;g=0;break}switch(c[i>>2]|0){case 3:{i=c[b+144>>2]|0;Zb[c[i+52>>2]&31](i,c[f>>2]|0,c[g>>2]|0,b+408|0);c[f>>2]=c[g>>2];g=2;break a}case 1:case 0:{c[i>>2]=2;g=1;break a}default:{g=1;break a}}}}while(0);return g|0}function OI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a:do switch(c[a+480>>2]|0){case 3:{c[a+284>>2]=33;d=0;break}case 2:{c[a+284>>2]=36;d=0;break}default:{o=a+32|0;l=c[o>>2]|0;q=a+28|0;d=c[q>>2]|0;m=l;e=d;if((m-e|0)<(b|0)){p=a+24|0;j=c[p>>2]|0;k=j;f=e-k|0;n=a+8|0;g=c[n>>2]|0;r=g;h=k-r|0;i=(h|0)>1024;e=i?1024:h;b=f+b+e|0;do if((b|0)>(m-r|0)){d=(l|0)==(j|0)?1024:m-k|0;do d=d<<1;while((d|0)<(b|0));e=Hb[c[a+12>>2]&63](d)|0;if(!e){c[a+284>>2]=1;d=0;break a}c[o>>2]=e+d;d=c[p>>2]|0;if(!d){d=e+(c[q>>2]|0)|0;c[q>>2]=d;c[n>>2]=e;c[p>>2]=e;break}else{o=d;r=o-(c[n>>2]|0)|0;r=(r|0)>1024?1024:r;rQ(e|0,d+(0-r)|0,(c[q>>2]|0)-o+r|0)|0;Db[c[a+20>>2]&127](c[n>>2]|0);c[n>>2]=e;d=e+((c[q>>2]|0)+r-(c[p>>2]|0))|0;c[q>>2]=d;c[p>>2]=e+r;break}}else if(i){r=h-e|0;sQ(g|0,g+r|0,e+f|0)|0;r=0-r|0;d=(c[q>>2]|0)+r|0;c[q>>2]=d;c[p>>2]=(c[p>>2]|0)+r}while(0);c[a+292>>2]=0;c[a+288>>2]=0;c[a+296>>2]=0}}}while(0);return d|0}function PI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;g=b+480|0;switch(c[g>>2]|0){case 3:{c[b+284>>2]=33;d=0;break}case 2:{c[b+284>>2]=36;d=0;break}case 0:{if((c[b+476>>2]|0)==0?(aJ(b)|0)<<24>>24==0:0){c[b+284>>2]=1;d=0}else f=7;break}default:f=7}a:do if((f|0)==7){c[g>>2]=1;f=b+24|0;j=c[f>>2]|0;h=b+296|0;c[h>>2]=j;k=b+28|0;i=(c[k>>2]|0)+d|0;c[k>>2]=i;c[b+40>>2]=i;k=b+36|0;c[k>>2]=(c[k>>2]|0)+d;a[b+484>>0]=e;d=b+280|0;i=Ub[c[d>>2]&127](b,j,i,f)|0;c[b+284>>2]=i;if(i){c[b+292>>2]=c[b+288>>2];c[d>>2]=58;d=0;break}switch(c[g>>2]|0){case 3:{d=2;break}case 1:case 0:{if(!e)d=1;else{c[g>>2]=2;d=1;break a}break}default:d=1}k=c[b+144>>2]|0;Zb[c[k+52>>2]&31](k,c[h>>2]|0,c[f>>2]|0,b+408|0);c[h>>2]=c[f>>2]}while(0);return d|0}function QI(a){a=a|0;return c[a+284>>2]|0}function RI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a+288|0;d=c[b>>2]|0;if((d|0)!=0?(e=a+296|0,f=c[e>>2]|0,d>>>0>=f>>>0):0){g=c[a+144>>2]|0;Zb[c[g+52>>2]&31](g,f,d,a+408|0);c[e>>2]=c[b>>2]}return (c[a+408>>2]|0)+1|0}function SI(a){a=a|0;if((a+-1|0)>>>0<40)a=c[93040+(a<<2)>>2]|0;else a=0;return a|0}function TI(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if(!d){g=eQ(500)|0;if(!g)d=6;else{c[g+12>>2]=32;c[g+16>>2]=103;c[g+20>>2]=104;d=7}}else{g=Hb[c[d>>2]&63](500)|0;if(!g)d=6;else{c[g+12>>2]=c[d>>2];c[g+16>>2]=c[d+4>>2];c[g+20>>2]=c[d+8>>2];d=7}}if((d|0)==6)if(!g)g=0;else d=7;a:do if((d|0)==7){c[g+8>>2]=0;c[g+32>>2]=0;c[g+380>>2]=16;j=g+12|0;i=Hb[c[j>>2]&63](256)|0;h=g+392|0;c[h>>2]=i;if(!i){Db[c[g+20>>2]&127](g);g=0;break}d=Hb[c[j>>2]&63](1024)|0;i=g+44|0;c[i>>2]=d;if(!d){e=g+20|0;Db[c[e>>2]&127](c[h>>2]|0);Db[c[e>>2]&127](g);g=0;break}c[g+48>>2]=d+1024;do if(!f){d=Hb[c[j>>2]&63](188)|0;if(!d){c[g+356>>2]=0;e=g+20|0;Db[c[e>>2]&127](c[i>>2]|0);Db[c[e>>2]&127](c[h>>2]|0);Db[c[e>>2]&127](g);g=0;break a}else{f=d+80|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[d+100>>2]=j;f=d+104|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[d+124>>2]=j;a[d+4>>0]=0;c[d+8>>2]=0;c[d+12>>2]=0;c[d>>2]=0;c[d+16>>2]=j;a[d+24>>0]=0;c[d+28>>2]=0;c[d+32>>2]=0;c[d+20>>2]=0;c[d+36>>2]=j;a[d+44>>0]=0;c[d+48>>2]=0;c[d+52>>2]=0;c[d+40>>2]=0;c[d+56>>2]=j;a[d+64>>0]=0;c[d+68>>2]=0;c[d+72>>2]=0;c[d+60>>2]=0;c[d+76>>2]=j;a[d+131>>0]=0;a[d+136>>0]=0;c[d+140>>2]=0;c[d+144>>2]=0;c[d+132>>2]=0;c[d+148>>2]=j;c[d+152>>2]=0;c[d+156>>2]=0;a[d+160>>0]=0;f=d+164|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;a[d+128>>0]=1;a[d+129>>0]=0;a[d+130>>0]=0;c[g+356>>2]=d;break}}else c[g+356>>2]=f;while(0);c[g+376>>2]=0;c[g+368>>2]=0;c[g+304>>2]=0;c[g+468>>2]=0;c[g+464>>2]=0;c[g+124>>2]=0;c[g+248>>2]=0;d=g+472|0;a[d>>0]=33;h=g+236|0;a[h>>0]=0;a[g+237>>0]=0;c[g+396>>2]=0;c[g+400>>2]=0;a[g+404>>0]=0;f=g+416|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[g+436>>2]=j;f=g+440|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[g+460>>2]=j;VI(g,b);if((b|0)!=0?(c[g+232>>2]|0)==0:0){JI(g);g=0;break}if(!e){c[g+228>>2]=NJ()|0;break}else{a[h>>0]=1;c[g+228>>2]=QJ()|0;a[d>>0]=a[e>>0]|0;break}}while(0);return g|0}function UI(a){a=a|0;var b=0,d=0,e=0,f=0;f=a+4|0;d=c[f>>2]|0;b=c[a>>2]|0;if(d){if(b){while(1){e=c[b>>2]|0;c[b>>2]=d;if(!e)break;else{d=b;b=e}}c[f>>2]=b}}else c[f>>2]=b;c[a>>2]=0;c[a+16>>2]=0;c[a+12>>2]=0;c[a+8>>2]=0;return}function VI(d,e){d=d|0;e=e|0;var f=0,g=0,h=0;c[d+280>>2]=59;JL(d+256|0);if(!e)e=0;else e=WI(d+416|0,e)|0;c[d+232>>2]=e;c[d+360>>2]=0;OJ(d+148|0,d+144|0,0)|0;c[d>>2]=0;c[d+4>>2]=0;e=d+116|0;g=d+52|0;h=g+64|0;do{c[g>>2]=0;g=g+4|0}while((g|0)<(h|0));c[e>>2]=d;c[d+120>>2]=0;e=d+128|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;e=c[d+8>>2]|0;c[d+24>>2]=e;c[d+28>>2]=e;c[d+36>>2]=0;c[d+40>>2]=0;e=d+316|0;g=d+408|0;c[g>>2]=0;c[g+4>>2]=0;g=d+284|0;f=d+308|0;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;g=e;h=g+36|0;do{c[g>>2]=0;g=g+4|0}while((g|0)<(h|0));b[e+36>>1]=0;a[f>>0]=1;c[d+312>>2]=0;c[d+364>>2]=0;c[d+372>>2]=0;c[d+384>>2]=0;c[d+240>>2]=0;c[d+252>>2]=0;c[d+244>>2]=0;c[d+476>>2]=0;c[d+480>>2]=0;a[d+488>>0]=0;a[d+489>>0]=0;c[d+492>>2]=0;c[d+496>>2]=0;return}function WI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;f=b+12|0;g=b+8|0;while(1){e=c[f>>2]|0;if((e|0)==(c[g>>2]|0)){if(!((YI(b)|0)<<24>>24)){d=0;break}e=c[f>>2]|0}i=a[d>>0]|0;c[f>>2]=e+1;a[e>>0]=i;if(!(a[d>>0]|0)){h=6;break}else d=d+1|0}if((h|0)==6){i=b+16|0;d=c[i>>2]|0;c[i>>2]=c[f>>2]}return d|0}function XI(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;A=e+8|0;r=c[A>>2]|0;a:do if(!r)if(!g)h=0;else{a[e+4>>0]=6;c[A>>2]=64;j=e+16|0;h=Hb[c[c[j>>2]>>2]&63](256)|0;c[e>>2]=h;if(!h){c[A>>2]=0;h=0;break}tQ(h|0,0,256)|0;b=c[b+496>>2]|0;h=a[f>>0]|0;if(h<<24>>24){i=f;do{i=i+1|0;b=b*1000003^h&255;h=a[i>>0]|0}while(h<<24>>24!=0)}h=j;i=e;b=(c[A>>2]|0)+-1&b;x=35}else{z=b+496|0;h=c[z>>2]|0;q=a[f>>0]|0;if(!(q<<24>>24))y=h;else{b=f;i=q;do{b=b+1|0;h=h*1000003^i&255;i=a[b>>0]|0}while(i<<24>>24!=0);y=h}i=r+-1|0;b=i&y;n=c[e>>2]|0;h=c[n+(b<<2)>>2]|0;if(h){o=y&0-r;p=e+4|0;m=i>>>2;i=0;do{j=c[h>>2]|0;if(q<<24>>24==(a[j>>0]|0)){l=f;k=q;do{if(!(k<<24>>24))break a;l=l+1|0;j=j+1|0;k=a[l>>0]|0}while(k<<24>>24==(a[j>>0]|0))}if(!(i<<24>>24))i=(o>>>((d[p>>0]|0)+-1|0)&m|1)&255;h=i&255;b=b-h+(b>>>0<h>>>0?r:0)|0;h=c[n+(b<<2)>>2]|0}while((h|0)!=0)}if(g){t=e+4|0;h=d[t>>0]|0;if(!((c[e+12>>2]|0)>>>(h+-1|0))){h=e+16|0;i=e;x=35;break}r=h+1|0;q=r&255;r=r&255;u=1<<r;s=u+-1|0;h=u<<2;v=e+16|0;w=Hb[c[c[v>>2]>>2]&63](h)|0;if(w){tQ(w|0,0,h|0)|0;l=c[A>>2]|0;if(l){m=0-u|0;n=r+-1|0;o=s>>>2;p=0;do{h=c[(c[e>>2]|0)+(p<<2)>>2]|0;k=h;if(h){h=c[h>>2]|0;b=c[z>>2]|0;i=a[h>>0]|0;if(i<<24>>24)do{h=h+1|0;b=b*1000003^i&255;i=a[h>>0]|0}while(i<<24>>24!=0);i=b&s;h=w+(i<<2)|0;if(c[h>>2]|0){j=((b&m)>>>n&o|1)&255;b=0;do{b=b<<24>>24==0?j:b;h=b&255;i=i+(i>>>0<h>>>0?u:0)-h|0;h=w+(i<<2)|0}while((c[h>>2]|0)!=0)}c[h>>2]=k}p=p+1|0}while(p>>>0<l>>>0)}Db[c[(c[v>>2]|0)+8>>2]&127](c[e>>2]|0);c[e>>2]=w;a[t>>0]=q;c[A>>2]=u;b=s&y;if(!(c[w+(b<<2)>>2]|0)){h=v;i=e;x=35}else{i=((y&0-u)>>>(r+-1|0)&s>>>2|1)&255;h=0;do{h=h<<24>>24==0?i:h;A=h&255;b=b+(b>>>0<A>>>0?u:0)-A|0}while((c[w+(b<<2)>>2]|0)!=0);h=v;i=e;x=35}}else h=0}else h=0}while(0);if((x|0)==35){h=Hb[c[c[h>>2]>>2]&63](g)|0;c[(c[i>>2]|0)+(b<<2)>>2]=h;h=c[(c[i>>2]|0)+(b<<2)>>2]|0;if(!h)h=0;else{tQ(h|0,0,g|0)|0;h=(c[i>>2]|0)+(b<<2)|0;c[c[h>>2]>>2]=f;e=e+12|0;c[e>>2]=(c[e>>2]|0)+1;h=c[h>>2]|0}}return h|0}function YI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+4|0;d=c[b>>2]|0;g=d;do if(d){h=a+16|0;i=c[h>>2]|0;if(!i){c[a>>2]=d;c[b>>2]=c[d>>2];c[d>>2]=0;b=d+8|0;c[h>>2]=b;c[a+8>>2]=(c[d+4>>2]|0)+(d+8);c[a+12>>2]=b;b=1;break}e=a+8|0;f=(c[e>>2]|0)-i|0;if((f|0)<(c[d+4>>2]|0)){k=c[d>>2]|0;c[d>>2]=c[a>>2];c[a>>2]=g;c[b>>2]=k;rQ(d+8|0,i|0,f|0)|0;b=c[a>>2]|0;a=a+12|0;c[a>>2]=(c[a>>2]|0)-(c[h>>2]|0)+(b+8);c[h>>2]=b+8;c[e>>2]=(c[b+4>>2]|0)+(b+8);b=1}else j=6}else j=6;while(0);do if((j|0)==6){d=c[a>>2]|0;j=a+16|0;i=c[j>>2]|0;k=a+8|0;b=(c[k>>2]|0)-i|0;if((d|0)!=0&(i|0)==(d+8|0)){e=b<<1;b=Qb[c[(c[a+20>>2]|0)+4>>2]&127](d,e+8|0)|0;if(!b){b=0;break}c[a>>2]=b;c[b+4>>2]=e;a=a+12|0;c[a>>2]=(c[a>>2]|0)-(c[j>>2]|0)+(b+8);c[j>>2]=b+8;c[k>>2]=b+8+e;b=1;break}b=(b|0)<1024?1024:b<<1;h=b+8|0;i=Hb[c[c[a+20>>2]>>2]&63](h)|0;if(!i)b=0;else{c[i+4>>2]=b;c[i>>2]=c[a>>2];c[a>>2]=i;g=a+12|0;d=c[g>>2]|0;b=c[j>>2]|0;f=i+8|0;if((d|0)==(b|0)){e=d;b=d}else{rQ(f|0,b|0,d-b|0)|0;e=c[g>>2]|0;b=c[j>>2]|0}c[g>>2]=i+(e+8-b);c[j>>2]=f;c[k>>2]=i+h;b=1}}while(0);return b|0}function ZI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=c[b+356>>2]|0;a:do if(!(a[d>>0]|0))d=1;else{m=b+416|0;n=b+428|0;o=b+424|0;p=b+432|0;q=j+152|0;r=b+372|0;k=j+60|0;l=j+80|0;while(1){g=d;b:while(1){f=a[g>>0]|0;switch(f<<24>>24){case 0:case 12:{e=g;f=5;break b}default:{}}e=c[n>>2]|0;if(f<<24>>24==61){d=e;f=13;break}if((e|0)==(c[o>>2]|0)){if(!((YI(m)|0)<<24>>24)){d=0;break a}e=c[n>>2]|0;f=a[g>>0]|0}c[n>>2]=e+1;a[e>>0]=f;if(!(a[d>>0]|0)){d=1;break a}else g=g+1|0}if((f|0)==5){d=c[n>>2]|0;if((d|0)==(c[o>>2]|0)){if(!((YI(m)|0)<<24>>24)){d=0;break a}d=c[n>>2]|0}c[n>>2]=d+1;a[d>>0]=0;d=XI(b,j,c[p>>2]|0,0)|0;if(d)a[d+32>>0]=1;d=(a[e>>0]|0)==0?e:e+1|0;c[n>>2]=c[p>>2]}else if((f|0)==13){if((d|0)==(c[p>>2]|0))f=q;else{if((d|0)==(c[o>>2]|0)){if(!((YI(m)|0)<<24>>24)){d=0;break a}d=c[n>>2]|0}c[n>>2]=d+1;a[d>>0]=0;f=XI(b,k,c[p>>2]|0,8)|0;if(!f){d=0;break a}e=c[f>>2]|0;i=c[p>>2]|0;d=i;if((e|0)==(i|0)){i=WI(l,e)|0;c[f>>2]=i;if(!i){d=0;break a}d=c[p>>2]|0}c[n>>2]=d}c:while(1){h=g+1|0;e=a[h>>0]|0;i=(d|0)==(c[o>>2]|0);switch(e<<24>>24){case 0:case 12:{e=i;break c}default:{}}if(i){if(!((YI(m)|0)<<24>>24)){d=0;break a}d=c[n>>2]|0;e=a[h>>0]|0}c[n>>2]=d+1;a[d>>0]=e;d=c[n>>2]|0;g=h}if(e){if(!((YI(m)|0)<<24>>24)){d=0;break a}d=c[n>>2]|0}c[n>>2]=d+1;a[d>>0]=0;if(GJ(b,f,0,c[p>>2]|0,r)|0){d=0;break a}c[n>>2]=c[p>>2];d=(a[h>>0]|0)==0?h:g+2|0}if(!(a[d>>0]|0)){d=1;break}}}while(0);return d|0}function _I(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if(b){d=a+20|0;do{e=b;b=c[b>>2]|0;Db[c[(c[d>>2]|0)+8>>2]&127](e)}while((b|0)!=0)}b=c[a+4>>2]|0;if(b){d=a+20|0;do{e=b;b=c[b>>2]|0;Db[c[(c[d>>2]|0)+8>>2]&127](e)}while((b|0)!=0)}return}function $I(a){a=a|0;var b=0,d=0,e=0,f=0;e=a+8|0;f=a+16|0;b=c[(c[f>>2]|0)+8>>2]|0;if(c[e>>2]|0){d=0;do{Db[b&127](c[(c[a>>2]|0)+(d<<2)>>2]|0);d=d+1|0;b=c[(c[f>>2]|0)+8>>2]|0}while(d>>>0<(c[e>>2]|0)>>>0)}Db[b&127](c[a>>2]|0);return}function aJ(b){b=b|0;var d=0;d=b+496|0;if(!(c[d>>2]|0)){LN(((tb(0)|0)>>>0)%4294967295|0);c[d>>2]=MN()|0}if(!(a[b+236>>0]|0))d=1;else d=ZI(b,184622)|0;return d|0}function bJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;return c[a+284>>2]|0}function cJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+16|0;n=p+4|0;o=p;c[n>>2]=e;if(!(a[d+72>>0]|0)){if((c[b+144>>2]|0)==(d|0)){l=b+292|0;m=b+288|0}else{m=c[b+300>>2]|0;l=m+4|0}g=b+44|0;h=d+60|0;j=b+48|0;k=b+80|0;e=b+4|0;do{c[o>>2]=c[g>>2];Cb[c[h>>2]&31](d,n,f,o,c[j>>2]|0);c[l>>2]=c[n>>2];b=c[g>>2]|0;Vb[c[k>>2]&127](c[e>>2]|0,b,(c[o>>2]|0)-b|0);c[m>>2]=c[n>>2]}while((c[n>>2]|0)!=(f|0))}else Vb[c[b+80>>2]&127](c[b+4>>2]|0,e,f-e|0);i=p;return}function dJ(b){b=b|0;var d=0;d=b+232|0;if(!(Jb[(a[b+236>>0]<<24>>24!=0?43:44)&63](b+148|0,b+144|0,c[d>>2]|0)|0))d=IJ(b,c[d>>2]|0)|0;else d=0;return d|0}function eJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+16|0;h=g;c[h>>2]=d;k=b+144|0;j=c[k>>2]|0;j=Ub[c[j>>2]&127](j,d,e,h)|0;d=fJ(b,c[k>>2]|0,d,e,j,c[h>>2]|0,f,(a[b+484>>0]|0)==0&1)|0;i=g;return d|0}function fJ(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;Ja=i;i=i+16|0;ua=Ja+8|0;va=Ja+4|0;ka=Ja;c[ka>>2]=j;p=b+356|0;y=c[p>>2]|0;ya=b+144|0;if((c[ya>>2]|0)==(e|0)){Fa=b+300|0;ia=b+292|0;ja=b+288|0}else{Fa=b+300|0;ja=c[Fa>>2]|0;ia=ja+4|0}q=l<<24>>24!=0;Ga=b+256|0;r=b+80|0;s=b+480|0;t=b+84|0;u=b+324|0;v=b+416|0;w=b+320|0;x=b+428|0;z=b+432|0;A=b+328|0;wa=b+4|0;ma=b+489|0;na=y+132|0;B=b+316|0;xa=y+129|0;C=y+128|0;D=y+80|0;E=y+92|0;F=y+96|0;G=b+136|0;H=b+88|0;qa=b+492|0;za=b+112|0;Aa=y+131|0;Ba=b+116|0;Ca=y+130|0;Da=b+108|0;Ea=b+360|0;I=b+344|0;J=b+132|0;K=b+348|0;L=b+352|0;M=b+332|0;N=b+353|0;O=b+424|0;P=y+120|0;Q=y+116|0;R=b+92|0;S=b+476|0;T=b+340|0;U=b+336|0;V=b+96|0;W=b+260|0;X=b+468|0;Y=b+464|0;Z=y+160|0;_=y+180|0;$=y+184|0;aa=y+164|0;ba=b+128|0;ca=b+12|0;da=b+16|0;ea=b+272|0;fa=b+120|0;ga=y+176|0;ha=y+168|0;a:while(1){c[ja>>2]=f;c[ia>>2]=c[ka>>2];b:do if((h|0)<1){if(q&(h|0)!=0){h=f;o=7;break a}switch(h|0){case -1:{h=5;break a}case 0:{o=9;break a}case -2:{o=284;break a}case -4:{o=10;break a}case -15:{h=15;break b}default:{}}c[ka>>2]=g;h=0-h|0}while(0);n=Ib[c[Ga>>2]&63](Ga,h,f,c[ka>>2]|0,e)|0;c:do switch(n|0){case 2:{o=58;break a}case -1:{o=189;break a}case 1:{h=gJ(b,0,f,c[ka>>2]|0)|0;if(h)break a;h=c[ya>>2]|0;break}case 4:{if(!(c[t>>2]|0))h=1;else{n=hJ(v,e,f,c[ka>>2]|0)|0;c[w>>2]=n;if(!n){h=1;break a}c[z>>2]=c[x>>2];c[A>>2]=0;h=0}c[u>>2]=0;o=278;break}case 7:{h=c[t>>2]|0;if(!h)o=279;else{Cb[h&31](c[wa>>2]|0,c[w>>2]|0,c[u>>2]|0,c[A>>2]|0,1);c[w>>2]=0;UI(v);h=e}break}case 57:{h=gJ(b,1,f,c[ka>>2]|0)|0;if(h)break a;h=c[ya>>2]|0;break}case 6:{a[ma>>0]=0;n=XI(b,na,115203,36)|0;c[B>>2]=n;if(!n){h=1;break a}a[xa>>0]=1;if(!(c[t>>2]|0))o=33;else{if(!(Ub[c[e+56>>2]&127](e,f,c[ka>>2]|0,ja)|0)){h=32;break a}h=c[e+68>>2]|0;h=hJ(v,e,f+h|0,(c[ka>>2]|0)+(0-h)|0)|0;if(!h){h=1;break a}iJ(h);c[z>>2]=c[x>>2];c[A>>2]=h;h=0;o=34}break}case 14:{o=33;break}case 8:{h=c[w>>2]|0;if(!h)h=1;else{Cb[c[t>>2]&31](c[wa>>2]|0,h,c[u>>2]|0,c[A>>2]|0,0);UI(v);h=0}if(!((c[u>>2]|0)==0?(a[ma>>0]|0)==0:0)){j=a[xa>>0]|0;a[xa>>0]=1;do if((c[qa>>2]|0)!=0?(c[za>>2]|0)!=0:0){m=XI(b,na,115203,36)|0;if(!m){h=1;break a}if(!(a[ma>>0]|0))n=c[m+20>>2]|0;else{n=c[Ea>>2]|0;c[m+20>>2]=n}a[Aa>>0]=0;if(!(Ib[c[za>>2]&63](c[Ba>>2]|0,0,n,c[m+16>>2]|0,c[m+24>>2]|0)|0)){h=21;break a}if(!(a[Aa>>0]|0)){if(c[u>>2]|0)break;a[xa>>0]=j;break}if(((a[Ca>>0]|0)==0?(la=c[Da>>2]|0,(la|0)!=0):0)?(Hb[la&63](c[wa>>2]|0)|0)==0:0){h=22;break a}}while(0);a[ma>>0]=0}j=c[H>>2]|0;if(!j)o=278;else{Db[j&127](c[wa>>2]|0);h=e}break}case 34:{n=kJ(b,e,f,c[ka>>2]|0)|0;c[I>>2]=n;if(!n){h=1;break a}else o=80;break}case 22:{n=lJ(b,e,f,c[ka>>2]|0)|0;c[K>>2]=n;if(!n){h=1;break a}a[L>>0]=0;c[M>>2]=0;a[N>>0]=0;o=80;break}case 23:{a[L>>0]=1;c[M>>2]=184663;o=80;break}case 24:{a[N>>0]=1;c[M>>2]=184669;o=80;break}case 25:{c[M>>2]=184672;o=80;break}case 26:{c[M>>2]=184678;o=80;break}case 27:{c[M>>2]=184685;o=80;break}case 28:{c[M>>2]=184692;o=80;break}case 29:{c[M>>2]=184701;o=80;break}case 30:{c[M>>2]=184709;o=80;break}case 32:case 31:{if((a[C>>0]|0)!=0?(c[J>>2]|0)!=0:0){h=(c[M>>2]|0)==0?((n|0)==32?184718:184728):184730;j=a[h>>0]|0;if(j<<24>>24)do{m=c[x>>2]|0;if((m|0)==(c[O>>2]|0)){if(!((YI(v)|0)<<24>>24)){h=1;break a}m=c[x>>2]|0;j=a[h>>0]|0}c[x>>2]=m+1;a[m>>0]=j;h=h+1|0;j=a[h>>0]|0}while(j<<24>>24!=0);if(!(c[z>>2]|0)){h=1;break a}if(!(mJ(v,e,f,c[ka>>2]|0)|0)){h=1;break a}c[M>>2]=c[z>>2];h=e}else o=279;break}case 36:case 35:{if(a[C>>0]|0){if(!(nJ(c[I>>2]|0,c[K>>2]|0,a[L>>0]|0,a[N>>0]|0,0,b)|0)){h=1;break a}if((c[J>>2]|0)!=0?(oa=c[M>>2]|0,(oa|0)!=0):0){switch(a[oa>>0]|0){case 40:{o=98;break}case 78:{if((a[oa+1>>0]|0)==79)o=98;break}default:{}}if((o|0)==98){o=0;h=c[x>>2]|0;if((h|0)==(c[O>>2]|0)){if(!((YI(v)|0)<<24>>24)){h=1;break a}h=c[x>>2]|0}c[x>>2]=h+1;a[h>>0]=41;h=c[x>>2]|0;if((h|0)==(c[O>>2]|0)){if(!((YI(v)|0)<<24>>24)){h=1;break a}h=c[x>>2]|0}c[x>>2]=h+1;a[h>>0]=0;c[M>>2]=c[z>>2];c[z>>2]=c[x>>2]}c[ia>>2]=f;Kb[c[J>>2]&15](c[wa>>2]|0,c[c[I>>2]>>2]|0,c[c[K>>2]>>2]|0,c[M>>2]|0,0,(n|0)==36&1);UI(v);h=e}else o=279}else o=279;break}case 38:case 37:{if(a[C>>0]|0){h=c[e+68>>2]|0;h=oJ(b,e,a[L>>0]|0,f+h|0,(c[ka>>2]|0)+(0-h)|0,D)|0;if(h)break a;j=c[F>>2]|0;c[F>>2]=c[E>>2];if(!(nJ(c[I>>2]|0,c[K>>2]|0,a[L>>0]|0,0,j,b)|0)){h=1;break a}if((c[J>>2]|0)!=0?(pa=c[M>>2]|0,(pa|0)!=0):0){switch(a[pa>>0]|0){case 40:{o=113;break}case 78:{if((a[pa+1>>0]|0)==79)o=113;break}default:{}}if((o|0)==113){o=0;h=c[x>>2]|0;if((h|0)==(c[O>>2]|0)){if(!((YI(v)|0)<<24>>24)){h=1;break a}h=c[x>>2]|0}c[x>>2]=h+1;a[h>>0]=41;h=c[x>>2]|0;if((h|0)==(c[O>>2]|0)){if(!((YI(v)|0)<<24>>24)){h=1;break a}h=c[x>>2]|0}c[x>>2]=h+1;a[h>>0]=0;c[M>>2]=c[z>>2];c[z>>2]=c[x>>2]}c[ia>>2]=f;Kb[c[J>>2]&15](c[wa>>2]|0,c[c[I>>2]>>2]|0,c[c[K>>2]>>2]|0,c[M>>2]|0,j,(n|0)==38&1);UI(v);h=e}else o=279}else o=279;break}case 12:{if(a[C>>0]|0){h=c[e+68>>2]|0;h=pJ(b,e,f+h|0,(c[ka>>2]|0)+(0-h)|0)|0;j=c[B>>2]|0;m=c[P>>2]|0;if(j){c[j+4>>2]=m;n=c[Q>>2]|0;c[j+8>>2]=n-m;c[P>>2]=n;if(!(c[G>>2]|0))j=1;else{c[ia>>2]=f;j=c[B>>2]|0;Pb[c[G>>2]&0](c[wa>>2]|0,c[j>>2]|0,d[j+33>>0]|0,c[j+4>>2]|0,c[j+8>>2]|0,c[Ea>>2]|0,0,0,0);j=0}}else{c[Q>>2]=m;j=1}if(!h){h=j;o=278}else break a}else o=279;break}case 5:{a[ma>>0]=0;a[xa>>0]=1;if(!(c[t>>2]|0)){c[u>>2]=115203;h=1}else{n=c[e+68>>2]|0;n=hJ(v,e,f+n|0,(c[ka>>2]|0)+(0-n)|0)|0;c[u>>2]=n;if(!n){h=1;break a}c[z>>2]=c[x>>2];h=0}if((((a[Ca>>0]|0)==0?(c[qa>>2]|0)==0:0)?(ra=c[Da>>2]|0,(ra|0)!=0):0)?(Hb[ra&63](c[wa>>2]|0)|0)==0:0){h=22;break a}if(!(c[B>>2]|0)){j=XI(b,na,115203,36)|0;c[B>>2]=j;if(!j){h=1;break a}c[j+24>>2]=0;o=138}else o=138;break}case 13:{h=1;o=138;break}case 15:{if(((a[C>>0]|0)!=0?(c[B>>2]|0)!=0:0)?(c[G>>2]|0)!=0:0){c[ia>>2]=f;h=c[B>>2]|0;Pb[c[G>>2]&0](c[wa>>2]|0,c[h>>2]|0,d[h+33>>0]|0,0,0,c[h+20>>2]|0,c[h+16>>2]|0,c[h+24>>2]|0,0);h=e}else o=279;break}case 16:{if((a[C>>0]|0)!=0?(c[B>>2]|0)!=0:0){n=hJ(D,e,f,c[ka>>2]|0)|0;c[(c[B>>2]|0)+28>>2]=n;if(!n){h=1;break a}c[F>>2]=c[E>>2];if(c[R>>2]|0){c[ia>>2]=f;h=c[B>>2]|0;Kb[c[R>>2]&15](c[wa>>2]|0,c[h>>2]|0,c[h+20>>2]|0,c[h+16>>2]|0,c[h+24>>2]|0,c[h+28>>2]|0);h=e;break c}if(c[G>>2]|0){c[ia>>2]=f;h=c[B>>2]|0;Pb[c[G>>2]&0](c[wa>>2]|0,c[h>>2]|0,0,0,0,c[h+20>>2]|0,c[h+16>>2]|0,c[h+24>>2]|0,c[h+28>>2]|0);h=e}else o=279}else o=279;break}case 9:{if(Jb[c[e+48>>2]&63](e,f,c[ka>>2]|0)|0){c[B>>2]=0;o=279;break c}if(!(a[C>>0]|0)){c[E>>2]=c[F>>2];c[B>>2]=0;o=279;break c}h=hJ(D,e,f,c[ka>>2]|0)|0;if(!h){h=1;break a}j=XI(b,y,h,36)|0;c[B>>2]=j;if(!j){h=1;break a}if((c[j>>2]|0)!=(h|0)){c[E>>2]=c[F>>2];c[B>>2]=0;o=279;break c}c[F>>2]=c[E>>2];c[j+24>>2]=0;a[j+33>>0]=0;if(!(c[S>>2]|0))h=(c[Fa>>2]|0)!=0;else h=1;a[j+34>>0]=h&1^1;if(!(c[G>>2]|0))o=279;else h=e;break}case 10:{if(!(a[C>>0]|0)){c[E>>2]=c[F>>2];c[B>>2]=0;o=279;break c}h=hJ(D,e,f,c[ka>>2]|0)|0;if(!h){h=1;break a}j=XI(b,na,h,36)|0;c[B>>2]=j;if(!j){h=1;break a}if((c[j>>2]|0)!=(h|0)){c[E>>2]=c[F>>2];c[B>>2]=0;o=279;break c}c[F>>2]=c[E>>2];c[j+24>>2]=0;a[j+33>>0]=1;if(!(c[S>>2]|0))h=(c[Fa>>2]|0)!=0;else h=1;a[j+34>>0]=h&1^1;if(!(c[G>>2]|0))o=279;else h=e;break}case 18:{c[T>>2]=0;c[U>>2]=0;if(!(c[V>>2]|0))o=279;else{n=hJ(v,e,f,c[ka>>2]|0)|0;c[U>>2]=n;if(!n){h=1;break a}c[z>>2]=c[x>>2];h=e}break}case 21:{if(!(Ub[c[e+56>>2]&127](e,f,c[ka>>2]|0,ja)|0)){h=32;break a}if(!(c[U>>2]|0))o=279;else{h=c[e+68>>2]|0;h=hJ(v,e,f+h|0,(c[ka>>2]|0)+(0-h)|0)|0;if(!h){h=1;break a}iJ(h);c[T>>2]=h;c[z>>2]=c[x>>2];h=e}break}case 19:{if((c[U>>2]|0)!=0?(c[V>>2]|0)!=0:0){h=c[e+68>>2]|0;h=hJ(v,e,f+h|0,(c[ka>>2]|0)+(0-h)|0)|0;if(!h){h=1;break a}c[ia>>2]=f;Cb[c[V>>2]&31](c[wa>>2]|0,c[U>>2]|0,c[Ea>>2]|0,h,c[T>>2]|0);h=0}else h=1;UI(v);o=278;break}case 20:{if((c[T>>2]|0)!=0?(c[V>>2]|0)!=0:0){c[ia>>2]=f;Cb[c[V>>2]&31](c[wa>>2]|0,c[U>>2]|0,c[Ea>>2]|0,0,c[T>>2]|0);h=0}else h=1;UI(v);o=278;break}case 58:{if(c[r>>2]|0)cJ(b,e,f,c[ka>>2]|0);h=qJ(b,e,ka,g,k,l)|0;if(h)break a;if(!(c[ka>>2]|0)){o=194;break a}else h=e;break}case 44:{h=c[X>>2]|0;do if((c[W>>2]|0)>>>0>=h>>>0){if(!h){n=c[ca>>2]|0;c[X>>2]=32;n=Hb[n&63](32)|0;c[Y>>2]=n;if(!n){h=1;break a}else break}m=c[da>>2]|0;n=c[Y>>2]|0;h=h<<1;c[X>>2]=h;h=Qb[m&127](n,h)|0;if(!h){h=1;break a}c[Y>>2]=h;h=c[$>>2]|0;if(h){h=Qb[c[da>>2]&127](h,c[X>>2]<<2)|0;if(!h){h=1;break a}c[$>>2]=h}}while(0);a[(c[Y>>2]|0)+(c[W>>2]|0)>>0]=0;if(a[Z>>0]|0){h=sJ(b)|0;if((h|0)<0){h=1;break a}c[(c[$>>2]|0)+(c[_>>2]<<2)>>2]=h;c[_>>2]=(c[_>>2]|0)+1;c[(c[aa>>2]|0)+(h*28|0)>>2]=6;if(c[ba>>2]|0)h=e;else o=279}else o=279;break}case 50:{h=(c[Y>>2]|0)+(c[W>>2]|0)|0;if((a[h>>0]|0)==124){h=2;break a}a[h>>0]=44;if((a[Z>>0]|0)!=0?(c[ba>>2]|0)!=0:0)h=e;else o=279;break}case 49:{j=(c[Y>>2]|0)+(c[W>>2]|0)|0;h=a[j>>0]|0;if(h<<24>>24==44){h=2;break a}if(h<<24>>24==0&(a[Z>>0]|0)!=0?(sa=(c[aa>>2]|0)+((c[(c[$>>2]|0)+((c[_>>2]|0)+-1<<2)>>2]|0)*28|0)|0,(c[sa>>2]|0)!=3):0){c[sa>>2]=5;h=(c[ba>>2]|0)==0&1}else h=1;a[j>>0]=124;o=278;break}case 59:case 60:{a[xa>>0]=1;if(c[qa>>2]|0){j=c[e+68>>2]|0;j=hJ(D,e,f+j|0,(c[ka>>2]|0)+(0-j)|0)|0;if(!j){h=1;break a}m=XI(b,na,j,0)|0;c[E>>2]=c[F>>2];do if(c[ea>>2]|0){if(!(a[Ca>>0]|0)){if(a[xa>>0]|0){o=222;break}}else if(c[Fa>>2]|0){o=222;break}if(!m){h=11;break a}if(!(a[m+34>>0]|0)){h=24;break a}}else o=222;while(0);if((o|0)==222?(o=0,(m|0)==0):0){a[C>>0]=a[Ca>>0]|0;if((n|0)!=60){o=279;break c}h=c[fa>>2]|0;if(!h){o=279;break c}Vb[h&127](c[wa>>2]|0,j,1);h=e;break c}j=m+32|0;if(a[j>>0]|0){h=12;break a}if(c[m+4>>2]|0){h=tJ(b,m,(n|0)==60&1)|0;if(!h){h=e;break c}else break a}h=c[za>>2]|0;if(!h){a[C>>0]=a[Ca>>0]|0;o=279;break c}a[Aa>>0]=0;a[j>>0]=1;n=(Ib[h&63](c[Ba>>2]|0,0,c[m+20>>2]|0,c[m+16>>2]|0,c[m+24>>2]|0)|0)==0;a[j>>0]=0;if(n){h=21;break a}h=a[Ca>>0]|0;if(!(a[Aa>>0]|0)){a[C>>0]=h;h=e;break c}else{j=h;h=0}}else{j=a[Ca>>0]|0;a[C>>0]=j;h=1}if((j<<24>>24==0?(ta=c[Da>>2]|0,(ta|0)!=0):0)?(Hb[ta&63](c[wa>>2]|0)|0)==0:0){h=22;break a}else o=278;break}case 40:{if(!(c[ba>>2]|0))o=279;else{n=kJ(b,e,f,c[ka>>2]|0)|0;c[I>>2]=n;if(!n){h=1;break a}c[_>>2]=0;c[ga>>2]=0;a[Z>>0]=1;h=e}break}case 42:case 41:{if(!(a[Z>>0]|0))o=279;else{if(!(c[ba>>2]|0))h=1;else{h=Hb[c[ca>>2]&63](20)|0;if(!h){h=1;break a}o=h+4|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;c[o+12>>2]=0;c[h>>2]=(n|0)==41?2:1;c[ia>>2]=f;Vb[c[ba>>2]&127](c[wa>>2]|0,c[c[I>>2]>>2]|0,h);h=0}a[Z>>0]=0;o=278}break}case 43:{if((a[Z>>0]|0)!=0?(c[(c[aa>>2]|0)+((c[(c[$>>2]|0)+((c[_>>2]|0)+-1<<2)>>2]|0)*28|0)>>2]=3,(c[ba>>2]|0)!=0):0)h=e;else o=279;break}case 51:{j=0;o=250;break}case 53:{j=1;o=250;break}case 52:{j=2;o=250;break}case 54:{j=3;o=250;break}case 45:{m=0;o=261;break}case 47:{m=1;o=261;break}case 46:{m=2;o=261;break}case 48:{m=3;o=261;break}case 55:{if(!(vJ(b,e,f,c[ka>>2]|0)|0)){h=1;break a}else h=e;break}case 56:{if(!(wJ(b,e,f,c[ka>>2]|0)|0)){h=1;break a}else h=e;break}case 0:{if((h|0)==14)h=e;else o=279;break}case 3:{if(!(c[t>>2]|0))o=279;else h=e;break}case 11:{if((a[C>>0]|0)!=0?(c[G>>2]|0)!=0:0)h=e;else o=279;break}case 17:{if(!(c[V>>2]|0))o=279;else h=e;break}case 33:{if((a[C>>0]|0)!=0?(c[J>>2]|0)!=0:0)h=e;else o=279;break}case 39:{if(!(c[ba>>2]|0))o=279;else h=e;break}default:o=279}while(0);if((o|0)==33){o=0;if(!(Ub[c[e+56>>2]&127](e,f,c[ka>>2]|0,ja)|0)){h=32;break}else{h=1;o=34}}else if((o|0)==80){o=0;if((a[C>>0]|0)!=0?(c[J>>2]|0)!=0:0)h=e;else o=279}else if((o|0)==138){o=0;if((a[C>>0]|0)!=0?(c[B>>2]|0)!=0:0){n=c[e+68>>2]|0;n=hJ(D,e,f+n|0,(c[ka>>2]|0)+(0-n)|0)|0;j=c[B>>2]|0;c[j+16>>2]=n;if(!n){h=1;break}c[j+20>>2]=c[Ea>>2];c[F>>2]=c[E>>2];if(c[G>>2]|0)h=e;else o=278}else o=278}else if((o|0)==250){o=0;if(a[Z>>0]|0){h=c[ka>>2]|0;if(j)h=h+(0-(c[e+68>>2]|0))|0;n=sJ(b)|0;if((n|0)<0){h=1;break}m=c[aa>>2]|0;c[m+(n*28|0)>>2]=4;c[m+(n*28|0)+4>>2]=j;h=kJ(b,e,f,h)|0;if(!h){h=1;break}m=c[h>>2]|0;c[(c[aa>>2]|0)+(n*28|0)+8>>2]=m;j=0;while(1){h=j+1|0;if(!(a[m+j>>0]|0))break;else j=h}c[ha>>2]=(c[ha>>2]|0)+h;if(c[ba>>2]|0)h=e;else o=279}else o=279}else if((o|0)==261)if(a[Z>>0]|0){j=(c[ba>>2]|0)==0;h=j&1;o=(c[_>>2]|0)+-1|0;c[_>>2]=o;c[(c[aa>>2]|0)+((c[(c[$>>2]|0)+(o<<2)>>2]|0)*28|0)+4>>2]=m;if(!o){if(!j){m=c[p>>2]|0;j=m+176|0;m=Hb[c[ca>>2]&63](((c[j>>2]|0)*20|0)+(c[m+168>>2]|0)|0)|0;if(!m){o=265;break}c[va>>2]=m+((c[j>>2]|0)*20|0);c[ua>>2]=m+20;uJ(b,0,m,ua,va);c[ia>>2]=f;Vb[c[ba>>2]&127](c[wa>>2]|0,c[c[I>>2]>>2]|0,m)}a[Z>>0]=0;c[ha>>2]=0;o=278}else o=278}else o=279;if((o|0)==34){o=0;if((a[C>>0]|0)!=0?(c[B>>2]|0)!=0:0){j=c[e+68>>2]|0;j=hJ(D,e,f+j|0,(c[ka>>2]|0)+(0-j)|0)|0;if(!j){h=1;break}iJ(j);c[(c[B>>2]|0)+24>>2]=j;c[F>>2]=c[E>>2];if(c[G>>2]|0)h=e;else o=278}else o=278}if((o|0)==278){o=0;if(!(h<<24>>24))h=e;else o=279}if((o|0)==279){o=0;if(!(c[r>>2]|0))h=e;else{cJ(b,e,f,c[ka>>2]|0);h=e}}switch(c[s>>2]|0){case 3:{o=282;break a}case 2:{h=35;break a}default:{}}n=c[ka>>2]|0;e=h;f=n;h=Ub[c[h>>2]&127](h,n,g,ka)|0}d:do if((o|0)==7){c[k>>2]=h;h=0}else if((o|0)==9){c[ja>>2]=c[ka>>2];h=4}else if((o|0)==10){h=(e|0)==(c[ya>>2]|0);if(!h?(a[(c[Fa>>2]|0)+20>>0]|0)==0:0){c[k>>2]=f;h=0;break}if((a[b+488>>0]|0)!=0|h^1)if((Ib[c[Ga>>2]&63](Ga,-4,g,g,e)|0)==-1)h=29;else{c[k>>2]=f;h=0}else h=3}else if((o|0)==58){do if(((a[ma>>0]|0)!=0?(Ha=a[xa>>0]|0,a[xa>>0]=1,(c[qa>>2]|0)!=0):0)?(c[za>>2]|0)!=0:0){h=XI(b,na,115203,36)|0;if(!h){h=1;break d}Ga=c[Ea>>2]|0;c[h+20>>2]=Ga;a[Aa>>0]=0;if(!(Ib[c[za>>2]&63](c[Ba>>2]|0,0,Ga,c[h+16>>2]|0,c[h+24>>2]|0)|0)){h=21;break d}if(!(a[Aa>>0]|0)){a[xa>>0]=Ha;break}if(((a[Ca>>0]|0)==0?(Ia=c[Da>>2]|0,(Ia|0)!=0):0)?(Hb[Ia&63](c[wa>>2]|0)|0)==0:0){h=22;break d}}while(0);c[b+280>>2]=60;h=jJ(b,f,g,k)|0}else if((o|0)==189)h=(h|0)==28?10:(h|0)==12?17:2;else if((o|0)==194){c[b+280>>2]=61;h=0}else if((o|0)==265)h=1;else if((o|0)==282){c[k>>2]=c[ka>>2];h=0}else if((o|0)==284)h=6;while(0);i=Ja;return h|0}function gJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+32|0;p=q+16|0;m=q+12|0;j=q+8|0;k=q+4|0;l=q;c[p>>2]=0;c[m>>2]=0;c[j>>2]=0;c[l>>2]=-1;n=b+144|0;o=b+288|0;h=(d|0)!=0;a:do if(Gb[(a[b+236>>0]<<24>>24!=0?1:2)&3](d,c[n>>2]|0,e,f,o,j,k,p,m,l)|0){if((c[l>>2]|0)==1&(h^1)?(a[(c[b+356>>2]|0)+130>>0]=1,g=b+492|0,(c[g>>2]|0)==1):0)c[g>>2]=0;d=b+140|0;if(!(c[d>>2]|0))if(!(c[b+80>>2]|0)){g=0;d=0}else{cJ(b,c[n>>2]|0,e,f);g=0;d=0}else{g=c[p>>2]|0;if(!g)g=0;else{e=c[n>>2]|0;g=hJ(b+440|0,e,g,g+(Qb[c[e+32>>2]&127](e,g)|0)|0)|0;if(!g){g=1;break}c[b+456>>2]=c[b+452>>2]}h=c[j>>2]|0;if(h){j=c[n>>2]|0;h=hJ(b+440|0,j,h,(c[k>>2]|0)+(0-(c[j+68>>2]|0))|0)|0;if(!h){g=1;break}}else h=0;Zb[c[d>>2]&31](c[b+4>>2]|0,h,g,c[l>>2]|0);d=h}do if(!(c[b+232>>2]|0)){h=c[m>>2]|0;if(h)if((c[h+68>>2]|0)==(c[(c[n>>2]|0)+68>>2]|0)){c[n>>2]=h;break}else{c[o>>2]=c[p>>2];g=19;break a}h=c[p>>2]|0;if(h){d=b+440|0;if(!g){g=c[n>>2]|0;g=hJ(d,g,h,h+(Qb[c[g+32>>2]&127](g,h)|0)|0)|0;if(!g){g=1;break a}}g=IJ(b,g)|0;UI(d);if((g|0)!=18)break a;c[o>>2]=c[p>>2];g=18;break a}}while(0);if((g|0)!=0|(d|0)!=0){UI(b+440|0);g=0}else g=0}else g=h?31:30;while(0);i=q;return g|0}function hJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;do if(!(mJ(b,d,e,f)|0))d=0;else{f=b+12|0;d=c[f>>2]|0;if((d|0)==(c[b+8>>2]|0)){if(!((YI(b)|0)<<24>>24)){d=0;break}d=c[f>>2]|0}c[f>>2]=d+1;a[d>>0]=0;d=c[b+16>>2]|0}while(0);return d|0}function iJ(b){b=b|0;var c=0,d=0,e=0;c=a[b>>0]|0;if(c<<24>>24){d=b;e=b;while(1){switch(c<<24>>24|0){case 10:case 13:case 32:{if((d|0)!=(b|0)){if((a[d+-1>>0]|0)!=32){a[d>>0]=32;d=d+1|0}}else d=b;break}default:{a[d>>0]=c;d=d+1|0}}e=e+1|0;c=a[e>>0]|0;if(!(c<<24>>24)){c=d;break}}if((c|0)!=(b|0)){b=c+-1|0;b=(a[b>>0]|0)==32?b:c}}a[b>>0]=0;return}function jJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;e=xJ(b,0,c[b+144>>2]|0,d,e,f,(a[b+484>>0]|0)==0&1)|0;if((e|0)==0?(EJ(b)|0)<<24>>24==0:0)e=1;return e|0}function kJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;g=c[a+356>>2]|0;b=hJ(g+80|0,b,d,e)|0;do if((b|0)!=0?(f=XI(a,g+20|0,b,24)|0,(f|0)!=0):0)if((c[f>>2]|0)==(b|0)){c[g+96>>2]=c[g+92>>2];if(!(FJ(a,f)|0)){f=0;break}}else c[g+92>>2]=c[g+96>>2];else f=0;while(0);return f|0}function lJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;n=c[b+356>>2]|0;m=n+80|0;o=n+92|0;h=c[o>>2]|0;l=n+88|0;if((h|0)==(c[l>>2]|0))if(!((YI(m)|0)<<24>>24))g=0;else{h=c[o>>2]|0;i=4}else i=4;a:do if((i|0)==4){c[o>>2]=h+1;a[h>>0]=0;i=hJ(m,d,e,f)|0;if((i|0)!=0?(j=i+1|0,g=XI(b,n+40|0,j,12)|0,(g|0)!=0):0){if((c[g>>2]|0)!=(j|0)){c[o>>2]=c[n+96>>2];break}h=c[o>>2]|0;k=n+96|0;c[k>>2]=h;if(a[b+236>>0]|0){b:do if(((((a[j>>0]|0)==120?(a[i+2>>0]|0)==109:0)?(a[i+3>>0]|0)==108:0)?(a[i+4>>0]|0)==110:0)?(a[i+5>>0]|0)==115:0){switch(a[i+6>>0]|0){case 0:{c[g+4>>2]=n+152;break}case 58:{c[g+4>>2]=XI(b,n+60|0,i+7|0,8)|0;break}default:{f=0;break b}}a[g+9>>0]=1;break a}else f=0;while(0);c:while(1){d=f+1|0;switch(a[i+d>>0]|0){case 0:break a;case 58:break c;default:f=d}}d=(h|0)==(c[l>>2]|0);if((f|0)>0){e=0;do{if(d){if(!((YI(m)|0)<<24>>24)){g=0;break a}h=c[o>>2]|0}e=e+1|0;d=a[i+e>>0]|0;c[o>>2]=h+1;a[h>>0]=d;h=c[o>>2]|0;d=(h|0)==(c[l>>2]|0)}while((e|0)<(f|0))}if(d){if(!((YI(m)|0)<<24>>24)){g=0;break}h=c[o>>2]|0}c[o>>2]=h+1;a[h>>0]=0;b=XI(b,n+60|0,c[k>>2]|0,8)|0;c[g+4>>2]=b;h=c[k>>2]|0;if((c[b>>2]|0)==(h|0)){c[k>>2]=c[o>>2];break}else{c[o>>2]=h;break}}}else g=0}while(0);return g|0}function mJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=i;i=i+16|0;h=j;c[h>>2]=d;g=a+12|0;if((c[g>>2]|0)==0?(YI(a)|0)<<24>>24==0:0)d=0;else f=3;a:do if((f|0)==3){d=b+60|0;f=a+8|0;while(1){Cb[c[d>>2]&31](b,h,e,g,c[f>>2]|0);if((c[h>>2]|0)==(e|0))break;if(!((YI(a)|0)<<24>>24)){d=0;break a}}d=c[a+16>>2]|0}while(0);i=j;return d|0}function nJ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;f=f<<24>>24==0;n=b+12|0;m=c[n>>2]|0;a:do if(!(f&(g|0)==0)){if((m|0)>0){i=c[b+20>>2]|0;j=0;do{if((c[i+(j*12|0)>>2]|0)==(d|0)){f=1;break a}j=j+1|0}while((j|0)<(m|0))}if((!f?(k=b+8|0,(c[k>>2]|0)==0):0)?(a[d+9>>0]|0)==0:0){c[k>>2]=d;l=10}else l=10}else l=10;while(0);b:do if((l|0)==10){j=b+16|0;do if((m|0)==(c[j>>2]|0)){if(!m){c[j>>2]=8;f=Hb[c[h+12>>2]&63](96)|0;c[b+20>>2]=f;if(!f){f=0;break b}else break}i=b+20|0;f=Qb[c[h+16>>2]&127](c[i>>2]|0,m*24|0)|0;if(!f){f=0;break b}c[j>>2]=m<<1;c[i>>2]=f}else f=c[b+20>>2]|0;while(0);i=c[n>>2]|0;c[f+(i*12|0)>>2]=d;c[f+(i*12|0)+8>>2]=g;a[f+(i*12|0)+4>>0]=e;if(!(e<<24>>24))a[d+8>>0]=1;c[n>>2]=i+1;f=1}while(0);return f|0}function oJ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;d=HJ(b,d,e,f,g,h)|0;do if(!d){g=h+12|0;d=c[g>>2]|0;if((e<<24>>24==0?(d|0)!=(c[h+16>>2]|0):0)?(i=d+-1|0,(a[i>>0]|0)==32):0){c[g>>2]=i;d=i}if((d|0)==(c[h+8>>2]|0)){if(!((YI(h)|0)<<24>>24)){d=1;break}d=c[g>>2]|0}c[g>>2]=d+1;a[d>>0]=0;d=0}while(0);return d|0}function pJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;H=i;i=i+16|0;C=H;B=H+4|0;g=c[b+356>>2]|0;v=g+104|0;E=b+276|0;F=c[E>>2]|0;c[E>>2]=1;if((c[v>>2]|0)==0?(YI(v)|0)<<24>>24==0:0)e=1;else{A=d+20|0;m=b+488|0;D=b+144|0;n=b+416|0;o=d+68|0;p=g+132|0;q=b+432|0;r=b+428|0;s=b+228|0;t=b+112|0;u=g+130|0;w=g+128|0;x=g+131|0;y=b+116|0;z=g+112|0;k=g+116|0;l=d+44|0;a:while(1){b:do switch(Ub[c[A>>2]&127](d,e,f,C)|0){case -4:{e=0;break a}case -1:{G=38;break a}case 0:{G=40;break a}case 28:{if((a[m>>0]|0)==0?(c[D>>2]|0)==(d|0):0){G=20;break a}g=c[o>>2]|0;g=hJ(n,d,e+g|0,(c[C>>2]|0)+(0-g)|0)|0;if(!g){e=1;break a}h=XI(b,p,g,0)|0;c[r>>2]=c[q>>2];if(!h){G=9;break a}j=h+32|0;if(a[j>>0]|0){G=11;break a}e=c[h+16>>2]|0;if(!e){a[j>>0]=1;e=c[h+4>>2]|0;e=pJ(b,c[s>>2]|0,e,e+(c[h+8>>2]|0)|0)|0;a[j>>0]=0;if(!e)break b;else break a}g=c[t>>2]|0;if(!g){a[w>>0]=a[u>>0]|0;break b}a[x>>0]=0;a[j>>0]=1;h=(Ib[g&63](c[y>>2]|0,0,c[h+20>>2]|0,e,c[h+24>>2]|0)|0)==0;a[j>>0]=0;if(h){e=21;break a}if(!(a[x>>0]|0))a[w>>0]=a[u>>0]|0;break}case 6:case 9:{if(!(mJ(v,d,e,c[C>>2]|0)|0)){e=1;break a}break}case -3:{c[C>>2]=e+(c[o>>2]|0);G=23;break}case 7:{G=23;break}case 10:{g=Qb[c[l>>2]&127](d,e)|0;if((g|0)<0){G=28;break a}h=KJ(g,B)|0;if(!h){G=32;break a}if((h|0)>0){g=0;do{e=c[k>>2]|0;if((c[z>>2]|0)==(e|0)){if(!((YI(v)|0)<<24>>24)){e=1;break a}e=c[k>>2]|0}j=a[B+g>>0]|0;c[k>>2]=e+1;a[e>>0]=j;g=g+1|0}while((g|0)<(h|0))}break}default:{G=42;break a}}while(0);if((G|0)==23){G=0;e=c[k>>2]|0;if((c[z>>2]|0)==(e|0)){if(!((YI(v)|0)<<24>>24)){e=1;break}e=c[k>>2]|0}c[k>>2]=e+1;a[e>>0]=10}e=c[C>>2]|0}if((G|0)==9){a[w>>0]=a[u>>0]|0;e=0}else if((G|0)==11)if((c[D>>2]|0)==(d|0)){c[b+288>>2]=e;e=12}else e=12;else if((G|0)==20){c[b+288>>2]=e;e=10}else if((G|0)==28)if((c[D>>2]|0)==(d|0)){c[b+288>>2]=e;e=14}else e=14;else if((G|0)==32)if((c[D>>2]|0)==(d|0)){c[b+288>>2]=e;e=14}else e=14;else if((G|0)==38)if((c[D>>2]|0)==(d|0)){c[b+288>>2]=e;e=4}else e=4;else if((G|0)==40)if((c[D>>2]|0)==(d|0)){c[b+288>>2]=c[C>>2];e=4}else e=4;else if((G|0)==42)if((c[D>>2]|0)==(d|0)){c[b+288>>2]=e;e=23}else e=23;c[E>>2]=F}i=H;return e|0}function qJ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;l=m;h=c[d>>2]|0;if((c[a+144>>2]|0)==(b|0)){k=a+288|0;c[k>>2]=h;j=a+292|0}else{k=c[a+300>>2]|0;j=k+4|0}c[k>>2]=h;c[d>>2]=0;e=Ub[c[b+12>>2]&127](b,h,e,l)|0;c[j>>2]=c[l>>2];switch(e|0){case 42:{if(c[a+80>>2]|0)cJ(a,b,h,c[l>>2]|0);h=c[l>>2]|0;c[d>>2]=h;c[f>>2]=h;h=(c[a+480>>2]|0)==2?35:0;break}case 0:{c[k>>2]=c[l>>2];h=4;break}case -2:{if(!(g<<24>>24))h=6;else{c[f>>2]=h;h=0}break}case -4:case -1:{if(!(g<<24>>24))h=2;else{c[f>>2]=h;h=0}break}default:{c[k>>2]=c[l>>2];h=23}}i=m;return h|0}function rJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=i;i=i+16|0;g=h;c[g>>2]=d;d=qJ(b,c[b+144>>2]|0,g,e,f,(a[b+484>>0]|0)==0&1)|0;g=c[g>>2]|0;if(!((d|0)!=0|(g|0)==0)){c[b+280>>2]=62;d=eJ(b,g,e,f)|0}i=h;return d|0}function sJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=c[a+356>>2]|0;j=i+184|0;if(!(c[j>>2]|0)){b=Hb[c[a+12>>2]&63](c[a+468>>2]<<2)|0;c[j>>2]=b;if(!b)b=-1;else{c[b>>2]=0;d=4}}else d=4;do if((d|0)==4){h=i+176|0;b=c[h>>2]|0;g=i+172|0;d=c[g>>2]|0;f=i+164|0;e=c[f>>2]|0;if(b>>>0<d>>>0)g=e;else{if(!e){b=Hb[c[a+12>>2]&63](896)|0;if(!b){b=-1;break}else{e=32;d=b}}else{b=Qb[c[a+16>>2]&127](e,d*56|0)|0;if(!b){b=-1;break}e=c[g>>2]<<1;d=b}c[g>>2]=e;c[f>>2]=d;b=c[h>>2]|0;g=d}c[h>>2]=b+1;d=c[i+180>>2]|0;if(d){a=c[(c[j>>2]|0)+(d+-1<<2)>>2]|0;f=g+(a*28|0)+16|0;d=c[f>>2]|0;if(d)c[g+(d*28|0)+24>>2]=b;d=g+(a*28|0)+20|0;e=c[d>>2]|0;if(!e)c[g+(a*28|0)+12>>2]=b;c[f>>2]=b;c[d>>2]=e+1}j=g+(b*28|0)+12|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0}while(0);return b|0}function tJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+16|0;p=r;q=b+304|0;f=c[q>>2]|0;if(!f){f=Hb[c[b+12>>2]&63](24)|0;if(!f)f=1;else{o=f;g=4}}else{c[q>>2]=c[f+8>>2];o=f;g=4}do if((g|0)==4){n=d+32|0;a[n>>0]=1;k=d+12|0;c[k>>2]=0;l=b+300|0;m=o+8|0;c[m>>2]=c[l>>2];c[l>>2]=o;c[o+12>>2]=d;h=c[b+312>>2]|0;c[o+16>>2]=h;a[o+20>>0]=e;c[o>>2]=0;c[o+4>>2]=0;e=c[d+4>>2]|0;j=e+(c[d+8>>2]|0)|0;f=b+228|0;g=c[f>>2]|0;if(!(a[d+33>>0]|0))f=xJ(b,h,g,e,j,p,0)|0;else{d=Ub[c[g>>2]&127](g,e,j,p)|0;f=fJ(b,c[f>>2]|0,e,j,d,c[p>>2]|0,p,0)|0}if(!f){f=c[p>>2]|0;if((j|0)!=(f|0)?(c[b+480>>2]|0)==3:0){c[k>>2]=f-e;c[b+280>>2]=63;f=0;break}a[n>>0]=0;c[l>>2]=c[m>>2];c[m>>2]=c[q>>2];c[q>>2]=o;f=0}}while(0);i=r;return f|0}function uJ(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;k=(c[b+356>>2]|0)+164|0;h=c[k>>2]|0;j=c[h+(d*28|0)>>2]|0;c[e>>2]=j;c[e+4>>2]=c[h+(d*28|0)+4>>2];if((j|0)==4){c[e+8>>2]=c[g>>2];h=c[h+(d*28|0)+8>>2]|0;while(1){f=a[h>>0]|0;b=c[g>>2]|0;c[g>>2]=b+1;a[b>>0]=f;if(!(a[h>>0]|0))break;else h=h+1|0}c[e+12>>2]=0;c[e+16>>2]=0}else{h=c[h+(d*28|0)+20>>2]|0;i=e+12|0;c[i>>2]=h;j=e+16|0;c[j>>2]=c[f>>2];c[f>>2]=(c[f>>2]|0)+(h*20|0);if(h){h=(c[k>>2]|0)+(d*28|0)+12|0;d=0;while(1){h=c[h>>2]|0;uJ(b,h,(c[j>>2]|0)+(d*20|0)|0,f,g);d=d+1|0;if(d>>>0>=(c[i>>2]|0)>>>0)break;else h=(c[k>>2]|0)+(h*28|0)+24|0}}c[e+8>>2]=0}return}function vJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;k=b+64|0;if(!(c[k>>2]|0))if(!(c[b+80>>2]|0))e=1;else{cJ(b,d,e,f);e=1}else{g=d+68|0;i=c[g>>2]<<1;j=e+i|0;e=e+((Qb[c[d+32>>2]&127](d,j)|0)+i)|0;i=b+416|0;j=hJ(i,d,j,e)|0;if((j|0)!=0?(c[b+432>>2]=c[b+428>>2],l=Qb[c[d+36>>2]&127](d,e)|0,l=hJ(i,d,l,f+(0-(c[g>>2]<<1))|0)|0,(l|0)!=0):0){e=l;a:while(1){switch(a[e>>0]|0){case 0:break a;case 13:{g=e;d=13;h=8;break a}default:{}}e=e+1|0}if((h|0)==8){while(1){if(d<<24>>24==13){a[e>>0]=10;h=g+1|0;g=(a[h>>0]|0)==10?g+2|0:h}else{a[e>>0]=d;g=g+1|0}e=e+1|0;d=a[g>>0]|0;if(!(d<<24>>24))break;else h=8}a[e>>0]=0}Vb[c[k>>2]&127](c[b+4>>2]|0,j,l);UI(i);e=1}else e=0}return e|0}function wJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;i=b+68|0;if(!(c[i>>2]|0))if(!(c[b+80>>2]|0))d=1;else{cJ(b,d,e,f);d=1}else{j=b+416|0;g=c[d+68>>2]|0;g=hJ(j,d,e+(g<<2)|0,f+(_(g,-3)|0)|0)|0;if(!g)d=0;else{d=g;a:while(1){switch(a[d>>0]|0){case 0:break a;case 13:{f=d;e=13;h=7;break a}default:{}}d=d+1|0}if((h|0)==7){while(1){if(e<<24>>24==13){a[d>>0]=10;h=f+1|0;f=(a[h>>0]|0)==10?f+2|0:h}else{a[d>>0]=e;f=f+1|0}d=d+1|0;e=a[f>>0]|0;if(!(e<<24>>24))break;else h=7}a[d>>0]=0}Fb[c[i>>2]&63](c[b+4>>2]|0,g);UI(j);d=1}}return d|0}function xJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;xa=i;i=i+64|0;ua=xa+48|0;na=xa+44|0;sa=xa+61|0;ia=xa+60|0;oa=xa+40|0;la=xa+36|0;fa=xa+32|0;ma=xa+8|0;ga=xa+56|0;ha=xa+52|0;ta=xa+4|0;ja=xa;c[ua>>2]=f;Z=b+356|0;$=c[Z>>2]|0;if((c[b+144>>2]|0)==(e|0)){ka=b+292|0;va=b+288|0}else{va=c[b+300>>2]|0;ka=va+4|0}c[va>>2]=f;x=e+4|0;pa=b+80|0;y=b+480|0;z=e+48|0;A=e+68|0;B=$+80|0;C=$+96|0;D=$+92|0;E=$+129|0;F=b+112|0;t=b+416|0;u=b+428|0;v=b+424|0;w=b+472|0;G=b+432|0;H=b+116|0;I=b+308|0;J=b+120|0;qa=b+4|0;K=$+130|0;aa=b+60|0;L=b+368|0;M=b+12|0;N=b+364|0;O=e+32|0;ra=b+312|0;ba=e+60|0;P=b+52|0;Q=b+392|0;R=b+16|0;S=b+56|0;T=b+104|0;U=b+376|0;V=b+236|0;W=b+237|0;X=e+44|0;Y=b+72|0;ca=e+72|0;da=b+44|0;ea=b+48|0;a:while(1){s=c[ua>>2]|0;c[na>>2]=s;s=Ub[c[x>>2]&127](e,s,g,na)|0;c[ka>>2]=c[na>>2];b:do switch(s|0){case -3:{wa=6;break a}case -4:{wa=15;break a}case 0:{wa=20;break a}case -1:{wa=21;break a}case -2:{wa=23;break a}case 12:{f=17;break a}case -5:{wa=180;break a}case 9:{s=c[A>>2]|0;s=(Jb[c[z>>2]&63](e,(c[ua>>2]|0)+s|0,(c[na>>2]|0)+(0-s)|0)|0)&255;a[ia>>0]=s;if(s<<24>>24){f=c[aa>>2]|0;if(f){Vb[f&127](c[qa>>2]|0,ia,1);break b}if(!(c[pa>>2]|0))break b;cJ(b,e,c[ua>>2]|0,c[na>>2]|0);break b}k=c[A>>2]|0;k=hJ(B,e,(c[ua>>2]|0)+k|0,(c[na>>2]|0)+(0-k)|0)|0;if(!k){f=1;break a}s=XI(b,$,k,0)|0;c[D>>2]=c[C>>2];if((a[E>>0]|0)!=0?(a[K>>0]|0)==0:0){if(!s){f=c[J>>2]|0;if(f){Vb[f&127](c[qa>>2]|0,k,0);break b}if(!(c[pa>>2]|0))break b;cJ(b,e,c[ua>>2]|0,c[na>>2]|0);break b}}else{if(!s){f=11;break a}if(!(a[s+34>>0]|0)){f=24;break a}}f=s+32|0;if(a[f>>0]|0){f=12;break a}if(c[s+28>>2]|0){f=15;break a}if(c[s+4>>2]|0){if(a[I>>0]|0){f=tJ(b,s,0)|0;if(!f)break b;else break a}f=c[J>>2]|0;if(f){Vb[f&127](c[qa>>2]|0,c[s>>2]|0,0);break b}if(!(c[pa>>2]|0))break b;cJ(b,e,c[ua>>2]|0,c[na>>2]|0);break b}if(!(c[F>>2]|0)){if(!(c[pa>>2]|0))break b;cJ(b,e,c[ua>>2]|0,c[na>>2]|0);break b}a[f>>0]=1;r=c[Z>>2]|0;n=r+156|0;if(c[n>>2]|0){k=c[u>>2]|0;if((k|0)==(c[v>>2]|0)){if(!((YI(t)|0)<<24>>24)){wa=102;break a}k=c[u>>2]|0}c[u>>2]=k+1;a[k>>0]=61;l=(((a[w>>0]|0)!=0)<<31>>31)+(c[(c[n>>2]|0)+20>>2]|0)|0;if((l|0)>0){m=0;while(1){k=c[u>>2]|0;if((k|0)==(c[v>>2]|0)){if(!((YI(t)|0)<<24>>24)){wa=102;break a}k=c[u>>2]|0}q=a[(c[(c[n>>2]|0)+16>>2]|0)+m>>0]|0;c[u>>2]=k+1;a[k>>0]=q;m=m+1|0;if((m|0)>=(l|0)){l=1;break}}}else l=1}else l=0;k=c[r+60>>2]|0;p=c[r+68>>2]|0;q=k+(p<<2)|0;c:do if(p)while(1){while(1){m=c[k>>2]|0;k=k+4|0;if((m|0)!=0?(_=m+4|0,(c[_>>2]|0)!=0):0){p=_;break}if((k|0)==(q|0))break c}if(l<<24>>24){l=c[u>>2]|0;if((l|0)==(c[v>>2]|0)){if(!((YI(t)|0)<<24>>24)){wa=102;break a}l=c[u>>2]|0}c[u>>2]=l+1;a[l>>0]=12}o=c[m>>2]|0;m=a[o>>0]|0;l=c[u>>2]|0;n=(l|0)==(c[v>>2]|0);if(!(m<<24>>24))m=n;else while(1){if(n){if(!((YI(t)|0)<<24>>24)){wa=102;break a}l=c[u>>2]|0;m=a[o>>0]|0}c[u>>2]=l+1;a[l>>0]=m;o=o+1|0;m=a[o>>0]|0;l=c[u>>2]|0;n=(l|0)==(c[v>>2]|0);if(!(m<<24>>24)){m=n;break}}if(m){if(!((YI(t)|0)<<24>>24)){wa=102;break a}l=c[u>>2]|0}c[u>>2]=l+1;a[l>>0]=61;m=(((a[w>>0]|0)!=0)<<31>>31)+(c[(c[p>>2]|0)+20>>2]|0)|0;if((m|0)>0){n=0;do{l=c[u>>2]|0;if((l|0)==(c[v>>2]|0)){if(!((YI(t)|0)<<24>>24)){wa=102;break a}l=c[u>>2]|0}o=a[(c[(c[p>>2]|0)+16>>2]|0)+n>>0]|0;c[u>>2]=l+1;a[l>>0]=o;n=n+1|0}while((n|0)<(m|0))}if((k|0)==(q|0)){l=1;break}else l=1}while(0);k=c[r>>2]|0;r=c[r+8>>2]|0;o=k+(r<<2)|0;d:do if(r){n=l;while(1){while(1){l=c[k>>2]|0;k=k+4|0;if((l|0)!=0?(a[l+32>>0]|0)!=0:0){m=l;break}if((k|0)==(o|0))break d}if(n<<24>>24){l=c[u>>2]|0;if((l|0)==(c[v>>2]|0)){if(!((YI(t)|0)<<24>>24)){wa=102;break a}l=c[u>>2]|0}c[u>>2]=l+1;a[l>>0]=12}m=c[m>>2]|0;l=a[m>>0]|0;if(l<<24>>24)do{n=c[u>>2]|0;if((n|0)==(c[v>>2]|0)){if(!((YI(t)|0)<<24>>24)){wa=102;break a}n=c[u>>2]|0;l=a[m>>0]|0}c[u>>2]=n+1;a[n>>0]=l;m=m+1|0;l=a[m>>0]|0}while(l<<24>>24!=0);if((k|0)==(o|0))break;else n=1}}while(0);k=c[u>>2]|0;if((k|0)==(c[v>>2]|0)){if(!((YI(t)|0)<<24>>24)){wa=102;break a}k=c[u>>2]|0}c[u>>2]=k+1;a[k>>0]=0;k=c[G>>2]|0;a[f>>0]=0;if(!k){f=1;break a}if(!(Ib[c[F>>2]&63](c[H>>2]|0,k,c[s+20>>2]|0,c[s+16>>2]|0,c[s+24>>2]|0)|0)){f=21;break a}c[u>>2]=c[G>>2];break}case 1:case 2:{f=c[L>>2]|0;if(!f){f=Hb[c[M>>2]&63](48)|0;if(!f){f=1;break a}k=Hb[c[M>>2]&63](32)|0;c[f+36>>2]=k;if(!k){wa=112;break a}c[f+40>>2]=k+32}else c[L>>2]=c[f>>2];r=f+44|0;c[r>>2]=0;c[f>>2]=c[N>>2];c[N>>2]=f;s=f+12|0;c[f+16>>2]=0;c[f+20>>2]=0;o=(c[ua>>2]|0)+(c[A>>2]|0)|0;p=f+4|0;c[p>>2]=o;o=Qb[c[O>>2]&127](e,o)|0;c[f+8>>2]=o;c[ra>>2]=(c[ra>>2]|0)+1;p=c[p>>2]|0;o=p+o|0;c[la>>2]=p;p=f+36|0;c[oa>>2]=c[p>>2];q=f+40|0;Cb[c[ba>>2]&31](e,la,o,oa,(c[q>>2]|0)+-1|0);m=c[p>>2]|0;k=m;l=(c[oa>>2]|0)-k|0;if((c[la>>2]|0)!=(o|0))do{n=(c[q>>2]|0)-k<<1;k=Qb[c[R>>2]&127](m,n)|0;if(!k){f=1;break a}c[p>>2]=k;c[q>>2]=k+n;c[oa>>2]=k+l;Cb[c[ba>>2]&31](e,la,o,oa,(c[q>>2]|0)+-1|0);m=c[p>>2]|0;k=m;l=(c[oa>>2]|0)-k|0}while((c[la>>2]|0)!=(o|0));c[f+24>>2]=l;c[s>>2]=k;a[c[oa>>2]>>0]=0;f=zJ(b,e,c[ua>>2]|0,s,r)|0;if(f)break a;f=c[P>>2]|0;if(!f){if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,c[na>>2]|0)}else Vb[f&127](c[qa>>2]|0,c[s>>2]|0,c[Q>>2]|0);UI(t);break}case 3:case 4:{q=c[ua>>2]|0;s=c[A>>2]|0;r=q+s|0;c[fa>>2]=0;s=hJ(t,e,r,q+((Qb[c[O>>2]&127](e,r)|0)+s)|0)|0;c[ma>>2]=s;if(!s){f=1;break a}c[G>>2]=c[u>>2];f=zJ(b,e,c[ua>>2]|0,ma,fa)|0;if(f)break a;c[G>>2]=c[u>>2];f=c[P>>2]|0;if(!f)k=1;else{Vb[f&127](c[qa>>2]|0,c[ma>>2]|0,c[Q>>2]|0);k=0}f=c[S>>2]|0;if(!f){if((k|0)!=0?(c[pa>>2]|0)!=0:0)cJ(b,e,c[ua>>2]|0,c[na>>2]|0)}else{if(c[P>>2]|0){c[va>>2]=c[ka>>2];f=c[S>>2]|0}Fb[f&63](c[qa>>2]|0,c[ma>>2]|0)}UI(t);f=c[fa>>2]|0;if(f)do{k=c[T>>2]|0;if(!k)k=f;else{Fb[k&63](c[qa>>2]|0,c[c[f>>2]>>2]|0);k=f}r=f+4|0;s=f;f=c[r>>2]|0;c[fa>>2]=f;c[r>>2]=c[U>>2];c[U>>2]=s;c[(c[k>>2]|0)+4>>2]=c[s+8>>2]}while((f|0)!=0);if(!(c[ra>>2]|0)){wa=140;break a}break}case 5:{if((c[ra>>2]|0)==(d|0)){f=13;break a}o=c[N>>2]|0;c[N>>2]=c[o>>2];c[o>>2]=c[L>>2];c[L>>2]=o;f=(c[ua>>2]|0)+(c[A>>2]<<1)|0;k=Qb[c[O>>2]&127](e,f)|0;if((k|0)!=(c[o+8>>2]|0)){wa=144;break a}if(UO(c[o+4>>2]|0,f,k)|0){wa=144;break a}c[ra>>2]=(c[ra>>2]|0)+-1;f=c[S>>2]|0;if(!f){if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,c[na>>2]|0)}else{l=c[o+16>>2]|0;n=o+12|0;if((l|0)!=0&(a[V>>0]|0)!=0){f=(c[n>>2]|0)+(c[o+28>>2]|0)|0;k=a[l>>0]|0;if(k<<24>>24){m=l;while(1){m=m+1|0;l=f+1|0;a[f>>0]=k;k=a[m>>0]|0;if(!(k<<24>>24)){f=l;break}else f=l}}l=c[o+20>>2]|0;if((l|0)!=0&(a[W>>0]|0)!=0){a[f>>0]=a[w>>0]|0;f=f+1|0;k=a[l>>0]|0;if(k<<24>>24)do{l=l+1|0;a[f>>0]=k;f=f+1|0;k=a[l>>0]|0}while(k<<24>>24!=0)}a[f>>0]=0;f=c[S>>2]|0}Fb[f&63](c[qa>>2]|0,c[n>>2]|0)}m=o+44|0;f=c[m>>2]|0;if(f)do{k=c[T>>2]|0;if(!k){k=f;l=f}else{Fb[k&63](c[qa>>2]|0,c[c[f>>2]>>2]|0);k=f;l=c[m>>2]|0}s=f;f=c[l+4>>2]|0;c[m>>2]=f;c[s+4>>2]=c[U>>2];c[U>>2]=s;c[(c[k>>2]|0)+4>>2]=c[s+8>>2]}while((f|0)!=0);if(!(c[ra>>2]|0)){wa=163;break a}break}case 10:{f=Qb[c[X>>2]&127](e,c[ua>>2]|0)|0;if((f|0)<0){f=14;break a}k=c[aa>>2]|0;if(k){r=c[qa>>2]|0;s=KJ(f,ga)|0;Vb[k&127](r,ga,s);break b}if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,c[na>>2]|0);break}case 7:{f=c[aa>>2]|0;if(f){a[ha>>0]=10;Vb[f&127](c[qa>>2]|0,ha,1);break b}if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,c[na>>2]|0);break}case 8:{f=c[Y>>2]|0;if(!f){if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,c[na>>2]|0)}else Db[f&127](c[qa>>2]|0);f=BJ(b,e,na,g,h,j)|0;if(f)break a;if(!(c[na>>2]|0)){wa=179;break a}break}case 6:{f=c[aa>>2]|0;if(!f){if(!(c[pa>>2]|0))break b;cJ(b,e,c[ua>>2]|0,c[na>>2]|0);break b}if(a[ca>>0]|0){s=c[ua>>2]|0;Vb[f&127](c[qa>>2]|0,s,(c[na>>2]|0)-s|0);break b}while(1){c[ja>>2]=c[da>>2];Cb[c[ba>>2]&31](e,ua,c[na>>2]|0,ja,c[ea>>2]|0);c[ka>>2]=c[ua>>2];k=c[da>>2]|0;Vb[f&127](c[qa>>2]|0,k,(c[ja>>2]|0)-k|0);k=c[ua>>2]|0;if((k|0)==(c[na>>2]|0))break b;c[va>>2]=k}}case 11:{if(!(vJ(b,e,c[ua>>2]|0,c[na>>2]|0)|0)){f=1;break a}break}case 13:{if(!(wJ(b,e,c[ua>>2]|0,c[na>>2]|0)|0)){f=1;break a}break}default:if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,c[na>>2]|0)}while(0);s=c[na>>2]|0;c[ua>>2]=s;c[va>>2]=s;switch(c[y>>2]|0){case 2:{f=35;break a}case 3:{wa=205;break a}default:{}}}switch(wa|0){case 6:{if(j<<24>>24){c[h>>2]=c[ua>>2];f=0;break}c[ka>>2]=g;f=c[aa>>2]|0;if(!f){if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,g)}else{a[sa>>0]=10;Vb[f&127](c[qa>>2]|0,sa,1)}if(d)if((c[ra>>2]|0)==(d|0)){c[h>>2]=g;f=0}else f=13;else f=3;break}case 15:{if(j<<24>>24){c[h>>2]=c[ua>>2];f=0;break}if((d|0)>0)if((c[ra>>2]|0)==(d|0)){c[h>>2]=c[ua>>2];f=0}else f=13;else f=3;break}case 20:{c[va>>2]=c[na>>2];f=4;break}case 21:{if(!(j<<24>>24))f=5;else{c[h>>2]=c[ua>>2];f=0}break}case 23:{if(!(j<<24>>24))f=6;else{c[h>>2]=c[ua>>2];f=0}break}case 102:{a[f>>0]=0;f=1;break}case 112:{Db[c[b+20>>2]&127](f);f=1;break}case 140:{f=AJ(b,c[na>>2]|0,g,h)|0;break}case 144:{c[va>>2]=f;f=7;break}case 163:{f=AJ(b,c[na>>2]|0,g,h)|0;break}case 179:{c[b+280>>2]=64;f=0;break}case 180:{if(j<<24>>24){c[h>>2]=c[ua>>2];f=0;break}f=c[aa>>2]|0;do if(!f){if(c[pa>>2]|0)cJ(b,e,c[ua>>2]|0,g)}else if(!(a[ca>>0]|0)){c[ta>>2]=c[da>>2];Cb[c[ba>>2]&31](e,ua,g,ta,c[ea>>2]|0);wa=c[da>>2]|0;Vb[c[aa>>2]&127](c[qa>>2]|0,wa,(c[ta>>2]|0)-wa|0);break}else{wa=c[ua>>2]|0;Vb[f&127](c[qa>>2]|0,wa,g-wa|0);break}while(0);if(!d){c[va>>2]=g;f=3;break}if((c[ra>>2]|0)==(d|0)){c[h>>2]=g;f=0;break}else{c[va>>2]=g;f=13;break}}case 205:{c[h>>2]=c[na>>2];f=0;break}}i=xa;return f|0}function yJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;q=i;i=i+16|0;p=q;h=b+300|0;j=c[h>>2]|0;do if(j){l=c[j+12>>2]|0;m=l+4|0;k=c[m>>2]|0;n=l+12|0;g=k+(c[n>>2]|0)|0;k=k+(c[l+8>>2]|0)|0;o=l+33|0;if(!(a[o>>0]|0))g=xJ(b,c[j+16>>2]|0,c[b+228>>2]|0,g,k,p,0)|0;else{s=b+228|0;r=c[s>>2]|0;r=Ub[c[r>>2]&127](r,g,k,p)|0;g=fJ(b,c[s>>2]|0,g,k,r,c[p>>2]|0,p,0)|0}if(!g){g=c[p>>2]|0;if((k|0)!=(g|0)?(c[b+480>>2]|0)==3:0){c[n>>2]=g-(c[m>>2]|0);g=0;break}a[l+32>>0]=0;s=j+8|0;c[h>>2]=c[s>>2];g=b+304|0;c[s>>2]=c[g>>2];c[g>>2]=j;g=b+280|0;if(!(a[o>>0]|0)){c[g>>2]=60;g=xJ(b,(c[b+476>>2]|0)!=0&1,c[b+144>>2]|0,d,e,f,(a[b+484>>0]|0)==0&1)|0;break}else{c[g>>2]=62;s=b+144|0;g=c[s>>2]|0;g=Ub[c[g>>2]&127](g,d,e,p)|0;g=fJ(b,c[s>>2]|0,d,e,g,c[p>>2]|0,f,(a[b+484>>0]|0)==0&1)|0;break}}}else g=23;while(0);i=q;return g|0}function zJ(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;K=c[b+356>>2]|0;k=K+20|0;i=XI(b,k,c[g>>2]|0,0)|0;if(!i){i=WI(K+80|0,c[g>>2]|0)|0;if((i|0)!=0?(j=XI(b,k,i,24)|0,(j|0)!=0):0)if((a[b+236>>0]|0)!=0?(FJ(b,j)|0)==0:0)i=1;else{J=j;B=6}else i=1}else{J=i;B=6}a:do if((B|0)==6){y=c[J+12>>2]|0;k=e+40|0;i=b+380|0;w=b+392|0;v=Ub[c[k>>2]&127](e,f,c[i>>2]|0,c[w>>2]|0)|0;j=v+y|0;l=c[i>>2]|0;if((j|0)>(l|0)){I=j+16|0;c[i>>2]=I;i=Qb[c[b+16>>2]&127](c[w>>2]|0,I<<4)|0;if(!i){i=1;break}c[w>>2]=i;if((v|0)>(l|0))Ub[c[k>>2]&127](e,f,v,i)|0}I=c[w>>2]|0;b:do if((v|0)>0){q=e+32|0;r=b+416|0;s=b+432|0;t=b+428|0;u=J+20|0;i=c[I>>2]|0;i=lJ(b,e,i,i+(Qb[c[q>>2]&127](e,i)|0)|0)|0;if(!i){i=1;break a}p=(y|0)<1;n=i;k=0;o=0;j=0;while(1){i=(c[n>>2]|0)+-1|0;if(a[i>>0]|0){i=o;break}a[i>>0]=1;m=k+1|0;c[I+(k<<2)>>2]=c[n>>2];f=c[w>>2]|0;if(a[f+(o<<4)+12>>0]|0){H=hJ(r,e,c[f+(o<<4)+4>>2]|0,c[f+(o<<4)+8>>2]|0)|0;c[I+(m<<2)>>2]=H;if(!H){i=1;break a}}else{c:do if((a[n+8>>0]|0)==0|p)i=1;else{l=c[u>>2]|0;i=0;while(1){if((n|0)==(c[l+(i*12|0)>>2]|0))break;i=i+1|0;if((i|0)>=(y|0)){i=1;break c}}i=a[l+(i*12|0)+4>>0]|0}while(0);i=oJ(b,e,i,c[f+(o<<4)+4>>2]|0,c[f+(o<<4)+8>>2]|0,r)|0;if(i)break a;c[I+(m<<2)>>2]=c[s>>2]}c[s>>2]=c[t>>2];i=c[n+4>>2]|0;do if(i)if(a[n+9>>0]|0){i=GJ(b,i,n,c[I+(m<<2)>>2]|0,h)|0;if(!i)break;else break a}else{a[(c[n>>2]|0)+-1>>0]=2;k=k+2|0;j=j+1|0;break}else k=k+2|0;while(0);o=o+1|0;if((o|0)>=(v|0))break b;n=c[(c[w>>2]|0)+(o<<4)>>2]|0;n=lJ(b,e,n,n+(Qb[c[q>>2]&127](e,n)|0)|0)|0;if(!n){i=1;break a}}if((c[b+144>>2]|0)!=(e|0)){i=8;break a}c[b+288>>2]=c[(c[w>>2]|0)+(i<<4)>>2];i=8;break a}else{k=0;j=0}while(0);c[b+384>>2]=k;i=c[J+8>>2]|0;d:do if((i|0)!=0?(x=c[i>>2]|0,(a[x+-1>>0]|0)!=0):0){if((k|0)>0){i=0;while(1){if((c[I+(i<<2)>>2]|0)==(x|0))break;i=i+2|0;if((i|0)>=(k|0))break d}c[b+388>>2]=i}}else B=38;while(0);if((B|0)==38)c[b+388>>2]=-1;if((y|0)>0){o=J+20|0;n=0;while(1){i=c[o>>2]|0;l=i+(n*12|0)|0;f=c[l>>2]|0;m=(c[f>>2]|0)+-1|0;do if((a[m>>0]|0)==0?(z=i+(n*12|0)+8|0,A=c[z>>2]|0,(A|0)!=0):0){i=c[f+4>>2]|0;if(!i){a[m>>0]=1;c[I+(k<<2)>>2]=c[c[l>>2]>>2];c[I+(k+1<<2)>>2]=c[z>>2];i=k+2|0;break}if(a[f+9>>0]|0){i=GJ(b,i,f,A,h)|0;if(!i){i=k;break}else break a}else{a[m>>0]=2;c[I+(k<<2)>>2]=c[c[l>>2]>>2];c[I+(k+1<<2)>>2]=c[z>>2];i=k+2|0;j=j+1|0;break}}else i=k;while(0);n=n+1|0;if((n|0)>=(y|0)){H=i;f=j;break}else k=i}}else{H=k;f=j}c[I+(H<<2)>>2]=0;e:do if(f){l=b+400|0;i=c[l>>2]|0;G=b+404|0;j=a[G>>0]|0;k=j&255;if(!(f<<1>>k)){k=1<<k;if(!i){j=c[b+396>>2]|0;B=57}}else{while(1){i=j+1<<24>>24;if(!(f>>(j&255)))break;else j=i}k=(i&255)<3?3:i;a[G>>0]=k;k=k&255;i=b+396|0;j=Qb[c[b+16>>2]&127](c[i>>2]|0,12<<k)|0;if(!j){i=1;break a}c[i>>2]=j;k=1<<k;B=57}if((B|0)==57){i=k;do{i=i+-1|0;c[j+(i*12|0)>>2]=-1}while((i|0)!=0);i=-1}F=i+-1|0;c[l>>2]=F;if((H|0)>0){u=b+496|0;v=K+40|0;w=b+416|0;e=b+428|0;x=b+424|0;y=k+-1|0;z=b+396|0;A=b+237|0;B=b+432|0;C=b+472|0;D=0-k|0;E=y>>>2;i=0;j=f;while(1){t=I+(i<<2)|0;m=c[t>>2]|0;l=m+-1|0;if((a[l>>0]|0)==2){f=c[u>>2]|0;a[l>>0]=0;s=c[(c[(XI(b,v,m,0)|0)+4>>2]|0)+4>>2]|0;if(!s){i=27;break a}o=s+20|0;if((c[o>>2]|0)>0){p=s+16|0;q=0;l=f;do{n=a[(c[p>>2]|0)+q>>0]|0;f=c[e>>2]|0;if((f|0)==(c[x>>2]|0)){if(!((YI(w)|0)<<24>>24)){i=1;break a}f=c[e>>2]|0}c[e>>2]=f+1;a[f>>0]=n;l=n&255^l*1000003;q=q+1|0}while((q|0)<(c[o>>2]|0))}else l=f;while(1){f=m+1|0;if((a[m>>0]|0)==58)break;else m=f}while(1){o=a[f>>0]|0;m=c[e>>2]|0;if((m|0)==(c[x>>2]|0)){if(!((YI(w)|0)<<24>>24)){i=1;break a}m=c[e>>2]|0;n=a[f>>0]|0}else n=o;c[e>>2]=m+1;a[m>>0]=n;l=o&255^l*1000003;if(!(a[f>>0]|0))break;else f=f+1|0}f=l&y;q=c[z>>2]|0;if((c[q+(f*12|0)>>2]|0)==(F|0)){r=l&D;p=0;while(1){if((l|0)==(c[q+(f*12|0)+4>>2]|0)){n=c[B>>2]|0;o=c[q+(f*12|0)+8>>2]|0;L=a[n>>0]|0;m=L<<24>>24==0;if(!(m|L<<24>>24!=(a[o>>0]|0)))do{n=n+1|0;o=o+1|0;L=a[n>>0]|0;m=L<<24>>24==0}while(!(m|L<<24>>24!=(a[o>>0]|0)));if(m){i=8;break a}}if(!(p<<24>>24))m=(r>>>((d[G>>0]|0)+-1|0)&E|1)&255;else m=p;L=m&255;f=f+((f|0)<(L|0)?k:0)-L|0;if((c[q+(f*12|0)>>2]|0)==(F|0))p=m;else{n=f;break}}}else n=f;if(a[A>>0]|0){a[(c[e>>2]|0)+-1>>0]=a[C>>0]|0;m=c[c[s>>2]>>2]|0;while(1){f=c[e>>2]|0;if((f|0)==(c[x>>2]|0)){if(!((YI(w)|0)<<24>>24)){i=1;break a}f=c[e>>2]|0}L=a[m>>0]|0;c[e>>2]=f+1;a[f>>0]=L;if(!(a[m>>0]|0))break;else m=m+1|0}}s=c[B>>2]|0;c[B>>2]=c[e>>2];c[t>>2]=s;L=c[z>>2]|0;c[L+(n*12|0)>>2]=F;c[L+(n*12|0)+4>>2]=l;c[L+(n*12|0)+8>>2]=s;j=j+-1|0;if(!j)break}else a[l>>0]=0;i=i+2|0;if((i|0)>=(H|0))break e}i=i+2|0}else i=0}else i=0;while(0);if((i|0)<(H|0))do{a[(c[I+(i<<2)>>2]|0)+-1>>0]=0;i=i+2|0}while((i|0)<(H|0));i=c[h>>2]|0;if(i)do{a[(c[c[i+12>>2]>>2]|0)+-1>>0]=0;i=c[i+4>>2]|0}while((i|0)!=0);if(!(a[b+236>>0]|0))i=0;else{i=c[J+4>>2]|0;if(!i){i=c[K+156>>2]|0;if(!i){i=0;break}k=c[g>>2]|0}else{i=c[i+4>>2]|0;if(!i){i=27;break}j=c[g>>2]|0;while(1){k=j+1|0;if((a[j>>0]|0)==58)break;else j=k}}if(a[b+237>>0]|0){j=c[i>>2]|0;l=c[j>>2]|0;if(!l)m=0;else{f=0;while(1){m=f+1|0;if(!(a[l+f>>0]|0))break;else f=m}}}else{j=c[i>>2]|0;m=0}c[g+4>>2]=k;r=i+20|0;l=c[r>>2]|0;c[g+16>>2]=l;c[g+8>>2]=c[j>>2];c[g+20>>2]=m;f=0;while(1){j=f+1|0;if(!(a[k+f>>0]|0))break;else f=j}n=j+m+l|0;o=i+24|0;if((n|0)>(c[o>>2]|0)){l=n+24|0;n=Hb[c[b+12>>2]&63](l)|0;if(!n){i=1;break}c[o>>2]=l;o=i+16|0;rQ(n|0,c[o>>2]|0,c[r>>2]|0)|0;l=c[b+364>>2]|0;q=c[o>>2]|0;if(l)do{p=l+12|0;if((c[p>>2]|0)==(q|0))c[p>>2]=n;l=c[l>>2]|0}while((l|0)!=0);Db[c[b+20>>2]&127](q);c[o>>2]=n;l=c[r>>2]|0}else{n=i+16|0;o=n;n=c[n>>2]|0}rQ(n+l|0,k|0,j|0)|0;if(m){L=l+f|0;a[n+L>>0]=a[b+472>>0]|0;rQ(n+(L+1)|0,c[c[i>>2]>>2]|0,m|0)|0}c[g>>2]=c[o>>2];i=0}}while(0);return i|0}function AJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;q=i;i=i+16|0;o=q;c[b+280>>2]=65;k=b+288|0;c[k>>2]=d;l=b+144|0;j=b+292|0;m=b+80|0;n=b+480|0;h=d;a:while(1){c[o>>2]=0;r=c[l>>2]|0;r=Ub[c[r>>2]&127](r,h,e,o)|0;d=c[o>>2]|0;c[j>>2]=d;g=d;switch(r|0){case -15:{p=3;break a}case -4:{d=h;p=7;break a}case 0:{p=12;break a}case -1:{d=h;p=13;break a}case -2:{d=h;p=15;break a}case 15:{if(c[m>>2]|0)cJ(b,c[l>>2]|0,h,g);break}case 11:{if(!(vJ(b,c[l>>2]|0,h,g)|0)){d=1;break a}break}case 13:{if(!(wJ(b,c[l>>2]|0,h,g)|0)){d=1;break a}break}default:{d=9;break a}}d=c[o>>2]|0;c[k>>2]=d;switch(c[n>>2]|0){case 2:{d=35;break a}case 3:{p=18;break a}default:h=d}}do if((p|0)==3){if(c[m>>2]|0){cJ(b,c[l>>2]|0,h,g);if((c[n>>2]|0)==2){d=35;break}d=c[o>>2]|0}c[f>>2]=d;d=0}else if((p|0)==7){c[f>>2]=d;d=0}else if((p|0)==12){c[k>>2]=d;d=4}else if((p|0)==13)if(!(a[b+484>>0]|0)){c[f>>2]=d;d=0}else d=5;else if((p|0)==15)if(!(a[b+484>>0]|0)){c[f>>2]=d;d=0}else d=6;else if((p|0)==18){c[f>>2]=d;d=0}while(0);i=q;return d|0}function BJ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=i;i=i+16|0;z=B+8|0;y=B+4|0;u=B+12|0;v=B;j=c[e>>2]|0;c[z>>2]=j;if((c[b+144>>2]|0)==(d|0)){x=b+288|0;c[x>>2]=j;w=b+292|0}else{x=c[b+300>>2]|0;w=x+4|0}c[x>>2]=j;c[e>>2]=0;q=d+8|0;l=b+60|0;r=b+80|0;s=b+4|0;t=b+480|0;m=d+72|0;n=b+44|0;o=d+60|0;p=b+48|0;a:while(1){k=Ub[c[q>>2]&127](d,c[z>>2]|0,f,y)|0;c[w>>2]=c[y>>2];b:do switch(k|0){case 40:{A=6;break a}case 0:{A=22;break a}case -2:{A=23;break a}case -4:case -1:{A=25;break a}case 7:{j=c[l>>2]|0;if(j){a[u>>0]=10;Vb[j&127](c[s>>2]|0,u,1);break b}if(c[r>>2]|0)cJ(b,d,c[z>>2]|0,c[y>>2]|0);break}case 6:{j=c[l>>2]|0;if(!j){if(!(c[r>>2]|0))break b;cJ(b,d,c[z>>2]|0,c[y>>2]|0);break b}if(a[m>>0]|0){k=c[z>>2]|0;Vb[j&127](c[s>>2]|0,k,(c[y>>2]|0)-k|0);break b}while(1){c[v>>2]=c[n>>2];Cb[c[o>>2]&31](d,z,c[y>>2]|0,v,c[p>>2]|0);c[w>>2]=c[y>>2];k=c[n>>2]|0;Vb[j&127](c[s>>2]|0,k,(c[v>>2]|0)-k|0);k=c[z>>2]|0;if((k|0)==(c[y>>2]|0))break b;c[x>>2]=k}}default:{A=27;break a}}while(0);k=c[y>>2]|0;c[z>>2]=k;c[x>>2]=k;switch(c[t>>2]|0){case 3:{A=29;break a}case 2:{j=35;break a}default:{}}}if((A|0)==6){j=c[b+76>>2]|0;if(!j){if(c[r>>2]|0)cJ(b,d,c[z>>2]|0,c[y>>2]|0)}else Db[j&127](c[s>>2]|0);j=c[y>>2]|0;c[e>>2]=j;c[g>>2]=j;j=(c[t>>2]|0)==2?35:0}else if((A|0)==22){c[x>>2]=c[y>>2];j=4}else if((A|0)==23)if(!(h<<24>>24))j=6;else{c[g>>2]=c[z>>2];j=0}else if((A|0)==25)if(!(h<<24>>24))j=20;else{c[g>>2]=c[z>>2];j=0}else if((A|0)==27){c[x>>2]=c[y>>2];j=23}else if((A|0)==29){c[g>>2]=c[y>>2];j=0}i=B;return j|0}function CJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=i;i=i+16|0;g=h;c[g>>2]=d;d=BJ(b,c[b+144>>2]|0,g,e,f,(a[b+484>>0]|0)==0&1)|0;g=c[g>>2]|0;do if(!((d|0)!=0|(g|0)==0)){d=b+280|0;if(!(c[b+476>>2]|0)){c[d>>2]=60;d=jJ(b,g,e,f)|0;break}else{c[d>>2]=66;d=DJ(b,g,e,f)|0;break}}while(0);i=h;return d|0}function DJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;e=xJ(b,1,c[b+144>>2]|0,d,e,f,(a[b+484>>0]|0)==0&1)|0;if((e|0)==0?(EJ(b)|0)<<24>>24==0:0)e=1;return e|0}function EJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=a+16|0;a=c[a+364>>2]|0;a:do if(!a)a=1;else while(1){k=(c[a+24>>2]|0)+1|0;i=a+36|0;f=c[i>>2]|0;b=f+k|0;l=a+4|0;e=c[l>>2]|0;if((e|0)==(b|0)){a=1;break a}j=a+8|0;d=c[j>>2]|0;g=d+k|0;h=a+40|0;if((g|0)>((c[h>>2]|0)-f|0)){f=Qb[c[m>>2]&127](f,g)|0;if(!f){a=0;break a}b=a+12|0;e=c[i>>2]|0;if((c[b>>2]|0)==(e|0))c[b>>2]=f;b=a+16|0;d=c[b>>2]|0;if(d)c[b>>2]=f+(d-e);c[i>>2]=f;c[h>>2]=f+g;e=c[l>>2]|0;d=c[j>>2]|0;b=f+k|0}rQ(b|0,e|0,d|0)|0;c[l>>2]=b;a=c[a>>2]|0;if(!a){a=1;break}}while(0);return a|0}function FJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;l=c[b+356>>2]|0;h=l+80|0;i=l+92|0;j=l+88|0;k=l+60|0;l=l+96|0;m=d+4|0;n=c[d>>2]|0;a:while(1){switch(a[n>>0]|0){case 0:{e=1;break a}case 58:{g=c[d>>2]|0;e=c[i>>2]|0;f=(e|0)==(c[j>>2]|0);if((g|0)!=(n|0))do{if(f){if(!((YI(h)|0)<<24>>24)){e=0;break a}e=c[i>>2]|0}f=a[g>>0]|0;c[i>>2]=e+1;a[e>>0]=f;g=g+1|0;e=c[i>>2]|0;f=(e|0)==(c[j>>2]|0)}while((g|0)!=(n|0));if(f){if(!((YI(h)|0)<<24>>24)){e=0;break a}e=c[i>>2]|0}c[i>>2]=e+1;a[e>>0]=0;e=XI(b,k,c[l>>2]|0,8)|0;if(!e){e=0;break a}f=c[l>>2]|0;if((c[e>>2]|0)==(f|0))c[l>>2]=c[i>>2];else c[i>>2]=f;c[m>>2]=e;break}default:{}}n=n+1|0}return e|0}function GJ(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=a[f>>0]|0;i=c[d>>2]|0;h=(i|0)==0;do if(!(j<<24>>24))if(h){i=1;j=1;k=0;h=0;l=21}else h=28;else{if(((!h?(a[i>>0]|0)==120:0)?(a[i+1>>0]|0)==109:0)?(a[i+2>>0]|0)==108:0){h=a[i+3>>0]|0;if((h<<24>>24==110?(a[i+4>>0]|0)==115:0)?(a[i+5>>0]|0)==0:0){h=39;break}h=h<<24>>24==0&1}else h=0;n=h<<24>>24!=0;i=1;m=j;l=1;j=1;k=0;do{do if(i){if((k|0)<=36?m<<24>>24==(a[184732+k>>0]|0):0)break;l=0}else l=0;while(0);do if(!(n|j<<24>>24==0)){if((k|0)<=29?m<<24>>24==(a[184769+k>>0]|0):0)break;j=0}while(0);k=k+1|0;m=a[f+k>>0]|0;i=l<<24>>24!=0}while(m<<24>>24!=0);l=21}while(0);a:do if((l|0)==21){if((h&255|0)!=(i&(k|0)==36&1|0)){h=h<<24>>24!=0?38:40;break}if(!(j<<24>>24!=0&(k|0)==29)){n=b+472|0;o=((a[n>>0]|0)!=0&1)+k|0;h=b+376|0;j=c[h>>2]|0;do if(!j){h=b+12|0;i=Hb[c[h>>2]&63](28)|0;if(!i){h=1;break a}j=o+24|0;m=Hb[c[h>>2]&63](j)|0;c[i+16>>2]=m;if(!m){Db[c[b+20>>2]&127](i);h=1;break a}else{c[i+24>>2]=j;j=i;break}}else{i=j+24|0;if((o|0)>(c[i>>2]|0)){k=j+16|0;l=o+24|0;m=Qb[c[b+16>>2]&127](c[k>>2]|0,l)|0;if(!m){h=1;break a}c[k>>2]=m;c[i>>2]=l}c[h>>2]=c[j+4>>2]}while(0);c[j+20>>2]=o;i=j+16|0;rQ(c[i>>2]|0,f|0,o|0)|0;h=a[n>>0]|0;if(h<<24>>24)a[(c[i>>2]|0)+(o+-1)>>0]=h;c[j>>2]=d;c[j+12>>2]=e;h=d+4|0;c[j+8>>2]=c[h>>2];if((a[f>>0]|0)==0?((c[b+356>>2]|0)+152|0)==(d|0):0)i=0;else i=j;c[h>>2]=i;c[j+4>>2]=c[g>>2];c[g>>2]=j;if((e|0)!=0?(p=c[b+100>>2]|0,(p|0)!=0):0){Vb[p&127](c[b+4>>2]|0,c[d>>2]|0,(c[h>>2]|0)!=0?f:0);h=0}else h=0}else h=40}while(0);return h|0}function HJ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=i;i=i+16|0;G=I;F=I+4|0;m=c[b+356>>2]|0;x=d+16|0;y=d+44|0;z=e<<24>>24==0;A=h+12|0;B=h+16|0;C=h+8|0;D=d+68|0;E=d+48|0;n=b+440|0;o=b+456|0;p=b+452|0;q=(m+80|0)==(h|0);r=b+272|0;t=m+130|0;u=m+129|0;v=b+300|0;w=b+228|0;a:while(1){b:do switch(Ub[c[x>>2]&127](d,f,g,G)|0){case -4:{f=0;break a}case 0:{H=3;break a}case -1:{H=5;break a}case 10:{j=Qb[c[y>>2]&127](d,f)|0;if((j|0)<0){H=8;break a}if(z&(j|0)==32){k=c[A>>2]|0;if((k|0)==(c[B>>2]|0))break b;if((a[k+-1>>0]|0)==32)break b}k=KJ(j,F)|0;if(!k){H=15;break a}if((k|0)>0){j=0;do{f=c[A>>2]|0;if((f|0)==(c[C>>2]|0)){if(!((YI(h)|0)<<24>>24)){f=1;break a}f=c[A>>2]|0}l=a[F+j>>0]|0;c[A>>2]=f+1;a[f>>0]=l;j=j+1|0}while((j|0)<(k|0))}break}case 6:{if(!(mJ(h,d,f,c[G>>2]|0)|0)){f=1;break a}break}case -3:{c[G>>2]=f+(c[D>>2]|0);H=23;break}case 7:case 39:{H=23;break}case 9:{j=c[D>>2]|0;j=(Jb[c[E>>2]&63](d,f+j|0,(c[G>>2]|0)+(0-j)|0)|0)&255;if(j<<24>>24){f=c[A>>2]|0;if((f|0)==(c[C>>2]|0)){if(!((YI(h)|0)<<24>>24)){f=1;break a}f=c[A>>2]|0}c[A>>2]=f+1;a[f>>0]=j;break b}j=c[D>>2]|0;j=hJ(n,d,f+j|0,(c[G>>2]|0)+(0-j)|0)|0;if(!j){f=1;break a}l=XI(b,m,j,0)|0;c[p>>2]=c[o>>2];do if(q){if(!(c[r>>2]|0))if(!l)break b;else break;if(!(a[t>>0]|0)){j=(l|0)!=0;if(!(a[u>>0]|0)){H=45;break}else{s=j;H=47;break}}else{j=(l|0)!=0;if(!(c[v>>2]|0)){H=45;break}else{s=j;H=47;break}}}else if(!(a[u>>0]|0))if(!l){f=11;break a}else{H=46;break}else{j=(l|0)!=0;if(!(a[t>>0]|0)){s=j;H=47;break}else{H=45;break}}while(0);if((H|0)==45){H=0;if(j)H=46;else{f=11;break a}}else if((H|0)==47?(H=0,!s):0)break b;if((H|0)==46?(H=0,(a[l+34>>0]|0)==0):0){f=24;break a}k=l+32|0;if(a[k>>0]|0){H=49;break a}if(c[l+28>>2]|0){H=52;break a}j=c[l+4>>2]|0;if(!j){H=55;break a}f=j+(c[l+8>>2]|0)|0;a[k>>0]=1;f=HJ(b,c[w>>2]|0,e,j,f,h)|0;a[k>>0]=0;if(f)break a;break}default:{H=58;break a}}while(0);do if((H|0)==23){H=0;f=c[A>>2]|0;if(z){if((f|0)==(c[B>>2]|0))break;if((a[f+-1>>0]|0)==32)break}if((f|0)==(c[C>>2]|0)){if(!((YI(h)|0)<<24>>24)){f=1;break a}f=c[A>>2]|0}c[A>>2]=f+1;a[f>>0]=32}while(0);f=c[G>>2]|0}if((H|0)==3)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=c[G>>2];f=4}else f=4;else if((H|0)==5)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=f;f=4}else f=4;else if((H|0)==8)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=f;f=14}else f=14;else if((H|0)==15)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=f;f=14}else f=14;else if((H|0)==49)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=f;f=12}else f=12;else if((H|0)==52)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=f;f=15}else f=15;else if((H|0)==55)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=f;f=16}else f=16;else if((H|0)==58)if((c[b+144>>2]|0)==(d|0)){c[b+288>>2]=f;f=23}else f=23;i=I;return f|0}function IJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+1040|0;g=k;e=c[b+124>>2]|0;a:do if(!e)e=18;else{tQ(g|0,-1,1024)|0;f=g+1028|0;c[f>>2]=0;j=g+1024|0;c[j>>2]=0;h=g+1032|0;c[h>>2]=0;do if(Jb[e&63](c[b+248>>2]|0,d,g)|0){d=c[b+12>>2]|0;e=LJ()|0;e=Hb[d&63](e)|0;c[b+240>>2]=e;if(!e){e=c[h>>2]|0;if(!e)e=1;else{Db[e&127](c[j>>2]|0);e=1}}else{e=Ub[(a[b+236>>0]<<24>>24!=0?67:68)&127](e,g,c[f>>2]|0,c[j>>2]|0)|0;if(!e)break;c[b+244>>2]=c[j>>2];c[b+252>>2]=c[h>>2];c[b+144>>2]=e;e=0}break a}while(0);e=c[h>>2]|0;if(e)Db[e&127](c[j>>2]|0);e=18}while(0);i=k;return e|0}function JJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=dJ(a)|0;if(!f){c[a+280>>2]=62;f=eJ(a,b,d,e)|0}return f|0}function KJ(b,c){b=b|0;c=c|0;do if((b|0)>=0){if((b|0)<128){a[c>>0]=b;c=1;break}if((b|0)<2048){a[c>>0]=b>>>6|192;a[c+1>>0]=b&63|128;c=2;break}if((b|0)<65536){a[c>>0]=b>>>12|224;a[c+1>>0]=b>>>6&63|128;a[c+2>>0]=b&63|128;c=3;break}if((b|0)<1114112){a[c>>0]=b>>>18|240;a[c+1>>0]=b>>>12&63|128;a[c+2>>0]=b>>>6&63|128;a[c+3>>0]=b&63|128;c=4}else c=0}else c=0;while(0);return c|0}function LJ(){return 1912}function MJ(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;i=0;do{a[e+i>>0]=a[93204+i>>0]|0;i=i+1|0}while((i|0)!=368);i=0;a:while(1){switch(a[93280+i>>0]|0){case 0:case 28:break;default:if((c[f+(i<<2)>>2]|0)!=(i|0)){e=0;break a}}i=i+1|0;if((i|0)>=128){q=3;break}}b:do if((q|0)==3){n=e+376|0;o=e+888|0;p=0;do{m=c[f+(p<<2)>>2]|0;do if((m|0)==-1){a[e+(p+76)>>0]=1;b[n+(p<<1)>>1]=-1;a[o+(p<<2)>>0]=1;a[o+(p<<2)+1>>0]=0}else{if((m|0)<0){if((m|0)<-4){e=0;break b}a[e+(p+76)>>0]=3-m;a[o+(p<<2)>>0]=0;b[n+(p<<1)>>1]=0;break}if((m|0)<128){i=a[93280+m>>0]|0;switch(i<<24>>24){case 0:case 28:break;default:if((m|0)!=(p|0)){e=0;break b}}a[e+(p+76)>>0]=i;a[o+(p<<2)>>0]=1;a[o+(p<<2)+1>>0]=m;b[n+(p<<1)>>1]=(m|0)==0?-1:m&65535;break}i=m>>8;switch(i|0){case 223:case 222:case 221:case 220:case 219:case 218:case 217:case 216:{q=19;break}case 0:{if(!(a[93280+m>>0]|0))q=19;break}case 255:{if((m&-2|0)==65534)q=19;break}default:{}}if((q|0)==19){q=0;a[e+(p+76)>>0]=0;b[n+(p<<1)>>1]=-1;a[o+(p<<2)>>0]=1;a[o+(p<<2)+1>>0]=0;break}if((m|0)>65535){e=0;break b}j=m>>>5&7;k=1<<(m&31);do if(!(c[93572+((d[184799+i>>0]<<3|j)<<2)>>2]&k)){l=e+(p+76)|0;if(!(c[93572+((d[185055+i>>0]<<3|j)<<2)>>2]&k)){a[l>>0]=28;break}else{a[l>>0]=26;break}}else a[e+(p+76)>>0]=22;while(0);a[o+(p<<2)>>0]=KJ(m,o+(p<<2)+1|0)|0;b[n+(p<<1)>>1]=m}while(0);p=p+1|0}while((p|0)<256);c[e+372>>2]=h;c[e+368>>2]=g;if(g){c[e+332>>2]=111;c[e+336>>2]=111;c[e+340>>2]=111;c[e+344>>2]=112;c[e+348>>2]=112;c[e+352>>2]=112;c[e+356>>2]=113;c[e+360>>2]=113;c[e+364>>2]=113}c[e+60>>2]=17;c[e+64>>2]=18}while(0);return e|0}function NJ(){return 94852}function OJ(b,d,e){b=b|0;d=d|0;e=e|0;e=ZJ(e)|0;if((e|0)==-1)e=0;else{a[b+73>>0]=e;c[b>>2]=69;c[b+4>>2]=70;c[b+52>>2]=30;c[b+76>>2]=d;c[d>>2]=b;e=1}return e|0}function PJ(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return cK(45,a,b,c,d,e,f,g,h,i,j)|0}function QJ(){return 95220}function RJ(b,d,e){b=b|0;d=d|0;e=e|0;e=ZJ(e)|0;if((e|0)==-1)e=0;else{a[b+73>>0]=e;c[b>>2]=71;c[b+4>>2]=72;c[b+52>>2]=30;c[b+76>>2]=d;c[d>>2]=b;e=1}return e|0}function SJ(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return cK(46,a,b,c,d,e,f,g,h,i,j)|0}function TJ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;d=MJ(b,c,d,e)|0;if(d)a[d+76+58>>0]=23;return d|0}function UJ(a,b){a=a|0;b=b|0;a=Qb[c[a+368>>2]&127](c[a+372>>2]|0,b)|0;if(a>>>0>65535)a=0;else a=c[93572+(((d[185055+(a>>8)>>0]|0)<<3|a>>>5&7)<<2)>>2]&1<<(a&31);return a|0}function VJ(a,b){a=a|0;b=b|0;a=Qb[c[a+368>>2]&127](c[a+372>>2]|0,b)|0;if(a>>>0>65535)a=0;else a=c[93572+(((d[184799+(a>>8)>>0]|0)<<3|a>>>5&7)<<2)>>2]&1<<(a&31);return a|0}function WJ(b,d){b=b|0;d=d|0;b=Qb[c[b+368>>2]&127](c[b+372>>2]|0,d)|0;a:do if(b>>>0>65535)b=1;else{switch(b>>8|0){case 223:case 222:case 221:case 220:case 219:case 218:case 217:case 216:{b=1;break a}case 0:{if(!(a[93280+b>>0]|0)){b=1;break a}break}case 255:{if((b&-2|0)==65534){b=1;break a}break}default:{}}b=0}while(0);return b|0}function XJ(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;q=i;i=i+16|0;p=q;m=b+368|0;j=c[e>>2]|0;a:do if((j|0)!=(f|0)){n=b+888|0;o=b+372|0;l=h;k=b+76|0;do{r=d[j>>0]|0;b=n+(r<<2)+1|0;r=a[n+(r<<2)>>0]|0;h=r<<24>>24;if(!(r<<24>>24)){h=KJ(Qb[c[m>>2]&127](c[o>>2]|0,j)|0,p)|0;if((h|0)>(l-(c[g>>2]|0)|0))break a;j=c[e>>2]|0;j=j+((d[k+(d[j>>0]|0)>>0]|0)+-3)|0;b=p}else{if((h|0)>(l-(c[g>>2]|0)|0))break a;j=j+1|0}c[e>>2]=j;while(1){j=a[b>>0]|0;r=c[g>>2]|0;c[g>>2]=r+1;a[r>>0]=j;h=h+-1|0;if(!h)break;else b=b+1|0}j=c[e>>2]|0}while((j|0)!=(f|0))}while(0);i=q;return}function YJ(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=c[e>>2]|0;a:do if((i|0)!=(f|0)){l=a+376|0;m=a+368|0;n=a+372|0;k=a+76|0;j=c[g>>2]|0;do{if((j|0)==(h|0))break a;a=b[l+((d[i>>0]|0)<<1)>>1]|0;if(!(a<<16>>16)){a=(Qb[c[m>>2]&127](c[n>>2]|0,i)|0)&65535;i=c[e>>2]|0;i=i+((d[k+(d[i>>0]|0)>>0]|0)+-3)|0}else i=i+1|0;c[e>>2]=i;i=c[g>>2]|0;j=i+2|0;c[g>>2]=j;b[i>>1]=a;i=c[e>>2]|0}while((i|0)!=(f|0))}while(0);return}function ZJ(a){a=a|0;if(a)if(!(gK(a,142346)|0))if(!(gK(a,185352)|0))if(!(gK(a,143001)|0))if(!(gK(a,185311)|0))if(!(gK(a,185361)|0)){a=(gK(a,185370)|0)==0;return (a?-1:5)|0}else a=4;else a=3;else a=2;else a=1;else a=0;else a=6;return a|0}function _J(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return HL(97456,a,0,b,c,d)|0}function $J(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return HL(97456,a,1,b,c,d)|0}function aK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;mL(97852,b,c,d);return}function bK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;h=i;i=i+144|0;j=h+4|0;f=h+8|0;g=h;c[j>>2]=d;c[g>>2]=f;Cb[c[b+60>>2]&31](b,j,e,g,f+127|0);do if((c[j>>2]|0)==(e|0)){a[c[g>>2]>>0]=0;if((gK(f,185311)|0)!=0?(c[b+68>>2]|0)==2:0)break;b=ZJ(f)|0;if((b|0)!=-1)b=c[97456+(b<<2)>>2]|0;else b=0}else b=0;while(0);i=h;return b|0}function cK(b,d,e,f,g,h,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;z=i;i=i+32|0;u=z+20|0;y=z+16|0;x=z+24|0;v=z+12|0;r=z+8|0;p=z+4|0;q=z;c[r>>2]=0;c[p>>2]=0;c[q>>2]=0;w=e+68|0;t=c[w>>2]|0;s=f+(t*5|0)|0;c[v>>2]=s;t=g+(0-(t<<1))|0;s=(IL(e,s,t,p,q,r,v)|0)!=0;o=c[p>>2]|0;g=o;a:do if(s&(o|0)!=0){s=e+28|0;f=c[q>>2]|0;do if(!(Ub[c[s>>2]&127](e,o,f,185324)|0)){if(!d){c[h>>2]=g;g=0;break a}}else{if(j)c[j>>2]=c[r>>2];if(!k)g=c[v>>2]|0;else{g=c[v>>2]|0;c[k>>2]=g}if(!(IL(e,g,t,p,q,r,v)|0)){c[h>>2]=c[v>>2];g=0;break a}g=c[p>>2]|0;if(g){o=g;f=c[q>>2]|0;break}if(!d){g=1;break a}c[h>>2]=c[v>>2];g=0;break a}while(0);if(Ub[c[s>>2]&127](e,o,f,185332)|0){f=c[r>>2]|0;c[u>>2]=f;c[y>>2]=x;Cb[c[e+60>>2]&31](e,u,t,y,x+1|0);if(!((c[y>>2]|0)!=(x|0)?((a[x>>0]&-33)+-65|0)>>>0<26:0)){c[h>>2]=f;g=0;break}if(l)c[l>>2]=f;g=c[v>>2]|0;if(m)c[m>>2]=Jb[b&63](e,f,g+(0-(c[w>>2]|0))|0)|0;if(!(IL(e,g,t,p,q,r,v)|0)){c[h>>2]=c[v>>2];g=0;break}g=c[p>>2]|0;if(!g){g=1;break}o=g;f=c[q>>2]|0}if((d|0)!=0|(Ub[c[s>>2]&127](e,o,f,185341)|0)==0){c[h>>2]=g;g=0;break}f=c[r>>2]|0;g=c[v>>2]|0;o=f;if(!(Ub[c[s>>2]&127](e,f,g+(0-(c[w>>2]|0))|0,149043)|0)){if(!(Ub[c[s>>2]&127](e,f,g+(0-(c[w>>2]|0))|0,149035)|0)){c[h>>2]=o;g=0;break}if(n)c[n>>2]=0}else if(n)c[n>>2]=1;f=e+60|0;o=x+1|0;b:while(1){c[u>>2]=g;c[y>>2]=x;Cb[c[f>>2]&31](e,u,t,y,o);switch(((c[y>>2]|0)==(x|0)?-1:a[x>>0]|0)|0){case 9:case 10:case 13:case 32:break;default:break b}n=g+(c[w>>2]|0)|0;c[v>>2]=n;g=n}if((g|0)==(t|0))g=1;else{c[h>>2]=g;g=0}}else{c[h>>2]=c[v>>2];g=0}while(0);i=z;return g|0}function dK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return HL(95588,a,0,b,c,d)|0}function eK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return HL(95588,a,1,b,c,d)|0}function fK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;h=i;i=i+144|0;j=h+4|0;f=h+8|0;g=h;c[j>>2]=d;c[g>>2]=f;Cb[c[b+60>>2]&31](b,j,e,g,f+127|0);do if((c[j>>2]|0)==(e|0)){a[c[g>>2]>>0]=0;if((gK(f,185311)|0)!=0?(c[b+68>>2]|0)==2:0)break;b=ZJ(f)|0;if((b|0)!=-1)b=c[95588+(b<<2)>>2]|0;else b=0}else b=0;while(0);i=h;return b|0}function gK(b,c){b=b|0;c=c|0;var d=0,e=0;while(1){d=a[b>>0]|0;e=a[c>>0]|0;d=(d+-97&255)<26?(d&255)+224&255:d;if(d<<24>>24!=((e+-97&255)<26?(e&255)+224&255:e)<<24>>24){c=0;break}if(!(d<<24>>24)){c=1;break}else{c=c+1|0;b=b+1|0}}return c|0}function hK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a:do if((e|0)==(f|0))h=-4;else{j=e;h=f-j|0;if(!(h&1))m=f;else{h=h&-2;if(!h){h=-1;break}m=e+h|0}h=a[e+1>>0]|0;f=a[e>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{n=100;break b}case 223:case 222:case 221:case 220:{n=107;break b}case 255:break;default:{n=105;break b}}if((f&255)>253)n=107;else{h=255;n=105}}else{l=b+76|0;do switch(d[l+(f&255)>>0]|0){case 7:{n=100;break b}case 24:case 22:{h=18;break b}case 29:{h=0;n=105;break b}case 12:{h=DK(12,b,e+2|0,m,g)|0;break a}case 13:{h=DK(13,b,e+2|0,m,g)|0;break a}case 2:{h=e+2|0;if((h|0)==(m|0)){h=-1;break a}i=a[e+3>>0]|0;f=a[h>>0]|0;c:do if(i<<24>>24){switch(i&255|0){case 220:case 221:case 222:case 223:{n=35;break c}case 255:break;default:{n=34;break c}}if((f&255)>253)n=35;else n=34}else{switch(d[l+(f&255)>>0]|0){case 7:case 6:case 5:case 29:case 24:case 22:{n=34;break c}case 16:break;case 15:{h=BK(b,e+4|0,m,g)|0;break a}default:{n=35;break c}}i=e+4|0;if((i|0)==(m|0)){h=-1;break a}d:do if(!(a[e+5>>0]|0))switch(d[l+(d[i>>0]|0)>>0]|0){case 27:{h=AK(b,e+6|0,m,g)|0;break a}case 20:{c[g>>2]=e+6;h=33;break a}case 24:case 22:{h=e+6|0;if((h|0)==(m|0)){h=-1;break a}e:while(1){if(a[i+3>>0]|0){n=32;break}switch(d[l+(d[h>>0]|0)>>0]|0){case 30:{f=i;n=27;break e}case 10:case 9:case 21:break e;case 24:case 22:break;default:{n=32;break e}}i=h+2|0;if((i|0)==(m|0)){h=-1;break a}else{k=h;h=i;i=k}}if((n|0)==32){c[g>>2]=h;h=0;break a}f:do if((n|0)==27){i=f+4|0;if((i|0)==(m|0)){h=-1;break a}if(!(a[f+5>>0]|0)){switch(d[l+(d[i>>0]|0)>>0]|0){case 30:case 10:case 9:case 21:break;default:break f}c[g>>2]=h;h=0;break a}}while(0);c[g>>2]=h;h=16;break a}default:break d}while(0);c[g>>2]=i;h=0;break a}while(0);if((n|0)==34){c[g>>2]=e;h=29;break a}else if((n|0)==35){c[g>>2]=h;h=0;break a}break}case 9:{if((e+2|0)==(m|0)){c[g>>2]=m;h=-15;break a}break}case 10:case 21:break;case 30:{h=zK(b,e+2|0,m,g)|0;break a}case 35:{c[g>>2]=e+2;h=38;break a}case 20:{c[g>>2]=e+2;h=25;break a}case 4:{h=e+2|0;if((h|0)==(m|0)){h=-26;break a}if((a[e+3>>0]|0)==0?(a[h>>0]|0)==93:0){i=e+4|0;if((i|0)==(m|0)){h=-1;break a}if((a[e+5>>0]|0)==0?(a[i>>0]|0)==62:0){c[g>>2]=e+6;h=34;break a}}c[g>>2]=h;h=26;break a}case 31:{c[g>>2]=e+2;h=23;break a}case 32:{h=e+2|0;if((h|0)==(m|0)){h=-24;break a}g:do if(!(a[e+3>>0]|0))switch(d[l+(d[h>>0]|0)>>0]|0){case 33:{c[g>>2]=e+4;h=36;break a}case 15:{c[g>>2]=e+4;h=35;break a}case 34:{c[g>>2]=e+4;h=37;break a}case 32:case 36:case 35:case 11:case 21:case 10:case 9:{c[g>>2]=h;h=24;break a}default:break g}while(0);c[g>>2]=h;h=0;break a}case 36:{c[g>>2]=e+2;h=21;break a}case 11:{c[g>>2]=e+2;h=17;break a}case 19:{f=e+2|0;if((f|0)==(m|0)){h=-1;break a}h=a[e+3>>0]|0;j=a[f>>0]|0;h:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{n=78;break h}case 223:case 222:case 221:case 220:{n=80;break h}case 255:break;default:{n=72;break h}}if((j&255)>253)n=80;else{h=255;n=72}}else switch(d[l+(j&255)>>0]|0){case 29:{h=0;n=72;break h}case 24:case 22:break h;case 7:{n=78;break h}case 5:{if((m-f|0)<2){h=-2;break a}c[g>>2]=f;h=0;break a}case 6:{if((m-f|0)<3){h=-2;break a}c[g>>2]=f;h=0;break a}default:{n=80;break h}}while(0);if((n|0)==72){k=j&255;if(!(c[93572+((d[184799+h>>0]<<3|k>>>5)<<2)>>2]&1<<(k&31))){c[g>>2]=f;h=0;break a}}else if((n|0)==78){if((m-f|0)<4){h=-2;break a}c[g>>2]=f;h=0;break a}else if((n|0)==80){c[g>>2]=f;h=0;break a}h=e+4|0;if((h|0)==(m|0)){h=-20;break a}i:while(1){f=a[f+3>>0]|0;j=a[h>>0]|0;j:do if(f<<24>>24){i=f&255;switch(i|0){case 223:case 222:case 221:case 220:{n=95;break i}case 219:case 218:case 217:case 216:{n=92;break i}case 255:break;default:{n=85;break j}}if((j&255)>253){n=95;break i}else{i=255;n=85}}else switch(d[l+(j&255)>>0]|0){case 5:{n=88;break i}case 6:{n=90;break i}case 7:{n=92;break i}case 36:case 30:case 11:case 32:case 21:case 10:case 9:{n=94;break i}case 29:{i=0;n=85;break}case 27:case 26:case 25:case 24:case 22:break;default:{n=95;break i}}while(0);if((n|0)==85?(n=0,k=j&255,(c[93572+((d[185055+i>>0]<<3|k>>>5)<<2)>>2]&1<<(k&31)|0)==0):0){n=87;break}f=h+2|0;if((f|0)==(m|0)){h=-20;break a}else{k=h;h=f;f=k}}if((n|0)==87){c[g>>2]=h;h=0;break a}else if((n|0)==88){if((m-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}else if((n|0)==90){if((m-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}else if((n|0)==92){if((m-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}else if((n|0)==94){c[g>>2]=h;h=20;break a}else if((n|0)==95){c[g>>2]=h;h=0;break a}break}case 5:{if((m-j|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((m-j|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}case 23:case 27:case 26:case 25:{h=19;break b}default:{n=107;break b}}while(0);h=e+2|0;k:do if((h|0)!=(m|0)){i=e;l:while(1){if(a[i+3>>0]|0)break;switch(d[l+(d[h>>0]|0)>>0]|0){case 10:case 21:break;case 9:{if((i+4|0)==(m|0))break l;break}default:break l}i=h+2|0;if((i|0)==(m|0))break k;else{n=h;h=i;i=n}}c[g>>2]=h;h=15;break a}while(0);c[g>>2]=m;h=15;break a}while(0);if((n|0)==100){if((m-j|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((n|0)==105){f=f&255;i=f>>>5;f=1<<(f&31);if(!(f&c[93572+((i|d[184799+h>>0]<<3)<<2)>>2]))if(!(c[93572+((d[185055+h>>0]<<3|i)<<2)>>2]&f))n=107;else h=19;else h=18}if((n|0)==107){c[g>>2]=e;h=0;break}i=e+2|0;m:do if((i|0)!=(m|0)){b=b+76|0;n:while(1){f=a[i+1>>0]|0;j=a[i>>0]|0;o:do if(f<<24>>24){f=f&255;switch(f|0){case 223:case 222:case 221:case 220:{h=i;n=148;break n}case 219:case 218:case 217:case 216:{h=i;n=119;break n}case 255:break;default:{n=112;break o}}if((j&255)>253){h=i;n=148;break n}else{f=255;n=112}}else{switch(d[b+(j&255)>>0]|0){case 5:{h=i;n=115;break n}case 6:{h=i;n=117;break n}case 7:{h=i;n=119;break n}case 10:case 9:case 21:case 30:case 20:case 36:case 35:case 32:case 11:{n=121;break n}case 34:{n=139;break n}case 33:{n=142;break n}case 15:{n=145;break n}case 29:{f=0;n=112;break o}case 27:case 26:case 25:case 24:case 22:{n=114;break o}case 23:break;default:{h=i;n=148;break n}}j=i+2|0;switch(h|0){case 18:break;case 41:{i=j;h=19;break o}default:{i=j;break o}}if((j|0)==(m|0)){h=-1;break a}h=a[i+3>>0]|0;f=a[j>>0]|0;p:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{h=j;n=135;break n}case 223:case 222:case 221:case 220:{i=j;h=19;break o}case 255:break;default:{k=h;n=128;break p}}if((f&255)>253){i=j;h=19;break o}else{k=255;n=128}}else switch(d[b+(f&255)>>0]|0){case 7:{h=j;n=135;break n}case 5:{h=j;n=131;break n}case 6:{h=j;n=133;break n}case 29:{k=0;n=128;break}case 27:case 26:case 25:case 24:case 22:break;default:{i=j;h=19;break o}}while(0);if((n|0)==128?(n=0,l=f&255,(1<<(l&31)&c[93572+((l>>>5|d[185055+k>>0]<<3)<<2)>>2]|0)==0):0){h=j;n=129;break n}i=i+4|0;h=41}while(0);if((n|0)==112){n=j&255;if(!(1<<(n&31)&c[93572+((n>>>5|d[185055+f>>0]<<3)<<2)>>2])){h=i;n=113;break}else n=114}if((n|0)==114){n=0;i=i+2|0}if((i|0)==(m|0))break m}switch(n|0){case 113:{c[g>>2]=h;h=0;break a}case 115:{if((m-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 117:{if((m-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 119:{if((m-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 121:{c[g>>2]=i;break a}case 129:{c[g>>2]=h;h=0;break a}case 131:{if((m-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 133:{if((m-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 135:{if((m-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 139:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+2;h=32;break a}case 142:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+2;h=31;break a}case 145:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+2;h=30;break a}case 148:{c[g>>2]=h;h=0;break a}}}while(0);h=0-h|0}while(0);return h|0}
function _b(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+15&-16;return b|0}function $b(){return i|0}function ac(a){a=a|0;i=a}function bc(a,b){a=a|0;b=b|0;i=a;j=b}function cc(a,b){a=a|0;b=b|0;if(!n){n=a;o=b}}function dc(b){b=b|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0]}function ec(b){b=b|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0]}function fc(a){a=a|0;C=a}function gc(){return C|0}function hc(a){a=a|0;c[10976]=a;return 0}function ic(){return c[10976]|0}function jc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;h=j+4|0;g=j;c[h>>2]=0;f=Yw()|0;bx(f,43908);bx(f,50468);bx(f,50928);ts(1)|0;ss(18)|0;e=Xt(a)|0;if(!e)a=0;else{a=0;do{if(!a){Zw(f,e,d)|0;ax(f,e,b,h,g)|0}e=Xt(181739)|0;a=c[h>>2]|0}while((e|0)!=0)}i=j;return a|0}function kc(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0.0,l=0,m=0;e=i;i=i+1056|0;m=e+16|0;j=e+8|0;l=e;f=e+32|0;a=a+16|0;g=c[44588+(c[(c[a>>2]|0)+12>>2]<<2)>>2]|0;As(g,106541)|0;c[m>>2]=c[d>>2];c[m+4>>2]=c[d+4>>2];c[m+8>>2]=c[d+8>>2];c[m+12>>2]=c[d+12>>2];lc(g,m);k=+h[d+16>>3]-+h[d>>3];h[l>>3]=k>-1.0e-08&k<1.0e-08?0.0:k;DO(f,106544,l)|0;mc(f,1);As(g,f)|0;k=+h[d+24>>3]-+h[d+8>>3];h[j>>3]=k>-1.0e-08&k<1.0e-08?0.0:k;DO(f,106544,j)|0;mc(f,1);As(g,f)|0;nc(c[44588+(c[(c[a>>2]|0)+12>>2]<<2)>>2]|0,181739,c[b+8>>2]|0);i=e;return}function lc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0,g=0;c=i;i=i+1040|0;e=c+8|0;g=c;d=c+16|0;f=+h[b>>3];h[g>>3]=f>-1.0e-08&f<1.0e-08?0.0:f;DO(d,106544,g)|0;mc(d,1);As(a,d)|0;f=+Uz(+h[b+8>>3]);h[e>>3]=f>-1.0e-08&f<1.0e-08?0.0:f;DO(d,106544,e)|0;mc(d,1);As(a,d)|0;i=c;return}function mc(b,c){b=b|0;c=c|0;var d=0,e=0;d=_O(b,46)|0;if(!d){if(c){d=b+(eP(b)|0)|0;e=10}}else{while(1){b=d+1|0;if(!(a[b>>0]|0))break;else d=b}a:while(1){switch(a[d>>0]|0){case 46:{e=5;break a}case 48:break;default:{e=6;break a}}a[d>>0]=0;d=d+-1|0}if((e|0)==5)a[d>>0]=0;else if((e|0)==6)d=d+1|0;if(c)e=10}if((e|0)==10){a[d>>0]=32;a[d+1>>0]=0}return}function nc(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+1040|0;h=f;g=f+8|0;j=eP(e)|0;c[h>>2]=d;c[h+4>>2]=j;DO(g,106807,h)|0;As(b,g)|0;As(b,e)|0;e=b+4|0;d=c[e>>2]|0;if(d>>>0>=(c[b+8>>2]|0)>>>0){ys(b,1)|0;d=c[e>>2]|0}c[e>>2]=d+1;a[d>>0]=32;i=f;return}function oc(d){d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+16|0;f=k+4|0;e=k;j=c[(c[d+16>>2]|0)+8>>2]|0;d=d+64|0;switch(c[d>>2]|0){case 0:{Xz(j);break}case 1:{if(b[(c[j+16>>2]|0)+136>>1]&1)NC(j);break}case 4:case 5:case 6:{Wz(j,e,f);h=c[e>>2]|0;f=c[f>>2]|0;e=c[d>>2]|0;d=eQ(8240)|0;c[11159]=d;a:do switch(e|0){case 6:{b[d+8232>>1]=14;c[d+8236>>2]=106726;break}case 5:{b[d+8232>>1]=12;c[d+8236>>2]=106730;break}default:{d=Qs(j,106714)|0;if(((d|0)!=0?(a[d>>0]|0)!=0:0)?(g=Dc(d)|0,(g&65535)>10):0){e=c[11159]|0;b[e+8232>>1]=g;c[e+8236>>2]=d;break a}e=Dc(106734)|0;g=c[11159]|0;b[g+8232>>1]=e;c[g+8236>>2]=106734}}while(0);e=j+16|0;d=c[e>>2]|0;if(!(c[d+180>>2]|0))c[c[11159]>>2]=0;else{d=PC(j,0,140744,181739)|0;c[c[11159]>>2]=d;d=c[e>>2]|0}if(!(a[d+113>>0]&8))c[(c[11159]|0)+4>>2]=0;else{g=PC(j,0,106738,181739)|0;c[(c[11159]|0)+4>>2]=g}g=PC(j,1,140744,181739)|0;c[(c[11159]|0)+8>>2]=g;g=PC(j,1,106738,181739)|0;c[(c[11159]|0)+12>>2]=g;g=PC(j,2,140744,181739)|0;c[(c[11159]|0)+16>>2]=g;if(!f)c[(c[11159]|0)+20>>2]=0;else{g=PC(j,2,106746,181739)|0;c[(c[11159]|0)+20>>2]=g}if(!h)c[(c[11159]|0)+24>>2]=0;else{h=PC(j,2,106754,181739)|0;c[(c[11159]|0)+24>>2]=h}d=a[(c[e>>2]|0)+113>>0]|0;if(!(d&33))c[(c[11159]|0)+28>>2]=0;else{d=PC(j,2,106738,181739)|0;c[(c[11159]|0)+28>>2]=d;d=a[(c[e>>2]|0)+113>>0]|0}if(!(d&2))c[(c[11159]|0)+32>>2]=0;else{d=PC(j,2,106762,181739)|0;c[(c[11159]|0)+32>>2]=d;d=a[(c[e>>2]|0)+113>>0]|0}if(!(d&4)){c[(c[11159]|0)+36>>2]=0;d=0}else{d=PC(j,2,106771,181739)|0;c[(c[11159]|0)+36>>2]=d;d=0}do{xs(44700+(d<<4)|0,1024,(c[11159]|0)+40+(d<<10)|0);d=d+1|0}while((d|0)!=8);break}default:{}}i=k;return}function pc(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;i=c[(c[b+16>>2]|0)+8>>2]|0;if(!(c[11207]|0)){c[11207]=c[13201];c[11208]=57;c[11209]=19}j=i+64|0;f=(c[j>>2]|0)+8|0;g=c[f>>2]|0;c[f>>2]=44828;switch(c[b+64>>2]|0){case 2:{Vz(b,i,b,0);break}case 3:{Vz(b,i,b,1);break}case 1:case 0:{if(!(c[b+152>>2]&134217728))Gv(i,b)|0;break}case 6:case 5:case 4:{d=c[11176]|0;if((d|0)==(c[11175]|0))e=i;else{e=c[c[11159]>>2]|0;if(!e){d=PC(i,0,140744,181739)|0;c[c[11159]>>2]=d;d=c[11176]|0;e=c[c[11159]>>2]|0}if(d>>>0>=(c[11177]|0)>>>0){ys(44700,1)|0;d=c[11176]|0}a[d>>0]=0;f=c[11175]|0;c[11176]=f;Ts(i,e,f)|0;e=i}if(c[(c[i+16>>2]|0)+12>>2]|0){f=c[(c[11159]|0)+4>>2]|0;d=c[11192]|0;if(d>>>0>=(c[11193]|0)>>>0){ys(44764,1)|0;d=c[11192]|0}a[d>>0]=0;d=c[11191]|0;c[11192]=d;Ts(e,f,d)|0}Us(e,106714,c[(c[11159]|0)+8236>>2]|0,181739)|0;Bs(44700);Bs(44716);Bs(44732);Bs(44748);Bs(44764);Bs(44780);Bs(44796);Bs(44812);fQ(c[11159]|0);h[23]=1.0;h[27]=1.0;c[11163]=0;c[11167]=0;if(!(c[b+152>>2]&134217728))Gv(i,b)|0;break}default:{}}c[(c[j>>2]|0)+8>>2]=g;return}function qc(b){b=b|0;var d=0,e=0;e=c[(c[b+16>>2]|0)+8>>2]|0;d=c[c[11159]>>2]|0;b=c[11180]|0;if(b>>>0>=(c[11181]|0)>>>0){ys(44716,1)|0;b=c[11180]|0}a[b>>0]=0;b=c[11179]|0;c[11180]=b;Ts(e,d,b)|0;if(c[(c[e+16>>2]|0)+12>>2]|0){d=c[(c[11159]|0)+4>>2]|0;b=c[11196]|0;if(b>>>0>=(c[11197]|0)>>>0){ys(44780,1)|0;b=c[11196]|0}a[b>>0]=0;b=c[11195]|0;c[11196]=b;Ts(e,d,b)|0}h[24]=1.0;h[28]=1.0;c[11164]=0;c[11168]=0;return}function rc(b){b=b|0;var d=0,e=0;e=c[(c[b+16>>2]|0)+8>>2]|0;b=c[11180]|0;if((b|0)!=(c[11179]|0)){d=c[(c[11159]|0)+8>>2]|0;if(b>>>0>=(c[11181]|0)>>>0){ys(44716,1)|0;b=c[11180]|0}a[b>>0]=0;b=c[11179]|0;c[11180]=b;Ts(e,d,b)|0}b=c[11196]|0;if((b|0)!=(c[11195]|0)){d=c[(c[11159]|0)+12>>2]|0;if(b>>>0>=(c[11197]|0)>>>0){ys(44780,1)|0;b=c[11196]|0}a[b>>0]=0;b=c[11195]|0;c[11196]=b;Ts(e,d,b)|0}h[31]=1.0;h[33]=1.0;c[11171]=0;c[11173]=0;return}function sc(b){b=b|0;var d=0,e=0;e=c[(c[b+16>>2]|0)+8>>2]|0;b=c[11180]|0;if((b|0)!=(c[11179]|0)){d=c[(c[11159]|0)+16>>2]|0;if(b>>>0>=(c[11181]|0)>>>0){ys(44716,1)|0;b=c[11180]|0}a[b>>0]=0;b=c[11179]|0;c[11180]=b;Ts(e,d,b)|0}b=c[11184]|0;if((b|0)!=(c[11183]|0)){d=c[(c[11159]|0)+24>>2]|0;if(b>>>0>=(c[11185]|0)>>>0){ys(44732,1)|0;b=c[11184]|0}a[b>>0]=0;b=c[11183]|0;c[11184]=b;Ts(e,d,b)|0}b=c[11188]|0;if((b|0)!=(c[11187]|0)){d=c[(c[11159]|0)+20>>2]|0;if(b>>>0>=(c[11189]|0)>>>0){ys(44748,1)|0;b=c[11188]|0}a[b>>0]=0;b=c[11187]|0;c[11188]=b;Ts(e,d,b)|0}b=c[11196]|0;if((b|0)!=(c[11195]|0)){d=c[(c[11159]|0)+28>>2]|0;if(b>>>0>=(c[11197]|0)>>>0){ys(44780,1)|0;b=c[11196]|0}a[b>>0]=0;b=c[11195]|0;c[11196]=b;Ts(e,d,b)|0}b=c[11200]|0;if((b|0)!=(c[11199]|0)){d=c[(c[11159]|0)+36>>2]|0;if(b>>>0>=(c[11201]|0)>>>0){ys(44796,1)|0;b=c[11200]|0}a[b>>0]=0;b=c[11199]|0;c[11200]=b;Ts(e,d,b)|0}b=c[11204]|0;if((b|0)!=(c[11203]|0)){d=c[(c[11159]|0)+32>>2]|0;if(b>>>0>=(c[11205]|0)>>>0){ys(44812,1)|0;b=c[11204]|0}a[b>>0]=0;b=c[11203]|0;c[11204]=b;Ts(e,d,b)|0}h[32]=1.0;h[34]=1.0;h[25]=1.0;h[26]=1.0;h[29]=1.0;h[30]=1.0;c[11172]=0;c[11174]=0;c[11165]=0;c[11166]=0;c[11169]=0;c[11170]=0;return}function tc(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0;u=i;i=i+1072|0;q=u+24|0;t=u+16|0;s=u+8|0;r=u;p=u+40|0;j=d+16|0;k=c[(c[j>>2]|0)+12>>2]|0;l=c[44588+(k<<2)>>2]|0;As(l,106702)|0;d=f+4|0;v=+h[(c[d>>2]|0)+16>>3];h[q>>3]=v>-1.0e-08&v<1.0e-08?0.0:v;DO(p,106544,q)|0;mc(p,1);As(l,p)|0;nc(c[44588+(c[(c[j>>2]|0)+12>>2]<<2)>>2]|0,181739,c[c[d>>2]>>2]|0);zc((c[j>>2]|0)+16|0);nc(c[44588+(c[(c[j>>2]|0)+12>>2]<<2)>>2]|0,115660,106635);m=a[f+48>>0]|0;m=m<<24>>24==108?-1:m<<24>>24==114&1;d=c[d>>2]|0;if(!d)g=0;else g=c[d+24>>2]&127;d=b[(c[11159]|0)+8232>>1]|0;if((d&65535)>14?(n=c[44640+((d&65535)+-15<<2)>>2]&g,o=44652+(k<<2)|0,(c[o>>2]|0)!=(n|0)):0){c[r>>2]=n;DO(p,106705,r)|0;As(l,p)|0;c[o>>2]=n}r=e+8|0;h[r>>3]=+h[f+24>>3]+ +h[r>>3];As(l,106711)|0;c[q>>2]=c[e>>2];c[q+4>>2]=c[e+4>>2];c[q+8>>2]=c[e+8>>2];c[q+12>>2]=c[e+12>>2];lc(l,q);c[s>>2]=m;DO(p,143510,s)|0;As(l,p)|0;v=+h[f+32>>3];h[t>>3]=v>-1.0e-08&v<1.0e-08?0.0:v;DO(p,106544,t)|0;mc(p,1);As(l,p)|0;nc(c[44588+(c[(c[j>>2]|0)+12>>2]<<2)>>2]|0,181739,c[f>>2]|0);i=u;return}function uc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0;m=i;i=i+1056|0;g=m+16|0;l=m+8|0;k=m;j=m+32|0;e=a+16|0;f=c[(c[e>>2]|0)+12>>2]|0;yc(a);zc((c[e>>2]|0)+16|0);nc(c[44588+(c[(c[e>>2]|0)+12>>2]<<2)>>2]|0,115660,106635);if(!d){e=c[44588+(f<<2)>>2]|0;As(e,106699)|0}else{if((d&-2|0)==2)Bc(a,d,b,2);else{zc((c[e>>2]|0)+56|0);nc(c[44588+(c[(c[e>>2]|0)+12>>2]<<2)>>2]|0,106690,106635)}e=c[44588+(f<<2)>>2]|0;As(e,106696)|0};c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];lc(e,g);n=+h[b+16>>3]-+h[b>>3];h[k>>3]=n>-1.0e-08&n<1.0e-08?0.0:n;DO(j,106544,k)|0;mc(j,1);As(e,j)|0;n=+h[b+24>>3]-+h[b+8>>3];h[l>>3]=n>-1.0e-08&n<1.0e-08?0.0:n;DO(j,106544,l)|0;mc(j,1);As(e,j)|0;i=m;return}function vc(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;yc(a);f=a+16|0;zc((c[f>>2]|0)+16|0);nc(c[44588+(c[(c[f>>2]|0)+12>>2]<<2)>>2]|0,115660,106635);if(!e)Ac(a,112,b,d);else{if((e&-2|0)==2)Bc(a,e,b,d);else{zc((c[f>>2]|0)+56|0);nc(c[44588+(c[(c[f>>2]|0)+12>>2]<<2)>>2]|0,106690,106635)}Ac(a,80,b,d)}return}function wc(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;yc(a);f=a+16|0;zc((c[f>>2]|0)+16|0);nc(c[44588+(c[(c[f>>2]|0)+12>>2]<<2)>>2]|0,115660,106635);if(!g)Ac(a,66,b,d);else{if((g&-2|0)==2)Bc(a,g,b,d);else{zc((c[f>>2]|0)+56|0);nc(c[44588+(c[(c[f>>2]|0)+12>>2]<<2)>>2]|0,106690,106635)}Ac(a,98,b,d)}return}function xc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;yc(a);e=a+16|0;zc((c[e>>2]|0)+16|0);nc(c[44588+(c[(c[e>>2]|0)+12>>2]<<2)>>2]|0,115660,106635);Ac(a,76,b,d);return}function yc(b){b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+1184|0;g=o;f=o+24|0;m=o+8|0;xs(m,1024,o+152|0);l=b+16|0;b=c[l>>2]|0;e=+h[b+152>>3];d=184+(c[b+12>>2]<<3)|0;if(e!=+h[d>>3]){h[d>>3]=e;As(m,106668)|0;h[g>>3]=+h[(c[l>>2]|0)+152>>3];DO(f,106682,g)|0;mc(f,0);As(m,f)|0;f=m+4|0;b=c[f>>2]|0;d=m+8|0;if(b>>>0>=(c[d>>2]|0)>>>0){ys(m,1)|0;b=c[f>>2]|0}c[f>>2]=b+1;a[b>>0]=41;b=c[f>>2]|0;if(b>>>0>=(c[d>>2]|0)>>>0){ys(m,1)|0;b=c[f>>2]|0}a[b>>0]=0;b=c[m>>2]|0;c[f>>2]=b;nc(c[44588+(c[(c[l>>2]|0)+12>>2]<<2)>>2]|0,106687,b);b=c[l>>2]|0}b=c[b+160>>2]|0;if(b){d=c[b>>2]|0;a:do if(d){j=m+4|0;k=m+8|0;while(1){b=b+4|0;switch(a[d>>0]|0){case 102:{if(aP(d,152118)|0)n=14;break}case 98:{if(aP(d,152100)|0)n=14;break}case 115:{if(aP(d,152105)|0)n=14;break}default:n=14}if((n|0)==14){n=0;As(m,d)|0;while(1){f=d+1|0;if(!(a[d>>0]|0)){d=f;break}else d=f}if(a[d>>0]|0){f=c[j>>2]|0;if(f>>>0>=(c[k>>2]|0)>>>0){ys(m,1)|0;f=c[j>>2]|0}c[j>>2]=f+1;a[f>>0]=40;if(a[d>>0]|0){g=0;while(1){if(g){f=c[j>>2]|0;if(f>>>0>=(c[k>>2]|0)>>>0){ys(m,1)|0;f=c[j>>2]|0}c[j>>2]=f+1;a[f>>0]=44}As(m,d)|0;f=d;while(1){d=f+1|0;if(!(a[f>>0]|0))break;else f=d}if(!(a[d>>0]|0))break;else g=g+1|0}}d=c[j>>2]|0;if(d>>>0>=(c[k>>2]|0)>>>0){ys(m,1)|0;d=c[j>>2]|0}c[j>>2]=d+1;a[d>>0]=41}d=c[j>>2]|0;if(d>>>0>=(c[k>>2]|0)>>>0){ys(m,1)|0;d=c[j>>2]|0}a[d>>0]=0;g=c[m>>2]|0;c[j>>2]=g;nc(c[44588+(c[(c[l>>2]|0)+12>>2]<<2)>>2]|0,106687,g)}d=c[b>>2]|0;if(!d)break a}}while(0);Bs(m)}i=o;return}function zc(b){b=b|0;var e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+32|0;j=k+16|0;h=k;e=a[b+3>>0]|0;f=d[b>>0]|0;g=d[b+1>>0]|0;b=d[b+2>>0]|0;if(e<<24>>24==-1){c[h>>2]=f;c[h+4>>2]=g;c[h+8>>2]=b;DO(106635,115554,h)|0}else{c[j>>2]=f;c[j+4>>2]=g;c[j+8>>2]=b;c[j+12>>2]=e&255;DO(106635,106650,j)|0}i=k;return}function Ac(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;l=i;i=i+1040|0;k=l;j=l+16|0;h=c[44588+(c[(c[b+16>>2]|0)+12>>2]<<2)>>2]|0;g=h+4|0;b=c[g>>2]|0;if(b>>>0>=(c[h+8>>2]|0)>>>0){ys(h,1)|0;b=c[g>>2]|0}c[g>>2]=b+1;a[b>>0]=d;c[k>>2]=f;DO(j,106645,k)|0;As(h,j)|0;if((f|0)>0){b=0;do{d=e+(b<<4)|0;c[k>>2]=c[d>>2];c[k+4>>2]=c[d+4>>2];c[k+8>>2]=c[d+8>>2];c[k+12>>2]=c[d+12>>2];lc(h,k);b=b+1|0}while((b|0)!=(f|0))}i=l;return}function Bc(b,d,f,j){b=b|0;d=d|0;f=f|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0;A=i;i=i+2144|0;v=A+80|0;u=A+72|0;t=A+64|0;z=A+1104|0;q=A+32|0;r=A+16|0;s=A;y=b+16|0;w=c[y>>2]|0;k=+(c[w+136>>2]|0)*3.141592653589793/180.0;if((e[(c[11159]|0)+8232>>1]|0)<14){zc(w+56|0);nc(c[44588+(c[(c[y>>2]|0)+12>>2]<<2)>>2]|0,106690,106635)}else{xs(z,1024,A+1120|0);x=(d|0)==2;if(x){ZC(f,q,j,k,2);d=z+4|0;b=c[d>>2]|0;if(b>>>0>=(c[z+8>>2]|0)>>>0){ys(z,1)|0;b=c[d>>2]|0}c[d>>2]=b+1;a[b>>0]=91;c[v>>2]=c[q>>2];c[v+4>>2]=c[q+4>>2];c[v+8>>2]=c[q+8>>2];c[v+12>>2]=c[q+12>>2];lc(z,v);u=q+16|0;c[v>>2]=c[u>>2];c[v+4>>2]=c[u+4>>2];c[v+8>>2]=c[u+8>>2];c[v+12>>2]=c[u+12>>2];lc(z,v)}else{ZC(f,q,j,0.0,3);p=+h[q+24>>3];n=+h[q>>3];m=+h[q+8>>3];o=p*.25;if(k==0.0){k=m;l=n}else{B=o;l=k;k=m+B*+R(+l);l=n+B*+Q(+l)}h[r>>3]=l;h[r+8>>3]=k;h[s>>3]=n;h[s+8>>3]=m;d=z+4|0;b=c[d>>2]|0;if(b>>>0>=(c[z+8>>2]|0)>>>0){ys(z,1)|0;b=c[d>>2]|0}c[d>>2]=b+1;a[b>>0]=40;c[v>>2]=c[r>>2];c[v+4>>2]=c[r+4>>2];c[v+8>>2]=c[r+8>>2];c[v+12>>2]=c[r+12>>2];lc(z,v);B=o;h[t>>3]=B>-1.0e-08&B<1.0e-08?0.0:B;DO(v,106544,t)|0;mc(v,1);As(z,v)|0;c[v>>2]=c[s>>2];c[v+4>>2]=c[s+4>>2];c[v+8>>2]=c[s+8>>2];c[v+12>>2]=c[s+12>>2];lc(z,v);B=p;h[u>>3]=B>-1.0e-08&B<1.0e-08?0.0:B;DO(v,106544,u)|0;mc(v,1);As(z,v)|0}As(z,106693)|0;b=w+140|0;k=+g[b>>2];d=w+56|0;if(k>0.0){Cc(z,k,d);Cc(z,+g[b>>2],w+96|0)}else{Cc(z,0.0,d);Cc(z,1.0,w+96|0)}Cs(z)|0;j=z+4|0;b=c[j>>2]|0;f=z+8|0;d=b>>>0>=(c[f>>2]|0)>>>0;if(x){if(d){ys(z,1)|0;b=c[j>>2]|0}c[j>>2]=b+1;a[b>>0]=93}else{if(d){ys(z,1)|0;b=c[j>>2]|0}c[j>>2]=b+1;a[b>>0]=41}b=c[j>>2]|0;if(b>>>0>=(c[f>>2]|0)>>>0){ys(z,1)|0;b=c[j>>2]|0}a[b>>0]=0;x=c[z>>2]|0;c[j>>2]=x;nc(c[44588+(c[(c[y>>2]|0)+12>>2]<<2)>>2]|0,106690,x);Bs(z)}i=A;return}function Cc(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+1040|0;f=d;e=d+8|0;h[f>>3]=b;DO(e,134915,f)|0;mc(e,1);zc(c);nc(a,e,106635);i=d;return}function Dc(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+1040|0;g=k;h=k+8|0;d=0;e=b;a:while(1){f=e;while(1){e=f+1|0;f=a[f>>0]|0;if(!(f<<24>>24))break a;if(((f<<24>>24)+-48|0)>>>0<10)break;else f=e}if((d|0)>=1023){j=7;break}a[h+d>>0]=f;d=d+1|0}if((j|0)==7){c[g>>2]=b;us(0,106780,g)|0}a[h+d>>0]=0;j=(NO(h)|0)&65535;i=k;return j|0}function Ec(a){a=a|0;var b=0;switch(c[a+64>>2]|0){case 0:{b=Aw(c[a>>2]|0)|0;_w(b,c[(c[a+16>>2]|0)+8>>2]|0,107675,0)|0;Bw(b);break}case 1:{Xz(c[(c[a>>2]|0)+168>>2]|0);break}default:{}}return}function Fc(b){b=b|0;var d=0,e=0,f=0,g=0;f=i;i=i+16|0;e=f;d=c[(c[b+16>>2]|0)+8>>2]|0;if(!(c[11290]|0)){c[11290]=c[13201];c[11291]=57;c[11292]=19}c[(c[d+64>>2]|0)+8>>2]=45160;Gc(d,1);c[e>>2]=0;a[e+4>>0]=(a[(c[d+16>>2]|0)+115>>0]|0)==1&1;g=c[b+64>>2]|0;a[e+5>>0]=(g|0)==0?1:(g|0)==3&1;a[e+6>>0]=0;Hc(d,b,1,e);i=f;return}function Gc(a,b){a=a|0;b=b|0;var d=0,e=0;c[a>>2]=c[a>>2]&-9;d=sv(a)|0;if(d)do{Gc(d,0);d=tv(d)|0}while((d|0)!=0);if((b|0)!=0?(e=gu(a)|0,(e|0)!=0):0)do{c[e>>2]=c[e>>2]&-9;d=at(a,e)|0;if(d)do{c[d>>2]=c[d>>2]&-9;d=ct(a,d)|0}while((d|0)!=0);e=hu(a,e)|0}while((e|0)!=0);return}function Hc(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;D=i;i=i+112|0;B=D+96|0;A=D+88|0;z=D+80|0;y=D+72|0;w=D+64|0;v=D+56|0;u=D+48|0;t=D+40|0;r=D+32|0;s=D+24|0;q=D+16|0;p=D+8|0;o=D;C=(d|0)!=0;if(C){m=hs(45172,c[13094]|0)|0;Qu(a,1,182260,12,0);Qu(a,2,182260,12,0);Qu(a,0,182260,-12,0);n=Ic(a,0,m)|0;f=gu(a)|0;if(f){h=0;k=0;while(1){if(!(gP(Ft(f)|0,149067,7)|0)){j=Ft(f)|0;j=Jb[c[m>>2]&63](m,j,512)|0;if(!j)j=-1;else j=c[j+12>>2]|0;c[(Nu(f,182260,0)|0)+8>>2]=j;l=k}else{c[(Nu(f,182260,0)|0)+8>>2]=k+n;l=k+1|0}j=at(a,f)|0;if(j){k=h;while(1){h=k+1|0;c[(Nu(j,182260,0)|0)+8>>2]=k;j=ct(a,j)|0;if(!j)break;else k=h}}f=hu(a,f)|0;if(!f)break;else k=l}}ds(m)|0;j=n}else j=0;f=c[e>>2]|0;c[e>>2]=f+1;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}pw(b,138247)|0;h=Ft(a)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}c[o>>2]=Jc(h,e)|0;uw(b,106894,o);k=(d|0)==0;if(!k){pw(b,138218)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}f=(yt(a)|0)!=0;c[p>>2]=f?149038:178372;uw(b,106907,p);f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}p=(At(a)|0)!=0;c[q>>2]=p?149038:178372;uw(b,106924,q)}Kc(a,b,e);pw(b,138218)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}if(C){c[s>>2]=j;uw(b,106937,s)}else{c[r>>2]=c[(Nu(a,182260,0)|0)+8>>2];uw(b,106957,r)}h=sv(a)|0;if(h){pw(b,138218)|0;f=c[e>>2]|0;c[e>>2]=f+1;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}if(!C){pw(b,106983)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else{f=0;break}}else f=0}else{pw(b,106969)|0;f=0}do{if(!f)f=1;else pw(b,138218)|0;if(C)Lc(h,b,e);else{c[t>>2]=c[(Nu(h,182260,0)|0)+8>>2];uw(b,178484,t)}h=tv(h)|0}while((h|0)!=0);if(C)f=1;else{c[e>>2]=(c[e>>2]|0)+-1;pw(b,196601)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}pw(b,138213)|0;f=1}}else f=0;h=gu(a)|0;if(!h){if(C&(f|0)!=0){c[e>>2]=(c[e>>2]|0)+-1;pw(b,196601)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}pw(b,138213)|0}}else{pw(b,138218)|0;if(C)if(!f){f=c[e>>2]|0;c[e>>2]=f+1;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}pw(b,106969)|0;j=h;f=0}else{j=h;f=0}else{f=c[e>>2]|0;c[e>>2]=f+1;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}pw(b,106999)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else{j=h;f=0;break}}else{j=h;f=0}}do{do if(gP(Ft(j)|0,149067,7)|0){do if(!f)if(k){f=1;x=74}else f=1;else if(C){pw(b,138218)|0;break}else{pw(b,141489)|0;x=74;break}while(0);if((x|0)==74){x=0;c[w>>2]=c[(Nu(j,182260,0)|0)+8>>2];uw(b,178484,w);break}h=c[e>>2]|0;c[e>>2]=h+1;if((h|0)>0)while(1){pw(b,130355)|0;if((h|0)>1)h=h+-1|0;else break}pw(b,138247)|0;h=c[e>>2]|0;if((h|0)>0)while(1){pw(b,130355)|0;if((h|0)>1)h=h+-1|0;else break}c[u>>2]=c[(Nu(j,182260,0)|0)+8>>2];uw(b,107011,u);h=c[e>>2]|0;if((h|0)>0)while(1){pw(b,130355)|0;if((h|0)>1)h=h+-1|0;else break}c[v>>2]=Jc(Ft(j)|0,e)|0;uw(b,106894,v);Kc(j,b,e);pw(b,196601)|0;t=c[e>>2]|0;h=t+-1|0;c[e>>2]=h;if((t|0)>1)while(1){pw(b,130355)|0;if((h|0)>1)h=h+-1|0;else break}pw(b,115165)|0}while(0);j=hu(a,j)|0}while((j|0)!=0);c[e>>2]=(c[e>>2]|0)+-1;pw(b,196601)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}pw(b,138213)|0}f=gu(a)|0;a:do if(f){while(1){if(at(a,f)|0)break;f=hu(a,f)|0;if(!f)break a}pw(b,138218)|0;h=c[e>>2]|0;c[e>>2]=h+1;if((h|0)>0)while(1){pw(b,130355)|0;if((h|0)>1)h=h+-1|0;else break}pw(b,107025)|0;if(!C?(g=c[e>>2]|0,(g|0)>0):0)while(1){pw(b,130355)|0;if((g|0)>1)g=g+-1|0;else break}if(f){g=0;do{h=at(a,f)|0;if(h)do{do if(!g)if(k){g=1;x=105}else{g=1;x=94}else if(C){pw(b,138218)|0;x=94;break}else{pw(b,141489)|0;x=105;break}while(0);if((x|0)==94){j=c[e>>2]|0;c[e>>2]=j+1;if((j|0)>0)while(1){pw(b,130355)|0;if((j|0)>1)j=j+-1|0;else break}pw(b,138247)|0;j=c[e>>2]|0;if((j|0)>0)while(1){pw(b,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[y>>2]=c[(Nu(h,182260,0)|0)+8>>2];uw(b,107011,y);j=c[e>>2]|0;if((j|0)>0)while(1){pw(b,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[z>>2]=c[(Nu(c[((c[h>>2]&3|0)==3?h:h+48|0)+40>>2]|0,182260,0)|0)+8>>2];uw(b,107037,z);j=c[e>>2]|0;if((j|0)>0)while(1){pw(b,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[A>>2]=c[(Nu(c[((c[h>>2]&3|0)==2?h:h+-48|0)+40>>2]|0,182260,0)|0)+8>>2];uw(b,107050,A);Kc(h,b,e);pw(b,196601)|0;x=c[e>>2]|0;j=x+-1|0;c[e>>2]=j;if((x|0)>1)while(1){pw(b,130355)|0;if((j|0)>1)j=j+-1|0;else break}pw(b,115165)|0}else if((x|0)==105){c[B>>2]=c[(Nu(h,182260,0)|0)+8>>2];uw(b,178484,B)}h=ct(a,h)|0}while((h|0)!=0);f=hu(a,f)|0}while((f|0)!=0)}c[e>>2]=(c[e>>2]|0)+-1;pw(b,196601)|0;f=c[e>>2]|0;if((f|0)>0)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}pw(b,138213)|0}while(0);pw(b,196601)|0;B=c[e>>2]|0;f=B+-1|0;c[e>>2]=f;if((B|0)>1)while(1){pw(b,130355)|0;if((f|0)>1)f=f+-1|0;else break}if(C)pw(b,152081)|0;else pw(b,115165)|0;i=D;return}function Ic(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;h=j;do if((yu(a)|0)!=(a|0)){e=b+1|0;c[(Nu(a,182260,0)|0)+8>>2]=b;if(!(gP(Ft(a)|0,149067,7)|0)){g=Ft(a)|0;b=c[(Nu(a,182260,0)|0)+8>>2]|0;f=Jb[c[d>>2]&63](d,g,512)|0;if(!f){h=gQ(1,16)|0;c[h+8>>2]=dP(g)|0;c[h+12>>2]=b;Jb[c[d>>2]&63](d,h,1)|0;break}if((c[f+12>>2]|0)!=(b|0)){c[h>>2]=g;us(0,107646,h)|0}}}else e=b;while(0);b=sv(a)|0;if(b)do{e=Ic(b,e,d)|0;b=tv(b)|0}while((b|0)!=0);i=j;return e|0}function Jc(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;g=d+4|0;if(a[g>>0]|0)b=SC(b)|0;if(!(c[11302]|0))xs(45208,1024,0);d=a[b>>0]|0;a:do if(d<<24>>24){f=b;while(1){switch(d&255|0){case 34:{As(45208,107625)|0;break}case 92:{As(45208,137610)|0;break}case 47:{As(45208,107628)|0;break}case 8:{As(45208,107631)|0;break}case 12:{As(45208,107634)|0;break}case 10:{As(45208,107637)|0;break}case 13:{As(45208,107640)|0;break}case 9:{As(45208,107643)|0;break}default:{e=c[11303]|0;if(e>>>0>=(c[11304]|0)>>>0){ys(45208,1)|0;e=c[11303]|0}c[11303]=e+1;a[e>>0]=d}}f=f+1|0;d=a[f>>0]|0;if(!(d<<24>>24))break a}}while(0);d=c[11303]|0;if(d>>>0>=(c[11304]|0)>>>0){ys(45208,1)|0;d=c[11303]|0}a[d>>0]=0;d=c[11302]|0;c[11303]=d;if(a[g>>0]|0)fQ(b);return d|0}function Kc(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0;_=i;i=i+336|0;Y=_+328|0;X=_+320|0;W=_+312|0;V=_+304|0;U=_+296|0;T=_+288|0;S=_+280|0;R=_+272|0;P=_+248|0;O=_+224|0;N=_+216|0;M=_+200|0;L=_+184|0;K=_+176|0;J=_+168|0;I=_+160|0;H=_+152|0;G=_+144|0;E=_+136|0;D=_+128|0;C=_+120|0;B=_+112|0;A=_+104|0;z=_+88|0;y=_+80|0;x=_+72|0;w=_+64|0;v=_+56|0;Q=_+24|0;F=_+16|0;u=_+8|0;t=_;p=yu(b)|0;q=c[b>>2]&3;f=Js(p,q,0)|0;if(f){s=e+5|0;do{g=Rs(b,f)|0;a:do if(g){if(!(a[g>>0]|0)){g=c[f+8>>2]|0;if((a[g>>0]|0)!=108)break;if(aP(g,151058)|0)break}pw(d,138218)|0;g=c[e>>2]|0;if((g|0)>0)while(1){pw(d,130355)|0;if((g|0)>1)g=g+-1|0;else break}g=f+8|0;c[t>>2]=Jc(c[g>>2]|0,e)|0;uw(d,107061,t);b:do if((a[s>>0]|0)!=0?(n=c[g>>2]|0,r=n+1|0,(a[n>>0]|0)==95):0){switch(a[r>>0]|0){case 100:{if(aP(r,107068)|0)break b;break}case 108:{if(aP(r,107074)|0)break b;break}case 104:{if(aP(r,107081)|0){o=aP(r,107095)|0;Z=18}break}case 116:{if(aP(r,107088)|0){o=aP(r,107103)|0;Z=18}break}default:break b}if((Z|0)==18?(Z=0,(o|0)!=0):0)break;g=Rs(b,f)|0;if(!g)break a;if(!(a[g>>0]|0))break a;n=Nx(g)|0;if(!n){c[u>>2]=g;us(0,107111,u)|0;break a}pw(d,196601)|0;g=c[e>>2]|0;c[e>>2]=g+1;if((g|0)>0)while(1){pw(d,130355)|0;if((g|0)>1)g=g+-1|0;else break}pw(d,107138)|0;c:do if((c[n>>2]|0)>0){l=n+8|0;m=0;g=0;while(1){if(!g)g=1;else pw(d,138218)|0;k=c[l>>2]|0;j=c[e>>2]|0;c[e>>2]=j+1;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}pw(d,138247)|0;j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}j=c[k+(m*80|0)>>2]|0;d:do switch(j|0){case 1:case 0:{c[F>>2]=(j|0)==0?69:101;uw(d,107141,F);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}ba=+h[k+(m*80|0)+16>>3];aa=+h[k+(m*80|0)+24>>3];$=+h[k+(m*80|0)+32>>3];h[Q>>3]=+h[k+(m*80|0)+8>>3];h[Q+8>>3]=ba;h[Q+16>>3]=aa;h[Q+24>>3]=$;uw(d,107154,Q);break}case 3:case 2:{c[v>>2]=(j|0)==2?80:112;uw(d,107141,v);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}Mc(d,k+(m*80|0)+8|0);break}case 5:case 4:{c[w>>2]=(j|0)==4?66:98;uw(d,107141,w);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}Mc(d,k+(m*80|0)+8|0);break}case 6:{uw(d,107189,x);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}Mc(d,k+(m*80|0)+8|0);break}case 7:{uw(d,107201,y);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}ba=+h[k+(m*80|0)+16>>3];h[z>>3]=+h[k+(m*80|0)+8>>3];h[z+8>>3]=ba;uw(d,107213,z);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}j=c[k+(m*80|0)+24>>2]|0;c[A>>2]=(j|0)==0?108:(j|0)==1?99:114;uw(d,107235,A);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}h[B>>3]=+h[k+(m*80|0)+32>>3];uw(d,107251,B);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[C>>2]=Jc(c[k+(m*80|0)+40>>2]|0,e)|0;uw(d,107268,C);break}case 9:case 8:{c[D>>2]=(j|0)==8?67:99;uw(d,107141,D);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}uw(d,107282,E);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[G>>2]=Jc(c[k+(m*80|0)+8>>2]|0,e)|0;uw(d,107299,G);break}case 13:case 14:{c[H>>2]=(j|0)==13?67:99;uw(d,107141,H);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}switch(c[k+(m*80|0)+8>>2]|0){case 0:{uw(d,107282,I);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[J>>2]=Jc(c[k+(m*80|0)+16>>2]|0,e)|0;uw(d,107299,J);break d}case 1:{uw(d,107314,K);j=c[e>>2]|0;do if((j|0)>0){while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}j=c[e>>2]|0;k=k+(m*80|0)+16|0;if((j|0)<=0)break;while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}}else k=k+(m*80|0)+16|0;while(0);ba=+h[k+8>>3];h[L>>3]=+h[k>>3];h[L+8>>3]=ba;uw(d,107333,L);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}ba=+h[k+24>>3];h[M>>3]=+h[k+16>>3];h[M+8>>3]=ba;uw(d,107355,M);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}Nc(d,c[k+32>>2]|0,c[k+36>>2]|0,e);break d}default:{uw(d,107377,N);j=c[e>>2]|0;do if((j|0)>0){while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}j=c[e>>2]|0;if((j|0)<=0)break;while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}}while(0);aa=+h[k+(m*80|0)+24>>3];ba=+h[k+(m*80|0)+32>>3];h[O>>3]=+h[k+(m*80|0)+16>>3];h[O+8>>3]=aa;h[O+16>>3]=ba;uw(d,107396,O);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}aa=+h[k+(m*80|0)+48>>3];ba=+h[k+(m*80|0)+56>>3];h[P>>3]=+h[k+(m*80|0)+40>>3];h[P+8>>3]=aa;h[P+16>>3]=ba;uw(d,107424,P);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}Nc(d,c[k+(m*80|0)+64>>2]|0,c[k+(m*80|0)+68>>2]|0,e);break d}}}case 10:{uw(d,107452,R);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}h[S>>3]=+h[k+(m*80|0)+8>>3];uw(d,107464,S);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[T>>2]=Jc(c[k+(m*80|0)+16>>2]|0,e)|0;uw(d,107480,T);break}case 11:{uw(d,107494,U);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[V>>2]=Jc(c[k+(m*80|0)+8>>2]|0,e)|0;uw(d,107506,V);break}case 15:{uw(d,107521,W);j=c[e>>2]|0;if((j|0)>0)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}c[X>>2]=c[k+(m*80|0)+8>>2];uw(d,107533,X);break}default:{}}while(0);k=c[e>>2]|0;j=k+-1|0;c[e>>2]=j;if((k|0)>1)while(1){pw(d,130355)|0;if((j|0)>1)j=j+-1|0;else break}pw(d,115165)|0;m=m+1|0;if((m|0)>=(c[n>>2]|0))break c}}while(0);c[e>>2]=(c[e>>2]|0)+-1;pw(d,196601)|0;g=c[e>>2]|0;if((g|0)>0)while(1){pw(d,130355)|0;if((g|0)>1)g=g+-1|0;else break}pw(d,138213)|0;Ox(n);break a}while(0);c[Y>>2]=Jc(Rs(b,f)|0,e)|0;uw(d,107549,Y)}while(0);f=Js(p,q,f)|0}while((f|0)!=0)}i=_;return}function Lc(a,b,c){a=a|0;b=b|0;c=c|0;Hc(a,b,0,c);a=sv(a)|0;if(a)do{pw(b,138218)|0;Lc(a,b,c);a=tv(a)|0}while((a|0)!=0);return}function Mc(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0;k=i;i=i+48|0;j=k+32|0;g=k+16|0;f=k+8|0;e=c[b>>2]|0;b=c[b+4>>2]|0;uw(a,107599,k);if((e|0)>0){d=0;do{if((d|0)>0)uw(a,141489,f);l=+h[b+(d*24|0)+8>>3];h[g>>3]=+h[b+(d*24|0)>>3];h[g+8>>3]=l;uw(a,107611,g);d=d+1|0}while((d|0)!=(e|0))}uw(a,107596,j);i=k;return}function Nc(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,j=0,k=0,l=0,m=0,n=0,o=0.0;m=i;i=i+48|0;l=m+32|0;k=m+16|0;j=m+8|0;uw(a,107554,m);if((b|0)>0){f=0;do{if((f|0)>0)uw(a,141489,j);o=+g[d+(f<<3)>>2];n=Jc(c[d+(f<<3)+4>>2]|0,e)|0;h[k>>3]=o;c[k+8>>2]=n;uw(a,107565,k);f=f+1|0}while((f|0)!=(b|0))}uw(a,107596,l);i=m;return}function Oc(a,b,d){a=a|0;b=b|0;d=d|0;fQ(c[b+8>>2]|0);fQ(b);return}function Pc(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;i=i+32|0;d=b+24|0;e=b+16|0;g=b;f=c[a+16>>2]|0;pw(a,108430)|0;k=c[c[a+12>>2]>>2]|0;j=c[k+4>>2]|0;h=c[k+8>>2]|0;c[g>>2]=c[k>>2];c[g+4>>2]=j;c[g+8>>2]=h;uw(a,108440,g);c[e>>2]=Ft(c[f+8>>2]|0)|0;uw(a,108475,e);c[d>>2]=_(c[a+168>>2]|0,c[a+164>>2]|0)|0;uw(a,108488,d);pw(a,108501)|0;pw(a,108511)|0;pw(a,108519)|0;pw(a,108527)|0;pw(a,108535)|0;pw(a,108543)|0;pw(a,108551)|0;pw(a,108555)|0;pw(a,108560)|0;i=b;return}function Qc(a){a=a|0;pw(a,108411)|0;return}function Rc(a){a=a|0;c[11364]=2;return}function Sc(a){a=a|0;c[11364]=1;return}function Tc(a){a=a|0;c[11364]=2;return}function Uc(a){a=a|0;c[11364]=0;return}function Vc(a){a=a|0;c[11364]=2;return}function Wc(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0.0;v=i;i=i+96|0;u=v+8|0;o=v;s=c[(c[b+16>>2]|0)+16>>2]|0;t=c[11364]|0;f=c[e+4>>2]|0;p=+h[f+16>>3]*+h[b+352>>3];q=(c[b+360>>2]|0)!=0?1.5707963267948966:0.0;j=c[e>>2]|0;r=p*2.0/3.0*+((eP(j)|0)>>>0)*.5;f=c[f+8>>2]|0;if(!f)n=-1;else n=c[f+20>>2]|0;m=a[e+48>>0]|0;m=m<<24>>24==108?0:m<<24>>24==114?2:1;w=+h[d>>3];l=~~(w+(w>=0.0?.5:-.5));w=+h[d+8>>3]+-72.0;k=~~(w+(w>=0.0?.5:-.5));f=c[11366]|0;if(!f){c[11367]=64;f=eQ(64)|0;c[11366]=f}e=a[j>>0]|0;if(e<<24>>24){g=0;while(1){j=j+1|0;d=c[11367]|0;if((g|0)>(d+-8|0)){f=d<<1;c[11367]=f;f=hQ(c[11366]|0,f)|0;c[11366]=f;f=f+g|0}if(e<<24>>24>-1){if(e<<24>>24==92){a[f>>0]=92;f=f+1|0;d=g+1|0}else d=g;a[f>>0]=e;f=f+1|0;d=d+1|0}else{a[f>>0]=92;c[o>>2]=e&255;DO(f+1|0,121058,o)|0;f=f+4|0;d=g+4|0}e=a[j>>0]|0;if(!(e<<24>>24))break;else g=d}}a[f>>0]=0;o=c[11366]|0;c[u>>2]=4;c[u+4>>2]=m;c[u+8>>2]=s;c[u+12>>2]=t;c[u+16>>2]=0;c[u+20>>2]=n;h[u+24>>3]=p;h[u+32>>3]=q;c[u+40>>2]=6;h[u+48>>3]=p;h[u+56>>3]=r;c[u+64>>2]=l;c[u+68>>2]=k;c[u+72>>2]=o;uw(b,108356,u);i=v;return}function Xc(e,f){e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;x=i;i=i+32|0;u=x;w=f+32|0;a:do switch(c[w>>2]|0){case 5:{h=c[f>>2]|0;j=a[h>>0]|0;k=178378;g=0;while(1){if((a[k>>0]|0)==j<<24>>24?(aP(k,h)|0)==0:0)break;g=g+1|0;if((g|0)==8)break a;else k=c[45984+(g<<2)>>2]|0}c[f>>2]=g;break}case 1:{p=a[f>>0]|0;l=p&255;q=f+1|0;r=a[q>>0]|0;m=r&255;s=f+2|0;t=a[s>>0]|0;n=t&255;o=c[11365]|0;do if((o|0)>0){g=0;h=-1;k=195075;while(1){y=(b[100716+(g<<1)>>1]|0)-l|0;z=(b[101228+(g<<1)>>1]|0)-m|0;j=(b[101740+(g<<1)>>1]|0)-n|0;j=(_(z,z)|0)+(_(y,y)|0)+(_(j,j)|0)|0;if((j|0)<(k|0))if(!j)break;else h=g;else j=k;g=g+1|0;if((g|0)<(o|0))k=j;else{v=12;break}}if((v|0)==12){c[11365]=o+1;if((o|0)==256)g=h;else{v=14;break}}g=g+32|0}else{c[11365]=o+1;g=0;v=14}while(0);if((v|0)==14){b[100716+(g<<1)>>1]=p&255;b[101228+(g<<1)>>1]=r&255;b[101740+(g<<1)>>1]=t&255;g=g+32|0;v=d[f>>0]|0;y=d[q>>0]|0;z=d[s>>0]|0;c[u>>2]=0;c[u+4>>2]=g;c[u+8>>2]=v;c[u+12>>2]=y;c[u+16>>2]=z;uw(e,108299,u)}c[f>>2]=g;break}default:Na(179560,107699,163,107730)}while(0);c[w>>2]=6;i=x;return}function Yc(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0,r=0,s=0.0,t=0.0;n=i;i=i+96|0;m=n;e=c[a+16>>2]|0;g=~~+h[e+152>>3];j=c[e+16>>2]|0;k=c[e+56>>2]|0;l=c[11364]|0;d=(d|0)!=0?20:-1;switch(c[e+144>>2]|0){case 1:{e=1;f=10.0;break}case 2:{e=2;f=10.0;break}default:{e=0;f=0.0}}t=+h[b>>3];r=~~(t+(t>=0.0?.5:-.5));s=+h[b+8>>3];q=~~(s+(s>=0.0?.5:-.5));p=+h[b+16>>3];t=p-t;o=+h[b+24>>3];s=o-s;c[m>>2]=1;c[m+4>>2]=1;c[m+8>>2]=e;c[m+12>>2]=g;c[m+16>>2]=j;c[m+20>>2]=k;c[m+24>>2]=l;c[m+28>>2]=0;c[m+32>>2]=d;h[m+40>>3]=f;c[m+48>>2]=0;h[m+56>>3]=0.0;c[m+64>>2]=r;c[m+68>>2]=q;c[m+72>>2]=~~(t+(t>=0.0?.5:-.5));c[m+76>>2]=~~(s+(s>=0.0?.5:-.5));c[m+80>>2]=r;c[m+84>>2]=q;c[m+88>>2]=~~(p+(p>=0.0?.5:-.5));c[m+92>>2]=~~(o+(o>=0.0?.5:-.5));uw(a,108234,m);i=n;return}function Zc(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+80|0;o=p;g=c[a+16>>2]|0;k=~~+h[g+152>>3];l=c[g+16>>2]|0;m=c[g+56>>2]|0;n=c[11364]|0;e=(e|0)!=0?20:-1;f=d+1|0;switch(c[g+144>>2]|0){case 1:{g=1;j=10.0;break}case 2:{g=2;j=10.0;break}default:{g=0;j=0.0}}c[o>>2]=2;c[o+4>>2]=3;c[o+8>>2]=g;c[o+12>>2]=k;c[o+16>>2]=l;c[o+20>>2]=m;c[o+24>>2]=n;c[o+28>>2]=0;c[o+32>>2]=e;h[o+40>>3]=j;c[o+48>>2]=0;c[o+52>>2]=0;c[o+56>>2]=0;c[o+60>>2]=0;c[o+64>>2]=0;c[o+68>>2]=f;uw(a,108138,o);bd(a,b,d,1);i=p;return}function _c(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0;H=i;i=i+176|0;G=H+168|0;E=H+160|0;F=H+96|0;x=H+88|0;e=H+80|0;v=H+16|0;u=H;f=c[a+16>>2]|0;z=~~+h[f+152>>3];C=c[f+16>>2]|0;D=c[11364]|0;if((d|0)<=3)Na(107692,107699,360,107719);y=eQ((d*140|0)+140|0)|0;switch(c[f+144>>2]|0){case 1:{A=1;B=10.0;break}case 2:{A=2;B=10.0;break}default:{A=0;B=0.0}}if(!g){w=-1;s=0;t=4}else{w=20;s=c[f+56>>2]|0;t=5}J=+h[b>>3];g=v+48|0;h[g>>3]=J;I=+h[b+8>>3];j=v+56|0;h[j>>3]=I;c[e>>2]=~~(J+(J>=0.0?.5:-.5));c[e+4>>2]=~~(I+(I>=0.0?.5:-.5));k=u+8|0;r=(((d+-4|0)>>>0)/3|0)*6|0;l=v+16|0;m=v+24|0;n=v+32|0;o=v+40|0;p=v+48|0;q=3;f=y+(DO(y,120910,e)|0)|0;e=0;while(1){c[v>>2]=c[g>>2];c[v+4>>2]=c[g+4>>2];c[v+8>>2]=c[g+8>>2];c[v+12>>2]=c[g+12>>2];K=e+1|0;h[l>>3]=+h[b+(K<<4)>>3];h[m>>3]=+h[b+(K<<4)+8>>3];K=e+2|0;h[n>>3]=+h[b+(K<<4)>>3];h[o>>3]=+h[b+(K<<4)+8>>3];e=e+3|0;h[p>>3]=+h[b+(e<<4)>>3];h[j>>3]=+h[b+(e<<4)+8>>3];e=1;do{xC(u,v,3,+(e|0)/6.0,0,0);I=+h[u>>3];J=+h[k>>3];c[x>>2]=~~(I+(I>=0.0?.5:-.5));c[x+4>>2]=~~(J+(J>=0.0?.5:-.5));f=f+(DO(f,120910,x)|0)|0;e=e+1|0}while((e|0)!=7);e=q+3|0;if((e|0)<(d|0)){K=q;q=e;e=K}else break}g=r+7|0;c[F>>2]=3;c[F+4>>2]=t;c[F+8>>2]=A;c[F+12>>2]=z;c[F+16>>2]=C;c[F+20>>2]=s;c[F+24>>2]=D;c[F+28>>2]=0;c[F+32>>2]=w;h[F+40>>3]=B;c[F+48>>2]=0;c[F+52>>2]=0;c[F+56>>2]=0;c[F+60>>2]=g;uw(a,108189,F);c[E>>2]=y;uw(a,120917,E);fQ(y);if((g|0)>0){f=r+6|0;e=0;do{c[G>>2]=((e|0)%(f|0)|0|0)!=0&1;uw(a,120922,G);e=e+1|0}while((e|0)!=(g|0))}pw(a,196601)|0;i=H;return}function $c(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0,j=0,k=0,l=0,m=0;m=i;i=i+80|0;l=m;e=c[a+16>>2]|0;g=~~+h[e+152>>3];j=c[e+16>>2]|0;k=c[11364]|0;switch(c[e+144>>2]|0){case 1:{e=1;f=10.0;break}case 2:{e=2;f=10.0;break}default:{e=0;f=0.0}}c[l>>2]=2;c[l+4>>2]=1;c[l+8>>2]=e;c[l+12>>2]=g;c[l+16>>2]=j;c[l+20>>2]=0;c[l+24>>2]=k;c[l+28>>2]=0;c[l+32>>2]=0;h[l+40>>3]=f;c[l+48>>2]=0;c[l+52>>2]=0;c[l+56>>2]=0;c[l+60>>2]=0;c[l+64>>2]=0;c[l+68>>2]=d;uw(a,108138,l);bd(a,b,d,0);i=m;return}function ad(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=b;uw(a,108132,e);i=d;return}function bd(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0.0,m=0.0;k=i;i=i+16|0;j=k+8|0;g=k;if((d|0)>0){f=0;do{m=+h[b+(f<<4)>>3];l=+h[b+(f<<4)+8>>3];c[g>>2]=~~(m+(m>=0.0?.5:-.5));c[g+4>>2]=~~(l+(l>=0.0?.5:-.5));uw(a,120910,g);f=f+1|0}while((f|0)!=(d|0))}if(e){l=+h[b>>3];m=+h[b+8>>3];c[j>>2]=~~(l+(l>=0.0?.5:-.5));c[j+4>>2]=~~(m+(m>=0.0?.5:-.5));uw(a,120910,j)}pw(a,196601)|0;i=k;return}function cd(b){b=b|0;var d=0,e=0,f=0;d=c[b+16>>2]|0;switch(c[b+64>>2]|0){case 0:{pw(b,108081)|0;d=d+208|0;e=c[d>>2]|0;if((e|0)!=0?(a[e>>0]|0)!=0:0){pw(b,108095)|0;pw(b,sz(c[d>>2]|0)|0)|0;pw(b,196601)|0}break}case 1:{e=d+208|0;f=c[e>>2]|0;if((f|0)!=0?(a[f>>0]|0)!=0:0){pw(b,108095)|0;pw(b,sz(c[e>>2]|0)|0)|0;pw(b,143678)|0;pw(b,sz(Ft(c[d+8>>2]|0)|0)|0)|0;pw(b,196601)|0}break}case 3:{f=sz(Ft(c[d+8>>2]|0)|0)|0;pw(b,108104)|0;pw(b,f)|0;pw(b,108114)|0;pw(b,f)|0;pw(b,108069)|0;break}default:{}}return}function dd(a){a=a|0;var b=0;b=c[a+16>>2]|0;switch(c[a+64>>2]|0){case 2:{fd(a,c[b+264>>2]|0,c[b+272>>2]|0,c[b+268>>2]|0,c[b+208>>2]|0,c[b+228>>2]|0,c[b+244>>2]|0,c[b+212>>2]|0);break}case 3:{fd(a,c[b+264>>2]|0,c[b+272>>2]|0,c[b+268>>2]|0,c[b+208>>2]|0,c[b+228>>2]|0,c[b+244>>2]|0,c[b+212>>2]|0);pw(a,108073)|0;break}default:{}}return}function ed(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;g=c[a+16>>2]|0;fd(a,c[g+264>>2]|0,c[g+272>>2]|0,c[g+268>>2]|0,b,d,e,f);return}function fd(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;y=i;i=i+128|0;x=y+120|0;u=y+112|0;t=y+96|0;s=y+80|0;r=y+56|0;w=y+48|0;q=y+40|0;v=y+24|0;p=y;a:do if((e|0)!=0&(f|0)!=0){if((c[11443]|0)<(f|0)){o=f+10|0;c[11443]=o;c[11444]=hQ(c[11444]|0,o<<3)|0}o=(f|0)>0;if(o){m=c[11444]|0;n=0;do{z=+h[e+(n<<4)>>3];c[m+(n<<3)>>2]=~~(z+(z>=0.0?.5:-.5));z=+h[e+(n<<4)+8>>3];c[m+(n<<3)+4>>2]=~~(z+(z>=0.0?.5:-.5));n=n+1|0}while((n|0)!=(f|0))}n=b+64|0;m=c[n>>2]|0;e=(g|0)!=0;if(e&(m|0)==0?(a[g>>0]|0)!=0:0)switch(d|0){case 0:{f=c[11444]|0;v=c[f>>2]|0;w=c[f+12>>2]|0;x=c[f+8>>2]|0;f=c[f+4>>2]|0;c[p>>2]=g;c[p+4>>2]=v;c[p+8>>2]=w;c[p+12>>2]=x;c[p+16>>2]=f;uw(b,107815,p);break a}case 1:{f=c[11444]|0;w=c[f>>2]|0;x=c[f+4>>2]|0;f=(c[f+8>>2]|0)-w|0;c[v>>2]=g;c[v+4>>2]=w;c[v+8>>2]=x;c[v+12>>2]=f;uw(b,107836,v);break a}case 2:{c[q>>2]=g;uw(b,107856,q);if(o){m=0;do{v=c[11444]|0;x=c[v+(m<<3)+4>>2]|0;c[w>>2]=c[v+(m<<3)>>2];c[w+4>>2]=x;uw(b,107864,w);m=m+1|0}while((m|0)!=(f|0))}pw(b,196601)|0;break a}default:Na(179560,107871,63,107891)}if(e&(m|0)==1?(a[g>>0]|0)!=0:0)if(!d){v=c[11444]|0;w=c[v+12>>2]|0;x=c[v+8>>2]|0;f=c[v+4>>2]|0;c[r>>2]=c[v>>2];c[r+4>>2]=w;c[r+8>>2]=x;c[r+12>>2]=f;c[r+16>>2]=g;c[r+20>>2]=j;uw(b,107908,r);break}else Na(179560,107871,75,107891);if((m&-2|0)==2){switch(d|0){case 1:{pw(b,107941)|0;break}case 0:{pw(b,107962)|0;break}case 2:{pw(b,107981)|0;break}default:Na(179560,107871,91,107891)}if((l|0)!=0?(a[l>>0]|0)!=0:0){pw(b,113466)|0;pw(b,uz(l)|0)|0;pw(b,139728)|0}if(e?(a[g>>0]|0)!=0:0){pw(b,108e3)|0;pw(b,uz(g)|0)|0;pw(b,139728)|0}if((k|0)!=0?(a[k>>0]|0)!=0:0){pw(b,114425)|0;pw(b,sz(k)|0)|0;pw(b,139728)|0}if((j|0)!=0?(a[j>>0]|0)!=0:0){pw(b,108008)|0;pw(b,sz(j)|0)|0;pw(b,139728)|0}pw(b,108017)|0;pw(b,108025)|0;switch(d|0){case 1:{f=c[11444]|0;w=c[f>>2]|0;x=c[f+4>>2]|0;f=(c[f+8>>2]|0)-w|0;c[s>>2]=w;c[s+4>>2]=x;c[s+8>>2]=f;uw(b,108035,s);break}case 0:{v=c[11444]|0;w=c[v+12>>2]|0;x=c[v+8>>2]|0;f=c[v+4>>2]|0;c[t>>2]=c[v>>2];c[t+4>>2]=w;c[t+8>>2]=x;c[t+12>>2]=f;uw(b,108044,t);break}case 2:{v=c[11444]|0;w=c[v+4>>2]|0;c[u>>2]=c[v>>2];c[u+4>>2]=w;uw(b,108056,u);if((f|0)>1){m=1;do{v=c[11444]|0;w=c[v+(m<<3)+4>>2]|0;c[x>>2]=c[v+(m<<3)>>2];c[x+4>>2]=w;uw(b,108062,x);m=m+1|0}while((m|0)!=(f|0))}break}default:{}}if((c[n>>2]|0)==3){pw(b,113290)|0;break}else{pw(b,108069)|0;break}}}while(0);i=y;return}function gd(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;i=i+32|0;d=b+24|0;e=b+16|0;g=b;f=c[a+16>>2]|0;pw(a,108430)|0;k=c[c[a+12>>2]>>2]|0;j=c[k+4>>2]|0;h=c[k+8>>2]|0;c[g>>2]=c[k>>2];c[g+4>>2]=j;c[g+8>>2]=h;uw(a,108440,g);c[e>>2]=Ft(c[f+8>>2]|0)|0;uw(a,108475,e);c[d>>2]=_(c[a+168>>2]|0,c[a+164>>2]|0)|0;uw(a,108488,d);pw(a,108501)|0;pw(a,108511)|0;pw(a,108519)|0;pw(a,108527)|0;pw(a,108535)|0;pw(a,108543)|0;pw(a,108551)|0;pw(a,108555)|0;pw(a,108560)|0;i=b;return}function hd(a){a=a|0;pw(a,108411)|0;return}function id(a){a=a|0;c[11495]=2;return}function jd(a){a=a|0;c[11495]=1;return}function kd(a){a=a|0;c[11495]=2;return}function ld(a){a=a|0;c[11495]=0;return}function md(a){a=a|0;c[11495]=2;return}function nd(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0.0;u=i;i=i+96|0;t=u+8|0;o=u;r=c[(c[b+16>>2]|0)+16>>2]|0;s=c[11495]|0;f=c[e+4>>2]|0;p=+h[f+16>>3]*+h[b+352>>3];q=(c[b+360>>2]|0)!=0?1.5707963267948966:0.0;f=c[f+8>>2]|0;if(!f)m=-1;else m=c[f+20>>2]|0;n=a[e+48>>0]|0;n=n<<24>>24==108?0:n<<24>>24==114?2:1;v=+h[d>>3];l=~~(v+(v>=0.0?.5:-.5));v=+h[d+8>>3];k=~~(v+(v>=0.0?.5:-.5));e=c[e>>2]|0;f=c[11506]|0;if(!f){c[11507]=64;f=eQ(64)|0;c[11506]=f}d=a[e>>0]|0;if(d<<24>>24){g=0;j=e;while(1){j=j+1|0;e=c[11507]|0;if((g|0)>(e+-8|0)){f=e<<1;c[11507]=f;f=hQ(c[11506]|0,f)|0;c[11506]=f;f=f+g|0}if(d<<24>>24>-1){if(d<<24>>24==92){a[f>>0]=92;f=f+1|0;e=g+1|0}else e=g;a[f>>0]=d;f=f+1|0;e=e+1|0}else{a[f>>0]=92;c[o>>2]=d&255;DO(f+1|0,121058,o)|0;f=f+4|0;e=g+4|0}d=a[j>>0]|0;if(!(d<<24>>24))break;else g=e}}a[f>>0]=0;o=c[11506]|0;c[t>>2]=4;c[t+4>>2]=n;c[t+8>>2]=r;c[t+12>>2]=s;c[t+16>>2]=0;c[t+20>>2]=m;h[t+24>>3]=p;h[t+32>>3]=q;c[t+40>>2]=4;h[t+48>>3]=0.0;h[t+56>>3]=0.0;c[t+64>>2]=l;c[t+68>>2]=k;c[t+72>>2]=o;uw(b,108356,t);i=u;return}function od(e,f){e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;x=i;i=i+32|0;u=x;w=f+32|0;a:do switch(c[w>>2]|0){case 5:{h=c[f>>2]|0;j=a[h>>0]|0;k=178378;g=0;while(1){if((a[k>>0]|0)==j<<24>>24?(aP(k,h)|0)==0:0)break;g=g+1|0;if((g|0)==8)break a;else k=c[45984+(g<<2)>>2]|0}c[f>>2]=g;break}case 1:{p=a[f>>0]|0;l=p&255;q=f+1|0;r=a[q>>0]|0;m=r&255;s=f+2|0;t=a[s>>0]|0;n=t&255;o=c[11505]|0;do if((o|0)>0){g=0;h=-1;k=195075;while(1){y=(b[102252+(g<<1)>>1]|0)-l|0;z=(b[102764+(g<<1)>>1]|0)-m|0;j=(b[103276+(g<<1)>>1]|0)-n|0;j=(_(z,z)|0)+(_(y,y)|0)+(_(j,j)|0)|0;if((j|0)<(k|0))if(!j)break;else h=g;else j=k;g=g+1|0;if((g|0)<(o|0))k=j;else{v=12;break}}if((v|0)==12){c[11505]=o+1;if((o|0)==256)g=h;else{v=14;break}}g=g+32|0}else{c[11505]=o+1;g=0;v=14}while(0);if((v|0)==14){b[102252+(g<<1)>>1]=p&255;b[102764+(g<<1)>>1]=r&255;b[103276+(g<<1)>>1]=t&255;g=g+32|0;v=d[f>>0]|0;y=d[q>>0]|0;z=d[s>>0]|0;c[u>>2]=0;c[u+4>>2]=g;c[u+8>>2]=v;c[u+12>>2]=y;c[u+16>>2]=z;uw(e,108299,u)}c[f>>2]=g;break}case 0:{c[f>>2]=0;break}default:Na(179560,108320,168,108339)}while(0);c[w>>2]=6;i=x;return}function pd(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0,r=0,s=0.0,t=0.0;n=i;i=i+96|0;m=n;e=c[a+16>>2]|0;g=~~+h[e+152>>3];j=c[e+16>>2]|0;k=c[e+56>>2]|0;l=c[11495]|0;d=(d|0)!=0?20:-1;switch(c[e+144>>2]|0){case 1:{e=1;f=10.0;break}case 2:{e=2;f=10.0;break}default:{e=0;f=0.0}}t=+h[b>>3];r=~~(t+(t>=0.0?.5:-.5));s=+h[b+8>>3];q=~~(s+(s>=0.0?.5:-.5));p=+h[b+16>>3];t=p-t;o=+h[b+24>>3];s=o-s;c[m>>2]=1;c[m+4>>2]=1;c[m+8>>2]=e;c[m+12>>2]=g;c[m+16>>2]=j;c[m+20>>2]=k;c[m+24>>2]=l;c[m+28>>2]=0;c[m+32>>2]=d;h[m+40>>3]=f;c[m+48>>2]=0;h[m+56>>3]=0.0;c[m+64>>2]=r;c[m+68>>2]=q;c[m+72>>2]=~~(t+(t>=0.0?.5:-.5));c[m+76>>2]=~~(s+(s>=0.0?.5:-.5));c[m+80>>2]=r;c[m+84>>2]=q;c[m+88>>2]=~~(p+(p>=0.0?.5:-.5));c[m+92>>2]=~~(o+(o>=0.0?.5:-.5));uw(a,108234,m);i=n;return}function qd(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+80|0;o=p;g=c[a+16>>2]|0;k=~~+h[g+152>>3];l=c[g+16>>2]|0;m=c[g+56>>2]|0;n=c[11495]|0;e=(e|0)!=0?20:-1;f=d+1|0;switch(c[g+144>>2]|0){case 1:{g=1;j=10.0;break}case 2:{g=2;j=10.0;break}default:{g=0;j=0.0}}c[o>>2]=2;c[o+4>>2]=3;c[o+8>>2]=g;c[o+12>>2]=k;c[o+16>>2]=l;c[o+20>>2]=m;c[o+24>>2]=n;c[o+28>>2]=0;c[o+32>>2]=e;h[o+40>>3]=j;c[o+48>>2]=0;c[o+52>>2]=0;c[o+56>>2]=0;c[o+60>>2]=0;c[o+64>>2]=0;c[o+68>>2]=f;uw(a,108138,o);ud(a,b,d,1);i=p;return}function rd(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0;H=i;i=i+176|0;G=H+168|0;E=H+160|0;F=H+96|0;x=H+88|0;e=H+80|0;v=H+16|0;u=H;f=c[a+16>>2]|0;z=~~+h[f+152>>3];C=c[f+16>>2]|0;D=c[11495]|0;y=eQ((d*140|0)+140|0)|0;switch(c[f+144>>2]|0){case 1:{A=1;B=10.0;break}case 2:{A=2;B=10.0;break}default:{A=0;B=0.0}}if(!g){w=-1;s=0;t=4}else{w=20;s=c[f+56>>2]|0;t=5}J=+h[b>>3];q=v+48|0;h[q>>3]=J;I=+h[b+8>>3];r=v+56|0;h[r>>3]=I;c[e>>2]=~~(J+(J>=0.0?.5:-.5));c[e+4>>2]=~~(I+(I>=0.0?.5:-.5));f=DO(y,120910,e)|0;if((d|0)>3){g=u+8|0;j=(((d+-4|0)>>>0)/3|0)*6|0;k=v+16|0;l=v+24|0;m=v+32|0;n=v+40|0;o=v+48|0;p=3;f=y+f|0;e=0;while(1){c[v>>2]=c[q>>2];c[v+4>>2]=c[q+4>>2];c[v+8>>2]=c[q+8>>2];c[v+12>>2]=c[q+12>>2];K=e+1|0;h[k>>3]=+h[b+(K<<4)>>3];h[l>>3]=+h[b+(K<<4)+8>>3];K=e+2|0;h[m>>3]=+h[b+(K<<4)>>3];h[n>>3]=+h[b+(K<<4)+8>>3];e=e+3|0;h[o>>3]=+h[b+(e<<4)>>3];h[r>>3]=+h[b+(e<<4)+8>>3];e=1;do{xC(u,v,3,+(e|0)/6.0,0,0);I=+h[u>>3];J=+h[g>>3];c[x>>2]=~~(I+(I>=0.0?.5:-.5));c[x+4>>2]=~~(J+(J>=0.0?.5:-.5));f=f+(DO(f,120910,x)|0)|0;e=e+1|0}while((e|0)!=7);e=p+3|0;if((e|0)<(d|0)){K=p;p=e;e=K}else break}g=j+7|0}else g=1;c[F>>2]=3;c[F+4>>2]=t;c[F+8>>2]=A;c[F+12>>2]=z;c[F+16>>2]=C;c[F+20>>2]=s;c[F+24>>2]=D;c[F+28>>2]=0;c[F+32>>2]=w;h[F+40>>3]=B;c[F+48>>2]=0;c[F+52>>2]=0;c[F+56>>2]=0;c[F+60>>2]=g;uw(a,108189,F);c[E>>2]=y;uw(a,120917,E);fQ(y);if((g|0)>0){f=g+-1|0;e=0;do{c[G>>2]=((e|0)%(f|0)|0|0)!=0&1;uw(a,120922,G);e=e+1|0}while((e|0)!=(g|0))}pw(a,196601)|0;i=H;return}function sd(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0,j=0,k=0,l=0,m=0;m=i;i=i+80|0;l=m;e=c[a+16>>2]|0;g=~~+h[e+152>>3];j=c[e+16>>2]|0;k=c[11495]|0;switch(c[e+144>>2]|0){case 1:{e=1;f=10.0;break}case 2:{e=2;f=10.0;break}default:{e=0;f=0.0}}c[l>>2]=2;c[l+4>>2]=1;c[l+8>>2]=e;c[l+12>>2]=g;c[l+16>>2]=j;c[l+20>>2]=0;c[l+24>>2]=k;c[l+28>>2]=0;c[l+32>>2]=0;h[l+40>>3]=f;c[l+48>>2]=0;c[l+52>>2]=0;c[l+56>>2]=0;c[l+60>>2]=0;c[l+64>>2]=0;c[l+68>>2]=d;uw(a,108138,l);ud(a,b,d,0);i=m;return}function td(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=b;uw(a,108132,e);i=d;return}function ud(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0.0,m=0.0;k=i;i=i+16|0;j=k+8|0;g=k;if((d|0)>0){f=0;do{m=+h[b+(f<<4)>>3];l=+h[b+(f<<4)+8>>3];c[g>>2]=~~(m+(m>=0.0?.5:-.5));c[g+4>>2]=~~(l+(l>=0.0?.5:-.5));uw(a,120910,g);f=f+1|0}while((f|0)!=(d|0))}if(e){l=+h[b>>3];m=+h[b+8>>3];c[j>>2]=~~(l+(l>=0.0?.5:-.5));c[j+4>>2]=~~(m+(m>=0.0?.5:-.5));uw(a,120910,j)}pw(a,196601)|0;i=k;return}function vd(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;d=i;i=i+16|0;b=d;pw(a,113138)|0;if((c[a+64>>2]|0)==2)pw(a,113153)|0;else pw(a,196601)|0;g=c[c[a+12>>2]>>2]|0;f=c[g+4>>2]|0;e=c[g+8>>2]|0;c[b>>2]=c[g>>2];c[b+4>>2]=f;c[b+8>>2]=e;uw(a,113164,b);i=d;return}function wd(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;g=i;i=i+32|0;f=g+8|0;e=g;pw(a,113092)|0;d=a+64|0;b=a+12|0;if((c[d>>2]|0)!=2){c[e>>2]=c[(c[b>>2]|0)+28>>2];uw(a,113103,e)}if((c[(c[b>>2]|0)+20>>2]|0)==0?(c[d>>2]|0)!=2:0){b=c[a+476>>2]|0;d=c[a+480>>2]|0;e=c[a+484>>2]|0;c[f>>2]=c[a+472>>2];c[f+4>>2]=b;c[f+8>>2]=d;c[f+12>>2]=e;uw(a,109472,f)}pw(a,113118)|0;pw(a,113131)|0;i=g;return}function xd(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;l=i;i=i+48|0;k=l+24|0;f=l+8|0;d=l;j=l+32|0;g=c[b+16>>2]|0;a[109402]=0;e=b+12|0;h=g+8|0;if(!(c[(c[e>>2]|0)+28>>2]|0)){c[d>>2]=Ft(c[h>>2]|0)|0;uw(b,109403,d);d=b+64|0;if((c[d>>2]|0)==2)pw(b,109436)|0;else pw(b,109418)|0;do if(!(c[(c[e>>2]|0)+20>>2]|0))if((c[d>>2]|0)==2){n=c[b+460>>2]|0;m=c[b+464>>2]|0;d=c[b+468>>2]|0;c[f>>2]=c[b+456>>2];c[f+4>>2]=n;c[f+8>>2]=m;c[f+12>>2]=d;uw(b,109472,f);break}else{pw(b,109448)|0;break}while(0);pw(b,109502)|0;zA(b,c[(c[e>>2]|0)+24>>2]|0,46276);BA(b);d=c[(c[e>>2]|0)+20>>2]|0;if(d){c[j>>2]=c[d>>2];c[j+4>>2]=0;zA(b,0,j)}}c[11568]=(a[(c[(c[h>>2]|0)+16>>2]|0)+115>>0]|0)==1?1:-1;if(!(a[109402]|0)){pw(b,109522)|0;a[109402]=1}d=c[g+208>>2]|0;if(d){c[k>>2]=CA(d,c[11568]|0)|0;uw(b,109535,k)}i=l;return}function yd(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;b=i;i=i+16|0;f=b;c[f>>2]=d;c[f+4>>2]=e;uw(a,109386,f);i=b;return}function zd(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0;s=i;i=i+144|0;r=s+128|0;q=s+112|0;p=s+72|0;o=s+56|0;n=s+40|0;m=s+32|0;e=s+24|0;b=s+8|0;d=s;f=c[a+456>>2]|0;g=c[a+460>>2]|0;j=c[a+464>>2]|0;k=c[a+468>>2]|0;l=a+12|0;t=(c[(c[l>>2]|0)+28>>2]|0)+1|0;c[d>>2]=t;c[d+4>>2]=t;uw(a,109013,d);if(!(c[(c[l>>2]|0)+20>>2]|0)){c[b>>2]=f;c[b+4>>2]=g;c[b+8>>2]=j;c[b+12>>2]=k;uw(a,109030,b)}d=a+360|0;c[e>>2]=(c[d>>2]|0)!=0?109064:109074;uw(a,109083,e);b=a+64|0;if((c[b>>2]|0)==1){c[m>>2]=j;c[m+4>>2]=k;uw(a,109108,m)}m=c[a+200>>2]|0;t=c[a+204>>2]|0;c[n>>2]=c[a+196>>2];c[n+4>>2]=m;c[n+8>>2]=t;uw(a,109147,n);if(!(c[(c[l>>2]|0)+20>>2]|0)){c[o>>2]=f;c[o+4>>2]=g;c[o+8>>2]=j-f;c[o+12>>2]=k-g;uw(a,109167,o)}w=+h[a+496>>3];t=c[d>>2]|0;v=+h[a+504>>3];u=+h[a+512>>3];h[p>>3]=+h[a+488>>3];h[p+8>>3]=w;c[p+16>>2]=t;h[p+24>>3]=v;h[p+32>>3]=u;uw(a,109207,p);if((c[b>>2]|0)==1){if((j|0)>14399|(k|0)>14399){t=c[(c[l>>2]|0)+16>>2]|0;c[q>>2]=j;c[q+4>>2]=k;c[q+8>>2]=14400;Fb[t&63](109250,q)}c[r>>2]=f;c[r+4>>2]=g;c[r+8>>2]=j;c[r+12>>2]=k;uw(a,109345,r)}i=s;return}function Ad(a){a=a|0;var b=0,d=0,e=0;e=i;i=i+16|0;d=e;b=a+12|0;if(c[(c[b>>2]|0)+20>>2]|0){pw(a,108937)|0;zA(a,0,(c[(c[b>>2]|0)+20>>2]|0)+4|0)}pw(a,108954)|0;pw(a,108981)|0;c[d>>2]=c[(c[b>>2]|0)+28>>2];uw(a,108996,d);i=e;return}function Bd(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;d=b;c[d>>2]=Ft(c[(c[a+16>>2]|0)+8>>2]|0)|0;uw(a,108930,d);pw(a,108923)|0;i=b;return}function Cd(a){a=a|0;pw(a,124351)|0;return}function Dd(a){a=a|0;pw(a,108923)|0;return}function Ed(a){a=a|0;pw(a,124351)|0;return}function Fd(a){a=a|0;pw(a,108923)|0;return}function Gd(a){a=a|0;pw(a,124351)|0;return}function Hd(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=i;i=i+16|0;f=e;if((b|0)!=0?(g=(c[a+16>>2]|0)+272|0,(c[g>>2]|0)!=0):0){pw(a,108819)|0;xw(a,c[g>>2]|0,2);pw(a,108830)|0;c[f>>2]=CA(b,c[11568]|0)|0;uw(a,108834,f)}i=e;return}function Id(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0;l=i;i=i+32|0;j=l+8|0;k=l;f=c[b+16>>2]|0;if(!(+h[f+40>>3]<.5)){Pd(b,f+16|0);g=e+4|0;vw(b,+h[(c[g>>2]|0)+16>>3]);c[j>>2]=c[c[g>>2]>>2];uw(b,108778,j);g=CA(c[e>>2]|0,c[11568]|0)|0;switch(a[e+48>>0]|0){case 114:{f=e+32|0;h[d>>3]=+h[d>>3]-+h[f>>3];break}case 108:{f=e+32|0;break}default:{f=e+32|0;h[d>>3]=+h[d>>3]-+h[f>>3]*.5}}m=d+8|0;h[m>>3]=+h[e+24>>3]+ +h[m>>3];c[j>>2]=c[d>>2];c[j+4>>2]=c[d+4>>2];c[j+8>>2]=c[d+8>>2];c[j+12>>2]=c[d+12>>2];ww(b,j);pw(b,108793)|0;vw(b,+h[f>>3]);c[k>>2]=g;uw(b,108802,k)}i=l;return}function Jd(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;g=i;i=i+32|0;f=g;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2];c[f+12>>2]=c[b+12>>2];h[f+16>>3]=+h[b+16>>3]-+h[b>>3];h[f+24>>3]=+h[b+24>>3]-+h[b+8>>3];b=a+16|0;if((d|0)!=0?(e=c[b>>2]|0,+h[e+80>>3]>.5):0){Pd(a,e+56|0);xw(a,f,2);pw(a,108736)|0}if(+h[(c[b>>2]|0)+40>>3]>.5){Qd(a);Pd(a,(c[b>>2]|0)+16|0);xw(a,f,2);pw(a,108756)|0}i=g;return}function Kd(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0;k=i;i=i+16|0;j=k;g=a+16|0;if((e|0)!=0?(f=c[g>>2]|0,+h[f+80>>3]>.5):0){Pd(a,f+56|0);pw(a,108657)|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];ww(a,j);pw(a,108666)|0;if((d|0)>1){f=1;do{e=b+(f<<4)|0;c[j>>2]=c[e>>2];c[j+4>>2]=c[e+4>>2];c[j+8>>2]=c[e+8>>2];c[j+12>>2]=c[e+12>>2];ww(a,j);pw(a,108675)|0;f=f+1|0}while((f|0)!=(d|0))}pw(a,108702)|0}if(+h[(c[g>>2]|0)+40>>3]>.5){Qd(a);Pd(a,(c[g>>2]|0)+16|0);pw(a,108657)|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];ww(a,j);pw(a,108666)|0;if((d|0)>1){f=1;do{g=b+(f<<4)|0;c[j>>2]=c[g>>2];c[j+4>>2]=c[g+4>>2];c[j+8>>2]=c[g+8>>2];c[j+12>>2]=c[g+12>>2];ww(a,j);pw(a,108675)|0;f=f+1|0}while((f|0)!=(d|0))}pw(a,108718)|0}i=k;return}function Ld(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0;l=i;i=i+16|0;j=l;e=a+16|0;if((g|0)!=0?(k=c[e>>2]|0,+h[k+80>>3]>.5):0){Pd(a,k+56|0);pw(a,108657)|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];ww(a,j);pw(a,108666)|0;if((d|0)>1){f=1;do{xw(a,b+(f<<4)|0,3);pw(a,108692)|0;f=f+3|0}while((f|0)<(d|0))}pw(a,108702)|0}if(+h[(c[e>>2]|0)+40>>3]>.5){Qd(a);Pd(a,(c[e>>2]|0)+16|0);pw(a,108657)|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];ww(a,j);pw(a,108666)|0;if((d|0)>1){f=1;do{xw(a,b+(f<<4)|0,3);pw(a,108692)|0;f=f+3|0}while((f|0)<(d|0))}pw(a,108684)|0}i=l;return}function Md(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0;g=i;i=i+16|0;f=g;e=a+16|0;if(+h[(c[e>>2]|0)+40>>3]>.5){Qd(a);Pd(a,(c[e>>2]|0)+16|0);pw(a,108657)|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2];c[f+12>>2]=c[b+12>>2];ww(a,f);pw(a,108666)|0;if((d|0)>1){e=1;do{j=b+(e<<4)|0;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2];ww(a,f);pw(a,108675)|0;e=e+1|0}while((e|0)!=(d|0))}pw(a,108684)|0}i=g;return}function Nd(a,b){a=a|0;b=b|0;pw(a,108654)|0;pw(a,b)|0;pw(a,196601)|0;return}function Od(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+32|0;k=n+16|0;m=n+8|0;l=n;g=a+16|0;if((f|0)!=0?(j=c[g>>2]|0,+h[j+80>>3]>.5):0){Pd(a,j+56|0);pw(a,124246)|0;xw(a,d,e);pw(a,143678)|0;c[k>>2]=c[d>>2];c[k+4>>2]=c[d+4>>2];c[k+8>>2]=c[d+8>>2];c[k+12>>2]=c[d+12>>2];ww(a,k);c[l>>2]=e;c[l+4>>2]=b;uw(a,108571,l)}if(+h[(c[g>>2]|0)+40>>3]>.5){Qd(a);Pd(a,(c[g>>2]|0)+16|0);pw(a,124246)|0;xw(a,d,e);pw(a,143678)|0;c[k>>2]=c[d>>2];c[k+4>>2]=c[d+4>>2];c[k+8>>2]=c[d+8>>2];c[k+12>>2]=c[d+12>>2];ww(a,k);c[m>>2]=e;c[m+4>>2]=b;uw(a,108587,m)}i=n;return}function Pd(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0;f=i;i=i+32|0;e=f;if(b){switch(c[(c[a+16>>2]|0)+4>>2]|0){case 1:case 0:{d=152567;break}case 2:{d=152523;break}case 3:{d=152532;break}default:d=108623}j=+h[b+8>>3];g=+h[b+16>>3];h[e>>3]=+h[b>>3];h[e+8>>3]=j;h[e+16>>3]=g;c[e+24>>2]=d;uw(a,108630,e)}i=f;return}function Qd(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;l=m+8|0;k=m;j=b+16|0;g=c[j>>2]|0;d=c[g+160>>2]|0;vw(b,+h[g+152>>3]);pw(b,108604)|0;if((d|0)!=0?(e=c[d>>2]|0,(e|0)!=0):0){g=e;do{d=d+4|0;if(aP(g,152105)|0){f=g;while(1){e=f+1|0;if(!(a[f>>0]|0))break;else f=e}if(a[e>>0]|0)do{c[k>>2]=e;uw(b,108619,k);f=e;while(1){e=f+1|0;if(!(a[f>>0]|0))break;else f=e}}while((a[e>>0]|0)!=0);if(!(aP(g,175423)|0))h[(c[j>>2]|0)+152>>3]=0.0;c[l>>2]=g;uw(b,138138,l)}g=c[d>>2]|0}while((g|0)!=0)}i=m;return}function Rd(b){b=b|0;var d=0;pw(b,114704)|0;d=Qs(c[(c[b>>2]|0)+168>>2]|0,114760)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0){pw(b,114771)|0;pw(b,d)|0;pw(b,114795)|0}pw(b,114816)|0;pw(b,114864)|0;pw(b,114918)|0;d=b+12|0;pw(b,sz(c[c[c[d>>2]>>2]>>2]|0)|0)|0;pw(b,118021)|0;pw(b,sz(c[(c[c[d>>2]>>2]|0)+4>>2]|0)|0)|0;pw(b,118031)|0;pw(b,sz(c[(c[c[d>>2]>>2]|0)+8>>2]|0)|0)|0;pw(b,115242)|0;pw(b,115345)|0;return}function Sd(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0.0,l=0.0,m=0.0;j=i;i=i+48|0;g=j+16|0;f=j+8|0;e=j;d=c[b+16>>2]|0;pw(b,114539)|0;d=d+8|0;if(a[(Ft(c[d>>2]|0)|0)>>0]|0){pw(b,115205)|0;pw(b,sz(Ft(c[d>>2]|0)|0)|0)|0}c[e>>2]=_(c[b+168>>2]|0,c[b+164>>2]|0)|0;uw(b,114544,e);e=c[b+452>>2]|0;c[f>>2]=c[b+448>>2];c[f+4>>2]=e;uw(b,114560,f);m=+h[b+392>>3];l=+h[b+400>>3];k=+h[b+408>>3];h[g>>3]=+h[b+384>>3];h[g+8>>3]=m;h[g+16>>3]=l;h[g+24>>3]=k;uw(b,114593,g);pw(b,114624)|0;pw(b,114660)|0;pw(b,116228)|0;i=j;return}function Td(a){a=a|0;pw(a,114531)|0;return}function Ud(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;oe(a,b,0,142745,c[(c[a+16>>2]|0)+8>>2]|0);pw(a,116228)|0;return}function Vd(a){a=a|0;pw(a,114379)|0;return}function Wd(b){b=b|0;var d=0,e=0,f=0,g=0;e=i;i=i+16|0;f=e;g=c[b+16>>2]|0;d=g+8|0;oe(b,c[g+212>>2]|0,0,152567,c[d>>2]|0);pw(b,114483)|0;vw(b,+h[b+488>>3]);pw(b,143678)|0;vw(b,+h[b+496>>3]);c[f>>2]=0-(c[b+360>>2]|0);uw(b,114502,f);vw(b,+h[b+504>>3]);pw(b,143678)|0;vw(b,-+h[b+512>>3]);pw(b,114526)|0;if(a[(Ft(c[d>>2]|0)|0)>>0]|0){pw(b,114435)|0;pw(b,sz(Ft(c[d>>2]|0)|0)|0)|0;pw(b,114443)|0}i=e;return}function Xd(a){a=a|0;pw(a,114379)|0;return}function Yd(a){a=a|0;var b=0,d=0;d=c[a+16>>2]|0;b=d+8|0;oe(a,c[d+212>>2]|0,0,149067,c[b>>2]|0);pw(a,116228)|0;pw(a,114435)|0;pw(a,sz(Ft(c[b>>2]|0)|0)|0)|0;pw(a,114443)|0;return}function Zd(a){a=a|0;pw(a,114379)|0;return}function _d(a){a=a|0;var b=0,d=0,e=0;d=c[a+16>>2]|0;b=c[a+160>>2]|0;if((b|0)>1)b=c[(c[(c[a>>2]|0)+308>>2]|0)+(b<<2)>>2]|0;else b=0;e=d+8|0;oe(a,c[d+212>>2]|0,b,152523,c[e>>2]|0);pw(a,116228)|0;pw(a,114435)|0;pw(a,sz(Ft(c[e>>2]|0)|0)|0)|0;pw(a,114443)|0;return}function $d(a){a=a|0;pw(a,114379)|0;return}function ae(a){a=a|0;var b=0,d=0;d=c[a+16>>2]|0;b=d+8|0;oe(a,c[d+212>>2]|0,0,152532,c[b>>2]|0);pw(a,116228)|0;pw(a,114435)|0;b=rz(143218,c[b>>2]|0)|0;pw(a,sz(b)|0)|0;fQ(b);pw(a,114443)|0;return}function be(a){a=a|0;pw(a,114379)|0;return}function ce(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;pw(b,114385)|0;if(f){pw(b,114388)|0;pw(b,sz(f)|0)|0;pw(b,139728)|0}pw(b,114278)|0;pw(b,116189)|0;if((c|0)!=0?(a[c>>0]|0)!=0:0){pw(b,114396)|0;pw(b,c)|0;pw(b,139728)|0}if((d|0)!=0?(a[d>>0]|0)!=0:0){pw(b,114410)|0;pw(b,tz(d,1)|0)|0;pw(b,139728)|0}if((e|0)!=0?(a[e>>0]|0)!=0:0){pw(b,114425)|0;pw(b,sz(e)|0)|0;pw(b,139728)|0}pw(b,116228)|0;return}function de(a){a=a|0;pw(a,116183)|0;pw(a,114379)|0;return}function ee(e,f,g){e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0;M=i;i=i+176|0;L=M+160|0;K=M+152|0;F=M+136|0;J=M+128|0;E=M+120|0;D=M+112|0;C=M+104|0;B=M+96|0;A=M+88|0;y=M+80|0;w=M+72|0;v=M+64|0;u=M+56|0;t=M+48|0;j=M+40|0;q=M+32|0;s=M+24|0;r=M+16|0;p=M+8|0;o=M;G=c[e+16>>2]|0;pw(e,113910)|0;switch(a[g+48>>0]|0){case 108:{pw(e,113916)|0;break}case 114:{pw(e,113937)|0;break}default:pw(e,113956)|0}H=f+8|0;I=+h[g+24>>3]+ +h[H>>3];h[H>>3]=I;H=G+260|0;if(!(b[H>>1]&512)){pw(e,113978)|0;vw(e,+h[f>>3]);pw(e,113983)|0;vw(e,-I);pw(e,139728)|0}x=g+4|0;f=c[x>>2]|0;n=c[f+8>>2]|0;if(n){switch(c[(c[(c[(c[e>>2]|0)+168>>2]|0)+16>>2]|0)+244>>2]|0){case 1:{m=n;f=n+16|0;j=n+8|0;break}case 2:{m=n+24|0;f=n+32|0;j=n+28|0;break}default:{m=n+4|0;f=n+16|0;j=n+8|0}}k=c[f>>2]|0;j=c[j>>2]|0;l=c[n+12>>2]|0;c[o>>2]=c[m>>2];uw(e,113989,o);f=c[n+24>>2]|0;if(f){c[p>>2]=f;uw(e,114006,p)}pw(e,139728)|0;if(j){c[r>>2]=j;uw(e,114010,r)}if(l){c[s>>2]=l;uw(e,114028,s)}if(!k)k=0;else{c[q>>2]=k;uw(e,114047,q)}}else{c[j>>2]=c[f>>2];uw(e,114064,j);k=0;j=0}f=c[x>>2]|0;if((f|0)!=0?(z=c[f+24>>2]|0,(z&127|0)!=0):0){if(!((j|0)!=0|(z&1|0)==0))uw(e,114082,t);if(!((k|0)!=0|(z&2|0)==0))uw(e,114102,u);if(z&100){uw(e,114123,v);if(!(z&4))f=0;else{uw(e,146868,w);f=1}if(z&64){c[y>>2]=(f|0)!=0?141489:181739;uw(e,114142,y);f=1}if(z&32){c[A>>2]=(f|0)!=0?141489:181739;uw(e,114153,A)}uw(e,139728,B)}if(z&8)uw(e,114168,C);if(z&16)uw(e,114192,D)}h[E>>3]=+h[(c[x>>2]|0)+16>>3];uw(e,114214,E);f=G+16|0;switch(c[G+48>>2]|0){case 5:{f=c[f>>2]|0;if(YO(f,178378)|0){c[J>>2]=f;uw(e,114232,J)}break}case 1:{E=d[f+1>>0]|0;J=d[f+2>>0]|0;c[F>>2]=d[f>>0];c[F+4>>2]=E;c[F+8>>2]=J;uw(e,114243,F);break}default:Na(179560,113424,486,114265)}pw(e,114278)|0;if(b[H>>1]&512){c[K>>2]=sz(c[G+212>>2]|0)|0;uw(e,114280,K);pw(e,114329)|0;vw(e,-I);pw(e,114347)|0}pw(e,tz(c[g>>2]|0,1)|0)|0;if(b[H>>1]&512)uw(e,114350,L);pw(e,114370)|0;i=M;return}function fe(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;switch(c|0){case 2:{d=me(a,b,2)|0;break}case 3:{d=ne(a)|0;break}default:d=0}pw(a,113874)|0;ke(a,c,d);pw(a,113883)|0;vw(a,+h[b>>3]);pw(a,113889)|0;d=b+8|0;vw(a,-+h[d>>3]);pw(a,113896)|0;vw(a,+h[b+16>>3]-+h[b>>3]);pw(a,113903)|0;vw(a,+h[b+24>>3]-+h[d>>3]);pw(a,113290)|0;return}function ge(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;switch(d|0){case 2:{e=me(a,b,c)|0;break}case 3:{e=ne(a)|0;break}default:e=0}pw(a,113865)|0;ke(a,d,e);pw(a,113280)|0;if((c|0)>0){d=0;do{vw(a,+h[b+(d<<4)>>3]);pw(a,141489)|0;vw(a,-+h[b+(d<<4)+8>>3]);pw(a,143678)|0;d=d+1|0}while((d|0)!=(c|0))}vw(a,+h[b>>3]);pw(a,141489)|0;vw(a,-+h[b+8>>3]);pw(a,113290)|0;return}function he(a,d,e,f,g,j){a=a|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0;l=i;i=i+16|0;k=l;g=c[a+16>>2]|0;switch(j|0){case 2:{f=me(a,d,e)|0;break}case 3:{f=ne(a)|0;break}default:f=0}pw(a,113460)|0;if(b[g+260>>1]&512){pw(a,113466)|0;pw(a,sz(c[g+212>>2]|0)|0)|0;pw(a,113472)|0}ke(a,j,f);pw(a,113477)|0;if((e|0)>0){f=77;j=0;while(1){c[k>>2]=f;uw(a,113482,k);vw(a,+h[d+(j<<4)>>3]);pw(a,141489)|0;vw(a,-+h[d+(j<<4)+8>>3]);g=j+1|0;if((g|0)==(e|0))break;else{f=(j|0)==0?67:32;j=g}}}pw(a,113290)|0;i=l;return}function ie(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;pw(a,113270)|0;ke(a,0,0);pw(a,113280)|0;if((c|0)>0){d=0;do{vw(a,+h[b+(d<<4)>>3]);pw(a,141489)|0;vw(a,-+h[b+(d<<4)+8>>3]);pw(a,143678)|0;d=d+1|0}while((d|0)!=(c|0))}pw(a,113290)|0;return}function je(a,b){a=a|0;b=b|0;pw(a,113264)|0;pw(a,sz(b)|0)|0;pw(a,115345)|0;return}function ke(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+96|0;l=q+48|0;p=q+40|0;n=q+32|0;o=q+24|0;k=q+16|0;g=q+8|0;f=q;m=c[b+16>>2]|0;pw(b,113295)|0;a:do switch(d|0){case 2:{c[f>>2]=e;uw(b,113303,f);break}case 3:{c[g>>2]=e;uw(b,113314,g);break}case 0:{pw(b,176797)|0;break}default:{d=m+56|0;f=l;g=d;j=f+40|0;do{c[f>>2]=c[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(j|0));le(b,l);if((c[m+88>>2]|0)==1){d=a[d+3>>0]|0;switch(d<<24>>24){case -1:case 0:break a;default:{}}h[k>>3]=+(d&255)/255.0;uw(b,113325,k)}}}while(0);pw(b,113344)|0;e=m+16|0;f=l;g=e;j=f+40|0;do{c[f>>2]=c[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(j|0));le(b,l);d=m+152|0;if(+h[d>>3]!=1.0){pw(b,113355)|0;vw(b,+h[d>>3])}switch(c[m+144>>2]|0){case 1:{c[o>>2]=113395;uw(b,113372,o);break}case 2:{c[n>>2]=113399;uw(b,113372,n);break}default:{}}b:do if((c[m+48>>2]|0)==1){d=a[e+3>>0]|0;switch(d<<24>>24){case -1:case 0:break b;default:{}}h[p>>3]=+(d&255)/255.0;uw(b,113403,p)}while(0);pw(b,139728)|0;i=q;return}function le(b,d){b=b|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;a:do switch(c[d+32>>2]|0){case 5:{pw(b,c[d>>2]|0)|0;break}case 1:if(!(a[d+3>>0]|0)){pw(b,178891)|0;break a}else{d=c[d>>2]|0;c[e>>2]=d&255;c[e+4>>2]=d>>>8&255;c[e+8>>2]=d>>>16&255;uw(b,115554,e);break a}default:Na(179560,113424,117,113444)}while(0);i=f;return}function me(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=i;i=i+112|0;o=t+64|0;r=t+56|0;n=t+48|0;m=t+40|0;j=t;l=t+8|0;q=c[11939]|0;c[11939]=q+1;p=c[b+16>>2]|0;f=+(c[p+136>>2]|0)*3.141592653589793/180.0;c[l>>2]=0;c[l+4>>2]=0;c[l+8>>2]=0;c[l+12>>2]=0;c[l+16>>2]=0;c[l+20>>2]=0;c[l+24>>2]=0;c[l+28>>2]=0;ZC(d,l,e,f,0);c[o>>2]=q;uw(b,113697,o);pw(b,113762)|0;vw(b,+h[l>>3]);pw(b,113767)|0;vw(b,+h[l+8>>3]);pw(b,113774)|0;vw(b,+h[l+16>>3]);pw(b,113781)|0;vw(b,+h[l+24>>3]);pw(b,113788)|0;l=p+140|0;f=+g[l>>2];if(f>0.0){h[j>>3]=f+-.001;uw(b,113793,j)}else pw(b,113569)|0;d=p+56|0;e=o;j=d;k=e+40|0;do{c[e>>2]=c[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(k|0));le(b,o);pw(b,113605)|0;a:do if((c[p+88>>2]|0)==1){d=a[d+3>>0]|0;switch(d<<24>>24){case -1:case 0:{s=7;break a}default:{}}h[m>>3]=+(d&255)/255.0;uw(b,140336,m)}else s=7;while(0);if((s|0)==7)pw(b,113620)|0;pw(b,113623)|0;f=+g[l>>2];if(f>0.0){h[n>>3]=f;uw(b,113793,n)}else pw(b,113629)|0;d=p+96|0;e=o;j=d;k=e+40|0;do{c[e>>2]=c[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(k|0));le(b,o);pw(b,113605)|0;b:do if((c[p+128>>2]|0)==1){d=a[d+3>>0]|0;switch(d<<24>>24){case -1:case 0:{s=14;break b}default:{}}h[r>>3]=+(d&255)/255.0;uw(b,140336,r)}else s=14;while(0);if((s|0)==14)pw(b,113620)|0;pw(b,113833)|0;i=t;return q|0}function ne(b){b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0;q=i;i=i+64|0;l=q+16|0;o=q+8|0;k=q;n=c[11938]|0;c[11938]=n+1;m=c[b+16>>2]|0;r=+(c[m+136>>2]|0)*3.141592653589793/180.0;e=r;if(r==0.0){f=50;d=50}else{f=~~((+Q(+e)+1.0)*50.0);d=~~((1.0-+R(+e))*50.0)}c[l>>2]=n;c[l+4>>2]=f;c[l+8>>2]=d;uw(b,113485,l);pw(b,113569)|0;d=m+56|0;f=l;g=d;j=f+40|0;do{c[f>>2]=c[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(j|0));le(b,l);pw(b,113605)|0;a:do if((c[m+88>>2]|0)==1){d=a[d+3>>0]|0;switch(d<<24>>24){case -1:case 0:{p=6;break a}default:{}}h[k>>3]=+(d&255)/255.0;uw(b,140336,k)}else p=6;while(0);if((p|0)==6)pw(b,113620)|0;pw(b,113623)|0;pw(b,113629)|0;d=m+96|0;f=l;g=d;j=f+40|0;do{c[f>>2]=c[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(j|0));le(b,l);pw(b,113605)|0;b:do if((c[m+128>>2]|0)==1){d=a[d+3>>0]|0;switch(d<<24>>24){case -1:case 0:{p=10;break b}default:{}}h[o>>3]=+(d&255)/255.0;uw(b,140336,o)}else p=10;while(0);if((p|0)==10)pw(b,113620)|0;pw(b,113665)|0;i=q;return n|0}function oe(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;k=i;i=i+16|0;j=k+8|0;h=k;pw(b,114453)|0;pw(b,sz(d)|0)|0;if(e){c[h>>2]=sz(e)|0;uw(b,114461,h)}c[j>>2]=f;uw(b,114465,j);d=Qs(g,114477)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0){pw(b,143678)|0;pw(b,sz(d)|0)|0}pw(b,139728)|0;i=k;return}function pe(a){a=a|0;var b=0;pw(a,115226)|0;b=a+12|0;pw(a,c[c[c[b>>2]>>2]>>2]|0)|0;pw(a,118021)|0;pw(a,c[(c[c[b>>2]>>2]|0)+4>>2]|0)|0;pw(a,118031)|0;pw(a,c[(c[c[b>>2]>>2]|0)+8>>2]|0)|0;pw(a,115242)|0;return}function qe(b){b=b|0;var d=0,e=0,f=0;f=i;i=i+16|0;e=f;d=c[b+16>>2]|0;pw(b,115203)|0;d=d+8|0;if(a[(Ft(c[d>>2]|0)|0)>>0]|0){pw(b,115205)|0;pw(b,Ft(c[d>>2]|0)|0)|0}c[e>>2]=_(c[b+168>>2]|0,c[b+164>>2]|0)|0;uw(b,115214,e);c[11990]=0;i=f;return}function re(a){a=a|0;c[11990]=1;return}function se(a){a=a|0;c[11990]=-1;return}function te(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+48|0;j=n+8|0;m=n;f=c[b+16>>2]|0;if((c[f+144>>2]|0)!=0?(l=e+4|0,k=~~(+h[(c[l>>2]|0)+16>>3]*+h[b+352>>3]),(k|0)!=0):0){ze(b);pw(b,115142)|0;g=d+8|0;h[g>>3]=+h[g>>3]-+(k|0)*.55;c[j>>2]=c[d>>2];c[j+4>>2]=c[d+4>>2];c[j+8>>2]=c[d+8>>2];c[j+12>>2]=c[d+12>>2];ww(b,j);pw(b,115156)|0;pw(b,c[e>>2]|0)|0;pw(b,115165)|0;pw(b,114963)|0;g=j;d=f+16|0;f=g+40|0;do{c[g>>2]=c[d>>2];g=g+4|0;d=d+4|0}while((g|0)<(f|0));Ae(b,j);pw(b,115167)|0;j=c[l>>2]|0;l=c[j+8>>2]|0;l=c[((l|0)==0?j:l+4|0)>>2]|0;pw(b,139728)|0;pw(b,l)|0;pw(b,139728)|0;c[m>>2]=k;uw(b,115176,m);switch(a[e+48>>0]|0){case 108:{pw(b,115181)|0;break}case 114:{pw(b,115192)|0;break}default:{}}Be(b);pw(b,196601)|0}i=n;return}function ue(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0;k=i;i=i+48|0;f=k;g=c[a+16>>2]|0;j=g+144|0;if(c[j>>2]|0){n=+h[b>>3];e=b+8|0;m=+h[e>>3];l=+h[b+24>>3]-m;h[b>>3]=n-(+h[b+16>>3]-n);h[e>>3]=m-l;ze(a);pw(a,115128)|0;xw(a,b,2);pw(a,114963)|0;do if(!d)if(!(c[11990]|0)){pw(a,138254)|0;break}else{pw(a,178286)|0;break}else{b=f;d=g+56|0;e=b+40|0;do{c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));Ae(a,f)}while(0);if((c[11990]|0)==1)c[11990]=0;pw(a,115074)|0;vw(a,+h[g+152>>3]);pw(a,115117)|0;b=f;d=g+16|0;e=b+40|0;do{c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));Ae(a,f);b=c[j>>2]|0;if((b|0)==1){pw(a,114971)|0;b=c[j>>2]|0}if((b|0)==2)pw(a,114980)|0;Be(a);pw(a,196601)|0}i=k;return}function ve(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0;k=i;i=i+48|0;f=k;g=c[a+16>>2]|0;j=g+144|0;if(c[j>>2]|0){ze(a);pw(a,115100)|0;xw(a,b,d);pw(a,114963)|0;do if(!e)if(!(c[11990]|0)){pw(a,138254)|0;break}else{pw(a,178286)|0;break}else{b=f;e=g+56|0;d=b+40|0;do{c[b>>2]=c[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(d|0));Ae(a,f)}while(0);if((c[11990]|0)==1)c[11990]=0;pw(a,115074)|0;vw(a,+h[g+152>>3]);pw(a,115117)|0;b=f;e=g+16|0;d=b+40|0;do{c[b>>2]=c[e>>2];b=b+4|0;e=e+4|0}while((b|0)<(d|0));Ae(a,f);b=c[j>>2]|0;if((b|0)==1){pw(a,114971)|0;b=c[j>>2]|0}if((b|0)==2)pw(a,114980)|0;Be(a);pw(a,196601)|0}i=k;return}function we(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0;m=i;i=i+48|0;j=m;k=c[a+16>>2]|0;l=k+144|0;if(c[l>>2]|0){ze(a);pw(a,114949)|0;xw(a,b,d);pw(a,114963)|0;f=j;e=k+16|0;g=f+40|0;do{c[f>>2]=c[e>>2];f=f+4|0;e=e+4|0}while((f|0)<(g|0));Ae(a,j);pw(a,115074)|0;vw(a,+h[k+152>>3]);f=c[l>>2]|0;if((f|0)==1){pw(a,114971)|0;f=c[l>>2]|0}if((f|0)==2)pw(a,114980)|0;pw(a,115083)|0;Be(a);pw(a,196601)|0}i=m;return}function xe(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+48|0;g=j;e=c[a+16>>2]|0;h=e+144|0;if(c[h>>2]|0){ze(a);pw(a,114949)|0;xw(a,b,d);pw(a,114963)|0;f=g;b=e+16|0;d=f+40|0;do{c[f>>2]=c[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));Ae(a,g);b=c[h>>2]|0;if((b|0)==1){pw(a,114971)|0;b=c[h>>2]|0}if((b|0)==2)pw(a,114980)|0;Be(a);pw(a,196601)|0}i=j;return}function ye(a,b){a=a|0;b=b|0;pw(a,114946)|0;pw(a,b)|0;pw(a,196601)|0;return}function ze(b){b=b|0;if(!(a[b+144>>0]|0))pw(b,115071)|0;else pw(b,c[b+148>>2]|0)|0;return}function Ae(b,d){b=b|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;a:do switch(c[d+32>>2]|0){case 5:{pw(b,c[d>>2]|0)|0;break}case 1:if(!(a[d+3>>0]|0)){pw(b,138254)|0;break a}else{d=c[d>>2]|0;c[e>>2]=d&255;c[e+4>>2]=d>>>8&255;c[e+8>>2]=d>>>16&255;uw(b,115554,e);break a}default:Na(179560,114989,49,115053)}while(0);i=f;return}function Be(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;g=h;b=c[a+16>>2]|0;switch(c[b+12>>2]|0){case 8:{d=1;e=c[(c[b+8>>2]|0)+8>>2]|0;f=152523;break}case 10:{d=0;e=c[(c[b+8>>2]|0)+8>>2]|0;f=152523;break}case 3:case 2:case 9:{d=1;e=c[(c[b+8>>2]|0)+8>>2]|0;f=152532;break}case 7:case 6:case 11:{d=0;e=c[(c[b+8>>2]|0)+8>>2]|0;f=152532;break}case 0:{d=1;e=c[(c[b+8>>2]|0)+8>>2]|0;f=152567;break}case 4:{d=0;e=c[(c[b+8>>2]|0)+8>>2]|0;f=115025;break}case 1:{d=1;e=c[(c[b+8>>2]|0)+8>>2]|0;f=152567;break}case 5:{d=0;e=c[(c[b+8>>2]|0)+8>>2]|0;f=152567;break}default:Na(179560,114989,106,115008)}c[g>>2]=d;c[g+4>>2]=f;c[g+8>>2]=e;uw(a,115037,g);i=h;return}function Ce(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=i;i=i+16|0;e=t;d=c[12043]|0;if(!d){c[12044]=64;d=zz(64)|0;c[12043]=d}a:do if((b|0)!=0?(q=e+15|0,r=e+14|0,f=a[b>>0]|0,f<<24>>24!=0):0){k=0;e=0;g=0;p=0;m=0;h=0;b:while(1){n=g;j=h;c:while(1){g=c[12044]|0;if((p|0)>(g+-8|0)){d=g<<1;c[12044]=d;d=Bz(c[12043]|0,d)|0;c[12043]=d;f=a[b>>0]|0;d=d+p|0}switch(f<<24>>24){case 60:{g=b;h=n;l=4;f=143207;o=39;break c}case 62:{l=4;k=j;f=143202;o=40;break c}case 45:{f=n;g=j;o=38;break c}case 38:{g=a[b+1>>0]|0;d:do if(g<<24>>24!=35){if(((g&-33)+-65&255)<26){h=b+2|0;while(1){g=a[h>>0]|0;if(((g&-33)+-65&255)<26)h=h+1|0;else break}}}else{g=a[b+2>>0]|0;switch(g<<24>>24){case 88:case 120:break;default:{if((g+-48&255)>=10)break d;h=b+3|0;while(1){g=a[h>>0]|0;if((g+-48&255)<10)h=h+1|0;else break d}}}h=b+3|0;while(1){g=a[h>>0]|0;if((g+-48&255)>=10)switch(g<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}h=h+1|0}}while(0);if(g<<24>>24!=59){g=b;h=n;l=5;f=143184;o=39;break c}switch(f<<24>>24){case 60:{g=b;h=n;l=4;f=143207;o=39;break c}case 62:{l=4;k=j;f=143202;o=40;break c}case 45:{f=n;g=j;o=38;break c}default:{}}break}default:{}}if(k&f<<24>>24==32?(a[m>>0]|0)==32:0){g=b;h=n;l=6;f=143177;o=39;break}switch(f<<24>>24){case 34:{g=b;h=n;l=6;f=143170;o=39;break c}case 39:{l=5;k=j;f=143190;o=40;break c}default:{}}if(f<<24>>24>=0){g=b;h=n;l=1;f=b;o=39;break}f=f&255;g=127;h=0;while(1){f=f&g;g=g>>>1;if(g>>>0>=f>>>0)break;else h=h+1|0}if((h|0)<=0){e=uQ(e|0,n|0,6)|0;e=mQ(f&255|0,0,e|0,C|0)|0;f=C;h=j+-1|0;if((j|0)>1)g=f;else{o=33;break}}else{e=f&255;g=0}b=b+1|0;f=a[b>>0]|0;if(!(f<<24>>24)){s=d;break a}else{n=g;j=h}}if((o|0)==33){o=0;a[q>>0]=59;k=e;j=3;n=r;while(1){e=BQ(k|0,f|0,10,0)|0;g=n+-1|0;a[n>>0]=e|48;e=AQ(k|0,f|0,10,0)|0;m=C;l=j+1|0;if((j|0)>11)break b;if(f>>>0>0|(f|0)==0&k>>>0>9){k=e;f=m;j=l;n=g}else{j=m;f=n;break}}f=f+-2|0;a[g>>0]=35;a[f>>0]=38;if(!l){m=b;g=j;j=p}else{n=j;k=h;o=40}}else if((o|0)==38){n=f;l=5;k=g;f=143196;o=40}else if((o|0)==39){b=g;n=h;k=j;o=40}if((o|0)==40){j=l+p|0;g=l;h=d;while(1){g=g+-1|0;a[h>>0]=a[f>>0]|0;if(!g)break;else{h=h+1|0;f=f+1|0}}m=b;g=n;d=d+l|0;h=k}b=m+1|0;f=a[b>>0]|0;if(!(f<<24>>24)){s=d;break a}else{k=(m|0)!=0;p=j}}AO(115245,46,1,c[24809]|0)|0;yb(1)}else s=d;while(0);a[s>>0]=0;i=t;return c[12043]|0}function De(a){a=a|0;var b=0;pw(a,117993)|0;pw(a,118001)|0;b=a+12|0;pw(a,Ce(c[c[c[b>>2]>>2]>>2]|0)|0)|0;pw(a,118021)|0;pw(a,Ce(c[(c[c[b>>2]>>2]|0)+4>>2]|0)|0)|0;pw(a,118031)|0;pw(a,Ce(c[(c[c[b>>2]>>2]|0)+8>>2]|0)|0)|0;pw(a,118034)|0;return}function Ee(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0;k=i;i=i+32|0;j=k+24|0;g=k+16|0;f=k+8|0;e=k;d=c[b+16>>2]|0;c[12041]=~~(+h[b+232>>3]-+h[b+216>>3]);c[12042]=~~(+h[b+224>>3]-+h[b+208>>3]);pw(b,116680)|0;pw(b,116687)|0;d=Ft(c[d+8>>2]|0)|0;if(a[d>>0]|0){pw(b,116756)|0;pw(b,Ce(d)|0)|0;pw(b,116764)|0}c[e>>2]=_(c[b+168>>2]|0,c[b+164>>2]|0)|0;uw(b,116773,e);pw(b,116793)|0;pw(b,116828)|0;pw(b,116856)|0;pw(b,116862)|0;pw(b,116905)|0;pw(b,116946)|0;pw(b,116965)|0;pw(b,116982)|0;pw(b,117030)|0;pw(b,117083)|0;pw(b,117159)|0;pw(b,117235)|0;pw(b,117244)|0;pw(b,117267)|0;pw(b,117294)|0;pw(b,117347)|0;pw(b,117369)|0;pw(b,117414)|0;pw(b,117426)|0;pw(b,117436)|0;pw(b,117462)|0;pw(b,117347)|0;pw(b,117514)|0;pw(b,117414)|0;pw(b,117426)|0;pw(b,117558)|0;pw(b,117267)|0;pw(b,117294)|0;pw(b,117347)|0;pw(b,117514)|0;pw(b,117414)|0;pw(b,117426)|0;pw(b,117436)|0;pw(b,117462)|0;pw(b,117347)|0;pw(b,117369)|0;pw(b,117414)|0;pw(b,117426)|0;pw(b,117571)|0;pw(b,117579)|0;pw(b,117585)|0;pw(b,117599)|0;pw(b,117607)|0;pw(b,117640)|0;e=(c[12041]|0)+10|0;c[f>>2]=c[12042];c[f+4>>2]=e;uw(b,117717,f);pw(b,117747)|0;pw(b,117756)|0;pw(b,117814)|0;pw(b,117824)|0;pw(b,117889)|0;f=c[12041]|0;c[g>>2]=c[12042];c[g+4>>2]=f;uw(b,117926,g);g=c[12041]|0;c[j>>2]=c[12042];c[j+4>>2]=g;uw(b,117954,j);i=k;return}function Fe(a){a=a|0;pw(a,116231)|0;pw(a,116243)|0;pw(a,116251)|0;pw(a,116314)|0;pw(a,116243)|0;pw(a,116359)|0;pw(a,116408)|0;pw(a,116462)|0;pw(a,116243)|0;pw(a,116562)|0;pw(a,116611)|0;pw(a,116243)|0;pw(a,116663)|0;return}function Ge(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;k=i;i=i+32|0;j=k+16|0;h=k+8|0;g=k;pw(b,116189)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0){c[g>>2]=Ce(d)|0;uw(b,116192,g)}if((e|0)!=0?(a[e>>0]|0)!=0:0){c[h>>2]=Ce(e)|0;uw(b,116203,h)}if((f|0)!=0?(a[f>>0]|0)!=0:0){c[j>>2]=Ce(f)|0;uw(b,116215,j)}pw(b,116228)|0;i=k;return}function He(a){a=a|0;pw(a,116183)|0;return}function Ie(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0;A=i;i=i+112|0;y=A+96|0;z=A+88|0;w=A+80|0;q=A+72|0;v=A+64|0;t=A+56|0;s=A+48|0;r=A+40|0;p=A+24|0;o=A+8|0;n=A;x=c[b+16>>2]|0;switch(a[f+48>>0]|0){case 108:{k=+h[f+32>>3];m=+h[e>>3];break}case 114:{m=+h[f+32>>3];k=m;m=+h[e>>3]-m;break}default:{m=+h[f+32>>3];k=m;m=+h[e>>3]-m*.5}}g=f+40|0;j=+h[g>>3];u=f+4|0;l=+h[(c[u>>2]|0)+16>>3];if(j<l){j=l*1.1+1.0;h[g>>3]=j}D=m+-8.0;C=+((c[12041]|0)>>>0)-+h[e+8>>3];B=l/5.0+(l<12.0?1.4:2.0);l=C-j+B;uw(b,115845,n);h[o>>3]=D;h[o+8>>3]=l;uw(b,115782,o);h[p>>3]=m+k+8.0-D;h[p+8>>3]=C+B-l;uw(b,115806,p);pw(b,115880)|0;pw(b,115914)|0;g=c[u>>2]|0;e=c[g+8>>2]|0;if(e){c[r>>2]=c[e+4>>2];uw(b,116004,r);g=c[e+8>>2]|0;if(g){c[s>>2]=g;uw(b,116023,s)}g=c[e+12>>2]|0;if(g){c[t>>2]=g;uw(b,116040,t)}g=c[e+16>>2]|0;if(g){c[v>>2]=g;uw(b,116058,v)}}else{c[q>>2]=c[g>>2];uw(b,116004,q)}h[w>>3]=+h[(c[u>>2]|0)+16>>3];uw(b,116074,w);g=x+16|0;switch(c[x+48>>2]|0){case 5:{g=c[g>>2]|0;if(YO(g,178378)|0){c[z>>2]=g;uw(b,116094,z)}break}case 1:{x=d[g+1>>0]|0;z=d[g+2>>0]|0;c[y>>2]=d[g>>0];c[y+4>>2]=x;c[y+8>>2]=z;uw(b,116104,y);break}default:Na(179560,115568,438,116125)}pw(b,116138)|0;pw(b,Ce(c[f>>2]|0)|0)|0;pw(b,116149)|0;pw(b,116172)|0;i=A;return}function Je(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0,l=0.0,m=0.0;e=i;i=i+32|0;f=e+16|0;k=e;pw(a,115746)|0;m=+h[b>>3];j=+h[b+16>>3]-m;l=+h[b+8>>3];g=+h[b+24>>3]-l;l=+((c[12041]|0)>>>0)-(l+g);h[k>>3]=m-j;h[k+8>>3]=l;uw(a,115782,k);h[f>>3]=j*2.0;h[f+8>>3]=g*2.0;uw(a,115806,f);Qe(a,d);pw(a,115628)|0;Oe(a);pw(a,115834)|0;i=e;return}function Ke(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0,k=0,l=0,m=0,n=0;m=i;i=i+48|0;l=m+24|0;k=m+8|0;j=m;pw(a,115351)|0;n=c[12041]|0;c[j>>2]=c[12042];c[j+4>>2]=n;uw(a,115604,j);Qe(a,e);pw(a,115628)|0;Oe(a);pw(a,115631)|0;if((d|0)>0){e=d+-1|0;j=0;do{g=+h[b+(j<<4)>>3];f=+((c[12041]|0)>>>0)-+h[b+(j<<4)+8>>3];if(!j){pw(a,115644)|0;h[k>>3]=g;h[k+8>>3]=f;uw(a,115724,k);pw(a,115735)|0}else{h[l>>3]=g;h[l+8>>3]=f;uw(a,115724,l)}if((j|0)==(e|0))pw(a,115738)|0;j=j+1|0}while((j|0)!=(d|0))}pw(a,115467)|0;i=m;return}function Le(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0.0,m=0.0;k=i;i=i+32|0;j=k+8|0;e=k;pw(a,115351)|0;f=c[12041]|0;c[e>>2]=c[12042];c[e+4>>2]=f;uw(a,115604,e);Qe(a,g);pw(a,115628)|0;Oe(a);pw(a,115631)|0;if((d|0)>0){e=115644;g=0;while(1){m=+h[b+(g<<4)>>3];l=+((c[12041]|0)>>>0)-+h[b+(g<<4)+8>>3];c[j>>2]=e;h[j+8>>3]=m;h[j+16>>3]=l;uw(a,115647,j);f=g+1|0;if((f|0)==(d|0))break;else{e=(g|0)==0?115660:181739;g=f}}}pw(a,139728)|0;pw(a,115663)|0;i=k;return}function Me(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0.0;l=i;i=i+48|0;k=l+24|0;j=l+8|0;g=l;pw(a,115351)|0;f=c[12041]|0;c[g>>2]=c[12042];c[g+4>>2]=f;uw(a,115388,g);pw(a,115428)|0;if((d|0)>0){e=d+-1|0;f=b+8|0;g=0;do{if(!g){pw(a,115440)|0;m=+((c[12041]|0)>>>0)-+h[f>>3];h[j>>3]=+h[b>>3];h[j+8>>3]=m;uw(a,115444,j);pw(a,115455)|0}else{m=+((c[12041]|0)>>>0)-+h[b+(g<<4)+8>>3];h[k>>3]=+h[b+(g<<4)>>3];h[k+8>>3]=m;uw(a,115444,k)}if((g|0)==(e|0))pw(a,115459)|0;g=g+1|0}while((g|0)!=(d|0))}pw(a,115463)|0;Oe(a);pw(a,115467)|0;i=l;return}function Ne(a,b){a=a|0;b=b|0;pw(a,115333)|0;pw(a,Ce(b)|0)|0;pw(a,115345)|0;return}function Oe(a){a=a|0;var b=0.0,d=0,e=0,f=0,g=0,j=0,k=0,l=0;l=i;i=i+48|0;d=l+8|0;k=l;j=c[a+16>>2]|0;pw(a,115479)|0;e=d;f=j+16|0;g=e+40|0;do{c[e>>2]=c[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Pe(a,d);b=+h[j+152>>3];if(b!=1.0){h[k>>3]=b;uw(a,115497,k)}switch(c[j+144>>2]|0){case 1:{pw(a,115514)|0;break}case 2:{pw(a,115532)|0;break}default:{}}pw(a,115549)|0;i=l;return}function Pe(b,d){b=b|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;a:do switch(c[d+32>>2]|0){case 5:{pw(b,c[d>>2]|0)|0;break}case 1:if(!(a[d+3>>0]|0)){pw(b,176797)|0;break a}else{d=c[d>>2]|0;c[e>>2]=d&255;c[e+4>>2]=d>>>8&255;c[e+8>>2]=d>>>16&255;uw(b,115554,e);break a}default:Na(179560,115568,94,115588)}while(0);i=f;return}function Qe(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=i;i=i+48|0;f=g;if(!b)pw(a,115707)|0;else{d=c[a+16>>2]|0;pw(a,115677)|0;b=f;d=d+56|0;e=b+40|0;do{c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));Pe(a,f);pw(a,115704)|0}i=g;return}function Re(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+1056|0;h=j;g=j+24|0;f=j+8|0;c[f>>2]=d;e=JO(g,1024,b,f)|0;do if((e|0)>=0)if((e|0)>1023){e=eQ(e+1|0)|0;c[f>>2]=d;KO(e,b,f)|0;break}else{e=dP(g)|0;break}else{e=c[(c[a+12>>2]|0)+16>>2]|0;c[h>>2]=dN(c[(cN()|0)>>2]|0)|0;Fb[e&63](118041,h);e=dP(181739)|0}while(0);i=j;return e|0}function Se(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+16|0;d=b+8|0;e=b;pw(a,120683)|0;pw(a,120698)|0;pw(a,120737)|0;pw(a,120786)|0;c[e>>2]=178378;c[e+4>>2]=120874;uw(a,120855,e);c[d>>2]=178286;c[d+4>>2]=120880;uw(a,120855,d);i=b;return}function Te(a){a=a|0;var b=0,d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0;b=i;i=i+64|0;d=b+8|0;k=b;c[k>>2]=Ft(c[(c[a+16>>2]|0)+8>>2]|0)|0;uw(a,119636,k);j=+h[a+368>>3]*.5*+h[a+488>>3];g=+h[a+376>>3]*.5*+h[a+496>>3];e=+N(-500.0);f=+V(+(j/e))*180.0/3.141592653589793*2.0;e=+V(+(g/e))*180.0/3.141592653589793*2.0;h[d>>3]=j;h[d+8>>3]=g;h[d+16>>3]=-500.0;h[d+24>>3]=j;h[d+32>>3]=g;h[d+40>>3]=0.0;h[d+48>>3]=(f>e?f:e)*1.2;uw(a,119658,d);pw(a,119805)|0;pw(a,120635)|0;i=b;return}function Ue(a){a=a|0;pw(a,119619)|0;return}function Ve(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,h=0;f=i;i=i+16|0;h=f;c[h>>2]=b;c[h+4>>2]=d;c[h+8>>2]=e;uw(a,119589,h);g[12233]=+(_(d,-10)|0);i=f;return}function We(a){a=a|0;pw(a,119572)|0;return}function Xe(a){a=a|0;pw(a,119554)|0;return}function Ye(a){a=a|0;pw(a,119538)|0;return}function Ze(a){a=a|0;pw(a,119517)|0;g[12233]=+g[12233]+-2.0;return}function _e(a){a=a|0;pw(a,119498)|0;return}function $e(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;d=b;c[d>>2]=Ft(c[(c[a+16>>2]|0)+8>>2]|0)|0;uw(a,119476,d);i=b;return}function af(a){a=a|0;pw(a,119460)|0;return}function bf(a){a=a|0;pw(a,119442)|0;g[12233]=+g[12233]+-5.0;return}function cf(a){a=a|0;pw(a,119426)|0;g[12233]=+g[12233]+5.0;return}function df(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0.0;r=i;i=i+144|0;o=r+104|0;q=r+56|0;k=r+32|0;j=r+24|0;n=r;p=e+4|0;m=c[p>>2]|0;f=+h[m+16>>3];m=c[m>>2]|0;c[n>>2]=c[e>>2];h[n+8>>3]=f;c[n+16>>2]=m;uw(b,119272,n);g[12234]=+g[12233]+-9.0;switch(a[e+48>>0]|0){case 108:{f=+h[d>>3];break}case 114:{f=+h[d>>3]-+h[e+32>>3];h[d>>3]=f;break}default:{f=+h[d>>3]-+h[e+32>>3]*.5;h[d>>3]=f}}u=+h[b+488>>3];t=(f+ +h[b+504>>3])*u;s=(+h[d+8>>3]+ +h[b+512>>3])*+h[b+496>>3];h[j>>3]=u*+h[(c[p>>2]|0)+16>>3];n=Re(b,119324,j)|0;f=+(c[b+360>>2]|0);h[k>>3]=0.0;h[k+8>>3]=0.0;h[k+16>>3]=f;d=Re(b,118563,k)|0;f=+g[12234];h[o>>3]=t;h[o+8>>3]=s;h[o+16>>3]=f;j=Re(b,118595,o)|0;k=o;l=(c[b+16>>2]|0)+16|0;m=k+40|0;do{c[k>>2]=c[l>>2];k=k+4|0;l=l+4|0}while((k|0)<(m|0));o=kf(b,o,0.0)|0;e=c[e>>2]|0;c[q>>2]=c[c[p>>2]>>2];h[q+8>>3]=.25;h[q+16>>3]=0.0;c[q+24>>2]=e;c[q+28>>2]=119411;c[q+32>>2]=n;c[q+36>>2]=d;c[q+40>>2]=j;c[q+44>>2]=o;q=Re(b,119336,q)|0;pw(b,q)|0;fQ(q);fQ(d);fQ(o);fQ(j);fQ(n);i=r;return}function ef(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;z=i;i=i+240|0;x=z+192|0;y=z+152|0;t=z+128|0;r=z+104|0;o=z+80|0;n=z+48|0;e=z+24|0;m=z;pw(a,119149)|0;g[12234]=+g[12233]+-6.0;k=+h[b>>3];j=+h[a+488>>3];p=(k+ +h[a+504>>3])*j;l=+h[b+8>>3];A=+h[a+496>>3];q=(l+ +h[a+512>>3])*A;k=j*(+h[b+16>>3]-k);l=A*(+h[b+24>>3]-l);s=a+16|0;A=k+l;j=+h[(c[s>>2]|0)+152>>3]/A*.5*5.0;h[m>>3]=k;h[m+8>>3]=A*.25;h[m+16>>3]=l;b=Re(a,118531,m)|0;m=a+360|0;A=+(c[m>>2]|0);h[e>>3]=90.0;h[e+8>>3]=0.0;h[e+16>>3]=A;e=Re(a,118563,e)|0;A=+g[12234];h[x>>3]=p;h[x+8>>3]=q;h[x+16>>3]=A;f=Re(a,118595,x)|0;u=x;v=(c[s>>2]|0)+16|0;w=u+40|0;do{c[u>>2]=c[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));v=kf(a,x,0.0)|0;h[n>>3]=1.0;h[n+8>>3]=j;c[n+16>>2]=b;c[n+20>>2]=e;c[n+24>>2]=f;c[n+28>>2]=v;w=Re(a,119164,n)|0;pw(a,w)|0;fQ(b);fQ(e);fQ(f);fQ(v);fQ(w);if(d){h[o>>3]=k;h[o+8>>3]=l;h[o+16>>3]=1.0;f=Re(a,118531,o)|0;A=+(c[m>>2]|0);h[r>>3]=0.0;h[r+8>>3]=0.0;h[r+16>>3]=A;e=Re(a,118563,r)|0;A=+g[12234];h[t>>3]=p;h[t+8>>3]=q;h[t+16>>3]=A;b=Re(a,118595,t)|0;u=x;v=(c[s>>2]|0)+56|0;w=u+40|0;do{c[u>>2]=c[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));x=kf(a,x,0.0)|0;h[y>>3]=0.0;h[y+8>>3]=0.0;h[y+16>>3]=0.0;c[y+24>>2]=f;c[y+28>>2]=e;c[y+32>>2]=b;c[y+36>>2]=x;y=Re(a,119210,y)|0;pw(a,y)|0;fQ(f);fQ(e);fQ(b);fQ(x);fQ(y)}i=z;return}function ff(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0,O=0.0;L=i;i=i+336|0;B=L+296|0;K=L+288|0;J=L+272|0;I=L+264|0;H=L+240|0;E=L+232|0;A=L+208|0;z=L+184|0;x=L+160|0;w=L+152|0;v=L+136|0;u=L+128|0;t=L+96|0;n=L+88|0;m=L+56|0;f=L+48|0;o=L+24|0;s=L;pw(a,119014)|0;g[12234]=+g[12233]+-2.0;q=a+488|0;r=a+496|0;M=+h[r>>3];h[s>>3]=+h[q>>3];h[s+8>>3]=M;h[s+16>>3]=1.0;s=Re(a,118531,s)|0;y=a+360|0;M=+(c[y>>2]|0);h[o>>3]=0.0;h[o+8>>3]=0.0;h[o+16>>3]=M;o=Re(a,118563,o)|0;M=+g[12234]+-2.0;h[B>>3]=0.0;h[B+8>>3]=0.0;h[B+16>>3]=M;p=Re(a,118595,B)|0;C=a+16|0;j=B;k=(c[C>>2]|0)+16|0;l=j+40|0;do{c[j>>2]=c[k>>2];j=j+4|0;k=k+4|0}while((j|0)<(l|0));l=kf(a,B,0.0)|0;c[f>>2]=118658;c[f+4>>2]=d+1;f=Re(a,118627,f)|0;D=(d|0)>0;F=a+504|0;G=a+512|0;if(D){k=0;while(1){O=+h[b+(k<<4)+8>>3]+ +h[G>>3];M=+h[(c[C>>2]|0)+152>>3];h[m>>3]=+h[b+(k<<4)>>3]+ +h[F>>3];h[m+8>>3]=O;h[m+16>>3]=0.0;h[m+24>>3]=M;N=Re(a,118672,m)|0;c[n>>2]=f;c[n+4>>2]=N;j=Re(a,118701,n)|0;fQ(N);fQ(f);k=k+1|0;if((k|0)==(d|0)){f=j;break}else f=j}}M=+h[b+8>>3]+ +h[G>>3];O=+h[(c[C>>2]|0)+152>>3];h[t>>3]=+h[b>>3]+ +h[F>>3];h[t+8>>3]=M;h[t+16>>3]=0.0;h[t+24>>3]=O;t=Re(a,118672,t)|0;c[u>>2]=f;c[u+4>>2]=t;N=Re(a,118701,u)|0;fQ(t);fQ(f);c[v>>2]=s;c[v+4>>2]=o;c[v+8>>2]=p;c[v+12>>2]=l;v=Re(a,119029,v)|0;c[w>>2]=N;c[w+4>>2]=v;N=Re(a,118756,w)|0;fQ(v);pw(a,N)|0;fQ(s);fQ(o);fQ(p);fQ(l);fQ(N);if(e){O=+h[r>>3];h[x>>3]=+h[q>>3];h[x+8>>3]=O;h[x+16>>3]=1.0;o=Re(a,118531,x)|0;O=+(c[y>>2]|0);h[z>>3]=0.0;h[z+8>>3]=0.0;h[z+16>>3]=O;n=Re(a,118563,z)|0;O=+g[12234]+-2.0;h[A>>3]=0.0;h[A+8>>3]=0.0;h[A+16>>3]=O;m=Re(a,118595,A)|0;j=B;k=(c[C>>2]|0)+56|0;l=j+40|0;do{c[j>>2]=c[k>>2];j=j+4|0;k=k+4|0}while((j|0)<(l|0));l=kf(a,B,.25)|0;c[E>>2]=d;f=Re(a,119074,E)|0;if(D){k=0;while(1){O=+h[b+(k<<4)+8>>3]+ +h[G>>3];h[H>>3]=+h[b+(k<<4)>>3]+ +h[F>>3];h[H+8>>3]=O;h[H+16>>3]=0.0;N=Re(a,119089,H)|0;c[I>>2]=f;c[I+4>>2]=N;j=Re(a,119111,I)|0;fQ(N);fQ(f);k=k+1|0;if((k|0)==(d|0)){f=j;break}else f=j}}c[J>>2]=o;c[J+4>>2]=n;c[J+8>>2]=m;c[J+12>>2]=l;J=Re(a,119121,J)|0;c[K>>2]=f;c[K+4>>2]=J;N=Re(a,118756,K)|0;fQ(J);pw(a,N)|0;fQ(o);fQ(n);fQ(m);fQ(l);fQ(N)}i=L;return}function gf(a,b,d,e,f,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0;A=i;i=i+208|0;f=A+160|0;z=A+152|0;y=A+136|0;u=A+128|0;t=A+96|0;s=A+88|0;r=A+56|0;l=A+48|0;v=A+24|0;x=A;pw(a,118941)|0;g[12234]=+g[12233]+-4.0;B=+h[a+496>>3];h[x>>3]=+h[a+488>>3];h[x+8>>3]=B;h[x+16>>3]=1.0;x=Re(a,118531,x)|0;B=+(c[a+360>>2]|0);h[v>>3]=0.0;h[v+8>>3]=0.0;h[v+16>>3]=B;v=Re(a,118563,v)|0;B=+g[12234]+-2.0;h[f>>3]=0.0;h[f+8>>3]=0.0;h[f+16>>3]=B;w=Re(a,118595,f)|0;q=a+16|0;e=f;j=(c[q>>2]|0)+56|0;k=e+40|0;do{c[e>>2]=c[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(k|0));p=kf(a,f,0.0)|0;c[l>>2]=118955;c[l+4>>2]=d+2;f=Re(a,118627,l)|0;if((d|0)>0){l=a+504|0;m=a+512|0;n=d+-1|0;o=0;do{e=b+(o<<4)|0;j=b+(o<<4)+8|0;D=+h[j>>3]+ +h[m>>3];B=+h[(c[q>>2]|0)+152>>3];h[r>>3]=+h[e>>3]+ +h[l>>3];h[r+8>>3]=D;h[r+16>>3]=0.0;h[r+24>>3]=B;C=Re(a,118672,r)|0;c[s>>2]=f;c[s+4>>2]=C;k=Re(a,118701,s)|0;fQ(C);fQ(f);if((o|0)==0|(o|0)==(n|0)){B=+h[j>>3]+ +h[m>>3];D=+h[(c[q>>2]|0)+152>>3];h[t>>3]=+h[e>>3]+ +h[l>>3];h[t+8>>3]=B;h[t+16>>3]=0.0;h[t+24>>3]=D;C=Re(a,118672,t)|0;c[u>>2]=k;c[u+4>>2]=C;f=Re(a,118701,u)|0;fQ(C);fQ(k)}else f=k;o=o+1|0}while((o|0)!=(d|0))}c[y>>2]=x;c[y+4>>2]=v;c[y+8>>2]=w;c[y+12>>2]=p;d=Re(a,118964,y)|0;c[z>>2]=f;c[z+4>>2]=d;C=Re(a,118756,z)|0;fQ(d);pw(a,C)|0;fQ(x);fQ(v);fQ(w);fQ(p);fQ(C);i=A;return}function hf(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;v=i;i=i+160|0;e=v+120|0;u=v+112|0;t=v+96|0;p=v+88|0;o=v+56|0;l=v+48|0;q=v+24|0;s=v;pw(a,118515)|0;g[12234]=+g[12233]+-6.0;w=+h[a+496>>3];h[s>>3]=+h[a+488>>3];h[s+8>>3]=w;h[s+16>>3]=1.0;s=Re(a,118531,s)|0;w=+(c[a+360>>2]|0);h[q>>3]=0.0;h[q+8>>3]=0.0;h[q+16>>3]=w;q=Re(a,118563,q)|0;w=+g[12234];h[e>>3]=0.0;h[e+8>>3]=0.0;h[e+16>>3]=w;r=Re(a,118595,e)|0;n=a+16|0;f=e;j=(c[n>>2]|0)+16|0;k=f+40|0;do{c[f>>2]=c[j>>2];f=f+4|0;j=j+4|0}while((f|0)<(k|0));m=kf(a,e,0.0)|0;c[l>>2]=118658;c[l+4>>2]=d;e=Re(a,118627,l)|0;if((d|0)>0){j=a+504|0;k=a+512|0;l=0;while(1){y=+h[b+(l<<4)+8>>3]+ +h[k>>3];w=+h[(c[n>>2]|0)+152>>3];h[o>>3]=+h[b+(l<<4)>>3]+ +h[j>>3];h[o+8>>3]=y;h[o+16>>3]=0.0;h[o+24>>3]=w;x=Re(a,118672,o)|0;c[p>>2]=e;c[p+4>>2]=x;f=Re(a,118701,p)|0;fQ(x);fQ(e);l=l+1|0;if((l|0)==(d|0)){e=f;break}else e=f}}c[t>>2]=s;c[t+4>>2]=q;c[t+8>>2]=r;c[t+12>>2]=m;t=Re(a,118710,t)|0;c[u>>2]=e;c[u+4>>2]=t;x=Re(a,118756,u)|0;fQ(t);pw(a,x)|0;fQ(s);fQ(q);fQ(r);fQ(m);fQ(x);i=v;return}function jf(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=b;uw(a,118496,e);i=d;return}function kf(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+112|0;n=p+104|0;j=p+96|0;g=p+64|0;m=p+48|0;o=p+32|0;l=p+16|0;k=p;e=c[b+32>>2]|0;a:do switch(e|0){case 5:{e=c[b>>2]|0;if(!(aP(e,177390)|0)){c[k>>2]=118778;h[k+8>>3]=d;f=Re(a,118761,k)|0;break a}if(!(aP(e,174520)|0)){c[l>>2]=118782;h[l+8>>3]=d;f=Re(a,118761,l)|0;break a}if(!(aP(e,172519)|0)){c[o>>2]=118788;h[o+8>>3]=d;f=Re(a,118761,o)|0;break a}else{c[m>>2]=e;h[m+8>>3]=d;f=Re(a,118761,m)|0;break a}}case 1:{f=c[b>>2]|0;h[g>>3]=+(f&255|0)*.00390625;h[g+8>>3]=+(f>>>8&255|0)*.00390625;h[g+16>>3]=+(f>>>16&255|0)*.00390625;h[g+24>>3]=d;f=Re(a,118793,g)|0;break}default:{o=c[24809]|0;m=c[b>>2]|0;c[j>>2]=e;c[j+4>>2]=m;pO(o,118832,j)|0;Na(179560,118882,436,118902)}}while(0);c[n>>2]=f;o=Re(a,118919,n)|0;fQ(f);i=p;return o|0}function lf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;i=i+32|0;d=b+24|0;e=b+16|0;g=b;f=c[a+16>>2]|0;h=c[c[a+12>>2]>>2]|0;k=c[h>>2]|0;j=c[h+4>>2]|0;h=c[h+8>>2]|0;c[g>>2]=120905;c[g+4>>2]=k;c[g+8>>2]=j;c[g+12>>2]=h;uw(a,123515,g);f=Ft(c[f+8>>2]|0)|0;c[e>>2]=120905;c[e+4>>2]=f;uw(a,123547,e);c[d>>2]=120905;uw(a,123561,d);i=b;return}function mf(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;d=b;c[d>>2]=120905;uw(a,123463,d);i=b;return}function nf(a){a=a|0;var b=0.0,d=0.0,e=0.0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;X=i;i=i+320|0;q=X+304|0;p=X+296|0;W=X+280|0;V=X+272|0;U=X+264|0;S=X+256|0;R=X+248|0;Q=X+240|0;O=X+232|0;N=X+224|0;M=X+216|0;L=X+208|0;K=X+200|0;J=X+192|0;I=X+184|0;H=X+176|0;G=X+168|0;F=X+160|0;E=X+152|0;D=X+144|0;C=X+136|0;B=X+128|0;A=X+120|0;z=X+112|0;y=X+104|0;x=X+96|0;w=X+88|0;v=X+80|0;u=X+72|0;t=X+64|0;s=X+56|0;r=X+48|0;T=X+32|0;o=X+24|0;n=X+8|0;m=X;g=c[a+456>>2]|0;j=c[a+460>>2]|0;k=c[a+464>>2]|0;l=c[a+468>>2]|0;f=a+360|0;a:do if(c[12357]|0){switch(c[f>>2]|0){case 90:case 0:break a;default:{}}c[m>>2]=121010;c[m+4>>2]=132104;us(0,121092,m)|0;c[12357]=0}while(0);e=(+(l|0)-+(j|0))/72.0;b=(+(k|0)-+(g|0))/72.0;m=(c[f>>2]|0)==90;d=m?e:b;e=m?b:e;h[n>>3]=d;h[n+8>>3]=e;uw(a,121110,n);c[o>>2]=120905;uw(a,121125,o);if(d>0.0){b=+xN(d);b=b+(3.0-+(~~b|0))}else b=3.0;b=+P(10.0,+b);h[166]=b;h[T>>3]=b;h[T+8>>3]=b;uw(a,121294,T);c[r>>2]=120905;uw(a,121329,r);c[s>>2]=120905;uw(a,121387,s);c[t>>2]=120905;uw(a,121447,t);c[u>>2]=120905;uw(a,121496,u);c[v>>2]=120905;uw(a,121535,v);c[w>>2]=120905;uw(a,121586,w);c[x>>2]=120905;uw(a,121648,x);c[y>>2]=120905;uw(a,121758,y);c[z>>2]=120905;uw(a,121849,z);c[A>>2]=120905;uw(a,121903,A);c[B>>2]=120905;uw(a,121972,B);uw(a,122008,C);c[D>>2]=120905;uw(a,122133,D);c[E>>2]=120905;uw(a,122162,E);uw(a,122202,F);c[G>>2]=120905;uw(a,122295,G);c[H>>2]=120905;uw(a,122354,H);c[I>>2]=120905;uw(a,122435,I);uw(a,122505,J);c[K>>2]=120905;uw(a,122594,K);c[L>>2]=120905;uw(a,122699,L);c[M>>2]=120905;uw(a,122775,M);c[N>>2]=120905;uw(a,122814,N);c[O>>2]=120905;uw(a,122913,O);c[Q>>2]=120905;uw(a,122959,Q);uw(a,123048,R);c[S>>2]=120905;uw(a,123089,S);c[U>>2]=120905;uw(a,123172,U);c[V>>2]=120905;uw(a,123273,V);h[W>>3]=e;h[W+8>>3]=d;uw(a,123337,W);uw(a,123365,p);uw(a,123373,q);i=X;return}function of(a){a=a|0;var b=0;b=i;i=i+16|0;uw(a,121085,b);i=b;return}function pf(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=i;i=i+64|0;u=v+40|0;s=v+32|0;q=v+16|0;o=v+8|0;k=v;switch(a[e+48>>0]|0){case 108:{t=d;l=+h[e+32>>3];m=+h[d>>3];break}case 114:{l=+h[e+32>>3];m=+h[d>>3]-l;h[d>>3]=m;t=d;break}default:{l=+h[e+32>>3];m=+h[d>>3]-l*.5;h[d>>3]=m;t=d}}n=e+4|0;j=c[n>>2]|0;f=+h[j+16>>3];r=d+8|0;h[r>>3]=f/216.0+ +h[r>>3];h[t>>3]=l/144.0+m;j=c[j>>2]|0;do if(j){d=c[12285]|0;if((d|0)!=0?(aP(d,j)|0)==0:0)break;else d=49144;while(1){g=c[d+4>>2]|0;if(!g){c[k>>2]=121010;c[k+4>>2]=j;us(1,120984,k)|0;d=jP(j,45)|0;if(!d){d=121027;break}a[d>>0]=0;d=49144;continue}else{if(!(aP(g,j)|0)){p=11;break}d=d+8|0;continue}}c[o>>2]=d;uw(b,121029,o);c[12285]=c[c[n>>2]>>2];f=+h[(c[n>>2]|0)+16>>3]}while(0);d=~~f;d=(d|0)<1?1:d;if((d|0)!=(c[12354]|0)){m=+h[166];c[q>>2]=d;h[q+8>>3]=m;uw(b,121037,q);c[12354]=d}j=c[e>>2]|0;d=c[12355]|0;if(!d){c[12356]=64;d=eQ(64)|0;c[12355]=d}g=a[j>>0]|0;if(g<<24>>24){k=0;n=j;while(1){n=n+1|0;j=c[12356]|0;if((k|0)>(j+-8|0)){d=j<<1;c[12356]=d;d=hQ(c[12355]|0,d)|0;c[12355]=d;d=d+k|0}if(g<<24>>24>-1){if(g<<24>>24==92){a[d>>0]=92;d=d+1|0;j=k+1|0}else j=k;a[d>>0]=g;d=d+1|0;j=j+1|0}else{a[d>>0]=92;c[s>>2]=g&255;DO(d+1|0,121058,s)|0;d=d+4|0;j=k+4|0}g=a[n>>0]|0;if(!(g<<24>>24))break;else k=j}}a[d>>0]=0;l=+h[t>>3];m=+h[r>>3];c[u>>2]=c[12355];h[u+8>>3]=l;h[u+16>>3]=m;uw(b,121063,u);i=v;return}function qf(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;e=i;i=i+48|0;f=e;j=+h[b>>3];l=(+h[b+16>>3]-j)*2.0/72.0;g=+h[b+8>>3];k=(+h[b+24>>3]-g)*2.0/72.0;c[f>>2]=1;c[f+4>>2]=(d|0)!=0?120926:181739;h[f+8>>3]=l;h[f+16>>3]=k;h[f+24>>3]=j/72.0;h[f+32>>3]=g/72.0;uw(a,120932,f);i=e;return}function rf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;vf(a,b,c,1);return}function sf(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0;y=i;i=i+112|0;x=y+104|0;w=y+96|0;u=y+88|0;f=y+80|0;t=y+16|0;g=y;v=eQ((d*140|0)+140|0)|0;A=+h[b>>3];r=t+48|0;h[r>>3]=A;z=+h[b+8>>3];s=t+56|0;h[s>>3]=z;c[f>>2]=~~(A+(A>=0.0?.5:-.5));c[f+4>>2]=~~(z+(z>=0.0?.5:-.5));f=DO(v,120910,f)|0;if((d|0)>3){j=g+8|0;k=(((d+-4|0)>>>0)/3|0)*6|0;l=t+16|0;m=t+24|0;n=t+32|0;o=t+40|0;p=t+48|0;q=3;f=v+f|0;e=0;while(1){c[t>>2]=c[r>>2];c[t+4>>2]=c[r+4>>2];c[t+8>>2]=c[r+8>>2];c[t+12>>2]=c[r+12>>2];B=e+1|0;h[l>>3]=+h[b+(B<<4)>>3];h[m>>3]=+h[b+(B<<4)+8>>3];B=e+2|0;h[n>>3]=+h[b+(B<<4)>>3];h[o>>3]=+h[b+(B<<4)+8>>3];e=e+3|0;h[p>>3]=+h[b+(e<<4)>>3];h[s>>3]=+h[b+(e<<4)+8>>3];e=1;do{xC(g,t,3,+(e|0)/6.0,0,0);z=+h[g>>3];A=+h[j>>3];c[u>>2]=~~(z+(z>=0.0?.5:-.5));c[u+4>>2]=~~(A+(A>=0.0?.5:-.5));f=f+(DO(f,120910,u)|0)|0;e=e+1|0}while((e|0)!=7);e=q+3|0;if((e|0)<(d|0)){B=q;q=e;e=B}else break}g=k+7|0}else g=1;c[w>>2]=v;uw(a,120917,w);fQ(v);if((g|0)>0){f=g+-1|0;e=0;do{c[x>>2]=((e|0)%(f|0)|0|0)!=0&1;uw(a,120922,x);e=e+1|0}while((e|0)!=(g|0))}pw(a,196601)|0;i=y;return}function tf(a,b,c){a=a|0;b=b|0;c=c|0;vf(a,b,c,0);return}function uf(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=120905;c[e+4>>2]=b;uw(a,120898,e);i=d;return}function vf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0.0,m=0.0;k=i;i=i+16|0;j=k+8|0;g=k;if((d|0)>0){f=0;do{m=+h[b+(f<<4)>>3];l=+h[b+(f<<4)+8>>3];c[g>>2]=~~(m+(m>=0.0?.5:-.5));c[g+4>>2]=~~(l+(l>=0.0?.5:-.5));uw(a,120910,g);f=f+1|0}while((f|0)!=(d|0))}if(e){l=+h[b>>3];m=+h[b+8>>3];c[j>>2]=~~(l+(l>=0.0?.5:-.5));c[j+4>>2]=~~(m+(m>=0.0?.5:-.5));uw(a,120910,j)}pw(a,196601)|0;i=k;return}function wf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function xf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0.0,k=0,l=0;e=i;i=i+32|0;f=e+8|0;k=e;b=b+8|0;l=c[b>>2]|0;c[k>>2]=l;c[k+4>>2]=l;uw(a,124022,k);j=(+h[d+16>>3]+ +h[d>>3])*.5;g=(+h[d+24>>3]+ +h[d+8>>3])*.5;c[f>>2]=c[b>>2];h[f+8>>3]=j;h[f+16>>3]=g;uw(a,124064,f);i=e;return}function yf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0.0,k=0.0,l=0.0;e=i;i=i+48|0;f=e;j=+h[d>>3];l=+h[d+16>>3]-j;g=+h[d+24>>3];k=g-+h[d+8>>3];g=+(~~(+h[a+232>>3]-+h[a+216>>3])>>>0)-g;c[f>>2]=c[b+8>>2];h[f+8>>3]=l;h[f+16>>3]=k;h[f+24>>3]=j;h[f+32>>3]=g;uw(a,124109,f);pw(a,124201)|0;i=e;return}function zf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=i;i=i+256|0;z=B+248|0;y=B+232|0;w=B+216|0;v=B+200|0;u=B+184|0;t=B+168|0;s=B+160|0;r=B+152|0;q=B+136|0;p=B+120|0;A=B+104|0;x=B+88|0;o=B+72|0;n=B+64|0;m=B;if(!a)Na(152355,124206,212,124225);if(!b)Na(152385,124206,213,124225);l=b+8|0;if(!(c[l>>2]|0))Na(152388,124206,214,124225);if(c[b+52>>2]|0){c[m>>2]=c[d>>2];c[m+4>>2]=c[d+4>>2];c[m+8>>2]=c[d+8>>2];c[m+12>>2]=c[d+12>>2];b=m+32|0;d=d+16|0;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];f=+h[m>>3];h[m+16>>3]=f;g=+h[m+40>>3];h[m+24>>3]=g;j=+h[b>>3];h[m+48>>3]=j;k=+h[m+8>>3];h[m+56>>3]=k;if(e<<24>>24){uw(a,124246,n);h[o>>3]=f;h[o+8>>3]=k;uw(a,124249,o);h[x>>3]=f;h[x+8>>3]=g;uw(a,124249,x);h[A>>3]=j;h[A+8>>3]=g;uw(a,124249,A);h[p>>3]=j;h[p+8>>3]=k;uw(a,124249,p);h[q>>3]=f;h[q+8>>3]=k;uw(a,124249,q);A=c[l>>2]|0;c[r>>2]=4;c[r+4>>2]=A;uw(a,124256,r)}uw(a,124246,s);h[t>>3]=f;h[t+8>>3]=k;uw(a,124249,t);h[u>>3]=f;h[u+8>>3]=g;uw(a,124249,u);h[v>>3]=j;h[v+8>>3]=g;uw(a,124249,v);h[w>>3]=j;h[w+8>>3]=k;uw(a,124249,w);h[y>>3]=f;h[y+8>>3]=k;uw(a,124249,y);A=c[l>>2]|0;c[z>>2]=4;c[z+4>>2]=A;uw(a,124271,z)}i=B;return}function Af(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0;o=i;i=i+112|0;n=o+24|0;m=o+16|0;l=o;j=o+28|0;if(!b)Na(152355,124206,153,124287);if(!d)Na(152385,124206,154,124287);if(!(c[d+8>>2]|0))Na(152388,124206,155,124287);k=d+52|0;if(c[k>>2]|0){f=d+60|0;g=c[f>>2]|0;if((g|0)==100)g=18;else{Db[g&127](d);c[k>>2]=0;c[f>>2]=0;c[d+56>>2]=0;g=10}}else g=10;do if((g|0)==10){if(!((Mw(d)|0)<<24>>24))break;f=nO(c[d+20>>2]|0)|0;if((c[d+24>>2]&-2|0)==6){VN(f,j)|0;j=c[j+36>>2]|0;c[d+56>>2]=j;f=CN(0,j,1,1,f,0)|0;c[k>>2]=f;a[d+16>>0]=1}else f=c[k>>2]|0;if(f)c[d+60>>2]=100;Nw(d);if(c[k>>2]|0)g=18}while(0);if((g|0)==18){p=+h[e+8>>3]-+(c[d+36>>2]|0);h[l>>3]=+h[e>>3]-+(c[d+32>>2]|0);h[l+8>>3]=p;uw(b,124305,l);if(!(a[d+16>>0]|0)){c[m>>2]=c[d+12>>2];uw(b,124336,m)}else AA(b,d);uw(b,124351,n)}i=o;return}function Bf(a){a=a|0;DN(c[a+52>>2]|0,c[a+56>>2]|0)|0;return}function Cf(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;g=i;i=i+80|0;f=g+48|0;if(!a)Na(152355,124206,121,124361);e=c[a+16>>2]|0;if(!e)Na(140838,124206,123,124361);if(!b)Na(152385,124206,124,124361);d=b+8|0;if(!(c[d>>2]|0))Na(152388,124206,125,124361);if(!(c[e+8>>2]|0))Na(180045,124206,128,124361);else{uw(a,124381,g);uw(a,124390,g+8|0);uw(a,124417,g+16|0);uw(a,124442,g+24|0);uw(a,124471,g+32|0);uw(a,124499,g+40|0);c[f>>2]=c[d>>2];uw(a,124506,f);uw(a,124545,g+56|0);uw(a,152081,g+64|0);i=g;return}}function Df(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0.0;j=i;i=i+128|0;g=j+80|0;f=j;if(!a)Na(152355,124206,97,124550);if(!b)Na(152385,124206,98,124550);e=c[b+8>>2]|0;if(!e)Na(152388,124206,99,124550);else{m=+h[d>>3];k=~~(m+(m>=0.0?.5:-.5));m=+h[d+8>>3];b=~~(m+(m>=0.0?.5:-.5));m=+h[d+16>>3];l=~~(m+(m>=0.0?.5:-.5));m=+h[d+24>>3];d=~~(m+(m>=0.0?.5:-.5));c[f>>2]=2;c[f+4>>2]=5;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=-1;c[f+24>>2]=1;c[f+28>>2]=-1;c[f+32>>2]=0;h[f+40>>3]=0.0;c[f+48>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=5;c[f+72>>2]=0;c[f+76>>2]=e;uw(a,124569,f);c[g>>2]=k;c[g+4>>2]=b;c[g+8>>2]=k;c[g+12>>2]=d;c[g+16>>2]=l;c[g+20>>2]=d;c[g+24>>2]=l;c[g+28>>2]=b;c[g+32>>2]=k;c[g+36>>2]=b;uw(a,124627,g);i=j;return}}function Ef(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0.0;p=i;i=i+96|0;o=p+56|0;n=p+32|0;m=p;q=+h[d+16>>3];g=+h[d>>3];l=q-g;j=+h[d+24>>3];f=+h[d+8>>3];k=j-f;g=(q+g-l)*.5;if(!a)Na(152355,124206,53,124659);if(!b)Na(152385,124206,54,124659);e=b+8|0;if(!(c[e>>2]|0))Na(152388,124206,55,124659);pw(a,124678)|0;pw(a,c[e>>2]|0)|0;e=a+360|0;f=-((j+f+k)*.5);if(!(c[e>>2]|0)){h[o>>3]=l;h[o+8>>3]=k;h[o+16>>3]=g;h[o+24>>3]=f;uw(a,124807,o)}else{h[m>>3]=k;h[m+8>>3]=l;h[m+16>>3]=g;h[m+24>>3]=f;uw(a,124698,m);c[n>>2]=c[e>>2];h[n+8>>3]=g;h[n+16>>3]=f;uw(a,124777,n)}pw(a,124886)|0;i=p;return}function Ff(d){d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=gu(d)|0;if(e)do{Ou(e,178487,304,1)|0;EC(e);aD(e,c[(c[(xu(e)|0)+16>>2]|0)+116>>2]&1);i=e+16|0;c[(c[i>>2]|0)+176>>2]=0;h=yz(20)|0;g=c[i>>2]|0;c[g+172>>2]=h;c[g+184>>2]=0;g=yz(20)|0;h=c[i>>2]|0;c[h+180>>2]=g;c[h+200>>2]=0;h=yz(12)|0;g=c[i>>2]|0;c[g+196>>2]=h;c[g+192>>2]=0;g=yz(12)|0;h=c[i>>2]|0;c[h+188>>2]=g;c[h+208>>2]=0;h=yz(12)|0;i=c[i>>2]|0;c[i+204>>2]=h;c[i+216>>2]=1;e=hu(d,e)|0}while((e|0)!=0);e=gu(d)|0;if(e)do{f=at(d,e)|0;if(f)do{Ou(f,178780,176,1)|0;FC(f)|0;j=lC(f,c[13936]|0,1,0)|0;g=f+16|0;c[(c[g>>2]|0)+156>>2]=j;j=oC(c[((c[f>>2]&3|0)==3?f:f+48|0)+40>>2]|0,c[13930]|0,181739)|0;k=oC(c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0,c[13930]|0,181739)|0;h=c[g>>2]|0;i=h+154|0;b[i>>1]=1;b[h+168>>1]=1;if((j|0)==(k|0)&(a[j>>0]|0)!=0){b[i>>1]=1e3;k=h+156|0;c[k>>2]=(c[k>>2]|0)*100}if(vi(f)|0){k=c[g>>2]|0;b[k+154>>1]=0;c[k+156>>2]=0}k=(lC(f,c[13956]|0,0,0)|0)&255;a[(c[g>>2]|0)+152>>0]=k;k=(lC(f,c[13937]|0,1,0)|0)&65535;b[(c[g>>2]|0)+170>>1]=k;f=ct(d,f)|0}while((f|0)!=0);e=hu(d,e)|0}while((e|0)!=0);return}function Gf(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[(c[b+16>>2]|0)+192>>2]|0;if(d)do{h=d+16|0;e=c[h>>2]|0;i=d;d=c[e+164>>2]|0;f=c[e+176>>2]|0;if((f|0)>0)do{g=f;f=f+-1|0;e=c[(c[e+172>>2]|0)+(f<<2)>>2]|0;pg(e);fQ(c[e+16>>2]|0);fQ(e);e=c[h>>2]|0}while((g|0)>1);f=c[e+184>>2]|0;if((f|0)>0){g=f+-1|0;e=c[(c[e+180>>2]|0)+(g<<2)>>2]|0;pg(e);fQ(c[e+16>>2]|0);fQ(e);if((f|0)>1){e=g;do{g=e;e=e+-1|0;f=c[(c[(c[h>>2]|0)+180>>2]|0)+(e<<2)>>2]|0;pg(f);fQ(c[f+16>>2]|0);fQ(f)}while((g|0)>1)}e=c[h>>2]|0}if((a[e+156>>0]|0)==1){f=c[e+180>>2]|0;if(f){fQ(f);e=c[h>>2]|0}f=c[e+172>>2]|0;if(f){fQ(f);e=c[h>>2]|0}fQ(e);fQ(i)}}while((d|0)!=0);d=gu(b)|0;if(d)do{e=at(b,d)|0;if(e)do{$C(e);e=ct(b,e)|0}while((e|0)!=0);Jf(d);d=hu(b,d)|0}while((d|0)!=0);Kf(b);return}function Hf(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;p=i;i=i+48|0;o=p+32|0;g=p;if(vt(b)|0){d=Ax(b,-1,8)|0;e=zx(b,0,g)|0;xx(b,2,8,g)|0;e=(e|0)==0;f=(d|0)<0;if(f&e)Lf(b);else{if(e)c[g+16>>2]=3;else d=f?8:d;c[g+8>>2]=d;c[g+20>>2]=0;n=gx(b,o,0)|0;d=c[o>>2]|0;do if((d|0)!=1){m=b+16|0;if(c[(c[(c[m>>2]|0)+8>>2]|0)+84>>2]|0){Lf(b);break}c[g+12>>2]=1;if((d|0)>0){d=0;do{l=c[n+(d<<2)>>2]|0;Ou(l,178510,280,1)|0;f=yz(96)|0;k=c[l+16>>2]|0;c[k+8>>2]=f;j=c[m>>2]|0;e=c[j+8>>2]|0;h[f>>3]=+h[e>>3];h[f+24>>3]=+h[e+24>>3];c[k+144>>2]=c[j+144>>2];a[k+115>>0]=a[j+115>>0]|0;c[k+116>>2]=c[j+116>>2];c[k+248>>2]=c[j+248>>2];c[k+252>>2]=c[j+252>>2];c[k+244>>2]=c[j+244>>2];Lf(l);d=d+1|0}while((d|0)<(c[o>>2]|0))}e=yz((vt(b)|0)<<4)|0;d=gu(b)|0;if(d)while(1){l=c[d+16>>2]|0;c[l+132>>2]=e;h[e>>3]=+h[l+16>>3]/72.0;h[e+8>>3]=+h[l+24>>3]/72.0;d=hu(b,d)|0;if(!d)break;else e=e+16|0}wx(c[o>>2]|0,n,b,g)|0;f=c[(c[(gu(b)|0)+16>>2]|0)+132>>2]|0;d=gu(b)|0;if(d){e=f;while(1){l=c[d+16>>2]|0;c[l+132>>2]=0;h[l+16>>3]=+h[e>>3]*72.0;h[l+24>>3]=+h[e+8>>3]*72.0;d=hu(b,d)|0;if(!d)break;else e=e+16|0}}fQ(f);l=c[o>>2]|0;if((l|0)>0){e=0;d=0;do{d=(c[(c[(c[n+(e<<2)>>2]|0)+16>>2]|0)+180>>2]|0)+d|0;e=e+1|0}while((e|0)!=(l|0));e=1}else{e=0;d=0}c[(c[m>>2]|0)+180>>2]=d;k=yz((d<<2)+4|0)|0;c[(c[m>>2]|0)+184>>2]=k;if(e){k=0;d=1;do{j=(c[n+(k<<2)>>2]|0)+16|0;e=c[j>>2]|0;if((c[e+180>>2]|0)>=1){g=1;f=d;while(1){q=fx(c[(c[e+184>>2]|0)+(g<<2)>>2]|0)|0;d=f+1|0;c[(c[(c[m>>2]|0)+184>>2]|0)+(f<<2)>>2]=q;Mf(c[(c[(c[j>>2]|0)+184>>2]|0)+(g<<2)>>2]|0,q);e=c[j>>2]|0;if((g|0)>=(c[e+180>>2]|0))break;else{g=g+1|0;f=d}}}k=k+1|0}while((k|0)!=(l|0))}}else Lf(b);while(0);if((c[o>>2]|0)>0){d=0;do{q=n+(d<<2)|0;fQ(c[(c[(c[q>>2]|0)+16>>2]|0)+8>>2]|0);Kf(c[q>>2]|0);wu(b,c[q>>2]|0)|0;d=d+1|0}while((d|0)<(c[o>>2]|0))}fQ(n)}}tA(b);i=p;return}function If(a){a=a|0;return c[(c[(yu(a)|0)+16>>2]|0)+188>>2]|0}function Jf(a){a=a|0;var b=0,d=0,e=0;e=a+16|0;b=c[e>>2]|0;d=c[b+172>>2]|0;if(d){fQ(d);b=c[e>>2]|0}d=c[b+180>>2]|0;if(d){fQ(d);b=c[e>>2]|0}d=c[b+188>>2]|0;if(d){fQ(d);b=c[e>>2]|0}d=c[b+196>>2]|0;if(d){fQ(d);b=c[e>>2]|0}d=c[b+204>>2]|0;if(d){fQ(d);b=c[e>>2]|0}pz(c[b+104>>2]|0);pz(c[(c[e>>2]|0)+108>>2]|0);b=c[(c[e>>2]|0)+8>>2]|0;if(b)Db[c[(c[b+4>>2]|0)+4>>2]&127](a);Pu(a,178487)|0;return}function Kf(a){a=a|0;var d=0,e=0,f=0,g=0,h=0;d=sv(a)|0;if(d)do{Kf(d);d=tv(d)|0}while((d|0)!=0);if(Ou(a,178510,0,1)|0){h=a+16|0;d=c[h>>2]|0;e=c[d+184>>2]|0;if(e){fQ(e);d=c[h>>2]|0}e=c[d+268>>2]|0;if(e){fQ(e);d=c[h>>2]|0}e=c[d+216>>2]|0;if(e){fQ(e);d=c[h>>2]|0}f=c[d+196>>2]|0;do if(f){g=b[d+236>>1]|0;if(g<<16>>16>(b[d+238>>1]|0)){e=g;d=f}else{e=g<<16>>16;fQ(c[f+(e<<6)+12>>2]|0);d=c[h>>2]|0;if(g<<16>>16<(b[d+238>>1]|0))do{e=e+1|0;fQ(c[(c[d+196>>2]|0)+(e<<6)+12>>2]|0);d=c[h>>2]|0}while((e|0)<(b[d+238>>1]|0));e=b[d+236>>1]|0;d=c[d+196>>2]|0}if(e<<16>>16==-1){fQ(d+-64|0);break}else{fQ(d);break}}while(0);if((yu(a)|0)!=(a|0)){pz(c[(c[h>>2]|0)+12>>2]|0);Pu(a,178510)|0}}return}function Lf(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+48|0;l=r+40|0;k=r;h=lC(a,Is(a,0,124901,0)|0,-1,1)|0;YC(a,10);d=pi(a,k)|0;Nf(a,a);Ff(a);e=(h|0)==1;f=k+32|0;g=(h|0)==2;h=(h|0)==3;j=k+28|0;k=k+24|0;while(1){Jh(a,d);if(e){j=3;break}if(c[f>>2]|0){us(0,124907,l)|0;c[k>>2]=0;d=0}Eg(a,(d|0)!=0&1);if(g){j=7;break}nh(a,d);if(h){j=9;break}p=(c[j>>2]|0)+-1|0;c[j>>2]=p;if(!((c[k>>2]|0)!=0&(p|0)!=0)){j=11;break}}if((j|0)==3)Of(a,1);else if((j|0)==7)Of(a,2);else if((j|0)==9)Of(a,2);else if((j|0)==11){p=a+16|0;if((b[(c[p>>2]|0)+136>>1]&16)!=0?(q=rv(a,126461,0)|0,(q|0)!=0):0){d=gu(q)|0;a:do if(d){while(1){o=d;d=hu(q,d)|0;wg(a,o);n=c[(c[o+16>>2]|0)+232>>2]|0;j=c[(c[p>>2]|0)+196>>2]|0;f=j+(n<<6)|0;e=c[f>>2]|0;j=j+(n<<6)+4|0;g=0;l=0;while(1){if((g|0)>=(e|0)){e=l;j=21;break}k=c[j>>2]|0;m=k+(g<<2)|0;l=c[m>>2]|0;h=g+1|0;if((l|0)==(o|0)){l=m;j=17;break}else g=h}if((j|0)==17){if((h|0)<(e|0)){c[l>>2]=c[k+(h<<2)>>2];h=g+2|0;g=c[(c[p>>2]|0)+196>>2]|0;f=g+(n<<6)|0;e=c[f>>2]|0;if((h|0)<(e|0))do{f=c[g+(n<<6)+4>>2]|0;c[f+(h+-1<<2)>>2]=c[f+(h<<2)>>2];h=h+1|0;g=c[(c[p>>2]|0)+196>>2]|0;f=g+(n<<6)|0;e=c[f>>2]|0}while((h|0)<(e|0))}c[f>>2]=e+-1}else if((j|0)==21?(0,(e|0)!=(o|0)):0)break;Jf(o);ou(a,o)|0;if(!d)break a}Na(124998,125005,248,125015)}while(0);vv(a,q)|0}fi(a);Qf(a);if((rC(Qs(a,125032)|0)|0)<<24>>24)Li(a)}i=r;return}function Mf(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;Ou(d,178510,280,1)|0;g=d+16|0;d=(c[g>>2]|0)+16|0;f=b+16|0;b=(c[f>>2]|0)+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];c[d+16>>2]=c[b+16>>2];c[d+20>>2]=c[b+20>>2];c[d+24>>2]=c[b+24>>2];c[d+28>>2]=c[b+28>>2];b=c[f>>2]|0;d=c[g>>2]|0;a[d+275>>0]=a[b+275>>0]|0;d=d+48|0;b=b+48|0;e=d+64|0;do{c[d>>2]=c[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));e=c[(c[f>>2]|0)+180>>2]|0;c[(c[g>>2]|0)+180>>2]=e;d=yz((e<<2)+4|0)|0;b=c[g>>2]|0;c[b+184>>2]=d;d=c[f>>2]|0;if((e|0)>=1){b=1;while(1){d=fx(c[(c[d+184>>2]|0)+(b<<2)>>2]|0)|0;c[(c[(c[g>>2]|0)+184>>2]|0)+(b<<2)>>2]=d;Mf(c[(c[(c[f>>2]|0)+184>>2]|0)+(b<<2)>>2]|0,d);d=c[f>>2]|0;if((b|0)==(e|0))break;else b=b+1|0}b=c[g>>2]|0}g=d+12|0;c[b+12>>2]=c[g>>2];c[g>>2]=0;return}function Nf(a,b){a=a|0;b=b|0;if((yu(a)|0)!=(a|0))Ou(a,178510,280,1)|0;if((a|0)==(b|0))c[(c[(yu(a)|0)+16>>2]|0)+188>>2]=a;a=sv(a)|0;if(a)do{Nf(a,b);a=tv(a)|0}while((a|0)!=0);return}function Of(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+1040|0;m=n+8|0;l=n;k=n+16|0;f=Is(a,1,127017,181739)|0;g=Is(a,1,125041,181739)|0;d=gu(a)|0;if(d){h=(b|0)>0;e=(b|0)>1;b=d;do{if(h?(j=b+16|0,c[l>>2]=c[(c[j>>2]|0)+232>>2],DO(k,178484,l)|0,Ts(b,f,k)|0,e):0){c[m>>2]=c[(c[j>>2]|0)+236>>2];DO(k,178484,m)|0;Ts(b,g,k)|0}b=hu(a,b)|0}while((b|0)!=0)}i=n;return}function Pf(b,c){b=b|0;c=c|0;var d=0;d=a[b+28>>0]|0;if(a[c+28>>0]|0)if(d<<24>>24){d=~~(+h[b>>3]-+h[c>>3]);if(!d)d=~~(+h[b+8>>3]-+h[c+8>>3])}else d=-1;else d=d<<24>>24!=0&1;return d|0}function Qf(a){a=a|0;Rf(a,1);return}function Rf(f,g){f=f|0;g=g|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0;ub=i;i=i+6112|0;Ua=ub+5904|0;j=ub+5896|0;lb=ub+5200|0;ob=ub+4504|0;jb=ub+3808|0;mb=ub+3696|0;hb=ub+3520|0;eb=ub+2824|0;kb=ub+2128|0;nb=ub+1432|0;ib=ub+736|0;Va=ub+704|0;Wa=ub+672|0;_a=ub+640|0;$a=ub+608|0;ab=ub+576|0;bb=ub+544|0;fb=ub+96|0;gb=ub;tb=ub+6084|0;db=ub+6080|0;cb=f+16|0;qb=e[(c[cb>>2]|0)+136>>1]&14;Xa=fb+16|0;c[Xa>>2]=ub+368;Ya=gb+16|0;c[Ya>>2]=ub+192;do if(qb){Za=(qb|0)==4;do if(Za){Sf(f);if(!(a[(c[(c[f+60>>2]|0)+16>>2]|0)+113>>0]&1))P=19;else{us(0,125047,j)|0;P=19}}else if((qb|0)==8){Sf(f);if(!(a[(c[(c[f+60>>2]|0)+16>>2]|0)+113>>0]&1)){vD(f,0);p=0;o=0;break}j=c[(c[cb>>2]|0)+192>>2]|0;a:do if(j){m=j;b:while(1){o=m+16|0;j=c[o>>2]|0;do if((a[j+156>>0]|0)==1){l=c[j+112>>2]|0;if(!l){l=c[j+104>>2]|0;if(!l)break;Tf(m);j=l}else{l=c[(c[l+16>>2]|0)+96>>2]|0;if(!l)break b;pb=l+56|0;j=j+16|0;c[pb>>2]=c[j>>2];c[pb+4>>2]=c[j+4>>2];c[pb+8>>2]=c[j+8>>2];c[pb+12>>2]=c[j+12>>2];a[l+81>>0]=1;j=l}HC(f,j);j=c[o>>2]|0}while(0);m=c[j+164>>2]|0;if(!m)break a}Na(125115,125134,234,125147)}while(0);vD(f,1);p=0;o=0}else P=19;while(0);if((P|0)==19){Hi(f);if(FA()|0)break;p=yz(96)|0;q=c[(c[cb>>2]|0)+248>>2]|0;c[tb+8>>2]=(q|0)/4|0;Ta=tb+12|0;c[Ta>>2]=q;q=yz(512)|0;O=tb+4|0;c[O>>2]=0;c[tb>>2]=0;j=c[cb>>2]|0;Ra=b[j+236>>1]|0;s=Ra<<16>>16;do if(Ra<<16>>16<=(b[j+238>>1]|0)){r=0;l=0;v=q;u=0;q=0;c:while(1){t=c[j+196>>2]|0;w=c[t+(s<<6)>>2]|0;I=w+q|0;q=c[t+(s<<6)+4>>2]|0;t=c[q>>2]|0;if(t){K=+(l|0);l=c[t+16>>2]|0;L=+h[l+16>>3]-+h[l+88>>3];l=~~(K<L?K:L)}d:do if(w){q=c[q+(w+-1<<2)>>2]|0;if(q){K=+(r|0);r=c[q+16>>2]|0;L=+h[r+16>>3]+ +h[r+96>>3];r=~~(K>L?K:L)}l=l+-16|0;r=r+16|0;if((w|0)>0){w=t;x=v;t=0;while(1){y=w+16|0;j=c[y>>2]|0;q=c[j+112>>2]|0;if(q){q=q+16|0;v=c[(c[q>>2]|0)+96>>2]|0;if(!v){P=30;break c}Ra=v+56|0;j=j+16|0;c[Ra>>2]=c[j>>2];c[Ra+4>>2]=c[j+4>>2];c[Ra+8>>2]=c[j+8>>2];c[Ra+12>>2]=c[j+12>>2];a[(c[(c[q>>2]|0)+96>>2]|0)+81>>0]=1;j=c[y>>2]|0}if(a[j+156>>0]|0)if(!((Hb[c[50548>>2]&63](w)|0)<<24>>24))v=x;else{j=c[y>>2]|0;P=35}else P=35;do if((P|0)==35){P=0;q=c[c[j+180>>2]>>2]|0;e:do if(!q)v=x;else{v=x;w=0;while(1){j=c[q+16>>2]|0;f:do switch(a[j+112>>0]|0){case 6:case 4:break;default:{c[j+164>>2]=81;j=u+1|0;c[v+(u<<2)>>2]=q;if(j&127){u=j;break f}v=Bz(v,(u<<2)+516|0)|0;u=j}}while(0);w=w+1|0;j=c[y>>2]|0;q=c[(c[j+180>>2]|0)+(w<<2)>>2]|0;if(!q)break e}}while(0);q=c[j+188>>2]|0;do if(q){q=c[q>>2]|0;if(!q)break;else{w=0;j=u}while(1){Uf(q,2,0,128);u=j+1|0;c[v+(j<<2)>>2]=q;if(!(u&127))v=Bz(v,(j<<2)+516|0)|0;w=w+1|0;j=c[y>>2]|0;q=c[(c[j+188>>2]|0)+(w<<2)>>2]|0;if(!q)break;else j=u}}while(0);q=c[j+204>>2]|0;if(q){if(!(a[j+156>>0]|0)){Qa=j+96|0;L=+h[Qa>>3];Ra=j+240|0;h[Qa>>3]=+h[Ra>>3];h[Ra>>3]=L}j=c[q>>2]|0;if(!j)break;else{q=v;v=0}while(1){Uf(j,0,0,128);w=u+1|0;c[q+(u<<2)>>2]=j;if(!(w&127))q=Bz(q,(u<<2)+516|0)|0;v=v+1|0;j=c[(c[(c[y>>2]|0)+204>>2]|0)+(v<<2)>>2]|0;if(!j){v=q;u=w;break}else u=w}}}while(0);t=t+1|0;j=c[cb>>2]|0;q=c[j+196>>2]|0;if((t|0)>=(c[q+(s<<6)>>2]|0))break d;w=c[(c[q+(s<<6)+4>>2]|0)+(t<<2)>>2]|0;x=v}}}else{r=r+16|0;l=l+-16|0}while(0);q=s+1|0;if((s|0)<(b[j+238>>1]|0)){s=q;q=I}else{s=I;o=v;j=u;P=55;break}}if((P|0)==30)Na(125163,125134,313,125176);else if((P|0)==55){c[tb>>2]=l;c[O>>2]=r;N=q;Sa=j;M=(s<<5)+11520|0;break}}else{o=q;N=s;Sa=0;M=11520}while(0);PO(o,Sa,4,58);c[p+84>>2]=yz(M)|0;c[tb+16>>2]=yz(N<<5)|0;Ra=(qb|0)==2;if(Ra?(m=c[(c[cb>>2]|0)+192>>2]|0,(m|0)!=0):0)do{l=m+16|0;j=c[l>>2]|0;if((a[j+156>>0]|0)==1?(c[j+104>>2]|0)!=0:0){Tf(m);j=c[l>>2]|0}m=c[j+164>>2]|0}while((m|0)!=0);if((Sa|0)>0){T=eb+16|0;U=(qb|0)==10;V=ob+52|0;W=jb+52|0;X=p+80|0;Y=f+60|0;Z=nb+52|0;$=ib+52|0;aa=mb+16|0;ba=mb+8|0;ca=mb+32|0;da=mb+48|0;ea=mb+64|0;fa=mb+64|0;ga=mb+72|0;ha=mb+80|0;ia=mb+96|0;ja=mb+96|0;ka=mb+104|0;la=lb+52|0;ma=ob+52|0;na=eb+48|0;oa=eb+-48|0;pa=jb+16|0;qa=mb+16|0;ra=hb+16|0;sa=jb+48|0;ta=jb+48|0;ua=mb+48|0;va=mb+48|0;wa=mb+-48|0;xa=jb+-48|0;ya=hb+48|0;za=hb+-48|0;Aa=eb+16|0;Ba=eb+52|0;Ca=kb+52|0;Da=p+56|0;Ea=p+69|0;Fa=p+16|0;Ga=p+29|0;Ha=kb+16|0;Ia=gb+48|0;Ja=gb+-48|0;Ka=fb+48|0;La=fb+-48|0;Ma=hb+16|0;Oa=hb+56|0;Pa=hb+112|0;Qa=hb+116|0;S=0;while(1){O=o+(S<<2)|0;N=c[O>>2]|0;m=N;while(1){j=c[m+16>>2]|0;l=c[j+172>>2]|0;if(!l){l=m;break}else m=l}j=c[j+116>>2]|0;if(!j)j=l;else while(1){l=c[(c[j+16>>2]|0)+116>>2]|0;if(!l)break;else j=l}M=N+16|0;l=c[M>>2]|0;if(!(a[l+44>>0]|0)){q=(a[l+84>>0]|0)==0?j:N;l=c[q+16>>2]|0}else q=N;m=q+16|0;if(!(c[l+164>>2]&32))l=q;else{l=c[Xa>>2]|0;rQ(l|0,c[m>>2]|0,176)|0;w=fb;x=q;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[Xa>>2]=l;c[((c[fb>>2]&3|0)==3?fb:Ka)+40>>2]=c[((c[q>>2]&3|0)==2?q:q+-48|0)+40>>2];c[((c[fb>>2]&3|0)==2?fb:La)+40>>2]=c[((c[q>>2]&3|0)==3?q:q+48|0)+40>>2];w=l+16|0;x=(c[m>>2]|0)+56|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=l+56|0;x=(c[m>>2]|0)+16|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));a[l+112>>0]=1;c[l+116>>2]=q;l=fb}m=S+1|0;g:do if((m|0)<(Sa|0)){I=l+16|0;l=1;while(1){v=o+(m<<2)|0;t=c[v>>2]|0;s=t;while(1){q=c[s+16>>2]|0;r=c[q+172>>2]|0;if(!r){r=s;break}else s=r}q=c[q+116>>2]|0;if(!q)q=r;else while(1){r=c[(c[q+16>>2]|0)+116>>2]|0;if(!r)break;else q=r}if((j|0)!=(q|0)){Q=l;R=m;break g}if(!(a[(c[M>>2]|0)+113>>0]|0)){u=t+16|0;q=c[u>>2]|0;if(!(a[q+44>>0]|0)){s=(a[q+84>>0]|0)==0?j:t;q=c[s+16>>2]|0}else s=t;r=s+16|0;if(c[q+164>>2]&32){q=c[Ya>>2]|0;rQ(q|0,c[r>>2]|0,176)|0;w=gb;x=s;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[Ya>>2]=q;c[((c[gb>>2]&3|0)==3?gb:Ia)+40>>2]=c[((c[s>>2]&3|0)==2?s:s+-48|0)+40>>2];c[((c[gb>>2]&3|0)==2?gb:Ja)+40>>2]=c[((c[s>>2]&3|0)==3?s:s+48|0)+40>>2];w=q+16|0;x=(c[r>>2]|0)+56|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=q+56|0;x=(c[r>>2]|0)+16|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));a[q+112>>0]=1;c[q+116>>2]=s}s=c[I>>2]|0;R=q+16|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];A=+h[k>>3];R=q+24|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];B=+h[k>>3];R=a[q+44>>0]|0;r=s+16|0;a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];C=+h[k>>3];r=s+24|0;a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];D=+h[k>>3];r=a[s+44>>0]|0;if(!(R<<24>>24))r=r<<24>>24!=0&1;else{if(!(r<<24>>24)){Q=l;R=m;break g}if(~~(C-A)){Q=l;R=m;break g}r=~~(D-B)}if(r){Q=l;R=m;break g}R=q+56|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];C=+h[k>>3];R=q+64|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];D=+h[k>>3];R=a[q+84>>0]|0;q=s+56|0;a[k>>0]=a[q>>0];a[k+1>>0]=a[q+1>>0];a[k+2>>0]=a[q+2>>0];a[k+3>>0]=a[q+3>>0];a[k+4>>0]=a[q+4>>0];a[k+5>>0]=a[q+5>>0];a[k+6>>0]=a[q+6>>0];a[k+7>>0]=a[q+7>>0];A=+h[k>>3];q=s+64|0;a[k>>0]=a[q>>0];a[k+1>>0]=a[q+1>>0];a[k+2>>0]=a[q+2>>0];a[k+3>>0]=a[q+3>>0];a[k+4>>0]=a[q+4>>0];a[k+5>>0]=a[q+5>>0];a[k+6>>0]=a[q+6>>0];a[k+7>>0]=a[q+7>>0];B=+h[k>>3];q=a[s+84>>0]|0;if(!(R<<24>>24))q=q<<24>>24!=0&1;else{if(!(q<<24>>24)){Q=l;R=m;break g}if(~~(A-C)){Q=l;R=m;break g}q=~~(B-D)}if(q){Q=l;R=m;break g}R=c[M>>2]|0;if((c[R+164>>2]&15|0)==2?(c[R+96>>2]|0)!=(c[(c[u>>2]|0)+96>>2]|0):0){Q=l;R=m;break g}if(c[(c[(c[v>>2]|0)+16>>2]|0)+164>>2]&64){Q=l;R=m;break g}}l=l+1|0;m=m+1|0;if((m|0)>=(Sa|0)){Q=l;R=m;break}}}else{Q=1;R=m}while(0);h:do if(Za){if((Q|0)==1)q=db;else q=yz(Q<<2)|0;m=c[O>>2]|0;while(1){j=c[m+16>>2]|0;l=c[j+172>>2]|0;if(!l){l=m;break}else m=l}j=c[j+116>>2]|0;if(!j)j=l;else while(1){l=c[(c[j+16>>2]|0)+116>>2]|0;if(!l)break;else j=l}c[q>>2]=j;j=(Q|0)>1;if(j)l=1;else{KA(f,q,Q,4,50544);break}do{c[q+(l<<2)>>2]=c[o+(l+S<<2)>>2];l=l+1|0}while((l|0)!=(Q|0));KA(f,q,Q,4,50544);if(j)fQ(q)}else{j=c[N>>2]&3;P=c[((j|0)==3?N:N+48|0)+40>>2]|0;j=c[((j|0)==2?N:N+-48|0)+40>>2]|0;l=c[P+16>>2]|0;q=c[l+232>>2]|0;if((P|0)==(j|0)){m=c[cb>>2]|0;do if((q|0)==(b[m+238>>1]|0))if((q|0)>0){j=~~(+h[(c[(c[c[(c[m+196>>2]|0)+(q+-1<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]-+h[l+24>>3]);break}else{j=~~+h[l+80>>3];break}else{A=+h[l+24>>3];j=c[m+196>>2]|0;if((q|0)==(b[m+236>>1]|0)){j=~~(A-+h[(c[(c[c[j+(q+1<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]);break}else{P=~~(+h[(c[(c[c[j+(q+-1<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]-A);j=~~(A-+h[(c[(c[c[j+(q+1<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]);j=(P|0)<(j|0)?P:j;break}}while(0);MB(p,o,S,Q,+(c[Ta>>2]|0),+((j|0)/2|0|0),50544);if((Q|0)>0)l=0;else break;while(1){j=c[(c[(c[o+(l+S<<2)>>2]|0)+16>>2]|0)+96>>2]|0;if(j)HC(f,j);l=l+1|0;if((l|0)==(Q|0))break h}}if((q|0)==(c[(c[j+16>>2]|0)+232>>2]|0)){c[T>>2]=hb;l=c[O>>2]|0;m=l+16|0;j=c[m>>2]|0;q=a[j+113>>0]|0;if(!(c[j+164>>2]&32))u=l;else{rQ(hb|0,j|0,176)|0;w=eb;x=l;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[T>>2]=hb;c[((c[eb>>2]&3|0)==3?eb:na)+40>>2]=c[((c[l>>2]&3|0)==2?l:l+-48|0)+40>>2];c[((c[eb>>2]&3|0)==2?eb:oa)+40>>2]=c[((c[l>>2]&3|0)==3?l:l+48|0)+40>>2];w=Ma;x=(c[m>>2]|0)+56|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=Oa;x=(c[m>>2]|0)+16|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));a[Pa>>0]=1;c[Qa>>2]=l;u=eb}i:do if((Q|0)>1){j=1;while(1){if(a[(c[(c[o+(j+S<<2)>>2]|0)+16>>2]|0)+113>>0]|0){P=131;break i}j=j+1|0;if((j|0)>=(Q|0)){P=130;break}}}else P=130;while(0);j:do if((P|0)==130){P=0;if(q<<24>>24){P=131;break}q=u+16|0;j=c[q>>2]|0;m=c[j+96>>2]|0;if(m){s=c[u>>2]&3;r=c[((s|0)==3?u:u+48|0)+40>>2]|0;t=u+-48|0;s=c[((s|0)==2?u:t)+40>>2]|0;j=c[j+172>>2]|0;while(1){l=c[(c[j+16>>2]|0)+172>>2]|0;if(!l)break;else j=l}l=m+56|0;m=(c[((c[j>>2]&3|0)==3?j:j+48|0)+40>>2]|0)+16|0;j=(c[m>>2]|0)+16|0;c[l>>2]=c[j>>2];c[l+4>>2]=c[j+4>>2];c[l+8>>2]=c[j+8>>2];c[l+12>>2]=c[j+12>>2];j=c[q>>2]|0;l=c[j+96>>2]|0;a[l+81>>0]=1;if(!Ra){O=c[m>>2]|0;J=+h[O+16>>3];G=J-+h[O+88>>3];J=J+ +h[O+96>>3];K=+h[O+24>>3];H=K+ +h[O+80>>3]*.5;O=c[r+16>>2]|0;S=c[O+232>>2]|0;Q=c[(c[cb>>2]|0)+196>>2]|0;S=~~(+(~~(K-+h[Q+(S<<6)+16>>3]-+h[O+24>>3]+ +h[Q+(S<<6)+24>>3])|0)/6.0);K=H-((S|0)<5?5.0:+(S|0));Xf(f,tb,p,r,u,lb,1);Xf(f,tb,p,s,u,ob,0);S=c[la>>2]|0;Q=S+-1|0;L=+h[lb+56+(Q<<5)>>3];h[167]=L;h[168]=+h[lb+56+(Q<<5)+24>>3];h[169]=G;h[170]=K;h[171]=L;h[172]=K;Q=(c[ma>>2]|0)+-1|0;L=+h[ob+56+(Q<<5)+16>>3];h[173]=L;h[174]=H;h[175]=J;h[178]=K;h[176]=+h[ob+56+(Q<<5)+24>>3];h[177]=L;if((S|0)>0){j=0;do{S=lb+56+(j<<5)|0;c[Ua>>2]=c[S>>2];c[Ua+4>>2]=c[S+4>>2];c[Ua+8>>2]=c[S+8>>2];c[Ua+12>>2]=c[S+12>>2];c[Ua+16>>2]=c[S+16>>2];c[Ua+20>>2]=c[S+20>>2];c[Ua+24>>2]=c[S+24>>2];c[Ua+28>>2]=c[S+28>>2];IB(p,Ua);j=j+1|0}while((j|0)<(c[la>>2]|0))};c[Ua>>2]=c[334];c[Ua+4>>2]=c[335];c[Ua+8>>2]=c[336];c[Ua+12>>2]=c[337];c[Ua+16>>2]=c[338];c[Ua+20>>2]=c[339];c[Ua+24>>2]=c[340];c[Ua+28>>2]=c[341];IB(p,Ua);c[Ua>>2]=c[342];c[Ua+4>>2]=c[343];c[Ua+8>>2]=c[344];c[Ua+12>>2]=c[345];c[Ua+16>>2]=c[346];c[Ua+20>>2]=c[347];c[Ua+24>>2]=c[348];c[Ua+28>>2]=c[349];IB(p,Ua);c[Ua>>2]=c[350];c[Ua+4>>2]=c[351];c[Ua+8>>2]=c[352];c[Ua+12>>2]=c[353];c[Ua+16>>2]=c[354];c[Ua+20>>2]=c[355];c[Ua+24>>2]=c[356];c[Ua+28>>2]=c[357];IB(p,Ua);j=c[ma>>2]|0;if((j|0)>0)do{S=j;j=j+-1|0;Q=ob+56+(j<<5)|0;c[Ua>>2]=c[Q>>2];c[Ua+4>>2]=c[Q+4>>2];c[Ua+8>>2]=c[Q+8>>2];c[Ua+12>>2]=c[Q+12>>2];c[Ua+16>>2]=c[Q+16>>2];c[Ua+20>>2]=c[Q+20>>2];c[Ua+24>>2]=c[Q+24>>2];c[Ua+28>>2]=c[Q+28>>2];IB(p,Ua)}while((S|0)>1);if(U)l=HA(p,jb)|0;else l=IA(p,jb)|0;j=c[jb>>2]|0;if(j)P=145}else{P=c[r+16>>2]|0;S=j+16|0;a[k>>0]=a[S>>0];a[k+1>>0]=a[S+1>>0];a[k+2>>0]=a[S+2>>0];a[k+3>>0]=a[S+3>>0];a[k+4>>0]=a[S+4>>0];a[k+5>>0]=a[S+5>>0];a[k+6>>0]=a[S+6>>0];a[k+7>>0]=a[S+7>>0];D=+h[k>>3];S=j+24|0;a[k>>0]=a[S>>0];a[k+1>>0]=a[S+1>>0];a[k+2>>0]=a[S+2>>0];a[k+3>>0]=a[S+3>>0];a[k+4>>0]=a[S+4>>0];a[k+5>>0]=a[S+5>>0];a[k+6>>0]=a[S+6>>0];a[k+7>>0]=a[S+7>>0];F=+h[k>>3];S=P+16|0;a[k>>0]=a[S>>0];a[k+1>>0]=a[S+1>>0];a[k+2>>0]=a[S+2>>0];a[k+3>>0]=a[S+3>>0];a[k+4>>0]=a[S+4>>0];a[k+5>>0]=a[S+5>>0];a[k+6>>0]=a[S+6>>0];a[k+7>>0]=a[S+7>>0];E=+h[k>>3];P=P+24|0;a[k>>0]=a[P>>0];a[k+1>>0]=a[P+1>>0];a[k+2>>0]=a[P+2>>0];a[k+3>>0]=a[P+3>>0];a[k+4>>0]=a[P+4>>0];a[k+5>>0]=a[P+5>>0];a[k+6>>0]=a[P+6>>0];a[k+7>>0]=a[P+7>>0];F=F+ +h[k>>3];P=c[s+16>>2]|0;S=j+56|0;a[k>>0]=a[S>>0];a[k+1>>0]=a[S+1>>0];a[k+2>>0]=a[S+2>>0];a[k+3>>0]=a[S+3>>0];a[k+4>>0]=a[S+4>>0];a[k+5>>0]=a[S+5>>0];a[k+6>>0]=a[S+6>>0];a[k+7>>0]=a[S+7>>0];J=+h[k>>3];j=j+64|0;a[k>>0]=a[j>>0];a[k+1>>0]=a[j+1>>0];a[k+2>>0]=a[j+2>>0];a[k+3>>0]=a[j+3>>0];a[k+4>>0]=a[j+4>>0];a[k+5>>0]=a[j+5>>0];a[k+6>>0]=a[j+6>>0];a[k+7>>0]=a[j+7>>0];L=+h[k>>3];j=P+16|0;a[k>>0]=a[j>>0];a[k+1>>0]=a[j+1>>0];a[k+2>>0]=a[j+2>>0];a[k+3>>0]=a[j+3>>0];a[k+4>>0]=a[j+4>>0];a[k+5>>0]=a[j+5>>0];a[k+6>>0]=a[j+6>>0];a[k+7>>0]=a[j+7>>0];K=+h[k>>3];j=P+24|0;a[k>>0]=a[j>>0];a[k+1>>0]=a[j+1>>0];a[k+2>>0]=a[j+2>>0];a[k+3>>0]=a[j+3>>0];a[k+4>>0]=a[j+4>>0];a[k+5>>0]=a[j+5>>0];a[k+6>>0]=a[j+6>>0];a[k+7>>0]=a[j+7>>0];L=L+ +h[k>>3];G=+h[l+56>>3];H=+h[l+64>>3]-+h[l+32>>3]*.5;h[mb>>3]=D+E;h[ba>>3]=F;c[aa>>2]=c[mb>>2];c[aa+4>>2]=c[mb+4>>2];c[aa+8>>2]=c[mb+8>>2];c[aa+12>>2]=c[mb+12>>2];h[fa>>3]=G;h[ga>>3]=H;c[da>>2]=c[ea>>2];c[da+4>>2]=c[ea+4>>2];c[da+8>>2]=c[ea+8>>2];c[da+12>>2]=c[ea+12>>2];c[ca>>2]=c[ea>>2];c[ca+4>>2]=c[ea+4>>2];c[ca+8>>2]=c[ea+8>>2];c[ca+12>>2]=c[ea+12>>2];h[ja>>3]=J+K;h[ka>>3]=L;c[ha>>2]=c[ia>>2];c[ha+4>>2]=c[ia+4>>2];c[ha+8>>2]=c[ia+8>>2];c[ha+12>>2]=c[ia+12>>2];c[jb>>2]=7;j=7;l=mb;P=145}if((P|0)==145){P=0;HB(u,c[((c[u>>2]&3|0)==2?u:t)+40>>2]|0,l,j,50544)}break}if(Ra){O=c[u>>2]&3;Yf(c[((O|0)==3?u:u+48|0)+40>>2]|0,c[((O|0)==2?u:u+-48|0)+40>>2]|0,o,S,Q,2);break}l=a[j+49>>0]|0;j=a[j+89>>0]|0;do if(!(l<<24>>24==1&j<<24>>24!=4)){if(l<<24>>24!=4&j<<24>>24==1)break;q=c[u>>2]&3;m=c[((q|0)==3?u:u+48|0)+40>>2]|0;q=c[((q|0)==2?u:u+-48|0)+40>>2]|0;j=c[m+16>>2]|0;l=c[j+232>>2]|0;if((l|0)>0){O=c[(c[cb>>2]|0)+196>>2]|0;N=((d[(c[(c[Y>>2]|0)+16>>2]|0)+113>>0]|-2)^1)+l|0;A=+h[(c[(c[c[O+(N<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]-+h[O+(N<<6)+16>>3]-+h[j+24>>3]-+h[O+(l<<6)+24>>3]}else A=+(c[(c[cb>>2]|0)+252>>2]|0);L=+(Q+1|0);B=+(c[Ta>>2]|0)/L;A=A/L;Xf(f,tb,p,m,u,nb,1);Xf(f,tb,p,q,u,ib,0);if((Q|0)>0)q=0;else break j;while(1){m=c[o+(q+S<<2)>>2]|0;O=c[Z>>2]|0;N=O+-1|0;G=+h[nb+56+(N<<5)>>3];H=+h[nb+56+(N<<5)+16>>3];L=+h[nb+56+(N<<5)+24>>3];h[167]=G;h[168]=L;q=q+1|0;J=+(q|0);K=B*J;h[169]=K+H;L=A*J+L;h[170]=L;h[171]=G;h[172]=L;N=(c[$>>2]|0)+-1|0;G=+h[ib+56+(N<<5)+16>>3];h[173]=G;h[174]=A+L;J=+h[ib+56+(N<<5)>>3];H=+h[ib+56+(N<<5)+24>>3];h[177]=G;h[176]=H;h[175]=J-K;h[178]=L;if((O|0)>0){j=0;do{O=nb+56+(j<<5)|0;c[Ua>>2]=c[O>>2];c[Ua+4>>2]=c[O+4>>2];c[Ua+8>>2]=c[O+8>>2];c[Ua+12>>2]=c[O+12>>2];c[Ua+16>>2]=c[O+16>>2];c[Ua+20>>2]=c[O+20>>2];c[Ua+24>>2]=c[O+24>>2];c[Ua+28>>2]=c[O+28>>2];IB(p,Ua);j=j+1|0}while((j|0)<(c[Z>>2]|0))};c[Ua>>2]=c[334];c[Ua+4>>2]=c[335];c[Ua+8>>2]=c[336];c[Ua+12>>2]=c[337];c[Ua+16>>2]=c[338];c[Ua+20>>2]=c[339];c[Ua+24>>2]=c[340];c[Ua+28>>2]=c[341];IB(p,Ua);c[Ua>>2]=c[342];c[Ua+4>>2]=c[343];c[Ua+8>>2]=c[344];c[Ua+12>>2]=c[345];c[Ua+16>>2]=c[346];c[Ua+20>>2]=c[347];c[Ua+24>>2]=c[348];c[Ua+28>>2]=c[349];IB(p,Ua);c[Ua>>2]=c[350];c[Ua+4>>2]=c[351];c[Ua+8>>2]=c[352];c[Ua+12>>2]=c[353];c[Ua+16>>2]=c[354];c[Ua+20>>2]=c[355];c[Ua+24>>2]=c[356];c[Ua+28>>2]=c[357];IB(p,Ua);j=c[$>>2]|0;if((j|0)>0)do{O=j;j=j+-1|0;N=ib+56+(j<<5)|0;c[Ua>>2]=c[N>>2];c[Ua+4>>2]=c[N+4>>2];c[Ua+8>>2]=c[N+8>>2];c[Ua+12>>2]=c[N+12>>2];c[Ua+16>>2]=c[N+16>>2];c[Ua+20>>2]=c[N+20>>2];c[Ua+24>>2]=c[N+24>>2];c[Ua+28>>2]=c[N+28>>2];IB(p,Ua)}while((O|0)>1);if(U)l=HA(p,kb)|0;else l=IA(p,kb)|0;j=c[kb>>2]|0;if(!j)break j;HB(m,c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2]|0,l,j,50544);c[X>>2]=0;if((q|0)>=(Q|0))break j}}while(0);r=c[u>>2]&3;q=c[((r|0)==3?u:u+48|0)+40>>2]|0;r=c[((r|0)==2?u:u+-48|0)+40>>2]|0;j=c[q+16>>2]|0;l=c[j+232>>2]|0;m=c[cb>>2]|0;if((l|0)<(b[m+238>>1]|0)){N=c[m+196>>2]|0;O=l+1|0;A=+h[j+24>>3]-+h[N+(l<<6)+32>>3]-(+h[(c[(c[c[N+(O<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]+ +h[N+(O<<6)+40>>3])}else A=+(c[m+252>>2]|0);L=+(Q+1|0);B=+(c[Ta>>2]|0)/L;A=A/L;Zf(f,tb,p,q,u,ob,1);Zf(f,tb,p,r,u,jb,0);k:do if((Q|0)>0){q=0;do{m=c[o+(q+S<<2)>>2]|0;O=c[V>>2]|0;N=O+-1|0;G=+h[ob+56+(N<<5)>>3];J=+h[ob+56+(N<<5)+8>>3];H=+h[ob+56+(N<<5)+16>>3];h[167]=G;h[170]=J;q=q+1|0;L=+(q|0);K=B*L;h[169]=K+H;L=J-A*L;h[168]=L;h[171]=G;h[174]=L;N=(c[W>>2]|0)+-1|0;G=+h[jb+56+(N<<5)+16>>3];h[173]=G;h[172]=L-A;J=+h[jb+56+(N<<5)>>3];H=+h[jb+56+(N<<5)+8>>3];h[177]=G;h[178]=H;h[175]=J-K;h[176]=L;if((O|0)>0){j=0;do{O=ob+56+(j<<5)|0;c[Ua>>2]=c[O>>2];c[Ua+4>>2]=c[O+4>>2];c[Ua+8>>2]=c[O+8>>2];c[Ua+12>>2]=c[O+12>>2];c[Ua+16>>2]=c[O+16>>2];c[Ua+20>>2]=c[O+20>>2];c[Ua+24>>2]=c[O+24>>2];c[Ua+28>>2]=c[O+28>>2];IB(p,Ua);j=j+1|0}while((j|0)<(c[V>>2]|0))};c[Ua>>2]=c[334];c[Ua+4>>2]=c[335];c[Ua+8>>2]=c[336];c[Ua+12>>2]=c[337];c[Ua+16>>2]=c[338];c[Ua+20>>2]=c[339];c[Ua+24>>2]=c[340];c[Ua+28>>2]=c[341];IB(p,Ua);c[Ua>>2]=c[342];c[Ua+4>>2]=c[343];c[Ua+8>>2]=c[344];c[Ua+12>>2]=c[345];c[Ua+16>>2]=c[346];c[Ua+20>>2]=c[347];c[Ua+24>>2]=c[348];c[Ua+28>>2]=c[349];IB(p,Ua);c[Ua>>2]=c[350];c[Ua+4>>2]=c[351];c[Ua+8>>2]=c[352];c[Ua+12>>2]=c[353];c[Ua+16>>2]=c[354];c[Ua+20>>2]=c[355];c[Ua+24>>2]=c[356];c[Ua+28>>2]=c[357];IB(p,Ua);j=c[W>>2]|0;if((j|0)>0)do{O=j;j=j+-1|0;N=jb+56+(j<<5)|0;c[Ua>>2]=c[N>>2];c[Ua+4>>2]=c[N+4>>2];c[Ua+8>>2]=c[N+8>>2];c[Ua+12>>2]=c[N+12>>2];c[Ua+16>>2]=c[N+16>>2];c[Ua+20>>2]=c[N+20>>2];c[Ua+24>>2]=c[N+24>>2];c[Ua+28>>2]=c[N+28>>2];IB(p,Ua)}while((O|0)>1);if(U)l=HA(p,lb)|0;else l=IA(p,lb)|0;j=c[lb>>2]|0;if(!j)break k;HB(m,c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2]|0,l,j,50544);c[X>>2]=0}while((q|0)<(Q|0))}while(0)}while(0);if((P|0)==131)Wf(f,o,S,Q,u,qb);break}c[pa>>2]=Ua;c[qa>>2]=lb;c[ra>>2]=ob;if(!(c[12639]|0)){c[12639]=zz(32e3)|0;c[12640]=zz(32e3)|0;c[12641]=2e3;c[12642]=2e3}s=c[O>>2]|0;P=c[s>>2]&3;m=s+48|0;q=s+-48|0;P=(c[(c[(c[((P|0)==3?s:m)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((P|0)==2?s:q)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0;r=s+16|0;do if((((P|0)>-1?P:0-P|0)|0)>1){rQ(Ua|0,c[r>>2]|0,176)|0;w=jb;x=s;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=sa;x=m;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[pa>>2]=Ua;j=c[r>>2]|0;if(!(c[j+164>>2]&32)){rQ(lb|0,j|0,176)|0;w=mb;x=s;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[qa>>2]=lb;c[((c[jb>>2]&3|0)==3?jb:ta)+40>>2]=c[((c[s>>2]&3|0)==3?s:m)+40>>2];w=ua;x=m;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));m=s}else{l=c[qa>>2]|0;rQ(l|0,j|0,176)|0;w=mb;x=s;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[qa>>2]=l;c[((c[mb>>2]&3|0)==3?mb:va)+40>>2]=c[((c[s>>2]&3|0)==2?s:q)+40>>2];c[((c[mb>>2]&3|0)==2?mb:wa)+40>>2]=c[((c[s>>2]&3|0)==3?s:m)+40>>2];w=l+16|0;x=(c[r>>2]|0)+56|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=(c[qa>>2]|0)+56|0;x=(c[r>>2]|0)+16|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=c[qa>>2]|0;a[w+112>>0]=1;c[w+116>>2]=s;c[((c[jb>>2]&3|0)==3?jb:ta)+40>>2]=c[((c[s>>2]&3|0)==2?s:q)+40>>2];w=(c[pa>>2]|0)+16|0;x=(c[r>>2]|0)+56|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));m=s}while(1){j=c[m+16>>2]|0;l=c[j+172>>2]|0;if(!l){l=m;break}else m=l}j=c[j+116>>2]|0;if(!j)j=l;else while(1){l=c[(c[j+16>>2]|0)+116>>2]|0;if(!l)break;else j=l}while(1){l=c[(c[j+16>>2]|0)+172>>2]|0;if(!l)break;else j=l}c[((c[jb>>2]&3|0)==2?jb:xa)+40>>2]=c[((c[j>>2]&3|0)==2?j:j+-48|0)+40>>2];O=c[pa>>2]|0;a[O+84>>0]=0;a[O+112>>0]=1;N=O+56|0;c[N>>2]=0;c[N+4>>2]=0;c[N+8>>2]=0;c[N+12>>2]=0;c[O+116>>2]=s;O=jb;N=1}else{j=c[r>>2]|0;if(!(c[j+164>>2]&32)){O=s;N=0;break}l=c[pa>>2]|0;rQ(l|0,j|0,176)|0;w=jb;x=s;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[pa>>2]=l;c[((c[jb>>2]&3|0)==3?jb:ta)+40>>2]=c[((c[s>>2]&3|0)==2?s:q)+40>>2];c[((c[jb>>2]&3|0)==2?jb:xa)+40>>2]=c[((c[s>>2]&3|0)==3?s:m)+40>>2];w=l+16|0;x=(c[r>>2]|0)+56|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=(c[pa>>2]|0)+56|0;x=(c[r>>2]|0)+16|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));O=c[pa>>2]|0;a[O+112>>0]=1;c[O+116>>2]=s;O=jb;N=0}while(0);l:do if(Ra){t=c[12639]|0;l=O+16|0;j=c[l>>2]|0;if(!(a[j+112>>0]|0))m=O;else do{m=c[j+116>>2]|0;l=m+16|0;j=c[l>>2]|0}while((a[j+112>>0]|0)!=0);r=c[m>>2]&3;s=c[((r|0)==2?m:m+-48|0)+40>>2]|0;r=c[((r|0)==3?m:m+48|0)+40>>2]|0;q=c[s+16>>2]|0;m=c[r+16>>2]|0;P=(c[q+232>>2]|0)-(c[m+232>>2]|0)|0;switch(((P|0)>-1?P:0-P|0)|0){case 1:{P=206;break l}case 2:{if(a[(c[(c[Y>>2]|0)+16>>2]|0)+113>>0]&1){P=206;break l}break}default:{}}P=(c[((c[O>>2]&3|0)==3?O:O+48|0)+40>>2]|0)==(r|0);N=j+16|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];G=+h[k>>3];N=j+24|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];D=+h[k>>3];N=m+16|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];H=+h[k>>3];N=m+24|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];B=+h[k>>3];N=j+56|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];E=+h[k>>3];N=j+64|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];C=+h[k>>3];N=q+16|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];F=+h[k>>3];N=q+24|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];A=+h[k>>3];if(P){r=s;L=C+A;J=D+B;K=G+H;E=E+F}else{L=D+B;J=C+A;K=E+F;E=G+H}j=c[j+96>>2]|0;if(!j){l=t+16|0;h[t>>3]=K;h[t+8>>3]=J;c[l>>2]=c[t>>2];c[l+4>>2]=c[t+4>>2];c[l+8>>2]=c[t+8>>2];c[l+12>>2]=c[t+12>>2];l=t+48|0;P=t+32|0;h[t+32>>3]=E;h[t+40>>3]=L;c[l>>2]=c[P>>2];c[l+4>>2]=c[P+4>>2];c[l+8>>2]=c[P+8>>2];c[l+12>>2]=c[P+12>>2];l=4;P=270;break}H=+h[j+24>>3];B=+h[j+32>>3];P=(c[(c[(xu(s)|0)+16>>2]|0)+116>>2]&1|0)==0;D=P?B:H;N=c[(c[l>>2]|0)+96>>2]|0;A=+h[N+56>>3];C=+h[N+64>>3];B=(P?H:B)*.5;if((~~((L-J)*(A-K)-(E-K)*(C-J))|0)>0){B=A+B;A=C-D*.5}else{B=A-B;A=C+D*.5}l=t+16|0;h[t>>3]=K;h[t+8>>3]=J;c[l>>2]=c[t>>2];c[l+4>>2]=c[t+4>>2];c[l+8>>2]=c[t+8>>2];c[l+12>>2]=c[t+12>>2];l=t+32|0;N=t+48|0;P=t+64|0;h[t+64>>3]=B;h[t+72>>3]=A;c[N>>2]=c[P>>2];c[N+4>>2]=c[P+4>>2];c[N+8>>2]=c[P+8>>2];c[N+12>>2]=c[P+12>>2];c[l>>2]=c[P>>2];c[l+4>>2]=c[P+4>>2];c[l+8>>2]=c[P+8>>2];c[l+12>>2]=c[P+12>>2];l=t+80|0;P=t+96|0;h[t+96>>3]=E;h[t+104>>3]=L;c[l>>2]=c[P>>2];c[l+4>>2]=c[P+4>>2];c[l+8>>2]=c[P+8>>2];c[l+12>>2]=c[P+12>>2];l=7;P=270}else P=206;while(0);m:do if((P|0)==206){P=0;q=c[O>>2]&3;t=c[((q|0)==3?O:O+48|0)+40>>2]|0;q=c[((q|0)==2?O:O+-48|0)+40>>2]|0;_f(ib,f,tb,t,0,O);c[eb>>2]=c[ib>>2];c[eb+4>>2]=c[ib+4>>2];c[eb+8>>2]=c[ib+8>>2];c[eb+12>>2]=c[ib+12>>2];c[eb+16>>2]=c[ib+16>>2];c[eb+20>>2]=c[ib+20>>2];c[eb+24>>2]=c[ib+24>>2];c[eb+28>>2]=c[ib+28>>2];C=+h[eb>>3];D=+h[Aa>>3];l=t+16|0;j=c[l>>2]|0;do if((a[j+156>>0]|0)==1){if((c[j+176>>2]|0)>1){j=1;break}j=(c[j+184>>2]|0)>1&1}else j=0;while(0);JB(p,O,1,eb,j);j=c[Ba>>2]|0;B=+h[eb+56+(j+-1<<5)+8>>3];M=c[l>>2]|0;A=+h[M+24>>3]-+h[(c[(c[cb>>2]|0)+196>>2]|0)+(c[M+232>>2]<<6)+16>>3];if(C<D&A<B){c[Ba>>2]=j+1;h[eb+56+(j<<5)>>3]=C;h[eb+56+(j<<5)+8>>3]=A;h[eb+56+(j<<5)+16>>3]=D;h[eb+56+(j<<5)+24>>3]=B}m=q;j=m+16|0;n:do if((a[(c[j>>2]|0)+156>>0]|0)==1){l=0;M=O;r=-1;s=0;while(1){I=q;y=0;u=M;w=r;q=0;while(1){if((Hb[c[50548>>2]&63](m)|0)<<24>>24){q=I;r=y;x=M;j=t;break n}x=y|1;v=1336+(y<<5)|0;$f(Va,tb,f,c[(c[t+16>>2]|0)+232>>2]|0);c[v>>2]=c[Va>>2];c[v+4>>2]=c[Va+4>>2];c[v+8>>2]=c[Va+8>>2];c[v+12>>2]=c[Va+12>>2];c[v+16>>2]=c[Va+16>>2];c[v+20>>2]=c[Va+20>>2];c[v+24>>2]=c[Va+24>>2];c[v+28>>2]=c[Va+28>>2];if(!q){q=c[j>>2]|0;r=c[c[q+180>>2]>>2]|0;r=c[(c[((c[r>>2]&3|0)==2?r:r+-48|0)+40>>2]|0)+16>>2]|0;o:do if((a[r+156>>0]|0)==1){s=q+16|0;q=0;do{if((c[r+184>>2]|0)!=1)break o;if((c[r+176>>2]|0)!=1)break o;if(+h[r+16>>3]!=+h[s>>3])break o;q=q+1|0;v=c[c[r+180>>2]>>2]|0;r=c[(c[((c[v>>2]&3|0)==2?v:v+-48|0)+40>>2]|0)+16>>2]|0}while((a[r+156>>0]|0)==1)}else q=0;while(0);v=(q|0)<(((a[(c[(c[Y>>2]|0)+16>>2]|0)+113>>0]&1)<<1)+3|0);w=v?w:1;s=v?q:q+-2|0;v=v&1^1}else v=q;if(!((v|0)==0|(w|0)>0)){q=I;r=x;x=s;break}r=y+2|0;q=1336+(x<<5)|0;_f(Wa,f,tb,m,u,c[c[(c[j>>2]|0)+180>>2]>>2]|0);c[q>>2]=c[Wa>>2];c[q+4>>2]=c[Wa+4>>2];c[q+8>>2]=c[Wa+8>>2];c[q+12>>2]=c[Wa+12>>2];c[q+16>>2]=c[Wa+16>>2];c[q+20>>2]=c[Wa+20>>2];c[q+24>>2]=c[Wa+24>>2];c[q+28>>2]=c[Wa+28>>2];u=c[c[(c[I+16>>2]|0)+180>>2]>>2]|0;q=c[u>>2]&3;t=c[((q|0)==3?u:u+48|0)+40>>2]|0;q=c[((q|0)==2?u:u+-48|0)+40>>2]|0;m=q;j=m+16|0;if((a[(c[j>>2]|0)+156>>0]|0)!=1){x=M;j=t;break n}else{I=q;y=r;w=w+-1|0;q=v}}_f(_a,f,tb,m,u,c[c[(c[j>>2]|0)+180>>2]>>2]|0);c[kb>>2]=c[_a>>2];c[kb+4>>2]=c[_a+4>>2];c[kb+8>>2]=c[_a+8>>2];c[kb+12>>2]=c[_a+12>>2];c[kb+16>>2]=c[_a+16>>2];c[kb+20>>2]=c[_a+20>>2];c[kb+24>>2]=c[_a+24>>2];c[kb+28>>2]=c[_a+28>>2];j=c[(c[((c[u>>2]&3|0)==2?u:u+-48|0)+40>>2]|0)+16>>2]|0;do if((a[j+156>>0]|0)==1){if((c[j+176>>2]|0)>1){j=1;break}j=(c[j+184>>2]|0)>1&1}else j=0;while(0);KB(p,u,1,kb,j);j=c[Ca>>2]|0;I=j+-1|0;v=q+16|0;y=c[v>>2]|0;A=+h[y+24>>3]+ +h[(c[(c[cb>>2]|0)+196>>2]|0)+(c[y+232>>2]<<6)+24>>3];B=+h[kb+56+(I<<5)>>3];C=+h[kb+56+(I<<5)+16>>3];D=+h[kb+56+(I<<5)+24>>3];if(B<C&D<A){c[Ca>>2]=j+1;h[kb+56+(j<<5)>>3]=B;h[kb+56+(j<<5)+8>>3]=D;h[kb+56+(j<<5)+16>>3]=C;h[kb+56+(j<<5)+24>>3]=A}h[Da>>3]=1.5707963267948966;a[Ea>>0]=1;ag(p,M,u,eb,kb,r);do if(U){m=HA(p,nb)|0;j=c[nb>>2]|0;P=233}else{m=IA(p,nb)|0;j=c[nb>>2]|0;if(!(Ra&(j|0)>4)){P=233;break}s=m+16|0;c[s>>2]=c[m>>2];c[s+4>>2]=c[m+4>>2];c[s+8>>2]=c[m+8>>2];c[s+12>>2]=c[m+12>>2];s=m+32|0;j=m+(j+-1<<4)|0;c[s>>2]=c[j>>2];c[s+4>>2]=c[j+4>>2];c[s+8>>2]=c[j+8>>2];c[s+12>>2]=c[j+12>>2];sQ(m+48|0,j|0,16)|0;c[nb>>2]=4;j=4;s=m}while(0);if((P|0)==233){P=0;if(!j)break m;else s=m}m=j+l|0;if((m|0)>(c[12641]|0)){c[12641]=m<<1;t=Bz(c[12639]|0,m<<5)|0;c[12639]=t;j=c[nb>>2]|0}else t=c[12639]|0;if((j|0)>0){q=(j|0)>1;m=l;r=0;while(1){I=t+(m<<4)|0;y=s+(r<<4)|0;c[I>>2]=c[y>>2];c[I+4>>2]=c[y+4>>2];c[I+8>>2]=c[y+8>>2];c[I+12>>2]=c[y+12>>2];r=r+1|0;if((r|0)==(j|0))break;else m=m+1|0}l=(q?j:1)+l|0}j=c[c[(c[v>>2]|0)+180>>2]>>2]|0;if(!x)s=j;else{m=x;do{m=m+-1|0;j=c[c[(c[(c[((c[j>>2]&3|0)==2?j:j+-48|0)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0}while((m|0)!=0);s=j}r=t+(l<<4)|0;j=t+(l+-1<<4)|0;c[r>>2]=c[j>>2];c[r+4>>2]=c[j+4>>2];c[r+8>>2]=c[j+8>>2];c[r+12>>2]=c[j+12>>2];r=l+2|0;q=t+(l+1<<4)|0;c[q>>2]=c[j>>2];c[q+4>>2]=c[j+4>>2];c[q+8>>2]=c[j+8>>2];c[q+12>>2]=c[j+12>>2];q=t+(r<<4)|0;t=s+48|0;l=(c[(c[((c[s>>2]&3|0)==3?s:t)+40>>2]|0)+16>>2]|0)+16|0;c[q>>2]=c[l>>2];c[q+4>>2]=c[l+4>>2];c[q+8>>2]=c[l+8>>2];c[q+12>>2]=c[l+12>>2];bg(M,p);q=c[s>>2]&3;t=c[((q|0)==3?s:t)+40>>2]|0;q=c[((q|0)==2?s:s+-48|0)+40>>2]|0;l=t+16|0;_f($a,f,tb,t,c[c[(c[l>>2]|0)+172>>2]>>2]|0,s);c[eb>>2]=c[$a>>2];c[eb+4>>2]=c[$a+4>>2];c[eb+8>>2]=c[$a+8>>2];c[eb+12>>2]=c[$a+12>>2];c[eb+16>>2]=c[$a+16>>2];c[eb+20>>2]=c[$a+20>>2];c[eb+24>>2]=c[$a+24>>2];c[eb+28>>2]=c[$a+28>>2];j=c[l>>2]|0;do if((a[j+156>>0]|0)==1){if((c[j+176>>2]|0)>1){j=1;break}j=(c[j+184>>2]|0)>1&1}else j=0;while(0);JB(p,s,1,eb,j);j=c[Ba>>2]|0;M=j+-1|0;I=c[l>>2]|0;A=+h[I+24>>3]-+h[(c[(c[cb>>2]|0)+196>>2]|0)+(c[I+232>>2]<<6)+16>>3];B=+h[eb+56+(M<<5)>>3];C=+h[eb+56+(M<<5)+8>>3];D=+h[eb+56+(M<<5)+16>>3];if(A<C&B<D){c[Ba>>2]=j+1;h[eb+56+(j<<5)>>3]=B;h[eb+56+(j<<5)+8>>3]=A;h[eb+56+(j<<5)+16>>3]=D;h[eb+56+(j<<5)+24>>3]=C}h[Fa>>3]=-1.5707963267948966;a[Ga>>0]=1;m=q;j=m+16|0;if((a[(c[j>>2]|0)+156>>0]|0)==1){l=r;M=s;r=w;s=x}else{l=r;r=0;u=s;x=s;j=t;break}}}else{l=0;r=0;u=O;x=O;j=t}while(0);s=r+1|0;v=1336+(r<<5)|0;$f(ab,tb,f,c[(c[j+16>>2]|0)+232>>2]|0);c[v>>2]=c[ab>>2];c[v+4>>2]=c[ab+4>>2];c[v+8>>2]=c[ab+8>>2];c[v+12>>2]=c[ab+12>>2];c[v+16>>2]=c[ab+16>>2];c[v+20>>2]=c[ab+20>>2];c[v+24>>2]=c[ab+24>>2];c[v+28>>2]=c[ab+28>>2];_f(bb,f,tb,m,u,0);c[kb>>2]=c[bb>>2];c[kb+4>>2]=c[bb+4>>2];c[kb+8>>2]=c[bb+8>>2];c[kb+12>>2]=c[bb+12>>2];c[kb+16>>2]=c[bb+16>>2];c[kb+20>>2]=c[bb+20>>2];c[kb+24>>2]=c[bb+24>>2];c[kb+28>>2]=c[bb+28>>2];C=+h[kb>>3];D=+h[Ha>>3];v=(N|0)!=0;m=v?mb:u;w=u+-48|0;j=c[(c[((c[u>>2]&3|0)==2?u:w)+40>>2]|0)+16>>2]|0;do if((a[j+156>>0]|0)==1){if((c[j+176>>2]|0)>1){j=1;break}j=(c[j+184>>2]|0)>1&1}else j=0;while(0);KB(p,m,1,kb,j);j=c[Ca>>2]|0;B=+h[kb+56+(j+-1<<5)+24>>3];N=c[q+16>>2]|0;A=+h[N+24>>3]+ +h[(c[(c[cb>>2]|0)+196>>2]|0)+(c[N+232>>2]<<6)+24>>3];if(C<D&B<A){c[Ca>>2]=j+1;h[kb+56+(j<<5)>>3]=C;h[kb+56+(j<<5)+8>>3]=B;h[kb+56+(j<<5)+16>>3]=D;h[kb+56+(j<<5)+24>>3]=A}ag(p,x,u,eb,kb,s);if(U)t=HA(p,nb)|0;else t=IA(p,nb)|0;j=c[nb>>2]|0;if(!(Ra&(j|0)>4)){if(!j)break}else{P=t+16|0;c[P>>2]=c[t>>2];c[P+4>>2]=c[t+4>>2];c[P+8>>2]=c[t+8>>2];c[P+12>>2]=c[t+12>>2];P=t+32|0;j=t+(j+-1<<4)|0;c[P>>2]=c[j>>2];c[P+4>>2]=c[j+4>>2];c[P+8>>2]=c[j+8>>2];c[P+12>>2]=c[j+12>>2];sQ(t+48|0,j|0,16)|0;c[nb>>2]=4;j=4}m=j+l|0;if((m|0)>(c[12641]|0)){c[12641]=m<<1;c[12639]=Bz(c[12639]|0,m<<5)|0;j=c[nb>>2]|0}if((j|0)>0){q=c[12639]|0;r=(j|0)>1;m=l;s=0;while(1){P=q+(m<<4)|0;N=t+(s<<4)|0;c[P>>2]=c[N>>2];c[P+4>>2]=c[N+4>>2];c[P+8>>2]=c[N+8>>2];c[P+12>>2]=c[N+12>>2];s=s+1|0;if((s|0)==(j|0))break;else m=m+1|0}l=(r?j:1)+l|0}bg(x,p);if(v)j=(c[mb>>2]&3|0)==2?mb:wa;else j=(c[u>>2]&3|0)==2?u:w;r=c[j+40>>2]|0;P=270}while(0);do if((P|0)==270){if((Q|0)==1){HB(O,r,c[12639]|0,l,50544);break}u=l+-1|0;v=(u|0)>1;if(v){A=+((_(c[Ta>>2]|0,Q+-1|0)|0)/2|0|0);j=c[12639]|0;m=1;do{P=j+(m<<4)|0;h[P>>3]=+h[P>>3]-A;m=m+1|0}while((m|0)!=(u|0))}j=c[12641]|0;if((j|0)>(c[12642]|0)){c[12642]=j;m=Bz(c[12640]|0,j<<4)|0;c[12640]=m}else m=c[12640]|0;t=(l|0)>0;if(t){j=c[12639]|0;q=0;do{P=m+(q<<4)|0;N=j+(q<<4)|0;c[P>>2]=c[N>>2];c[P+4>>2]=c[N+4>>2];c[P+8>>2]=c[N+8>>2];c[P+12>>2]=c[N+12>>2];q=q+1|0}while((q|0)!=(l|0))}HB(O,r,m,l,50544);if((Q|0)<=1)break;A=+(c[Ta>>2]|0);s=1;do{r=c[o+(s+S<<2)>>2]|0;m=r+16|0;j=c[m>>2]|0;if(c[j+164>>2]&32){q=c[ra>>2]|0;rQ(q|0,j|0,176)|0;w=hb;x=r;y=w+48|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));c[ra>>2]=q;c[((c[hb>>2]&3|0)==3?hb:ya)+40>>2]=c[((c[r>>2]&3|0)==2?r:r+-48|0)+40>>2];c[((c[hb>>2]&3|0)==2?hb:za)+40>>2]=c[((c[r>>2]&3|0)==3?r:r+48|0)+40>>2];w=q+16|0;x=(c[m>>2]|0)+56|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));w=(c[ra>>2]|0)+56|0;x=(c[m>>2]|0)+16|0;y=w+40|0;do{c[w>>2]=c[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));P=c[ra>>2]|0;a[P+112>>0]=1;c[P+116>>2]=r;r=hb}if(v){j=c[12639]|0;m=1;do{P=j+(m<<4)|0;h[P>>3]=A+ +h[P>>3];m=m+1|0}while((m|0)!=(u|0))}j=c[12640]|0;if(t){m=c[12639]|0;q=0;do{P=j+(q<<4)|0;O=m+(q<<4)|0;c[P>>2]=c[O>>2];c[P+4>>2]=c[O+4>>2];c[P+8>>2]=c[O+8>>2];c[P+12>>2]=c[O+12>>2];q=q+1|0}while((q|0)!=(l|0))}HB(r,c[((c[r>>2]&3|0)==2?r:r+-48|0)+40>>2]|0,j,l,50544);s=s+1|0}while((s|0)!=(Q|0))}while(0)}while(0);if((R|0)<(Sa|0))S=R;else break}}j=c[(c[cb>>2]|0)+192>>2]|0;if(j){m=j;do{l=m+16|0;j=c[l>>2]|0;if((a[j+156>>0]|0)==1?(c[j+104>>2]|0)!=0:0){Tf(m);HC(f,c[(c[l>>2]|0)+104>>2]|0);j=c[l>>2]|0}m=c[j+164>>2]|0}while((m|0)!=0)}if((g|0)!=0?(z=gu(f)|0,(z|0)!=0):0)do{j=at(f,z)|0;if(j)do{if((Hb[c[50544>>2]&63](j)|0)<<24>>24!=0?(pb=c[(c[j+16>>2]|0)+8>>2]|0,(pb|0)!=0):0){x=c[pb+4>>2]|0;y=zz(x*48|0)|0;if((x|0)>0){r=0;t=y;v=(c[pb>>2]|0)+((x+-1|0)*48|0)|0;do{w=v;v=v+-48|0;l=c[w+4>>2]|0;m=zz(l<<4)|0;if((l|0)>0){q=0;s=m;u=(c[w>>2]|0)+(l+-1<<4)|0;while(1){c[s>>2]=c[u>>2];c[s+4>>2]=c[u+4>>2];c[s+8>>2]=c[u+8>>2];c[s+12>>2]=c[u+12>>2];q=q+1|0;if((q|0)==(l|0))break;else{s=s+16|0;u=u+-16|0}}}c[t>>2]=m;c[t+4>>2]=l;c[t+8>>2]=c[w+12>>2];c[t+12>>2]=c[w+8>>2];g=t+16|0;ob=w+32|0;c[g>>2]=c[ob>>2];c[g+4>>2]=c[ob+4>>2];c[g+8>>2]=c[ob+8>>2];c[g+12>>2]=c[ob+12>>2];g=t+32|0;t=t+48|0;ob=w+16|0;c[g>>2]=c[ob>>2];c[g+4>>2]=c[ob+4>>2];c[g+8>>2]=c[ob+8>>2];c[g+12>>2]=c[ob+12>>2];r=r+1|0}while((r|0)!=(x|0));l=0;do{fQ(c[(c[pb>>2]|0)+(l*48|0)>>2]|0);l=l+1|0}while((l|0)!=(x|0))}fQ(c[pb>>2]|0);c[pb>>2]=y}j=ct(f,j)|0}while((j|0)!=0);z=hu(f,z)|0}while((z|0)!=0)}if(((c[13966]|0)!=0|(c[13967]|0)!=0?(c[13972]|0)!=0|(c[13971]|0)!=0:0)?(n=gu(f)|0,(n|0)!=0):0)do{if((c[13966]|0)!=0?(rb=dt(f,n)|0,(rb|0)!=0):0){m=rb;do{j=m+-48|0;l=(c[m>>2]&3|0)==2?m:j;if(c[(c[l+16>>2]|0)+100>>2]|0){OB(l,1)|0;HC(f,c[(c[((c[m>>2]&3|0)==2?m:j)+16>>2]|0)+100>>2]|0)}m=et(f,m)|0}while((m|0)!=0)}if((c[13967]|0)!=0?(sb=at(f,n)|0,(sb|0)!=0):0){l=sb;do{j=l+16|0;if((c[(c[j>>2]|0)+104>>2]|0)!=0?(OB(l,0)|0)!=0:0)HC(f,c[(c[j>>2]|0)+104>>2]|0);l=ct(f,l)|0}while((l|0)!=0)}n=hu(f,n)|0}while((n|0)!=0);switch(qb|0){case 4:case 8:break;default:{fQ(o);fQ(c[p+84>>2]|0);fQ(p);fQ(c[tb+16>>2]|0);GA()}}c[13885]=1;c[13886]=1}while(0);i=ub;return}function Sf(a){a=a|0;var b=0,d=0,e=0.0,f=0;b=gu(a)|0;if(b)do{d=c[b+16>>2]|0;if(c[d+204>>2]|0){f=d+96|0;e=+h[f>>3];d=d+240|0;h[f>>3]=+h[d>>3];h[d>>3]=e}b=hu(a,b)|0}while((b|0)!=0);return}function Tf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0;f=b+16|0;d=c[f>>2]|0;if(c[d+176>>2]|0){d=c[d+180>>2]|0;while(1){e=(c[d>>2]|0)+16|0;d=c[e>>2]|0;if(!(a[d+112>>0]|0))break;else d=d+116|0}d=c[d+96>>2]|0;g=+h[d+24>>3];i=+h[d+32>>3];d=(c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&1|0)!=0;f=c[f>>2]|0;b=c[(c[e>>2]|0)+96>>2]|0;h[b+56>>3]=+h[f+16>>3]+(d?i:g)*.5;h[b+64>>3]=+h[f+24>>3];a[b+81>>0]=1}return}function Uf(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;do if(!d){d=c[b>>2]&3;g=c[((d|0)==3?b:b+48|0)+40>>2]|0;d=c[((d|0)==2?b:b+-48|0)+40>>2]|0;if((g|0)!=(d|0)){g=(c[(c[g+16>>2]|0)+232>>2]|0)==(c[(c[d+16>>2]|0)+232>>2]|0)?2:1;break}d=c[b+16>>2]|0;if(!(a[d+44>>0]|0))g=(a[d+84>>0]|0)==0?8:4;else g=4}else g=d;while(0);a:do if(!e)switch(g|0){case 1:{d=c[b>>2]&3;d=(c[(c[(c[((d|0)==3?b:b+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)<(c[(c[(c[((d|0)==2?b:b+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)?16:32;break a}case 2:{d=c[b>>2]&3;d=(c[(c[(c[((d|0)==3?b:b+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0)<(c[(c[(c[((d|0)==2?b:b+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0)?16:32;break a}default:{d=16;break a}}else d=e;while(0);c[(c[b+16>>2]|0)+164>>2]=g|f|d;return}function Vf(b,d){b=b|0;d=d|0;var e=0.0,f=0.0,g=0.0,j=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=i;i=i+544|0;x=F+368|0;y=F+96|0;A=F;w=y+16|0;c[w>>2]=x;z=A+16|0;c[z>>2]=F+192;E=c[b>>2]|0;D=c[d>>2]|0;B=E+16|0;u=c[B>>2]|0;v=c[u+164>>2]|0;l=v&15;C=D+16|0;b=c[C>>2]|0;d=c[b+164>>2]&15;do if((d|0)==(l|0)){d=c[u+172>>2]|0;if(!d){l=u;d=E}else while(1){l=c[d+16>>2]|0;m=c[l+172>>2]|0;if(!m)break;else d=m}l=c[l+116>>2]|0;if(l){d=l;while(1){l=c[(c[d+16>>2]|0)+116>>2]|0;if(!l)break;else d=l}}l=c[b+172>>2]|0;if(!l){m=b;l=D}else while(1){m=c[l+16>>2]|0;n=c[m+172>>2]|0;if(!n)break;else l=n}m=c[m+116>>2]|0;if(m){l=m;while(1){m=c[(c[l+16>>2]|0)+116>>2]|0;if(!m)break;else l=m}}s=c[d>>2]|0;n=s&3;m=c[(c[((n|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0;n=c[(c[((n|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0;o=(c[m+232>>2]|0)-(c[n+232>>2]|0)|0;t=c[l>>2]|0;r=t&3;q=c[(c[((r|0)==3?l:l+48|0)+40>>2]|0)+16>>2]|0;r=c[(c[((r|0)==2?l:l+-48|0)+40>>2]|0)+16>>2]|0;p=(c[q+232>>2]|0)-(c[r+232>>2]|0)|0;o=(o|0)>-1?o:0-o|0;p=(p|0)>-1?p:0-p|0;if((o|0)!=(p|0)){b=o-p|0;break}n=~~(+h[m+16>>3]-+h[n+16>>3]);n=(n|0)>-1?n:0-n|0;m=~~(+h[q+16>>3]-+h[r+16>>3]);m=(m|0)>-1?m:0-m|0;if((n|0)!=(m|0)){b=n-m|0;break}n=s>>>4;m=t>>>4;if((n|0)!=(m|0)){b=n-m|0;break}if(!(a[u+44>>0]|0)){d=(a[u+84>>0]|0)==0?d:E;m=d;d=c[(c[d+16>>2]|0)+164>>2]|0}else{m=E;d=v}n=m+16|0;if(d&32){rQ(x|0,c[n>>2]|0,176)|0;o=y;p=m;q=o+48|0;do{c[o>>2]=c[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));c[w>>2]=x;c[((c[y>>2]&3|0)==3?y:y+48|0)+40>>2]=c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2];c[((c[y>>2]&3|0)==2?y:y+-48|0)+40>>2]=c[((c[m>>2]&3|0)==3?m:m+48|0)+40>>2];o=x+16|0;p=(c[n>>2]|0)+56|0;q=o+40|0;do{c[o>>2]=c[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));b=c[w>>2]|0;o=b+56|0;p=(c[n>>2]|0)+16|0;q=o+40|0;do{c[o>>2]=c[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));a[b+112>>0]=1;c[b+116>>2]=m;b=c[C>>2]|0;m=y}if(!(a[b+44>>0]|0)){b=(a[b+84>>0]|0)==0?l:D;l=b;b=c[b+16>>2]|0}else l=D;d=l+16|0;if(!(c[b+164>>2]&32))d=b;else{b=c[z>>2]|0;rQ(b|0,c[d>>2]|0,176)|0;o=A;p=l;q=o+48|0;do{c[o>>2]=c[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));c[z>>2]=b;c[((c[A>>2]&3|0)==3?A:A+48|0)+40>>2]=c[((c[l>>2]&3|0)==2?l:l+-48|0)+40>>2];c[((c[A>>2]&3|0)==2?A:A+-48|0)+40>>2]=c[((c[l>>2]&3|0)==3?l:l+48|0)+40>>2];o=b+16|0;p=(c[d>>2]|0)+56|0;q=o+40|0;do{c[o>>2]=c[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));o=b+56|0;p=(c[d>>2]|0)+16|0;q=o+40|0;do{c[o>>2]=c[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));a[b+112>>0]=1;c[b+116>>2]=l;d=b}l=c[m+16>>2]|0;A=d+16|0;a[k>>0]=a[A>>0];a[k+1>>0]=a[A+1>>0];a[k+2>>0]=a[A+2>>0];a[k+3>>0]=a[A+3>>0];a[k+4>>0]=a[A+4>>0];a[k+5>>0]=a[A+5>>0];a[k+6>>0]=a[A+6>>0];a[k+7>>0]=a[A+7>>0];e=+h[k>>3];A=d+24|0;a[k>>0]=a[A>>0];a[k+1>>0]=a[A+1>>0];a[k+2>>0]=a[A+2>>0];a[k+3>>0]=a[A+3>>0];a[k+4>>0]=a[A+4>>0];a[k+5>>0]=a[A+5>>0];a[k+6>>0]=a[A+6>>0];a[k+7>>0]=a[A+7>>0];g=+h[k>>3];A=a[d+44>>0]|0;b=l+16|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];f=+h[k>>3];b=l+24|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];j=+h[k>>3];b=a[l+44>>0]|0;if(!(A<<24>>24))b=b<<24>>24!=0&1;else{if(!(b<<24>>24)){b=-1;break}b=~~(f-e);if(b)break;b=~~(j-g)}if(!b){A=d+56|0;a[k>>0]=a[A>>0];a[k+1>>0]=a[A+1>>0];a[k+2>>0]=a[A+2>>0];a[k+3>>0]=a[A+3>>0];a[k+4>>0]=a[A+4>>0];a[k+5>>0]=a[A+5>>0];a[k+6>>0]=a[A+6>>0];a[k+7>>0]=a[A+7>>0];f=+h[k>>3];A=d+64|0;a[k>>0]=a[A>>0];a[k+1>>0]=a[A+1>>0];a[k+2>>0]=a[A+2>>0];a[k+3>>0]=a[A+3>>0];a[k+4>>0]=a[A+4>>0];a[k+5>>0]=a[A+5>>0];a[k+6>>0]=a[A+6>>0];a[k+7>>0]=a[A+7>>0];j=+h[k>>3];A=a[d+84>>0]|0;b=l+56|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];e=+h[k>>3];b=l+64|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];g=+h[k>>3];b=a[l+84>>0]|0;if(!(A<<24>>24))b=b<<24>>24!=0&1;else{if(!(b<<24>>24)){b=-1;break}b=~~(e-f);if(b)break;b=~~(g-j)}if(!b){d=c[(c[B>>2]|0)+164>>2]&192;b=c[(c[C>>2]|0)+164>>2]&192;if((d|0)==(b|0)){b=((c[E>>2]|0)>>>4)-((c[D>>2]|0)>>>4)|0;break}else{b=d-b|0;break}}}}else b=d-l|0;while(0);i=F;return b|0}function Wf(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0;Ea=i;i=i+336|0;Aa=Ea+248|0;U=Ea+232|0;Z=Ea+216|0;Ca=Ea+200|0;Ba=Ea+192|0;X=Ea+320|0;V=Ea+312|0;W=Ea+32|0;Y=Ea+16|0;T=Ea;ya=c[g>>2]&3;za=c[((ya|0)==3?g:g+48|0)+40>>2]|0;ya=c[((ya|0)==2?g:g+-48|0)+40>>2]|0;a:do if((QA(za)|0)!=2?(QA(ya)|0)!=2:0){G=(f|0)>0;do if(G){m=0;l=0;g=0;do{xa=c[(c[d+(m+e<<2)>>2]|0)+16>>2]|0;l=((c[xa+96>>2]|0)!=0&1)+l|0;if(!((a[xa+44>>0]|0)==0?(a[xa+84>>0]|0)==0:0))g=1;m=m+1|0}while((m|0)!=(f|0));I=l;if(!g){if(!I)break;l=c[d+(e<<2)>>2]|0;S=yz(f<<2)|0;if(G){g=0;do{c[S+(g<<2)>>2]=c[d+(g+e<<2)>>2];g=g+1|0}while((g|0)!=(f|0))}PO(S,f,4,59);P=c[za+16>>2]|0;O=l+16|0;N=c[O>>2]|0;e=N+16|0;a[k>>0]=a[e>>0];a[k+1>>0]=a[e+1>>0];a[k+2>>0]=a[e+2>>0];a[k+3>>0]=a[e+3>>0];a[k+4>>0]=a[e+4>>0];a[k+5>>0]=a[e+5>>0];a[k+6>>0]=a[e+6>>0];a[k+7>>0]=a[e+7>>0];o=+h[k>>3];N=N+24|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];n=+h[k>>3];N=P+16|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];J=+h[k>>3];N=P+24|0;a[k>>0]=a[N>>0];a[k+1>>0]=a[N+1>>0];a[k+2>>0]=a[N+2>>0];a[k+3>>0]=a[N+3>>0];a[k+4>>0]=a[N+4>>0];a[k+5>>0]=a[N+5>>0];a[k+6>>0]=a[N+6>>0];a[k+7>>0]=a[N+7>>0];J=o+J;n=n+ +h[k>>3];h[Y>>3]=J;N=Y+8|0;h[N>>3]=n;e=c[ya+16>>2]|0;O=c[O>>2]|0;Q=O+56|0;a[k>>0]=a[Q>>0];a[k+1>>0]=a[Q+1>>0];a[k+2>>0]=a[Q+2>>0];a[k+3>>0]=a[Q+3>>0];a[k+4>>0]=a[Q+4>>0];a[k+5>>0]=a[Q+5>>0];a[k+6>>0]=a[Q+6>>0];a[k+7>>0]=a[Q+7>>0];o=+h[k>>3];O=O+64|0;a[k>>0]=a[O>>0];a[k+1>>0]=a[O+1>>0];a[k+2>>0]=a[O+2>>0];a[k+3>>0]=a[O+3>>0];a[k+4>>0]=a[O+4>>0];a[k+5>>0]=a[O+5>>0];a[k+6>>0]=a[O+6>>0];a[k+7>>0]=a[O+7>>0];t=+h[k>>3];O=e+16|0;a[k>>0]=a[O>>0];a[k+1>>0]=a[O+1>>0];a[k+2>>0]=a[O+2>>0];a[k+3>>0]=a[O+3>>0];a[k+4>>0]=a[O+4>>0];a[k+5>>0]=a[O+5>>0];a[k+6>>0]=a[O+6>>0];a[k+7>>0]=a[O+7>>0];K=+h[k>>3];O=e+24|0;a[k>>0]=a[O>>0];a[k+1>>0]=a[O+1>>0];a[k+2>>0]=a[O+2>>0];a[k+3>>0]=a[O+3>>0];a[k+4>>0]=a[O+4>>0];a[k+5>>0]=a[O+5>>0];a[k+6>>0]=a[O+6>>0];a[k+7>>0]=a[O+7>>0];K=o+K;t=t+ +h[k>>3];h[T>>3]=K;O=T+8|0;h[O>>3]=t;J=J+ +h[P+96>>3];K=K-+h[e+88>>3];t=(J+K)*.5;e=c[S>>2]|0;c[W>>2]=c[Y>>2];c[W+4>>2]=c[Y+4>>2];c[W+8>>2]=c[Y+8>>2];c[W+12>>2]=c[Y+12>>2];P=W+16|0;c[P>>2]=c[Y>>2];c[P+4>>2]=c[Y+4>>2];c[P+8>>2]=c[Y+8>>2];c[P+12>>2]=c[Y+12>>2];Q=W+32|0;c[Q>>2]=c[T>>2];c[Q+4>>2]=c[T+4>>2];c[Q+8>>2]=c[T+8>>2];c[Q+12>>2]=c[T+12>>2];R=W+48|0;c[R>>2]=c[T>>2];c[R+4>>2]=c[T+4>>2];c[R+8>>2]=c[T+8>>2];c[R+12>>2]=c[T+12>>2];HB(e,c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0,W,4,50544);e=c[(c[e+16>>2]|0)+96>>2]|0;h[e+56>>3]=t;o=+h[e+32>>3];h[e+64>>3]=n+(o+6.0)*.5;a[e+81>>0]=1;n=+h[N>>3]+3.0;o=o+n;M=+h[e+24>>3]*.5;L=t-M;M=t+M;b:do if((I|0)>1){u=W+24|0;w=W+40|0;x=W+56|0;y=W+64|0;z=W+72|0;A=W+80|0;B=W+88|0;C=W+96|0;D=W+104|0;E=W+112|0;F=W+120|0;G=X+4|0;H=(j|0)==6&1;g=1;q=0.0;p=0.0;while(1){s=c[S+(g<<2)>>2]|0;if(!(g&1)){c[W>>2]=c[Y>>2];c[W+4>>2]=c[Y+4>>2];c[W+8>>2]=c[Y+8>>2];c[W+12>>2]=c[Y+12>>2];h[P>>3]=L;h[u>>3]=+h[N>>3];h[Q>>3]=L;h[w>>3]=o;h[R>>3]=M;h[x>>3]=o;h[y>>3]=M;r=+h[O>>3];h[z>>3]=r;v=+h[T>>3];h[A>>3]=v;h[B>>3]=r;h[C>>3]=v;v=o+6.0;h[D>>3]=v;h[E>>3]=+h[Y>>3];h[F>>3]=v;v=+h[(c[(c[s+16>>2]|0)+96>>2]|0)+32>>3];r=o+v*.5+6.0;o=o+(v+6.0)}else{l=s+16|0;m=c[(c[l>>2]|0)+96>>2]|0;if((g|0)==1){p=+h[m+24>>3]*.5;q=t+p;p=t-p}n=n-(+h[m+32>>3]+6.0);c[W>>2]=c[Y>>2];c[W+4>>2]=c[Y+4>>2];c[W+8>>2]=c[Y+8>>2];c[W+12>>2]=c[Y+12>>2];h[P>>3]=+h[Y>>3];r=n+-6.0;h[u>>3]=r;h[Q>>3]=+h[T>>3];h[w>>3]=r;c[R>>2]=c[T>>2];c[R+4>>2]=c[T+4>>2];c[R+8>>2]=c[T+8>>2];c[R+12>>2]=c[T+12>>2];h[y>>3]=q;h[z>>3]=+h[O>>3];h[A>>3]=q;h[B>>3]=n;h[C>>3]=p;h[D>>3]=n;h[E>>3]=p;h[F>>3]=+h[N>>3];r=n+ +h[(c[(c[l>>2]|0)+96>>2]|0)+32>>3]*.5}c[G>>2]=8;c[X>>2]=W;c[Z>>2]=c[Y>>2];c[Z+4>>2]=c[Y+4>>2];c[Z+8>>2]=c[Y+8>>2];c[Z+12>>2]=c[Y+12>>2];c[U>>2]=c[T>>2];c[U+4>>2]=c[T+4>>2];c[U+8>>2]=c[T+8>>2];c[U+12>>2]=c[T+12>>2];c[Aa>>2]=c[X>>2];c[Aa+4>>2]=c[X+4>>2];l=EA(Z,U,Aa,V,H)|0;m=c[V>>2]|0;if(!m)break b;e=c[(c[s+16>>2]|0)+96>>2]|0;h[e+56>>3]=t;h[e+64>>3]=r;a[e+81>>0]=1;HB(s,c[((c[s>>2]&3|0)==2?s:s+-48|0)+40>>2]|0,l,m,50544);g=g+1|0;if((g|0)>=(I|0)){Da=17;break}}}else{g=1;q=0.0;p=0.0;Da=17}while(0);c:do if((Da|0)==17){if((g|0)<(f|0)){w=W+24|0;x=W+40|0;y=W+56|0;z=W+64|0;A=W+72|0;B=W+80|0;C=W+88|0;D=W+96|0;E=W+104|0;F=W+112|0;G=W+120|0;H=X+4|0;u=(j|0)==6&1;v=(J*2.0+K)/3.0;t=(J+K*2.0)/3.0;while(1){s=c[S+(g<<2)>>2]|0;if(!(g&1)){c[W>>2]=c[Y>>2];c[W+4>>2]=c[Y+4>>2];c[W+8>>2]=c[Y+8>>2];c[W+12>>2]=c[Y+12>>2];h[P>>3]=L;h[w>>3]=+h[N>>3];h[Q>>3]=L;h[x>>3]=o;h[R>>3]=M;h[y>>3]=o;h[z>>3]=M;r=+h[O>>3];h[A>>3]=r;K=+h[T>>3];h[B>>3]=K;h[C>>3]=r;h[D>>3]=K;K=o+6.0;h[E>>3]=K;h[F>>3]=+h[Y>>3];o=K;r=n;n=K}else{j=(g|0)==1;p=j?v:p;q=j?t:q;r=n+-6.0;c[W>>2]=c[Y>>2];c[W+4>>2]=c[Y+4>>2];c[W+8>>2]=c[Y+8>>2];c[W+12>>2]=c[Y+12>>2];h[P>>3]=+h[Y>>3];n=r+-6.0;h[w>>3]=n;h[Q>>3]=+h[T>>3];h[x>>3]=n;c[R>>2]=c[T>>2];c[R+4>>2]=c[T+4>>2];c[R+8>>2]=c[T+8>>2];c[R+12>>2]=c[T+12>>2];h[z>>3]=q;h[A>>3]=+h[O>>3];h[B>>3]=q;h[C>>3]=r;h[D>>3]=p;h[E>>3]=r;h[F>>3]=p;n=+h[N>>3]}h[G>>3]=n;c[H>>2]=8;c[X>>2]=W;c[Z>>2]=c[Y>>2];c[Z+4>>2]=c[Y+4>>2];c[Z+8>>2]=c[Y+8>>2];c[Z+12>>2]=c[Y+12>>2];c[U>>2]=c[T>>2];c[U+4>>2]=c[T+4>>2];c[U+8>>2]=c[T+8>>2];c[U+12>>2]=c[T+12>>2];c[Aa>>2]=c[X>>2];c[Aa+4>>2]=c[X+4>>2];l=EA(Z,U,Aa,V,u)|0;m=c[V>>2]|0;if(!m)break c;HB(s,c[((c[s>>2]&3|0)==2?s:s+-48|0)+40>>2]|0,l,m,50544);g=g+1|0;if((g|0)>=(f|0))break;else n=r}}fQ(S)}while(0);break a}va=yz(156)|0;if(!(yt(b)|0)){c[Aa>>2]=c[13170];xa=rt(125312,Aa,0)|0}else{c[Aa>>2]=c[13168];xa=rt(125312,Aa,0)|0}Ou(xa,178510,280,1)|0;Is(xa,0,127017,181739)|0;ta=yz(96)|0;C=xa+16|0;g=c[C>>2]|0;c[g+8>>2]=ta;wa=b+16|0;ua=c[wa>>2]|0;sa=c[ua+8>>2]|0;h[ta>>3]=+h[sa>>3];h[ta+24>>3]=+h[sa+24>>3];a[g+115>>0]=a[ua+115>>0]|0;c[g+116>>2]=c[ua+116>>2]&1^1;c[g+248>>2]=c[ua+248>>2];c[g+252>>2]=c[ua+252>>2];g=Js(yu(b)|0,1,0)|0;if(g)do{Is(xa,1,c[g+8>>2]|0,c[g+12>>2]|0)|0;g=Js(yu(b)|0,1,g)|0}while((g|0)!=0);g=Js(yu(b)|0,2,0)|0;if(g)do{Is(xa,2,c[g+8>>2]|0,c[g+12>>2]|0)|0;g=Js(yu(b)|0,2,g)|0}while((g|0)!=0);if(!(Is(xa,2,152546,0)|0))Is(xa,2,152546,181739)|0;if(!(Is(xa,2,152537,0)|0))Is(xa,2,152537,181739)|0;c[va>>2]=c[13958];H=va+4|0;c[H>>2]=c[13962];I=va+8|0;c[I>>2]=c[13963];N=va+12|0;c[N>>2]=c[13936];O=va+16|0;c[O>>2]=c[13937];P=va+20|0;c[P>>2]=c[13950];Q=va+24|0;c[Q>>2]=c[13949];R=va+28|0;c[R>>2]=c[13948];S=va+32|0;c[S>>2]=c[13974];T=va+36|0;c[T>>2]=c[13966];U=va+40|0;c[U>>2]=c[13951];V=va+44|0;c[V>>2]=c[13961];W=va+48|0;c[W>>2]=c[13970];X=va+52|0;c[X>>2]=c[13969];Y=va+56|0;c[Y>>2]=c[13968];Z=va+60|0;c[Z>>2]=c[13973];_=va+64|0;c[_>>2]=c[13967];$=va+68|0;c[$>>2]=c[13952];aa=va+72|0;c[aa>>2]=c[13899];ba=va+76|0;c[ba>>2]=c[13900];ca=va+80|0;c[ca>>2]=c[13901];da=va+84|0;c[da>>2]=c[13919];ea=va+88|0;c[ea>>2]=c[13912];fa=va+92|0;c[fa>>2]=c[13913];ga=va+96|0;c[ga>>2]=c[13914];ha=va+100|0;c[ha>>2]=c[13916];ia=va+104|0;c[ia>>2]=c[13917];ja=va+108|0;c[ja>>2]=c[13920];ka=va+112|0;c[ka>>2]=c[13923];la=va+116|0;c[la>>2]=c[13921];ma=va+120|0;c[ma>>2]=c[13922];na=va+124|0;c[na>>2]=c[13925];oa=va+128|0;c[oa>>2]=c[13924];pa=va+132|0;c[pa>>2]=c[13926];qa=va+136|0;c[qa>>2]=c[13927];ra=va+140|0;c[ra>>2]=c[13918];sa=va+144|0;c[sa>>2]=c[13930];ta=va+152|0;c[ta>>2]=c[13885];ua=va+148|0;c[ua>>2]=c[13894];c[13958]=0;c[13962]=Is(xa,2,127162,0)|0;c[13963]=Is(xa,2,127171,0)|0;F=Is(xa,2,142776,0)|0;c[13936]=F;if(!F)c[13936]=Is(xa,2,142776,181739)|0;c[13937]=0;c[13950]=0;c[13949]=Is(xa,2,142672,0)|0;c[13948]=Is(xa,2,142663,0)|0;c[13974]=Is(xa,2,142952,0)|0;c[13966]=0;c[13951]=Is(xa,2,151058,0)|0;c[13961]=Is(xa,2,125317,0)|0;c[13970]=0;c[13969]=Is(xa,2,142852,0)|0;c[13968]=Is(xa,2,142838,0)|0;c[13973]=Is(xa,2,142943,0)|0;c[13967]=0;c[13952]=0;c[13899]=Is(xa,1,182248,0)|0;c[13900]=Is(xa,1,182316,0)|0;c[13901]=Is(xa,1,151064,0)|0;c[13919]=0;c[13912]=Is(xa,1,142663,0)|0;c[13913]=Is(xa,1,142672,0)|0;c[13914]=0;c[13916]=Is(xa,1,151058,0)|0;c[13917]=0;c[13920]=0;c[13923]=Is(xa,1,142644,0)|0;c[13921]=Is(xa,1,182276,0)|0;c[13922]=Is(xa,1,142707,0)|0;c[13925]=Is(xa,1,142719,0)|0;c[13924]=Is(xa,1,142583,0)|0;c[13926]=Is(xa,1,142724,0)|0;c[13927]=Is(xa,1,125329,0)|0;c[13918]=0;c[13930]=0;c[13894]=Is(xa,0,142644,0)|0;D=rv(xa,125335,1)|0;Ou(D,178510,280,1)|0;Ss(D,127017,127031)|0;A=~~+h[(c[ya+16>>2]|0)+16>>3];B=~~+h[(c[za+16>>2]|0)+16>>3];w=(c[(c[wa>>2]|0)+116>>2]&1|0)==0;x=w?ya:za;w=w?za:ya;D=hg(D,w)|0;E=hg(xa,x)|0;if(G){s=0;u=0;while(1){g=d+(u+e<<2)|0;while(1){m=c[g>>2]|0;g=m+16|0;l=c[g>>2]|0;if(!(a[l+112>>0]|0)){l=g;break}else g=l+116|0}if((c[((c[m>>2]&3|0)==3?m:m+48|0)+40>>2]|0)==(w|0))g=ig(xa,D,E,m)|0;else g=ig(xa,E,D,m)|0;l=c[l>>2]|0;c[l+120>>2]=g;if(!s)if((a[l+44>>0]|0)==0?(a[l+84>>0]|0)==0:0)c[(c[g+16>>2]|0)+120>>2]=m;else g=0;else g=s;u=u+1|0;if((u|0)==(f|0))break;else s=g}if(g)F=g;else Da=58}else Da=58;if((Da|0)==58)F=ht(xa,D,E,0,1)|0;Ts(F,c[13936]|0,125339)|0;y=c[C>>2]|0;c[y+144>>2]=c[(c[wa>>2]|0)+144>>2];c[y+188>>2]=xa;YC(xa,j);Ff(xa);Jh(xa,0);Eg(xa,0);nh(xa,0);y=w+16|0;m=c[y>>2]|0;l=c[x+16>>2]|0;z=D+16|0;s=c[z>>2]|0;w=s+16|0;u=c[E+16>>2]|0;x=u+16|0;g=c[(c[C>>2]|0)+192>>2]|0;if(g){p=+(A|0);q=+(~~((+h[w>>3]+ +h[x>>3])*.5)|0);o=+(B|0);n=+(~~((+h[m+16>>3]-+h[m+96>>3]+ +h[l+16>>3]+ +h[l+88>>3])*.5)|0);m=s+24|0;l=u+24|0;do{do if((g|0)!=(D|0))if((g|0)==(E|0)){h[l>>3]=o;h[x>>3]=q;break}else{h[(c[g+16>>2]|0)+24>>3]=n;break}else{h[m>>3]=p;h[w>>3]=q}while(0);g=c[(c[g+16>>2]|0)+164>>2]|0}while((g|0)!=0)}fi(xa);Rf(xa,0);tA(xa);l=c[y>>2]|0;g=c[z>>2]|0;n=+h[l+24>>3];if(!(c[(c[wa>>2]|0)+116>>2]&1)){o=n-+h[g+24>>3];g=g+16|0}else{o=n+ +h[g+16>>3];g=g+24|0}n=+h[l+16>>3]-+h[g>>3];if(G){y=Aa+16|0;z=Aa+32|0;A=Aa+48|0;B=Aa+56|0;C=0;do{g=d+(C+e<<2)|0;while(1){m=c[g>>2]|0;g=m+16|0;l=c[g>>2]|0;if(!(a[l+112>>0]|0))break;else g=l+116|0}j=c[l+120>>2]|0;x=j+16|0;l=c[x>>2]|0;do if(!((j|0)==(F|0)&(c[l+120>>2]|0)==0)){u=c[c[l+8>>2]>>2]|0;w=u+4|0;l=GB(m,c[w>>2]|0)|0;c[l+8>>2]=c[u+8>>2];j=c[(c[wa>>2]|0)+116>>2]&1;G=u+16|0;a[k>>0]=a[G>>0];a[k+1>>0]=a[G+1>>0];a[k+2>>0]=a[G+2>>0];a[k+3>>0]=a[G+3>>0];a[k+4>>0]=a[G+4>>0];a[k+5>>0]=a[G+5>>0];a[k+6>>0]=a[G+6>>0];a[k+7>>0]=a[G+7>>0];M=+h[k>>3];G=u+24|0;a[k>>0]=a[G>>0];a[k+1>>0]=a[G+1>>0];a[k+2>>0]=a[G+2>>0];a[k+3>>0]=a[G+3>>0];a[k+4>>0]=a[G+4>>0];a[k+5>>0]=a[G+5>>0];a[k+6>>0]=a[G+6>>0];a[k+7>>0]=a[G+7>>0];L=+h[k>>3];j=(j|0)==0;h[l+16>>3]=n+(j?M:L);h[l+24>>3]=o+(j?L:-M);c[l+12>>2]=c[u+12>>2];j=c[(c[wa>>2]|0)+116>>2]&1;G=u+32|0;a[k>>0]=a[G>>0];a[k+1>>0]=a[G+1>>0];a[k+2>>0]=a[G+2>>0];a[k+3>>0]=a[G+3>>0];a[k+4>>0]=a[G+4>>0];a[k+5>>0]=a[G+5>>0];a[k+6>>0]=a[G+6>>0];a[k+7>>0]=a[G+7>>0];M=+h[k>>3];G=u+40|0;a[k>>0]=a[G>>0];a[k+1>>0]=a[G+1>>0];a[k+2>>0]=a[G+2>>0];a[k+3>>0]=a[G+3>>0];a[k+4>>0]=a[G+4>>0];a[k+5>>0]=a[G+5>>0];a[k+6>>0]=a[G+6>>0];a[k+7>>0]=a[G+7>>0];L=+h[k>>3];j=(j|0)==0;h[l+32>>3]=n+(j?M:L);h[l+40>>3]=o+(j?L:-M);d:do if((c[w>>2]|0)>0){s=0;while(1){j=c[l>>2]|0;m=j+(s<<4)|0;E=c[u>>2]|0;G=c[(c[wa>>2]|0)+116>>2]&1;D=E+(s<<4)|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];M=+h[k>>3];E=E+(s<<4)+8|0;a[k>>0]=a[E>>0];a[k+1>>0]=a[E+1>>0];a[k+2>>0]=a[E+2>>0];a[k+3>>0]=a[E+3>>0];a[k+4>>0]=a[E+4>>0];a[k+5>>0]=a[E+5>>0];a[k+6>>0]=a[E+6>>0];a[k+7>>0]=a[E+7>>0];L=+h[k>>3];G=(G|0)==0;h[m>>3]=n+(G?M:L);h[j+(s<<4)+8>>3]=o+(G?L:-M);c[Aa>>2]=c[m>>2];c[Aa+4>>2]=c[m+4>>2];c[Aa+8>>2]=c[m+8>>2];c[Aa+12>>2]=c[m+12>>2];m=s+1|0;if((m|0)>=(c[w>>2]|0))break;G=c[l>>2]|0;j=G+(m<<4)|0;D=c[u>>2]|0;E=c[(c[wa>>2]|0)+116>>2]&1;Fa=D+(m<<4)|0;a[k>>0]=a[Fa>>0];a[k+1>>0]=a[Fa+1>>0];a[k+2>>0]=a[Fa+2>>0];a[k+3>>0]=a[Fa+3>>0];a[k+4>>0]=a[Fa+4>>0];a[k+5>>0]=a[Fa+5>>0];a[k+6>>0]=a[Fa+6>>0];a[k+7>>0]=a[Fa+7>>0];M=+h[k>>3];D=D+(m<<4)+8|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];L=+h[k>>3];E=(E|0)==0;h[j>>3]=n+(E?M:L);h[G+(m<<4)+8>>3]=o+(E?L:-M);c[y>>2]=c[j>>2];c[y+4>>2]=c[j+4>>2];c[y+8>>2]=c[j+8>>2];c[y+12>>2]=c[j+12>>2];j=s+2|0;G=c[l>>2]|0;E=G+(j<<4)|0;m=c[u>>2]|0;D=c[(c[wa>>2]|0)+116>>2]&1;Fa=m+(j<<4)|0;a[k>>0]=a[Fa>>0];a[k+1>>0]=a[Fa+1>>0];a[k+2>>0]=a[Fa+2>>0];a[k+3>>0]=a[Fa+3>>0];a[k+4>>0]=a[Fa+4>>0];a[k+5>>0]=a[Fa+5>>0];a[k+6>>0]=a[Fa+6>>0];a[k+7>>0]=a[Fa+7>>0];M=+h[k>>3];m=m+(j<<4)+8|0;a[k>>0]=a[m>>0];a[k+1>>0]=a[m+1>>0];a[k+2>>0]=a[m+2>>0];a[k+3>>0]=a[m+3>>0];a[k+4>>0]=a[m+4>>0];a[k+5>>0]=a[m+5>>0];a[k+6>>0]=a[m+6>>0];a[k+7>>0]=a[m+7>>0];L=+h[k>>3];D=(D|0)==0;h[E>>3]=n+(D?M:L);h[G+(j<<4)+8>>3]=o+(D?L:-M);c[z>>2]=c[E>>2];c[z+4>>2]=c[E+4>>2];c[z+8>>2]=c[E+8>>2];c[z+12>>2]=c[E+12>>2];s=s+3|0;E=c[u>>2]|0;j=c[wa>>2]|0;G=c[j+116>>2]&1;D=E+(s<<4)|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];M=+h[k>>3];E=E+(s<<4)+8|0;a[k>>0]=a[E>>0];a[k+1>>0]=a[E+1>>0];a[k+2>>0]=a[E+2>>0];a[k+3>>0]=a[E+3>>0];a[k+4>>0]=a[E+4>>0];a[k+5>>0]=a[E+5>>0];a[k+6>>0]=a[E+6>>0];a[k+7>>0]=a[E+7>>0];L=+h[k>>3];G=(G|0)==0;h[A>>3]=n+(G?M:L);h[B>>3]=o+(G?L:-M);sy(j+16|0,Aa);if((s|0)>=(c[w>>2]|0))break d}}while(0);l=c[(c[g>>2]|0)+96>>2]|0;if(!l)break;j=c[(c[x>>2]|0)+96>>2]|0;Fa=c[(c[wa>>2]|0)+116>>2]&1;G=j+56|0;a[k>>0]=a[G>>0];a[k+1>>0]=a[G+1>>0];a[k+2>>0]=a[G+2>>0];a[k+3>>0]=a[G+3>>0];a[k+4>>0]=a[G+4>>0];a[k+5>>0]=a[G+5>>0];a[k+6>>0]=a[G+6>>0];a[k+7>>0]=a[G+7>>0];M=+h[k>>3];j=j+64|0;a[k>>0]=a[j>>0];a[k+1>>0]=a[j+1>>0];a[k+2>>0]=a[j+2>>0];a[k+3>>0]=a[j+3>>0];a[k+4>>0]=a[j+4>>0];a[k+5>>0]=a[j+5>>0];a[k+6>>0]=a[j+6>>0];a[k+7>>0]=a[j+7>>0];L=+h[k>>3];Fa=(Fa|0)==0;h[l+56>>3]=n+(Fa?M:L);h[l+64>>3]=o+(Fa?L:-M);Fa=c[(c[g>>2]|0)+96>>2]|0;a[Fa+81>>0]=1;HC(b,Fa)}while(0);C=C+1|0}while((C|0)!=(f|0))}c[13958]=c[va>>2];c[13962]=c[H>>2];c[13963]=c[I>>2];c[13936]=c[N>>2];c[13937]=c[O>>2];c[13950]=c[P>>2];c[13949]=c[Q>>2];c[13948]=c[R>>2];c[13974]=c[S>>2];c[13966]=c[T>>2];c[13951]=c[U>>2];c[13961]=c[V>>2];c[13970]=c[W>>2];c[13969]=c[X>>2];c[13968]=c[Y>>2];c[13973]=c[Z>>2];c[13967]=c[_>>2];c[13952]=c[$>>2];c[13899]=c[aa>>2];c[13900]=c[ba>>2];c[13901]=c[ca>>2];c[13919]=c[da>>2];c[13912]=c[ea>>2];c[13913]=c[fa>>2];c[13914]=c[ga>>2];c[13916]=c[ha>>2];c[13917]=c[ia>>2];c[13920]=c[ja>>2];c[13923]=c[ka>>2];c[13921]=c[la>>2];c[13922]=c[ma>>2];c[13925]=c[na>>2];c[13924]=c[oa>>2];c[13926]=c[pa>>2];c[13927]=c[qa>>2];c[13918]=c[ra>>2];c[13930]=c[sa>>2];c[13894]=c[ua>>2];c[13885]=c[ta>>2];fQ(va);Gf(xa);ut(xa)|0;break a}while(0);Yf(za,ya,d,e,f,j)}else Da=4;while(0);if((Da|0)==4?(c[12643]|0)==0:0){c[12643]=1;us(0,125189,Ba)|0;Ba=Ft(za)|0;Da=(yt(b)|0)!=0;Fa=Ft(ya)|0;c[Ca>>2]=Ba;c[Ca+4>>2]=Da?178523:181756;c[Ca+8>>2]=Fa;us(3,125295,Ca)|0}i=Ea;return}function Xf(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0;o=i;i=i+32|0;p=o;_f(p,a,b,e,0,f);c[g>>2]=c[p>>2];c[g+4>>2]=c[p+4>>2];c[g+8>>2]=c[p+8>>2];c[g+12>>2]=c[p+12>>2];c[g+16>>2]=c[p+16>>2];c[g+20>>2]=c[p+20>>2];c[g+24>>2]=c[p+24>>2];c[g+28>>2]=c[p+28>>2];m=+h[g>>3];n=+h[g+16>>3];c[g+48>>2]=4;if(!(j<<24>>24))KB(d,f,2,g,0);else JB(d,f,2,g,0);b=g+52|0;d=c[b>>2]|0;l=+h[g+56+(d+-1<<5)+24>>3];p=c[e+16>>2]|0;k=+h[p+24>>3]+ +h[(c[(c[a+16>>2]|0)+196>>2]|0)+(c[p+232>>2]<<6)+24>>3];if(m<n&l<k){c[b>>2]=d+1;h[g+56+(d<<5)>>3]=m;h[g+56+(d<<5)+8>>3]=l;h[g+56+(d<<5)+16>>3]=n;h[g+56+(d<<5)+24>>3]=k}i=o;return}function Yf(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0;O=i;i=i+160|0;N=O;b=c[b+16>>2]|0;G=c[(c[e+(f<<2)>>2]|0)+16>>2]|0;H=G+16|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];I=+h[k>>3];H=G+24|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];M=+h[k>>3];H=b+16|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];L=+h[k>>3];H=b+24|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];L=I+L;M=M+ +h[k>>3];H=c[d+16>>2]|0;F=G+56|0;a[k>>0]=a[F>>0];a[k+1>>0]=a[F+1>>0];a[k+2>>0]=a[F+2>>0];a[k+3>>0]=a[F+3>>0];a[k+4>>0]=a[F+4>>0];a[k+5>>0]=a[F+5>>0];a[k+6>>0]=a[F+6>>0];a[k+7>>0]=a[F+7>>0];I=+h[k>>3];G=G+64|0;a[k>>0]=a[G>>0];a[k+1>>0]=a[G+1>>0];a[k+2>>0]=a[G+2>>0];a[k+3>>0]=a[G+3>>0];a[k+4>>0]=a[G+4>>0];a[k+5>>0]=a[G+5>>0];a[k+6>>0]=a[G+6>>0];a[k+7>>0]=a[G+7>>0];K=+h[k>>3];G=H+16|0;a[k>>0]=a[G>>0];a[k+1>>0]=a[G+1>>0];a[k+2>>0]=a[G+2>>0];a[k+3>>0]=a[G+3>>0];a[k+4>>0]=a[G+4>>0];a[k+5>>0]=a[G+5>>0];a[k+6>>0]=a[G+6>>0];a[k+7>>0]=a[G+7>>0];J=+h[k>>3];H=H+24|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];J=I+J;K=K+ +h[k>>3];if((g|0)<=1){if((g|0)>0){m=0.0;I=0.0;l=4}}else{I=+h[b+80>>3];m=I*.5;I=I/+(g+-1|0);l=4}if((l|0)==4){l=(j&-9|0)==2;n=N+8|0;o=(L*2.0+J)/3.0;p=N+16|0;q=N+24|0;r=(L+J*2.0)/3.0;s=N+32|0;t=N+40|0;u=N+48|0;v=N+56|0;w=N+64|0;x=N+72|0;y=N+80|0;z=N+88|0;A=N+96|0;B=N+104|0;C=N+112|0;D=N+120|0;E=N+128|0;F=N+136|0;G=N+144|0;H=N+152|0;m=M-m;d=0;while(1){b=c[e+(d+f<<2)>>2]|0;h[N>>3]=L;h[n>>3]=M;if(l){h[p>>3]=o;h[q>>3]=m;h[s>>3]=r;h[t>>3]=m;h[u>>3]=J;h[v>>3]=K;j=4}else{h[p>>3]=L;h[q>>3]=M;h[s>>3]=o;h[t>>3]=m;h[u>>3]=o;h[v>>3]=m;h[w>>3]=o;h[x>>3]=m;h[y>>3]=r;h[z>>3]=m;h[A>>3]=r;h[B>>3]=m;h[C>>3]=r;h[D>>3]=m;h[E>>3]=J;h[F>>3]=K;h[G>>3]=J;h[H>>3]=K;j=10}HB(b,c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0,N,j,50544);d=d+1|0;if((d|0)==(g|0))break;else m=I+m}}i=O;return}function Zf(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0;o=i;i=i+32|0;p=o;_f(p,a,b,e,0,f);c[g>>2]=c[p>>2];c[g+4>>2]=c[p+4>>2];c[g+8>>2]=c[p+8>>2];c[g+12>>2]=c[p+12>>2];c[g+16>>2]=c[p+16>>2];c[g+20>>2]=c[p+20>>2];c[g+24>>2]=c[p+24>>2];c[g+28>>2]=c[p+28>>2];m=+h[g>>3];n=+h[g+16>>3];c[g+48>>2]=1;if(!(j<<24>>24))KB(d,f,2,g,0);else JB(d,f,2,g,0);b=g+52|0;d=c[b>>2]|0;l=+h[g+56+(d+-1<<5)+8>>3];p=c[e+16>>2]|0;k=+h[p+24>>3]-+h[(c[(c[a+16>>2]|0)+196>>2]|0)+(c[p+232>>2]<<6)+24>>3];if(m<n&k<l){c[b>>2]=d+1;h[g+56+(d<<5)>>3]=m;h[g+56+(d<<5)+8>>3]=k;h[g+56+(d<<5)+16>>3]=n;h[g+56+(d<<5)+24>>3]=l}i=o;return}function _f(b,d,e,f,g,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0,l=0,m=0.0,n=0,o=0.0,p=0.0,q=0;q=c[f+16>>2]|0;p=+h[q+16>>3];m=p-+h[q+88>>3]+-4.0;l=eg(d,f,g,i,-1)|0;if(!l){n=~~(m+(m>=0.0?.5:-.5));k=c[e>>2]|0;k=(n|0)<(k|0)?n:k}else{k=fg(d,f,l)|0;do if(!k){n=c[l+16>>2]|0;j=+h[n+16>>3]+ +h[n+240>>3];if(!(a[n+156>>0]|0)){j=j+ +(c[(c[d+16>>2]|0)+248>>2]|0)*.5;break}else{j=j+ +(c[e+8>>2]|0);break}}else j=+h[(c[k+16>>2]|0)+32>>3]+ +(c[e+8>>2]|0);while(0);o=j<m?j:m;k=~~(o+(o>=0.0?.5:-.5))}o=+(k|0);n=(a[q+156>>0]|0)==1;if(n?(c[q+104>>2]|0)!=0:0)m=p+10.0;else m=p+ +h[q+96>>3]+4.0;l=eg(d,f,g,i,1)|0;if(!l){f=~~(m+(m>=0.0?.5:-.5));k=c[e+4>>2]|0;k=(f|0)>(k|0)?f:k}else{k=fg(d,f,l)|0;do if(!k){f=c[l+16>>2]|0;j=+h[f+16>>3]-+h[f+88>>3];if(!(a[f+156>>0]|0)){j=j-+(c[(c[d+16>>2]|0)+248>>2]|0)*.5;break}else{j=j-+(c[e+8>>2]|0);break}}else j=+h[(c[k+16>>2]|0)+16>>3]-+(c[e+8>>2]|0);while(0);m=j>m?j:m;k=~~(m+(m>=0.0?.5:-.5))}j=+(k|0);if(n?(c[q+104>>2]|0)!=0:0){j=j-+h[q+96>>3];if(j<o)j=p}p=+h[q+24>>3];q=c[q+232>>2]|0;d=c[(c[d+16>>2]|0)+196>>2]|0;m=p-+h[d+(q<<6)+16>>3];p=p+ +h[d+(q<<6)+24>>3];h[b>>3]=o;h[b+8>>3]=m;h[b+16>>3]=j;h[b+24>>3]=p;return}function $f(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0,n=0,o=0;n=c[b+16>>2]|0;k=n+(e<<5)|0;j=+h[k>>3];l=n+(e<<5)+8|0;i=+h[l>>3];m=n+(e<<5)+16|0;g=+h[m>>3];n=n+(e<<5)+24|0;f=+h[n>>3];if(j==g){d=c[(c[d+16>>2]|0)+196>>2]|0;o=e+1|0;j=+(c[b>>2]|0);i=+h[(c[(c[c[d+(o<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]+ +h[d+(o<<6)+24>>3];g=+(c[b+4>>2]|0);f=+h[(c[(c[c[d+(e<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]-+h[d+(e<<6)+16>>3];h[k>>3]=j;h[l>>3]=i;h[m>>3]=g;h[n>>3]=f}h[a>>3]=j;h[a+8>>3]=i;h[a+16>>3]=g;h[a+24>>3]=f;return}function ag(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+32|0;m=r;k=cg(b,-1)|0;b=cg(b,1)|0;if(!((k|0)!=0?(RB(k)|0)==0:0))q=3;do if((q|0)==3){if((b|0)!=0?(RB(b)|0)==0:0)break;k=dg(d,-1)|0;b=dg(d,1)|0;if((k|0)!=0?(RB(k)|0)==0:0)break;if((b|0)!=0?(RB(b)|0)==0:0)break;b=e+52|0;if((c[b>>2]|0)>0){k=0;do{p=e+56+(k<<5)|0;c[m>>2]=c[p>>2];c[m+4>>2]=c[p+4>>2];c[m+8>>2]=c[p+8>>2];c[m+12>>2]=c[p+12>>2];c[m+16>>2]=c[p+16>>2];c[m+20>>2]=c[p+20>>2];c[m+24>>2]=c[p+24>>2];c[m+28>>2]=c[p+28>>2];IB(a,m);k=k+1|0}while((k|0)<(c[b>>2]|0))}n=a+80|0;d=c[n>>2]|0;o=d+1|0;k=o+g|0;p=k+-3|0;if((g|0)>0){b=0;do{e=1336+(b<<5)|0;c[m>>2]=c[e>>2];c[m+4>>2]=c[e+4>>2];c[m+8>>2]=c[e+8>>2];c[m+12>>2]=c[e+12>>2];c[m+16>>2]=c[e+16>>2];c[m+20>>2]=c[e+20>>2];c[m+24>>2]=c[e+24>>2];c[m+28>>2]=c[e+28>>2];IB(a,m);b=b+1|0}while((b|0)!=(g|0))}b=c[f+52>>2]|0;if((b|0)>0)do{g=b;b=b+-1|0;e=f+56+(b<<5)|0;c[m>>2]=c[e>>2];c[m+4>>2]=c[e+4>>2];c[m+8>>2]=c[e+8>>2];c[m+12>>2]=c[e+12>>2];c[m+16>>2]=c[e+16>>2];c[m+20>>2]=c[e+20>>2];c[m+24>>2]=c[e+24>>2];c[m+28>>2]=c[e+28>>2];IB(a,m)}while((g|0)>1);e=k+-2|0;if((e|0)>=(o|0)){g=c[a+84>>2]|0;do{k=g+(d<<5)|0;l=+h[k>>3];if(!(d-o&1)){b=g+(d<<5)+16|0;j=+h[b>>3];if(l>=j){f=~~((l+j)*.5);h[k>>3]=+(f+-8|0);h[b>>3]=+(f+8|0)}}else{b=g+(d<<5)+16|0;j=+h[b>>3];if(l+16.0>j){f=~~((l+j)*.5);h[k>>3]=+(f+-8|0);h[b>>3]=+(f+8|0)}}d=d+1|0}while((d|0)<(e|0))}b=c[n>>2]|0;if((b|0)>1){n=c[a+84>>2]|0;g=b+-1|0;m=0;do{k=n+(m<<5)|0;d=m;m=m+1|0;e=n+(m<<5)|0;if(!((d|0)<(o|0)|(d|0)>(p|0))?(d-o&1|0)==0:0){j=+h[k>>3]+16.0;b=n+(m<<5)+16|0;if(j>+h[b>>3])h[b>>3]=j;j=+h[n+(d<<5)+16>>3]+-16.0;if(j<+h[e>>3])h[e>>3]=j}else q=31;if(((q|0)==31?(q=0,(d|0)<(p|0)&(m|0)>=(o|0)):0)?(m-o&1|0)==0:0){j=+h[n+(m<<5)+16>>3];if(+h[k>>3]+16.0>j)h[k>>3]=j+-16.0;b=n+(d<<5)+16|0;j=+h[e>>3];if(+h[b>>3]+-16.0<j)h[b>>3]=j+16.0}}while((m|0)!=(g|0))}}while(0);i=r;return}function bg(b,d){b=b|0;d=d|0;var e=0.0,f=0,g=0.0,i=0,j=0,k=0,l=0,m=0;f=c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0;b=f+16|0;a:do if((a[(c[b>>2]|0)+156>>0]|0)==1){l=d+84|0;k=d+80|0;i=0;d=f;do{if((Hb[c[50548>>2]&63](d)|0)<<24>>24)break a;j=c[k>>2]|0;b:do if((i|0)<(j|0)){f=c[l>>2]|0;e=+h[(c[b>>2]|0)+24>>3];d=i;while(1){if(!(+h[f+(d<<5)+8>>3]>e)){i=d;break b}d=d+1|0;if((d|0)>=(j|0)){i=d;break}}}while(0);if((i|0)>=(j|0))break a;d=c[l>>2]|0;b=c[b>>2]|0;do if(!(+h[d+(i<<5)+24>>3]<+h[b+24>>3])){g=+h[d+(i<<5)>>3];f=~~g;e=+h[d+(i<<5)+16>>3];if(!(c[b+104>>2]|0)){j=~~((g+e)*.5);h[b+16>>3]=+(j|0);h[b+88>>3]=+(j-f|0);h[b+96>>3]=+(~~e-j|0);break}else{d=~~e;j=b+96|0;m=~~(e+ +h[j>>3]);h[b+16>>3]=+(d|0);h[b+88>>3]=+(d-f|0);h[j>>3]=+(m-d|0);break}}while(0);d=c[c[b+180>>2]>>2]|0;d=c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0;b=d+16|0}while((a[(c[b>>2]|0)+156>>0]|0)==1)}while(0);return}function cg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[a>>2]&3;i=c[(c[(c[((d|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0)+180>>2]|0;e=c[i>>2]|0;if(!e)d=0;else{h=c[(c[(c[((d|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;d=0;g=0;do{f=c[(c[(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;do if((_(f-h|0,b)|0)>=1){a=c[e+16>>2]|0;if(!(c[a+8>>2]|0)){a=c[a+116>>2]|0;if(!a)break;if(!(c[(c[a+16>>2]|0)+8>>2]|0))break}if((d|0)!=0?(_((c[(c[(c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0)-f|0,b)|0)<=0:0)break;d=e}while(0);g=g+1|0;e=c[i+(g<<2)>>2]|0}while((e|0)!=0)}return d|0}function dg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[a>>2]&3;i=c[(c[(c[((d|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0)+172>>2]|0;e=c[i>>2]|0;if(!e)d=0;else{h=c[(c[(c[((d|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;d=0;g=0;do{f=c[(c[(c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;do if((_(f-h|0,b)|0)>=1){a=c[e+16>>2]|0;if(!(c[a+8>>2]|0)){a=c[a+116>>2]|0;if(!a)break;if(!(c[(c[a+16>>2]|0)+8>>2]|0))break}if((d|0)!=0?(_((c[(c[(c[((c[d>>2]&3|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0)-f|0,b)|0)<=0:0)break;d=e}while(0);g=g+1|0;e=c[i+(g<<2)>>2]|0}while((e|0)!=0)}return d|0}function eg(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;q=c[d+16>>2]|0;h=c[q+232>>2]|0;d=c[(c[b+16>>2]|0)+196>>2]|0;q=c[q+236>>2]|0;b=q+g|0;a:do if((b|0)>-1){p=c[d+(h<<6)>>2]|0;m=d+(h<<6)+4|0;n=(f|0)==0;o=(e|0)!=0;while(1){if((b|0)>=(p|0)){d=0;break a}d=c[(c[m>>2]|0)+(b<<2)>>2]|0;k=c[d+16>>2]|0;switch(a[k+156>>0]|0){case 0:break a;case 1:{if(c[k+104>>2]|0)break a;break}default:{}}l=(c[k+236>>2]|0)>(q|0);if((c[k+184>>2]|0)!=1)break a;b:do if(n)r=17;else{j=0;h=c[c[k+180>>2]>>2]|0;i=f;while(1){h=c[((c[h>>2]&3|0)==2?h:h+-48|0)+40>>2]|0;i=c[((c[i>>2]&3|0)==2?i:i+-48|0)+40>>2]|0;if((h|0)==(i|0)){r=17;break b}h=c[h+16>>2]|0;i=c[i+16>>2]|0;if(l^(c[h+236>>2]|0)>(c[i+236>>2]|0))break b;if((c[h+184>>2]|0)!=1){r=17;break b}if(!(a[h+156>>0]|0)){r=17;break b}if((c[i+184>>2]|0)!=1){r=17;break b}if(!(a[i+156>>0]|0)){r=17;break b}j=j+1|0;if((j|0)>=2){r=17;break}else{h=c[c[h+180>>2]>>2]|0;i=c[c[i+180>>2]>>2]|0}}}while(0);c:do if((r|0)==17){r=0;if(!(o&(c[k+176>>2]|0)==1))break a;j=0;i=c[c[k+172>>2]>>2]|0;h=e;while(1){i=c[((c[i>>2]&3|0)==3?i:i+48|0)+40>>2]|0;h=c[((c[h>>2]&3|0)==3?h:h+48|0)+40>>2]|0;if((i|0)==(h|0))break a;i=c[i+16>>2]|0;h=c[h+16>>2]|0;if(l^(c[i+236>>2]|0)>(c[h+236>>2]|0))break c;if((c[i+176>>2]|0)!=1)break a;if(!(a[i+156>>0]|0))break a;if((c[h+176>>2]|0)!=1)break a;if(!(a[h+156>>0]|0))break a;j=j+1|0;if((j|0)>=2)break a;else{i=c[c[i+172>>2]>>2]|0;h=c[c[h+172>>2]>>2]|0}}}while(0);b=b+g|0;if((b|0)<=-1){d=0;break a}}}else d=0;while(0);return d|0}
function zA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+16|0;o=p+8|0;n=p;m=(d|0)!=0;a:do if(m){j=0;k=1;while(1){h=c[d+(j<<2)>>2]|0;if(!h){l=2;break a}k=(a[h>>0]|0)==0?0:k;if(!(k<<24>>24))break;else j=j+1|0}}else l=2;while(0);if((l|0)==2?(g=c[e>>2]|0,(g|0)!=0):0)do{pw(b,g)|0;pw(b,196601)|0;e=e+4|0;g=c[e>>2]|0}while((g|0)!=0);if(m?(f=c[d>>2]|0,(f|0)!=0):0){h=0;do{do if(a[f>>0]|0){e=zC(f)|0;if(!e){c[n>>2]=f;us(0,145456,n)|0;break}g=oO(e,179987)|0;if(!g){c[o>>2]=e;us(0,145484,o)|0;break}f=yC(g)|0;if(f)do{pw(b,f)|0;f=yC(g)|0}while((f|0)!=0);pw(b,196601)|0;iO(g)|0}while(0);h=h+1|0;f=c[d+(h<<2)>>2]|0}while((f|0)!=0)}i=p;return}function AA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=c[d+52>>2]|0;a:while(1){d=a[e>>0]|0;b:do switch(d<<24>>24){case 0:break a;case 37:{if((a[e+1>>0]|0)==37){d=e+2|0;if((((fP(d,145512,3)|0)!=0?(fP(d,145516,5)|0)!=0:0)?(fP(d,145522,3)|0)!=0:0)?(fP(d,145526,7)|0)!=0:0){d=37;break b}else d=37;c:while(1){switch(d<<24>>24){case 13:{f=e;g=10;break c}case 10:case 0:{f=e;g=12;break c}default:{}}g=e+1|0;d=a[g>>0]|0;e=g}if((g|0)==10){e=f+1|0;if((a[e>>0]|0)==10){e=f+2|0;continue a}}else if((g|0)==12)e=f+1|0;e=d<<24>>24==0?f:e;continue a}else d=37;break}default:{}}while(0);d:while(1){switch(d<<24>>24){case 13:{f=e;g=16;break d}case 10:case 0:{f=e;g=18;break d}default:{}}qw(b,d<<24>>24)|0;g=e+1|0;d=a[g>>0]|0;e=g}if((g|0)==16){g=0;e=f+1|0;if((a[e>>0]|0)==10)d=f+2|0;else g=19}else if((g|0)==18){e=f+1|0;g=19}if((g|0)==19)d=d<<24>>24==0?f:e;qw(b,10)|0;e=d}return}function BA(b){b=b|0;var d=0,e=0,f=0,g=0;g=i;i=i+16|0;f=g;e=c[14070]|0;if((e|0)!=0?(d=Jb[c[e>>2]&63](e,0,128)|0,(d|0)!=0):0)do{if(!(a[d+16>>0]|0)){c[f>>2]=c[d+12>>2];uw(b,145534,f);pw(b,145552)|0;AA(b,d);pw(b,145570)|0;pw(b,145585)|0}e=c[14070]|0;d=Jb[c[e>>2]&63](e,d,8)|0}while((d|0)!=0);i=g;return}function CA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;h=i;i=i+16|0;g=h;a:do switch(d|0){case 0:{f=b;break}case 1:{f=TC(b)|0;break}default:{e=b;d=0;b:while(1){while(1){f=a[e>>0]|0;if(!(f<<24>>24)){e=7;break b}if((f&255)<127)e=e+1|0;else{d=f;break}}if((d&-4)<<24>>24==-64){e=e+2|0;d=1}else{e=9;break}}if((e|0)==7){if((d|0)!=1){f=b;break a}f=TC(b)|0;break a}else if((e|0)==9){if(c[14081]|0){f=b;break a}us(0,145597,g)|0;c[14081]=1;f=b;break a}}}while(0);if(!(c[14082]|0))xs(56328,0,0);d=c[14083]|0;if(d>>>0>=(c[14084]|0)>>>0){ys(56328,1)|0;d=c[14083]|0}c[14083]=d+1;a[d>>0]=40;e=f;c:while(1){switch(a[e>>0]|0){case 0:break c;case 92:case 41:case 40:{d=c[14083]|0;if(d>>>0>=(c[14084]|0)>>>0){ys(56328,1)|0;d=c[14083]|0}c[14083]=d+1;a[d>>0]=92;break}default:{}}d=c[14083]|0;if(d>>>0>=(c[14084]|0)>>>0){ys(56328,1)|0;d=c[14083]|0}g=a[e>>0]|0;c[14083]=d+1;a[d>>0]=g;e=e+1|0}d=c[14083]|0;if(d>>>0>=(c[14084]|0)>>>0){ys(56328,1)|0;d=c[14083]|0}c[14083]=d+1;a[d>>0]=41;if((f|0)!=(b|0))fQ(f);d=c[14083]|0;if(d>>>0>=(c[14084]|0)>>>0){ys(56328,1)|0;d=c[14083]|0}a[d>>0]=0;b=c[14082]|0;c[14083]=b;i=h;return b|0}function DA(a,b,d){a=a|0;b=b|0;d=d|0;fQ(c[b+52>>2]|0);return}function EA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0;n=i;i=i+96|0;l=n+80|0;k=n+72|0;m=n+64|0;g=n+32|0;j=n;h[g>>3]=+h[a>>3];h[g+8>>3]=+h[a+8>>3];h[g+16>>3]=+h[b>>3];h[g+24>>3]=+h[b+8>>3];do if((oI(d,g,k)|0)>=0){if(!f){a=d+4|0;b=c[a>>2]|0;if((b|0)>(c[14086]|0)){f=c[14087]|0;if(!f)b=zz(b<<5)|0;else b=Bz(f,b<<5)|0;c[14087]=b;b=c[a>>2]|0;c[14086]=b}g=c[14087]|0;if((b|0)>0){f=c[d>>2]|0;a=0;do{d=g+(a<<5)|0;o=f+(a<<4)|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];d=g+(a<<5)+16|0;a=a+1|0;o=f+(((a|0)%(b|0)|0)<<4)|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2]}while((a|0)<(b|0))};c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;c[j+16>>2]=0;c[j+20>>2]=0;c[j+24>>2]=0;c[j+28>>2]=0;c[l>>2]=c[k>>2];c[l+4>>2]=c[k+4>>2];if((lI(g,b,l,j,m)|0)<0){b=0;break}}else{c[l>>2]=c[k>>2];c[l+4>>2]=c[k+4>>2];AI(l,m)}b=m+4|0;if(!(LA(c[b>>2]|0)|0)){g=c[b>>2]|0;b=c[14088]|0;if((g|0)>0){f=c[m>>2]|0;a=0;do{o=b+(a<<4)|0;m=f+(a<<4)|0;c[o>>2]=c[m>>2];c[o+4>>2]=c[m+4>>2];c[o+8>>2]=c[m+8>>2];c[o+12>>2]=c[m+12>>2];a=a+1|0}while((a|0)<(g|0))}c[e>>2]=g}else b=0}else b=0;while(0);i=n;return b|0}function FA(){var b=0,d=0,e=0;d=i;i=i+16|0;b=d;e=c[14089]|0;c[14089]=e+1;do if((e|0)<=0){e=zz(4800)|0;c[14088]=e;if(!e){us(1,145687,b)|0;b=1;break}c[14090]=300;c[14091]=0;c[14092]=0;if(a[142275]|0){fC();b=0}else b=0}else b=0;while(0);i=d;return b|0}function GA(){var b=0,d=0,e=0,f=0.0,g=0,j=0;d=i;i=i+16|0;b=d;e=c[14089]|0;c[14089]=e+-1;if((e|0)<=1?(fQ(c[14088]|0),(a[142275]|0)!=0):0){e=c[24809]|0;j=c[14091]|0;g=c[14092]|0;f=+gC();c[b>>2]=j;c[b+4>>2]=g;h[b+8>>3]=f;pO(e,145725,b)|0}i=d;return}function HA(a,b){a=a|0;b=b|0;return MA(a,b,0)|0}function IA(a,b){a=a|0;b=b|0;return MA(a,b,1)|0}function JA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;k=i;i=i+80|0;h=k;f=b;g=1;while(1){l=f;f=c[(c[f+16>>2]|0)+172>>2]|0;if(!((f|0)!=0&(l|0)!=(f|0)))break;else g=g+1|0}if((g|0)<21)if((g|0)>0)j=7;else KA(a,h,g,d,e);else{h=yz(g<<2)|0;j=7}if((j|0)==7){f=0;while(1){c[h+(f<<2)>>2]=b;f=f+1|0;if((f|0)==(g|0))break;else b=c[(c[b+16>>2]|0)+172>>2]|0}KA(a,h,g,d,e);if((g|0)>20)fQ(h)}i=k;return}function KA(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0.0;$=i;i=i+256|0;Y=$+224|0;W=$+160|0;S=$+80|0;T=$;V=$+144|0;X=$+64|0;Z=$+248|0;U=$+240|0;v=c[d>>2]|0;Q=c[v>>2]&3;q=v+-48|0;N=c[((Q|0)==2?v:q)+40>>2]|0;P=S+16|0;Q=c[(c[((Q|0)==3?v:v+48|0)+40>>2]|0)+16>>2]|0;L=v+16|0;R=c[L>>2]|0;M=R+16|0;a[k>>0]=a[M>>0];a[k+1>>0]=a[M+1>>0];a[k+2>>0]=a[M+2>>0];a[k+3>>0]=a[M+3>>0];a[k+4>>0]=a[M+4>>0];a[k+5>>0]=a[M+5>>0];a[k+6>>0]=a[M+6>>0];a[k+7>>0]=a[M+7>>0];aa=+h[k>>3];R=R+24|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];s=+h[k>>3];R=Q+16|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];r=+h[k>>3];Q=Q+24|0;a[k>>0]=a[Q>>0];a[k+1>>0]=a[Q+1>>0];a[k+2>>0]=a[Q+2>>0];a[k+3>>0]=a[Q+3>>0];a[k+4>>0]=a[Q+4>>0];a[k+5>>0]=a[Q+5>>0];a[k+6>>0]=a[Q+6>>0];a[k+7>>0]=a[Q+7>>0];r=aa+r;s=s+ +h[k>>3];h[S>>3]=r;h[S+8>>3]=s;c[P>>2]=c[S>>2];c[P+4>>2]=c[S+4>>2];c[P+8>>2]=c[S+8>>2];c[P+12>>2]=c[S+12>>2];c[V>>2]=c[S>>2];c[V+4>>2]=c[S+4>>2];c[V+8>>2]=c[S+8>>2];c[V+12>>2]=c[S+12>>2];Q=S+32|0;R=S+48|0;M=c[N+16>>2]|0;L=c[L>>2]|0;K=L+56|0;a[k>>0]=a[K>>0];a[k+1>>0]=a[K+1>>0];a[k+2>>0]=a[K+2>>0];a[k+3>>0]=a[K+3>>0];a[k+4>>0]=a[K+4>>0];a[k+5>>0]=a[K+5>>0];a[k+6>>0]=a[K+6>>0];a[k+7>>0]=a[K+7>>0];aa=+h[k>>3];L=L+64|0;a[k>>0]=a[L>>0];a[k+1>>0]=a[L+1>>0];a[k+2>>0]=a[L+2>>0];a[k+3>>0]=a[L+3>>0];a[k+4>>0]=a[L+4>>0];a[k+5>>0]=a[L+5>>0];a[k+6>>0]=a[L+6>>0];a[k+7>>0]=a[L+7>>0];u=+h[k>>3];L=M+16|0;a[k>>0]=a[L>>0];a[k+1>>0]=a[L+1>>0];a[k+2>>0]=a[L+2>>0];a[k+3>>0]=a[L+3>>0];a[k+4>>0]=a[L+4>>0];a[k+5>>0]=a[L+5>>0];a[k+6>>0]=a[L+6>>0];a[k+7>>0]=a[L+7>>0];t=+h[k>>3];M=M+24|0;a[k>>0]=a[M>>0];a[k+1>>0]=a[M+1>>0];a[k+2>>0]=a[M+2>>0];a[k+3>>0]=a[M+3>>0];a[k+4>>0]=a[M+4>>0];a[k+5>>0]=a[M+5>>0];a[k+6>>0]=a[M+6>>0];a[k+7>>0]=a[M+7>>0];t=aa+t;u=u+ +h[k>>3];h[S+48>>3]=t;h[S+56>>3]=u;c[Q>>2]=c[R>>2];c[Q+4>>2]=c[R+4>>2];c[Q+8>>2]=c[R+8>>2];c[Q+12>>2]=c[R+12>>2];c[X>>2]=c[R>>2];c[X+4>>2]=c[R+4>>2];c[X+8>>2]=c[R+8>>2];c[X+12>>2]=c[R+12>>2];a:do if((e|0)!=1&(a[142277]|0)==0){aa=r-t;j=s-u;l=j*j;if(aa*aa+l<1.0e-06){c[P>>2]=c[S>>2];c[P+4>>2]=c[S+4>>2];c[P+8>>2]=c[S+8>>2];c[P+12>>2]=c[S+12>>2];c[Q>>2]=c[R>>2];c[Q+4>>2]=c[R+4>>2];c[Q+8>>2]=c[R+8>>2];c[Q+12>>2]=c[R+12>>2];j=0.0;l=0.0}else{p=t-r;l=+O(+(p*p+l));M=c[(c[(c[b+60>>2]|0)+16>>2]|0)+248>>2]|0;aa=+((_(M,e+-1|0)|0)/2|0|0);o=j*aa/l;h[P>>3]=r+o;aa=p*aa/l;h[S+24>>3]=s+aa;h[Q>>3]=o+t;h[S+40>>3]=aa+u;aa=+(0-M|0);j=j*aa/l;l=p*aa/l}if((e|0)>0){w=(f|0)==6;x=U+4|0;y=Z+4|0;z=S+24|0;A=S+40|0;B=T+16|0;C=T+32|0;D=T+48|0;E=W+16|0;F=T+16|0;G=W+32|0;H=T+32|0;I=W+48|0;J=T+48|0;K=T+48|0;L=T+32|0;M=T+16|0;q=0;while(1){f=v+-48|0;if((c[((c[v>>2]&3|0)==2?v:f)+40>>2]|0)==(N|0)){c[V>>2]=c[S>>2];c[V+4>>2]=c[S+4>>2];c[V+8>>2]=c[S+8>>2];c[V+12>>2]=c[S+12>>2];c[X>>2]=c[R>>2];c[X+4>>2]=c[R+4>>2];c[X+8>>2]=c[R+8>>2];c[X+12>>2]=c[R+12>>2];c[T>>2]=c[S>>2];c[T+4>>2]=c[S+4>>2];c[T+8>>2]=c[S+8>>2];c[T+12>>2]=c[S+12>>2];c[B>>2]=c[P>>2];c[B+4>>2]=c[P+4>>2];c[B+8>>2]=c[P+8>>2];c[B+12>>2]=c[P+12>>2];c[C>>2]=c[Q>>2];c[C+4>>2]=c[Q+4>>2];c[C+8>>2]=c[Q+8>>2];c[C+12>>2]=c[Q+12>>2];c[D>>2]=c[R>>2];c[D+4>>2]=c[R+4>>2];c[D+8>>2]=c[R+8>>2];c[D+12>>2]=c[R+12>>2]}else{c[V>>2]=c[R>>2];c[V+4>>2]=c[R+4>>2];c[V+8>>2]=c[R+8>>2];c[V+12>>2]=c[R+12>>2];c[X>>2]=c[S>>2];c[X+4>>2]=c[S+4>>2];c[X+8>>2]=c[S+8>>2];c[X+12>>2]=c[S+12>>2];c[K>>2]=c[S>>2];c[K+4>>2]=c[S+4>>2];c[K+8>>2]=c[S+8>>2];c[K+12>>2]=c[S+12>>2];c[L>>2]=c[P>>2];c[L+4>>2]=c[P+4>>2];c[L+8>>2]=c[P+8>>2];c[L+12>>2]=c[P+12>>2];c[M>>2]=c[Q>>2];c[M+4>>2]=c[Q+4>>2];c[M+8>>2]=c[Q+8>>2];c[M+12>>2]=c[Q+12>>2];c[T>>2]=c[R>>2];c[T+4>>2]=c[R+4>>2];c[T+8>>2]=c[R+8>>2];c[T+12>>2]=c[R+12>>2]}if(w){c[x>>2]=4;c[U>>2]=W;c[W>>2]=c[T>>2];c[W+4>>2]=c[T+4>>2];c[W+8>>2]=c[T+8>>2];c[W+12>>2]=c[T+12>>2];c[E>>2]=c[F>>2];c[E+4>>2]=c[F+4>>2];c[E+8>>2]=c[F+8>>2];c[E+12>>2]=c[F+12>>2];c[G>>2]=c[H>>2];c[G+4>>2]=c[H+4>>2];c[G+8>>2]=c[H+8>>2];c[G+12>>2]=c[H+12>>2];c[I>>2]=c[J>>2];c[I+4>>2]=c[J+4>>2];c[I+8>>2]=c[J+8>>2];c[I+12>>2]=c[J+12>>2];c[Y>>2]=c[U>>2];c[Y+4>>2]=c[U+4>>2];AI(Y,Z);HB(v,c[((c[v>>2]&3|0)==2?v:f)+40>>2]|0,c[Z>>2]|0,c[y>>2]|0,g)}else HB(v,c[((c[v>>2]&3|0)==2?v:f)+40>>2]|0,T,4,g);c[W>>2]=c[V>>2];c[W+4>>2]=c[V+4>>2];c[W+8>>2]=c[V+8>>2];c[W+12>>2]=c[V+12>>2];c[Y>>2]=c[X>>2];c[Y+4>>2]=c[X+4>>2];c[Y+8>>2]=c[X+8>>2];c[Y+12>>2]=c[X+12>>2];QB(b,v,W,Y);h[P>>3]=j+ +h[P>>3];h[z>>3]=l+ +h[z>>3];h[Q>>3]=j+ +h[Q>>3];h[A>>3]=l+ +h[A>>3];q=q+1|0;if((q|0)==(e|0))break a;v=c[d+(q<<2)>>2]|0}}}else{if((f|0)==4?(Z=c[b+16>>2]|0,n=(+h[Z+16>>3]+ +h[Z+32>>3])*.5,h[4297]=n,o=(+h[Z+24>>3]+ +h[Z+40>>3])*.5,h[4298]=o,j=(r+t)*.5,l=(s+u)*.5,p=t-r,m=u-s,m=+O(+(p*p+m*m))/5.0,n=n-j,o=o-l,p=+O(+(n*n+o*o)),!(p==0.0)):0){u=j-m*(n/p);aa=l-m*(o/p);h[S+32>>3]=u;h[S+16>>3]=u;h[S+40>>3]=aa;h[S+24>>3]=aa}HB(v,c[((c[v>>2]&3|0)==2?v:q)+40>>2]|0,S,4,g);c[W>>2]=c[V>>2];c[W+4>>2]=c[V+4>>2];c[W+8>>2]=c[V+8>>2];c[W+12>>2]=c[V+12>>2];c[Y>>2]=c[X>>2];c[Y+4>>2]=c[X+4>>2];c[Y+8>>2]=c[X+8>>2];c[Y+12>>2]=c[X+12>>2];QB(b,v,W,Y)}while(0);i=$;return}function LA(a){a=a|0;var b=0,d=0,e=0;e=i;i=i+16|0;d=e;b=c[14090]|0;do if((b|0)<(a|0)){b=a+300+b-((a|0)%300|0)|0;a=Bz(c[14088]|0,b<<4)|0;c[14088]=a;if(!a){us(1,146487,d)|0;b=1;break}else{c[14090]=b;b=0;break}}else b=0;while(0);i=e;return b|0}function MA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,S=0.0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;ka=i;i=i+208|0;ha=ka+192|0;ja=ka+152|0;aa=ka+144|0;_=ka+136|0;V=ka+128|0;X=ka+112|0;W=ka+96|0;L=ka+88|0;M=ka+80|0;n=ka+72|0;l=ka+64|0;Z=ka+184|0;ga=ka+176|0;ba=ka+168|0;Y=ka+32|0;$=ka;ia=ka+160|0;c[14091]=(c[14091]|0)+1;m=b+80|0;c[14092]=(c[14092]|0)+(c[m>>2]|0);f=c[b+88>>2]|0;a:do if(!f)A=4;else{while(1){g=c[f+16>>2]|0;if(!(a[g+112>>0]|0)){fa=f;break}f=c[g+116>>2]|0;if(!f){A=4;break a}}ea=c[b+84>>2]|0;da=c[m>>2]|0;ca=(da|0)>0;if(ca){l=0;f=0;do{g=ea+(l<<5)|0;w=+h[ea+(l<<5)+8>>3]-+h[ea+(l<<5)+24>>3];if(!((w>=0.0?w:-w)<.01)?(w=+h[g>>3]-+h[ea+(l<<5)+16>>3],!((w>=0.0?w:-w)<.01)):0){if((f|0)!=(l|0)){P=ea+(f<<5)|0;c[P>>2]=c[g>>2];c[P+4>>2]=c[g+4>>2];c[P+8>>2]=c[g+8>>2];c[P+12>>2]=c[g+12>>2];c[P+16>>2]=c[g+16>>2];c[P+20>>2]=c[g+20>>2];c[P+24>>2]=c[g+24>>2];c[P+28>>2]=c[g+28>>2]}f=f+1|0}l=l+1|0}while((l|0)!=(da|0))}else f=0;j=+h[ea>>3];K=ea+16|0;k=+h[K>>3];if(!(j>k)?(U=ea+8|0,s=+h[U>>3],O=ea+24|0,q=+h[O>>3],!(s>q)):0){P=f+-1|0;do if((f|0)>1){J=c[24809]|0;f=0;while(1){A=f;f=f+1|0;E=ea+(f<<5)|0;t=+h[E>>3];F=ea+(f<<5)+16|0;u=+h[F>>3];if(t>u){A=19;break}G=ea+(f<<5)+8|0;v=+h[G>>3];H=ea+(f<<5)+24|0;w=+h[H>>3];if(v>w){A=19;break}I=ea+(A<<5)+16|0;z=k<t;l=z&1;D=ea+(A<<5)|0;x=j>u;m=x&1;C=ea+(A<<5)+24|0;r=q<v;g=r&1;B=ea+(A<<5)+8|0;o=s>w;n=o&1;y=m+l+g+n|0;p=(y|0)>0;if(!((a[142275]|0)==0|p^1)){c[L>>2]=A;c[L+4>>2]=f;pO(J,145901,L)|0;NA(b)}if(p){do if(!z){if(x){m=~~+h[D>>3];h[D>>3]=+h[F>>3];h[F>>3]=+(m|0);m=0;break}if(r){g=~~+h[C>>3];h[C>>3]=+h[G>>3];h[G>>3]=+(g|0);g=0;break}if(o){n=~~+h[B>>3];h[B>>3]=+h[H>>3];h[H>>3]=+(n|0);n=0}}else{l=~~+h[I>>3];h[I>>3]=+h[E>>3];h[E>>3]=+(l|0);l=0}while(0);p=y+-1|0;if((y|0)>1){o=0;do{do if((l|0)==1){w=+(~~((+h[I>>3]+ +h[E>>3])*.5+.5)|0);h[E>>3]=w;h[I>>3]=w;l=0}else{if((m|0)==1){w=+(~~((+h[D>>3]+ +h[F>>3])*.5+.5)|0);h[F>>3]=w;h[D>>3]=w;m=0;break}if((g|0)==1){w=+(~~((+h[C>>3]+ +h[G>>3])*.5+.5)|0);h[G>>3]=w;h[C>>3]=w;g=0;break}if((n|0)!=1)break;w=+(~~((+h[B>>3]+ +h[H>>3])*.5+.5)|0);h[H>>3]=w;h[B>>3]=w;n=0}while(0);o=o+1|0}while((o|0)<(p|0))}}k=+h[D>>3];g=~~k;j=+h[I>>3];l=~~j;v=+h[E>>3];m=~~v;w=+h[F>>3];n=~~w;do if((l|0)>(m|0)&(n|0)>(g|0)){if(!((m|0)>(g|0)|(n|0)<(g|0))){o=n-g|0;break}if((l|0)<(m|0)|(l|0)>(n|0)){A=l-g|0;o=n-m|0;o=(A|0)<(o|0)?A:o;break}else{o=l-m|0;break}}else o=0;while(0);q=+h[B>>3];g=~~q;s=+h[C>>3];l=~~s;t=+h[G>>3];m=~~t;u=+h[H>>3];n=~~u;do if((l|0)>(m|0)&(n|0)>(g|0)){do if((m|0)>(g|0)|(n|0)<(g|0))if((l|0)<(m|0)|(l|0)>(n|0)){A=l-g|0;g=n-m|0;g=(A|0)<(g|0)?A:g;break}else{g=l-m|0;break}else g=n-g|0;while(0);if((o|0)!=0&(g|0)!=0)if((o|0)<(g|0)){g=j<w;if(j-k>w-v)if(g){h[I>>3]=v;s=t;q=u;j=v;k=w;break}else{h[D>>3]=w;s=t;q=u;j=v;k=w;break}else if(g){h[E>>3]=j;s=t;q=u;k=w;break}else{h[F>>3]=k;s=t;q=u;j=v;break}}else{g=s<u;if(s-q>u-t)if(g){h[C>>3]=t;s=t;q=u;j=v;k=w;break}else{h[B>>3]=u;s=t;q=u;j=v;k=w;break}else if(g){h[G>>3]=s;q=u;j=v;k=w;break}else{h[H>>3]=q;s=t;j=v;k=w;break}}else{s=t;q=u;j=v;k=w}}else{s=t;q=u;j=v;k=w}while(0);if((f|0)>=(P|0)){A=70;break}}if((A|0)==19){c[M>>2]=f;us(1,145855,M)|0;NA(b);f=0;break a}else if((A|0)==70){j=+h[ea>>3];break}}while(0);k=+h[b>>3];if(!(((!(k<j)?!(k>+h[K>>3]):0)?(N=+h[b+8>>3],!(N<+h[U>>3])):0)?!(N>+h[O>>3]):0)){if(a[142275]|0){AO(145944,42,1,c[24809]|0)|0;NA(b);k=+h[b>>3];j=+h[ea>>3]}if(k<j){h[b>>3]=j;k=j}j=+h[K>>3];if(k>j)h[b>>3]=j;f=b+8|0;j=+h[f>>3];k=+h[U>>3];if(j<k)h[f>>3]=k;else k=j;j=+h[O>>3];if(k>j)h[f>>3]=j}x=b+40|0;k=+h[x>>3];f=ea+(P<<5)|0;j=+h[f>>3];if(!(((!(k<j)?!(k>+h[ea+(P<<5)+16>>3]):0)?(S=+h[b+48>>3],!(S<+h[ea+(P<<5)+8>>3])):0)?!(S>+h[ea+(P<<5)+24>>3]):0)){if(a[142275]|0){AO(145987,39,1,c[24809]|0)|0;NA(b);k=+h[x>>3];j=+h[f>>3]}if(k<j)h[x>>3]=j;else j=k;k=+h[ea+(P<<5)+16>>3];if(j>k)h[x>>3]=k;f=b+48|0;j=+h[f>>3];k=+h[ea+(P<<5)+8>>3];if(j<k)h[f>>3]=k;else k=j;j=+h[ea+(P<<5)+24>>3];if(k>j)h[f>>3]=j}g=da<<3;if((g|0)>(c[14093]|0)){f=c[14094]|0;if(!f)f=zz(da<<7)|0;else f=Bz(f,da<<7)|0;c[14094]=f;c[14093]=g}if((da|0)>1?(T=+h[U>>3],T>+h[ea+40>>3]):0){U=ea+24|0;S=+h[U>>3];h[U>>3]=-T;h[ea+8>>3]=-S;if((da|0)==1)r=1;else{f=1;do{U=ea+(f<<5)+24|0;T=+h[U>>3];h[U>>3]=-+h[ea+(f<<5)+8>>3];h[ea+(f<<5)+8>>3]=-T;f=f+1|0}while((f|0)!=(da|0));r=1}}else r=0;U=c[fa>>2]&3;y=fa+48|0;f=c[((U|0)==3?fa:y)+40>>2]|0;z=fa+-48|0;if((f|0)==(c[((U|0)==2?fa:z)+40>>2]|0)){c[V>>2]=Ft(f)|0;us(1,146092,V)|0;f=0;break}b:do if(ca){p=da+-1|0;m=c[14094]|0;n=0;l=0;c:while(1){if((n|0)>0)f=+h[ea+(n<<5)+8>>3]>+h[ea+(n+-1<<5)+8>>3]?-1:1;else f=0;if((n|0)<(p|0))g=+h[ea+(n+1<<5)+8>>3]>+h[ea+(n<<5)+8>>3]?1:-1;else g=0;d:do if((f|0)!=(g|0))if((f|0)==1|(g|0)==-1){V=ea+(n<<5)|0;h[m+(l<<4)>>3]=+h[V>>3];f=l+1|0;h[m+(l<<4)+8>>3]=+h[ea+(n<<5)+24>>3];h[m+(f<<4)>>3]=+h[V>>3];h[m+(f<<4)+8>>3]=+h[ea+(n<<5)+8>>3];f=l+2|0;break}else{V=ea+(n<<5)+16|0;h[m+(l<<4)>>3]=+h[V>>3];f=l+1|0;h[m+(l<<4)+8>>3]=+h[ea+(n<<5)+8>>3];h[m+(f<<4)>>3]=+h[V>>3];h[m+(f<<4)+8>>3]=+h[ea+(n<<5)+24>>3];f=l+2|0;break}else{switch(f|0){case -1:{f=l;break d}case 0:break;default:{A=121;break c}}V=ea+(n<<5)|0;h[m+(l<<4)>>3]=+h[V>>3];f=l+1|0;h[m+(l<<4)+8>>3]=+h[ea+(n<<5)+24>>3];h[m+(f<<4)>>3]=+h[V>>3];h[m+(f<<4)+8>>3]=+h[ea+(n<<5)+8>>3];f=l+2|0}while(0);n=n+1|0;if((n|0)>=(da|0))break;else l=f}if((A|0)==121){c[W>>2]=f;c[W+4>>2]=f;c[W+8>>2]=480;us(1,146027,W)|0;f=0;break a}if(ca){n=c[14094]|0;o=p;m=f;e:while(1){if((o|0)<(p|0))f=+h[ea+(o<<5)+8>>3]>+h[ea+(o+1<<5)+8>>3]?-1:1;else f=0;l=(o|0)>0;if(l)g=+h[ea+(o+-1<<5)+8>>3]>+h[ea+(o<<5)+8>>3]?1:-1;else g=0;f:do if((f|0)!=(g|0))if((f|0)==1|(g|0)==-1){V=ea+(o<<5)|0;h[n+(m<<4)>>3]=+h[V>>3];W=m+1|0;h[n+(m<<4)+8>>3]=+h[ea+(o<<5)+24>>3];h[n+(W<<4)>>3]=+h[V>>3];h[n+(W<<4)+8>>3]=+h[ea+(o<<5)+8>>3];m=m+2|0;break}else{V=ea+(o<<5)+16|0;h[n+(m<<4)>>3]=+h[V>>3];W=m+1|0;h[n+(m<<4)+8>>3]=+h[ea+(o<<5)+8>>3];h[n+(W<<4)>>3]=+h[V>>3];h[n+(W<<4)+8>>3]=+h[ea+(o<<5)+24>>3];m=m+2|0;break}else switch(f|0){case 0:{V=ea+(o<<5)+16|0;h[n+(m<<4)>>3]=+h[V>>3];W=m+1|0;h[n+(m<<4)+8>>3]=+h[ea+(o<<5)+8>>3];h[n+(W<<4)>>3]=+h[V>>3];h[n+(W<<4)+8>>3]=+h[ea+(o<<5)+24>>3];m=m+2|0;break f}case -1:{O=ea+(o<<5)+16|0;h[n+(m<<4)>>3]=+h[O>>3];V=ea+(o<<5)+8|0;U=m+1|0;h[n+(m<<4)+8>>3]=+h[V>>3];h[n+(U<<4)>>3]=+h[O>>3];O=ea+(o<<5)+24|0;P=m+2|0;h[n+(U<<4)+8>>3]=+h[O>>3];U=ea+(o<<5)|0;h[n+(P<<4)>>3]=+h[U>>3];W=m+3|0;h[n+(P<<4)+8>>3]=+h[O>>3];h[n+(W<<4)>>3]=+h[U>>3];h[n+(W<<4)+8>>3]=+h[V>>3];m=m+4|0;break f}default:break e}while(0);if(l)o=o+-1|0;else break b}c[X>>2]=f;c[X+4>>2]=f;c[X+8>>2]=513;us(1,146027,X)|0;f=0;break a}else m=f}else m=0;while(0);if(r){if(ca){f=0;do{W=ea+(f<<5)+24|0;T=+h[W>>3];X=ea+(f<<5)+8|0;h[W>>3]=-+h[X>>3];h[X>>3]=-T;f=f+1|0}while((f|0)!=(da|0))}if((m|0)>0){f=c[14094]|0;g=0;do{X=f+(g<<4)+8|0;h[X>>3]=-+h[X>>3];g=g+1|0}while((g|0)!=(m|0))}}if(ca){f=0;do{h[ea+(f<<5)>>3]=2147483647.0;h[ea+(f<<5)+16>>3]=-2147483648.0;f=f+1|0}while((f|0)!=(da|0))}c[Z>>2]=c[14094];l=Z+4|0;c[l>>2]=m;h[Y>>3]=+h[b>>3];h[Y+8>>3]=+h[b+8>>3];h[Y+16>>3]=+h[x>>3];h[Y+24>>3]=+h[b+48>>3];if((oI(Z,Y,ga)|0)<0){us(1,146131,_)|0;f=0;break}do if(!e){f=c[l>>2]|0;if((f|0)>(c[14086]|0)){g=c[14087]|0;if(!g)f=zz(f<<5)|0;else f=Bz(g,f<<5)|0;c[14087]=f;f=c[l>>2]|0;c[14086]=f}if((f|0)>0){g=c[14087]|0;l=c[14094]|0;m=0;do{_=g+(m<<5)|0;e=l+(m<<4)|0;c[_>>2]=c[e>>2];c[_+4>>2]=c[e+4>>2];c[_+8>>2]=c[e+8>>2];c[_+12>>2]=c[e+12>>2];_=g+(m<<5)+16|0;m=m+1|0;e=l+(((m|0)%(f|0)|0)<<4)|0;c[_>>2]=c[e>>2];c[_+4>>2]=c[e+4>>2];c[_+8>>2]=c[e+8>>2];c[_+12>>2]=c[e+12>>2]}while((m|0)<(f|0))}if(!(a[b+29>>0]|0)){j=0.0;k=0.0}else{k=+h[b+16>>3];j=+Q(+k);k=+R(+k)}h[$+8>>3]=k;h[$>>3]=j;if(!(a[b+69>>0]|0)){j=0.0;k=0.0}else{k=+h[b+56>>3];j=-+Q(+k);k=-+R(+k)}h[$+24>>3]=k;h[$+16>>3]=j;b=c[14087]|0;c[ha>>2]=c[ga>>2];c[ha+4>>2]=c[ga+4>>2];if((lI(b,f,ha,$,ba)|0)>=0)break;us(1,146170,aa)|0;f=0;break a}else{c[ha>>2]=c[ga>>2];c[ha+4>>2]=c[ga+4>>2];AI(ha,ba)}while(0);o=ba+4|0;if(LA(c[o>>2]|0)|0){f=0;break}if(ca){f=0;do{h[ea+(f<<5)>>3]=2147483647.0;h[ea+(f<<5)+16>>3]=-2147483648.0;f=f+1|0}while((f|0)!=(da|0))}l=c[o>>2]|0;if((l|0)>0){m=c[14088]|0;f=c[ba>>2]|0;g=0;do{ba=m+(g<<4)|0;aa=f+(g<<4)|0;c[ba>>2]=c[aa>>2];c[ba+4>>2]=c[aa+4>>2];c[ba+8>>2]=c[aa+8>>2];c[ba+12>>2]=c[aa+12>>2];g=g+1|0}while((g|0)<(l|0));m=10;n=0;f=1}else{m=10;n=0;f=1}while(1){OA(ea,da,c[14088]|0,l,m);g:do if(ca){g=0;while(1){if(+h[ea+(g<<5)>>3]==2147483647.0)break;if(+h[ea+(g<<5)+16>>3]==-2147483648.0)break;g=g+1|0;if((g|0)>=(da|0)){l=n;break g}}l=m<<1;m=l;l=(l|0)>(2147483647/(da|0)|0|0)?15:n}else{g=0;l=n}while(0);f=(g|0)==(da|0)?0:f;g=l+1|0;if(!((g|0)<15&f<<24>>24!=0))break;l=c[o>>2]|0;n=g}if(f<<24>>24){ca=Ft(c[((c[fa>>2]&3|0)==3?fa:y)+40>>2]|0)|0;fa=Ft(c[((c[fa>>2]&3|0)==2?fa:z)+40>>2]|0)|0;c[ja>>2]=ca;c[ja+4>>2]=fa;us(0,146208,ja)|0;c[ha>>2]=c[ga>>2];c[ha+4>>2]=c[ga+4>>2];AI(ha,ia);OA(ea,da,c[ia>>2]|0,c[ia+4>>2]|0,10);fQ(c[ia>>2]|0)}c[d>>2]=c[o>>2];f=c[14088]|0;break}us(1,145810,n)|0;NA(b);f=0}while(0);if((A|0)==4){us(1,145768,l)|0;f=0}i=ka;return f|0}function NA(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0;m=i;i=i+112|0;k=m+80|0;l=m+48|0;j=m+8|0;g=m;d=c[24809]|0;e=b+80|0;c[g>>2]=c[e>>2];pO(d,146317,g)|0;if((c[e>>2]|0)>0){f=b+84|0;g=0;do{r=c[f>>2]|0;q=+h[r+(g<<5)>>3];p=+h[r+(g<<5)+8>>3];o=+h[r+(g<<5)+16>>3];n=+h[r+(g<<5)+24>>3];c[j>>2]=g;h[j+8>>3]=q;h[j+16>>3]=p;h[j+24>>3]=o;h[j+32>>3]=n;pO(d,146328,j)|0;g=g+1|0}while((g|0)<(c[e>>2]|0))}q=+h[b+8>>3];p=+h[b+16>>3];r=(a[b+29>>0]|0)!=0?146359:146371;h[l>>3]=+h[b>>3];h[l+8>>3]=q;h[l+16>>3]=p;c[l+24>>2]=r;pO(d,146387,l)|0;p=+h[b+48>>3];q=+h[b+56>>3];r=(a[b+69>>0]|0)!=0?146359:146371;h[k>>3]=+h[b+40>>3];h[k+8>>3]=p;h[k+16>>3]=q;c[k+24>>2]=r;pO(d,146438,k)|0;i=m;return}function OA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;s=_(e,b)|0;if((d|0)>3){t=(s|0)<0;u=+(s|0);v=(b|0)>0;w=3;e=0;while(1){if(!t){q=c+(e<<4)|0;r=c+(e<<4)+8|0;p=e+1|0;o=c+(p<<4)|0;p=c+(p<<4)+8|0;g=e+2|0;f=c+(g<<4)|0;g=c+(g<<4)+8|0;i=c+(w<<4)|0;j=c+(w<<4)+8|0;n=0;while(1){z=+(n|0)/u;k=+h[q>>3];l=+h[r>>3];A=+h[o>>3];x=+h[p>>3];B=+h[f>>3];y=+h[g>>3];k=k+z*(A-k);l=l+z*(x-l);A=A+z*(B-A);x=x+z*(y-x);k=k+z*(A-k);l=l+z*(x-l);k=k+z*(A+z*(B+z*(+h[i>>3]-B)-A)-k);l=l+z*(x+z*(y+z*(+h[j>>3]-y)-x)-l);if(v){m=0;do{if(l<=+h[a+(m<<5)+24>>3]+.0001?l>=+h[a+(m<<5)+8>>3]+-.0001:0){e=a+(m<<5)|0;if(+h[e>>3]>k)h[e>>3]=k;e=a+(m<<5)+16|0;if(+h[e>>3]<k)h[e>>3]=k}m=m+1|0}while((m|0)!=(b|0))}if((n|0)==(s|0))break;else n=n+1|0}}e=w+3|0;if((e|0)<(d|0)){r=w;w=e;e=r}else break}}return}function PA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;C=i;i=i+192|0;g=C+80|0;A=C;l=e&2130706432;y=(e&8|0)==0?((l|0)==0?4:l):8;if((y|0)==436207616){w=+h[b+8>>3];w=w+w;c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];h[g+16>>3]=+h[b+16>>3];h[g+24>>3]=w-+h[b+24>>3];h[g+32>>3]=+h[b+32>>3];h[g+40>>3]=w-+h[b+40>>3];h[g+48>>3]=+h[b+48>>3];h[g+56>>3]=w-+h[b+56>>3];h[g+64>>3]=+h[b+64>>3];h[g+72>>3]=w-+h[b+72>>3];h[g+80>>3]=+h[b+80>>3];h[g+88>>3]=w-+h[b+88>>3];B=g+96|0;A=b+96|0;c[B>>2]=c[A>>2];c[B+4>>2]=c[A+4>>2];c[B+8>>2]=c[A+8>>2];c[B+12>>2]=c[A+12>>2];NE(a,b,d,0,0,f&255);NE(a,g,7,0,0,0)}else{B=yz((d<<6)+64|0)|0;z=(d|0)>0;if(z){g=d+-1|0;j=b+8|0;o=12.0;k=0;do{p=(k|0)<(g|0);x=k;k=k+1|0;v=+h[(p?b+(k<<4)|0:b)>>3]-+h[b+(x<<4)>>3];w=+h[(p?b+(k<<4)+8|0:j)>>3]-+h[b+(x<<4)+8>>3];w=+O(+(v*v+w*w))/3.0;o=o<w?o:w}while((k|0)!=(d|0));if(z){x=d+-1|0;n=(e&2113929216|0)==67108864;p=(y|0)==4;e=(l|0)==16777216;l=b+8|0;k=0;m=0;while(1){v=+h[b+(m<<4)>>3];w=+h[b+(m<<4)+8>>3];if((m|0)<(x|0)){g=m+1|0;j=b+(g<<4)+8|0;g=b+(g<<4)|0}else{j=l;g=b}u=+h[g>>3]-v;s=+h[j>>3]-w;t=o/+O(+(u*u+s*s));t=n?t/3.0:e?t*.5:t;g=k+1|0;if(p){r=t*.5;q=w+s*r;r=v+u*r}else{q=w;r=v}h[B+(k<<4)>>3]=r;h[B+(k<<4)+8>>3]=q;j=k+2|0;h[B+(g<<4)>>3]=v+u*t;h[B+(g<<4)+8>>3]=w+s*t;g=k+3|0;r=1.0-t;h[B+(j<<4)>>3]=v+u*r;h[B+(j<<4)+8>>3]=w+s*r;if(p){t=1.0-t*.5;h[B+(g<<4)>>3]=v+u*t;h[B+(g<<4)+8>>3]=w+s*t;g=k+4|0}m=m+1|0;if((m|0)==(d|0))break;else k=g}}else g=0}else g=0;x=B+(g<<4)|0;c[x>>2]=c[B>>2];c[x+4>>2]=c[B+4>>2];c[x+8>>2]=c[B+8>>2];c[x+12>>2]=c[B+12>>2];x=B+(g+1<<4)|0;e=B+16|0;c[x>>2]=c[e>>2];c[x+4>>2]=c[e+4>>2];c[x+8>>2]=c[e+8>>2];c[x+12>>2]=c[e+12>>2];x=B+(g+2<<4)|0;l=B+32|0;c[x>>2]=c[l>>2];c[x+4>>2]=c[l+4>>2];c[x+8>>2]=c[l+8>>2];c[x+12>>2]=c[l+12>>2];a:do if((y|0)<201326592){if((y|0)>=83886080){if((y|0)<134217728){if((y|0)<100663296){switch(y|0){case 83886080:break;default:break a}if((d|0)==4){d=yz(192)|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];G=d+16|0;n=b+16|0;c[G>>2]=c[n>>2];c[G+4>>2]=c[n+4>>2];c[G+8>>2]=c[n+8>>2];c[G+12>>2]=c[n+12>>2];G=B+48|0;r=+h[G>>3];n=B+64|0;r=r+(+h[n>>3]-r);k=d+32|0;h[k>>3]=r;E=B+56|0;v=+h[E>>3];g=B+72|0;v=v+(+h[g>>3]-v);p=d+40|0;h[p>>3]=v;w=r+(+h[G>>3]-+h[l>>3]);F=d+48|0;h[F>>3]=w;s=v+(+h[E>>3]-+h[B+40>>3]);D=d+56|0;h[D>>3]=s;u=w+(+h[n>>3]-+h[G>>3]);G=d+64|0;h[G>>3]=u;t=s+(+h[g>>3]-+h[E>>3]);E=d+72|0;h[E>>3]=t;g=d+80|0;h[g>>3]=u+(r-w);h[d+88>>3]=t+(v-s);n=B+96|0;s=+h[n>>3];e=B+80|0;s=s+(+h[e>>3]-s);z=d+144|0;h[z>>3]=s;y=B+104|0;v=+h[y>>3];j=B+88|0;v=v+(+h[j>>3]-v);h[d+152>>3]=v;t=s+(+h[n>>3]-+h[B+112>>3]);m=d+128|0;h[m>>3]=t;w=v+(+h[y>>3]-+h[B+120>>3]);x=d+136|0;h[x>>3]=w;r=t+(+h[e>>3]-+h[n>>3]);n=d+112|0;h[n>>3]=r;u=w+(+h[j>>3]-+h[y>>3]);y=d+120|0;h[y>>3]=u;j=d+96|0;h[j>>3]=r+(s-t);e=d+104|0;h[e>>3]=u+(v-w);l=d+160|0;H=b+32|0;c[l>>2]=c[H>>2];c[l+4>>2]=c[H+4>>2];c[l+8>>2]=c[H+8>>2];c[l+12>>2]=c[H+12>>2];l=d+176|0;b=b+48|0;c[l>>2]=c[b>>2];c[l+4>>2]=c[b+4>>2];c[l+8>>2]=c[b+8>>2];c[l+12>>2]=c[b+12>>2];LE(a,d,12,f);c[A>>2]=c[k>>2];c[A+4>>2]=c[k+4>>2];c[A+8>>2]=c[k+8>>2];c[A+12>>2]=c[k+12>>2];w=+h[k>>3];w=w-(+h[F>>3]-w);k=A+16|0;h[k>>3]=w;v=+h[p>>3];v=v-(+h[D>>3]-v);l=A+24|0;h[l>>3]=v;p=A+32|0;h[p>>3]=w+(+h[G>>3]-+h[F>>3]);b=A+40|0;h[b>>3]=v+(+h[E>>3]-+h[D>>3]);f=A+48|0;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];c[f+8>>2]=c[g+8>>2];c[f+12>>2]=c[g+12>>2];OE(a,A,4);c[A>>2]=c[j>>2];c[A+4>>2]=c[j+4>>2];c[A+8>>2]=c[j+8>>2];c[A+12>>2]=c[j+12>>2];v=+h[j>>3];v=v-(+h[n>>3]-v);h[k>>3]=v;w=+h[e>>3];w=w-(+h[y>>3]-w);h[l>>3]=w;h[p>>3]=v+(+h[m>>3]-+h[n>>3]);h[b>>3]=w+(+h[x>>3]-+h[y>>3]);c[f>>2]=c[z>>2];c[f+4>>2]=c[z+4>>2];c[f+8>>2]=c[z+8>>2];c[f+12>>2]=c[z+12>>2];OE(a,A,4);fQ(d);break}else Na(146510,146521,737,146530)}if((y|0)<117440512){switch(y|0){case 100663296:break;default:break a}D=d+5|0;H=yz(D<<4)|0;E=b+16|0;w=+h[E>>3];u=+h[b>>3]-w;u=u*.125+(w+u*.5);h[H>>3]=u;F=b+40|0;w=+h[F>>3];G=b+24|0;y=B+48|0;z=B+56|0;d=B+72|0;w=w+(+h[G>>3]-w)*.5+(+h[z>>3]-+h[d>>3])*3.0*.5;h[H+8>>3]=w;t=+h[E>>3];v=+h[b>>3]-t;v=t+v*.5-v*.25;h[H+16>>3]=v;h[H+24>>3]=w;h[H+32>>3]=v;t=+h[F>>3];h[H+40>>3]=t+(+h[G>>3]-t)*.5;v=v+(+h[l>>3]-+h[y>>3])*.5;h[H+48>>3]=v;t=+h[F>>3];h[H+56>>3]=t+(+h[G>>3]-t)*.5;h[H+64>>3]=v;v=+h[F>>3];v=v+(+h[G>>3]-v)*.5+(+h[z>>3]-+h[d>>3]);h[H+72>>3]=v;h[H+80>>3]=u;h[H+88>>3]=v;h[H+96>>3]=u;v=v-(+h[z>>3]-+h[d>>3])*.25;h[H+104>>3]=v;h[H+112>>3]=u+(+h[l>>3]-+h[y>>3]);h[H+120>>3]=v+(+h[z>>3]-+h[d>>3])*.5;h[H+128>>3]=+h[H>>3];h[H+136>>3]=w+(+h[z>>3]-+h[d>>3])*.25;LE(a,H,D,f);h[A>>3]=+h[E>>3];w=+h[F>>3];h[A+8>>3]=w+(+h[G>>3]-w)*.5;h[A+16>>3]=+h[b>>3];h[A+24>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}else{switch(y|0){case 117440512:break;default:break a}G=d+1|0;H=yz(G<<4)|0;h[H>>3]=+h[e>>3];E=B+56|0;F=B+72|0;h[H+8>>3]=+h[B+24>>3]-(+h[E>>3]-+h[F>>3])*.5;h[H+16>>3]=+h[B+48>>3];w=+h[E>>3];h[H+24>>3]=w-(w-+h[F>>3])*.5;h[H+32>>3]=+h[b+32>>3];D=b+40|0;h[H+40>>3]=+h[D>>3]+(+h[E>>3]-+h[F>>3])*.5;h[H+48>>3]=+h[e>>3];h[H+56>>3]=+h[D>>3]+(+h[E>>3]-+h[F>>3])*.5;w=+h[b+8>>3];h[H+72>>3]=w-(w-+h[b+56>>3])*.5;h[H+64>>3]=+h[b>>3];LE(a,H,G,f);fQ(H);break}}if((y|0)<167772160)if((y|0)<150994944){switch(y|0){case 134217728:break;default:break a}D=d+4|0;H=yz(D<<4)|0;E=b+16|0;t=+h[E>>3];d=B+48|0;t=t+(+h[b>>3]-t)*.5+(+h[l>>3]-+h[d>>3])*.25;h[H>>3]=t;F=b+40|0;w=+h[F>>3];G=b+24|0;w=w+(+h[G>>3]-w)*.5;h[H+8>>3]=w;h[H+16>>3]=t;y=B+56|0;z=B+72|0;u=w+(+h[y>>3]-+h[z>>3])*.5;h[H+24>>3]=u;t=t+(+h[l>>3]-+h[d>>3])*.5;h[H+32>>3]=t;h[H+40>>3]=u;h[H+48>>3]=t;t=u+(+h[y>>3]-+h[z>>3])*.5;h[H+56>>3]=t;v=+h[E>>3];v=v+(+h[b>>3]-v)*.5-(+h[l>>3]-+h[d>>3])*3.0*.25;h[H+64>>3]=v;h[H+72>>3]=t;h[H+80>>3]=v;h[H+88>>3]=u;v=+h[E>>3];v=v+(+h[b>>3]-v)*.5-(+h[l>>3]-+h[d>>3])*.25;h[H+96>>3]=v;h[H+104>>3]=u;h[H+112>>3]=v;h[H+120>>3]=w;LE(a,H,D,f);h[A>>3]=+h[E>>3];w=+h[F>>3];h[A+8>>3]=w+(+h[G>>3]-w)*.5;h[A+16>>3]=+h[b>>3];h[A+24>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}else{switch(y|0){case 150994944:break;default:break a}D=d+2|0;H=yz(D<<4)|0;E=b+16|0;u=+h[E>>3];d=B+48|0;u=u+(+h[b>>3]-u)*.5+(+h[l>>3]-+h[d>>3])*3.0*.25;h[H>>3]=u;F=b+40|0;w=+h[F>>3];G=b+24|0;w=w+(+h[G>>3]-w)*.5;h[H+8>>3]=w;h[H+16>>3]=u;y=B+56|0;z=B+72|0;u=w+(+h[y>>3]-+h[z>>3])*.25;h[H+24>>3]=u;v=+h[E>>3];h[H+32>>3]=v+(+h[b>>3]-v)*.5+(+h[l>>3]-+h[d>>3])*.25;v=u+(+h[y>>3]-+h[z>>3])*.5;h[H+40>>3]=v;t=+h[E>>3];h[H+48>>3]=t+(+h[b>>3]-t)*.5-(+h[l>>3]-+h[d>>3])*.25;h[H+56>>3]=v;v=+h[E>>3];v=v+(+h[b>>3]-v)*.5-(+h[l>>3]-+h[d>>3])*3.0*.25;h[H+64>>3]=v;h[H+72>>3]=u;h[H+80>>3]=v;h[H+88>>3]=w;LE(a,H,D,f);h[A>>3]=+h[E>>3];w=+h[F>>3];h[A+8>>3]=w+(+h[G>>3]-w)*.5;h[A+16>>3]=+h[b>>3];h[A+24>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}else if((y|0)<184549376){switch(y|0){case 167772160:break;default:break a}D=d+1|0;H=yz(D<<4)|0;E=b+16|0;u=+h[E>>3];y=B+48|0;u=u+(+h[b>>3]-u)*.5+(+h[l>>3]-+h[y>>3]);h[H>>3]=u;F=b+40|0;w=+h[F>>3];G=b+24|0;z=B+56|0;d=B+72|0;w=w+(+h[G>>3]-w)*.5+(+h[z>>3]-+h[d>>3])*.25;h[H+8>>3]=w;u=u-(+h[l>>3]-+h[y>>3]);h[H+16>>3]=u;h[H+24>>3]=w+(+h[z>>3]-+h[d>>3]);h[H+32>>3]=u;u=w+(+h[z>>3]-+h[d>>3])*.5;h[H+40>>3]=u;t=+h[E>>3];v=+h[b>>3]-t;v=t+v*.5-v*.25;h[H+48>>3]=v;h[H+56>>3]=u;h[H+64>>3]=v;h[H+72>>3]=w;LE(a,H,D,f);h[A>>3]=+h[E>>3];w=+h[F>>3];h[A+8>>3]=w+(+h[G>>3]-w)*.5;h[A+16>>3]=+h[b>>3];h[A+24>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}else{switch(y|0){case 184549376:break;default:break a}F=d+4|0;H=yz(F<<4)|0;D=b+16|0;u=+h[D>>3];v=+h[b>>3]-u;x=B+48|0;v=v*.125+(u+v*.5)+(+h[l>>3]-+h[x>>3])*.5;h[H>>3]=v;z=b+40|0;u=+h[z>>3];d=b+24|0;G=B+56|0;y=B+72|0;u=u+(+h[d>>3]-u)*.5+(+h[G>>3]-+h[y>>3])*.25;h[H+8>>3]=u;t=+h[D>>3];w=+h[b>>3]-t;w=t+w*.5-w*.125;h[H+16>>3]=w;h[H+24>>3]=u;h[H+32>>3]=w;u=u+(+h[G>>3]-+h[y>>3])*.5;h[H+40>>3]=u;w=w-(+h[l>>3]-+h[x>>3])*.5;h[H+48>>3]=w;h[H+56>>3]=u;E=H+64|0;h[E>>3]=w;w=+h[z>>3];w=w+(+h[d>>3]-w)*.5-(+h[G>>3]-+h[y>>3])*.25;h[H+72>>3]=w;u=v-(+h[l>>3]-+h[x>>3])*.5;h[H+80>>3]=u;h[H+88>>3]=w;h[H+96>>3]=u;w=w-(+h[G>>3]-+h[y>>3])*.5;h[H+104>>3]=w;y=H+112|0;h[y>>3]=v;h[H+120>>3]=w;LE(a,H,F,f);h[A>>3]=+h[D>>3];w=+h[z>>3];f=A+8|0;h[f>>3]=w+(+h[d>>3]-w)*.5;D=A+16|0;h[D>>3]=+h[E>>3];E=b+8|0;F=b+56|0;G=A+24|0;h[G>>3]=w+(+h[E>>3]-+h[F>>3])*.5;OE(a,A,2);h[A>>3]=+h[y>>3];w=+h[z>>3];h[f>>3]=w+(+h[d>>3]-w)*.5;h[D>>3]=+h[b>>3];h[G>>3]=w+(+h[E>>3]-+h[F>>3])*.5;OE(a,A,2);fQ(H);break}}if((y|0)>=33554432){if((y|0)<50331648){switch(y|0){case 33554432:break;default:break a}g=d+2|0;j=yz(g<<4)|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];k=j+16|0;c[k>>2]=c[l>>2];c[k+4>>2]=c[l+4>>2];c[k+8>>2]=c[l+8>>2];c[k+12>>2]=c[l+12>>2];k=B+48|0;F=B+64|0;h[j+32>>3]=+h[l>>3]+(+h[k>>3]-+h[F>>3])/3.0;G=B+56|0;H=B+72|0;h[j+40>>3]=+h[B+40>>3]+(+h[G>>3]-+h[H>>3])/3.0;w=+h[k>>3];h[j+48>>3]=w+(w-+h[F>>3])/3.0;w=+h[G>>3];h[j+56>>3]=w+(w-+h[H>>3])/3.0;if((g|0)>4){e=4;do{H=j+(e<<4)|0;G=b+(e+-2<<4)|0;c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];e=e+1|0}while((e|0)!=(g|0))}LE(a,j,g,f);fQ(j);c[A>>2]=c[k>>2];c[A+4>>2]=c[k+4>>2];c[A+8>>2]=c[k+8>>2];c[A+12>>2]=c[k+12>>2];H=A+16|0;c[H>>2]=c[l>>2];c[H+4>>2]=c[l+4>>2];c[H+8>>2]=c[l+8>>2];c[H+12>>2]=c[l+12>>2];OE(a,A,2);break}if((y|0)>=67108864){switch(y|0){case 67108864:break;default:break a}if((d|0)==4){H=yz(96)|0;c[H>>2]=c[b>>2];c[H+4>>2]=c[b+4>>2];c[H+8>>2]=c[b+8>>2];c[H+12>>2]=c[b+12>>2];E=H+16|0;c[E>>2]=c[l>>2];c[E+4>>2]=c[l+4>>2];c[E+8>>2]=c[l+8>>2];c[E+12>>2]=c[l+12>>2];E=H+32|0;F=B+64|0;c[E>>2]=c[F>>2];c[E+4>>2]=c[F+4>>2];c[E+8>>2]=c[F+8>>2];c[E+12>>2]=c[F+12>>2];E=H+48|0;G=b+32|0;c[E>>2]=c[G>>2];c[E+4>>2]=c[G+4>>2];c[E+8>>2]=c[G+8>>2];c[E+12>>2]=c[G+12>>2];E=H+64|0;G=B+128|0;c[E>>2]=c[G>>2];c[E+4>>2]=c[G+4>>2];c[E+8>>2]=c[G+8>>2];c[E+12>>2]=c[G+12>>2];E=H+80|0;D=B+160|0;c[E>>2]=c[D>>2];c[E+4>>2]=c[D+4>>2];c[E+8>>2]=c[D+8>>2];c[E+12>>2]=c[D+12>>2];LE(a,H,6,f);fQ(H);h[A>>3]=+h[e>>3]+(+h[B+176>>3]-+h[B>>3]);h[A+8>>3]=+h[B+24>>3]+(+h[B+184>>3]-+h[B+8>>3]);H=A+16|0;c[H>>2]=c[F>>2];c[H+4>>2]=c[F+4>>2];c[H+8>>2]=c[F+8>>2];c[H+12>>2]=c[F+12>>2];OE(a,A,2);c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];OE(a,A,2);c[H>>2]=c[B>>2];c[H+4>>2]=c[B+4>>2];c[H+8>>2]=c[B+8>>2];c[H+12>>2]=c[B+12>>2];OE(a,A,2);break}else Na(146510,146521,714,146530)}else{switch(y|0){case 50331648:break;default:break a}j=d+3|0;k=yz(j<<4)|0;c[k>>2]=c[b>>2];c[k+4>>2]=c[b+4>>2];c[k+8>>2]=c[b+8>>2];c[k+12>>2]=c[b+12>>2];w=+h[b>>3];h[k+16>>3]=w-(w-+h[e>>3])*.25;H=B+56|0;w=+h[b+8>>3]+(+h[H>>3]-+h[B+72>>3])/3.0;h[k+24>>3]=w;v=+h[b>>3];h[k+32>>3]=v-(v-+h[e>>3])*2.0;h[k+40>>3]=w;w=+h[b>>3];h[k+48>>3]=w-(w-+h[e>>3])*2.25;h[k+56>>3]=+h[H>>3];h[k+64>>3]=+h[B+48>>3];h[k+72>>3]=+h[H>>3];if((j|0)>4){g=4;do{H=k+(g<<4)|0;G=b+(g+-3<<4)|0;c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];g=g+1|0}while((g|0)!=(j|0))}LE(a,k,j,f);fQ(k);break}}if((y|0)<8){switch(y|0){case 4:break;default:break a}g=d*96|0;p=zz(g+32|0)|0;if(z){g=p+g|0;j=d*6|0;k=p;e=1;m=0;n=0;while(1){G=n<<2;l=B+(G<<4)|0;c[k>>2]=c[l>>2];c[k+4>>2]=c[l+4>>2];c[k+8>>2]=c[l+8>>2];c[k+12>>2]=c[l+12>>2];l=p+(e<<4)|0;H=B+((G|1)<<4)|0;c[l>>2]=c[H>>2];c[l+4>>2]=c[H+4>>2];c[l+8>>2]=c[H+8>>2];c[l+12>>2]=c[H+12>>2];l=p+(m+2<<4)|0;c[l>>2]=c[H>>2];c[l+4>>2]=c[H+4>>2];c[l+8>>2]=c[H+8>>2];c[l+12>>2]=c[H+12>>2];l=p+(m+3<<4)|0;H=B+((G|2)<<4)|0;c[l>>2]=c[H>>2];c[l+4>>2]=c[H+4>>2];c[l+8>>2]=c[H+8>>2];c[l+12>>2]=c[H+12>>2];l=p+(m+4<<4)|0;c[l>>2]=c[H>>2];c[l+4>>2]=c[H+4>>2];c[l+8>>2]=c[H+8>>2];c[l+12>>2]=c[H+12>>2];l=m+6|0;H=p+(m+5<<4)|0;G=B+((G|3)<<4)|0;c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];n=n+1|0;if((n|0)==(d|0))break;else{k=p+(l<<4)|0;e=l|1;m=l}}j=j|1}else{j=1;g=p};c[g>>2]=c[p>>2];c[g+4>>2]=c[p+4>>2];c[g+8>>2]=c[p+8>>2];c[g+12>>2]=c[p+12>>2];G=p+(j<<4)|0;H=p+16|0;c[G>>2]=c[H>>2];c[G+4>>2]=c[H+4>>2];c[G+8>>2]=c[H+8>>2];c[G+12>>2]=c[H+12>>2];NE(a,H,j,0,0,f&255);fQ(p);break}if((y|0)<16777216){switch(y|0){case 8:break;default:break a}LE(a,b,d,f);if(!z)break;g=A+16|0;j=0;do{H=j*3|0;G=B+(H+2<<4)|0;c[A>>2]=c[G>>2];c[A+4>>2]=c[G+4>>2];c[A+8>>2]=c[G+8>>2];c[A+12>>2]=c[G+12>>2];H=B+(H+4<<4)|0;c[g>>2]=c[H>>2];c[g+4>>2]=c[H+4>>2];c[g+8>>2]=c[H+8>>2];c[g+12>>2]=c[H+12>>2];OE(a,A,2);j=j+1|0}while((j|0)!=(d|0))}else{switch(y|0){case 16777216:break;default:break a}g=d+1|0;j=yz(g<<4)|0;if((d|0)>1){k=1;do{H=j+(k<<4)|0;G=b+(k<<4)|0;c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];k=k+1|0}while((k|0)!=(d|0))}F=d*3|0;G=B+(F+1<<4)|0;c[j>>2]=c[G>>2];c[j+4>>2]=c[G+4>>2];c[j+8>>2]=c[G+8>>2];c[j+12>>2]=c[G+12>>2];E=j+(d<<4)|0;H=B+(F+-1<<4)|0;c[E>>2]=c[H>>2];c[E+4>>2]=c[H+4>>2];c[E+8>>2]=c[H+8>>2];c[E+12>>2]=c[H+12>>2];LE(a,j,g,f);fQ(j);c[A>>2]=c[H>>2];c[A+4>>2]=c[H+4>>2];c[A+8>>2]=c[H+8>>2];c[A+12>>2]=c[H+12>>2];H=A+16|0;c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];G=A+32|0;h[G>>3]=+h[H>>3]+(+h[A>>3]-+h[B+(F<<4)>>3]);h[A+40>>3]=+h[A+24>>3]+(+h[A+8>>3]-+h[B+(F<<4)+8>>3]);OE(a,H,2);c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];OE(a,A,2);break}}else if((y|0)<318767104){if((y|0)<251658240){if((y|0)<218103808){switch(y|0){case 201326592:break;default:break a}H=d<<4;x=yz(H)|0;y=b+16|0;w=+h[y>>3];h[x>>3]=w;F=b+40|0;v=+h[F>>3];G=b+24|0;E=B+48|0;z=B+56|0;D=B+72|0;v=v+(+h[G>>3]-v)*.5+(+h[z>>3]-+h[D>>3])*.125;h[x+8>>3]=v;u=w+(+h[l>>3]-+h[E>>3])*2.0;h[x+16>>3]=u;h[x+24>>3]=v;h[x+32>>3]=u;v=v+(+h[z>>3]-+h[D>>3])*.5;h[x+40>>3]=v;h[x+48>>3]=w;h[x+56>>3]=v;LE(a,x,d,f);fQ(x);H=yz(H)|0;v=+h[y>>3]+(+h[l>>3]-+h[E>>3]);h[H>>3]=v;w=+h[F>>3];w=w+(+h[G>>3]-w)*.5-(+h[z>>3]-+h[D>>3])*5.0*.125;h[H+8>>3]=w;u=v+(+h[l>>3]-+h[E>>3]);E=H+16|0;h[E>>3]=u;h[H+24>>3]=w;h[H+32>>3]=u;w=w+(+h[z>>3]-+h[D>>3])*.5;h[H+40>>3]=w;h[H+48>>3]=v;h[H+56>>3]=w;LE(a,H,d,f);h[A>>3]=+h[E>>3];w=+h[F>>3];h[A+8>>3]=w+(+h[G>>3]-w)*.5;h[A+16>>3]=+h[b>>3];h[A+24>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}if((y|0)<234881024){switch(y|0){case 218103808:break;default:break a}H=d<<4;z=yz(H)|0;w=+h[b>>3];h[z>>3]=w;E=b+40|0;v=+h[E>>3];F=b+24|0;D=B+56|0;G=B+72|0;v=v+(+h[F>>3]-v)*.5+(+h[D>>3]-+h[G>>3])*.125;h[z+8>>3]=v;h[z+16>>3]=w;u=v+(+h[D>>3]-+h[G>>3])*.5;h[z+24>>3]=u;w=w-(+h[D>>3]-+h[G>>3])*2.0;h[z+32>>3]=w;h[z+40>>3]=u;h[z+48>>3]=w;h[z+56>>3]=v;LE(a,z,d,f);fQ(z);H=yz(H)|0;v=+h[b>>3]-(+h[l>>3]-+h[B+48>>3]);h[H>>3]=v;w=+h[E>>3];w=w+(+h[F>>3]-w)*.5-(+h[D>>3]-+h[G>>3])*5.0*.125;h[H+8>>3]=w;h[H+16>>3]=v;u=w+(+h[D>>3]-+h[G>>3])*.5;h[H+24>>3]=u;v=v-(+h[D>>3]-+h[G>>3]);h[H+32>>3]=v;h[H+40>>3]=u;G=H+48|0;h[G>>3]=v;h[H+56>>3]=w;LE(a,H,d,f);h[A>>3]=+h[b+16>>3];w=+h[E>>3];h[A+8>>3]=w+(+h[F>>3]-w)*.5;h[A+16>>3]=+h[G>>3];h[A+24>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}else{switch(y|0){case 234881024:break;default:break a}H=d<<4;D=yz(H)|0;p=b+16|0;v=+h[p>>3];x=B+48|0;v=v+(+h[b>>3]-v)*.5-(+h[l>>3]-+h[x>>3])*9.0*.125;h[D>>3]=v;y=b+40|0;w=+h[y>>3];z=b+24|0;F=B+56|0;E=B+72|0;w=w+(+h[z>>3]-w)*.5+(+h[F>>3]-+h[E>>3])*.125;h[D+8>>3]=w;u=v+(+h[l>>3]-+h[x>>3]);h[D+16>>3]=u;h[D+24>>3]=w;h[D+32>>3]=u;w=w+(+h[F>>3]-+h[E>>3])*.5;h[D+40>>3]=w;h[D+48>>3]=v;h[D+56>>3]=w;LE(a,D,d,f);fQ(D);D=yz(H)|0;w=+h[p>>3];w=w+(+h[b>>3]-w)*.5-(+h[l>>3]-+h[x>>3])*9.0*.125;h[D>>3]=w;v=+h[y>>3];v=v+(+h[z>>3]-v)*.5-(+h[F>>3]-+h[E>>3])*5.0*.125;h[D+8>>3]=v;u=w+(+h[l>>3]-+h[x>>3]);h[D+16>>3]=u;h[D+24>>3]=v;h[D+32>>3]=u;v=v+(+h[F>>3]-+h[E>>3])*.5;h[D+40>>3]=v;h[D+48>>3]=w;h[D+56>>3]=v;LE(a,D,d,f);fQ(D);D=yz(H)|0;v=+h[p>>3];v=v+(+h[b>>3]-v)*.5+(+h[l>>3]-+h[x>>3])*.125;h[D>>3]=v;w=+h[y>>3];w=w+(+h[z>>3]-w)*.5-(+h[F>>3]-+h[E>>3])*5.0*.125;h[D+8>>3]=w;u=v+(+h[l>>3]-+h[x>>3]);h[D+16>>3]=u;h[D+24>>3]=w;h[D+32>>3]=u;w=w+(+h[F>>3]-+h[E>>3])*.5;h[D+40>>3]=w;h[D+48>>3]=v;h[D+56>>3]=w;LE(a,D,d,f);fQ(D);H=yz(H)|0;w=+h[p>>3];w=w+(+h[b>>3]-w)*.5+(+h[l>>3]-+h[x>>3])*.125;h[H>>3]=w;v=+h[y>>3];v=v+(+h[z>>3]-v)*.5+(+h[F>>3]-+h[E>>3])*.125;h[H+8>>3]=v;u=w+(+h[l>>3]-+h[x>>3]);D=H+16|0;h[D>>3]=u;h[H+24>>3]=v;h[H+32>>3]=u;v=v+(+h[F>>3]-+h[E>>3])*.5;h[H+40>>3]=v;h[H+48>>3]=w;h[H+56>>3]=v;LE(a,H,d,f);h[A>>3]=+h[D>>3];v=+h[y>>3];f=A+8|0;h[f>>3]=v+(+h[z>>3]-v)*.5;D=A+16|0;h[D>>3]=+h[b>>3];E=b+8|0;F=b+56|0;G=A+24|0;h[G>>3]=v+(+h[E>>3]-+h[F>>3])*.5;OE(a,A,2);v=+h[p>>3];h[A>>3]=v+(+h[b>>3]-v)*.5-(+h[l>>3]-+h[x>>3])*9.0*.125;w=+h[y>>3];h[f>>3]=w+(+h[z>>3]-w)*.5;h[D>>3]=v;h[G>>3]=w+(+h[E>>3]-+h[F>>3])*.5;OE(a,A,2);fQ(H);break}}if((y|0)<285212672)if((y|0)<268435456){switch(y|0){case 251658240:break;default:break a}H=d<<4;G=yz(H)|0;x=b+16|0;w=+h[x>>3];D=B+48|0;w=w+(+h[b>>3]-w)*.5-(+h[l>>3]-+h[D>>3]);h[G>>3]=w;y=b+40|0;v=+h[y>>3];z=b+24|0;F=B+56|0;E=B+72|0;v=v+(+h[z>>3]-v)*.5+(+h[F>>3]-+h[E>>3])*.125;h[G+8>>3]=v;u=w+(+h[l>>3]-+h[D>>3])*2.0;h[G+16>>3]=u;h[G+24>>3]=v;h[G+32>>3]=u;v=v+(+h[F>>3]-+h[E>>3])*.5;h[G+40>>3]=v;h[G+48>>3]=w;h[G+56>>3]=v;LE(a,G,d,f);fQ(G);H=yz(H)|0;v=+h[x>>3];v=v+(+h[b>>3]-v)*.5-(+h[l>>3]-+h[D>>3]);h[H>>3]=v;w=+h[y>>3];w=w+(+h[z>>3]-w)*.5-(+h[F>>3]-+h[E>>3])*5.0*.125;h[H+8>>3]=w;u=v+(+h[l>>3]-+h[D>>3])*2.0;D=H+16|0;h[D>>3]=u;h[H+24>>3]=w;h[H+32>>3]=u;w=w+(+h[F>>3]-+h[E>>3])*.5;h[H+40>>3]=w;h[H+48>>3]=v;h[H+56>>3]=w;LE(a,H,d,f);h[A>>3]=+h[D>>3];w=+h[y>>3];f=A+8|0;h[f>>3]=w+(+h[z>>3]-w)*.5;D=A+16|0;h[D>>3]=+h[b>>3];E=b+8|0;F=b+56|0;G=A+24|0;h[G>>3]=w+(+h[E>>3]-+h[F>>3])*.5;OE(a,A,2);h[A>>3]=+h[x>>3];w=+h[y>>3];h[f>>3]=w+(+h[z>>3]-w)*.5;h[D>>3]=+h[H>>3];h[G>>3]=w+(+h[E>>3]-+h[F>>3])*.5;OE(a,A,2);fQ(H);break}else{switch(y|0){case 268435456:break;default:break a}H=yz(d<<4)|0;h[H>>3]=+h[b>>3];E=B+48|0;y=B+56|0;z=B+72|0;h[H+8>>3]=+h[B+24>>3]-(+h[y>>3]-+h[z>>3])*.5;h[H+16>>3]=+h[E>>3];w=+h[y>>3];h[H+24>>3]=w-(w-+h[z>>3])*.5;h[H+32>>3]=+h[b+32>>3];x=b+40|0;h[H+40>>3]=+h[x>>3]+(+h[y>>3]-+h[z>>3])*.5;h[H+48>>3]=+h[b>>3];h[H+56>>3]=+h[x>>3]+(+h[y>>3]-+h[z>>3])*.5;LE(a,H,d,f);f=b+16|0;w=+h[f>>3]+(+h[l>>3]-+h[E>>3])*.25;h[A>>3]=w;v=+h[x>>3];d=b+24|0;v=v+(+h[d>>3]-v)*.5+(+h[y>>3]-+h[z>>3])*.125;D=A+8|0;h[D>>3]=v;F=A+16|0;h[F>>3]=w+(+h[l>>3]-+h[E>>3])*.25;G=A+24|0;h[G>>3]=v-(+h[y>>3]-+h[z>>3])*.25;OE(a,A,2);v=+h[f>>3]+(+h[l>>3]-+h[E>>3])*.25;h[A>>3]=v;w=+h[x>>3];w=w+(+h[d>>3]-w)*.5-(+h[y>>3]-+h[z>>3])*.125;h[D>>3]=w;h[F>>3]=v+(+h[l>>3]-+h[E>>3])*.25;h[G>>3]=w+(+h[y>>3]-+h[z>>3])*.25;OE(a,A,2);h[A>>3]=+h[f>>3]+(+h[l>>3]-+h[E>>3])*.25;w=+h[x>>3]+(+h[y>>3]-+h[z>>3])*3.0*.25;h[D>>3]=w;h[F>>3]=+h[b>>3]-(+h[l>>3]-+h[E>>3])*.25;h[G>>3]=w;OE(a,A,2);fQ(H);break}else if((y|0)<301989888){switch(y|0){case 285212672:break;default:break a}E=yz(d<<4)|0;x=b+16|0;u=+h[x>>3];D=B+48|0;u=u+(+h[b>>3]-u)*.5+(+h[l>>3]-+h[D>>3])*.5;h[E>>3]=u;y=b+40|0;t=+h[y>>3];z=b+24|0;t=t+(+h[z>>3]-t)*.5+(+h[l>>3]-+h[D>>3])*.5;h[E+8>>3]=t;h[E+16>>3]=u;u=+h[y>>3];w=(+h[l>>3]-+h[D>>3])*.5;u=u+(+h[z>>3]-u)*.5-w;h[E+24>>3]=u;v=+h[x>>3];w=v+(+h[b>>3]-v)*.5-w;h[E+32>>3]=w;h[E+40>>3]=u;h[E+48>>3]=w;h[E+56>>3]=t;LE(a,E,d,f);fQ(E);t=+h[x>>3];t=t+(+h[b>>3]-t)*.5;w=t+(+h[l>>3]-+h[D>>3])*3.0*.25;h[A>>3]=w;u=+h[y>>3];u=u+(+h[z>>3]-u)*.5;v=u+(+h[l>>3]-+h[D>>3])*3.0*.25;f=A+8|0;h[f>>3]=v;E=A+16|0;h[E>>3]=w;w=(+h[l>>3]-+h[D>>3])*3.0*.25;u=u-w;H=A+24|0;h[H>>3]=u;w=t-w;h[A+32>>3]=w;h[A+40>>3]=u;h[A+48>>3]=w;h[A+56>>3]=v;F=A+64|0;c[F>>2]=c[A>>2];c[F+4>>2]=c[A+4>>2];c[F+8>>2]=c[A+8>>2];c[F+12>>2]=c[A+12>>2];OE(a,A,5);v=+h[x>>3];w=+h[b>>3];h[A>>3]=v+(w-v)*.5+(+h[l>>3]-+h[D>>3])*3.0*.25;v=+h[y>>3];h[f>>3]=v+(+h[z>>3]-v)*.5;h[E>>3]=w;F=b+8|0;G=b+56|0;h[H>>3]=v+(+h[F>>3]-+h[G>>3])*.5;OE(a,A,2);v=+h[x>>3];h[A>>3]=v;w=+h[y>>3];h[f>>3]=w+(+h[z>>3]-w)*.5;h[E>>3]=v+(+h[b>>3]-v)*.5-(+h[l>>3]-+h[D>>3])*3.0*.25;h[H>>3]=w+(+h[F>>3]-+h[G>>3])*.5;OE(a,A,2);break}else{switch(y|0){case 301989888:break;default:break a}E=d+12|0;H=yz(E<<4)|0;z=b+16|0;r=+h[z>>3];n=B+48|0;r=r+(+h[b>>3]-r)*.5+(+h[l>>3]-+h[n>>3])*.25;h[H>>3]=r;d=b+40|0;t=+h[d>>3];D=b+24|0;x=B+56|0;y=B+72|0;t=t+(+h[D>>3]-t)*.5+(+h[x>>3]-+h[y>>3])*.5;p=H+8|0;h[p>>3]=t;h[H+16>>3]=r;t=t+(+h[x>>3]-+h[y>>3])*.125;G=H+24|0;h[G>>3]=t;v=r-(+h[l>>3]-+h[n>>3])*.125;F=H+32|0;h[F>>3]=v;s=t+(+h[x>>3]-+h[y>>3])*.125;h[H+40>>3]=s;h[H+48>>3]=r;u=s+(+h[x>>3]-+h[y>>3])*.125;h[H+56>>3]=u;h[H+64>>3]=r;r=u+(+h[x>>3]-+h[y>>3])*.125;h[H+72>>3]=r;h[H+80>>3]=v;h[H+88>>3]=r;v=+h[z>>3];v=v+(+h[b>>3]-v)*.5;h[H+96>>3]=v;h[H+104>>3]=u;w=v-(+h[l>>3]-+h[n>>3])*.125;h[H+112>>3]=w;h[H+120>>3]=r;w=w-(+h[l>>3]-+h[n>>3])*.125;h[H+128>>3]=w;h[H+136>>3]=r;h[H+144>>3]=w;h[H+152>>3]=u;u=w+(+h[l>>3]-+h[n>>3])*.125;h[H+160>>3]=u;h[H+168>>3]=s;h[H+176>>3]=w;h[H+184>>3]=t;h[H+192>>3]=w;w=+h[p>>3];h[H+200>>3]=w;h[H+208>>3]=u;h[H+216>>3]=w;p=H+224|0;h[p>>3]=v;h[H+232>>3]=+h[G>>3];h[H+240>>3]=+h[F>>3];h[H+248>>3]=w;LE(a,H,E,f);w=+h[p>>3];h[A>>3]=w;v=+h[d>>3];v=v+(+h[D>>3]-v)*.5;E=A+8|0;h[E>>3]=v;F=A+16|0;h[F>>3]=w;G=A+24|0;h[G>>3]=v+(+h[x>>3]-+h[y>>3])*.125;OE(a,A,2);v=+h[p>>3];h[A>>3]=v;w=+h[d>>3];w=w+(+h[D>>3]-w)*.5+(+h[x>>3]-+h[y>>3])*.25;h[E>>3]=w;h[F>>3]=v;h[G>>3]=w+(+h[x>>3]-+h[y>>3])*.125;OE(a,A,2);h[A>>3]=+h[z>>3];w=+h[d>>3];h[E>>3]=w+(+h[D>>3]-w)*.5;h[F>>3]=+h[b>>3];h[G>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}}else{if((y|0)<369098752){if((y|0)<335544320){switch(y|0){case 318767104:break;default:break a}E=d+4|0;H=yz(E<<4)|0;z=b+16|0;v=+h[z>>3];F=B+48|0;v=v+(+h[b>>3]-v)*.5+(+h[l>>3]-+h[F>>3])*.125;h[H>>3]=v;d=b+40|0;w=+h[d>>3];D=b+24|0;x=B+56|0;y=B+72|0;w=w+(+h[D>>3]-w)*.5+(+h[x>>3]-+h[y>>3])*.5;h[H+8>>3]=w;s=v+(+h[l>>3]-+h[F>>3])*.125;h[H+16>>3]=s;u=w+(+h[x>>3]-+h[y>>3])*.125;h[H+24>>3]=u;h[H+32>>3]=s;s=u+(+h[x>>3]-+h[y>>3])*.25;h[H+40>>3]=s;h[H+48>>3]=v;t=s+(+h[x>>3]-+h[y>>3])*.125;h[H+56>>3]=t;v=v-(+h[l>>3]-+h[F>>3])*.25;h[H+64>>3]=v;h[H+72>>3]=t;t=v-(+h[l>>3]-+h[F>>3])*.125;h[H+80>>3]=t;h[H+88>>3]=s;h[H+96>>3]=t;h[H+104>>3]=u;h[H+112>>3]=v;h[H+120>>3]=w;LE(a,H,E,f);w=+h[z>>3];w=w+(+h[b>>3]-w)*.5;h[A>>3]=w;v=+h[d>>3];v=v+(+h[D>>3]-v)*.5;E=A+8|0;h[E>>3]=v;F=A+16|0;h[F>>3]=w;G=A+24|0;h[G>>3]=v+(+h[x>>3]-+h[y>>3])*.125;OE(a,A,2);v=+h[z>>3];v=v+(+h[b>>3]-v)*.5;h[A>>3]=v;w=+h[d>>3];w=w+(+h[D>>3]-w)*.5+(+h[x>>3]-+h[y>>3])*.25;h[E>>3]=w;h[F>>3]=v;h[G>>3]=w+(+h[x>>3]-+h[y>>3])*.125;OE(a,A,2);h[A>>3]=+h[z>>3];w=+h[d>>3];h[E>>3]=w+(+h[D>>3]-w)*.5;h[F>>3]=+h[b>>3];h[G>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}if((y|0)<352321536){switch(y|0){case 335544320:break;default:break a}G=d+12|0;H=yz(G<<4)|0;d=b+16|0;r=+h[d>>3];x=B+48|0;r=r+(+h[b>>3]-r)*.5+(+h[l>>3]-+h[x>>3])*.25;h[H>>3]=r;D=b+40|0;t=+h[D>>3];E=b+24|0;n=B+56|0;p=B+72|0;t=t+(+h[E>>3]-t)*.5+(+h[n>>3]-+h[p>>3])*.5;F=H+8|0;h[F>>3]=t;h[H+16>>3]=r;t=t+(+h[n>>3]-+h[p>>3])*.125;y=H+24|0;h[y>>3]=t;v=r-(+h[l>>3]-+h[x>>3])*.125;z=H+32|0;h[z>>3]=v;s=t+(+h[n>>3]-+h[p>>3])*.125;h[H+40>>3]=s;h[H+48>>3]=r;u=s+(+h[n>>3]-+h[p>>3])*.125;h[H+56>>3]=u;h[H+64>>3]=r;r=u+(+h[n>>3]-+h[p>>3])*.125;h[H+72>>3]=r;h[H+80>>3]=v;h[H+88>>3]=r;v=+h[d>>3];v=v+(+h[b>>3]-v)*.5;h[H+96>>3]=v;h[H+104>>3]=u;w=v-(+h[l>>3]-+h[x>>3])*.125;h[H+112>>3]=w;h[H+120>>3]=r;w=w-(+h[l>>3]-+h[x>>3])*.125;h[H+128>>3]=w;h[H+136>>3]=r;h[H+144>>3]=w;h[H+152>>3]=u;u=w+(+h[l>>3]-+h[x>>3])*.125;h[H+160>>3]=u;h[H+168>>3]=s;h[H+176>>3]=w;h[H+184>>3]=t;h[H+192>>3]=w;w=+h[F>>3];h[H+200>>3]=w;h[H+208>>3]=u;h[H+216>>3]=w;F=H+224|0;h[F>>3]=v;h[H+232>>3]=+h[y>>3];h[H+240>>3]=+h[z>>3];h[H+248>>3]=w;LE(a,H,G,f);c[A>>2]=c[F>>2];c[A+4>>2]=c[F+4>>2];c[A+8>>2]=c[F+8>>2];c[A+12>>2]=c[F+12>>2];F=A+16|0;h[F>>3]=+h[A>>3];w=+h[D>>3];G=A+24|0;h[G>>3]=w+(+h[E>>3]-w)*.5;OE(a,A,2);h[A>>3]=+h[d>>3];w=+h[D>>3];h[A+8>>3]=w+(+h[E>>3]-w)*.5;h[F>>3]=+h[b>>3];h[G>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}else{switch(y|0){case 352321536:break;default:break a}E=d+4|0;H=yz(E<<4)|0;z=b+16|0;v=+h[z>>3];G=B+48|0;v=v+(+h[b>>3]-v)*.5+(+h[l>>3]-+h[G>>3])*.125;h[H>>3]=v;d=b+40|0;w=+h[d>>3];D=b+24|0;x=B+56|0;y=B+72|0;w=w+(+h[D>>3]-w)*.5+(+h[x>>3]-+h[y>>3])*.5;F=H+8|0;h[F>>3]=w;s=v+(+h[l>>3]-+h[G>>3])*.125;h[H+16>>3]=s;u=w+(+h[x>>3]-+h[y>>3])*.125;h[H+24>>3]=u;h[H+32>>3]=s;s=u+(+h[x>>3]-+h[y>>3])*.25;h[H+40>>3]=s;h[H+48>>3]=v;t=s+(+h[x>>3]-+h[y>>3])*.125;h[H+56>>3]=t;v=v-(+h[l>>3]-+h[G>>3])*.25;h[H+64>>3]=v;h[H+72>>3]=t;t=v-(+h[l>>3]-+h[G>>3])*.125;h[H+80>>3]=t;h[H+88>>3]=s;h[H+96>>3]=t;h[H+104>>3]=u;h[H+112>>3]=v;h[H+120>>3]=w;LE(a,H,E,f);w=+h[z>>3];w=w+(+h[b>>3]-w)*.5;h[A>>3]=w;E=A+8|0;h[E>>3]=+h[F>>3];F=A+16|0;h[F>>3]=w;w=+h[d>>3];G=A+24|0;h[G>>3]=w+(+h[D>>3]-w)*.5;OE(a,A,2);h[A>>3]=+h[z>>3];w=+h[d>>3];h[E>>3]=w+(+h[D>>3]-w)*.5;h[F>>3]=+h[b>>3];h[G>>3]=w+(+h[b+8>>3]-+h[b+56>>3])*.5;OE(a,A,2);fQ(H);break}}if((y|0)<402653184)if((y|0)<385875968){switch(y|0){case 369098752:break;default:break a}G=d+5|0;H=yz(G<<4)|0;F=B+48|0;h[H>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;E=B+56|0;D=B+72|0;h[H+8>>3]=+h[B+24>>3]-(+h[E>>3]-+h[D>>3])*.5;h[H+16>>3]=+h[F>>3];w=+h[E>>3];h[H+24>>3]=w-(w-+h[D>>3])*.5;h[H+32>>3]=+h[b+32>>3];d=b+40|0;h[H+40>>3]=+h[d>>3];w=+h[l>>3];h[H+48>>3]=w+(w-+h[F>>3])*.5;h[H+56>>3]=+h[d>>3];w=+h[l>>3];h[H+64>>3]=w+(w-+h[F>>3])*.5;h[H+72>>3]=+h[d>>3]+(+h[E>>3]-+h[D>>3])*.5;h[H+80>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;h[H+88>>3]=+h[d>>3]+(+h[E>>3]-+h[D>>3])*.5;h[H+96>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;D=b+56|0;h[H+104>>3]=+h[D>>3];E=b+8|0;w=+h[E>>3];h[H+120>>3]=w-(w-+h[D>>3])*.5;h[H+112>>3]=+h[b>>3];h[H+136>>3]=+h[E>>3];h[H+128>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;LE(a,H,G,f);fQ(H);break}else{switch(y|0){case 385875968:break;default:break a}G=d+3|0;H=yz(G<<4)|0;F=B+48|0;h[H>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;E=B+56|0;D=B+72|0;h[H+8>>3]=+h[B+24>>3]-(+h[E>>3]-+h[D>>3])*.5;h[H+16>>3]=+h[F>>3];w=+h[E>>3];h[H+24>>3]=w-(w-+h[D>>3])*.5;h[H+32>>3]=+h[b+32>>3];d=b+40|0;h[H+40>>3]=+h[d>>3]+(+h[E>>3]-+h[D>>3])*.5;h[H+48>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;h[H+56>>3]=+h[d>>3]+(+h[E>>3]-+h[D>>3])*.5;h[H+64>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;D=b+56|0;h[H+72>>3]=+h[D>>3];E=b+8|0;w=+h[E>>3];h[H+88>>3]=w-(w-+h[D>>3])*.5;h[H+80>>3]=+h[b>>3];h[H+104>>3]=+h[E>>3];h[H+96>>3]=+h[e>>3]-(+h[l>>3]-+h[F>>3])*.5;LE(a,H,G,f);fQ(H);break}else if((y|0)<419430400){switch(y|0){case 402653184:break;default:break a}G=d+3|0;H=yz(G<<4)|0;h[H>>3]=+h[b>>3];d=b+8|0;D=B+48|0;E=B+56|0;F=B+72|0;h[H+8>>3]=+h[d>>3]-(+h[E>>3]-+h[F>>3])*.5;w=+h[l>>3];h[H+16>>3]=w+(w-+h[D>>3])*.5;h[H+24>>3]=+h[d>>3]-(+h[E>>3]-+h[F>>3])*.5;w=+h[l>>3];h[H+32>>3]=w+(w-+h[D>>3])*.5;h[H+40>>3]=+h[B+40>>3];h[H+48>>3]=+h[b+16>>3];w=+h[b+24>>3];d=b+40|0;h[H+56>>3]=w-(w-+h[d>>3])*.5;w=+h[l>>3];h[H+64>>3]=w+(w-+h[D>>3])*.5;h[H+72>>3]=+h[d>>3];h[H+88>>3]=+h[d>>3]+(+h[E>>3]-+h[F>>3])*.5;w=+h[l>>3];h[H+80>>3]=w+(w-+h[D>>3])*.5;h[H+104>>3]=+h[b+56>>3]+(+h[E>>3]-+h[F>>3])*.5;h[H+96>>3]=+h[b>>3];LE(a,H,G,f);fQ(H);break}else{switch(y|0){case 419430400:break;default:break a}G=d+5|0;H=yz(G<<4)|0;h[H>>3]=+h[b>>3];F=b+8|0;E=B+48|0;d=B+56|0;D=B+72|0;h[H+8>>3]=+h[F>>3]-(+h[d>>3]-+h[D>>3])*.5;w=+h[l>>3];h[H+16>>3]=w+(w-+h[E>>3])*.5;h[H+24>>3]=+h[F>>3]-(+h[d>>3]-+h[D>>3])*.5;w=+h[l>>3];h[H+32>>3]=w+(w-+h[E>>3])*.5;h[H+40>>3]=+h[B+40>>3];h[H+48>>3]=+h[b+16>>3];w=+h[b+24>>3];F=b+40|0;h[H+56>>3]=w-(w-+h[F>>3])*.5;w=+h[l>>3];h[H+64>>3]=w+(w-+h[E>>3])*.5;h[H+72>>3]=+h[F>>3];h[H+88>>3]=+h[F>>3]+(+h[d>>3]-+h[D>>3])*.5;w=+h[l>>3];h[H+80>>3]=w+(w-+h[E>>3])*.5;F=b+56|0;h[H+104>>3]=+h[F>>3]+(+h[d>>3]-+h[D>>3])*.5;h[H+96>>3]=+h[e>>3]-(+h[l>>3]-+h[E>>3])*.5;h[H+112>>3]=+h[e>>3]-(+h[l>>3]-+h[E>>3])*.5;h[H+120>>3]=+h[F>>3];h[H+128>>3]=+h[b+48>>3];h[H+136>>3]=+h[F>>3];LE(a,H,G,f);fQ(H);break}}while(0);fQ(B)}i=C;return}function QA(a){a=a|0;a=c[(c[a+16>>2]|0)+8>>2]|0;if(a){a=c[c[a+4>>2]>>2]|0;if((a|0)!=91)if((a|0)!=94)if((a|0)==93)a=3;else a=(a|0)==96?4:0;else a=2;else a=1}else a=0;return a|0}function RA(a){a=a|0;a=c[(c[a+16>>2]|0)+8>>2]|0;if(!a)a=0;else a=(c[c[a+4>>2]>>2]|0)==91&1;return a|0}function SA(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;e=c[14095]|0;a:do if((e|0)!=0?(f=c[14096]|0,(f|0)>0):0){g=a[b>>0]|0;i=0;while(1){d=c[e+(i<<2)>>2]|0;h=c[d>>2]|0;if((a[h>>0]|0)==g<<24>>24?(aP(h,b)|0)==0:0)break a;i=i+1|0;if((i|0)>=(f|0)){d=0;break}}}else d=0;while(0);return d|0}function TA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;h=j;do if(!(zC(Qs(d,146544)|0)|0))g=b;else{if((a[b>>0]|0)==101?(aP(b,146554)|0)==0:0){g=b;break}g=146559}while(0);e=a[g>>0]|0;if(e<<24>>24==99?(aP(g,146559)|0)==0:0)f=11;else f=7;a:do if((f|0)==7){b=c[14097]|0;if(!b)f=11;else{d=b;b=56388;while(1){if((a[d>>0]|0)==e<<24>>24?(aP(d,g)|0)==0:0)break a;b=b+16|0;d=c[b>>2]|0;if(!d){f=11;break}}}}while(0);b:do if((f|0)==11){b=SA(g)|0;if(!b){e=c[14096]|0;b=e+1|0;c[14096]=b;d=c[14095]|0;if(!d)b=zz(b<<2)|0;else b=Bz(d,b<<2)|0;c[14095]=b;b=yz(16)|0;c[(c[14095]|0)+(e<<2)>>2]=b;c[b>>2]=c[14097];c[b+4>>2]=c[14098];c[b+8>>2]=c[14099];c[b+12>>2]=c[14100];d=dP(g)|0;c[b>>2]=d;do if(!(c[13876]|0)){if((a[g>>0]|0)==99?(aP(g,146559)|0)==0:0)break;c[h>>2]=c[14097];c[h+4>>2]=d;us(0,146566,h)|0;a[b+12>>0]=0;break b}while(0);a[b+12>>0]=1}}while(0);i=j;return b|0}function UA(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0;F=i;i=i+48|0;g=F;j=c[(c[(c[(xu(d)|0)+60>>2]|0)+16>>2]|0)+116>>2]&3;p=d+16|0;E=c[p>>2]|0;D=E+16|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];l=+h[k>>3];E=E+24|0;a[k>>0]=a[E>>0];a[k+1>>0]=a[E+1>>0];a[k+2>>0]=a[E+2>>0];a[k+3>>0]=a[E+3>>0];a[k+4>>0]=a[E+4>>0];a[k+5>>0]=a[E+5>>0];a[k+6>>0]=a[E+6>>0];a[k+7>>0]=a[E+7>>0];m=+h[k>>3];switch(j|0){case 0:{n=l;l=m;break}case 2:{n=l;l=-m;break}case 1:{n=-m;break}case 3:{n=m;break}default:{n=0.0;l=0.0}}E=~~(n+(n>=0.0?.5:-.5));D=~~(l+(l>=0.0?.5:-.5));C=c[e+16>>2]|0;B=C+16|0;a[k>>0]=a[B>>0];a[k+1>>0]=a[B+1>>0];a[k+2>>0]=a[B+2>>0];a[k+3>>0]=a[B+3>>0];a[k+4>>0]=a[B+4>>0];a[k+5>>0]=a[B+5>>0];a[k+6>>0]=a[B+6>>0];a[k+7>>0]=a[B+7>>0];l=+h[k>>3];C=C+24|0;a[k>>0]=a[C>>0];a[k+1>>0]=a[C+1>>0];a[k+2>>0]=a[C+2>>0];a[k+3>>0]=a[C+3>>0];a[k+4>>0]=a[C+4>>0];a[k+5>>0]=a[C+5>>0];a[k+6>>0]=a[C+6>>0];a[k+7>>0]=a[C+7>>0];m=+h[k>>3];switch(j|0){case 0:{n=l;l=m;break}case 2:{n=l;l=-m;break}case 1:{n=-m;break}case 3:{n=m;break}default:{n=0.0;l=0.0}}B=~~(n+(n>=0.0?.5:-.5));z=~~(l+(l>=0.0?.5:-.5));C=f+33|0;e=a[C>>0]|0;A=e&255;switch(e<<24>>24){case 0:case 15:{j=0;break}default:{e=c[f+24>>2]|0;if(!e){y=(c[(c[(xu(d)|0)+16>>2]|0)+116>>2]&1|0)==0;x=c[p>>2]|0;H=+h[x+80>>3]*.5;G=-H;n=+h[x+88>>3];m=-n;o=y?m:G;l=y?n:H;n=y?H:n;m=y?G:m}else{o=+h[e>>3];l=+h[e+16>>3];n=+h[e+24>>3];m=+h[e+8>>3]}x=~~m;y=~~((o+l)*.5);w=~~l;v=~~((m+n)*.5);u=~~n;s=~~o;t=0;r=0;q=0;p=0;e=0;while(1){if(1<<t&A){switch(t|0){case 0:{j=y;p=x;break}case 1:{j=w;p=v;break}case 2:{j=y;p=u;break}case 3:{j=s;p=v;break}default:j=q}q=j+E|0;p=p+D|0;I=q-B|0;j=p-z|0;j=(_(I,I)|0)+(_(j,j)|0)|0;if((e|0)==0|(j|0)<(r|0))e=c[57396+(t<<2)>>2]|0;else j=r}else j=r;t=t+1|0;if((t|0)==4)break;else r=j}j=e;e=a[C>>0]|0}}c[g+36>>2]=c[f+36>>2];_A(d,c[f+24>>2]|0,g,j,e&255,0)|0;e=b+40|0;do{c[b>>2]=c[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(e|0));i=F;return}function VA(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=i;i=i+80|0;f=j+40|0;h=j;g=b+16|0;e=c[g>>2]|0;d=e+16|0;if(a[e+47>>0]|0){e=c[b>>2]&3;UA(f,c[((e|0)==3?b:b+48|0)+40>>2]|0,c[((e|0)==2?b:b+-48|0)+40>>2]|0,d);e=f;f=d+40|0;do{c[d>>2]=c[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));e=c[g>>2]|0}d=e+56|0;if(a[e+87>>0]|0){e=c[b>>2]&3;UA(h,c[((e|0)==2?b:b+-48|0)+40>>2]|0,c[((e|0)==3?b:b+48|0)+40>>2]|0,d);e=h;f=d+40|0;do{c[d>>2]=c[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0))}i=j;return}function WA(){c[14353]=0;c[14354]=0;c[14355]=0;return}function XA(b){b=b|0;var d=0,e=0.0,f=0.0,g=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,P=0,S=0,T=0.0,U=0.0,V=0.0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0.0;ba=i;i=i+128|0;F=ba+96|0;G=ba+88|0;C=ba+80|0;D=ba+72|0;k=ba+64|0;Z=ba+48|0;S=ba+40|0;P=ba+32|0;n=ba+24|0;p=ba+16|0;B=ba+120|0;q=ba+112|0;E=ba;aa=yz(48)|0;$=b+16|0;X=c[(c[(c[$>>2]|0)+8>>2]|0)+8>>2]|0;j=(X|0)==34728;Y=c[X>>2]|0;d=c[X+4>>2]|0;g=c[X+8>>2]|0;l=+h[X+16>>3];o=+h[X+32>>3];m=+h[X+24>>3];Y=(rC(Qs(b,147429)|0)|0)&255|Y;do if(!j){if(!Y){X=c[$>>2]|0;s=+h[X+32>>3]*72.0;e=+h[X+40>>3]*72.0;e=+(~~(e+(e>=0.0?.5:-.5))|0);s=+(~~(s+(s>=0.0?.5:-.5))|0);break}V=+mC(b,c[13900]|0,0.0,.01);f=+mC(b,c[13899]|0,0.0,.02);f=(V>f?V:f)*72.0;X=~~(f+(f>=0.0?.5:-.5));f=+(X|0);if((X|0)>0){e=f;s=f}else{X=c[$>>2]|0;e=+h[X+32>>3];s=+h[X+40>>3];s=(e<s?e:s)*72.0;s=+(~~(s+(s>=0.0?.5:-.5))|0);e=s}}else{e=0.0;s=0.0}while(0);X=lC(b,c[13922]|0,d,0)|0;V=l+ +mC(b,c[13924]|0,0.0,-360.0);if(!g){T=+mC(b,c[13925]|0,0.0,-100.0);g=lC(b,c[13921]|0,4,0)|0;U=+mC(b,c[13926]|0,0.0,-100.0)}else{U=m;T=o}d=c[(c[$>>2]|0)+104>>2]|0;r=+h[d+24>>3];l=+h[d+32>>3];if(r>0.0)if(j)m=r;else H=11;else if(j|!(l>0.0))m=r;else H=11;do if((H|0)==11){d=Qs(b,147414)|0;if(!d){m=r+16.0;l=l+8.0;break}h[p>>3]=0.0;h[n>>3]=0.0;c[k>>2]=n;c[k+4>>2]=p;d=EO(d,147421,k)|0;f=+h[n>>3];if(f<0.0){h[n>>3]=0.0;f=0.0}m=+h[p>>3];if(m<0.0){h[p>>3]=0.0;m=0.0}if((d|0)<=0){m=r+16.0;l=l+8.0;break}o=f*72.0;o=+(~~(o+(o>=0.0?.5:-.5))<<1|0);f=r+o;if((d|0)>1){M=m*72.0;m=f;l=l+ +(~~(M+(M>=0.0?.5:-.5))<<1|0);break}else{m=f;l=l+o;break}}while(0);r=m-+h[(c[(c[$>>2]|0)+104>>2]|0)+24>>3];f=+h[c[(c[(xu(b)|0)+16>>2]|0)+8>>2]>>3];if(f>0.0){L=f*72.0;L=+(~~(L+(L>=0.0?.5:-.5))|0);n=~~(m/L);p=~~(l/L);M=L*+((L*+(n|0)+1.0e-05<m&1)+n|0);L=L*+((L*+(p|0)+1.0e-05<l&1)+p|0)}else{M=m;L=l}d=c[(c[$>>2]|0)+8>>2]|0;do if(!(a[d+12>>0]|0)){d=Qs(b,150368)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0){Pw(q,xu(b)|0,d);j=c[q>>2]|0;k=c[q+4>>2]|0;if((k&j|0)==-1){j=Ft(b)|0;c[C>>2]=d;c[C+4>>2]=j;us(0,147488,C)|0;j=0;d=0;break}else{a[(c[(xu(b)|0)+16>>2]|0)+114>>0]=1;j=j+2|0;d=k+2|0;break}}else{j=0;d=0}}else{d=c[d>>2]|0;if((a[d>>0]|0)==99?(aP(d,146559)|0)==0:0){d=Qs(b,146544)|0;Pw(B,xu(b)|0,d);j=c[B>>2]|0;k=c[B+4>>2]|0;if((k&j|0)==-1){j=Ft(b)|0;c[D>>2]=(d|0)!=0?d:147437;c[D+4>>2]=j;us(0,147443,D)|0;j=0;d=0;break}else{a[(c[(xu(b)|0)+16>>2]|0)+114>>0]=1;j=j+2|0;d=k+2|0;break}}else{j=0;d=0}}while(0);o=+(j|0);h[Z>>3]=M>o?M:o;o=+(d|0);C=Z+8|0;h[C>>3]=L>o?L:o;if((g|0)<3)g=U!=0.0|T!=0.0?120:g;d=Qs(b,147529)|0;a:do if(!d)H=40;else{d=a[d>>0]|0;switch(d<<24>>24){case 98:case 116:break;default:{H=40;break a}}j=c[$>>2]|0;a[(c[j+104>>2]|0)+80>>0]=d}while(0);if((H|0)==40){j=c[$>>2]|0;a[(c[j+104>>2]|0)+80>>0]=99;d=99}if((g|0)==4?T==0.0&(U==0.0?((~~(V+(V>=0.0?.5:-.5))|0)%90|0|0)==0:0):0)k=1;else H=43;do if((H|0)==43){j=c[(c[(c[j+8>>2]|0)+8>>2]|0)+44>>2]|0;if(j){k=c[j>>2]|0;c[F>>2]=c[Z>>2];c[F+4>>2]=c[Z+4>>2];c[F+8>>2]=c[Z+8>>2];c[F+12>>2]=c[Z+12>>2];Fb[k&63](E,F);c[Z>>2]=c[E>>2];c[Z+4>>2]=c[E+4>>2];c[Z+8>>2]=c[E+8>>2];c[Z+12>>2]=c[E+12>>2];k=0;break}f=+h[C>>3];l=f*1.4142135623730951;if(e>l&d<<24>>24==99){m=f/e;m=+O(+(1.0/(1.0-m*m)));m=m*+h[Z>>3];h[Z>>3]=m}else{m=+h[Z>>3]*1.4142135623730951;h[Z>>3]=m;h[C>>3]=l;f=l}if((g|0)>2){A=+Q(+(3.141592653589793/+(g|0)));h[Z>>3]=m/A;h[C>>3]=f/A;k=0}else k=0}while(0);l=+h[C>>3];d=oC(b,c[13927]|0,178372)|0;if((a[d>>0]|0)==115?(aP(d,151064)|0)==0:0){h[Z>>3]=s;h[C>>3]=e;G=aa+40|0;c[G>>2]=c[G>>2]|2048;f=s}else H=53;do if((H|0)==53){if(!((rC(d)|0)<<24>>24)){f=+h[Z>>3];f=s>f?s:f;h[Z>>3]=f;A=+h[C>>3];e=e>A?e:A;h[C>>3]=e;break}H=c[(c[$>>2]|0)+104>>2]|0;if(!(!(s<+h[H+24>>3])?!(e<+h[H+32>>3]):0)){F=Ft(b)|0;H=Ft(xu(b)|0)|0;c[G>>2]=F;c[G+4>>2]=H;us(0,147538,G)|0}h[Z>>3]=s;h[C>>3]=e;f=s}while(0);if(!Y){A=e;z=f}else{z=+h[C>>3];z=f>z?f:z;h[C>>3]=z;h[Z>>3]=z;A=z}do if(!((rC(oC(b,c[13918]|0,178372)|0)|0)<<24>>24)){if(k){y=+h[Z>>3];d=c[(c[$>>2]|0)+104>>2]|0;h[d+40>>3]=(M>y?M:y)-r;break}e=+h[C>>3];if(L<e){y=+h[Z>>3]*+O(+(1.0-L*L/(e*e)));d=c[(c[$>>2]|0)+104>>2]|0;h[d+40>>3]=(M>y?M:y)-r;break}else{d=c[(c[$>>2]|0)+104>>2]|0;h[d+40>>3]=M-r;break}}else{d=c[(c[$>>2]|0)+104>>2]|0;h[d+40>>3]=M-r}while(0);B=aa+40|0;if(!(c[B>>2]&2048)){y=+h[C>>3]-l;h[d+48>>3]=L+(L<o?o-L+y:y)}d=(X|0)<1?1:X;if((g|0)<3){d=yz(d<<5)|0;f=+h[Z>>3]*.5;e=+h[C>>3]*.5;h[d>>3]=-f;h[d+8>>3]=-e;h[d+16>>3]=f;h[d+24>>3]=e;if((X|0)>1){g=2;j=1;while(1){f=f+4.0;e=e+4.0;h[d+(g<<4)>>3]=-f;h[d+(g<<4)+8>>3]=-e;S=g|1;h[d+(S<<4)>>3]=f;h[d+(S<<4)+8>>3]=e;j=j+1|0;if((j|0)==(X|0))break;else g=g+2|0}h[Z>>3]=f*2.0;h[C>>3]=e*2.0;g=2}else g=2}else{d=yz(_(d<<4,g)|0)|0;j=c[(c[(c[(c[$>>2]|0)+8>>2]|0)+8>>2]|0)+44>>2]|0;b:do if(!j){o=6.283185307179586/+(g|0);t=o*.5;r=+R(+t);s=+wN(+N(+U)+ +N(+T),1.0);t=U*1.4142135623730951/+Q(+t);u=T*.5;y=(o+-3.141592653589793)*.5;BN(y,S,P);v=V/180.0*3.141592653589793;w=+h[P>>3]*.5;x=+h[S>>3]*.5;y=y+(3.141592653589793-o)*.5;j=0;f=0.0;e=0.0;while(1){y=o+y;BN(y,S,P);w=w+r*+h[P>>3];x=x+r*+h[S>>3];l=u*x+w*(s+t*x);BN(v+ +W(+x,+l),S,P);l=+wN(l,x);m=l*+h[P>>3]*+h[Z>>3];l=l*+h[S>>3]*+h[C>>3];ca=+N(+m);f=ca>f?ca:f;ca=+N(+l);e=ca>e?ca:e;h[d+(j<<4)>>3]=m;h[d+(j<<4)+8>>3]=l;j=j+1|0;if(k)break;if((j|0)>=(g|0))break b}ca=-m;h[d+16>>3]=ca;h[d+24>>3]=l;h[d+32>>3]=ca;ca=-l;h[d+40>>3]=ca;h[d+48>>3]=m;h[d+56>>3]=ca}else{Fb[c[j+4>>2]&63](d,Z);f=+h[Z>>3]*.5;e=+h[C>>3]*.5}while(0);y=f*2.0;f=e*2.0;e=z>y?z:y;h[Z>>3]=e;ca=A>f?A:f;h[C>>3]=ca;e=e/y;f=ca/f;q=(g|0)>0;if(q){j=0;do{H=d+(j<<4)|0;b=d+(j<<4)+8|0;ca=f*+h[b>>3];h[H>>3]=e*+h[H>>3];h[b>>3]=ca;j=j+1|0}while((j|0)!=(g|0))}if((X|0)>1?(I=g+-1|0,J=+h[d>>3],K=+h[d+8>>3],q):0){p=(X|0)==2;m=J;o=K;l=+W(+(K-+h[d+(I<<4)+8>>3]),+(J-+h[d+(I<<4)>>3]));k=0;do{n=k;k=k+1|0;I=(k|0)==(g|0)?0:k;K=m;m=+h[d+(I<<4)>>3];ca=o;o=+h[d+(I<<4)+8>>3];J=l;l=+W(+(o-ca),+(m-K));f=(J+3.141592653589793-l)*.5;e=4.0/+R(+f);BN(J-f,S,P);f=e*+h[S>>3];h[S>>3]=f;e=e*+h[P>>3];h[P>>3]=e;e=K+e;f=ca+f;I=g+n|0;h[d+(I<<4)>>3]=e;h[d+(I<<4)+8>>3]=f;if(!p){j=2;do{e=e+ +h[P>>3];f=f+ +h[S>>3];I=(_(j,g)|0)+n|0;h[d+(I<<4)>>3]=e;h[d+(I<<4)+8>>3]=f;j=j+1|0}while((j|0)!=(X|0))}}while((k|0)!=(g|0));if(q){j=_(g,X+-1|0)|0;e=+h[Z>>3];f=+h[C>>3];k=0;do{S=k+j|0;ca=+h[d+(S<<4)+8>>3];K=+N(+(+h[d+(S<<4)>>3]))*2.0;e=K>e?K:e;h[Z>>3]=e;ca=+N(+ca)*2.0;f=ca>f?ca:f;h[C>>3]=f;k=k+1|0}while((k|0)!=(g|0))}}}c[aa>>2]=Y;c[aa+4>>2]=X;c[aa+8>>2]=g;h[aa+16>>3]=V;h[aa+32>>3]=T;h[aa+24>>3]=U;c[aa+44>>2]=d;e=+h[Z>>3];if(!(c[B>>2]&2048)){d=c[$>>2]|0;h[d+32>>3]=e/72.0;h[d+40>>3]=+h[C>>3]/72.0}else{d=c[$>>2]|0;h[d+32>>3]=(M>e?M:e)/72.0;ca=+h[C>>3];h[d+40>>3]=(L>ca?L:ca)/72.0}c[d+12>>2]=aa;i=ba;return}function YA(a){a=a|0;var b=0,d=0,e=0.0,f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0.0;o=i;i=i+80|0;n=o+56|0;f=o+32|0;m=o+40|0;l=o+16|0;d=(c[(c[(xu(a)|0)+16>>2]|0)+116>>2]|0)>>>2&1^1;k=a+16|0;g=c[c[(c[k>>2]|0)+104>>2]>>2]|0;c[14412]=g;g=eP(g)|0;g=yz((g|0)>1?g+1|0:2)|0;b=AB(a,d,1,g)|0;if(!b){c[f>>2]=c[c[(c[k>>2]|0)+104>>2]>>2];us(1,147390,f)|0;c[14412]=147411;b=AB(a,d,1,g)|0}fQ(g);BB(o,a,b);d=c[k>>2]|0;j=+h[d+32>>3]*72.0;j=+(~~(j+(j>=0.0?.5:-.5))|0);h[l>>3]=j;e=+h[d+40>>3]*72.0;e=+(~~(e+(e>=0.0?.5:-.5))|0);d=l+8|0;h[d>>3]=e;if(!((rC(oC(a,c[13927]|0,178372)|0)|0)<<24>>24)){p=+h[b>>3];j=p>j?p:j;h[l>>3]=j;g=b+8|0;p=+h[g>>3];e=p>e?p:e;h[d>>3]=e;d=g}else d=b+8|0;a=(rC(oC(a,c[13918]|0,178372)|0)|0)&255;c[n>>2]=c[l>>2];c[n+4>>2]=c[l+4>>2];c[n+8>>2]=c[l+8>>2];c[n+12>>2]=c[l+12>>2];CB(b,n,a);h[m>>3]=j*-.5;h[m+8>>3]=e*.5;c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];c[n+8>>2]=c[m+8>>2];c[n+12>>2]=c[m+12>>2];DB(b,n,15);n=c[k>>2]|0;h[n+32>>3]=+h[b>>3]/72.0;h[n+40>>3]=(+h[d>>3]+1.0)/72.0;c[n+12>>2]=b;i=o;return}function ZA(a){a=a|0;var b=0.0,d=0,e=0.0,f=0,g=0,i=0,j=0,k=0.0,l=0;i=yz(48)|0;j=a+16|0;d=c[(c[(c[(c[j>>2]|0)+8>>2]|0)+8>>2]|0)+4>>2]|0;b=+mC(a,c[13900]|0,1797693134862315708145274.0e284,0.0);e=+mC(a,c[13899]|0,1797693134862315708145274.0e284,0.0);b=b<e?b:e;if(e==1797693134862315708145274.0e284&b==1797693134862315708145274.0e284){g=c[j>>2]|0;h[g+40>>3]=.05;h[g+32>>3]=.05;b=3.6}else{b=b>0.0?(b>.0003?b:.0003):b;g=c[j>>2]|0;h[g+40>>3]=b;h[g+32>>3]=b;b=b*72.0}f=lC(a,c[13922]|0,d,0)|0;g=yz((f|0)<1?32:f<<5)|0;e=b*.5;k=-e;h[g>>3]=k;h[g+8>>3]=k;h[g+16>>3]=e;h[g+24>>3]=e;if((f|0)>1){b=e;d=2;a=1;while(1){b=b+4.0;e=e+4.0;h[g+(d<<4)>>3]=-b;h[g+(d<<4)+8>>3]=-e;l=d|1;h[g+(l<<4)>>3]=b;h[g+(l<<4)+8>>3]=e;a=a+1|0;if((a|0)==(f|0))break;else d=d+2|0}b=b*2.0}c[i>>2]=1;c[i+4>>2]=f;c[i+8>>2]=2;l=i+16|0;c[l>>2]=0;c[l+4>>2]=0;c[l+8>>2]=0;c[l+12>>2]=0;c[l+16>>2]=0;c[l+20>>2]=0;c[i+44>>2]=g;k=b/72.0;l=c[j>>2]|0;h[l+32>>3]=k;h[l+40>>3]=k;c[l+12>>2]=i;return}function _A(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0;F=i;i=i+176|0;C=F+160|0;D=F+144|0;n=F+128|0;o=F+112|0;p=F+96|0;q=F+80|0;s=F+64|0;u=F+48|0;v=F+32|0;w=F+16|0;B=F;if(!d){m=(c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&1|0)==0;E=c[b+16>>2]|0;k=+h[E+80>>3]*.5;A=+h[E+88>>3];y=m?A:k;A=m?k:A;k=0.0;l=0.0;x=-y;z=A;A=-A;m=0}else{x=+h[d>>3];A=+h[d+8>>3];y=+h[d+16>>3];z=+h[d+24>>3];k=(x+y)*.5;l=(A+z)*.5;m=1}E=D+8|0;h[E>>3]=l;h[D>>3]=k;r=(y>z?y:z)*4.0;a:do if((f|0)!=0?(t=a[f>>0]|0,t<<24>>24!=0):0){f=f+1|0;switch(t<<24>>24|0){case 99:{o=1;p=0;f=0;n=0;g=0;k=0.0;break a}case 101:{if(a[f>>0]|0){o=1;p=0;f=0;n=1;g=0;k=0.0;break a}if(!j)h[D>>3]=y;else{$A(n,j,l,r);c[D>>2]=c[n>>2];c[D+4>>2]=c[n+4>>2];c[D+8>>2]=c[n+8>>2];c[D+12>>2]=c[n+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&2;k=0.0;break a}case 115:{h[E>>3]=A;switch(a[f>>0]|0){case 0:{if(!j)h[D>>3]=k;else{$A(o,j,-r,k);c[D>>2]=c[o>>2];c[D+4>>2]=c[o+4>>2];c[D+8>>2]=c[o+8>>2];c[D+12>>2]=c[o+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&1;k=-1.5707963267948966;break a}case 101:{if(!j)h[D>>3]=y;else{$A(p,j,-r,r);c[D>>2]=c[p>>2];c[D+4>>2]=c[p+4>>2];c[D+8>>2]=c[p+8>>2];c[D+12>>2]=c[p+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&3;k=-.7853981633974483;break a}case 119:{if(!j)h[D>>3]=x;else{A=-r;$A(q,j,A,A);c[D>>2]=c[q>>2];c[D+4>>2]=c[q+4>>2];c[D+8>>2]=c[q+8>>2];c[D+12>>2]=c[q+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&9;k=-2.356194490192345;break a}default:{h[E>>3]=l;o=1;p=0;f=0;n=1;g=0;k=0.0;break a}}}case 119:{if(a[f>>0]|0){o=1;p=0;f=0;n=1;g=0;k=0.0;break a}if(!j)h[D>>3]=x;else{$A(s,j,l,-r);c[D>>2]=c[s>>2];c[D+4>>2]=c[s+4>>2];c[D+8>>2]=c[s+8>>2];c[D+12>>2]=c[s+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&8;k=3.141592653589793;break a}case 110:{h[E>>3]=z;switch(a[f>>0]|0){case 0:{if(!j)h[D>>3]=k;else{$A(u,j,r,k);c[D>>2]=c[u>>2];c[D+4>>2]=c[u+4>>2];c[D+8>>2]=c[u+8>>2];c[D+12>>2]=c[u+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&4;k=1.5707963267948966;break a}case 101:{if(!j)h[D>>3]=y;else{$A(v,j,r,r);c[D>>2]=c[v>>2];c[D+4>>2]=c[v+4>>2];c[D+8>>2]=c[v+8>>2];c[D+12>>2]=c[v+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&6;k=.7853981633974483;break a}case 119:{if(!j)h[D>>3]=x;else{$A(w,j,r,-r);c[D>>2]=c[w>>2];c[D+4>>2]=c[w+4>>2];c[D+8>>2]=c[w+8>>2];c[D+12>>2]=c[w+12>>2]}o=0;p=1;m=1;f=0;n=0;g=g&12;k=2.356194490192345;break a}default:{h[E>>3]=l;o=1;p=0;f=0;n=1;g=0;k=0.0;break a}}}case 95:{o=1;p=0;f=1;n=0;k=0.0;break a}default:{o=1;p=0;f=0;n=1;g=0;k=0.0;break a}}}else{o=1;p=0;f=0;n=0;g=0;k=0.0}while(0);j=(c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&3)*90|0;c[C>>2]=c[D>>2];c[C+4>>2]=c[D+4>>2];c[C+8>>2]=c[D+8>>2];c[C+12>>2]=c[D+12>>2];bz(B,C,j);c[D>>2]=c[B>>2];c[D+4>>2]=c[B+4>>2];c[D+8>>2]=c[B+8>>2];c[D+12>>2]=c[B+12>>2];if(!(f<<24>>24)){b:do switch(c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&3|0){case 3:switch(g|0){case 4:{g=2;break b}case 1:{g=8;break b}case 8:{g=1;break b}case 2:{g=4;break b}default:break b}case 2:switch(g|0){case 4:{g=1;break b}case 1:{g=4;break b}default:break b}case 1:switch(g|0){case 4:{g=2;break b}case 1:{g=8;break b}case 8:{g=4;break b}case 2:{g=1;break b}default:break b}default:{}}while(0);a[e+33>>0]=g}else a[e+33>>0]=g;c[e+24>>2]=d;A=+h[D>>3];h[e>>3]=+(~~(A+(A>=0.0?.5:-.5))|0);A=+h[E>>3];h[e+8>>3]=+(~~(A+(A>=0.0?.5:-.5))|0);switch(c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&3|0){case 3:{if(!(k==3.141592653589793))if(!(k==2.356194490192345))if(!(k==1.5707963267948966))if(!(k==0.0))if(!(k==-.7853981633974483)){if(k==-1.5707963267948966)k=3.141592653589793}else k=2.356194490192345;else k=1.5707963267948966;else k=0.0;else k=-.7853981633974483;else k=-1.5707963267948966;break}case 2:{k=-k;break}case 1:{k=k+-1.5707963267948966;break}default:{}}h[e+16>>3]=k;l=+h[D>>3];k=+h[E>>3];if(l==0.0&k==0.0)g=-128;else{A=+W(+k,+l)+4.71238898038469;g=~~((!(A>=6.283185307179586)?A:A+-6.283185307179586)*256.0/6.283185307179586)&255}a[e+32>>0]=g;a[e+29>>0]=p;a[e+28>>0]=m;a[e+30>>0]=o;a[e+31>>0]=f;i=F;return n|0}function $A(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;p=i;i=i+128|0;k=p+112|0;o=p+32|0;f=p+96|0;j=p+16|0;l=p;m=c[b>>2]|0;n=c[(c[(xu(m)|0)+16>>2]|0)+116>>2]&3;h[f>>3]=e;h[f+8>>3]=d;g=(n|0)!=0;if(g){c[k>>2]=c[f>>2];c[k+4>>2]=c[f+4>>2];c[k+8>>2]=c[f+8>>2];c[k+12>>2]=c[f+12>>2];bz(j,k,n*90|0);c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2]}j=o+16|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;c[o+12>>2]=0;c[j>>2]=c[o>>2];c[j+4>>2]=c[o+4>>2];c[j+8>>2]=c[o+8>>2];c[j+12>>2]=c[o+12>>2];j=o+48|0;q=o+32|0;c[q>>2]=c[f>>2];c[q+4>>2]=c[f+4>>2];c[q+8>>2]=c[f+8>>2];c[q+12>>2]=c[f+12>>2];c[j>>2]=c[f>>2];c[j+4>>2]=c[f+4>>2];c[j+8>>2]=c[f+8>>2];c[j+12>>2]=c[f+12>>2];EB(b,c[(c[(c[(c[m+16>>2]|0)+8>>2]|0)+4>>2]|0)+12>>2]|0,o,1);if(g){c[k>>2]=c[o>>2];c[k+4>>2]=c[o+4>>2];c[k+8>>2]=c[o+8>>2];c[k+12>>2]=c[o+12>>2];cz(l,k,n*90|0);c[o>>2]=c[l>>2];c[o+4>>2]=c[l+4>>2];c[o+8>>2]=c[l+8>>2];c[o+12>>2]=c[l+12>>2]};c[a>>2]=c[o>>2];c[a+4>>2]=c[o+4>>2];c[a+8>>2]=c[o+8>>2];c[a+12>>2]=c[o+12>>2];i=p;return}function aB(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;d=+h[b>>3]/1.902113032590307;c=+h[b+8>>3]/1.1180339887498947;c=(d>c?d:c)*.9510565162951535*.8090169943749475/.29389262614623657;h[a>>3]=c*2.0*.9510565162951535;h[a+8>>3]=c*1.8090169943749475;return}function bB(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0;d=+h[b>>3];k=b+8|0;e=+h[k>>3];c=e/d;if(!(c>.9510565162951536))if(c<.9510565162951536){j=d;e=d*.9510565162951536}else j=d;else j=e/.9510565162951536;g=j/1.902113032590307;d=g*.9510565162951535*.30901699437494745/.7694208842938134;f=g*.19098300562505266*.5;i=0;c=.3141592653589793;while(1){h[a+(i<<4)>>3]=g*+Q(+c);h[a+(i<<4)+8>>3]=g*+R(+c)-f;c=c+.6283185307179586;l=i|1;h[a+(l<<4)>>3]=d*+Q(+c);h[a+(l<<4)+8>>3]=d*+R(+c)-f;i=i+2|0;if((i|0)>=10)break;else c=c+.6283185307179586}h[b>>3]=j;h[k>>3]=e;return}function cB(a){a=a|0;a=c[(c[a+16>>2]|0)+12>>2]|0;if(a){fQ(c[a+44>>2]|0);fQ(a)}return}function dB(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+80|0;o=p+56|0;l=p+40|0;g=p;n=p+72|0;h=p+64|0;if(!(a[e>>0]|0)){g=37e3;h=b+40|0;do{c[b>>2]=c[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0))}else{j=(f|0)==0?147238:f;c[n>>2]=15;k=d+16|0;f=c[k>>2]|0;do if(a[(c[f+104>>2]|0)+82>>0]|0){f=KF(d,e,n)|0;if(!f){f=c[k>>2]|0;m=8;break}if(_A(d,f,g,j,c[n>>2]|0,0)|0){c[l>>2]=Ft(d)|0;c[l+4>>2]=e;c[l+8>>2]=j;us(0,147240,l)|0}}else m=8;while(0);if((m|0)==8){if((c[(c[f+8>>2]|0)+8>>2]|0)==34392)h=0;else{c[h>>2]=d;c[h+4>>2]=0}if(_A(d,0,g,e,c[n>>2]|0,h)|0){c[o>>2]=Ft(d)|0;c[o+4>>2]=e;us(0,147301,o)|0}}c[g+36>>2]=0;h=b+40|0;do{c[b>>2]=c[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0))}i=p;return}function eB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0;m=i;i=i+32|0;d=m+16|0;e=m;a:do if(a){f=c[a+4>>2]|0;a=c[a>>2]|0;n=(c[(c[(xu(a)|0)+16>>2]|0)+116>>2]&3)*90|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];cz(e,d,n);l=+h[e>>3];k=+h[e+8>>3];if(f){if(!(+h[f>>3]<=l)){a=0;break}if(+h[f+8>>3]<=k?!(l<=+h[f+16>>3]):1){a=0;break}a=k<=+h[f+24>>3]&1;break}if((a|0)==(c[14355]|0))a=c[14396]|0;else{f=c[(c[a+16>>2]|0)+12>>2]|0;c[14397]=f;c[14398]=c[f+44>>2];n=c[f+8>>2]|0;c[14396]=n;f=_((c[f+4>>2]|0)+-1|0,n)|0;c[14399]=(f|0)<0?0:f;c[14355]=a;a=n}if((a|0)>0){b=c[14399]|0;d=c[14398]|0;g=+h[4623];j=+h[4624];e=0;f=0;while(1){n=b+e|0;o=+h[d+(n<<4)>>3];r=+h[d+(n<<4)+8>>3];n=((e+4|0)%(a|0)|0)+b|0;q=-(+h[d+(n<<4)+8>>3]-r);p=+h[d+(n<<4)>>3]-o;o=r*p+o*q;f=((k*p+l*q-o>=0.0^g*q+p*j-o>=0.0)&1)+f|0;e=e+2|0;if((f|0)==2){a=0;break a}if((e|0)>=(a|0)){a=1;break}}}else a=1}else{c[14355]=0;a=0}while(0);i=m;return a|0}function fB(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;e=c[b+16>>2]|0;if((a[(c[e+104>>2]|0)+82>>0]|0)!=0?(a[e+145>>0]|0)!=0:0)g=LF(b,d,0,f,g)|0;else g=0;return g|0}function gB(e,f){e=e|0;f=f|0;var j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;R=i;i=i+48|0;K=R+24|0;J=R+16|0;E=R+8|0;D=R;Q=R+32|0;n=R+28|0;O=c[e+16>>2]|0;P=O+208|0;j=c[P>>2]|0;if((j|0)==0?(b[O+260>>1]&1)==0:0)N=0;else if(!(c[e+152>>2]&4)){BE(e,j,c[O+228>>2]|0,c[O+244>>2]|0,c[O+212>>2]|0);N=1}else N=1;L=f+16|0;j=c[L>>2]|0;r=c[j+12>>2]|0;I=c[r+44>>2]|0;M=c[r+8>>2]|0;r=c[r+4>>2]|0;if((c[14394]|0)<(M|0)){j=M+5|0;c[14394]=j;k=c[14395]|0;if(!k)j=zz(j<<4)|0;else j=Bz(k,j<<4)|0;c[14395]=j;j=c[L>>2]|0}H=(c[j+104>>2]|0)+56|0;j=j+16|0;c[H>>2]=c[j>>2];c[H+4>>2]=c[j+4>>2];c[H+8>>2]=c[j+8>>2];c[H+12>>2]=c[j+12>>2];H=c[L>>2]|0;F=+h[H+32>>3]*72.0;F=(+h[H+88>>3]+ +h[H+96>>3])/+(~~(F+(F>=0.0?.5:-.5))|0);G=+h[H+40>>3]*72.0;G=+h[H+80>>3]/+(~~(G+(G>=0.0?.5:-.5))|0);H=hB(e,f)|0;c[Q>>2]=0;j=d[(c[L>>2]|0)+117>>0]|0;do if(!(j&1)){if(j&2){B=pC(f,c[13906]|0,147138)|0;GE(e,B);HE(e,pC(f,c[13907]|0,147146)|0);k=0;j=1;break}if(j&8){B=pC(f,c[13910]|0,147154)|0;GE(e,B);HE(e,pC(f,c[13911]|0,147162)|0);k=0;j=1;break}if(j&4){B=pC(f,c[13908]|0,147170)|0;GE(e,B);HE(e,pC(f,c[13909]|0,147178)|0);k=0;j=1;break}do if(!(H&1))if(!(H&576)){k=0;j=0}else{k=iB(f,175888)|0;j=1}else{k=iB(f,175888)|0;if(!((xy(k,Q,n)|0)<<24>>24)){HE(e,k);j=1;break}HE(e,c[Q>>2]|0);j=c[Q+4>>2]|0;l=lC(f,c[13935]|0,0,0)|0;m=+g[n>>2];if(!j)IE(e,178378,l,m);else IE(e,j,l,m);j=(H&2)>>>1|2}while(0);B=pC(f,c[13902]|0,181739)|0;B=(a[B>>0]|0)!=0?B:178378;GE(e,B)}else{B=pC(f,c[13904]|0,147122)|0;GE(e,B);HE(e,pC(f,c[13905]|0,147130)|0);k=0;j=1}while(0);l=c[(c[L>>2]|0)+8>>2]|0;if(a[l+12>>0]|0){l=c[l>>2]|0;if((a[l>>0]|0)==99){l=(aP(l,146559)|0)==0;C=31}else{l=1;C=33}}else{l=1;C=31}if((C|0)==31){l=l^1;if((r|0)!=0|j<<24>>24==0|l)C=33;else{GE(e,178891);l=0;r=1;C=34}}if((C|0)==33)if((r|0)>0)C=34;else{s=l;r=0}if((C|0)==34){u=(M|0)>0;v=(M|0)<3;w=(H&512|0)!=0;x=(H&8|0)==0;y=(H&64|0)==0;z=(H&1024|0)==0;A=(H&2130706444|0)==0;t=0;while(1){if(u){o=_(t,M)|0;q=c[L>>2]|0;n=c[14395]|0;p=q+16|0;q=q+24|0;s=0;do{S=s+o|0;m=+h[I+(S<<4)+8>>3];h[n+(s<<4)>>3]=F*+h[I+(S<<4)>>3]+ +h[p>>3];h[n+(s<<4)+8>>3]=G*m+ +h[q>>3];s=s+1|0}while((s|0)!=(M|0))}do if(v){if(w&(t|0)==0?(_O(k,58)|0)!=0:0)if((py(e,c[14395]|0,k)|0)>1){c[D>>2]=Ft(f)|0;us(3,147186,D)|0;j=0}else j=0;KE(e,c[14395]|0,M,j&255);if(!x)jB(e,f)}else{if(!y){if((t|0)==0?(qy(e,c[14395]|0,k,1)|0)>1:0){c[E>>2]=Ft(f)|0;us(3,147186,E)|0}LE(e,c[14395]|0,M,0);break}if(!z){GE(e,178891);LE(e,c[14395]|0,M,j&255);GE(e,B);OE(e,(c[14395]|0)+32|0,2);break}n=c[14395]|0;j=j&255;if(A){LE(e,n,M,j);break}else{PA(e,n,M,H,j);break}}while(0);t=t+1|0;if((t|0)==(r|0)){s=l;j=0;break}else j=0}}l=c[(c[L>>2]|0)+8>>2]|0;if(!(a[l+12>>0]|0)){l=Qs(f,150368)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){q=l;C=63}}else{l=c[l>>2]|0;if((a[l>>0]|0)==99?(aP(l,146559)|0)==0:0){l=Qs(f,146544)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){q=l;C=63}}else{q=l;C=63}}if((C|0)==63){if((M|0)>0){o=c[L>>2]|0;l=c[14395]|0;n=o+16|0;o=o+24|0;p=0;do{m=+h[I+(p<<4)+8>>3];h[l+(p<<4)>>3]=F*+h[I+(p<<4)>>3]+ +h[n>>3];h[l+(p<<4)+8>>3]=G*m+ +h[o>>3];p=p+1|0}while((p|0)!=(M|0))}l=j&255;do if(!(s|j<<24>>24==0)){if((M|0)<3){if((H&512|0)!=0&(r|0)==0?(_O(k,58)|0)!=0:0)if((py(e,c[14395]|0,k)|0)>1){c[J>>2]=Ft(f)|0;us(3,147186,J)|0;j=0}else j=0;KE(e,c[14395]|0,M,j&255);if(!(H&8))break;jB(e,f);break}if(!(H&64)){k=c[14395]|0;if(!(H&12)){LE(e,k,M,l);break}else{PA(e,k,M,H,l);break}}else{if((qy(e,c[14395]|0,k,1)|0)>1){c[K>>2]=Ft(f)|0;us(3,147186,K)|0}LE(e,c[14395]|0,M,0);break}}while(0);S=c[14395]|0;QE(e,q,S,M,j,oC(f,c[13928]|0,178372)|0)}fQ(c[Q>>2]|0);qz(e,10,c[(c[L>>2]|0)+104>>2]|0);if(N){if(c[e+152>>2]&4)BE(e,c[P>>2]|0,c[O+228>>2]|0,c[O+244>>2]|0,c[O+212>>2]|0);CE(e)}i=R;return}function hB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;h=i;i=i+16|0;g=h;e=kB(d,g)|0;if(e)JE(b,e);e=c[13934]|0;if(((e|0)!=0?(f=Rs(d,e)|0,(f|0)!=0):0)?(a[f>>0]|0)!=0:0)RE(b,+mC(d,c[13934]|0,1.0,0.0));i=h;return c[g>>2]|0}function iB(b,d){b=b|0;d=d|0;var e=0;e=pC(b,c[13903]|0,181739)|0;if(!(a[e>>0]|0)){b=pC(b,c[13902]|0,181739)|0;return ((a[b>>0]|0)==0?d:b)|0}else return e|0;return 0}function jB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,l=0.0,m=0.0,n=0.0;e=i;i=i+32|0;f=e;j=c[d+16>>2]|0;g=+h[j+80>>3]*.75*.5;l=+h[j+96>>3]*.6614;d=j+16|0;a[k>>0]=a[d>>0];a[k+1>>0]=a[d+1>>0];a[k+2>>0]=a[d+2>>0];a[k+3>>0]=a[d+3>>0];a[k+4>>0]=a[d+4>>0];a[k+5>>0]=a[d+5>>0];a[k+6>>0]=a[d+6>>0];a[k+7>>0]=a[d+7>>0];m=+h[k>>3];j=j+24|0;a[k>>0]=a[j>>0];a[k+1>>0]=a[j+1>>0];a[k+2>>0]=a[j+2>>0];a[k+3>>0]=a[j+3>>0];a[k+4>>0]=a[j+4>>0];a[k+5>>0]=a[j+5>>0];a[k+6>>0]=a[j+6>>0];a[k+7>>0]=a[j+7>>0];m=l+m;n=g+ +h[k>>3];h[f>>3]=m;j=f+8|0;h[j>>3]=n;d=f+24|0;h[d>>3]=n;h[f+16>>3]=m-l*2.0;OE(b,f,2);g=+h[j>>3]-g*2.0;h[j>>3]=g;h[d>>3]=g;OE(b,f,2);i=e;return}function kB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0;e=pC(b,c[13919]|0,181739)|0;a:do if(a[e>>0]|0){g=yy(e)|0;e=c[g>>2]|0;if(!e)e=0;else{k=b+16|0;i=e;e=0;j=g;while(1){b:do switch(a[i>>0]|0){case 102:{if(!(aP(i,152118)|0)){e=e|1;f=j+4|0}else n=32;break}case 114:{if(!(aP(i,147198)|0)){f=j;do{o=f;f=f+4|0;i=c[f>>2]|0;c[o>>2]=i}while((i|0)!=0);e=e|4;f=j;break b}if(!(aP(i,147216)|0)){f=j;do{i=f;f=f+4|0;o=c[f>>2]|0;c[i>>2]=o}while((o|0)!=0);e=e|3;f=j}else n=32;break}case 100:{if(!(aP(i,147206)|0)){f=j;do{i=f;f=f+4|0;o=c[f>>2]|0;c[i>>2]=o}while((o|0)!=0);e=e|8;f=j}else n=32;break}case 105:{if(!(aP(i,175423)|0)){e=e|32;f=j+4|0}else n=32;break}case 115:{if((((((aP(i,147223)|0)==0?(l=c[(c[(c[k>>2]|0)+8>>2]|0)+8>>2]|0,(l|0)!=0):0)?(c[l+8>>2]|0)==4:0)?(p=+h[l+16>>3],((~~(p+(p>=0.0?.5:-.5))|0)%90|0|0)==0):0)?+h[l+24>>3]==0.0:0)?+h[l+32>>3]==0.0:0){f=j;do{i=f;f=f+4|0;o=c[f>>2]|0;c[i>>2]=o}while((o|0)!=0);e=e|64;f=j}else n=32;break}case 119:{if(((aP(i,147231)|0)==0?(m=c[(c[(c[k>>2]|0)+8>>2]|0)+8>>2]|0,(m|0)!=0):0)?(c[m+8>>2]|0)<3:0){f=j;do{i=f;f=f+4|0;o=c[f>>2]|0;c[i>>2]=o}while((o|0)!=0);e=e|512;f=j}else n=32;break}default:n=32}while(0);if((n|0)==32){n=0;f=j+4|0}i=c[f>>2]|0;if(!i)break a;else j=f}}}else{e=0;g=0}while(0);f=c[(c[(c[b+16>>2]|0)+8>>2]|0)+8>>2]|0;if(f)e=c[f+40>>2]|e;c[d>>2]=e;return g|0}function lB(a,b){a=a|0;b=b|0;var d=0.0,e=0,f=0.0,g=0.0,j=0,k=0,l=0;e=i;i=i+32|0;l=e+16|0;j=e;a=c[a>>2]|0;k=(c[(c[(xu(a)|0)+16>>2]|0)+116>>2]&3)*90|0;c[l>>2]=c[b>>2];c[l+4>>2]=c[b+4>>2];c[l+8>>2]=c[b+8>>2];c[l+12>>2]=c[b+12>>2];cz(j,l,k);d=+h[j>>3];g=+h[j+8>>3];a=c[a+16>>2]|0;f=+h[a+80>>3]*.5;if(!(!(g>=-f)|!(g<=f))?d>=-+h[a+88>>3]:0)a=d<=+h[a+96>>3]&1;else a=0;i=e;return a|0}function mB(a,d){a=a|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0;n=i;i=i+32|0;m=n;j=c[a+16>>2]|0;k=j+208|0;f=c[k>>2]|0;if(!f)l=(b[j+260>>1]&1)!=0;else l=1;g=d+16|0;d=c[g>>2]|0;e=c[d+12>>2]|0;if(e){if(l?(c[a+152>>2]&4|0)==0:0){BE(a,f,c[j+228>>2]|0,c[j+244>>2]|0,c[j+212>>2]|0);d=c[g>>2]|0}f=c[a+36>>2]|0;p=+h[d+24>>3]+ +(c[e+8>>2]|0);o=c[e>>2]|0;h[m>>3]=+h[d+16>>3]+ +(c[e+4>>2]|0);h[m+8>>3]=p;c[m+16>>2]=o;pO(f,147332,m)|0;f=c[g>>2]|0;m=(c[f+104>>2]|0)+56|0;f=f+16|0;c[m>>2]=c[f>>2];c[m+4>>2]=c[f+4>>2];c[m+8>>2]=c[f+8>>2];c[m+12>>2]=c[f+12>>2];qz(a,10,c[(c[g>>2]|0)+104>>2]|0);if(l){if(c[a+152>>2]&4)BE(a,c[k>>2]|0,c[j+228>>2]|0,c[j+244>>2]|0,c[j+212>>2]|0);CE(a)}}i=n;return}function nB(a){a=a|0;uB(c[(c[a+16>>2]|0)+12>>2]|0);return}function oB(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+64|0;m=n+56|0;l=n+40|0;h=n;if(!(a[f>>0]|0)){h=37e3;g=b+40|0;do{c[b>>2]=c[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(g|0))}else{g=(g|0)==0?147238:g;j=c[(c[e+16>>2]|0)+12>>2]|0;k=tB(j,f)|0;if(!k){if(_A(e,j+16|0,h,f,15,0)|0){c[m>>2]=Ft(e)|0;c[m+4>>2]=f;us(0,147301,m)|0}}else if(_A(e,k+16|0,h,g,d[k+65>>0]|0,0)|0){c[l>>2]=Ft(e)|0;c[l+4>>2]=f;c[l+8>>2]=g;us(0,147240,l)|0}g=b+40|0;do{c[b>>2]=c[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(g|0))}i=n;return}function pB(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0,j=0,k=0.0,l=0,m=0,n=0.0;l=i;i=i+32|0;m=l+16|0;j=l;f=c[a+4>>2]|0;a=c[a>>2]|0;g=(c[(c[(xu(a)|0)+16>>2]|0)+116>>2]&3)*90|0;c[m>>2]=c[b>>2];c[m+4>>2]=c[b+4>>2];c[m+8>>2]=c[b+8>>2];c[m+12>>2]=c[b+12>>2];cz(j,m,g);c[b>>2]=c[j>>2];c[b+4>>2]=c[j+4>>2];c[b+8>>2]=c[j+8>>2];c[b+12>>2]=c[j+12>>2];if(!f){f=c[(c[a+16>>2]|0)+12>>2]|0;g=f+16|0;a=f+24|0;j=f+32|0;f=f+40|0}else{g=f;a=f+8|0;j=f+16|0;f=f+24|0}e=+h[a>>3];d=+h[f>>3];n=+h[b>>3];if((+h[g>>3]<=n?n<=+h[j>>3]:0)?(k=+h[b+8>>3],e<=k):0)a=k<=d&1;else a=0;i=l;return a|0}function qB(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0;u=i;i=i+80|0;s=u+64|0;r=u+32|0;t=u;a:do if(a[d+28>>0]|0){n=+h[d>>3];q=b+16|0;d=c[(c[q>>2]|0)+12>>2]|0;o=d+48|0;if((c[o>>2]|0)>0){p=d+56|0;d=0;while(1){l=(c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&1|0)==0;m=c[(c[p>>2]|0)+(d<<2)>>2]|0;k=+(~~+h[(l?m+16|0:m+24|0)>>3]|0);if(k<=n?(j=+(~~+h[(l?m+32|0:m+40|0)>>3]|0),n<=j):0)break;d=d+1|0;if((d|0)>=(c[o>>2]|0))break a}if(!(c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&1)){b=c[q>>2]|0;v=+h[b+16>>3];h[f>>3]=k+v;k=+h[b+24>>3];n=+h[b+80>>3];h[f+8>>3]=k-n*.5;h[f+16>>3]=j+v;j=n}else{p=(c[(c[p>>2]|0)+(d<<2)>>2]|0)+16|0;b=(c[q>>2]|0)+16|0;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];c[r+12>>2]=c[p+12>>2];c[r+16>>2]=c[p+16>>2];c[r+20>>2]=c[p+20>>2];c[r+24>>2]=c[p+24>>2];c[r+28>>2]=c[p+28>>2];c[s>>2]=c[b>>2];c[s+4>>2]=c[b+4>>2];c[s+8>>2]=c[b+8>>2];c[s+12>>2]=c[b+12>>2];dz(t,r,s);c[f>>2]=c[t>>2];c[f+4>>2]=c[t+4>>2];c[f+8>>2]=c[t+8>>2];c[f+12>>2]=c[t+12>>2];c[f+16>>2]=c[t+16>>2];c[f+20>>2]=c[t+20>>2];c[f+24>>2]=c[t+24>>2];c[f+28>>2]=c[t+28>>2];b=c[q>>2]|0;j=+h[b+80>>3];k=+h[b+24>>3]}h[f+24>>3]=k+j*.5;c[g>>2]=1}}else e=0;while(0);i=u;return e|0}function rB(d,e){d=d|0;e=e|0;var f=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;x=i;i=i+144|0;s=x+96|0;r=x;q=x+32|0;t=x+136|0;m=x+128|0;u=c[d+16>>2]|0;v=u+208|0;if(!(c[v>>2]|0))w=(b[u+260>>1]&1)!=0;else w=1;n=e+16|0;p=c[n>>2]|0;o=c[p+12>>2]|0;l=o+16|0;c[r>>2]=c[l>>2];c[r+4>>2]=c[l+4>>2];c[r+8>>2]=c[l+8>>2];c[r+12>>2]=c[l+12>>2];c[r+16>>2]=c[l+16>>2];c[r+20>>2]=c[l+20>>2];c[r+24>>2]=c[l+24>>2];c[r+28>>2]=c[l+28>>2];y=+h[p+16>>3];h[r>>3]=y+ +h[r>>3];k=+h[p+24>>3];p=r+8|0;h[p>>3]=k+ +h[p>>3];p=r+16|0;h[p>>3]=y+ +h[p>>3];l=r+24|0;h[l>>3]=k+ +h[l>>3];if(w?(c[d+152>>2]&4|0)==0:0)BE(d,c[v>>2]|0,c[u+228>>2]|0,c[u+244>>2]|0,c[u+212>>2]|0);f=hB(d,e)|0;l=pC(e,c[13902]|0,181739)|0;GE(d,(a[l>>0]|0)!=0?l:178378);c[t>>2]=0;do if(!(f&1))l=0;else{j=iB(e,175888)|0;if(!((xy(j,t,m)|0)<<24>>24)){HE(d,j);l=1;break}HE(d,c[t>>2]|0);j=c[t+4>>2]|0;l=lC(e,c[13935]|0,0,0)|0;k=+g[m>>2];if(!j)IE(d,178378,l,k);else IE(d,j,l,k);l=f>>>1&1|2}while(0);j=c[c[(c[n>>2]|0)+8>>2]>>2]|0;if((a[j>>0]|0)==77){n=(aP(j,147109)|0)==0;f=n?f|4:f}if(!(f&2130706444)){c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];c[s+16>>2]=c[r+16>>2];c[s+20>>2]=c[r+20>>2];c[s+24>>2]=c[r+24>>2];c[s+28>>2]=c[r+28>>2];ME(d,s,l)}else{c[q>>2]=c[r>>2];c[q+4>>2]=c[r+4>>2];c[q+8>>2]=c[r+8>>2];c[q+12>>2]=c[r+12>>2];s=q+32|0;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];c[s+12>>2]=c[p+12>>2];h[q+16>>3]=+h[s>>3];h[q+24>>3]=+h[q+8>>3];h[q+48>>3]=+h[q>>3];h[q+56>>3]=+h[q+40>>3];PA(d,q,4,f,l)}sB(d,e,o);f=c[t>>2]|0;if(f)fQ(f);if(w){if(c[d+152>>2]&4)BE(d,c[v>>2]|0,c[u+228>>2]|0,c[u+244>>2]|0,c[u+212>>2]|0);CE(d)}i=x;return}function sB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0;y=i;i=i+32|0;x=y;f=e+52|0;g=c[f>>2]|0;if(!g)f=d+16|0;else{w=e+32|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];m=+h[k>>3];w=e+40|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];t=+h[k>>3];w=e+16|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];n=+h[k>>3];w=e+24|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];t=(t+ +h[k>>3])*.5;w=d+16|0;v=c[w>>2]|0;u=v+16|0;a[k>>0]=a[u>>0];a[k+1>>0]=a[u+1>>0];a[k+2>>0]=a[u+2>>0];a[k+3>>0]=a[u+3>>0];a[k+4>>0]=a[u+4>>0];a[k+5>>0]=a[u+5>>0];a[k+6>>0]=a[u+6>>0];a[k+7>>0]=a[u+7>>0];s=+h[k>>3];v=v+24|0;a[k>>0]=a[v>>0];a[k+1>>0]=a[v+1>>0];a[k+2>>0]=a[v+2>>0];a[k+3>>0]=a[v+3>>0];a[k+4>>0]=a[v+4>>0];a[k+5>>0]=a[v+5>>0];a[k+6>>0]=a[v+6>>0];a[k+7>>0]=a[v+7>>0];t=t+ +h[k>>3];h[g+56>>3]=(m+n)*.5+s;h[g+64>>3]=t;qz(b,10,c[f>>2]|0);f=pC(d,c[13902]|0,181739)|0;GE(b,(a[f>>0]|0)!=0?f:178378);f=w}u=c[f>>2]|0;s=+h[u+16>>3];t=+h[u+24>>3];u=e+48|0;if((c[u>>2]|0)>0){v=e+64|0;w=x+16|0;e=e+56|0;o=x+24|0;p=x+8|0;q=x+16|0;r=0;do{if((r|0)>0){f=(c[e>>2]|0)+(r<<2)|0;g=c[f>>2]|0;if(!(a[v>>0]|0)){g=g+32|0;c[w>>2]=c[g>>2];c[w+4>>2]=c[g+4>>2];c[w+8>>2]=c[g+8>>2];c[w+12>>2]=c[g+12>>2];j=+h[(c[f>>2]|0)+16>>3];h[x>>3]=j;n=+h[o>>3];h[p>>3]=n;l=n;m=+h[q>>3]}else{g=g+16|0;c[x>>2]=c[g>>2];c[x+4>>2]=c[g+4>>2];c[x+8>>2]=c[g+8>>2];c[x+12>>2]=c[g+12>>2];m=+h[x>>3];h[q>>3]=m;n=+h[(c[f>>2]|0)+40>>3];h[o>>3]=n;j=m;l=+h[p>>3]}h[x>>3]=s+j;h[p>>3]=t+l;h[q>>3]=s+m;h[o>>3]=t+n;OE(b,x,2)}sB(b,d,c[(c[e>>2]|0)+(r<<2)>>2]|0);r=r+1|0}while((r|0)<(c[u>>2]|0))}i=y;return}function tB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=c[b+60>>2]|0;if(!(((e|0)!=0?(a[e>>0]|0)==(a[d>>0]|0):0)?(aP(e,d)|0)==0:0))f=4;a:do if((f|0)==4){g=c[b+48>>2]|0;if((g|0)>0){e=c[b+56>>2]|0;f=0;while(1){b=tB(c[e+(f<<2)>>2]|0,d)|0;f=f+1|0;if(b)break a;if((f|0)>=(g|0)){b=0;break}}}else b=0}while(0);return b|0}function uB(a){a=a|0;var b=0,d=0,e=0;b=a+48|0;d=a+56|0;if((c[b>>2]|0)>0){e=0;do{uB(c[(c[d>>2]|0)+(e<<2)>>2]|0);e=e+1|0}while((e|0)<(c[b>>2]|0))}fQ(c[a+60>>2]|0);pz(c[a+52>>2]|0);fQ(c[d>>2]|0);fQ(a);return}function vB(a,b){a=a|0;b=b|0;var d=0;d=b+8|0;h[d>>3]=+h[d>>3]*1.375;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];return}function wB(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;f=+h[b>>3]*.5;m=+h[b+8>>3];i=m*.5;m=m/11.0;h[a>>3]=f;e=i-m;h[a+8>>3]=e;h[a+16>>3]=f;g=i-m*.44821599999999995;h[a+24>>3]=g;j=f*.551784;h[a+32>>3]=j;h[a+40>>3]=i;h[a+48>>3]=0.0;h[a+56>>3]=i;k=f*-.551784;h[a+64>>3]=k;h[a+72>>3]=i;l=-f;h[a+80>>3]=l;h[a+88>>3]=g;d=a+96|0;h[d>>3]=l;h[a+104>>3]=e;b=a+112|0;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];b=a+128|0;h[b>>3]=l;h[a+136>>3]=m-i;d=a+144|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];h[a+160>>3]=l;g=-g;h[a+168>>3]=g;h[a+176>>3]=k;i=-i;h[a+184>>3]=i;h[a+192>>3]=0.0;h[a+200>>3]=i;h[a+208>>3]=j;h[a+216>>3]=i;h[a+224>>3]=f;h[a+232>>3]=g;d=a+240|0;h[d>>3]=f;h[a+248>>3]=-e;b=a+256|0;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];b=a+288|0;d=a+272|0;c[d>>2]=c[a>>2];c[d+4>>2]=c[a+4>>2];c[d+8>>2]=c[a+8>>2];c[d+12>>2]=c[a+12>>2];c[b>>2]=c[a>>2];c[b+4>>2]=c[a+4>>2];c[b+8>>2]=c[a+8>>2];c[b+12>>2]=c[a+12>>2];return}function xB(b,d){b=b|0;d=d|0;var e=0.0,f=0.0,g=0.0,j=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0,A=0;w=i;i=i+64|0;j=w+48|0;l=w+32|0;p=w;do if(b){m=c[b+4>>2]|0;r=c[b>>2]|0;t=(c[(c[(xu(r)|0)+16>>2]|0)+116>>2]&3)*90|0;c[j>>2]=c[d>>2];c[j+4>>2]=c[d+4>>2];c[j+8>>2]=c[d+8>>2];c[j+12>>2]=c[d+12>>2];cz(l,j,t);q=+h[l>>3];s=+h[l+8>>3];if(m){if(!(+h[m>>3]<=q)){b=0;break}if(+h[m+8>>3]<=s?!(q<=+h[m+16>>3]):1){b=0;break}b=s<=+h[m+24>>3]&1;break}if((r|0)==(c[14353]|0)){e=+h[4630];f=+h[4631];g=+h[4632]}else{b=r+16|0;d=c[(c[b>>2]|0)+12>>2]|0;c[14402]=d;c[14403]=c[d+44>>2];c[14404]=c[d+8>>2];do if(c[d+40>>2]&2048){GC(p,d);n=+h[p+16>>3]-+h[p>>3];g=+h[p+24>>3]-+h[p+8>>3];if(!(c[(c[(xu(r)|0)+16>>2]|0)+116>>2]&1)){h[4634]=n;h[4633]=g;f=n;e=g;o=g;g=n;break}else{h[4633]=n;h[4634]=g;f=g;e=n;o=g;g=n;break}}else{t=(c[(c[(xu(r)|0)+16>>2]|0)+116>>2]&1|0)==0;b=c[b>>2]|0;e=+h[b+88>>3]+ +h[b+96>>3];if(t){h[4634]=e;u=+h[b+80>>3];h[4633]=u;f=e;e=u}else{h[4633]=e;f=+h[b+80>>3];h[4634]=f}g=+h[b+32>>3]*72.0;o=+h[b+40>>3]*72.0;o=+(~~(o+(o>=0.0?.5:-.5))|0);g=+(~~(g+(g>=0.0?.5:-.5))|0)}while(0);if(f==0.0){h[4634]=1.0;f=1.0}if(e==0.0){h[4633]=1.0;e=1.0}u=g/f;h[4630]=u;f=o/e;h[4631]=f;g=g*.5;h[4632]=g;h[4635]=o*.5;t=_((c[(c[14402]|0)+4>>2]|0)+-1|0,c[14404]|0)|0;c[14405]=(t|0)<0?0:t;c[14353]=r;e=u}u=q*e;s=s*f;if(!(+N(+u)>g)?(q=+N(+s),v=+h[4635],!(q>v)):0){t=c[14404]|0;if((t|0)<3){b=+wN(u/g,s/v)<1.0&1;break}b=(c[14406]|0)%(t|0)|0;d=(b+1|0)%(t|0)|0;m=c[14405]|0;r=m+b|0;p=c[14403]|0;e=+h[p+(r<<4)>>3];f=+h[p+(r<<4)+8>>3];r=m+d|0;g=+h[p+(r<<4)>>3];n=+h[p+(r<<4)+8>>3];y=-(n-f);x=g-e;v=f*x+e*y;o=+h[4636];q=+h[4637];if(!(s*x+u*y-v>=0.0^o*y+x*q-v>=0.0)){x=-(q-n);v=o-g;y=n*v+g*x;r=s*v+u*x-y>=0.0^f*v+e*x-y>=0.0;if(!r?(x=-(f-q),v=e-o,y=q*v+o*x,!(s*v+u*x-y>=0.0^n*v+g*x-y>=0.0)):0){b=1;break}else{l=b;j=1}while(1){if(r){b=(l+-1+t|0)%(t|0)|0;d=l}else{b=d;d=(d+1|0)%(t|0)|0}l=m+b|0;z=m+d|0;A=p+(z<<4)|0;a[k>>0]=a[A>>0];a[k+1>>0]=a[A+1>>0];a[k+2>>0]=a[A+2>>0];a[k+3>>0]=a[A+3>>0];a[k+4>>0]=a[A+4>>0];a[k+5>>0]=a[A+5>>0];a[k+6>>0]=a[A+6>>0];a[k+7>>0]=a[A+7>>0];x=+h[k>>3];z=p+(z<<4)+8|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];v=+h[k>>3];z=p+(l<<4)|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];y=+h[k>>3];l=p+(l<<4)+8|0;a[k>>0]=a[l>>0];a[k+1>>0]=a[l+1>>0];a[k+2>>0]=a[l+2>>0];a[k+3>>0]=a[l+3>>0];a[k+4>>0]=a[l+4>>0];a[k+5>>0]=a[l+5>>0];a[k+6>>0]=a[l+6>>0];a[k+7>>0]=a[l+7>>0];n=+h[k>>3];v=-(v-n);x=x-y;y=n*x+y*v;j=j+1|0;if(s*x+u*v-y>=0.0^o*v+x*q-y>=0.0){d=34;break}if((j|0)>=(t|0)){d=35;break}else l=b}if((d|0)==34){c[14406]=b;b=0;break}else if((d|0)==35){c[14406]=b;b=1;break}}else b=0}else b=0}else{c[14353]=0;b=0}while(0);i=w;return b|0}function yB(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0.0,g=0,j=0,k=0,l=0;k=i;i=i+32|0;g=k+16|0;j=k;if(a){a=c[a>>2]|0;l=(c[(c[(xu(a)|0)+16>>2]|0)+116>>2]&3)*90|0;c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];cz(j,g,l);f=+h[j>>3];e=+h[j+8>>3];if((a|0)==(c[14354]|0))d=+h[4638];else{j=c[(c[a+16>>2]|0)+12>>2]|0;l=(c[j+4>>2]<<1)+-2|0;d=+h[(c[j+44>>2]|0)+(((l|0)<0?1:l|1)<<4)>>3];h[4638]=d;c[14354]=a}if(!(+N(+f)>d)?!(+N(+e)>d):0)a=+wN(f,e)<=d&1;else a=0}else{c[14354]=0;a=0}i=k;return a|0}function zB(e,f){e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0;w=i;i=i+16|0;k=w;u=c[e+16>>2]|0;v=u+208|0;g=c[v>>2]|0;if((g|0)==0?(b[u+260>>1]&1)==0:0)q=0;else if(!(c[e+152>>2]&4)){BE(e,g,c[u+228>>2]|0,c[u+244>>2]|0,c[u+212>>2]|0);q=1}else q=1;r=f+16|0;l=c[(c[r>>2]|0)+12>>2]|0;s=c[l+44>>2]|0;t=c[l+8>>2]|0;l=c[l+4>>2]|0;if((c[14407]|0)<(t|0)){g=t+2|0;c[14407]=g;j=c[14408]|0;if(!j)g=zz(g<<4)|0;else g=Bz(j,g<<4)|0;c[14408]=g}kB(f,k)|0;if(!(c[k>>2]&32))JE(e,57640);else JE(e,57636);g=c[13934]|0;if(g)RE(e,+mC(f,g,1.0,0.0));g=d[(c[r>>2]|0)+117>>0]|0;do if(!(g&1)){if(g&2){GE(e,pC(f,c[13906]|0,147138)|0);g=pC(f,c[13907]|0,147146)|0;HE(e,g);break}if(g&8){GE(e,pC(f,c[13910]|0,147154)|0);g=pC(f,c[13911]|0,147162)|0;HE(e,g);break}if(!(g&4)){g=iB(f,178378)|0;HE(e,g);p=pC(f,c[13902]|0,181739)|0;GE(e,(a[p>>0]|0)!=0?p:178378);break}else{GE(e,pC(f,c[13908]|0,147170)|0);g=pC(f,c[13909]|0,147178)|0;HE(e,g);break}}else{GE(e,pC(f,c[13904]|0,147122)|0);g=pC(f,c[13905]|0,147130)|0;HE(e,g)}while(0);if(!l)if(!(a[g>>0]|0)){p=1;m=28}else{GE(e,g);p=1;m=28}else if((l|0)>0){p=l;m=28}if((m|0)==28){m=(t|0)>0;n=1;o=0;while(1){if(m){j=_(o,t)|0;l=c[r>>2]|0;g=c[14408]|0;k=l+16|0;l=l+24|0;f=0;do{y=f+j|0;x=+h[s+(y<<4)+8>>3];h[g+(f<<4)>>3]=+h[s+(y<<4)>>3]+ +h[k>>3];h[g+(f<<4)+8>>3]=x+ +h[l>>3];f=f+1|0}while((f|0)!=(t|0))}else g=c[14408]|0;KE(e,g,t,n);o=o+1|0;if((o|0)==(p|0))break;else n=0}}if(q){if(c[e+152>>2]&4)BE(e,c[v>>2]|0,c[u+228>>2]|0,c[u+244>>2]|0,c[u+212>>2]|0);CE(e)}i=w;return}function AB(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=yz(72)|0;n=c[(c[b+16>>2]|0)+104>>2]|0;m=0;i=1;k=c[14412]|0;a:while(1){j=a[k>>0]|0;switch(j<<24>>24){case 0:break a;case 92:{k=k+1|0;j=a[k>>0]|0;switch(j<<24>>24){case 124:case 125:case 123:case 92:{l=m;break}default:C=4}break}default:C=4}if((C|0)==4){C=0;switch(j<<24>>24){case 123:{l=m+1|0;break}case 125:{l=m+-1|0;break}default:{l=m;i=((m|0)==0&j<<24>>24==124&1)+i|0}}if((l|0)<0)break}m=l;k=k+1|0}z=g+56|0;c[z>>2]=yz(i<<2)|0;a[g+64>>0]=d;w=(d|0)==0&1;x=n+82|0;y=f+1|0;t=(e|0)!=0;u=n+16|0;v=n+4|0;r=n+8|0;i=0;k=0;d=0;e=f;n=0;l=0;m=0;j=f;s=0;b:while(1){o=k;p=d;k=0;c:while(1){d=p;d:while(1){p=d;e:while(1){q=k;f:while(1){d=l;g:while(1){if(s){C=82;break b}k=c[14412]|0;l=a[k>>0]|0;if((l+-1&255)<31)do{k=k+1|0;c[14412]=k;l=a[k>>0]|0}while((l+-1&255)<31);switch(l<<24>>24|0){case 92:{C=57;break d}case 0:case 124:case 125:{k=q;break e}case 60:break f;case 62:break g;case 123:break;default:break d}k=k+1|0;c[14412]=k;if(d){i=q;C=35;break b}if(!(a[k>>0]|0)){i=q;C=35;break b}d=AB(b,w,0,f)|0;c[(c[z>>2]|0)+(i<<2)>>2]=d;if(!d){i=q;C=38;break b}else{i=i+1|0;d=4}}if(a[x>>0]|0)break d;if(!(d&16)){i=q;C=27;break b}if(m>>>0>y>>>0?(A=m+-1|0,(A|0)!=(p|0)):0)k=(a[A>>0]|0)==32?A:m;else k=m;a[k>>0]=0;q=dP(f)|0;c[14412]=(c[14412]|0)+1;l=d&-17;m=k}if(d&6){i=q;C=21;break b}if(a[x>>0]|0)break d;c[14412]=k+1;p=f;l=d|18;m=f;k=q}if(!((d&16|0)==0&(t|l<<24>>24!=0))){i=k;C=41;break b}if(!(d&4)){o=yz(72)|0;c[(c[z>>2]|0)+(i<<2)>>2]=o;i=i+1|0}if(k)c[o+60>>2]=k;if(!(d&5)){a[j>>0]=32;l=d|1;j=j+1|0}else l=d;if(!(l&1))q=j;else{if(j>>>0>y>>>0?(B=j+-1|0,(B|0)!=(e|0)):0)j=(a[B>>0]|0)==32?B:j;a[j>>0]=0;e=dP(f)|0;c[o+52>>2]=nz(b,e,(a[x>>0]|0)!=0?2:0,+h[u>>3],c[v>>2]|0,c[r>>2]|0)|0;a[o+64>>0]=1;e=f;q=f}j=c[14412]|0;switch(a[j>>0]|0){case 0:{k=o;d=p;j=q;s=1;continue b}case 125:{C=55;break b}default:{}}c[14412]=j+1;d=p;l=0;k=0;j=q}h:do if((C|0)==57){C=0;l=k+1|0;switch(a[l>>0]|0){case 0:break h;case 62:case 60:case 124:case 125:case 123:{c[14412]=l;k=l;break h}case 32:{C=59;break}default:{}}if((C|0)==59?(C=0,(a[x>>0]|0)==0):0){c[14412]=l;k=l;n=1;break}a[j>>0]=92;k=(c[14412]|0)+1|0;c[14412]=k;d=d|9;j=j+1|0}while(0);if((d&4|0)!=0?(a[k>>0]|0)!=32:0){i=q;C=64;break b}if(!(d&24))d=(a[k>>0]|0)==32?d:d|9;if(!(d&8)){if(d&16){k=a[k>>0]|0;l=(n|0)!=0;if(!(l|k<<24>>24!=32))if((m|0)!=(f|0))if((a[m+-1>>0]|0)==32)k=m;else C=78;else k=f;else C=78;if((C|0)==78){C=0;a[m>>0]=k;k=m+1|0}p=l?k+-1|0:p;m=k}}else{k=a[k>>0]|0;l=(n|0)!=0;if(!((!(l|k<<24>>24!=32)?(a[j+-1>>0]|0)==32:0)?(a[x>>0]|0)==0:0)){a[j>>0]=k;j=j+1|0}e=l?j+-1|0:e}k=(c[14412]|0)+1|0;c[14412]=k;if((a[k>>0]|0)<0)l=j;else{l=d;k=q;continue}while(1){c[14412]=k+1;j=l+1|0;a[l>>0]=a[k>>0]|0;k=c[14412]|0;if((a[k>>0]|0)<0)l=j;else{l=d;k=q;continue c}}}}if((C|0)==21){uB(g);if(!i)g=0;else{fQ(i);g=0}}else if((C|0)==27){uB(g);if(!i)g=0;else{fQ(i);g=0}}else if((C|0)==35){uB(g);if(!i)g=0;else{fQ(i);g=0}}else if((C|0)==38){uB(g);if(!i)g=0;else{fQ(i);g=0}}else if((C|0)==41){uB(g);if(!i)g=0;else{fQ(i);g=0}}else if((C|0)==55){c[14412]=j+1;c[g+48>>2]=i}else if((C|0)==64){uB(g);if(!i)g=0;else{fQ(i);g=0}}else if((C|0)==82)c[g+48>>2]=i;return g|0}function BB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0;r=i;i=i+48|0;l=r+32|0;m=r+24|0;o=r+16|0;q=r;j=c[e+52>>2]|0;do if(!j){j=e+48|0;if((c[j>>2]|0)>0){l=e+56|0;m=q+8|0;o=e+64|0;g=0.0;f=0.0;p=0;do{BB(q,d,c[(c[l>>2]|0)+(p<<2)>>2]|0);k=+h[q>>3];n=+h[m>>3];if(!(a[o>>0]|0)){g=g>k?g:k;f=f+n}else{g=g+k;f=f>n?f:n}p=p+1|0}while((p|0)<(c[j>>2]|0))}else{g=0.0;f=0.0}}else{g=+h[j+24>>3];f=+h[j+32>>3];if(g>0.0|f>0.0){j=Qs(d,147414)|0;if(!j){g=g+16.0;f=f+8.0;break}c[l>>2]=m;c[l+4>>2]=o;j=EO(j,147421,l)|0;if((j|0)<=0){g=g+16.0;f=f+8.0;break}k=+h[m>>3]*72.0;k=+(~~(k+(k>=0.0?.5:-.5))<<1|0);g=g+k;if((j|0)>1){n=+h[o>>3]*72.0;f=f+ +(~~(n+(n>=0.0?.5:-.5))<<1|0);break}else{f=f+k;break}}}while(0);h[e>>3]=g;h[e+8>>3]=f;h[b>>3]=g;h[b+8>>3]=f;i=r;return}function CB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0.0,r=0.0,s=0,t=0,u=0;u=i;i=i+32|0;t=u+16|0;s=u;o=+h[d>>3];f=o-+h[b>>3];r=+h[d+8>>3];j=r-+h[b+8>>3];c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];d=c[b+52>>2]|0;if(!((e|0)!=0|(d|0)==0)){n=d+40|0;h[n>>3]=f+ +h[n>>3];n=d+48|0;h[n>>3]=j+ +h[n>>3]}n=b+48|0;d=c[n>>2]|0;a:do if((d|0)!=0?(p=b+64|0,g=a[p>>0]|0,q=(g<<24>>24==0?j:f)/+(d|0),(d|0)>0):0){l=b+56|0;m=s+8|0;d=0;while(1){b=c[(c[l>>2]|0)+(d<<2)>>2]|0;k=d+1|0;d=~~(q*+(k|0))-~~(q*+(d|0))|0;if(!(g<<24>>24)){j=+(d|0)+ +h[b+8>>3];f=o}else{j=r;f=+(d|0)+ +h[b>>3]}h[s>>3]=f;h[m>>3]=j;c[t>>2]=c[s>>2];c[t+4>>2]=c[s+4>>2];c[t+8>>2]=c[s+8>>2];c[t+12>>2]=c[s+12>>2];CB(b,t,e);if((k|0)>=(c[n>>2]|0))break a;g=a[p>>0]|0;d=k}}while(0);i=u;return}function DB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0;q=i;i=i+16|0;p=q;a[b+65>>0]=e;s=+h[d>>3];o=d+8|0;r=+h[o>>3];t=r-+h[b+8>>3];h[b+16>>3]=s;h[b+24>>3]=t;h[b+32>>3]=s+ +h[b>>3];h[b+40>>3]=r;k=c[b+48>>2]|0;l=k+-1|0;if((k|0)>=1){m=(e|0)==0;n=b+56|0;g=b+64|0;j=0;do{do if(!m){b=(j|0)==0;f=(j|0)==(l|0);if(!(a[g>>0]|0))if(b){b=f?15:14;break}else{b=f?11:10;break}else if(b){b=f?15:13;break}else{b=f?7:5;break}}else b=0;while(0);f=c[(c[n>>2]|0)+(j<<2)>>2]|0;c[p>>2]=c[d>>2];c[p+4>>2]=c[d+4>>2];c[p+8>>2]=c[d+8>>2];c[p+12>>2]=c[d+12>>2];DB(f,p,b&e);if(!(a[g>>0]|0))h[o>>3]=+h[o>>3]-+h[(c[(c[n>>2]|0)+(j<<2)>>2]|0)+8>>3];else h[d>>3]=+h[d>>3]+ +h[c[(c[n>>2]|0)+(j<<2)>>2]>>3];j=j+1|0}while((j|0)!=(k|0))}i=q;return}function EB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=i;i=i+192|0;C=F+176|0;E=F+112|0;D=F+48|0;B=F+32|0;A=F+24|0;z=F+16|0;y=F;if(!(e<<24>>24)){k=d+48|0;c[B>>2]=c[k>>2];c[B+4>>2]=c[k+4>>2];c[B+8>>2]=c[k+8>>2];c[B+12>>2]=c[k+12>>2];k=B;u=z;v=E;w=A;x=0}else{c[B>>2]=c[d>>2];c[B+4>>2]=c[d+4>>2];c[B+8>>2]=c[d+8>>2];c[B+12>>2]=c[d+12>>2];k=B;u=A;v=0;w=z;x=E}h[A>>3]=0.0;h[z>>3]=1.0;n=B+8|0;o=D+16|0;p=E+16|0;q=D+32|0;r=E+32|0;s=D+48|0;t=E+48|0;g=1.0;j=0.0;m=+h[B>>3];e=0;while(1){l=+h[n>>3];f=(g+j)*.5;xC(y,d,3,f,v,x);c[k>>2]=c[y>>2];c[k+4>>2]=c[y+4>>2];c[k+8>>2]=c[y+8>>2];c[k+12>>2]=c[y+12>>2];c[C>>2]=c[B>>2];c[C+4>>2]=c[B+4>>2];c[C+8>>2]=c[B+8>>2];c[C+12>>2]=c[B+12>>2];if(!((Qb[b&127](a,C)|0)<<24>>24)){c[D>>2]=c[E>>2];c[D+4>>2]=c[E+4>>2];c[D+8>>2]=c[E+8>>2];c[D+12>>2]=c[E+12>>2];c[o>>2]=c[p>>2];c[o+4>>2]=c[p+4>>2];c[o+8>>2]=c[p+8>>2];c[o+12>>2]=c[p+12>>2];c[q>>2]=c[r>>2];c[q+4>>2]=c[r+4>>2];c[q+8>>2]=c[r+8>>2];c[q+12>>2]=c[r+12>>2];c[s>>2]=c[t>>2];c[s+4>>2]=c[t+4>>2];c[s+8>>2]=c[t+8>>2];c[s+12>>2]=c[t+12>>2];h[w>>3]=f;e=1}else h[u>>3]=f;f=+h[B>>3];m=m-f;if(!((m>=0.0?m:-m)>.5)?(m=l-+h[n>>3],!((m>=0.0?m:-m)>.5)):0)break;g=+h[z>>3];j=+h[A>>3];m=f}if(!(e<<24>>24)){c[d>>2]=c[E>>2];c[d+4>>2]=c[E+4>>2];c[d+8>>2]=c[E+8>>2];c[d+12>>2]=c[E+12>>2];D=d+16|0;C=E+16|0;c[D>>2]=c[C>>2];c[D+4>>2]=c[C+4>>2];c[D+8>>2]=c[C+8>>2];c[D+12>>2]=c[C+12>>2];D=d+32|0;C=E+32|0;c[D>>2]=c[C>>2];c[D+4>>2]=c[C+4>>2];c[D+8>>2]=c[C+8>>2];c[D+12>>2]=c[C+12>>2];d=d+48|0;E=E+48|0;c[d>>2]=c[E>>2];c[d+4>>2]=c[E+4>>2];c[d+8>>2]=c[E+8>>2];c[d+12>>2]=c[E+12>>2]}else{c[d>>2]=c[D>>2];c[d+4>>2]=c[D+4>>2];c[d+8>>2]=c[D+8>>2];c[d+12>>2]=c[D+12>>2];E=d+16|0;C=D+16|0;c[E>>2]=c[C>>2];c[E+4>>2]=c[C+4>>2];c[E+8>>2]=c[C+8>>2];c[E+12>>2]=c[C+12>>2];E=d+32|0;C=D+32|0;c[E>>2]=c[C>>2];c[E+4>>2]=c[C+4>>2];c[E+8>>2]=c[C+8>>2];c[E+12>>2]=c[C+12>>2];d=d+48|0;E=D+48|0;c[d>>2]=c[E>>2];c[d+4>>2]=c[E+4>>2];c[d+8>>2]=c[E+8>>2];c[d+12>>2]=c[E+12>>2]}i=F;return}function FB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0;m=i;i=i+48|0;k=m+16|0;j=m;l=m+32|0;d=a+16|0;e=c[d>>2]|0;f=c[e+8>>2]|0;if((f|0)!=0?(g=c[(c[f+4>>2]|0)+12>>2]|0,(g|0)!=0):0){c[l>>2]=a;c[l+4>>2]=0;n=+h[e+96>>3];h[j>>3]=+h[b>>3]-+h[e+16>>3];h[j+8>>3]=+h[b+8>>3]-+h[e+24>>3];c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];k=Qb[g&127](l,k)|0;h[(c[d>>2]|0)+96>>3]=n;SB(l,a,b,k)}i=m;return}function GB(b,d){b=b|0;d=d|0;var e=0,f=0;e=b+16|0;b=c[e>>2]|0;if(a[b+112>>0]|0)do{e=(c[b+116>>2]|0)+16|0;b=c[e>>2]|0}while((a[b+112>>0]|0)!=0);b=c[b+8>>2]|0;if(!b){b=yz(40)|0;c[(c[e>>2]|0)+8>>2]=b}f=c[b>>2]|0;b=c[b+4>>2]|0;if(!f)b=zz((b*48|0)+48|0)|0;else b=Bz(f,(b*48|0)+48|0)|0;f=c[(c[e>>2]|0)+8>>2]|0;c[f>>2]=b;f=f+4|0;e=c[f>>2]|0;c[f>>2]=e+1;f=b+(e*48|0)|0;c[f>>2]=yz(d<<4)|0;c[b+(e*48|0)+4>>2]=d;b=b+(e*48|0)+8|0;e=b+40|0;do{c[b>>2]=0;b=b+4|0}while((b|0)<(e|0));return f|0}function HB(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0;F=i;i=i+96|0;E=F+16|0;B=F+80|0;w=F;x=F+88|0;A=b+48|0;n=c[((c[b>>2]&3|0)==3?b:A)+40>>2]|0;C=xu(n)|0;D=GB(b,f)|0;j=c[b+16>>2]|0;if(!(a[j+112>>0]|0))k=b;else do{k=c[j+116>>2]|0;j=c[k+16>>2]|0}while((a[j+112>>0]|0)!=0);z=g+8|0;if((a[z>>0]|0)==0?(l=c[n+16>>2]|0,m=c[d+16>>2]|0,(c[l+232>>2]|0)==(c[m+232>>2]|0)):0){o=(c[l+236>>2]|0)>(c[m+236>>2]|0);y=o?n:d;n=o?d:n}else y=d;l=a[j+46>>0]|0;m=a[j+86>>0]|0;if((n|0)==(c[((c[k>>2]&3|0)==3?k:k+48|0)+40>>2]|0)){o=m&255;l=l&255;k=j+80|0;j=j+40|0}else{o=l&255;l=m&255;k=j+40|0;j=j+80|0}d=c[k>>2]|0;j=c[j>>2]|0;if(((l|0)!=0?(q=n+16|0,p=c[(c[q>>2]|0)+8>>2]|0,(p|0)!=0):0)?(c[(c[p+4>>2]|0)+12>>2]|0)!=0:0){c[x>>2]=n;c[x+4>>2]=j;j=f+-4|0;l=w+8|0;k=0;while(1){if((k|0)>=(j|0))break;m=k+3|0;p=c[q>>2]|0;h[w>>3]=+h[e+(m<<4)>>3]-+h[p+16>>3];h[l>>3]=+h[e+(m<<4)+8>>3]-+h[p+24>>3];p=c[(c[(c[p+8>>2]|0)+4>>2]|0)+12>>2]|0;c[E>>2]=c[w>>2];c[E+4>>2]=c[w+4>>2];c[E+8>>2]=c[w+8>>2];c[E+12>>2]=c[w+12>>2];if(!((Qb[p&127](x,E)|0)<<24>>24))break;else k=m}SB(x,n,e+(k<<4)|0,1)}else k=0;if(((o|0)!=0?(v=y+16|0,t=c[v>>2]|0,r=c[t+8>>2]|0,(r|0)!=0):0)?(s=c[(c[r+4>>2]|0)+12>>2]|0,(s|0)!=0):0){c[x>>2]=y;c[x+4>>2]=d;m=f+-4|0;a:do if((f|0)>4?(u=w+8|0,h[w>>3]=+h[e+(m<<4)>>3]-+h[t+16>>3],h[u>>3]=+h[e+(m<<4)+8>>3]-+h[t+24>>3],c[E>>2]=c[w>>2],c[E+4>>2]=c[w+4>>2],c[E+8>>2]=c[w+8>>2],c[E+12>>2]=c[w+12>>2],(Qb[s&127](x,E)|0)<<24>>24!=0):0){l=m;while(1){j=l+-3|0;if((l|0)<=3)break a;t=c[v>>2]|0;f=c[(c[(c[t+8>>2]|0)+4>>2]|0)+12>>2]|0;h[w>>3]=+h[e+(j<<4)>>3]-+h[t+16>>3];h[u>>3]=+h[e+(j<<4)+8>>3]-+h[t+24>>3];c[E>>2]=c[w>>2];c[E+4>>2]=c[w+4>>2];c[E+8>>2]=c[w+8>>2];c[E+12>>2]=c[w+12>>2];if(!((Qb[f&127](x,E)|0)<<24>>24))break;else l=j}}else j=m;while(0);SB(x,y,e+(j<<4)|0,0)}else{m=f+-4|0;j=m}while(1){if((k|0)>=(m|0)){m=k;break}l=k+3|0;H=+h[e+(k<<4)>>3]-+h[e+(l<<4)>>3];G=+h[e+(k<<4)+8>>3]-+h[e+(l<<4)+8>>3];if(H*H+G*G<1.0e-06)k=l;else{m=k;break}}b:do if((j|0)>0)while(1){x=j+3|0;G=+h[e+(j<<4)>>3]-+h[e+(x<<4)>>3];H=+h[e+(j<<4)+8>>3]-+h[e+(x<<4)+8>>3];if(!(G*G+H*H<1.0e-06)){r=j;break b}k=j+-3|0;if((j|0)>3)j=k;else{r=k;break}}else r=j;while(0);k=b;while(1){j=c[(c[k+16>>2]|0)+116>>2]|0;if(!j){l=k;break}else k=j}if(!(a[z>>0]|0))k=(Hb[c[g>>2]&63](l)|0)&255;else k=0;Ux(l,E,B);j=g+4|0;if((Hb[c[j>>2]&63](y)|0)<<24>>24)c[B>>2]=0;if((Hb[c[j>>2]&63](c[((c[b>>2]&3|0)==3?b:A)+40>>2]|0)|0)<<24>>24)c[E>>2]=0;if(k){b=c[E>>2]|0;c[E>>2]=c[B>>2];c[B>>2]=b}if(!(a[g+9>>0]|0)){j=c[E>>2]|0;if(!j)k=m;else k=Xx(l,e,m,r,D,j)|0;j=c[B>>2]|0;if(j)r=Wx(l,e,k,r,D,j)|0}else{j=c[B>>2]|0;k=c[E>>2]|0;if(!(k|j))k=m;else{Yx(l,e,m,r,D,k,j);k=m}}n=r+4|0;c:do if((k|0)<(n|0)){d=r+3|0;o=E+16|0;p=E+32|0;q=E+48|0;j=C+16|0;m=k;while(1){C=(c[D>>2]|0)+(m-k<<4)|0;l=e+(m<<4)|0;c[C>>2]=c[l>>2];c[C+4>>2]=c[l+4>>2];c[C+8>>2]=c[l+8>>2];c[C+12>>2]=c[l+12>>2];c[E>>2]=c[l>>2];c[E+4>>2]=c[l+4>>2];c[E+8>>2]=c[l+8>>2];c[E+12>>2]=c[l+12>>2];l=m+1|0;if((m|0)>=(d|0))break;B=(c[D>>2]|0)+(l-k<<4)|0;C=e+(l<<4)|0;c[B>>2]=c[C>>2];c[B+4>>2]=c[C+4>>2];c[B+8>>2]=c[C+8>>2];c[B+12>>2]=c[C+12>>2];c[o>>2]=c[C>>2];c[o+4>>2]=c[C+4>>2];c[o+8>>2]=c[C+8>>2];c[o+12>>2]=c[C+12>>2];C=m+2|0;B=(c[D>>2]|0)+(C-k<<4)|0;C=e+(C<<4)|0;c[B>>2]=c[C>>2];c[B+4>>2]=c[C+4>>2];c[B+8>>2]=c[C+8>>2];c[B+12>>2]=c[C+12>>2];c[p>>2]=c[C>>2];c[p+4>>2]=c[C+4>>2];c[p+8>>2]=c[C+8>>2];c[p+12>>2]=c[C+12>>2];m=m+3|0;C=e+(m<<4)|0;c[q>>2]=c[C>>2];c[q+4>>2]=c[C+4>>2];c[q+8>>2]=c[C+8>>2];c[q+12>>2]=c[C+12>>2];sy((c[j>>2]|0)+16|0,E);if((m|0)>=(n|0))break c}}while(0);c[D+4>>2]=4-k+r;i=F;return}function IB(a,b){a=a|0;b=b|0;var d=0,e=0;if(+h[b>>3]<+h[b+16>>3]?+h[b+8>>3]<+h[b+24>>3]:0){e=a+80|0;d=c[e>>2]|0;c[e>>2]=d+1;a=(c[a+84>>2]|0)+(d<<5)|0;c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2];c[a+16>>2]=c[b+16>>2];c[a+20>>2]=c[b+20>>2];c[a+24>>2]=c[b+24>>2];c[a+28>>2]=c[b+28>>2]}return}function JB(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;A=i;i=i+48|0;r=A;m=c[d>>2]&3;t=d+48|0;z=c[((m|0)==3?d:t)+40>>2]|0;x=d+16|0;w=c[x>>2]|0;l=w+16|0;if(a[w+47>>0]|0){UA(r,z,c[((m|0)==2?d:d+-48|0)+40>>2]|0,l);m=r;r=l+40|0;do{c[l>>2]=c[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(r|0))}u=z+16|0;m=c[u>>2]|0;l=c[m+8>>2]|0;if(!l)r=0;else r=c[(c[l+4>>2]|0)+16>>2]|0;w=c[x>>2]|0;l=w+16|0;a[k>>0]=a[l>>0];a[k+1>>0]=a[l+1>>0];a[k+2>>0]=a[l+2>>0];a[k+3>>0]=a[l+3>>0];a[k+4>>0]=a[l+4>>0];a[k+5>>0]=a[l+5>>0];a[k+6>>0]=a[l+6>>0];a[k+7>>0]=a[l+7>>0];p=+h[k>>3];w=w+24|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];s=+h[k>>3];w=m+16|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];q=+h[k>>3];w=m+24|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];s=s+ +h[k>>3];h[b>>3]=p+q;w=b+8|0;h[w>>3]=s;do if(!(g<<24>>24)){l=c[x>>2]|0;if(!(a[l+45>>0]|0)){a[b+29>>0]=0;break}else{h[b+16>>3]=+h[l+32>>3];a[b+29>>0]=1;break}}else{h[b+16>>3]=+TB(c[((c[d>>2]&3|0)==3?d:t)+40>>2]|0);a[b+29>>0]=1}while(0);c[b+80>>2]=0;c[b+88>>2]=d;g=f+32|0;c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];a:do switch(e|0){case 1:{m=c[u>>2]|0;if((a[m+156>>0]|0)==0?(g=a[(c[x>>2]|0)+49>>0]|0,v=g&255,g<<24>>24!=0):0){o=+h[f>>3];j=+h[f+8>>3];p=+h[f+16>>3];n=+h[f+24>>3];do if(!(v&4)){if(v&1){c[f+48>>2]=1;s=+h[w>>3];h[f+56>>3]=o;h[f+64>>3]=j;h[f+72>>3]=p;h[f+80>>3]=n>s?n:s;c[f+52>>2]=1;break}l=f+48|0;if(!(v&8)){c[l>>2]=2;q=+h[m+24>>3]-+h[m+80>>3]*.5;s=+h[w>>3];h[f+56>>3]=+h[b>>3];h[f+64>>3]=q;h[f+72>>3]=p;h[f+80>>3]=s;c[f+52>>2]=1;break}else{c[l>>2]=8;q=+h[b>>3];p=+h[m+24>>3]-+h[m+80>>3]*.5;s=+h[w>>3];h[f+56>>3]=o;h[f+64>>3]=p;h[f+72>>3]=q;h[f+80>>3]=s;c[f+52>>2]=1;break}}else{c[f+48>>2]=4;if(+h[b>>3]<+h[m+16>>3]){s=o+-1.0;j=+h[w>>3];q=+h[m+24>>3]+ +h[m+80>>3]*.5;q=q+ +((c[(c[(xu(z)|0)+16>>2]|0)+252>>2]|0)/2|0|0);w=c[u>>2]|0;n=+h[w+16>>3]-+h[w+88>>3];o=+h[w+24>>3]-+h[w+80>>3]*.5;h[f+56>>3]=s;h[f+64>>3]=j;h[f+72>>3]=p;p=s}else{j=+h[w>>3];n=p+1.0;q=+h[m+24>>3]+ +h[m+80>>3]*.5;q=q+ +((c[(c[(xu(z)|0)+16>>2]|0)+252>>2]|0)/2|0|0);w=c[u>>2]|0;p=+h[w+16>>3]+ +h[w+96>>3]+0.0;s=+h[w+24>>3]-+h[w+80>>3]*.5;h[f+56>>3]=o;h[f+64>>3]=j;h[f+72>>3]=n;o=s}h[f+80>>3]=q;h[f+88>>3]=p;h[f+96>>3]=o;h[f+104>>3]=n;h[f+112>>3]=j;c[f+52>>2]=2}while(0);l=c[x>>2]|0;if(a[l+112>>0]|0)do{d=c[l+116>>2]|0;l=c[d+16>>2]|0}while((a[l+112>>0]|0)!=0);if((z|0)==(c[((c[d>>2]&3|0)==3?d:d+48|0)+40>>2]|0)){a[l+46>>0]=0;break a}else{a[l+86>>0]=0;break a}}else{m=1;y=51}break}case 2:{v=a[(c[x>>2]|0)+49>>0]|0;m=v&255;if(!(v<<24>>24))y=50;else{p=+h[f>>3];j=+h[f+8>>3];q=+h[f+16>>3];n=+h[f+24>>3];do if(!(m&4)){if(m&1)if((c[f+48>>2]|0)==4){w=c[u>>2]|0;p=+h[w+24>>3]-+h[w+80>>3]*.5;q=q+1.0;j=+h[b>>3];n=p-+((c[(c[(xu(z)|0)+16>>2]|0)+252>>2]|0)/2|0|0);w=c[u>>2]|0;o=+h[w+16>>3]+ +h[w+96>>3]+0.0;s=+h[w+24>>3]+ +h[w+80>>3]*.5;h[f+56>>3]=j;h[f+64>>3]=n;h[f+72>>3]=q;h[f+80>>3]=p;h[f+88>>3]=o;h[f+96>>3]=p;h[f+104>>3]=q;h[f+112>>3]=s;c[f+52>>2]=2;break}else{s=+h[w>>3];h[f+56>>3]=p;h[f+64>>3]=j;h[f+72>>3]=q;h[f+80>>3]=n>s?n:s;c[f+52>>2]=1;break}s=+h[b>>3];if(!(m&8)){b=c[u>>2]|0;j=+h[b+24>>3];n=+h[b+80>>3]*.5;if((c[f+48>>2]|0)==4){o=j+n;j=+h[w>>3]}else{o=+h[w>>3]+1.0;j=j-n}h[f+56>>3]=s;h[f+64>>3]=j;h[f+72>>3]=q;h[f+80>>3]=o;c[f+52>>2]=1;break}else{b=c[u>>2]|0;j=+h[b+24>>3];n=+h[b+80>>3]*.5;if((c[f+48>>2]|0)==4){o=j+n;j=+h[w>>3]+-1.0}else{o=+h[w>>3]+1.0;j=j-n}h[f+56>>3]=p;h[f+64>>3]=j;h[f+72>>3]=s+1.0;h[f+80>>3]=o;c[f+52>>2]=1;break}}else{s=+h[w>>3];h[f+56>>3]=p;h[f+64>>3]=j<s?j:s;h[f+72>>3]=q;h[f+80>>3]=n;c[f+52>>2]=1}while(0);l=c[x>>2]|0;if(a[l+112>>0]|0)do{d=c[l+116>>2]|0;l=c[d+16>>2]|0}while((a[l+112>>0]|0)!=0);if((z|0)==(c[((c[d>>2]&3|0)==3?d:d+48|0)+40>>2]|0))a[l+46>>0]=0;else a[l+86>>0]=0;c[f+48>>2]=m}break}default:y=50}while(0);if((y|0)==50){m=c[f+48>>2]|0;y=51}b:do if((y|0)==51){if(r){l=f+56|0;d=f+52|0;m=Ib[r&63](z,(c[x>>2]|0)+16|0,m,l,d)|0;if(m){c[f+48>>2]=m;break}}else{d=f+52|0;l=f+56|0};c[l>>2]=c[f>>2];c[l+4>>2]=c[f+4>>2];c[l+8>>2]=c[f+8>>2];c[l+12>>2]=c[f+12>>2];c[l+16>>2]=c[f+16>>2];c[l+20>>2]=c[f+20>>2];c[l+24>>2]=c[f+24>>2];c[l+28>>2]=c[f+28>>2];c[d>>2]=1;switch(e|0){case 8:{Na(179560,147586,569,147596);break}case 2:{j=+h[w>>3];if((c[f+48>>2]|0)==4){h[f+64>>3]=j;break b}else{h[f+80>>3]=j;break b}}case 1:{h[f+80>>3]=+h[w>>3];c[f+48>>2]=1;break b}default:break b}}while(0);i=A;return}function KB(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=i;i=i+48|0;q=B;m=c[d>>2]&3;t=d+-48|0;A=c[((m|0)==2?d:t)+40>>2]|0;y=d+16|0;w=c[y>>2]|0;l=w+56|0;if(a[w+87>>0]|0){UA(q,A,c[((m|0)==3?d:d+48|0)+40>>2]|0,l);m=q;q=l+40|0;do{c[l>>2]=c[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(q|0))}v=A+16|0;m=c[v>>2]|0;l=c[m+8>>2]|0;if(!l)q=0;else q=c[(c[l+4>>2]|0)+16>>2]|0;u=b+40|0;w=c[y>>2]|0;l=w+56|0;a[k>>0]=a[l>>0];a[k+1>>0]=a[l+1>>0];a[k+2>>0]=a[l+2>>0];a[k+3>>0]=a[l+3>>0];a[k+4>>0]=a[l+4>>0];a[k+5>>0]=a[l+5>>0];a[k+6>>0]=a[l+6>>0];a[k+7>>0]=a[l+7>>0];p=+h[k>>3];w=w+64|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];s=+h[k>>3];w=m+16|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];r=+h[k>>3];w=m+24|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];s=s+ +h[k>>3];h[b+40>>3]=p+r;w=b+48|0;h[w>>3]=s;do if(!(g<<24>>24)){l=c[y>>2]|0;if(!(a[l+85>>0]|0)){a[b+69>>0]=0;break}else{h[b+56>>3]=+h[l+72>>3];a[b+69>>0]=1;break}}else{s=+TB(c[((c[d>>2]&3|0)==2?d:t)+40>>2]|0)+3.141592653589793;h[b+56>>3]=s;if(s<6.283185307179586){a[b+69>>0]=1;break}else Na(147606,147586,606,147630)}while(0);g=f+32|0;c[g>>2]=c[u>>2];c[g+4>>2]=c[u+4>>2];c[g+8>>2]=c[u+8>>2];c[g+12>>2]=c[u+12>>2];switch(e|0){case 1:{m=c[v>>2]|0;if((a[m+156>>0]|0)==0?(b=a[(c[y>>2]|0)+89>>0]|0,x=b&255,b<<24>>24!=0):0){n=+h[f>>3];j=+h[f+8>>3];o=+h[f+16>>3];do if(!(x&4)){if(!(x&1)){l=f+48|0;j=+h[u>>3];if(!(x&8)){c[l>>2]=2;s=+h[m+24>>3]+ +h[m+80>>3]*.5;r=+h[w>>3];h[f+56>>3]=j;h[f+64>>3]=r;h[f+72>>3]=o;h[f+80>>3]=s;c[f+52>>2]=1;break}else{c[l>>2]=8;s=+h[m+24>>3]+ +h[m+80>>3]*.5;r=+h[w>>3];h[f+56>>3]=n;h[f+64>>3]=r;h[f+72>>3]=j;h[f+80>>3]=s;c[f+52>>2]=1;break}}c[f+48>>2]=1;if(+h[u>>3]<+h[m+16>>3]){s=n+-1.0;p=+h[w>>3];r=+h[m+24>>3]-+h[m+80>>3]*.5;r=r-+((c[(c[(xu(A)|0)+16>>2]|0)+252>>2]|0)/2|0|0);w=c[v>>2]|0;n=+h[w+16>>3]-+h[w+88>>3];j=+h[w+24>>3]+ +h[w+80>>3]*.5;h[f+56>>3]=s;h[f+64>>3]=r;h[f+72>>3]=o;o=s}else{p=+h[w>>3];s=o+1.0;r=+h[m+24>>3]-+h[m+80>>3]*.5;r=r-+((c[(c[(xu(A)|0)+16>>2]|0)+252>>2]|0)/2|0|0);w=c[v>>2]|0;o=+h[w+16>>3]+ +h[w+96>>3]+0.0;j=+h[w+24>>3]+ +h[w+80>>3]*.5;h[f+56>>3]=n;h[f+64>>3]=r;h[f+72>>3]=s;n=s}h[f+80>>3]=p;h[f+88>>3]=o;h[f+96>>3]=p;h[f+104>>3]=n;h[f+112>>3]=j;c[f+52>>2]=2}else{s=+h[f+24>>3];c[f+48>>2]=4;r=+h[w>>3];h[f+56>>3]=n;h[f+64>>3]=j<r?j:r;h[f+72>>3]=o;h[f+80>>3]=s;c[f+52>>2]=1}while(0);l=c[y>>2]|0;if(a[l+112>>0]|0)do{d=c[l+116>>2]|0;l=c[d+16>>2]|0}while((a[l+112>>0]|0)!=0);if((A|0)==(c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0))a[l+86>>0]=0;else a[l+46>>0]=0;c[f+48>>2]=x}else{m=4;z=54}break}case 2:{x=a[(c[y>>2]|0)+89>>0]|0;m=x&255;if(!(x<<24>>24))z=53;else{p=+h[f>>3];j=+h[f+8>>3];r=+h[f+16>>3];n=+h[f+24>>3];do if(!(m&4)){if(m&1)if((c[f+48>>2]|0)==4){o=p+-1.0;x=c[v>>2]|0;p=+h[x+24>>3]-+h[x+80>>3]*.5;n=+h[u>>3];j=p-+((c[(c[(xu(A)|0)+16>>2]|0)+252>>2]|0)/2|0|0);x=c[v>>2]|0;r=+h[x+16>>3]-+h[x+88>>3]+-2.0;s=+h[x+24>>3]+ +h[x+80>>3]*.5;h[f+56>>3]=o;h[f+64>>3]=j;h[f+72>>3]=n;h[f+80>>3]=p;h[f+88>>3]=o;h[f+96>>3]=p;h[f+104>>3]=r;h[f+112>>3]=s;c[f+52>>2]=2;break}else{s=+h[b+8>>3];h[f+56>>3]=p;h[f+64>>3]=j;h[f+72>>3]=r;h[f+80>>3]=n>s?n:s;c[f+52>>2]=1;break}s=+h[u>>3];if(!(m&8)){x=c[v>>2]|0;j=+h[x+24>>3];n=+h[x+80>>3]*.5;if((c[f+48>>2]|0)==4){o=+h[w>>3]+-1.0;j=j+n}else{o=j-n;j=+h[w>>3]}h[f+56>>3]=s+-1.0;h[f+64>>3]=o;h[f+72>>3]=r;h[f+80>>3]=j;c[f+52>>2]=1;break}else{x=c[v>>2]|0;j=+h[x+24>>3];n=+h[x+80>>3]*.5;if((c[f+48>>2]|0)==4){o=+h[w>>3]+-1.0;j=j+n}else{o=j-n;j=+h[w>>3]+1.0}h[f+56>>3]=p;h[f+64>>3]=o;h[f+72>>3]=s+1.0;h[f+80>>3]=j;c[f+52>>2]=1;break}}else{s=+h[w>>3];h[f+56>>3]=p;h[f+64>>3]=j<s?j:s;h[f+72>>3]=r;h[f+80>>3]=n;c[f+52>>2]=1}while(0);l=c[y>>2]|0;if(a[l+112>>0]|0)do{d=c[l+116>>2]|0;l=c[d+16>>2]|0}while((a[l+112>>0]|0)!=0);if((A|0)==(c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0))a[l+86>>0]=0;else a[l+46>>0]=0;c[f+48>>2]=m}break}default:z=53}if((z|0)==53){m=c[f+48>>2]|0;z=54}a:do if((z|0)==54){if(q){l=f+56|0;d=f+52|0;m=Ib[q&63](A,(c[y>>2]|0)+56|0,m,l,d)|0;if(m){c[f+48>>2]=m;break}}else{d=f+52|0;l=f+56|0};c[l>>2]=c[f>>2];c[l+4>>2]=c[f+4>>2];c[l+8>>2]=c[f+8>>2];c[l+12>>2]=c[f+12>>2];c[l+16>>2]=c[f+16>>2];c[l+20>>2]=c[f+20>>2];c[l+24>>2]=c[f+24>>2];c[l+28>>2]=c[f+28>>2];c[d>>2]=1;switch(e|0){case 8:{Na(179560,147586,765,147630);break}case 2:{j=+h[w>>3];if((c[f+48>>2]|0)==4){h[f+64>>3]=j;break a}else{h[f+80>>3]=j;break a}}case 1:{h[f+64>>3]=+h[w>>3];c[f+48>>2]=4;break a}default:break a}}while(0);i=B;return}function LB(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=c[b+16>>2]|0;i=c[d+96>>2]|0;if((a[d+44>>0]|0)==0?(a[d+84>>0]|0)==0:0)j=6;else{e=a[d+49>>0]|0;f=e&255;if(((f&8|0)==0?(g=a[d+89>>0]|0,(g&8)==0):0)?((f&5|0)==0?1:e<<24>>24!=g<<24>>24):0)j=6;else d=0}if((j|0)==6)if(!i)d=18;else{d=(c[(c[(xu(c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0)|0)+16>>2]|0)+116>>2]&1|0)==0;d=~~(+h[(d?i+24|0:i+32|0)>>3]+18.0)}return d|0}function MB(b,e,f,g,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;j=+j;k=+k;l=l|0;var m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0;V=i;i=i+16e3|0;U=V;u=c[e+(f<<2)>>2]|0;n=c[u+16>>2]|0;if((a[n+44>>0]|0)==0?(a[n+84>>0]|0)==0:0)T=6;else T=3;do if((T|0)==3){b=a[n+49>>0]|0;m=b&255;if(!(m&8)){K=a[n+89>>0]|0;if((K&8)==0?((m&5|0)==0?1:b<<24>>24!=K<<24>>24):0){T=6;break}if(!(a[n+89>>0]&8)){if(m&4){VB(e,f,g,j,k,l);break}if(!(m&1))Na(179560,147586,1231,147638);o=j*.5/+(g|0);K=(c[((c[u>>2]&3|0)==3?u:u+48|0)+40>>2]|0)+16|0;J=c[K>>2]|0;O=+h[J+16>>3];L=+h[J+24>>3];m=c[u+16>>2]|0;M=O+ +h[m+16>>3];N=L+ +h[m+24>>3];O=O+ +h[m+56>>3];P=L+ +h[m+64>>3];b=!(M>=O)?-1:1;s=+h[J+80>>3]*.5;t=(N+s-L)*3.0;r=(P+s-L)*3.0;a:do if((g|0)>0){w=(UB(d[m+49>>0]|0,d[m+89>>0]|0)|0)==67;v=(o>2.0?o:2.0)*+((w?0-b|0:b)|0);w=U+8|0;x=U+16|0;y=U+24|0;z=U+32|0;A=U+40|0;B=(M+O)*.5;C=U+48|0;D=U+56|0;E=U+64|0;F=U+72|0;G=U+80|0;H=U+88|0;I=U+96|0;J=U+104|0;q=0.0;p=s;r=s<r?s:r;n=0;o=s<t?s:t;while(1){m=f+1|0;p=p+k;o=o+k;r=r+k;q=v+q;h[U>>3]=M;h[w>>3]=N;j=M+q;h[x>>3]=j;h[y>>3]=N-o/3.0;S=L-p;h[z>>3]=j;h[A>>3]=S;h[C>>3]=B;h[D>>3]=S;j=O-q;h[E>>3]=j;h[F>>3]=S;h[G>>3]=j;h[H>>3]=P-r/3.0;h[I>>3]=O;h[J>>3]=P;b=u+16|0;if((c[(c[b>>2]|0)+96>>2]|0)!=0?(W=(c[(c[(xu(c[((c[u>>2]&3|0)==3?u:u+48|0)+40>>2]|0)|0)+16>>2]|0)+116>>2]&1|0)==0,f=c[(c[b>>2]|0)+96>>2]|0,Q=+h[(W?f+32|0:f+24|0)>>3],b=c[K>>2]|0,h[f+64>>3]=+h[b+24>>3]-p-Q*.5,h[f+56>>3]=+h[b+16>>3],a[f+81>>0]=1,Q>k):0)p=p+(Q-k);HB(u,c[((c[u>>2]&3|0)==2?u:u+-48|0)+40>>2]|0,U,7,l);b=n+1|0;if((b|0)==(g|0))break a;f=m;u=c[e+(m<<2)>>2]|0;n=b}}while(0);break}}if((b&2)==0?(a[n+89>>0]&2)==0:0){o=k*.5/+(g|0);o=o>2.0?o:2.0;K=(c[((c[u>>2]&3|0)==3?u:u+48|0)+40>>2]|0)+16|0;J=c[K>>2]|0;L=+h[J+16>>3];P=+h[J+24>>3];W=c[u+16>>2]|0;M=L+ +h[W+16>>3];N=P+ +h[W+24>>3];O=L+ +h[W+56>>3];P=P+ +h[W+64>>3];b=!(N>=P)?-1:1;t=+h[J+88>>3];switch(UB(d[W+49>>0]|0,d[W+89>>0]|0)|0){case 67:case 12:{if(N==P)b=0-b|0;break}default:{}}r=(M+t-L)*3.0;p=(O+t-L)*3.0;b:do if((g|0)>0){v=o*+(b|0);w=U+8|0;x=U+16|0;y=U+24|0;z=U+32|0;A=U+40|0;B=(N+P)*.5;C=U+48|0;D=U+56|0;E=U+64|0;F=U+72|0;G=U+80|0;H=U+88|0;I=U+96|0;J=U+104|0;o=t;q=0.0;s=t<p?t:p;n=0;p=t<r?t:r;while(1){m=f+1|0;o=o+j;p=p+j;r=s+j;q=v+q;h[U>>3]=M;h[w>>3]=N;R=N+q;h[x>>3]=M-p/3.0;h[y>>3]=R;k=L-o;h[z>>3]=k;h[A>>3]=R;h[C>>3]=k;h[D>>3]=B;R=P-q;h[E>>3]=k;h[F>>3]=R;h[G>>3]=O-r/3.0;h[H>>3]=R;h[I>>3]=O;h[J>>3]=P;b=u+16|0;if((c[(c[b>>2]|0)+96>>2]|0)!=0?(f=(c[(c[(xu(c[((c[u>>2]&3|0)==3?u:u+48|0)+40>>2]|0)|0)+16>>2]|0)+116>>2]&1|0)==0,W=c[(c[b>>2]|0)+96>>2]|0,S=+h[(f?W+24|0:W+32|0)>>3],f=c[K>>2]|0,h[W+56>>3]=+h[f+16>>3]-o-S*.5,h[W+64>>3]=+h[f+24>>3],a[W+81>>0]=1,S>j):0)o=o+(S-j);HB(u,c[((c[u>>2]&3|0)==2?u:u+-48|0)+40>>2]|0,U,7,l);b=n+1|0;if((b|0)==(g|0))break b;f=m;u=c[e+(m<<2)>>2]|0;s=r;n=b}}while(0);break}VB(e,f,g,j,k,l)}while(0);if((T|0)==6){o=k*.5/+(g|0);o=o>2.0?o:2.0;K=(c[((c[u>>2]&3|0)==3?u:u+48|0)+40>>2]|0)+16|0;T=c[K>>2]|0;L=+h[T+16>>3];P=+h[T+24>>3];W=c[u+16>>2]|0;M=L+ +h[W+16>>3];N=P+ +h[W+24>>3];O=L+ +h[W+56>>3];P=P+ +h[W+64>>3];b=!(N>=P)?-1:1;t=+h[T+96>>3];switch(UB(d[W+49>>0]|0,d[W+89>>0]|0)|0){case 65:case 32:{if(N==P)b=0-b|0;break}default:{}}p=L+t;r=(p-M)*3.0;p=(p-O)*3.0;c:do if((g|0)>0){v=o*+(b|0);w=U+8|0;x=U+16|0;y=U+24|0;z=U+32|0;A=U+40|0;B=(N+P)*.5;C=U+48|0;D=U+56|0;E=U+64|0;F=U+72|0;G=U+80|0;H=U+88|0;I=U+96|0;J=U+104|0;o=t;q=0.0;s=t<p?t:p;n=0;p=t<r?t:r;while(1){m=f+1|0;o=o+j;p=p+j;r=s+j;q=v+q;h[U>>3]=M;h[w>>3]=N;S=N+q;h[x>>3]=M+p/3.0;h[y>>3]=S;k=L+o;h[z>>3]=k;h[A>>3]=S;h[C>>3]=k;h[D>>3]=B;S=P-q;h[E>>3]=k;h[F>>3]=S;h[G>>3]=O+r/3.0;h[H>>3]=S;h[I>>3]=O;h[J>>3]=P;b=u+16|0;if((c[(c[b>>2]|0)+96>>2]|0)!=0?(T=(c[(c[(xu(c[((c[u>>2]&3|0)==3?u:u+48|0)+40>>2]|0)|0)+16>>2]|0)+116>>2]&1|0)==0,W=c[(c[b>>2]|0)+96>>2]|0,R=+h[(T?W+24|0:W+32|0)>>3],T=c[K>>2]|0,h[W+56>>3]=R*.5+(o+ +h[T+16>>3]),h[W+64>>3]=+h[T+24>>3],a[W+81>>0]=1,R>j):0)o=o+(R-j);HB(u,c[((c[u>>2]&3|0)==2?u:u+-48|0)+40>>2]|0,U,7,l);b=n+1|0;if((b|0)==(g|0))break c;f=m;u=c[e+(m<<2)>>2]|0;s=r;n=b}}while(0)}i=V;return}function NB(b){b=b|0;var d=0,e=0;if((c[13972]|0)!=0|(c[13971]|0)!=0){d=b+16|0;e=c[(c[d>>2]|0)+100>>2]|0;if(((e|0)!=0?(a[e+81>>0]|0)==0:0)?(OB(b,1)|0)!=0:0){e=xu(c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0)|0;HC(e,c[(c[d>>2]|0)+100>>2]|0)}e=c[(c[d>>2]|0)+104>>2]|0;if(((e|0)!=0?(a[e+81>>0]|0)==0:0)?(OB(b,0)|0)!=0:0){e=xu(c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0)|0;HC(e,c[(c[d>>2]|0)+104>>2]|0)}}return}function OB(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0;q=i;i=i+96|0;o=q+32|0;m=q+16|0;p=q;k=b+16|0;do if((a[(c[k>>2]|0)+112>>0]|0)!=6){e=c[13972]|0;if(!((e|0)!=0?(a[(Rs(b,e)|0)>>0]|0)!=0:0)){e=c[13971]|0;if(!e){e=0;break}if(!(a[(Rs(b,e)|0)>>0]|0)){e=0;break}}e=d<<24>>24==0;n=c[k>>2]|0;n=c[(e?n+104|0:n+100|0)>>2]|0;d=RB(b)|0;if(d){do if(e){e=c[d>>2]|0;if(!(c[e+8>>2]|0)){p=c[e>>2]|0;l=+h[p>>3];g=+h[p+8>>3];c[o>>2]=c[p>>2];c[o+4>>2]=c[p+4>>2];c[o+8>>2]=c[p+8>>2];c[o+12>>2]=c[p+12>>2];p=o+16|0;k=(c[e>>2]|0)+16|0;c[p>>2]=c[k>>2];c[p+4>>2]=c[k+4>>2];c[p+8>>2]=c[k+8>>2];c[p+12>>2]=c[k+12>>2];p=o+32|0;k=(c[e>>2]|0)+32|0;c[p>>2]=c[k>>2];c[p+4>>2]=c[k+4>>2];c[p+8>>2]=c[k+8>>2];c[p+12>>2]=c[k+12>>2];p=o+48|0;k=(c[e>>2]|0)+48|0;c[p>>2]=c[k>>2];c[p+4>>2]=c[k+4>>2];c[p+8>>2]=c[k+8>>2];c[p+12>>2]=c[k+12>>2];xC(m,o,3,.1,0,0);j=+h[m>>3];f=+h[m+8>>3];break}else{p=c[e>>2]|0;l=+h[e+16>>3];g=+h[e+24>>3];j=+h[p>>3];f=+h[p+8>>3];break}}else{k=(c[d+4>>2]|0)+-1|0;d=c[d>>2]|0;e=d+(k*48|0)|0;if(!(c[d+(k*48|0)+12>>2]|0)){k=d+(k*48|0)+4|0;m=c[k>>2]|0;r=m+-1|0;d=c[e>>2]|0;l=+h[d+(r<<4)>>3];g=+h[d+(r<<4)+8>>3];m=d+(m+-4<<4)|0;c[o>>2]=c[m>>2];c[o+4>>2]=c[m+4>>2];c[o+8>>2]=c[m+8>>2];c[o+12>>2]=c[m+12>>2];m=o+16|0;d=(c[e>>2]|0)+((c[k>>2]|0)+-3<<4)|0;c[m>>2]=c[d>>2];c[m+4>>2]=c[d+4>>2];c[m+8>>2]=c[d+8>>2];c[m+12>>2]=c[d+12>>2];m=o+32|0;d=(c[e>>2]|0)+((c[k>>2]|0)+-2<<4)|0;c[m>>2]=c[d>>2];c[m+4>>2]=c[d+4>>2];c[m+8>>2]=c[d+8>>2];c[m+12>>2]=c[d+12>>2];m=o+48|0;k=(c[e>>2]|0)+((c[k>>2]|0)+-1<<4)|0;c[m>>2]=c[k>>2];c[m+4>>2]=c[k+4>>2];c[m+8>>2]=c[k+8>>2];c[m+12>>2]=c[k+12>>2];xC(p,o,3,.9,0,0);j=+h[p>>3];f=+h[p+8>>3];break}else{r=(c[d+(k*48|0)+4>>2]|0)+-1|0;p=c[e>>2]|0;l=+h[d+(k*48|0)+32>>3];g=+h[d+(k*48|0)+40>>3];j=+h[p+(r<<4)>>3];f=+h[p+(r<<4)+8>>3];break}}while(0);j=+W(+(f-g),+(j-l));j=j+ +mC(b,c[13972]|0,-25.0,-180.0)/180.0*3.141592653589793;f=+mC(b,c[13971]|0,1.0,0.0)*10.0;h[n+56>>3]=l+f*+Q(+j);h[n+64>>3]=g+f*+R(+j);a[n+81>>0]=1;e=1}else e=0}else e=0;while(0);i=q;return e|0}function PB(a,b,d){a=a|0;b=b|0;d=d|0;var f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0;w=i;i=i+48|0;r=w+32|0;q=w+16|0;p=w;o=c[(c[d+16>>2]|0)+8>>2]|0;s=c[o>>2]|0;t=c[s>>2]|0;d=(c[s+8>>2]|0)==0;j=+h[(d?t:s+16|0)>>3];k=+h[(d?t+8|0:s+24|0)>>3];t=c[o+4>>2]|0;d=t+-1|0;if(!(c[s+(d*48|0)+12>>2]|0)){x=c[s+(d*48|0)>>2]|0;d=(c[s+(d*48|0)+4>>2]|0)+-1|0;n=x+(d<<4)+8|0;d=x+(d<<4)|0}else{n=s+(d*48|0)+40|0;d=s+(d*48|0)+32|0}g=+h[d>>3];f=+h[n>>3];l=j-g;m=k-f;a:do if(l*l+m*m<1.0e-06){v=j;u=k}else{switch((e[(c[b+16>>2]|0)+136>>1]|0)&14|0){case 4:case 10:{h[q>>3]=(j+g)*.5;h[q+8>>3]=(k+f)*.5;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];c[r+12>>2]=c[q+12>>2];CC(p,o,r);v=+h[p>>3];u=+h[p+8>>3];break a}default:{}}b:do if((t|0)>0){f=0.0;q=0;do{o=c[s+(q*48|0)>>2]|0;p=c[s+(q*48|0)+4>>2]|0;if((p|0)>3){d=0;n=3;while(1){l=+h[o+(d<<4)>>3]-+h[o+(n<<4)>>3];m=+h[o+(d<<4)+8>>3]-+h[o+(n<<4)+8>>3];f=f+ +O(+(l*l+m*m));n=n+3|0;if((n|0)>=(p|0))break;else d=d+3|0}}q=q+1|0}while((q|0)!=(t|0));f=f*.5;q=0;c:while(1){o=c[s+(q*48|0)>>2]|0;p=c[s+(q*48|0)+4>>2]|0;if((p|0)>3){d=0;n=3;while(1){l=+h[o+(d<<4)>>3];m=+h[o+(d<<4)+8>>3];j=+h[o+(n<<4)>>3];k=+h[o+(n<<4)+8>>3];y=l-j;g=m-k;g=+O(+(y*y+g*g));if(g>=f)break c;f=f-g;n=n+3|0;if((n|0)>=(p|0))break;else d=d+3|0}}q=q+1|0;if((q|0)>=(t|0))break b}u=g-f;v=(f*j+l*u)/g;u=(f*k+m*u)/g;break a}while(0);Na(179878,147586,1316,147651)}while(0);h[a>>3]=v;h[a+8>>3]=u;i=w;return}function QB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;NB(b);return}function RB(b){b=b|0;var d=0,e=0,f=0,g=0;g=i;i=i+16|0;f=g;e=c[b+16>>2]|0;d=c[e+8>>2]|0;a:do if(!d){while(1){if(!(a[e+112>>0]|0))break;e=c[(c[e+116>>2]|0)+16>>2]|0;d=c[e+8>>2]|0;if(d)break a}e=Ft(c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0)|0;d=Ft(c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0)|0;c[f>>2]=e;c[f+4>>2]=d;us(1,147668,f)|0;d=0}while(0);i=g;return d|0}function SB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0.0,m=0,n=0;n=i;i=i+64|0;m=n;b=b+16|0;f=c[b>>2]|0;l=+h[f+96>>3];g=f+16|0;j=f+24|0;k=0;do{h[m+(k<<4)>>3]=+h[d+(k<<4)>>3]-+h[g>>3];h[m+(k<<4)+8>>3]=+h[d+(k<<4)+8>>3]-+h[j>>3];k=k+1|0}while((k|0)!=4);EB(a,c[(c[(c[f+8>>2]|0)+4>>2]|0)+12>>2]|0,m,e);b=c[b>>2]|0;f=b+16|0;g=b+24|0;j=0;do{h[d+(j<<4)>>3]=+h[m+(j<<4)>>3]+ +h[f>>3];h[d+(j<<4)+8>>3]=+h[m+(j<<4)+8>>3]+ +h[g>>3];j=j+1|0}while((j|0)!=4);h[b+96>>3]=l;i=n;return}function TB(a){a=a|0;var b=0.0,d=0.0,e=0,f=0,g=0.0,i=0,j=0.0,k=0,l=0,m=0.0,n=0.0;k=c[a+16>>2]|0;f=c[k+172>>2]|0;l=c[f>>2]|0;if(!l){j=0.0;b=0.0}else{e=l;a=0;b=0.0;do{b=b+ +h[(c[(c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+16>>3];a=a+1|0;e=c[f+(a<<2)>>2]|0}while((e|0)!=0);j=+(a|0)}f=c[k+180>>2]|0;i=c[f>>2]|0;if(!i){g=0.0;d=0.0}else{e=i;a=0;d=0.0;do{d=d+ +h[(c[(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+16>>3];a=a+1|0;e=c[f+(a<<2)>>2]|0}while((e|0)!=0);g=+(a|0)}m=+h[k+16>>3];n=+h[k+24>>3];j=+W(+(n-+h[(c[(c[((c[l>>2]&3|0)==3?l:l+48|0)+40>>2]|0)+16>>2]|0)+24>>3]),+(m-b/j));return +((j+ +W(+(+h[(c[(c[((c[i>>2]&3|0)==2?i:i+-48|0)+40>>2]|0)+16>>2]|0)+24>>3]-n),+(d/g-m)))*.5)}function UB(a,b){a=a|0;b=b|0;var d=0;if((b|0)!=12)if((b|0)!=4)if((b|0)!=6)if((b|0)!=2)if((b|0)!=3)if((b|0)!=1)if((b|0)==9)d=6;else d=(b|0)==8?7:-1;else d=5;else d=4;else d=3;else d=2;else d=1;else d=0;if((a|0)!=12)if((a|0)!=4)if((a|0)!=6)if((a|0)!=2)if((a|0)!=3)if((a|0)!=1)if((a|0)==9)b=6;else b=(a|0)==8?7:-1;else b=5;else b=4;else b=3;else b=2;else b=1;else b=0;if((b|d|0)<0)b=0;else b=c[57652+(b<<5)+(d<<2)>>2]|0;return b|0}function VB(b,e,f,g,j,k){b=b|0;e=e|0;f=f|0;g=+g;j=+j;k=k|0;var l=0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0;R=i;i=i+16e3|0;Q=R;o=c[b+(e<<2)>>2]|0;n=g*.5/+(f|0);n=n>2.0?n:2.0;J=(c[((c[o>>2]&3|0)==3?o:o+48|0)+40>>2]|0)+16|0;l=c[J>>2]|0;g=+h[l+16>>3];K=+h[l+24>>3];I=c[o+16>>2]|0;L=g+ +h[I+16>>3];M=K+ +h[I+24>>3];N=g+ +h[I+56>>3];O=K+ +h[I+64>>3];m=!(L>=N)?-1.0:1.0;s=+h[l+80>>3]*.5;switch(UB(d[I+49>>0]|0,d[I+89>>0]|0)|0){case 15:{g=m*(n+(+h[l+96>>3]-(N-g)));break}case 38:{g=m*(n+(+h[l+88>>3]-(g-N)));break}case 41:{g=m*(n+(+h[l+96>>3]-(L-g)));break}case 48:{g=m*(n+(+h[l+96>>3]-(L-g)));break}case 58:case 57:case 51:case 47:case 37:case 14:{g=m*((+h[l+88>>3]-(g-L)+(+h[l+96>>3]-(N-g)))/3.0);break}case 73:{g=m*(n+(+h[l+88>>3]-(g-L)));break}case 83:{g=m*(+h[l+88>>3]-(g-L));break}case 84:{g=m*(n+(+h[l+88>>3]-(g-L)+(+h[l+96>>3]-(N-g)))*.5);break}case 85:case 75:case 74:{g=m*(n*2.0+(+h[l+88>>3]-(g-L)+(+h[l+96>>3]-(N-g)))*.5);break}default:g=0.0}p=K+s;q=(p-M)*3.0;p=(p-O)*3.0;a:do if((f|0)>0){u=n*m;v=Q+8|0;w=Q+16|0;x=Q+24|0;y=Q+32|0;z=Q+40|0;A=(L+N)*.5;B=Q+48|0;C=Q+56|0;D=Q+64|0;E=Q+72|0;F=Q+80|0;G=Q+88|0;H=Q+96|0;I=Q+104|0;n=g;m=s;p=s<p?s:p;t=0;g=s<q?s:q;while(1){r=e+1|0;m=m+j;g=g+j;p=p+j;n=u+n;h[Q>>3]=L;h[v>>3]=M;s=L+n;h[w>>3]=s;h[x>>3]=M+g/3.0;q=K+m;h[y>>3]=s;h[z>>3]=q;h[B>>3]=A;h[C>>3]=q;s=N-n;h[D>>3]=s;h[E>>3]=q;h[F>>3]=s;h[G>>3]=O+p/3.0;h[H>>3]=N;h[I>>3]=O;l=o+16|0;if((c[(c[l>>2]|0)+96>>2]|0)!=0?(S=(c[(c[(xu(c[((c[o>>2]&3|0)==3?o:o+48|0)+40>>2]|0)|0)+16>>2]|0)+116>>2]&1|0)==0,e=c[(c[l>>2]|0)+96>>2]|0,P=+h[(S?e+32|0:e+24|0)>>3],l=c[J>>2]|0,h[e+64>>3]=P*.5+(m+ +h[l+24>>3]),h[e+56>>3]=+h[l+16>>3],a[e+81>>0]=1,P>j):0)m=m+(P-j);HB(o,c[((c[o>>2]&3|0)==2?o:o+-48|0)+40>>2]|0,Q,7,k);l=t+1|0;if((l|0)==(f|0))break a;e=r;o=c[b+(r<<2)>>2]|0;t=l}}while(0);i=R;return}function WB(b,d,e,f,g){b=b|0;d=d|0;e=+e;f=f|0;g=g|0;var j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,N=0;L=i;i=i+112|0;z=L+96|0;y=L+80|0;x=L+16|0;v=L;K=yz(12)|0;A=K+4|0;c[A>>2]=0;B=K+8|0;c[B>>2]=2e3;c[K>>2]=yz(128e3)|0;w=c[b+4>>2]|0;t=c[b>>2]|0;c[z>>2]=c[t>>2];c[z+4>>2]=c[t+4>>2];c[z+8>>2]=c[t+8>>2];c[z+12>>2]=c[t+12>>2];XB(K,z,0.0);u=x+48|0;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];c[u+12>>2]=c[t+12>>2];if((w|0)>3){o=x+8|0;p=y+8|0;q=x+16|0;r=x+32|0;s=3;b=0;j=0.0;while(1){c[x>>2]=c[u>>2];c[x+4>>2]=c[u+4>>2];c[x+8>>2]=c[u+8>>2];c[x+12>>2]=c[u+12>>2];J=t+(b+1<<4)|0;c[q>>2]=c[J>>2];c[q+4>>2]=c[J+4>>2];c[q+8>>2]=c[J+8>>2];c[q+12>>2]=c[J+12>>2];J=t+(b+2<<4)|0;c[r>>2]=c[J>>2];c[r+4>>2]=c[J+4>>2];c[r+8>>2]=c[J+8>>2];c[r+12>>2]=c[J+12>>2];b=t+(b+3<<4)|0;c[u>>2]=c[b>>2];c[u+4>>2]=c[b+4>>2];c[u+8>>2]=c[b+8>>2];c[u+12>>2]=c[b+12>>2];k=+h[x>>3];l=+h[o>>3];b=1;do{xC(v,x,3,+(b|0)/20.0,0,0);c[y>>2]=c[v>>2];c[y+4>>2]=c[v+4>>2];c[y+8>>2]=c[v+8>>2];c[y+12>>2]=c[v+12>>2];G=k;k=+h[y>>3];G=G-k;H=l;l=+h[p>>3];H=H-l;j=j+ +O(+(G*G+H*H));c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];c[z+12>>2]=c[y+12>>2];XB(K,z,j);b=b+1|0}while((b|0)!=21);b=s+3|0;if((b|0)<(w|0)){J=s;s=b;b=J}else break}}b=c[A>>2]|0;if((c[B>>2]|0)>(b|0))c[K>>2]=Bz(c[K>>2]|0,b<<6)|0;I=c[A>>2]|0;J=c[K>>2]|0;x=I+-1|0;G=+h[J+(x<<6)+16>>3];B=(I|0)>0;if(B){H=+(I|0);y=(g|0)==2;z=(f|0)!=0;A=0;do{j=+(A+-1|0);if(!((A|0)>0&!(j>=H)))j=j-H*+M(+(j/H));b=~~j;o=A;A=A+1|0;j=+(A|0);if(j>=H)j=j-H*+M(+(j/H));N=~~j;p=J+(o<<6)|0;k=+h[p>>3];q=J+(o<<6)+8|0;j=+h[q>>3];r=J+(o<<6)+16|0;F=+h[r>>3];s=J+(o<<6)+24|0;t=J+(o<<6)+32|0;u=J+(o<<6)+40|0;v=J+(o<<6)+48|0;w=J+(o<<6)+56|0;l=+h[J+(N<<6)+8>>3]-j;m=+h[J+(N<<6)>>3]-k;if(!(m==0.0&l==0.0)){l=+W(+l,+m);if(!(l>=0.0))C=l+6.283185307179586;else C=l}else C=0.0;m=+h[J+(b<<6)+8>>3]-j;l=+h[J+(b<<6)>>3]-k;if(!(l==0.0&m==0.0)){l=+W(+m,+l);if(!(l>=0.0))l=l+6.283185307179586}else l=0.0;E=+Ob[d&7](F,G,e);do if(!o){l=C+1.5707963267948966;if(y){b=0;n=l;D=l;m=E;k=k-E*+Q(+C);j=j-E*+R(+C)}else{b=0;n=l;D=l;m=E}}else{if((o|0)==(x|0)){m=l+-1.5707963267948966;if(!y){b=0;n=m;D=m;m=E;break}b=0;n=m;D=m;m=E;k=k-E*+Q(+l);j=j-E*+R(+l);break}n=C-l;n=1.5707963267948966-(n<0.0?n+6.283185307179586:n)*.5;m=+Q(+n);m=m==0.0?0.0:E/m;D=C+1.5707963267948966;C=D+n;if(z|m>E*10.0){n=l+-1.5707963267948966;if(!(!(n<0.0)&!(n>=6.283185307179586)))n=n-+M(+(n/6.283185307179586))*6.283185307179586;if(!(D<0.0)&!(D>=6.283185307179586)){b=1;m=E}else{b=1;D=D-+M(+(D/6.283185307179586))*6.283185307179586;m=E}}else{b=0;n=C;D=C}}while(0);h[p>>3]=k;h[q>>3]=j;h[r>>3]=F;a[s>>0]=108;h[t>>3]=n;h[u>>3]=m;c[v>>2]=b;h[w>>3]=D}while((A|0)!=(I|0));o=yz(12)|0;if(B){b=0;do{k=+h[J+(b<<6)>>3];j=+h[J+(b<<6)+8>>3];n=+h[J+(b<<6)+32>>3];m=+h[J+(b<<6)+40>>3];N=c[J+(b<<6)+48>>2]|0;l=+h[J+(b<<6)+56>>3];YB(o,k+m*+Q(+n),j+m*+R(+n));if(N)ZB(k,j,m,1,n,l,f,o);b=b+1|0}while((b|0)!=(I|0))}}else{o=yz(12)|0;n=0.0;m=0.0;k=0.0;j=0.0}p=(g|0)==1;l=n+3.141592653589793;if(p){_B(o,k,j,m,n,l);l=n}else YB(o,k+m*+Q(+l),j+m*+R(+l));b=I+-2|0;if((b|0)>-1)while(1){k=+h[J+(b<<6)>>3];j=+h[J+(b<<6)+8>>3];n=+h[J+(b<<6)+40>>3];N=c[J+(b<<6)+48>>2]|0;l=+h[J+(b<<6)+32>>3]+3.141592653589793;m=+h[J+(b<<6)+56>>3]+3.141592653589793;YB(o,k+n*+Q(+m),j+n*+R(+m));if(N)ZB(k,j,n,0,l,m,f,o);if((b|0)>0)b=b+-1|0;else{m=n;break}}if(p)_B(o,k,j,m,l,l+3.141592653589793);fQ(c[K>>2]|0);fQ(K);i=L;return o|0}function XB(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,i=0;i=a+4|0;e=c[i>>2]|0;f=a+8|0;g=c[f>>2]|0;if((e|0)<(g|0))f=c[a>>2]|0;else{c[f>>2]=g<<1;f=Bz(c[a>>2]|0,g<<7)|0;c[a>>2]=f;e=c[i>>2]|0}h[f+(e<<6)>>3]=+h[b>>3];h[f+(e<<6)+8>>3]=+h[b+8>>3];c[i>>2]=e+1;h[f+(e<<6)+16>>3]=d;return}function YB(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0;f=c[a>>2]|0;e=a+4|0;if((f|0)<(c[e>>2]|0)){g=c[a+8>>2]|0;e=f}else{c[e>>2]=2e3;e=a+8|0;g=Bz(c[e>>2]|0,32e3)|0;c[e>>2]=g;e=c[a>>2]|0}c[a>>2]=e+1;h[g+(e<<4)>>3]=b;h[g+(e<<4)+8>>3]=d;return}function ZB(a,b,c,d,e,f,g,h){a=+a;b=+b;c=+c;d=d|0;e=+e;f=+f;g=g|0;h=h|0;var i=0.0;d=(d|0)==0;i=d?e:f;do if((g|0)==1){e=(d?f:e)-i;e=!(e<=1.7453292519943296e-03)?e:e+6.283185307179586;if(e<3.141592653589793){_B(h,a,b,c,i+e,i);break}else{YB(h,+Q(+i)*c+a,+R(+i)*c+a);break}}else YB(h,+Q(+i)*c+a,+R(+i)*c+a);while(0);return}function _B(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0,h=0.0;YB(a,+Q(+e)*d+b,+R(+e)*d+c);if(!(d==0.0)){if(f>e)do f=f+-6.283185307179586;while(f>e);f=e-f;if(f>6.283185307179586)do f=f+-6.283185307179586;while(f>6.283185307179586);f=f/19.0;g=1;do{h=e-f*+(g|0);YB(a,+Q(+h)*d+b,+R(+h)*d+c);g=g+1|0}while((g|0)!=20)}return}function $B(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0.0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;s=i;i=i+16|0;r=s+8|0;q=s;o=s+12|0;c[o>>2]=0;l=e+4|0;p=c[l>>2]|0;if(!p)Na(147730,147741,203,147752);f=c[p>>2]|0;if(!f)Na(147766,147741,206,147752);j=p+8|0;if(!(c[j>>2]|0)){g=c[14477]|0;if((g|0)!=0?(YO(g,f)|0)==0:0)f=c[14486]|0;else{fQ(g);c[14477]=dP(f)|0;f=OO(57908,57948,35,36,96)|0;c[14486]=f}c[j>>2]=f}if(!(a[142275]|0))n=0;else{n=(vy(c[p>>2]|0)|0)==0;n=n?0:o}if(!((rF(d,e,n)|0)<<24>>24)){l=c[l>>2]|0;f=c[l>>2]|0;m=+h[l+16>>3];l=e+32|0;h[l>>3]=0.0;h[e+40>>3]=m*1.2;h[e+16>>3]=0.0;h[e+24>>3]=m*.1;c[e+8>>2]=0;c[e+12>>2]=0;if(fP(f,147777,4)|0)if((fP(f,147782,5)|0)!=0?(fP(f,147788,9)|0)!=0:0){j=37112;f=147798}else{j=41208;f=147834}else{j=39160;f=147815}if(n)c[n>>2]=f;g=c[e>>2]|0;if(g){f=a[g>>0]|0;if(!(f<<24>>24))k=0.0;else{k=0.0;do{g=g+1|0;k=k+ +h[j+((f&255)<<3)>>3];h[l>>3]=k;f=a[g>>0]|0}while(f<<24>>24!=0)}h[l>>3]=m*k}}do if(n){g=c[o>>2]|0;j=c[24809]|0;f=c[p>>2]|0;if(!g){c[r>>2]=f;pO(j,147883,r)|0;break}else{c[q>>2]=f;c[q+4>>2]=g;pO(j,147851,q)|0;break}}while(0);r=e+32|0;c[b>>2]=c[r>>2];c[b+4>>2]=c[r+4>>2];c[b+8>>2]=c[r+8>>2];c[b+12>>2]=c[r+12>>2];i=s;return}function aC(a){a=a|0;var b=0;b=a+108|0;c[b>>2]=0;c[a+112>>2]=32;c[a+116>>2]=-1;c[a+120>>2]=39;c[a+124>>2]=64;c[a+128>>2]=57;c[a+132>>2]=0;c[a+136>>2]=0;c[a+140>>2]=0;b=hs(b,c[13094]|0)|0;c[a+144>>2]=b;return b|0}function bC(a,b){a=a|0;b=b|0;return YO(c[a>>2]|0,c[b>>2]|0)|0}function cC(a,b,d){a=a|0;b=b|0;d=d|0;a=gQ(1,32)|0;d=c[b>>2]|0;if(d)c[a>>2]=dP(d)|0;d=c[b+4>>2]|0;if(d)c[a+4>>2]=dP(d)|0;c[a+24>>2]=c[b+24>>2]&127;h[a+16>>3]=+h[b+16>>3];c[a+8>>2]=c[b+8>>2];return a|0}function dC(a,b,d){a=a|0;b=b|0;d=d|0;d=c[b>>2]|0;if(d)fQ(d);d=c[b+4>>2]|0;if(d)fQ(d);fQ(b);return}function eC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,i=0,j=0;e=c[b>>2]|0;a=c[d>>2]|0;i=(a|0)==0;if(!e)if(i)j=5;else e=-1;else if(!i){e=aP(e,a)|0;if(!e)j=5}else e=1;do if((j|0)==5){i=c[b+4>>2]|0;e=c[d+4>>2]|0;a=(e|0)==0;if(!i){if(!a){e=-1;break}}else{if(a){e=1;break}e=aP(i,e)|0;if(e)break}e=c[b+24>>2]&127;a=c[d+24>>2]&127;if((e|0)!=(a|0)){e=e-a|0;break}g=+h[b+16>>3];f=+h[d+16>>3];if(g<f)e=-1;else e=g>f&1}while(0);return e|0}function fC(){Ta(59208)|0;return}function gC(){var a=0,b=0;b=i;i=i+16|0;a=b;Ta(a|0)|0;i=b;return +(+((c[a+4>>2]|0)+(c[a>>2]|0)-(c[14802]|0)-(c[14803]|0)|0)/60.0)}function hC(a){a=a|0;var b=0,d=0;b=yz(16)|0;a=(a|0)<2?2:a;d=yz(a<<2)|0;c[b>>2]=d;c[b+12>>2]=d;c[b+8>>2]=d;c[b+4>>2]=d+(a<<2);return b|0}function iC(a){a=a|0;fQ(c[a>>2]|0);fQ(a);return}function jC(a,b){a=a|0;b=b|0;var d=0,e=0;d=a+12|0;e=c[d>>2]|0;c[d>>2]=e+4;c[e>>2]=b;if((c[d>>2]|0)>>>0>=(c[a+4>>2]|0)>>>0)c[d>>2]=c[a>>2];return}function kC(a){a=a|0;var b=0,d=0,e=0;d=a+8|0;b=c[d>>2]|0;if((b|0)!=(c[a+12>>2]|0)){e=b+4|0;c[d>>2]=e;b=c[b>>2]|0;if(e>>>0>=(c[a+4>>2]|0)>>>0)c[d>>2]=c[a>>2]}else b=0;return b|0}function lC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;k=i;i=i+16|0;j=k;if((((d|0)!=0?(g=Rs(b,d)|0,(g|0)!=0):0)?(a[g>>0]|0)!=0:0)?(h=SO(g,j,10)|0,(g|0)!=(c[j>>2]|0)):0)e=(h|0)<(f|0)?f:h;i=k;return e|0}function mC(b,d,e,f){b=b|0;d=d|0;e=+e;f=+f;var g=0,h=0.0,j=0,k=0;k=i;i=i+16|0;j=k;if((((b|0)!=0&(d|0)!=0?(g=Rs(b,d)|0,(g|0)!=0):0)?(a[g>>0]|0)!=0:0)?(h=+QO(g,j),(g|0)!=(c[j>>2]|0)):0)e=h<f?f:h;i=k;return +e}function nC(a){a=a|0;var b=0.0;b=+h[4279];if(!(b>0.0)){b=+mC(a,Is(a,0,148710,0)|0,-1.0,0.0);b=b==0.0?72.0:b}return +b}function oC(a,b,c){a=a|0;b=b|0;c=c|0;if((a|0)!=0&(b|0)!=0)c=Rs(a,b)|0;return c|0}function pC(b,c,d){b=b|0;c=c|0;d=d|0;if((b|0)!=0&(c|0)!=0)c=Rs(b,c)|0;else c=d;if(!((c|0)!=0?(a[c>>0]|0)!=0:0))c=d;return c|0}function qC(a,b,c){a=a|0;b=b|0;c=c|0;if(!b)b=c&255;else b=BC(Rs(a,b)|0,0)|0;return b|0}function rC(a){a=a|0;return BC(a,0)|0}function sC(a){a=a|0;var b=0,d=0,e=0;b=c[a+16>>2]|0;e=b+220|0;d=c[e>>2]|0;if((d|0)!=(a|0)&(d|0)!=0)do{a=c[(c[(c[e>>2]|0)+16>>2]|0)+220>>2]|0;if(!a)a=d;else{c[e>>2]=a;a=c[b+220>>2]|0}b=c[a+16>>2]|0;e=b+220|0;d=c[e>>2]|0}while((d|0)!=(a|0)&(d|0)!=0);return a|0}function tC(a,b){a=a|0;b=b|0;var d=0,e=0;do if((a|0)!=(b|0)){d=c[a+16>>2]|0;e=d+220|0;if(!(c[e>>2]|0)){c[e>>2]=a;c[d+216>>2]=1}else a=sC(a)|0;e=c[b+16>>2]|0;d=e+220|0;if(!(c[d>>2]|0)){c[d>>2]=b;c[e+216>>2]=1}else{e=sC(b)|0;b=e;e=c[e+16>>2]|0}d=c[a+16>>2]|0;if((c[d+120>>2]|0)>(c[e+120>>2]|0)){c[d+220>>2]=b;a=e+216|0;c[a>>2]=(c[a>>2]|0)+(c[d+216>>2]|0);break}else{c[e+220>>2]=a;b=d+216|0;c[b>>2]=(c[b>>2]|0)+(c[e+216>>2]|0);b=a;break}}else b=a;while(0);return b|0}function uC(b){b=b|0;b=c[b+16>>2]|0;c[b+216>>2]=1;c[b+220>>2]=0;a[b+159>>0]=0;return}function vC(a,b){a=a|0;b=b|0;if((sC(a)|0)==(a|0)){a=c[a+16>>2]|0;c[a+220>>2]=b;b=(c[b+16>>2]|0)+216|0;c[b>>2]=(c[b>>2]|0)+(c[a+216>>2]|0);return}else Na(148729,148721,194,148745)}function wC(a,b){a=a|0;b=b|0;var d=0.0;b=c[(c[b+16>>2]|0)+132>>2]|0;d=+h[b+8>>3]*72.0;h[a>>3]=+h[b>>3]*72.0;h[a+8>>3]=d;return}function xC(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=f|0;g=g|0;var j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;r=i;i=i+576|0;q=r;p=(d|0)<0;if(!p){j=0;while(1){o=q+(j<<4)|0;n=b+(j<<4)|0;c[o>>2]=c[n>>2];c[o+4>>2]=c[n+4>>2];c[o+8>>2]=c[n+8>>2];c[o+12>>2]=c[n+12>>2];if((j|0)==(d|0))break;else j=j+1|0}if((d|0)>=1){l=1.0-e;j=1;n=d;while(1){if((j|0)<=(d|0)){b=j+-1|0;k=+h[q+(b*96|0)+8>>3];m=+h[q+(b*96|0)>>3];o=0;do{s=o;o=o+1|0;t=m;m=+h[q+(b*96|0)+(o<<4)>>3];h[q+(j*96|0)+(s<<4)>>3]=l*t+m*e;t=k;k=+h[q+(b*96|0)+(o<<4)+8>>3];h[q+(j*96|0)+(s<<4)+8>>3]=l*t+k*e}while((o|0)!=(n|0))}if((j|0)==(d|0))break;else{j=j+1|0;n=n+-1|0}}}}if(!((f|0)==0|p)){b=0;while(1){s=f+(b<<4)|0;o=q+(b*96|0)|0;c[s>>2]=c[o>>2];c[s+4>>2]=c[o+4>>2];c[s+8>>2]=c[o+8>>2];c[s+12>>2]=c[o+12>>2];if((b|0)==(d|0))break;else b=b+1|0}}if(!((g|0)==0|p)){b=0;while(1){s=g+(b<<4)|0;f=q+((d-b|0)*96|0)+(b<<4)|0;c[s>>2]=c[f>>2];c[s+4>>2]=c[f+4>>2];c[s+8>>2]=c[f+8>>2];c[s+12>>2]=c[f+12>>2];if((b|0)==(d|0))break;else b=b+1|0}}s=q+(d*96|0)|0;c[a>>2]=c[s>>2];c[a+4>>2]=c[s+4>>2];c[a+8>>2]=c[s+8>>2];c[a+12>>2]=c[s+12>>2];i=r;return}function yC(b){b=b|0;var d=0,e=0,f=0,g=0;d=0;do{e=c[14806]|0;if((e-d|0)<1024){f=e+1024|0;c[14806]=f;f=Bz(c[14807]|0,f)|0;c[14807]=f;e=c[14806]|0}else f=c[14807]|0;e=mO(f+d|0,e-d|0,b)|0;if(!e){g=6;break}d=(eP(e)|0)+d|0;e=c[14807]|0}while((a[e+(d+-1)>>0]|0)!=10);if((g|0)==6)e=c[14807]|0;return ((d|0)>0?e:0)|0}function zC(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;g=h+8|0;f=h;do if((b|0)!=0?(a[b>>0]|0)!=0:0){e=c[13879]|0;if(!e){d=c[13878]|0;e=c[14809]|0;if((c[14808]|0)==(d|0))d=e;else{if(e){fQ(c[e>>2]|0);fQ(c[14809]|0);c[14809]=0;d=c[13878]|0}c[14808]=d;if(!d)break;if(!(a[d>>0]|0))break;d=cD(d)|0;c[14809]=d}if(!((a[b>>0]|0)!=47&(d|0)!=0))break;b=dD(d,c[14810]|0,b)|0;break}d=c[13877]|0;if((d|0)!=0?(a[d>>0]|0)!=0:0){if(!(c[14808]|0)){c[14809]=cD(d)|0;d=c[13877]|0;c[14808]=d}e=jP(b,47)|0;e=(e|0)==0?b:e+1|0;f=jP(e,92)|0;f=(f|0)==0?e:f+1|0;e=jP(f,58)|0;e=(e|0)==0?f:e+1|0;if(!((a[148756]|0)==0|(e|0)==(b|0))){c[g>>2]=b;c[g+4>>2]=d;us(0,148882,g)|0;a[148756]=0}b=dD(c[14809]|0,c[14810]|0,e)|0;break}if(a[148756]|0){c[f>>2]=e;us(0,148757,f)|0;a[148756]=0;b=0}else b=0}else b=0;while(0);i=h;return b|0}function AC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=c[d>>2]|0;a:do if(!f)f=0;else{h=(b|0)==0;g=f;f=0;do{if((!h?(a[b>>0]|0)==(a[g>>0]|0):0)?(aP(b,g)|0)==0:0)break a;f=f+1|0;g=c[d+(f<<2)>>2]|0}while((g|0)!=0)}while(0);return c[e+(f<<2)>>2]|0}function BC(b,c){b=b|0;c=c|0;var d=0;if((b|0)!=0?(d=a[b>>0]|0,d<<24>>24!=0):0)if((YO(b,178372)|0)!=0?(YO(b,149035)|0)!=0:0)if((YO(b,149038)|0)!=0?(YO(b,149043)|0)!=0:0){if(((d<<24>>24)+-48|0)>>>0<10)c=(NO(b)|0)&255}else c=1;else c=0;return c|0}function CC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0.0;y=i;i=i+80|0;x=y+16|0;w=y;s=c[b+4>>2]|0;t=c[b>>2]|0;v=+h[d>>3];u=d+8|0;f=+h[u>>3];if((s|0)>0){e=1.e+38;d=-1;b=-1;r=0;do{q=c[t+(r*48|0)>>2]|0;p=c[t+(r*48|0)+4>>2]|0;if((p|0)>0){n=0;do{m=+h[q+(n<<4)>>3]-v;o=+h[q+(n<<4)+8>>3]-f;o=m*m+o*o;z=(b|0)==-1|o<e;e=z?o:e;b=z?n:b;d=z?r:d;n=n+1|0}while((n|0)!=(p|0))}r=r+1|0}while((r|0)<(s|0))}else{d=-1;b=-1}z=c[t+(d*48|0)>>2]|0;b=(((b|0)==((c[t+(d*48|0)+4>>2]|0)+-1|0))<<31>>31)+b|0;b=b-((b|0)%3|0)|0;o=+h[z+(b<<4)>>3];h[x>>3]=o;j=+h[z+(b<<4)+8>>3];h[x+8>>3]=j;t=b+1|0;h[x+16>>3]=+h[z+(t<<4)>>3];h[x+24>>3]=+h[z+(t<<4)+8>>3];t=b+2|0;h[x+32>>3]=+h[z+(t<<4)>>3];h[x+40>>3]=+h[z+(t<<4)+8>>3];b=b+3|0;e=+h[z+(b<<4)>>3];h[x+48>>3]=e;g=+h[z+(b<<4)+8>>3];h[x+56>>3]=g;o=o-v;j=j-f;j=o*o+j*j;e=e-v;g=g-f;g=e*e+g*g;xC(w,x,3,.5,0,0);f=+h[w>>3];b=w+8|0;e=+h[b>>3];a:do if(!(+N(+(j-g))<1.0)){o=+h[u>>3];m=.5;k=1.0;l=0.0;do{if(+N(+(k-l))<1.0e-05)break a;z=j<g;A=f-v;f=e-o;f=A*A+f*f;j=z?j:f;g=z?f:g;l=z?l:m;k=z?m:k;m=(l+k)*.5;xC(w,x,3,m,0,0);f=+h[w>>3];e=+h[b>>3]}while(!(+N(+(j-g))<1.0))}while(0);h[a>>3]=f;h[a+8>>3]=e;i=y;return}function DC(){return c[14811]|0}function EC(b){b=b|0;var e=0,f=0,g=0,i=0,j=0,k=0.0,l=0,m=0;k=+mC(b,c[13900]|0,.75,.01);l=b+16|0;h[(c[l>>2]|0)+32>>3]=k;k=+mC(b,c[13899]|0,.5,.02);h[(c[l>>2]|0)+40>>3]=k;e=c[13901]|0;j=(b|0)!=0;if(j&(e|0)!=0){e=Rs(b,e)|0;if(!e)g=4;else g=3}else{e=149047;g=3}if((g|0)==3)if(!(a[e>>0]|0))g=4;if((g|0)==4)e=149047;i=TA(e,b)|0;c[(c[l>>2]|0)+8>>2]=i;i=Rs(b,c[13916]|0)|0;k=+mC(b,c[13912]|0,14.0,1.0);e=c[13913]|0;if(j&(e|0)!=0){e=Rs(b,e)|0;if(!e)g=8;else g=7}else{e=149055;g=7}if((g|0)==7)if(!(a[e>>0]|0))g=8;if((g|0)==8)e=149055;f=c[13914]|0;if(j&(f|0)!=0){f=Rs(b,f)|0;if(!f)g=12;else g=11}else{f=178378;g=11}if((g|0)==11)if(!(a[f>>0]|0))g=12;if((g|0)==12)f=178378;g=(av(i)|0)!=0;j=(QA(b)|0)==2;g=nz(b,i,(j?4:0)|(g?2:0),k,e,f)|0;c[(c[l>>2]|0)+104>>2]=g;g=c[13917]|0;if(((g|0)!=0?(m=Rs(b,g)|0,(m|0)!=0):0)?(a[m>>0]|0)!=0:0){j=(av(m)|0)!=0;m=nz(b,m,j?2:0,k,e,f)|0;c[(c[l>>2]|0)+108>>2]=m;m=(c[(xu(b)|0)+16>>2]|0)+113|0;a[m>>0]=d[m>>0]|16}j=(lC(b,c[13920]|0,0,0)|0)&255;m=c[l>>2]|0;a[m+144>>0]=j;Db[c[c[(c[m+8>>2]|0)+4>>2]>>2]&127](b);return}function FC(b){b=b|0;var e=0,f=0,g=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;x=i;i=i+112|0;p=x+96|0;r=x+80|0;v=x+40|0;w=x;u=b+48|0;s=xu(c[((c[b>>2]&3|0)==3?b:u)+40>>2]|0)|0;m=p+8|0;c[m>>2]=0;q=r+8|0;c[q>>2]=0;e=c[13951]|0;if(((e|0)!=0?(g=Rs(b,e)|0,(g|0)!=0):0)?(a[g>>0]|0)!=0:0){eD(b,p);j=(av(g)|0)!=0;k=+h[p>>3];f=c[m>>2]|0;e=c[p+12>>2]|0;j=nz(b,g,j?2:0,k,f,e)|0;l=b+16|0;g=c[l>>2]|0;c[g+96>>2]=j;j=(c[s+16>>2]|0)+113|0;a[j>>0]=d[j>>0]|1;j=c[13961]|0;if(!j)j=178372;else{j=Rs(b,j)|0;g=c[l>>2]|0}a[g+114>>0]=BC(j,0)|0;l=1}else{e=0;k=0.0;f=0;l=0}g=c[13952]|0;if(((g|0)!=0?(n=Rs(b,g)|0,(n|0)!=0):0)?(a[n>>0]|0)!=0:0){if(!f){eD(b,p);k=+h[p>>3];f=c[m>>2]|0;e=c[p+12>>2]|0}m=(av(n)|0)!=0;n=nz(b,n,m?2:0,k,f,e)|0;c[(c[b+16>>2]|0)+108>>2]=n;n=(c[s+16>>2]|0)+113|0;a[n>>0]=d[n>>0]|32}e=c[13966]|0;if(((e|0)!=0?(o=Rs(b,e)|0,(o|0)!=0):0)?(a[o>>0]|0)!=0:0){fD(b,p,r);n=(av(o)|0)!=0;k=+h[r>>3];f=c[q>>2]|0;e=c[r+12>>2]|0;o=nz(b,o,n?2:0,k,f,e)|0;c[(c[b+16>>2]|0)+100>>2]=o;o=(c[s+16>>2]|0)+113|0;a[o>>0]=d[o>>0]|2}else{e=0;k=0.0;f=0}g=c[13967]|0;if(((g|0)!=0?(t=Rs(b,g)|0,(t|0)!=0):0)?(a[t>>0]|0)!=0:0){if(!f){fD(b,p,r);k=+h[r>>3];f=c[q>>2]|0;e=c[r+12>>2]|0}r=(av(t)|0)!=0;t=nz(b,t,r?2:0,k,f,e)|0;c[(c[b+16>>2]|0)+104>>2]=t;t=(c[s+16>>2]|0)+113|0;a[t>>0]=d[t>>0]|4}e=Qs(b,152537)|0;e=(e|0)!=0?e:181739;if(a[e>>0]|0)a[(c[(c[((c[b>>2]&3|0)==3?b:u)+40>>2]|0)+16>>2]|0)+145>>0]=1;j=b+16|0;g=(c[j>>2]|0)+16|0;f=c[((c[b>>2]&3|0)==3?b:u)+40>>2]|0;gD(v,c[(c[(c[(c[f+16>>2]|0)+8>>2]|0)+4>>2]|0)+8>>2]|0,f,e);e=v;f=g+40|0;do{c[g>>2]=c[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));if((hD(b,c[13973]|0)|0)<<24>>24)a[(c[j>>2]|0)+46>>0]=0;e=Qs(b,152546)|0;e=(e|0)!=0?e:181739;if(!(a[e>>0]|0))f=b+-48|0;else{f=b+-48|0;a[(c[(c[((c[b>>2]&3|0)==2?b:f)+40>>2]|0)+16>>2]|0)+145>>0]=1}g=(c[j>>2]|0)+56|0;f=c[((c[b>>2]&3|0)==2?b:f)+40>>2]|0;gD(w,c[(c[(c[(c[f+16>>2]|0)+8>>2]|0)+4>>2]|0)+8>>2]|0,f,e);e=w;f=g+40|0;do{c[g>>2]=c[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));if((hD(b,c[13974]|0)|0)<<24>>24)a[(c[j>>2]|0)+86>>0]=0;i=x;return l|0}function GC(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0.0,g=0.0,i=0.0,j=0,k=0,l=0,m=0.0,n=0;l=c[b+8>>2]|0;k=c[b+4>>2]|0;j=c[b+44>>2]|0;k=_((k|0)>1?k+-1|0:0,l)|0;d=+h[j+(k<<4)>>3];i=+h[j+(k<<4)+8>>3];if((l|0)>1){g=d;f=i;e=d;d=i;b=1;do{n=b+k|0;m=+h[j+(n<<4)>>3];g=g<m?g:m;i=+h[j+(n<<4)+8>>3];f=f<i?f:i;e=e>m?e:m;d=d>i?d:i;b=b+1|0}while((b|0)!=(l|0))}else{g=d;f=i;e=d;d=i}h[a>>3]=g;h[a+8>>3]=f;h[a+16>>3]=e;h[a+24>>3]=d;return}function HC(b,d){b=b|0;d=d|0;var e=0.0,f=0.0,g=0,i=0.0,j=0.0,l=0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0;b=c[b+16>>2]|0;s=c[b+116>>2]&1;o=b+16|0;a[k>>0]=a[o>>0];a[k+1>>0]=a[o+1>>0];a[k+2>>0]=a[o+2>>0];a[k+3>>0]=a[o+3>>0];a[k+4>>0]=a[o+4>>0];a[k+5>>0]=a[o+5>>0];a[k+6>>0]=a[o+6>>0];a[k+7>>0]=a[o+7>>0];p=+h[k>>3];l=b+24|0;a[k>>0]=a[l>>0];a[k+1>>0]=a[l+1>>0];a[k+2>>0]=a[l+2>>0];a[k+3>>0]=a[l+3>>0];a[k+4>>0]=a[l+4>>0];a[k+5>>0]=a[l+5>>0];a[k+6>>0]=a[l+6>>0];a[k+7>>0]=a[l+7>>0];m=+h[k>>3];g=b+32|0;a[k>>0]=a[g>>0];a[k+1>>0]=a[g+1>>0];a[k+2>>0]=a[g+2>>0];a[k+3>>0]=a[g+3>>0];a[k+4>>0]=a[g+4>>0];a[k+5>>0]=a[g+5>>0];a[k+6>>0]=a[g+6>>0];a[k+7>>0]=a[g+7>>0];i=+h[k>>3];b=b+40|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];e=+h[k>>3];t=+h[d+56>>3];r=+h[d+64>>3];s=(s|0)==0;f=+h[d+24>>3];n=+h[d+32>>3];j=(s?f:n)*.5;q=t-j;j=t+j;f=(s?n:f)*.5;n=r-f;f=r+f;h[o>>3]=q<p?q:p;h[l>>3]=n<m?n:m;h[g>>3]=j>i?j:i;h[b>>3]=f>e?f:e;return}function IC(b){b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0;if(!((vt(b)|0)==0?(c[(c[b+16>>2]|0)+180>>2]|0)==0:0)){f=gu(b)|0;s=b+16|0;if(!f){d=-2147483647.0;i=-2147483647.0;g=2147483647.0;e=2147483647.0}else{e=2147483647.0;g=2147483647.0;i=-2147483647.0;d=-2147483647.0;do{j=c[f+16>>2]|0;r=c[j+132>>2]|0;x=+h[r>>3]*72.0;w=+h[r+8>>3]*72.0;t=(+h[j+88>>3]+ +h[j+96>>3])*.5;k=+h[j+80>>3]*.5;v=x-t;u=w-k;t=x+t;k=w+k;e=e<v?e:v;g=g<u?g:u;i=i>t?i:t;d=d>k?d:k;j=c[j+108>>2]|0;if((j|0)!=0?(a[j+81>>0]|0)!=0:0){t=+h[j+56>>3];w=+h[j+64>>3];r=(c[(c[s>>2]|0)+116>>2]&1|0)==0;k=+h[j+24>>3];x=+h[j+32>>3];v=(r?k:x)*.5;u=t-v;v=t+v;e=u<e?u:e;i=v>i?v:i;k=(r?x:k)*.5;x=w-k;k=w+k;g=x<g?x:g;if(k>d)d=k}j=at(b,f)|0;if(j){r=j;do{q=c[r+16>>2]|0;j=c[q+8>>2]|0;if(j){p=c[j+4>>2]|0;if((p|0)>0){o=c[j>>2]|0;n=0;do{m=c[o+(n*48|0)+4>>2]|0;if((m|0)>0){l=c[o+(n*48|0)>>2]|0;j=0;do{w=+h[l+(j<<4)>>3];x=+h[l+(j<<4)+8>>3];e=e<w?e:w;g=g<x?g:x;i=i>w?i:w;d=d>x?d:x;j=j+1|0}while((j|0)<(m|0))}n=n+1|0}while((n|0)<(p|0))}j=c[q+96>>2]|0;if((j|0)!=0?(a[j+81>>0]|0)!=0:0){t=+h[j+56>>3];w=+h[j+64>>3];p=(c[(c[s>>2]|0)+116>>2]&1|0)==0;k=+h[j+24>>3];x=+h[j+32>>3];v=(p?k:x)*.5;u=t-v;v=t+v;e=u<e?u:e;i=v>i?v:i;k=(p?x:k)*.5;x=w-k;k=w+k;g=x<g?x:g;if(k>d)d=k}j=c[q+100>>2]|0;if((j|0)!=0?(a[j+81>>0]|0)!=0:0){t=+h[j+56>>3];w=+h[j+64>>3];p=(c[(c[s>>2]|0)+116>>2]&1|0)==0;k=+h[j+24>>3];x=+h[j+32>>3];v=(p?k:x)*.5;u=t-v;v=t+v;e=u<e?u:e;i=v>i?v:i;k=(p?x:k)*.5;x=w-k;k=w+k;g=x<g?x:g;if(k>d)d=k}j=c[q+104>>2]|0;if((j|0)!=0?(a[j+81>>0]|0)!=0:0){t=+h[j+56>>3];w=+h[j+64>>3];p=(c[(c[s>>2]|0)+116>>2]&1|0)==0;k=+h[j+24>>3];x=+h[j+32>>3];v=(p?k:x)*.5;u=t-v;v=t+v;e=u<e?u:e;i=v>i?v:i;k=(p?x:k)*.5;x=w-k;k=w+k;g=x<g?x:g;if(k>d)d=k}j=c[q+108>>2]|0;if((j|0)!=0?(a[j+81>>0]|0)!=0:0){t=+h[j+56>>3];w=+h[j+64>>3];q=(c[(c[s>>2]|0)+116>>2]&1|0)==0;k=+h[j+24>>3];x=+h[j+32>>3];v=(q?k:x)*.5;u=t-v;v=t+v;e=u<e?u:e;i=v>i?v:i;k=(q?x:k)*.5;x=w-k;k=w+k;g=x<g?x:g;if(k>d)d=k}}r=ct(b,r)|0}while((r|0)!=0)}f=hu(b,f)|0}while((f|0)!=0)}m=c[s>>2]|0;l=c[m+180>>2]|0;if((l|0)>=1){j=c[m+184>>2]|0;f=1;while(1){s=c[(c[j+(f<<2)>>2]|0)+16>>2]|0;u=+h[s+16>>3];v=+h[s+24>>3];w=+h[s+32>>3];x=+h[s+40>>3];e=e<u?e:u;g=g<v?g:v;i=i>w?i:w;d=d>x?d:x;if((f|0)<(l|0))f=f+1|0;else break}}f=c[m+12>>2]|0;if((f|0)!=0?(a[f+81>>0]|0)!=0:0){t=+h[f+56>>3];w=+h[f+64>>3];s=(c[m+116>>2]&1|0)==0;k=+h[f+24>>3];x=+h[f+32>>3];v=(s?k:x)*.5;u=t-v;v=t+v;e=u<e?u:e;i=v>i?v:i;k=(s?x:k)*.5;x=w-k;k=w+k;g=x<g?x:g;if(k>d)d=k}h[m+16>>3]=e;h[m+24>>3]=g;h[m+32>>3]=i;h[m+40>>3]=d}return}function JC(a){a=a|0;if((c[a+60>>2]|0)==(a|0))a=1;else a=(fP(Ft(a)|0,149067,7)|0)==0;return a&1|0}function KC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;a:do if(!e)switch(Iu(b)|0){case 0:{e=Is(a,0,c,181739)|0;break a}case 1:{e=Is(a,1,c,181739)|0;break a}case 2:{e=Is(a,2,c,181739)|0;break a}default:{e=0;break a}}while(0);Ts(b,e,d)|0;return e|0}function LC(d){d=d|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=i;i=i+192|0;y=E+32|0;x=E+24|0;A=E+16|0;z=E+8|0;w=E;v=E+56|0;B=E+40|0;C=hs(59248,c[13094]|0)|0;iD(d,C);r=hs(59284,c[13094]|0)|0;D=rv(d,149075,1)|0;Ou(D,178510,280,1)|0;xs(B,128,E+64|0);f=gu(d)|0;if(f){u=v+4|0;do{if((a[(c[f+16>>2]|0)+118>>0]|0)==0?(q=at(d,f)|0,(q|0)!=0):0){p=q;do{k=c[p>>2]&3;g=p+48|0;j=c[((k|0)==3?p:g)+40>>2]|0;h=p+-48|0;k=c[((k|0)==2?p:h)+40>>2]|0;do if(!(a[(c[k+16>>2]|0)+118>>0]|0)){if((gP(Ft(j)|0,149067,7)|0)==0?(s=Ft(j)|0,s=Jb[c[C>>2]&63](C,s,512)|0,(s|0)!=0):0)m=c[s+12>>2]|0;else m=0;if((gP(Ft(k)|0,149067,7)|0)==0?(t=Ft(k)|0,t=Jb[c[C>>2]&63](C,t,512)|0,(t|0)!=0):0)o=c[t+12>>2]|0;else o=0;l=(m|0)!=0;n=(o|0)!=0;if(l|n){if((m|0)==(o|0)){n=Ft(j)|0;o=Ft(j)|0;c[w>>2]=n;c[w+4>>2]=o;us(0,149090,w)|0;break}F=c[p>>2]&3;c[v>>2]=c[((F|0)==3?p:g)+40>>2];c[u>>2]=c[((F|0)==2?p:h)+40>>2];g=Jb[c[r>>2]&63](r,v,512)|0;if(g){jD(p,c[g+16>>2]|0,c[g+20>>2]|0)|0;break}if(!n)if(!(Hu(m,k)|0)){lD(r,j,k,jD(p,kD(j,m,B,D)|0,k)|0);break}else{o=Ft(k)|0;F=Ft(m)|0;c[y>>2]=o;c[y+4>>2]=F;us(0,149245,y)|0;break}if(!l)if(!(Hu(o,j)|0)){lD(r,j,k,jD(p,j,kD(k,o,B,D)|0)|0);break}else{n=Ft(j)|0;F=Ft(o)|0;c[x>>2]=n;c[x+4>>2]=F;us(0,149208,x)|0;break}if(Hu(o,m)|0){n=Ft(m)|0;F=Ft(o)|0;c[z>>2]=n;c[z+4>>2]=F;us(0,149128,z)|0;break}if(!(Hu(m,o)|0)){F=kD(j,m,B,D)|0;lD(r,j,k,jD(p,F,kD(k,o,B,D)|0)|0);break}else{o=Ft(o)|0;F=Ft(m)|0;c[A>>2]=o;c[A+4>>2]=F;us(0,149168,A)|0;break}}}while(0);p=ct(d,p)|0}while((p|0)!=0)}f=hu(d,f)|0}while((f|0)!=0)}Bs(B);ds(r)|0;g=vt(D)|0;f=gu(D)|0;if(f)do{F=f;f=hu(D,f)|0;wu(d,F)|0}while((f|0)!=0);ut(D)|0;if(g){F=(c[d+16>>2]|0)+136|0;b[F>>1]=e[F>>1]|1}ds(C)|0;i=E;return g|0}function MC(a){a=a|0;var b=0;b=hs(59248,c[13094]|0)|0;iD(a,b);return b|0}function NC(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=rv(b,149075,1)|0;Ou(h,178510,280,1)|0;d=gu(b)|0;if(d)do{e=at(b,d)|0;if(e)do{g=c[e>>2]&3;f=c[((g|0)==3?e:e+48|0)+40>>2]|0;g=c[((g|0)==2?e:e+-48|0)+40>>2]|0;if(!((a[(c[f+16>>2]|0)+118>>0]|0)==0?(a[(c[g+16>>2]|0)+118>>0]|0)==0:0)){f=mD(f,h)|0;f=jD(e,f,mD(g,h)|0)|0;g=c[e+16>>2]|0;i=g+8|0;f=c[f+16>>2]|0;c[f+8>>2]=c[i>>2];c[i>>2]=0;i=g+96|0;c[f+96>>2]=c[i>>2];c[i>>2]=0;i=g+108|0;c[f+108>>2]=c[i>>2];c[i>>2]=0;i=g+100|0;c[f+100>>2]=c[i>>2];c[i>>2]=0;g=g+104|0;c[f+104>>2]=c[g>>2];c[g>>2]=0;$C(e)}e=ct(b,e)|0}while((e|0)!=0);d=hu(b,d)|0}while((d|0)!=0);d=gu(h)|0;if(d)do{i=d;d=hu(h,d)|0;OC(i);wu(b,i)|0}while((d|0)!=0);ut(h)|0;return}function OC(a){a=a|0;var b=0,d=0,e=0;e=a+16|0;b=c[e>>2]|0;d=c[b+132>>2]|0;if(d){fQ(d);b=c[e>>2]|0}d=c[b+8>>2]|0;if(d){Db[c[(c[d+4>>2]|0)+4>>2]&127](a);b=c[e>>2]|0}pz(c[b+104>>2]|0);pz(c[(c[e>>2]|0)+108>>2]|0);Pu(a,178487)|0;return}function PC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Is(a,b,c,0)|0;if(!e)e=Is(a,b,c,d)|0;return e|0}function QC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+32|0;j=o;h=o+8|0;k=o+16|0;m=_O(b,59)|0;n=d+4|0;e=c[n>>2]|0;l=d+8|0;if(e>>>0>=(c[l>>2]|0)>>>0){ys(d,1)|0;e=c[n>>2]|0}c[n>>2]=e+1;a[e>>0]=38;if(((m|0)!=0?(f=m-b|0,(f+-2|0)>>>0<=6):0)?(hP(k,b,f)|0,a[k+f>>0]=0,c[h>>2]=k,g=OO(h,59320,252,8,97)|0,(g|0)!=0):0){c[j>>2]=c[g+4>>2];DO(k,178484,j)|0;b=c[n>>2]|0;if(b>>>0>=(c[l>>2]|0)>>>0){ys(d,1)|0;b=c[n>>2]|0}c[n>>2]=b+1;a[b>>0]=35;As(d,k)|0;b=c[n>>2]|0;if(b>>>0>=(c[l>>2]|0)>>>0){ys(d,1)|0;b=c[n>>2]|0}c[n>>2]=b+1;a[b>>0]=59;b=m+1|0}i=o;return b|0}function RC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+1072|0;m=p+8|0;l=p;k=p+32|0;o=p+16|0;c[k>>2]=b;if((c[15334]|0)!=(d|0)){c[15334]=d;a[149282]=0}xs(o,1024,p+40|0);e=b+1|0;c[k>>2]=e;b=a[b>>0]|0;n=o+4|0;j=o+8|0;if(b<<24>>24)do{a:do if((b&255)<192){if(b<<24>>24==38){f=pD(k)|0;if(!f)b=38;else{if(f>>>0<127){b=f&255;break}b=c[n>>2]|0;e=b>>>0>=(c[j>>2]|0)>>>0;if(f>>>0<2047){if(e){ys(o,1)|0;b=c[n>>2]|0}c[n>>2]=b+1;a[b>>0]=f>>>6|192;b=(f&63|128)&255;break}if(e){ys(o,1)|0;b=c[n>>2]|0}c[n>>2]=b+1;a[b>>0]=f>>>12|224;b=c[n>>2]|0;if(b>>>0>=(c[j>>2]|0)>>>0){ys(o,1)|0;b=c[n>>2]|0}c[n>>2]=b+1;a[b>>0]=f>>>6&63|128;b=(f&63|128)&255}}}else{if((b&255)>=224)if((b&255)>=240)if((b&255)<248)h=3;else{if(!(a[149282]|0)){c[l>>2]=Ft(d)|0;us(0,149283,l)|0;a[149282]=1}b=oD(b,o)|0;break}else h=2;else h=1;g=0;while(1){if((a[e>>0]&-64)<<24>>24!=-128)break;f=c[n>>2]|0;if(f>>>0>=(c[j>>2]|0)>>>0){ys(o,1)|0;f=c[n>>2]|0}c[n>>2]=f+1;a[f>>0]=b;b=e;e=e+1|0;c[k>>2]=e;b=a[b>>0]|0;g=g+1|0;if((g|0)>=(h|0))break a}if(!(a[149282]|0)){g=Ft(d)|0;c[m>>2]=h+1;c[m+4>>2]=g;us(0,149404,m)|0;a[149282]=1}b=oD(b,o)|0}while(0);e=c[n>>2]|0;if(e>>>0>=(c[j>>2]|0)>>>0){ys(o,1)|0;e=c[n>>2]|0}c[n>>2]=e+1;a[e>>0]=b;b=c[k>>2]|0;e=b+1|0;c[k>>2]=e;b=a[b>>0]|0}while(b<<24>>24!=0);b=c[n>>2]|0;if(b>>>0>=(c[j>>2]|0)>>>0){ys(o,1)|0;b=c[n>>2]|0}a[b>>0]=0;m=c[o>>2]|0;c[n>>2]=m;n=dP(m)|0;Bs(o);i=p;return n|0}function SC(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+1056|0;h=l+16|0;k=l;xs(k,1024,l+24|0);c[h>>2]=b+1;b=a[b>>0]|0;j=k+4|0;g=k+8|0;if(b<<24>>24)do{d=b&255;if(b<<24>>24==38){b=pD(h)|0;if(!b){b=38;f=5}else f=4}else{b=d;f=4}do if((f|0)==4){f=0;if(b>>>0<127)f=5;else{d=c[j>>2]|0;e=d>>>0>=(c[g>>2]|0)>>>0;if(b>>>0<2047){if(e){ys(k,1)|0;d=c[j>>2]|0}c[j>>2]=d+1;a[d>>0]=b>>>6|192;d=c[j>>2]|0;if(d>>>0>=(c[g>>2]|0)>>>0){ys(k,1)|0;d=c[j>>2]|0}c[j>>2]=d+1;a[d>>0]=b&63|128;break}if(e){ys(k,1)|0;d=c[j>>2]|0}c[j>>2]=d+1;a[d>>0]=b>>>12|224;d=c[j>>2]|0;if(d>>>0>=(c[g>>2]|0)>>>0){ys(k,1)|0;d=c[j>>2]|0}c[j>>2]=d+1;a[d>>0]=b>>>6&63|128;d=c[j>>2]|0;if(d>>>0>=(c[g>>2]|0)>>>0){ys(k,1)|0;d=c[j>>2]|0}c[j>>2]=d+1;a[d>>0]=b&63|128}}while(0);if((f|0)==5){d=c[j>>2]|0;if(d>>>0>=(c[g>>2]|0)>>>0){ys(k,1)|0;d=c[j>>2]|0}c[j>>2]=d+1;a[d>>0]=b}b=c[h>>2]|0;c[h>>2]=b+1;b=a[b>>0]|0}while(b<<24>>24!=0);b=c[j>>2]|0;if(b>>>0>=(c[g>>2]|0)>>>0){ys(k,1)|0;b=c[j>>2]|0}a[b>>0]=0;h=c[k>>2]|0;c[j>>2]=h;j=dP(h)|0;Bs(k);i=l;return j|0}function TC(b){b=b|0;var e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+1040|0;j=k;xs(j,1024,k+16|0);e=a[b>>0]|0;h=j+4|0;g=j+8|0;if(e<<24>>24){f=e;while(1){e=b+1|0;if((f&255)<127){b=c[h>>2]|0;if(b>>>0>=(c[g>>2]|0)>>>0){ys(j,1)|0;b=c[h>>2]|0}c[h>>2]=b+1;a[b>>0]=f}else{f=((d[e>>0]|0)&63|(f&255)<<6)&255;e=c[h>>2]|0;if(e>>>0>=(c[g>>2]|0)>>>0){ys(j,1)|0;e=c[h>>2]|0}c[h>>2]=e+1;a[e>>0]=f;e=b+2|0}f=a[e>>0]|0;if(!(f<<24>>24))break;else b=e}}e=c[h>>2]|0;if(e>>>0>=(c[g>>2]|0)>>>0){ys(j,1)|0;e=c[h>>2]|0}a[e>>0]=0;g=c[j>>2]|0;c[h>>2]=g;h=dP(g)|0;Bs(j);i=k;return h|0}function UC(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0.0,j=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0.0;p=i;i=i+48|0;o=p+16|0;m=p+32|0;n=p;f=+h[d+16>>3];e=c[b+16>>2]|0;if(((f>=+h[e+48>>3]?(l=+h[d>>3],+h[e+64>>3]>=l):0)?(g=+h[d+24>>3],g>=+h[e+56>>3]):0)?(j=+h[d+8>>3],+h[e+72>>3]>=j):0){d=e+16|0;a[k>>0]=a[d>>0];a[k+1>>0]=a[d+1>>0];a[k+2>>0]=a[d+2>>0];a[k+3>>0]=a[d+3>>0];a[k+4>>0]=a[d+4>>0];a[k+5>>0]=a[d+5>>0];a[k+6>>0]=a[d+6>>0];a[k+7>>0]=a[d+7>>0];q=+h[k>>3];d=e+24|0;a[k>>0]=a[d>>0];a[k+1>>0]=a[d+1>>0];a[k+2>>0]=a[d+2>>0];a[k+3>>0]=a[d+3>>0];a[k+4>>0]=a[d+4>>0];a[k+5>>0]=a[d+5>>0];a[k+6>>0]=a[d+6>>0];a[k+7>>0]=a[d+7>>0];j=+h[k>>3]-(g+j)*.5;h[n>>3]=q-(l+f)*.5;h[n+8>>3]=j;c[m>>2]=b;c[m+4>>2]=0;e=c[(c[(c[e+8>>2]|0)+4>>2]|0)+12>>2]|0;c[o>>2]=c[n>>2];c[o+4>>2]=c[n+4>>2];c[o+8>>2]=c[n+8>>2];c[o+12>>2]=c[n+12>>2];e=Qb[e&127](m,o)|0}else e=0;i=p;return e|0}function VC(b,c){b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,i=0.0,j=0;g=+h[b+24>>3]*.5;i=+h[b+32>>3]*.5;j=b+56|0;a[k>>0]=a[j>>0];a[k+1>>0]=a[j+1>>0];a[k+2>>0]=a[j+2>>0];a[k+3>>0]=a[j+3>>0];a[k+4>>0]=a[j+4>>0];a[k+5>>0]=a[j+5>>0];a[k+6>>0]=a[j+6>>0];a[k+7>>0]=a[j+7>>0];f=+h[k>>3];b=b+64|0;a[k>>0]=a[b>>0];a[k+1>>0]=a[b+1>>0];a[k+2>>0]=a[b+2>>0];a[k+3>>0]=a[b+3>>0];a[k+4>>0]=a[b+4>>0];a[k+5>>0]=a[b+5>>0];a[k+6>>0]=a[b+6>>0];a[k+7>>0]=a[b+7>>0];d=+h[k>>3];e=d-i;d=i+d;if((+h[c+16>>3]>=f-g?g+f>=+h[c>>3]:0)?+h[c+24>>3]>=e:0)b=d>=+h[c+8>>3]&1;else b=0;return b|0}function WC(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0.0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0.0,G=0.0,H=0.0;E=i;i=i+176|0;y=E+144|0;t=E+128|0;s=E+112|0;z=E+96|0;A=E+80|0;x=E+48|0;u=E;v=b+16|0;b=c[v>>2]|0;r=c[b+8>>2]|0;do if((((((r|0)!=0?(q=r+16|0,a[k>>0]=a[q>>0],a[k+1>>0]=a[q+1>>0],a[k+2>>0]=a[q+2>>0],a[k+3>>0]=a[q+3>>0],a[k+4>>0]=a[q+4>>0],a[k+5>>0]=a[q+5>>0],a[k+6>>0]=a[q+6>>0],a[k+7>>0]=a[q+7>>0],g=+h[k>>3],q=r+24|0,a[k>>0]=a[q>>0],a[k+1>>0]=a[q+1>>0],a[k+2>>0]=a[q+2>>0],a[k+3>>0]=a[q+3>>0],a[k+4>>0]=a[q+4>>0],a[k+5>>0]=a[q+5>>0],a[k+6>>0]=a[q+6>>0],a[k+7>>0]=a[q+7>>0],F=+h[k>>3],q=r+32|0,a[k>>0]=a[q>>0],a[k+1>>0]=a[q+1>>0],a[k+2>>0]=a[q+2>>0],a[k+3>>0]=a[q+3>>0],a[k+4>>0]=a[q+4>>0],a[k+5>>0]=a[q+5>>0],a[k+6>>0]=a[q+6>>0],a[k+7>>0]=a[q+7>>0],f=+h[k>>3],F>=+h[d>>3]):0)?(q=r+8|0,a[k>>0]=a[q>>0],a[k+1>>0]=a[q+1>>0],a[k+2>>0]=a[q+2>>0],a[k+3>>0]=a[q+3>>0],a[k+4>>0]=a[q+4>>0],a[k+5>>0]=a[q+5>>0],a[k+6>>0]=a[q+6>>0],a[k+7>>0]=a[q+7>>0],+h[d+16>>3]>=+h[k>>3]):0)?f>=+h[d+8>>3]:0)?+h[d+24>>3]>=g:0)?(w=r+4|0,(c[w>>2]|0)>0):0){l=u+4|0;m=u+8|0;n=u+12|0;o=u+32|0;p=u+16|0;q=0;a:while(1){e=(c[r>>2]|0)+(q*48|0)|0;c[x>>2]=c[d>>2];c[x+4>>2]=c[d+4>>2];c[x+8>>2]=c[d+8>>2];c[x+12>>2]=c[d+12>>2];c[x+16>>2]=c[d+16>>2];c[x+20>>2]=c[d+20>>2];c[x+24>>2]=c[d+24>>2];c[x+28>>2]=c[d+28>>2];b=u;j=b+48|0;do{a[b>>0]=a[e>>0]|0;b=b+1|0;e=e+1|0}while((b|0)<(j|0));b=c[l>>2]|0;if(!b){e=9;break}e=c[u>>2]|0;c[A>>2]=c[e>>2];c[A+4>>2]=c[e+4>>2];c[A+8>>2]=c[e+8>>2];c[A+12>>2]=c[e+12>>2];b:do if((b|0)>1){j=e+16|0;c[z>>2]=c[j>>2];c[z+4>>2]=c[j+4>>2];c[z+8>>2]=c[j+8>>2];c[z+12>>2]=c[j+12>>2];c[s>>2]=c[j>>2];c[s+4>>2]=c[j+4>>2];c[s+8>>2]=c[j+8>>2];c[s+12>>2]=c[j+12>>2];c[t>>2]=c[A>>2];c[t+4>>2]=c[A+4>>2];c[t+8>>2]=c[A+8>>2];c[t+12>>2]=c[A+12>>2];c[y>>2]=c[x>>2];c[y+4>>2]=c[x+4>>2];c[y+8>>2]=c[x+8>>2];c[y+12>>2]=c[x+12>>2];c[y+16>>2]=c[x+16>>2];c[y+20>>2]=c[x+20>>2];c[y+24>>2]=c[x+24>>2];c[y+28>>2]=c[x+28>>2];if(($y(s,t,y)|0)==-1)b=1;else{e=18;break a}while(1){c[A>>2]=c[z>>2];c[A+4>>2]=c[z+4>>2];c[A+8>>2]=c[z+8>>2];c[A+12>>2]=c[z+12>>2];b=b+1|0;if((b|0)>=(c[l>>2]|0))break b;j=(c[u>>2]|0)+(b<<4)|0;c[z>>2]=c[j>>2];c[z+4>>2]=c[j+4>>2];c[z+8>>2]=c[j+8>>2];c[z+12>>2]=c[j+12>>2];c[s>>2]=c[j>>2];c[s+4>>2]=c[j+4>>2];c[s+8>>2]=c[j+8>>2];c[s+12>>2]=c[j+12>>2];c[t>>2]=c[A>>2];c[t+4>>2]=c[A+4>>2];c[t+8>>2]=c[A+8>>2];c[t+12>>2]=c[A+12>>2];c[y>>2]=c[x>>2];c[y+4>>2]=c[x+4>>2];c[y+8>>2]=c[x+8>>2];c[y+12>>2]=c[x+12>>2];c[y+16>>2]=c[x+16>>2];c[y+20>>2]=c[x+20>>2];c[y+24>>2]=c[x+24>>2];c[y+28>>2]=c[x+28>>2];if(($y(s,t,y)|0)!=-1){e=18;break a}}}while(0);b=c[m>>2]|0;if((b|0)!=0?(j=c[u>>2]|0,c[s>>2]=c[p>>2],c[s+4>>2]=c[p+4>>2],c[s+8>>2]=c[p+8>>2],c[s+12>>2]=c[p+12>>2],c[t>>2]=c[j>>2],c[t+4>>2]=c[j+4>>2],c[t+8>>2]=c[j+8>>2],c[t+12>>2]=c[j+12>>2],c[y>>2]=c[x>>2],c[y+4>>2]=c[x+4>>2],c[y+8>>2]=c[x+8>>2],c[y+12>>2]=c[x+12>>2],c[y+16>>2]=c[x+16>>2],c[y+20>>2]=c[x+20>>2],c[y+24>>2]=c[x+24>>2],c[y+28>>2]=c[x+28>>2],(qD(s,t,b,y)|0)<<24>>24!=0):0){e=18;break}b=c[n>>2]|0;if((b|0)!=0?(j=(c[u>>2]|0)+((c[l>>2]|0)+-1<<4)|0,c[s>>2]=c[o>>2],c[s+4>>2]=c[o+4>>2],c[s+8>>2]=c[o+8>>2],c[s+12>>2]=c[o+12>>2],c[t>>2]=c[j>>2],c[t+4>>2]=c[j+4>>2],c[t+8>>2]=c[j+8>>2],c[t+12>>2]=c[j+12>>2],c[y>>2]=c[x>>2],c[y+4>>2]=c[x+4>>2],c[y+8>>2]=c[x+8>>2],c[y+12>>2]=c[x+12>>2],c[y+16>>2]=c[x+16>>2],c[y+20>>2]=c[x+20>>2],c[y+24>>2]=c[x+24>>2],c[y+28>>2]=c[x+28>>2],(qD(s,t,b,y)|0)<<24>>24!=0):0){e=18;break}q=q+1|0;if((q|0)>=(c[w>>2]|0)){e=20;break}}if((e|0)==9)Na(149513,148721,1637,149521);else if((e|0)==18){B=1;break}else if((e|0)==20){b=c[v>>2]|0;e=21;break}}else e=21;while(0);do if((e|0)==21){b=c[b+96>>2]|0;if(((b|0)!=0?(g=+h[d>>3],H=+h[d+16>>3],F=+h[d+24>>3],G=+h[b+24>>3]*.5,C=+h[b+32>>3]*.5,B=b+56|0,a[k>>0]=a[B>>0],a[k+1>>0]=a[B+1>>0],a[k+2>>0]=a[B+2>>0],a[k+3>>0]=a[B+3>>0],a[k+4>>0]=a[B+4>>0],a[k+5>>0]=a[B+5>>0],a[k+6>>0]=a[B+6>>0],a[k+7>>0]=a[B+7>>0],f=+h[k>>3],B=b+64|0,a[k>>0]=a[B>>0],a[k+1>>0]=a[B+1>>0],a[k+2>>0]=a[B+2>>0],a[k+3>>0]=a[B+3>>0],a[k+4>>0]=a[B+4>>0],a[k+5>>0]=a[B+5>>0],a[k+6>>0]=a[B+6>>0],a[k+7>>0]=a[B+7>>0],D=+h[k>>3],!(!(H>=f-G)|!(G+f>=g)|!(F>=D-C))):0)?C+D>=+h[d+8>>3]:0){B=1;break}B=0}while(0);i=E;return B|0}function XC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;g=i;i=i+16|0;f=g;a:do if((b|0)!=0?(e=a[b>>0]|0,e<<24>>24!=0):0){do switch(e<<24>>24|0){case 48:{d=2;break a}case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:{d=10;break a}case 67:case 99:{e=b+1|0;if(!(YO(e,149536)|0)){d=4;break a}if(!(YO(e,149542)|0)){d=12;break a}break}case 70:case 102:{if(!(YO(b+1|0,149550)|0)){d=2;break a}break}case 76:case 108:{if(!(YO(b+1|0,149555)|0)){d=2;break a}break}case 78:case 110:{e=b+1|0;if(!(YO(e,149559)|0)){d=0;break a}if(!(YO(e,149563)|0)){d=2;break a}break}case 79:case 111:{if(!(YO(b+1|0,149565)|0)){d=8;break a}break}case 80:case 112:{if(!(YO(b+1|0,149570)|0)){d=6;break a}break}case 83:case 115:{if(!(YO(b+1|0,149578)|0)){d=10;break a}break}case 84:case 116:{if(!(YO(b+1|0,149584)|0)){d=10;break a}break}case 89:case 121:{if(!(YO(b+1|0,149588)|0)){d=10;break a}break}default:{}}while(0);c[f>>2]=b;us(0,149591,f)|0}while(0);i=g;return d|0}function YC(d,f){d=d|0;f=f|0;var g=0;g=Qs(d,149632)|0;if(g)if(!(a[g>>0]|0))f=0;else f=XC(g,f)|0;d=(c[d+16>>2]|0)+136|0;b[d>>1]=e[d>>1]|f;return}function ZC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;n=e&1;o=e&2;if((c|0)!=2){f=+h[a>>3];j=+h[a+8>>3];if((c|0)<2){m=f;i=j;g=j}else{k=f;e=1;g=j;i=j;while(1){l=+h[a+(e<<4)>>3];m=+h[a+(e<<4)+8>>3];j=l<f?l:f;g=m<g?m:g;f=l>k?l:k;i=m>i?m:i;e=e+1|0;if((e|0)==(c|0)){m=f;f=j;break}else{k=f;f=j}}}}else{k=+h[a>>3];f=+h[a+16>>3]-k;l=+h[a+8>>3];g=+h[a+24>>3]-l;m=k+f;i=l+g;f=k-f;g=l-g}l=f+(m-f)*.5;k=g+(i-g)*.5;if(!n){i=i-k;j=d;f=+R(+j);j=+Q(+j);if(!o){g=-k-(k-g)*f;f=i*f-k}else{f=i*f;g=k+f;f=k-f}h[b+8>>3]=f;h[b+24>>3]=g;d=(m-l)*j;h[b>>3]=l-d;h[b+16>>3]=l+d}else{m=l-f;d=k-g;d=+O(+(m*m+d*d));h[b+8>>3]=(o|0)==0?-k:k;h[b>>3]=l;h[b+16>>3]=d*.25;h[b+24>>3]=d}return}function _C(a){a=a|0;var b=0,d=0;d=a+16|0;a=c[d>>2]|0;b=c[a+8>>2]|0;if(b){if((c[b+4>>2]|0)>0){a=b;b=0;do{fQ(c[(c[a>>2]|0)+(b*48|0)>>2]|0);b=b+1|0;a=c[(c[d>>2]|0)+8>>2]|0}while((b|0)<(c[a+4>>2]|0))}else a=b;fQ(c[a>>2]|0);fQ(c[(c[d>>2]|0)+8>>2]|0);a=c[d>>2]|0}c[a+8>>2]=0;return}function $C(a){a=a|0;var b=0;b=a+16|0;fQ(c[(c[b>>2]|0)+144>>2]|0);_C(a);pz(c[(c[b>>2]|0)+96>>2]|0);pz(c[(c[b>>2]|0)+108>>2]|0);pz(c[(c[b>>2]|0)+100>>2]|0);pz(c[(c[b>>2]|0)+104>>2]|0);Pu(a,178780)|0;return}function aD(a,b){a=a|0;b=b|0;var d=0.0;a=c[a+16>>2]|0;if(!(b<<24>>24)){d=+h[a+32>>3]*72.0*.5;h[a+88>>3]=d;h[a+80>>3]=+h[a+40>>3]*72.0}else{d=+h[a+40>>3]*72.0*.5;h[a+88>>3]=d;h[a+80>>3]=+h[a+32>>3]*72.0}h[a+96>>3]=d;return}function bD(a,b){a=a|0;b=b|0;a=Jb[c[a>>2]&63](a,b,512)|0;if(!a)a=0;else a=c[a+12>>2]|0;return a|0}function cD(a){a=a|0;var b=0,d=0,e=0,f=0;f=0;e=mP(dP(a)|0,151135)|0;d=0;a=0;while(1){if(!d)d=zz((f<<2)+8|0)|0;else d=Bz(d,(f<<2)+8|0)|0;b=f+1|0;c[d+(f<<2)>>2]=e;f=eP(e)|0;a=a>>>0>f>>>0?a:f;e=mP(0,151135)|0;if(!e)break;else f=b}c[d+(b<<2)>>2]=0;c[14810]=a;return d|0}function dD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;h=i;i=i+32|0;g=h+16|0;f=h;e=c[15336]|0;b=hQ(e,b+2+(eP(d)|0)|0)|0;c[15336]=b;e=c[a>>2]|0;a:do if(!e)b=0;else{c[f>>2]=e;c[f+4>>2]=151133;c[f+8>>2]=d;DO(b,151126,f)|0;if(qP(c[15336]|0,4)|0)do{a=a+4|0;b=c[a>>2]|0;if(!b){b=0;break a}f=c[15336]|0;c[g>>2]=b;c[g+4>>2]=151133;c[g+8>>2]=d;DO(f,151126,g)|0}while((qP(c[15336]|0,4)|0)!=0);b=c[15336]|0}while(0);i=h;return b|0}function eD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;h[d>>3]=+mC(b,c[13948]|0,14.0,1.0);e=c[13949]|0;g=(b|0)!=0;if(g&(e|0)!=0){e=Rs(b,e)|0;if(!e)f=4;else f=3}else{e=149055;f=3}if((f|0)==3)if(!(a[e>>0]|0))f=4;if((f|0)==4)e=149055;c[d+8>>2]=e;e=c[13950]|0;if(g&(e|0)!=0){e=Rs(b,e)|0;if(!e)f=8;else f=7}else{e=178378;f=7}if((f|0)==7)if(!(a[e>>0]|0))f=8;if((f|0)==8)e=178378;c[d+12>>2]=e;return}function fD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0;f=d+8|0;if(!(c[f>>2]|0))eD(b,d);h[e>>3]=+mC(b,c[13968]|0,+h[d>>3],1.0);g=c[13969]|0;i=c[f>>2]|0;j=(b|0)!=0;if(j&(g|0)!=0)f=Rs(b,g)|0;else f=i;if(!((f|0)!=0?(a[f>>0]|0)!=0:0))f=i;c[e+8>>2]=f;f=c[13970]|0;g=c[d+12>>2]|0;if(j&(f|0)!=0)f=Rs(b,f)|0;else f=g;if(!((f|0)!=0?(a[f>>0]|0)!=0:0))f=g;c[e+12>>2]=f;return}function gD(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+128|0;l=m+80|0;h=m+40|0;g=m;if((f|0)!=0?(k=_O(f,58)|0,(k|0)!=0):0){a[k>>0]=0;g=k+1|0;Zb[d&31](h,e,f,g);j=l;e=h;d=j+36|0;do{c[j>>2]=c[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(d|0));a[k>>0]=58}else{Zb[d&31](g,e,f,0);j=l;e=g;d=j+36|0;do{c[j>>2]=c[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(d|0));g=f}j=b;e=l;d=j+36|0;do{c[j>>2]=c[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(d|0));c[b+36>>2]=g;i=m;return}function hD(b,c){b=b|0;c=c|0;var d=0;if(((c|0)!=0?(d=Rs(b,c)|0,(d|0)!=0):0)?(a[d>>0]|0)!=0:0)d=(BC(d,0)|0)<<24>>24==0&1;else d=0;return d|0}
function iK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=i;i=i+16|0;o=s;a:do if((e|0)==(f|0))h=-4;else{l=e;h=f-l|0;if(!(h&1))q=f;else{h=h&-2;if(!h){h=-1;break}q=e+h|0}h=a[e+1>>0]|0;f=a[e>>0]|0;b:do if(h<<24>>24){switch(h&255|0){case 219:case 218:case 217:case 216:{r=236;break b}case 223:case 222:case 221:case 220:{r=238;break b}case 255:break;default:{r=239;break b}}if((f&255)>253)r=238;else r=239}else{p=b+76|0;switch(d[p+(f&255)>>0]|0){case 7:{r=236;break b}case 8:case 1:case 0:{r=238;break b}case 2:{f=e+2|0;if((f|0)==(q|0)){h=-1;break a}h=a[e+3>>0]|0;l=a[f>>0]|0;c:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{r=22;break c}case 223:case 222:case 221:case 220:{r=72;break c}case 255:break;default:{r=14;break c}}if((l&255)>253)r=72;else{h=255;r=14}}else switch(d[p+(l&255)>>0]|0){case 29:{h=0;r=14;break c}case 24:case 22:break c;case 7:{r=22;break c}case 5:{if((q-f|0)<2){h=-2;break a}c[g>>2]=f;h=0;break a}case 6:{if((q-f|0)<3){h=-2;break a}c[g>>2]=f;h=0;break a}case 16:{h=e+4|0;if((h|0)==(q|0)){h=-1;break a}d:do if(!(a[e+5>>0]|0)){switch(d[p+(d[h>>0]|0)>>0]|0){case 27:{h=AK(b,e+6|0,q,g)|0;break a}case 20:break;default:break d}h=e+6|0;if((q-h|0)<12){h=-1;break a}else j=0;while(1){if(a[h+1>>0]|0){r=31;break}if((a[h>>0]|0)!=(a[185318+j>>0]|0)){r=31;break}j=j+1|0;h=h+2|0;if((j|0)>=6){r=33;break}}if((r|0)==31){c[g>>2]=h;h=0;break a}else if((r|0)==33){c[g>>2]=h;h=8;break a}}while(0);c[g>>2]=h;h=0;break a}case 15:{h=BK(b,e+4|0,q,g)|0;break a}case 17:{j=e+4|0;if((j|0)==(q|0)){h=-1;break a}h=a[e+5>>0]|0;k=a[j>>0]|0;e:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{r=48;break e}case 223:case 222:case 221:case 220:{r=50;break e}case 255:break;default:{r=41;break e}}if((k&255)>253)r=50;else{h=255;r=41}}else switch(d[p+(k&255)>>0]|0){case 29:{h=0;r=41;break e}case 24:case 22:break e;case 7:{r=48;break e}case 5:{if((q-j|0)<2){h=-2;break a}c[g>>2]=j;h=0;break a}case 6:{if((q-j|0)<3){h=-2;break a}c[g>>2]=j;h=0;break a}default:{r=50;break e}}while(0);if((r|0)==41){b=k&255;if(!(c[93572+((d[184799+h>>0]<<3|b>>>5)<<2)>>2]&1<<(b&31))){c[g>>2]=j;h=0;break a}}else if((r|0)==48){if((q-j|0)<4){h=-2;break a}c[g>>2]=j;h=0;break a}else if((r|0)==50){c[g>>2]=j;h=0;break a}h=e+6|0;if((h|0)==(q|0)){h=-1;break a}f:while(1){k=a[j+3>>0]|0;f=a[h>>0]|0;g:do if(k<<24>>24){j=k&255;switch(j|0){case 223:case 222:case 221:case 220:{r=71;break f}case 219:case 218:case 217:case 216:{r=62;break f}case 255:break;default:{m=j;r=56;break g}}if((f&255)>253){r=71;break f}else{m=255;r=56}}else switch(d[p+(f&255)>>0]|0){case 5:{r=58;break f}case 6:{r=60;break f}case 7:{r=62;break f}case 10:case 9:case 21:{r=55;break f}case 11:{h=j;r=70;break f}case 29:{m=0;r=56;break}case 23:case 27:case 26:case 25:case 24:case 22:break;default:{r=71;break f}}while(0);if((r|0)==56?(r=0,b=f&255,(c[93572+((d[185055+m>>0]<<3|b>>>5)<<2)>>2]&1<<(b&31)|0)==0):0){r=57;break}j=h+2|0;if((j|0)==(q|0)){h=-1;break a}else{b=h;h=j;j=b}}if((r|0)==55){j=j+4|0;if((j|0)==(q|0)){h=-1;break a}h:while(1){if(a[h+3>>0]|0){h=j;r=68;break}switch(d[p+(d[j>>0]|0)>>0]|0){case 11:{r=67;break h}case 10:case 9:case 21:break;default:{h=j;r=68;break h}}h=j+2|0;if((h|0)==(q|0)){h=-1;break a}else{r=j;j=h;h=r}}if((r|0)==67){c[g>>2]=h+4;h=5;break a}else if((r|0)==68){c[g>>2]=h;h=0;break a}}else if((r|0)==57){c[g>>2]=h;h=0;break a}else if((r|0)==58){if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==60){if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==62){if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==70){c[g>>2]=h+4;h=5;break a}else if((r|0)==71){c[g>>2]=h;h=0;break a}break}default:{r=72;break c}}while(0);if((r|0)==14){m=l&255;if(!(c[93572+((d[184799+h>>0]<<3|m>>>5)<<2)>>2]&1<<(m&31))){c[g>>2]=f;h=0;break a}}else if((r|0)==22){if((q-f|0)<4){h=-2;break a}c[g>>2]=f;h=0;break a}else if((r|0)==72){c[g>>2]=f;h=0;break a}h=e+4|0;if((h|0)==(q|0)){h=-1;break a}else m=0;i:while(1){j:while(1){f=a[h+1>>0]|0;l=a[h>>0]|0;k:do if(f<<24>>24){j=f&255;switch(j|0){case 223:case 222:case 221:case 220:{r=218;break i}case 219:case 218:case 217:case 216:{r=85;break i}case 255:break;default:{r=78;break k}}if((l&255)>253){r=218;break i}else{j=255;r=78}}else switch(d[p+(l&255)>>0]|0){case 5:{r=81;break i}case 6:{r=83;break i}case 7:{r=85;break i}case 10:case 9:case 21:{r=77;break i}case 11:{r=212;break i}case 17:break i;case 23:break j;case 29:{j=0;r=78;break}case 27:case 26:case 25:case 24:case 22:break;default:{r=218;break i}}while(0);if((r|0)==78?(r=0,e=l&255,(c[93572+((d[185055+j>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31)|0)==0):0){r=79;break i}h=h+2|0;if((h|0)==(q|0)){h=-1;break a}}if(m){r=88;break}l=h+2|0;if((l|0)==(q|0)){h=-1;break a}f=a[h+3>>0]|0;m=a[l>>0]|0;l:do if(f<<24>>24){k=f&255;switch(k|0){case 223:case 222:case 221:case 220:{h=l;r=103;break i}case 219:case 218:case 217:case 216:{h=l;r=101;break i}case 255:break;default:{r=94;break l}}if((m&255)>253){h=l;r=103;break i}else{k=255;r=94}}else switch(d[p+(m&255)>>0]|0){case 5:{h=l;r=97;break i}case 6:{h=l;r=99;break i}case 7:{h=l;r=101;break i}case 29:{k=0;r=94;break}case 24:case 22:break;default:{h=l;r=103;break i}}while(0);if((r|0)==94?(r=0,e=m&255,(c[93572+((d[184799+k>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31)|0)==0):0){h=l;r=95;break}h=h+4|0;if((h|0)==(q|0)){h=-1;break a}else m=1}m:switch(r|0){case 77:{j=h+2|0;if((j|0)==(q|0)){h=-1;break a}n:while(1){f=a[h+3>>0]|0;k=a[j>>0]|0;if(f<<24>>24){r=105;break}switch(d[p+(k&255)>>0]|0){case 11:{h=j;r=212;break m}case 17:{h=j;break m}case 29:{f=0;r=109;break n}case 24:case 22:break n;case 5:{h=j;r=205;break n}case 6:{h=j;r=207;break n}case 7:{h=j;r=209;break n}case 10:case 9:case 21:break;default:{h=j;r=211;break n}}h=j+2|0;if((h|0)==(q|0)){h=-1;break a}else{e=j;j=h;h=e}}o:do if((r|0)==105){f=f&255;switch(f|0){case 219:case 218:case 217:case 216:{h=j;r=209;break o}case 223:case 222:case 221:case 220:{h=j;r=211;break o}case 255:break;default:{r=109;break o}}if((k&255)>253){h=j;r=211}else{f=255;r=109}}else if((r|0)==205){if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==207){if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}while(0);if((r|0)==109){e=k&255;if(!(c[93572+((d[184799+f>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31))){c[g>>2]=j;h=0;break a}}else if((r|0)==209){if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==211){c[g>>2]=h;h=0;break a}h=h+4|0;c[o>>2]=h;p:do if((h|0)==(q|0))h=-1;else{l=q;f=0;q:while(1){r:while(1){j=a[h+1>>0]|0;k=a[h>>0]|0;s:do if(j<<24>>24){j=j&255;switch(j|0){case 223:case 222:case 221:case 220:{r=203;break q}case 219:case 218:case 217:case 216:{r=127;break q}case 255:break;default:{n=j;r=120;break s}}if((k&255)>253){r=203;break q}else{n=255;r=120}}else switch(d[p+(k&255)>>0]|0){case 5:{r=123;break q}case 6:{r=125;break q}case 7:{r=127;break q}case 23:{j=h;r=129;break r}case 10:case 9:case 21:{j=h;r=118;break r}case 14:{j=h;r=119;break r}case 29:{n=0;r=120;break}case 27:case 26:case 25:case 24:case 22:break;default:{r=203;break q}}while(0);if((r|0)==120?(r=0,e=k&255,(c[93572+((d[185055+n>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31)|0)==0):0){r=121;break q}h=h+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}}t:do if((r|0)==118){h=j+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}while(1){if(a[j+3>>0]|0){r=148;break q}switch(d[p+(d[h>>0]|0)>>0]|0){case 14:{j=h;r=119;break t}case 9:case 10:case 21:break;default:{r=148;break q}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}else{r=h;h=j;j=r}}}else if((r|0)==129){r=0;if(f){h=j;r=130;break q}h=j+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}j=a[j+3>>0]|0;k=a[h>>0]|0;u:do if(j<<24>>24){j=j&255;switch(j|0){case 223:case 222:case 221:case 220:{r=144;break q}case 219:case 218:case 217:case 216:{r=142;break q}case 255:break;default:break u}if((k&255)>253){r=144;break q}else j=255}else switch(d[p+(k&255)>>0]|0){case 5:{r=138;break q}case 6:{r=140;break q}case 7:{r=142;break q}case 24:case 22:{j=1;break t}case 29:{j=0;break}default:{r=144;break q}}while(0);e=k&255;if(!(c[93572+((d[184799+j>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31))){r=137;break q}else j=1}while(0);v:do if((r|0)==119){r=0;h=j+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}while(1){if(a[j+3>>0]|0){r=153;break q}k=d[p+(d[h>>0]|0)>>0]|0;if((k&254|0)==12){h=j;break}switch(k|0){case 9:case 10:case 21:break;default:{r=153;break q}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}else{e=h;h=j;j=e}}h=h+4|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}while(1){j=a[h+1>>0]|0;f=a[h>>0]|0;w:do if(!(j<<24>>24))j=d[p+(f&255)>>0]|0;else{switch(j&255|0){case 219:case 218:case 217:case 216:{j=7;break w}case 223:case 222:case 221:case 220:{j=8;break w}case 255:{if((f&255)>253){j=0;break w}break}default:{}}j=29}while(0);if((j|0)==(k|0))break;switch(j|0){case 8:case 1:case 0:{r=169;break q}case 2:{r=175;break q}case 5:{if((l-h|0)<2){h=-2;break p}h=h+2|0;c[o>>2]=h;break}case 6:{if((l-h|0)<3){h=-2;break p}h=h+3|0;c[o>>2]=h;break}case 7:{if((l-h|0)<4){h=-2;break p}h=h+4|0;c[o>>2]=h;break}case 3:{h=yK(b,h+2|0,q,o)|0;if((h|0)<1){r=173;break q}h=c[o>>2]|0;break}default:{h=h+2|0;c[o>>2]=h}}if((h|0)==(q|0)){h=-1;break p}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}if(a[h+3>>0]|0){h=j;r=181;break q}switch(d[p+(d[j>>0]|0)>>0]|0){case 11:{h=j;r=196;break q}case 17:{h=j;r=197;break q}case 10:case 9:case 21:break;default:{h=j;r=181;break q}}h=h+4|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}x:while(1){k=a[j+3>>0]|0;j=a[h>>0]|0;if(k<<24>>24){r=183;break}switch(d[p+(j&255)>>0]|0){case 5:{r=190;break q}case 6:{r=192;break q}case 7:{r=194;break q}case 11:{r=196;break q}case 17:{r=197;break q}case 24:case 22:{j=0;break v}case 29:break x;case 10:case 9:case 21:break;default:{r=202;break q}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}else{e=h;h=j;j=e}}y:do if((r|0)==183){r=0;switch(k&255|0){case 223:case 222:case 221:case 220:{r=202;break q}case 219:case 218:case 217:case 216:{r=194;break q}case 255:break;default:break y}if((j&255)>253){r=202;break q}}while(0);e=j&255;if(!(c[93572+((d[184799+(d[h+1>>0]|0)>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31))){r=188;break q}else j=0}while(0);h=h+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}else f=j}switch(r|0){case 121:{c[g>>2]=h;h=0;break p}case 123:{if((l-h|0)<2){h=-2;break p}c[g>>2]=h;h=0;break p}case 125:{if((l-h|0)<3){h=-2;break p}c[g>>2]=h;h=0;break p}case 127:{if((l-h|0)<4){h=-2;break p}c[g>>2]=h;h=0;break p}case 130:{c[g>>2]=h;h=0;break p}case 137:{c[g>>2]=h;h=0;break p}case 138:{if((l-h|0)<2){h=-2;break p}c[g>>2]=h;h=0;break p}case 140:{if((l-h|0)<3){h=-2;break p}c[g>>2]=h;h=0;break p}case 142:{if((l-h|0)<4){h=-2;break p}c[g>>2]=h;h=0;break p}case 144:{c[g>>2]=h;h=0;break p}case 148:{c[g>>2]=h;h=0;break p}case 153:{c[g>>2]=h;h=0;break p}case 169:{c[g>>2]=h;h=0;break p}case 173:{if(h)break p;c[g>>2]=c[o>>2];h=0;break p}case 175:{c[g>>2]=h;h=0;break p}case 181:{c[g>>2]=h;h=0;break p}case 188:{c[g>>2]=h;h=0;break p}case 190:{if((l-h|0)<2){h=-2;break p}c[g>>2]=h;h=0;break p}case 192:{if((l-h|0)<3){h=-2;break p}c[g>>2]=h;h=0;break p}case 194:{if((l-h|0)<4){h=-2;break p}c[g>>2]=h;h=0;break p}case 196:{c[g>>2]=h+2;h=1;break p}case 197:{k=h+2|0;c[o>>2]=k;j=k;if((k|0)==(q|0)){h=-1;break p}if((a[h+3>>0]|0)==0?(a[k>>0]|0)==62:0){c[g>>2]=h+4;h=3;break p}c[g>>2]=j;h=0;break p}case 202:{c[g>>2]=h;h=0;break p}case 203:{c[g>>2]=h;h=0;break p}}}while(0);break a}case 79:{c[g>>2]=h;h=0;break a}case 81:{if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 83:{if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 85:{if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 88:{c[g>>2]=h;h=0;break a}case 95:{c[g>>2]=h;h=0;break a}case 97:{if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 99:{if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 101:{if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 103:{c[g>>2]=h;h=0;break a}case 218:{c[g>>2]=h;h=0;break a}}if((r|0)==212){c[g>>2]=h+2;h=2;break a}j=h+2|0;if((j|0)==(q|0)){h=-1;break a}if((a[h+3>>0]|0)==0?(a[j>>0]|0)==62:0){c[g>>2]=h+4;h=4;break a}c[g>>2]=j;h=0;break a}case 3:{h=yK(b,e+2|0,q,g)|0;break a}case 9:{j=e+2|0;if((j|0)==(q|0)){h=-3;break a}if(!(a[e+3>>0]|0))h=(a[p+(d[j>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:j;h=7;break a}case 10:{c[g>>2]=e+2;h=7;break a}case 4:{h=e+2|0;if((h|0)==(q|0)){h=-5;break a}if(a[e+3>>0]|0)break b;if((a[h>>0]|0)!=93)break b;j=e+4|0;if((j|0)==(q|0)){h=-5;break a}if(a[e+5>>0]|0)break b;if((a[j>>0]|0)!=62)break b;c[g>>2]=j;h=0;break a}case 5:{if((q-l|0)<2){h=-2;break a}h=e+2|0;break b}case 6:{if((q-l|0)<3){h=-2;break a}h=e+3|0;break b}default:{r=239;break b}}}while(0);if((r|0)==236){if((q-l|0)<4){h=-2;break}h=e+4|0}else if((r|0)==238){c[g>>2]=e;h=0;break}else if((r|0)==239)h=e+2|0;z:do if((h|0)!=(q|0)){f=b+76|0;l=q;A:while(1){j=a[h+1>>0]|0;k=a[h>>0]|0;B:do if(j<<24>>24){switch(j&255|0){case 223:case 222:case 221:case 220:{r=262;break A}case 219:case 218:case 217:case 216:{r=252;break B}case 255:break;default:{r=263;break B}}if((k&255)>253){r=262;break A}else r=263}else switch(d[f+(k&255)>>0]|0){case 10:case 9:case 8:case 1:case 0:case 2:case 3:{r=262;break A}case 7:{r=252;break B}case 5:{if((l-h|0)<2){r=247;break A}h=h+2|0;break B}case 6:{if((l-h|0)<3){r=250;break A}h=h+3|0;break B}case 4:{j=h+2|0;if((j|0)==(q|0)){r=262;break A}if(a[h+3>>0]|0){h=j;break B}if((a[j>>0]|0)!=93){h=j;break B}k=h+4|0;if((k|0)==(q|0)){r=262;break A}if(a[h+5>>0]|0){h=j;break B}if((a[k>>0]|0)==62){h=k;r=261;break A}else{h=j;break B}}default:{r=263;break B}}while(0);if((r|0)==252){r=0;if((l-h|0)<4){r=253;break}h=h+4|0}else if((r|0)==263){r=0;h=h+2|0}if((h|0)==(q|0))break z}if((r|0)==247){c[g>>2]=h;h=6;break a}else if((r|0)==250){c[g>>2]=h;h=6;break a}else if((r|0)==253){c[g>>2]=h;h=6;break a}else if((r|0)==261){c[g>>2]=h;h=0;break a}else if((r|0)==262){c[g>>2]=h;h=6;break a}}while(0);c[g>>2]=q;h=6}while(0);i=s;return h|0}function jK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;a:do if((e|0)==(f|0))h=-4;else{i=e;h=f-i|0;if(!(h&1))j=f;else{h=h&-2;if(!h){h=-1;break}j=e+h|0}h=a[e+1>>0]|0;f=a[e>>0]|0;b:do if(h<<24>>24){switch(h&255|0){case 219:case 218:case 217:case 216:{k=25;break b}case 223:case 222:case 221:case 220:{k=27;break b}case 255:break;default:{k=28;break b}}if((f&255)>253)k=27;else k=28}else{h=b+76|0;switch(d[h+(f&255)>>0]|0){case 7:{k=25;break b}case 8:case 1:case 0:{k=27;break b}case 4:{h=e+2|0;if((h|0)==(j|0)){h=-1;break a}if(a[e+3>>0]|0)break b;if((a[h>>0]|0)!=93)break b;f=e+4|0;if((f|0)==(j|0)){h=-1;break a}if(a[e+5>>0]|0)break b;if((a[f>>0]|0)!=62)break b;c[g>>2]=e+6;h=40;break a}case 9:{f=e+2|0;if((f|0)==(j|0)){h=-1;break a}if(!(a[e+3>>0]|0))h=(a[h+(d[f>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:f;h=7;break a}case 10:{c[g>>2]=e+2;h=7;break a}case 5:{if((j-i|0)<2){h=-2;break a}h=e+2|0;break b}case 6:{if((j-i|0)<3){h=-2;break a}h=e+3|0;break b}default:{k=28;break b}}}while(0);if((k|0)==25){if((j-i|0)<4){h=-2;break}h=e+4|0}else if((k|0)==27){c[g>>2]=e;h=0;break}else if((k|0)==28)h=e+2|0;c:do if((h|0)!=(j|0)){b=b+76|0;e=j;d:while(1){f=a[h+1>>0]|0;i=a[h>>0]|0;e:do if(f<<24>>24){switch(f&255|0){case 223:case 222:case 221:case 220:{k=44;break d}case 219:case 218:case 217:case 216:{k=41;break e}case 255:break;default:{k=45;break e}}if((i&255)>253){k=44;break d}else k=45}else switch(d[b+(i&255)>>0]|0){case 4:case 10:case 9:case 8:case 1:case 0:{k=44;break d}case 7:{k=41;break e}case 5:{if((e-h|0)<2){k=36;break d}h=h+2|0;break e}case 6:{if((e-h|0)<3){k=39;break d}h=h+3|0;break e}default:{k=45;break e}}while(0);if((k|0)==41){k=0;if((e-h|0)<4){k=42;break}h=h+4|0}else if((k|0)==45){k=0;h=h+2|0}if((h|0)==(j|0))break c}if((k|0)==36){c[g>>2]=h;h=6;break a}else if((k|0)==39){c[g>>2]=h;h=6;break a}else if((k|0)==42){c[g>>2]=h;h=6;break a}else if((k|0)==44){c[g>>2]=h;h=6;break a}}while(0);c[g>>2]=j;h=6}while(0);return h|0}function kK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;k=f-e|0;k=(k&1|0)==0?f:e+(k&-2)|0;a:do if((k|0)!=(e|0)){i=b+76|0;j=k;h=0;b:while(1){f=a[e+1>>0]|0;b=a[e>>0]|0;c:do if(f<<24>>24){switch(f&255|0){case 223:case 222:case 221:case 220:{l=13;break b}case 219:case 218:case 217:case 216:{l=11;break c}case 255:break;default:{l=31;break c}}if((b&255)>253){l=13;break b}else l=31}else switch(d[i+(b&255)>>0]|0){case 8:case 1:case 0:{l=13;break b}case 7:{l=11;break c}case 5:{if((j-e|0)<2){e=-2;break a}e=e+2|0;f=h;break c}case 6:{if((j-e|0)<3){e=-2;break a}e=e+3|0;f=h;break c}case 2:{f=e+2|0;if((f|0)==(k|0)){e=-1;break a}if(a[e+3>>0]|0){e=f;f=h;break c}if((a[f>>0]|0)!=33){e=f;f=h;break c}f=e+4|0;if((f|0)==(k|0)){e=-1;break a}if(a[e+5>>0]|0){e=f;f=h;break c}if((a[f>>0]|0)!=91){e=f;f=h;break c}e=e+6|0;f=h+1|0;break c}case 4:{f=e+2|0;if((f|0)==(k|0)){e=-1;break a}if(a[e+3>>0]|0){e=f;f=h;break c}if((a[f>>0]|0)!=93){e=f;f=h;break c}f=e+4|0;if((f|0)==(k|0)){e=-1;break a}if(a[e+5>>0]|0){e=f;f=h;break c}if((a[f>>0]|0)!=62){e=f;f=h;break c}e=e+6|0;if(!h){l=29;break b}f=h+-1|0;break c}default:{l=31;break c}}while(0);if((l|0)==11){l=0;if((j-e|0)<4){e=-2;break a}e=e+4|0;f=h}else if((l|0)==31){l=0;e=e+2|0;f=h}if((e|0)==(k|0)){e=-1;break a}else h=f}if((l|0)==13){c[g>>2]=e;e=0;break}else if((l|0)==29){c[g>>2]=e;e=42;break}}else e=-1;while(0);return e|0}function lK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;do if((e|0)!=(f|0)){j=b+76|0;h=e;a:while(1){i=a[h+1>>0]|0;b:do if(i<<24>>24)if((i&-4)<<24>>24==-40)k=8;else k=25;else switch(d[j+(d[h>>0]|0)>>0]|0){case 3:{k=9;break a}case 2:{k=12;break a}case 10:{k=13;break a}case 9:{k=16;break a}case 21:{k=22;break a}case 7:{k=8;break b}case 5:{h=h+2|0;break b}case 6:{h=h+3|0;break b}default:{k=25;break b}}while(0);if((k|0)==8){k=0;h=h+4|0}else if((k|0)==25){k=0;h=h+2|0}if((h|0)==(f|0)){k=27;break}}if((k|0)==9)if((h|0)==(e|0)){h=yK(b,e+2|0,f,g)|0;break}else{c[g>>2]=h;h=6;break}else if((k|0)==12){c[g>>2]=h;h=0;break}else if((k|0)==13)if((h|0)==(e|0)){c[g>>2]=e+2;h=7;break}else{c[g>>2]=h;h=6;break}else if((k|0)==16){if((h|0)!=(e|0)){c[g>>2]=h;h=6;break}i=e+2|0;if((i|0)==(f|0)){h=-3;break}if(!(a[e+3>>0]|0))h=(a[j+(d[i>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:i;h=7;break}else if((k|0)==22)if((h|0)==(e|0)){c[g>>2]=e+2;h=39;break}else{c[g>>2]=h;h=6;break}else if((k|0)==27){c[g>>2]=f;h=6;break}}else h=-4;while(0);return h|0}function mK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;do if((e|0)!=(f|0)){j=b+76|0;h=e;a:while(1){i=a[h+1>>0]|0;b:do if(i<<24>>24)if((i&-4)<<24>>24==-40)k=8;else k=24;else switch(d[j+(d[h>>0]|0)>>0]|0){case 3:{k=9;break a}case 30:{k=12;break a}case 10:{k=15;break a}case 9:{k=18;break a}case 7:{k=8;break b}case 5:{h=h+2|0;break b}case 6:{h=h+3|0;break b}default:{k=24;break b}}while(0);if((k|0)==8){k=0;h=h+4|0}else if((k|0)==24){k=0;h=h+2|0}if((h|0)==(f|0)){k=26;break}}if((k|0)==9)if((h|0)==(e|0)){h=yK(b,e+2|0,f,g)|0;break}else{c[g>>2]=h;h=6;break}else if((k|0)==12)if((h|0)==(e|0)){h=zK(b,e+2|0,f,g)|0;h=(h|0)==22?0:h;break}else{c[g>>2]=h;h=6;break}else if((k|0)==15)if((h|0)==(e|0)){c[g>>2]=e+2;h=7;break}else{c[g>>2]=h;h=6;break}else if((k|0)==18){if((h|0)!=(e|0)){c[g>>2]=h;h=6;break}i=e+2|0;if((i|0)==(f|0)){h=-3;break}if(!(a[e+3>>0]|0))h=(a[j+(d[i>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:i;h=7;break}else if((k|0)==26){c[g>>2]=f;h=6;break}}else h=-4;while(0);return h|0}function nK(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0;i=b+76|0;b=e;e=c;a:while(1){f=e+1|0;g=a[f>>0]|0;c=a[e>>0]|0;b:do if(g<<24>>24){switch(g&255|0){case 223:case 222:case 221:case 220:{h=15;break a}case 219:case 218:case 217:case 216:{h=6;break b}case 255:break;default:{h=12;break b}}if((c&255)>253){h=15;break a}else h=12}else switch(d[i+(c&255)>>0]|0){case 7:{h=6;break}case 6:{h=8;break}case 5:{h=10;break}case 27:case 26:case 25:case 24:case 23:case 22:case 29:{h=12;break}default:{h=15;break a}}while(0);if((h|0)==6){h=0;if(c<<24>>24!=(a[b>>0]|0)){b=0;break}b=b+1|0;e=f;c=g;h=8}else if((h|0)==12){h=0;if((a[b>>0]|0)!=c<<24>>24){b=0;break}if((a[b+1>>0]|0)!=g<<24>>24){b=0;break}}if((h|0)==8){h=0;f=e+1|0;if(c<<24>>24!=(a[b>>0]|0)){b=0;break}b=b+1|0;e=f;c=a[f>>0]|0;h=10}if((h|0)==10){h=0;if(c<<24>>24!=(a[b>>0]|0)){b=0;break}if((a[e+1>>0]|0)!=(a[b+1>>0]|0)){b=0;break}}b=b+2|0;e=e+2|0}c:do if((h|0)==15){e=a[b+1>>0]|0;b=a[b>>0]|0;d:do if(e<<24>>24){switch(e&255|0){case 220:case 221:case 222:case 223:break d;case 255:break;default:{b=0;break c}}if((b&255)<=253){b=0;break c}}else switch(d[i+(b&255)>>0]|0){case 27:case 26:case 25:case 24:case 23:case 22:case 29:case 7:case 6:case 5:{b=0;break c}default:{}}while(0);b=1}while(0);return b|0}function oK(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=a[e>>0]|0;b=(c|0)==(d|0);a:do if(!(f<<24>>24))g=6;else while(1){if(b){b=0;break a}if(a[c+1>>0]|0){b=0;break a}if((a[c>>0]|0)!=f<<24>>24){b=0;break a}c=c+2|0;e=e+1|0;f=a[e>>0]|0;b=(c|0)==(d|0);if(!(f<<24>>24)){g=6;break}}while(0);if((g|0)==6)b=b&1;return b|0}function pK(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;g=b+76|0;b=c;a:while(1){e=a[b+1>>0]|0;f=a[b>>0]|0;b:do if(e<<24>>24){switch(e&255|0){case 223:case 222:case 221:case 220:break a;case 219:case 218:case 217:case 216:{e=8;break b}case 255:break;default:{e=9;break b}}if((f&255)>253)break a;else e=9}else switch(d[g+(f&255)>>0]|0|0){case 7:{e=8;break b}case 27:case 26:case 25:case 24:case 23:case 22:case 29:{e=9;break b}case 5:{b=b+2|0;continue a}case 6:{b=b+3|0;continue a}default:break a}while(0);if((e|0)==8){b=b+4|0;continue}else if((e|0)==9){b=b+2|0;continue}}return b-c|0}function qK(b,c){b=b|0;c=c|0;var e=0;a:do if(!(a[c+1>>0]|0)){e=b+76|0;while(1){switch(d[e+(d[c>>0]|0)>>0]|0){case 21:case 9:case 10:break;default:break a}b=c+2|0;if(!(a[c+3>>0]|0))c=b;else{c=b;break a}}}while(0);return c|0}function rK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;m=b+76|0;b=0;n=0;h=1;a:while(1){l=e+2|0;i=e+3|0;j=a[i>>0]|0;k=a[l>>0]|0;b:do if(j<<24>>24){switch(j&255|0){case 223:case 222:case 221:case 220:{i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}case 219:case 218:case 217:case 216:{r=12;break b}case 255:break;default:{r=16;break b}}if(!((h|0)==0&(k&255)<254)){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}}else switch(d[m+(k&255)>>0]|0){case 7:{r=12;break b}case 24:case 22:case 29:{r=16;break b}case 5:{if(h){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}if((b|0)>=(f|0)){j=n;k=b;e=l;h=1;n=j;b=k;continue a}c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;j=n;k=b;e=l;h=1;n=j;b=k;continue a}case 6:{if(h){j=h;k=n;l=b;e=i;h=j;n=k;b=l;continue a}if((b|0)>=(f|0)){k=n;l=b;e=i;h=1;n=k;b=l;continue a}c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;k=n;l=b;e=i;h=1;n=k;b=l;continue a}case 12:{if((h|0)!=2){if((b|0)>=(f|0)){k=b;n=12;e=l;h=2;b=k;continue a}c[g+(b<<4)+4>>2]=e+4;k=b;n=12;e=l;h=2;b=k;continue a}if((n|0)!=12){j=n;k=b;e=l;h=2;n=j;b=k;continue a}if((b|0)<(f|0))c[g+(b<<4)+8>>2]=l;b=b+1|0;n=12;e=l;h=0;continue a}case 13:{if((h|0)!=2){if((b|0)>=(f|0)){k=b;n=13;e=l;h=2;b=k;continue a}c[g+(b<<4)+4>>2]=e+4;k=b;n=13;e=l;h=2;b=k;continue a}if((n|0)!=13){j=n;k=b;e=l;h=2;n=j;b=k;continue a}if((b|0)<(f|0))c[g+(b<<4)+8>>2]=l;b=b+1|0;n=13;e=l;h=0;continue a}case 3:{if((b|0)>=(f|0)){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}a[g+(b<<4)+12>>0]=0;i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}case 21:{if((h|0)==1){j=n;k=b;e=l;h=0;n=j;b=k;continue a}if(!((h|0)==2&(b|0)<(f|0))){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}h=g+(b<<4)+12|0;if(!(a[h>>0]|0)){j=n;k=b;e=l;h=2;n=j;b=k;continue a}if((k<<24>>24==32?(l|0)!=(c[g+(b<<4)+4>>2]|0):0)?(o=a[e+5>>0]|0,p=o<<24>>24==0,q=a[e+4>>0]|0,!(p&q<<24>>24==32)):0){if(!p)if((q&255)>253&o<<24>>24==-1)e=0;else{j=n;k=b;e=l;h=2;n=j;b=k;continue a}else e=d[m+(q&255)>>0]|0;if((e|0)!=(n|0)){j=n;k=b;e=l;h=2;n=j;b=k;continue a}}a[h>>0]=0;j=n;k=b;e=l;h=2;n=j;b=k;continue a}case 10:case 9:{if((h|0)==1){j=n;k=b;e=l;h=0;n=j;b=k;continue a}if(!((h|0)==2&(b|0)<(f|0))){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}a[g+(b<<4)+12>>0]=0;j=n;k=b;e=l;h=2;n=j;b=k;continue a}case 17:case 11:if((h|0)==2){j=n;k=b;e=l;h=2;n=j;b=k;continue a}else break a;default:{i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}}while(0);if((r|0)==12){r=0;if(!h)if((b|0)<(f|0)){c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;h=1}else h=1;k=n;l=b;e=e+4|0;n=k;b=l;continue}else if((r|0)==16?(r=0,(h|0)!=0):0){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue}if((b|0)>=(f|0)){j=n;k=b;e=l;h=1;n=j;b=k;continue}c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;j=n;k=b;e=l;h=1;n=j;b=k}return b|0}function sK(b,c){b=b|0;c=c|0;var d=0,e=0;b=c+4|0;a:do if((a[c+5>>0]|0)==0?(a[b>>0]|0)==120:0){d=c+6|0;b=0;while(1){b:do if(!(a[d+1>>0]|0)){c=a[d>>0]|0;if(c<<24>>24==59){e=16;break a}c=c<<24>>24;switch(c|0){case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:case 48:{b=c+-48|b<<4;break}case 70:case 69:case 68:case 67:case 66:case 65:{b=(b<<4)+-55+c|0;break}case 102:case 101:case 100:case 99:case 98:case 97:{b=(b<<4)+-87+c|0;break}default:break b}if((b|0)>1114111){b=-1;break a}}while(0);d=d+2|0}}else{d=b;b=0;e=12}while(0);c:do if((e|0)==12)while(1){e=0;if(!(a[d+1>>0]|0)){c=a[d>>0]|0;if(c<<24>>24==59){e=16;break c}c=c<<24>>24}else c=-1;b=(b*10|0)+-48+c|0;if((b|0)>1114111){b=-1;break}else{d=d+2|0;e=12}}while(0);d:do if((e|0)==16)switch(b>>8|0){case 223:case 222:case 221:case 220:case 219:case 218:case 217:case 216:{b=-1;break d}case 0:{if(!(a[93280+b>>0]|0)){b=-1;break d}break}case 255:{if((b&-2|0)==65534){b=-1;break d}break}default:{}}while(0);return b|0}function tK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;a:do switch((d-c|0)/2|0|0){case 2:{if((a[c+3>>0]|0)==0?(a[c+2>>0]|0)==116:0){if(!(a[c+1>>0]|0))b=a[c>>0]|0;else b=-1;b=(b|0)==108?60:(b|0)==103?62:0}else e=27;break}case 3:{if((((((a[c+1>>0]|0)==0?(a[c>>0]|0)==97:0)?(a[c+3>>0]|0)==0:0)?(a[c+2>>0]|0)==109:0)?(a[c+5>>0]|0)==0:0)?(a[c+4>>0]|0)==112:0)b=38;else e=27;break}case 4:{if(!(a[c+1>>0]|0))switch(a[c>>0]|0){case 113:{if(a[c+3>>0]|0){e=27;break a}if((a[c+2>>0]|0)!=117){e=27;break a}if(a[c+5>>0]|0){e=27;break a}if((a[c+4>>0]|0)!=111){e=27;break a}if(a[c+7>>0]|0){e=27;break a}if((a[c+6>>0]|0)==116){b=34;break a}else{e=27;break a}}case 97:{if(a[c+3>>0]|0){e=27;break a}if((a[c+2>>0]|0)!=112){e=27;break a}if(a[c+5>>0]|0){e=27;break a}if((a[c+4>>0]|0)!=111){e=27;break a}if(a[c+7>>0]|0){e=27;break a}if((a[c+6>>0]|0)==115){b=39;break a}else{e=27;break a}}default:{e=27;break a}}else e=27;break}default:e=27}while(0);if((e|0)==27)b=0;return b|0}function uK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;if(e>>>0<f>>>0){j=b+76|0;k=g+4|0;b=e;do{e=a[b+1>>0]|0;a:do if(e<<24>>24)if((e&-4)<<24>>24==-40)l=8;else l=19;else switch(d[j+(d[b>>0]|0)>>0]|0|0){case 7:{l=8;break a}case 5:{b=b+2|0;break a}case 6:{b=b+3|0;break a}case 10:{c[k>>2]=-1;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break a}case 9:{c[g>>2]=(c[g>>2]|0)+1;i=b+2|0;if((i|0)==(f|0))b=f;else{e=a[b+3>>0]|0;h=a[i>>0]|0;b:do if(!(e<<24>>24))e=d[j+(h&255)>>0]|0;else{switch(e&255|0){case 219:case 218:case 217:case 216:{e=7;break b}case 223:case 222:case 221:case 220:{e=8;break b}case 255:{if((h&255)>253){e=0;break b}break}default:{}}e=29}while(0);b=(e|0)==10?b+4|0:i}c[k>>2]=-1;break a}default:{l=19;break a}}while(0);if((l|0)==8){l=0;b=b+4|0}else if((l|0)==19){l=0;b=b+2|0}c[k>>2]=(c[k>>2]|0)+1}while(b>>>0<f>>>0)}return}function vK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=f+-2|0;f=e+2|0;a:do if((f|0)!=(h|0)){b=b+76|0;b:while(1){if(a[e+3>>0]|0){i=10;break}e=a[f>>0]|0;switch(d[b+(e&255)>>0]|0){case 23:case 19:case 30:case 33:case 16:case 18:case 10:case 9:case 15:case 14:case 17:case 35:case 34:case 32:case 31:case 13:case 27:case 24:case 25:break;case 21:{if(e<<24>>24==9){i=7;break b}break}case 22:case 26:{if(e<<24>>24<0)i=9;break}default:i=9}if((i|0)==9){i=0;switch(a[f>>0]|0){case 64:case 36:break;default:{i=10;break b}}}e=f+2|0;if((e|0)==(h|0)){f=1;break a}else{j=f;f=e;e=j}}if((i|0)==7){c[g>>2]=f;f=0;break}else if((i|0)==10){c[g>>2]=f;f=0;break}}else f=1;while(0);return f|0}function wK(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;b=c[e>>2]|0;a:do if((b|0)!=(f|0)){l=h;b:while(1){k=a[b>>0]|0;j=d[b+1>>0]|0;switch(j|0){case 0:{if(k<<24>>24>-1){i=c[g>>2]|0;if((i|0)==(h|0)){m=6;break b}c[g>>2]=i+1;a[i>>0]=k}else m=8;break}case 7:case 6:case 5:case 4:case 3:case 2:case 1:{m=8;break}case 219:case 218:case 217:case 216:{i=c[g>>2]|0;if((l-i|0)<4){m=15;break b}n=k&255;j=(j<<2&12|n>>>6)+1|0;c[g>>2]=i+1;a[i>>0]=j>>>2|240;k=c[g>>2]|0;c[g>>2]=k+1;a[k>>0]=n>>>2&15|j<<4&48|128;k=b+2|0;j=d[k>>0]|0;i=(n<<4&48|j>>>6|(d[b+3>>0]|0)<<2&12|128)&255;b=c[g>>2]|0;c[g>>2]=b+1;a[b>>0]=i;b=c[g>>2]|0;c[g>>2]=b+1;a[b>>0]=j&63|128;b=k;break}default:{i=c[g>>2]|0;if((l-i|0)<3){m=12;break b}c[g>>2]=i+1;a[i>>0]=j>>>4|224;k=k&255;n=c[g>>2]|0;c[g>>2]=n+1;a[n>>0]=k>>>6|j<<2&60|128;n=c[g>>2]|0;c[g>>2]=n+1;a[n>>0]=k&63|128}}if((m|0)==8){m=0;i=c[g>>2]|0;if((l-i|0)<2){m=9;break}k=k&255;c[g>>2]=i+1;a[i>>0]=k>>>6|j<<2|192;n=c[g>>2]|0;c[g>>2]=n+1;a[n>>0]=k&63|128}b=b+2|0;if((b|0)==(f|0)){m=18;break a}}if((m|0)==6){c[e>>2]=b;break}else if((m|0)==9){c[e>>2]=b;break}else if((m|0)==12){c[e>>2]=b;break}else if((m|0)==15){c[e>>2]=b;break}}else m=18;while(0);if((m|0)==18)c[e>>2]=f;return}function xK(e,f,g,h,i){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=c[f>>2]|0;e=c[h>>2]|0;if((g-j|0)>(i-e|0))g=(a[g+-1>>0]&-8)<<24>>24==-40?g+-2|0:g;a:do if(!((j|0)==(g|0)|(e|0)==(i|0)))do{k=((d[j+1>>0]|0)<<8|(d[j>>0]|0))&65535;c[h>>2]=e+2;b[e>>1]=k;j=(c[f>>2]|0)+2|0;c[f>>2]=j;if((j|0)==(g|0))break a;e=c[h>>2]|0}while((e|0)!=(i|0));while(0);return}function yK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;a:do if((e|0)!=(f|0)){h=a[e+1>>0]|0;j=a[e>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{l=14;break b}case 223:case 222:case 221:case 220:{l=36;break b}case 255:break;default:{l=8;break b}}if((j&255)>253)l=36;else{h=255;l=8}}else{k=b+76|0;switch(d[k+(j&255)>>0]|0){case 29:{h=0;l=8;break b}case 24:case 22:break b;case 7:{l=14;break b}case 5:{if((f-e|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((f-e|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}case 19:{i=e+2|0;if((i|0)==(f|0)){h=-1;break a}do if(!(a[e+3>>0]|0)){h=a[i>>0]|0;if(h<<24>>24!=120){if((a[k+(h&255)>>0]|0)!=25)break;c:while(1){h=i+2|0;if((h|0)==(f|0)){h=-1;break a}if(a[e+5>>0]|0){l=35;break}switch(d[k+(d[h>>0]|0)>>0]|0){case 25:{e=i;i=h;break}case 18:{h=e;l=34;break c}default:{l=35;break c}}}if((l|0)==34){c[g>>2]=h+6;h=10;break a}else if((l|0)==35){c[g>>2]=h;h=0;break a}}i=e+4|0;if((i|0)==(f|0)){h=-1;break a}if((a[e+5>>0]|0)==0?(a[k+(d[i>>0]|0)>>0]&-2)<<24>>24==24:0){h=e+6|0;if((h|0)==(f|0)){h=-1;break a}d:while(1){if(a[i+3>>0]|0){l=28;break}switch(d[k+(d[h>>0]|0)>>0]|0){case 18:{h=i;l=27;break d}case 24:case 25:break;default:{l=28;break d}}i=h+2|0;if((i|0)==(f|0)){h=-1;break a}else{l=h;h=i;i=l}}if((l|0)==27){c[g>>2]=h+4;h=10;break a}else if((l|0)==28){c[g>>2]=h;h=0;break a}}c[g>>2]=i;h=0;break a}while(0);c[g>>2]=i;h=0;break a}default:{l=36;break b}}}while(0);if((l|0)==8){k=j&255;if(!(1<<(k&31)&c[93572+((k>>>5|d[184799+h>>0]<<3)<<2)>>2])){c[g>>2]=e;h=0;break}}else if((l|0)==14){if((f-e|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((l|0)==36){c[g>>2]=e;h=0;break}h=e+2|0;if((h|0)!=(f|0)){k=b+76|0;e:while(1){j=a[e+3>>0]|0;b=a[h>>0]|0;f:do if(j<<24>>24){i=j&255;switch(i|0){case 223:case 222:case 221:case 220:{l=51;break e}case 219:case 218:case 217:case 216:{l=48;break e}case 255:break;default:{l=41;break f}}if((b&255)>253){l=51;break e}else{i=255;l=41}}else switch(d[k+(b&255)>>0]|0){case 5:{l=44;break e}case 6:{l=46;break e}case 7:{l=48;break e}case 18:{h=e;l=50;break e}case 29:{i=0;l=41;break}case 27:case 26:case 25:case 24:case 22:break;default:{l=51;break e}}while(0);if((l|0)==41?(l=0,b=b&255,(1<<(b&31)&c[93572+((b>>>5|d[185055+i>>0]<<3)<<2)>>2]|0)==0):0){l=43;break}e=h+2|0;if((e|0)==(f|0)){h=-1;break a}else{b=h;h=e;e=b}}if((l|0)==43){c[g>>2]=h;h=0;break}else if((l|0)==44){if((f-h|0)<2){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==46){if((f-h|0)<3){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==48){if((f-h|0)<4){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==50){c[g>>2]=h+4;h=9;break}else if((l|0)==51){c[g>>2]=h;h=0;break}}else h=-1}else h=-1;while(0);return h|0}function zK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;a:do if((e|0)!=(f|0)){h=a[e+1>>0]|0;j=a[e>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{l=14;break b}case 223:case 222:case 221:case 220:{l=17;break b}case 255:break;default:{l=8;break b}}if((j&255)>253)l=17;else{h=255;l=8}}else switch(d[b+76+(j&255)>>0]|0|0){case 29:{h=0;l=8;break b}case 24:case 22:break b;case 7:{l=14;break b}case 5:{if((f-e|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((f-e|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}case 30:case 9:case 10:case 21:{c[g>>2]=e;h=22;break a}default:{l=17;break b}}while(0);if((l|0)==8){k=j&255;if(!(1<<(k&31)&c[93572+((k>>>5|(d[184799+h>>0]|0)<<3)<<2)>>2])){c[g>>2]=e;h=0;break}}else if((l|0)==14){if((f-e|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((l|0)==17){c[g>>2]=e;h=0;break}h=e+2|0;if((h|0)!=(f|0)){k=b+76|0;c:while(1){j=a[e+3>>0]|0;b=a[h>>0]|0;d:do if(j<<24>>24){i=j&255;switch(i|0){case 223:case 222:case 221:case 220:{l=32;break c}case 219:case 218:case 217:case 216:{l=29;break c}case 255:break;default:{l=22;break d}}if((b&255)>253){l=32;break c}else{i=255;l=22}}else switch(d[k+(b&255)>>0]|0|0){case 5:{l=25;break c}case 6:{l=27;break c}case 7:{l=29;break c}case 18:{h=e;l=31;break c}case 29:{i=0;l=22;break}case 27:case 26:case 25:case 24:case 22:break;default:{l=32;break c}}while(0);if((l|0)==22?(l=0,b=b&255,(1<<(b&31)&c[93572+((b>>>5|(d[185055+i>>0]|0)<<3)<<2)>>2]|0)==0):0){l=24;break}j=h+2|0;if((j|0)==(f|0)){h=-1;break a}else{e=h;h=j}}if((l|0)==24){c[g>>2]=h;h=0;break}else if((l|0)==25){if((f-h|0)<2){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==27){if((f-h|0)<3){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==29){if((f-h|0)<4){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==31){c[g>>2]=h+4;h=28;break}else if((l|0)==32){c[g>>2]=h;h=0;break}}else h=-1}else h=-1;while(0);return h|0}function AK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;a:do if((e|0)==(f|0))e=-1;else{if((a[e+1>>0]|0)==0?(a[e>>0]|0)==45:0){e=e+2|0;if((e|0)==(f|0)){e=-1;break}i=b+76|0;j=f;b:while(1){b=a[e+1>>0]|0;h=a[e>>0]|0;c:do if(b<<24>>24){switch(b&255|0){case 223:case 222:case 221:case 220:{k=17;break b}case 219:case 218:case 217:case 216:{k=15;break c}case 255:break;default:{k=27;break c}}if((h&255)>253){k=17;break b}else k=27}else switch(d[i+(h&255)>>0]|0){case 8:case 1:case 0:{k=17;break b}case 7:{k=15;break c}case 5:{if((j-e|0)<2){e=-2;break a}e=e+2|0;break c}case 6:{if((j-e|0)<3){e=-2;break a}e=e+3|0;break c}case 27:{b=e+2|0;if((b|0)==(f|0)){e=-1;break a}if(a[e+3>>0]|0){e=b;break c}if((a[b>>0]|0)==45)break b;else{e=b;break c}}default:{k=27;break c}}while(0);if((k|0)==15){k=0;if((j-e|0)<4){e=-2;break a}e=e+4|0}else if((k|0)==27){k=0;e=e+2|0}if((e|0)==(f|0)){e=-1;break a}}if((k|0)==17){c[g>>2]=e;e=0;break}b=e+4|0;if((b|0)==(f|0)){e=-1;break}if((a[e+5>>0]|0)==0?(a[b>>0]|0)==62:0){c[g>>2]=e+6;e=13;break}c[g>>2]=b;e=0;break}c[g>>2]=e;e=0}while(0);return e|0}function BK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+16|0;n=p;a:do if((e|0)!=(f|0)){h=a[e+1>>0]|0;j=a[e>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{o=14;break b}case 223:case 222:case 221:case 220:{o=16;break b}case 255:break;default:{o=8;break b}}if((j&255)>253)o=16;else{h=255;o=8}}else switch(d[b+76+(j&255)>>0]|0){case 29:{h=0;o=8;break b}case 24:case 22:break b;case 7:{o=14;break b}case 5:{if((f-e|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((f-e|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}default:{o=16;break b}}while(0);if((o|0)==8){m=j&255;if(!(1<<(m&31)&c[93572+((m>>>5|d[184799+h>>0]<<3)<<2)>>2])){c[g>>2]=e;h=0;break}}else if((o|0)==14){if((f-e|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((o|0)==16){c[g>>2]=e;h=0;break}h=e+2|0;if((h|0)!=(f|0)){m=b+76|0;j=e;c:while(1){b=a[j+3>>0]|0;k=a[h>>0]|0;d:do if(b<<24>>24){j=b&255;switch(j|0){case 223:case 222:case 221:case 220:break c;case 219:case 218:case 217:case 216:{o=28;break c}case 255:break;default:{l=j;o=21;break d}}if((k&255)>253)break c;else{l=255;o=21}}else switch(d[m+(k&255)>>0]|0){case 5:{o=24;break c}case 6:{o=26;break c}case 7:{o=28;break c}case 10:case 9:case 21:{o=30;break c}case 15:{o=51;break c}case 29:{l=0;o=21;break}case 27:case 26:case 25:case 24:case 22:break;default:break c}while(0);if((o|0)==21?(o=0,k=k&255,(1<<(k&31)&c[93572+((k>>>5|d[185055+l>>0]<<3)<<2)>>2]|0)==0):0){o=23;break}j=h+2|0;if((j|0)==(f|0)){h=-1;break a}else{k=h;h=j;j=k}}if((o|0)==23){c[g>>2]=h;h=0;break}else if((o|0)==24){if((f-h|0)<2){h=-2;break}c[g>>2]=h;h=0;break}else if((o|0)==26){if((f-h|0)<3){h=-2;break}c[g>>2]=h;h=0;break}else if((o|0)==28){if((f-h|0)<4){h=-2;break}c[g>>2]=h;h=0;break}else if((o|0)==30){if(!(CK(e,h,n)|0)){c[g>>2]=h;h=0;break}h=j+4|0;if((h|0)==(f|0)){h=-1;break}k=f;e:while(1){j=a[h+1>>0]|0;b=a[h>>0]|0;f:do if(j<<24>>24){switch(j&255|0){case 223:case 222:case 221:case 220:{o=44;break e}case 219:case 218:case 217:case 216:{o=42;break f}case 255:break;default:{o=50;break f}}if((b&255)>253){o=44;break e}else o=50}else switch(d[m+(b&255)>>0]|0){case 8:case 1:case 0:{o=44;break e}case 7:{o=42;break f}case 5:{if((k-h|0)<2){h=-2;break a}h=h+2|0;break f}case 6:{if((k-h|0)<3){h=-2;break a}h=h+3|0;break f}case 15:{j=h+2|0;if((j|0)==(f|0)){h=-1;break a}if(a[h+3>>0]|0){h=j;break f}if((a[j>>0]|0)==62){o=49;break e}else{h=j;break f}}default:{o=50;break f}}while(0);if((o|0)==42){o=0;if((k-h|0)<4){h=-2;break a}h=h+4|0}else if((o|0)==50){o=0;h=h+2|0}if((h|0)==(f|0)){h=-1;break a}}if((o|0)==44){c[g>>2]=h;h=0;break}else if((o|0)==49){c[g>>2]=h+4;h=c[n>>2]|0;break}}else if((o|0)==51){if(!(CK(e,h,n)|0)){c[g>>2]=h;h=0;break}h=j+4|0;if((h|0)==(f|0)){h=-1;break}if((a[j+5>>0]|0)==0?(a[h>>0]|0)==62:0){c[g>>2]=j+6;h=c[n>>2]|0;break}}c[g>>2]=h;h=0}else h=-1}else h=-1;while(0);i=p;return h|0}function CK(b,d,e){b=b|0;d=d|0;e=e|0;c[e>>2]=11;a:do if((d-b|0)==6?(a[b+1>>0]|0)==0:0){switch(a[b>>0]|0){case 120:{d=0;break}case 88:{d=1;break}default:{d=1;break a}}if(!(a[b+3>>0]|0)){switch(a[b+2>>0]|0){case 109:break;case 77:{d=1;break}default:{d=1;break a}}if(!(a[b+5>>0]|0)){switch(a[b+4>>0]|0){case 108:break;case 76:{d=0;break a}default:{d=1;break a}}if(!d){c[e>>2]=12;d=1}else d=0}else d=1}else d=1}else d=1;while(0);return d|0}function DK(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;a:do if((f|0)!=(g|0)){k=e+76|0;j=g;b:while(1){e=a[f+1>>0]|0;i=a[f>>0]|0;c:do if(e<<24>>24){switch(e&255|0){case 223:case 222:case 221:case 220:{l=13;break b}case 219:case 218:case 217:case 216:{l=11;break c}case 255:break;default:{l=19;break c}}if((i&255)>253){l=13;break b}else l=19}else{i=d[k+(i&255)>>0]|0;switch(i|0){case 8:case 1:case 0:{l=13;break b}case 7:{l=11;break c}case 5:{if((j-f|0)<2){f=-2;break a}f=f+2|0;break c}case 6:{if((j-f|0)<3){f=-2;break a}f=f+3|0;break c}case 13:case 12:{e=f+2|0;if((i|0)==(b|0))break b;else{f=e;break c}}default:{l=19;break c}}}while(0);if((l|0)==11){l=0;if((j-f|0)<4){f=-2;break a}f=f+4|0}else if((l|0)==19){l=0;f=f+2|0}if((f|0)==(g|0)){f=-1;break a}}if((l|0)==13){c[h>>2]=f;f=0;break}if((e|0)==(g|0))f=-27;else{c[h>>2]=e;if(!(a[f+3>>0]|0))switch(d[k+(d[e>>0]|0)>>0]|0){case 20:case 30:case 11:case 10:case 9:case 21:{f=27;break a}default:{}}f=0}}else f=-1;while(0);return f|0}function EK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a:do if((e|0)==(f|0))h=-4;else{j=e;h=f-j|0;if(!(h&1))m=f;else{h=h&-2;if(!h){h=-1;break}m=e+h|0}h=a[e>>0]|0;f=a[e+1>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{n=100;break b}case 223:case 222:case 221:case 220:{n=107;break b}case 255:break;default:{n=105;break b}}if((f&255)>253)n=107;else{h=255;n=105}}else{l=b+76|0;do switch(d[l+(f&255)>>0]|0){case 7:{n=100;break b}case 24:case 22:{h=18;break b}case 29:{h=0;n=105;break b}case 12:{h=_K(12,b,e+2|0,m,g)|0;break a}case 13:{h=_K(13,b,e+2|0,m,g)|0;break a}case 2:{h=e+2|0;if((h|0)==(m|0)){h=-1;break a}i=a[h>>0]|0;f=a[e+3>>0]|0;c:do if(i<<24>>24){switch(i&255|0){case 220:case 221:case 222:case 223:{n=35;break c}case 255:break;default:{n=34;break c}}if((f&255)>253)n=35;else n=34}else{switch(d[l+(f&255)>>0]|0){case 7:case 6:case 5:case 29:case 24:case 22:{n=34;break c}case 16:break;case 15:{h=YK(b,e+4|0,m,g)|0;break a}default:{n=35;break c}}i=e+4|0;if((i|0)==(m|0)){h=-1;break a}d:do if(!(a[i>>0]|0))switch(d[l+(d[e+5>>0]|0)>>0]|0){case 27:{h=XK(b,e+6|0,m,g)|0;break a}case 20:{c[g>>2]=e+6;h=33;break a}case 24:case 22:{h=e+6|0;if((h|0)==(m|0)){h=-1;break a}e:while(1){if(a[h>>0]|0){n=32;break}switch(d[l+(d[i+3>>0]|0)>>0]|0){case 30:{f=i;n=27;break e}case 10:case 9:case 21:break e;case 24:case 22:break;default:{n=32;break e}}i=h+2|0;if((i|0)==(m|0)){h=-1;break a}else{k=h;h=i;i=k}}if((n|0)==32){c[g>>2]=h;h=0;break a}f:do if((n|0)==27){i=f+4|0;if((i|0)==(m|0)){h=-1;break a}if(!(a[i>>0]|0)){switch(d[l+(d[f+5>>0]|0)>>0]|0){case 30:case 10:case 9:case 21:break;default:break f}c[g>>2]=h;h=0;break a}}while(0);c[g>>2]=h;h=16;break a}default:break d}while(0);c[g>>2]=i;h=0;break a}while(0);if((n|0)==34){c[g>>2]=e;h=29;break a}else if((n|0)==35){c[g>>2]=h;h=0;break a}break}case 9:{if((e+2|0)==(m|0)){c[g>>2]=m;h=-15;break a}break}case 10:case 21:break;case 30:{h=WK(b,e+2|0,m,g)|0;break a}case 35:{c[g>>2]=e+2;h=38;break a}case 20:{c[g>>2]=e+2;h=25;break a}case 4:{h=e+2|0;if((h|0)==(m|0)){h=-26;break a}if((a[h>>0]|0)==0?(a[e+3>>0]|0)==93:0){i=e+4|0;if((i|0)==(m|0)){h=-1;break a}if((a[i>>0]|0)==0?(a[e+5>>0]|0)==62:0){c[g>>2]=e+6;h=34;break a}}c[g>>2]=h;h=26;break a}case 31:{c[g>>2]=e+2;h=23;break a}case 32:{h=e+2|0;if((h|0)==(m|0)){h=-24;break a}g:do if(!(a[h>>0]|0))switch(d[l+(d[e+3>>0]|0)>>0]|0){case 33:{c[g>>2]=e+4;h=36;break a}case 15:{c[g>>2]=e+4;h=35;break a}case 34:{c[g>>2]=e+4;h=37;break a}case 32:case 36:case 35:case 11:case 21:case 10:case 9:{c[g>>2]=h;h=24;break a}default:break g}while(0);c[g>>2]=h;h=0;break a}case 36:{c[g>>2]=e+2;h=21;break a}case 11:{c[g>>2]=e+2;h=17;break a}case 19:{f=e+2|0;if((f|0)==(m|0)){h=-1;break a}h=a[f>>0]|0;j=a[e+3>>0]|0;h:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{n=78;break h}case 223:case 222:case 221:case 220:{n=80;break h}case 255:break;default:{n=72;break h}}if((j&255)>253)n=80;else{h=255;n=72}}else switch(d[l+(j&255)>>0]|0){case 29:{h=0;n=72;break h}case 24:case 22:break h;case 7:{n=78;break h}case 5:{if((m-f|0)<2){h=-2;break a}c[g>>2]=f;h=0;break a}case 6:{if((m-f|0)<3){h=-2;break a}c[g>>2]=f;h=0;break a}default:{n=80;break h}}while(0);if((n|0)==72){k=j&255;if(!(c[93572+((d[184799+h>>0]<<3|k>>>5)<<2)>>2]&1<<(k&31))){c[g>>2]=f;h=0;break a}}else if((n|0)==78){if((m-f|0)<4){h=-2;break a}c[g>>2]=f;h=0;break a}else if((n|0)==80){c[g>>2]=f;h=0;break a}h=e+4|0;if((h|0)==(m|0)){h=-20;break a}i:while(1){j=a[h>>0]|0;f=a[f+3>>0]|0;j:do if(j<<24>>24){i=j&255;switch(i|0){case 223:case 222:case 221:case 220:{n=95;break i}case 219:case 218:case 217:case 216:{n=92;break i}case 255:break;default:{n=85;break j}}if((f&255)>253){n=95;break i}else{i=255;n=85}}else switch(d[l+(f&255)>>0]|0){case 5:{n=88;break i}case 6:{n=90;break i}case 7:{n=92;break i}case 36:case 30:case 11:case 32:case 21:case 10:case 9:{n=94;break i}case 29:{i=0;n=85;break}case 27:case 26:case 25:case 24:case 22:break;default:{n=95;break i}}while(0);if((n|0)==85?(n=0,k=f&255,(c[93572+((d[185055+i>>0]<<3|k>>>5)<<2)>>2]&1<<(k&31)|0)==0):0){n=87;break}f=h+2|0;if((f|0)==(m|0)){h=-20;break a}else{k=h;h=f;f=k}}if((n|0)==87){c[g>>2]=h;h=0;break a}else if((n|0)==88){if((m-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}else if((n|0)==90){if((m-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}else if((n|0)==92){if((m-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}else if((n|0)==94){c[g>>2]=h;h=20;break a}else if((n|0)==95){c[g>>2]=h;h=0;break a}break}case 5:{if((m-j|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((m-j|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}case 23:case 27:case 26:case 25:{h=19;break b}default:{n=107;break b}}while(0);h=e+2|0;k:do if((h|0)!=(m|0)){i=e;l:while(1){if(a[h>>0]|0)break;switch(d[l+(d[i+3>>0]|0)>>0]|0){case 10:case 21:break;case 9:{if((i+4|0)==(m|0))break l;break}default:break l}i=h+2|0;if((i|0)==(m|0))break k;else{n=h;h=i;i=n}}c[g>>2]=h;h=15;break a}while(0);c[g>>2]=m;h=15;break a}while(0);if((n|0)==100){if((m-j|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((n|0)==105){f=f&255;i=f>>>5;f=1<<(f&31);if(!(f&c[93572+((i|d[184799+h>>0]<<3)<<2)>>2]))if(!(c[93572+((d[185055+h>>0]<<3|i)<<2)>>2]&f))n=107;else h=19;else h=18}if((n|0)==107){c[g>>2]=e;h=0;break}i=e+2|0;m:do if((i|0)!=(m|0)){b=b+76|0;n:while(1){f=a[i>>0]|0;j=a[i+1>>0]|0;o:do if(f<<24>>24){f=f&255;switch(f|0){case 223:case 222:case 221:case 220:{h=i;n=148;break n}case 219:case 218:case 217:case 216:{h=i;n=119;break n}case 255:break;default:{n=112;break o}}if((j&255)>253){h=i;n=148;break n}else{f=255;n=112}}else{switch(d[b+(j&255)>>0]|0){case 5:{h=i;n=115;break n}case 6:{h=i;n=117;break n}case 7:{h=i;n=119;break n}case 10:case 9:case 21:case 30:case 20:case 36:case 35:case 32:case 11:{n=121;break n}case 34:{n=139;break n}case 33:{n=142;break n}case 15:{n=145;break n}case 29:{f=0;n=112;break o}case 27:case 26:case 25:case 24:case 22:{n=114;break o}case 23:break;default:{h=i;n=148;break n}}j=i+2|0;switch(h|0){case 18:break;case 41:{i=j;h=19;break o}default:{i=j;break o}}if((j|0)==(m|0)){h=-1;break a}h=a[j>>0]|0;f=a[i+3>>0]|0;p:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{h=j;n=135;break n}case 223:case 222:case 221:case 220:{i=j;h=19;break o}case 255:break;default:{k=h;n=128;break p}}if((f&255)>253){i=j;h=19;break o}else{k=255;n=128}}else switch(d[b+(f&255)>>0]|0){case 7:{h=j;n=135;break n}case 5:{h=j;n=131;break n}case 6:{h=j;n=133;break n}case 29:{k=0;n=128;break}case 27:case 26:case 25:case 24:case 22:break;default:{i=j;h=19;break o}}while(0);if((n|0)==128?(n=0,l=f&255,(1<<(l&31)&c[93572+((l>>>5|d[185055+k>>0]<<3)<<2)>>2]|0)==0):0){h=j;n=129;break n}i=i+4|0;h=41}while(0);if((n|0)==112){n=j&255;if(!(1<<(n&31)&c[93572+((n>>>5|d[185055+f>>0]<<3)<<2)>>2])){h=i;n=113;break}else n=114}if((n|0)==114){n=0;i=i+2|0}if((i|0)==(m|0))break m}switch(n|0){case 113:{c[g>>2]=h;h=0;break a}case 115:{if((m-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 117:{if((m-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 119:{if((m-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 121:{c[g>>2]=i;break a}case 129:{c[g>>2]=h;h=0;break a}case 131:{if((m-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 133:{if((m-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 135:{if((m-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 139:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+2;h=32;break a}case 142:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+2;h=31;break a}case 145:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+2;h=30;break a}case 148:{c[g>>2]=h;h=0;break a}}}while(0);h=0-h|0}while(0);return h|0}function FK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=i;i=i+16|0;o=s;a:do if((e|0)==(f|0))h=-4;else{l=e;h=f-l|0;if(!(h&1))q=f;else{h=h&-2;if(!h){h=-1;break}q=e+h|0}h=a[e>>0]|0;f=a[e+1>>0]|0;b:do if(h<<24>>24){switch(h&255|0){case 219:case 218:case 217:case 216:{r=236;break b}case 223:case 222:case 221:case 220:{r=238;break b}case 255:break;default:{r=239;break b}}if((f&255)>253)r=238;else r=239}else{p=b+76|0;switch(d[p+(f&255)>>0]|0){case 7:{r=236;break b}case 8:case 1:case 0:{r=238;break b}case 2:{f=e+2|0;if((f|0)==(q|0)){h=-1;break a}h=a[f>>0]|0;l=a[e+3>>0]|0;c:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{r=22;break c}case 223:case 222:case 221:case 220:{r=72;break c}case 255:break;default:{r=14;break c}}if((l&255)>253)r=72;else{h=255;r=14}}else switch(d[p+(l&255)>>0]|0){case 29:{h=0;r=14;break c}case 24:case 22:break c;case 7:{r=22;break c}case 5:{if((q-f|0)<2){h=-2;break a}c[g>>2]=f;h=0;break a}case 6:{if((q-f|0)<3){h=-2;break a}c[g>>2]=f;h=0;break a}case 16:{h=e+4|0;if((h|0)==(q|0)){h=-1;break a}d:do if(!(a[h>>0]|0)){switch(d[p+(d[e+5>>0]|0)>>0]|0){case 27:{h=XK(b,e+6|0,q,g)|0;break a}case 20:break;default:break d}h=e+6|0;if((q-h|0)<12){h=-1;break a}else j=0;while(1){if(a[h>>0]|0){r=31;break}if((a[h+1>>0]|0)!=(a[185318+j>>0]|0)){r=31;break}j=j+1|0;h=h+2|0;if((j|0)>=6){r=33;break}}if((r|0)==31){c[g>>2]=h;h=0;break a}else if((r|0)==33){c[g>>2]=h;h=8;break a}}while(0);c[g>>2]=h;h=0;break a}case 15:{h=YK(b,e+4|0,q,g)|0;break a}case 17:{j=e+4|0;if((j|0)==(q|0)){h=-1;break a}h=a[j>>0]|0;k=a[e+5>>0]|0;e:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{r=48;break e}case 223:case 222:case 221:case 220:{r=50;break e}case 255:break;default:{r=41;break e}}if((k&255)>253)r=50;else{h=255;r=41}}else switch(d[p+(k&255)>>0]|0){case 29:{h=0;r=41;break e}case 24:case 22:break e;case 7:{r=48;break e}case 5:{if((q-j|0)<2){h=-2;break a}c[g>>2]=j;h=0;break a}case 6:{if((q-j|0)<3){h=-2;break a}c[g>>2]=j;h=0;break a}default:{r=50;break e}}while(0);if((r|0)==41){b=k&255;if(!(c[93572+((d[184799+h>>0]<<3|b>>>5)<<2)>>2]&1<<(b&31))){c[g>>2]=j;h=0;break a}}else if((r|0)==48){if((q-j|0)<4){h=-2;break a}c[g>>2]=j;h=0;break a}else if((r|0)==50){c[g>>2]=j;h=0;break a}h=e+6|0;if((h|0)==(q|0)){h=-1;break a}f:while(1){k=a[h>>0]|0;f=a[j+3>>0]|0;g:do if(k<<24>>24){j=k&255;switch(j|0){case 223:case 222:case 221:case 220:{r=71;break f}case 219:case 218:case 217:case 216:{r=62;break f}case 255:break;default:{m=j;r=56;break g}}if((f&255)>253){r=71;break f}else{m=255;r=56}}else switch(d[p+(f&255)>>0]|0){case 5:{r=58;break f}case 6:{r=60;break f}case 7:{r=62;break f}case 10:case 9:case 21:{r=55;break f}case 11:{h=j;r=70;break f}case 29:{m=0;r=56;break}case 23:case 27:case 26:case 25:case 24:case 22:break;default:{r=71;break f}}while(0);if((r|0)==56?(r=0,b=f&255,(c[93572+((d[185055+m>>0]<<3|b>>>5)<<2)>>2]&1<<(b&31)|0)==0):0){r=57;break}j=h+2|0;if((j|0)==(q|0)){h=-1;break a}else{b=h;h=j;j=b}}if((r|0)==55){j=j+4|0;if((j|0)==(q|0)){h=-1;break a}h:while(1){if(a[j>>0]|0){h=j;r=68;break}switch(d[p+(d[h+3>>0]|0)>>0]|0){case 11:{r=67;break h}case 10:case 9:case 21:break;default:{h=j;r=68;break h}}h=j+2|0;if((h|0)==(q|0)){h=-1;break a}else{r=j;j=h;h=r}}if((r|0)==67){c[g>>2]=h+4;h=5;break a}else if((r|0)==68){c[g>>2]=h;h=0;break a}}else if((r|0)==57){c[g>>2]=h;h=0;break a}else if((r|0)==58){if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==60){if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==62){if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==70){c[g>>2]=h+4;h=5;break a}else if((r|0)==71){c[g>>2]=h;h=0;break a}break}default:{r=72;break c}}while(0);if((r|0)==14){m=l&255;if(!(c[93572+((d[184799+h>>0]<<3|m>>>5)<<2)>>2]&1<<(m&31))){c[g>>2]=f;h=0;break a}}else if((r|0)==22){if((q-f|0)<4){h=-2;break a}c[g>>2]=f;h=0;break a}else if((r|0)==72){c[g>>2]=f;h=0;break a}h=e+4|0;if((h|0)==(q|0)){h=-1;break a}else m=0;i:while(1){j:while(1){f=a[h>>0]|0;l=a[h+1>>0]|0;k:do if(f<<24>>24){j=f&255;switch(j|0){case 223:case 222:case 221:case 220:{r=218;break i}case 219:case 218:case 217:case 216:{r=85;break i}case 255:break;default:{r=78;break k}}if((l&255)>253){r=218;break i}else{j=255;r=78}}else switch(d[p+(l&255)>>0]|0){case 5:{r=81;break i}case 6:{r=83;break i}case 7:{r=85;break i}case 10:case 9:case 21:{r=77;break i}case 11:{r=212;break i}case 17:break i;case 23:break j;case 29:{j=0;r=78;break}case 27:case 26:case 25:case 24:case 22:break;default:{r=218;break i}}while(0);if((r|0)==78?(r=0,e=l&255,(c[93572+((d[185055+j>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31)|0)==0):0){r=79;break i}h=h+2|0;if((h|0)==(q|0)){h=-1;break a}}if(m){r=88;break}l=h+2|0;if((l|0)==(q|0)){h=-1;break a}f=a[l>>0]|0;m=a[h+3>>0]|0;l:do if(f<<24>>24){k=f&255;switch(k|0){case 223:case 222:case 221:case 220:{h=l;r=103;break i}case 219:case 218:case 217:case 216:{h=l;r=101;break i}case 255:break;default:{r=94;break l}}if((m&255)>253){h=l;r=103;break i}else{k=255;r=94}}else switch(d[p+(m&255)>>0]|0){case 5:{h=l;r=97;break i}case 6:{h=l;r=99;break i}case 7:{h=l;r=101;break i}case 29:{k=0;r=94;break}case 24:case 22:break;default:{h=l;r=103;break i}}while(0);if((r|0)==94?(r=0,e=m&255,(c[93572+((d[184799+k>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31)|0)==0):0){h=l;r=95;break}h=h+4|0;if((h|0)==(q|0)){h=-1;break a}else m=1}m:switch(r|0){case 77:{j=h+2|0;if((j|0)==(q|0)){h=-1;break a}n:while(1){f=a[j>>0]|0;k=a[h+3>>0]|0;if(f<<24>>24){r=105;break}switch(d[p+(k&255)>>0]|0){case 11:{h=j;r=212;break m}case 17:{h=j;break m}case 29:{f=0;r=109;break n}case 24:case 22:break n;case 5:{h=j;r=205;break n}case 6:{h=j;r=207;break n}case 7:{h=j;r=209;break n}case 10:case 9:case 21:break;default:{h=j;r=211;break n}}h=j+2|0;if((h|0)==(q|0)){h=-1;break a}else{e=j;j=h;h=e}}o:do if((r|0)==105){f=f&255;switch(f|0){case 219:case 218:case 217:case 216:{h=j;r=209;break o}case 223:case 222:case 221:case 220:{h=j;r=211;break o}case 255:break;default:{r=109;break o}}if((k&255)>253){h=j;r=211}else{f=255;r=109}}else if((r|0)==205){if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==207){if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}while(0);if((r|0)==109){e=k&255;if(!(c[93572+((d[184799+f>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31))){c[g>>2]=j;h=0;break a}}else if((r|0)==209){if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}else if((r|0)==211){c[g>>2]=h;h=0;break a}h=h+4|0;c[o>>2]=h;p:do if((h|0)==(q|0))h=-1;else{l=q;f=0;q:while(1){r:while(1){j=a[h>>0]|0;k=a[h+1>>0]|0;s:do if(j<<24>>24){j=j&255;switch(j|0){case 223:case 222:case 221:case 220:{r=203;break q}case 219:case 218:case 217:case 216:{r=127;break q}case 255:break;default:{n=j;r=120;break s}}if((k&255)>253){r=203;break q}else{n=255;r=120}}else switch(d[p+(k&255)>>0]|0){case 5:{r=123;break q}case 6:{r=125;break q}case 7:{r=127;break q}case 23:{j=h;r=129;break r}case 10:case 9:case 21:{j=h;r=118;break r}case 14:{j=h;r=119;break r}case 29:{n=0;r=120;break}case 27:case 26:case 25:case 24:case 22:break;default:{r=203;break q}}while(0);if((r|0)==120?(r=0,e=k&255,(c[93572+((d[185055+n>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31)|0)==0):0){r=121;break q}h=h+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}}t:do if((r|0)==118){h=j+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}while(1){if(a[h>>0]|0){r=148;break q}switch(d[p+(d[j+3>>0]|0)>>0]|0){case 14:{j=h;r=119;break t}case 9:case 10:case 21:break;default:{r=148;break q}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}else{r=h;h=j;j=r}}}else if((r|0)==129){r=0;if(f){h=j;r=130;break q}h=j+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}k=a[h>>0]|0;f=a[j+3>>0]|0;u:do if(k<<24>>24){j=k&255;switch(j|0){case 223:case 222:case 221:case 220:{r=144;break q}case 219:case 218:case 217:case 216:{r=142;break q}case 255:break;default:break u}if((f&255)>253){r=144;break q}else j=255}else switch(d[p+(f&255)>>0]|0){case 5:{r=138;break q}case 6:{r=140;break q}case 7:{r=142;break q}case 24:case 22:{j=1;break t}case 29:{j=0;break}default:{r=144;break q}}while(0);e=f&255;if(!(c[93572+((d[184799+j>>0]<<3|e>>>5)<<2)>>2]&1<<(e&31))){r=137;break q}else j=1}while(0);v:do if((r|0)==119){r=0;h=j+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}while(1){if(a[h>>0]|0){r=153;break q}k=d[p+(d[j+3>>0]|0)>>0]|0;if((k&254|0)==12){h=j;break}switch(k|0){case 9:case 10:case 21:break;default:{r=153;break q}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}else{e=h;h=j;j=e}}h=h+4|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}while(1){j=a[h>>0]|0;f=a[h+1>>0]|0;w:do if(!(j<<24>>24))j=d[p+(f&255)>>0]|0;else{switch(j&255|0){case 219:case 218:case 217:case 216:{j=7;break w}case 223:case 222:case 221:case 220:{j=8;break w}case 255:{if((f&255)>253){j=0;break w}break}default:{}}j=29}while(0);if((j|0)==(k|0))break;switch(j|0){case 8:case 1:case 0:{r=169;break q}case 2:{r=175;break q}case 5:{if((l-h|0)<2){h=-2;break p}h=h+2|0;c[o>>2]=h;break}case 6:{if((l-h|0)<3){h=-2;break p}h=h+3|0;c[o>>2]=h;break}case 7:{if((l-h|0)<4){h=-2;break p}h=h+4|0;c[o>>2]=h;break}case 3:{h=VK(b,h+2|0,q,o)|0;if((h|0)<1){r=173;break q}h=c[o>>2]|0;break}default:{h=h+2|0;c[o>>2]=h}}if((h|0)==(q|0)){h=-1;break p}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}if(a[j>>0]|0){h=j;r=181;break q}switch(d[p+(d[h+3>>0]|0)>>0]|0){case 11:{h=j;r=196;break q}case 17:{h=j;r=197;break q}case 10:case 9:case 21:break;default:{h=j;r=181;break q}}h=h+4|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}x:while(1){f=a[h>>0]|0;k=a[j+3>>0]|0;if(f<<24>>24){j=f;r=183;break}switch(d[p+(k&255)>>0]|0){case 5:{r=190;break q}case 6:{r=192;break q}case 7:{r=194;break q}case 11:{r=196;break q}case 17:{r=197;break q}case 24:case 22:{j=0;break v}case 29:{j=0;break x}case 10:case 9:case 21:break;default:{r=202;break q}}j=h+2|0;c[o>>2]=j;if((j|0)==(q|0)){h=-1;break p}else{e=h;h=j;j=e}}y:do if((r|0)==183){r=0;j=j&255;switch(j|0){case 223:case 222:case 221:case 220:{r=202;break q}case 219:case 218:case 217:case 216:{r=194;break q}case 255:break;default:break y}if((k&255)>253){r=202;break q}else j=255}while(0);e=d[h+1>>0]|0;if(!(1<<(e&31)&c[93572+((e>>>5|d[184799+j>>0]<<3)<<2)>>2])){r=188;break q}else j=0}while(0);h=h+2|0;c[o>>2]=h;if((h|0)==(q|0)){h=-1;break p}else f=j}switch(r|0){case 121:{c[g>>2]=h;h=0;break p}case 123:{if((l-h|0)<2){h=-2;break p}c[g>>2]=h;h=0;break p}case 125:{if((l-h|0)<3){h=-2;break p}c[g>>2]=h;h=0;break p}case 127:{if((l-h|0)<4){h=-2;break p}c[g>>2]=h;h=0;break p}case 130:{c[g>>2]=h;h=0;break p}case 137:{c[g>>2]=h;h=0;break p}case 138:{if((l-h|0)<2){h=-2;break p}c[g>>2]=h;h=0;break p}case 140:{if((l-h|0)<3){h=-2;break p}c[g>>2]=h;h=0;break p}case 142:{if((l-h|0)<4){h=-2;break p}c[g>>2]=h;h=0;break p}case 144:{c[g>>2]=h;h=0;break p}case 148:{c[g>>2]=h;h=0;break p}case 153:{c[g>>2]=h;h=0;break p}case 169:{c[g>>2]=h;h=0;break p}case 173:{if(h)break p;c[g>>2]=c[o>>2];h=0;break p}case 175:{c[g>>2]=h;h=0;break p}case 181:{c[g>>2]=h;h=0;break p}case 188:{c[g>>2]=h;h=0;break p}case 190:{if((l-h|0)<2){h=-2;break p}c[g>>2]=h;h=0;break p}case 192:{if((l-h|0)<3){h=-2;break p}c[g>>2]=h;h=0;break p}case 194:{if((l-h|0)<4){h=-2;break p}c[g>>2]=h;h=0;break p}case 196:{c[g>>2]=h+2;h=1;break p}case 197:{k=h+2|0;c[o>>2]=k;j=k;if((k|0)==(q|0)){h=-1;break p}if((a[k>>0]|0)==0?(a[h+3>>0]|0)==62:0){c[g>>2]=h+4;h=3;break p}c[g>>2]=j;h=0;break p}case 202:{c[g>>2]=h;h=0;break p}case 203:{c[g>>2]=h;h=0;break p}}}while(0);break a}case 79:{c[g>>2]=h;h=0;break a}case 81:{if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 83:{if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 85:{if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 88:{c[g>>2]=h;h=0;break a}case 95:{c[g>>2]=h;h=0;break a}case 97:{if((q-h|0)<2){h=-2;break a}c[g>>2]=h;h=0;break a}case 99:{if((q-h|0)<3){h=-2;break a}c[g>>2]=h;h=0;break a}case 101:{if((q-h|0)<4){h=-2;break a}c[g>>2]=h;h=0;break a}case 103:{c[g>>2]=h;h=0;break a}case 218:{c[g>>2]=h;h=0;break a}}if((r|0)==212){c[g>>2]=h+2;h=2;break a}j=h+2|0;if((j|0)==(q|0)){h=-1;break a}if((a[j>>0]|0)==0?(a[h+3>>0]|0)==62:0){c[g>>2]=h+4;h=4;break a}c[g>>2]=j;h=0;break a}case 3:{h=VK(b,e+2|0,q,g)|0;break a}case 9:{j=e+2|0;if((j|0)==(q|0)){h=-3;break a}if(!(a[j>>0]|0))h=(a[p+(d[e+3>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:j;h=7;break a}case 10:{c[g>>2]=e+2;h=7;break a}case 4:{h=e+2|0;if((h|0)==(q|0)){h=-5;break a}if(a[h>>0]|0)break b;if((a[e+3>>0]|0)!=93)break b;j=e+4|0;if((j|0)==(q|0)){h=-5;break a}if(a[j>>0]|0)break b;if((a[e+5>>0]|0)!=62)break b;c[g>>2]=j;h=0;break a}case 5:{if((q-l|0)<2){h=-2;break a}h=e+2|0;break b}case 6:{if((q-l|0)<3){h=-2;break a}h=e+3|0;break b}default:{r=239;break b}}}while(0);if((r|0)==236){if((q-l|0)<4){h=-2;break}h=e+4|0}else if((r|0)==238){c[g>>2]=e;h=0;break}else if((r|0)==239)h=e+2|0;z:do if((h|0)!=(q|0)){f=b+76|0;l=q;A:while(1){j=a[h>>0]|0;k=a[h+1>>0]|0;B:do if(j<<24>>24){switch(j&255|0){case 223:case 222:case 221:case 220:{r=262;break A}case 219:case 218:case 217:case 216:{r=252;break B}case 255:break;default:{r=263;break B}}if((k&255)>253){r=262;break A}else r=263}else switch(d[f+(k&255)>>0]|0){case 10:case 9:case 8:case 1:case 0:case 2:case 3:{r=262;break A}case 7:{r=252;break B}case 5:{if((l-h|0)<2){r=247;break A}h=h+2|0;break B}case 6:{if((l-h|0)<3){r=250;break A}h=h+3|0;break B}case 4:{j=h+2|0;if((j|0)==(q|0)){r=262;break A}if(a[j>>0]|0){h=j;break B}if((a[h+3>>0]|0)!=93){h=j;break B}k=h+4|0;if((k|0)==(q|0)){r=262;break A}if(a[k>>0]|0){h=j;break B}if((a[h+5>>0]|0)==62){h=k;r=261;break A}else{h=j;break B}}default:{r=263;break B}}while(0);if((r|0)==252){r=0;if((l-h|0)<4){r=253;break}h=h+4|0}else if((r|0)==263){r=0;h=h+2|0}if((h|0)==(q|0))break z}if((r|0)==247){c[g>>2]=h;h=6;break a}else if((r|0)==250){c[g>>2]=h;h=6;break a}else if((r|0)==253){c[g>>2]=h;h=6;break a}else if((r|0)==261){c[g>>2]=h;h=0;break a}else if((r|0)==262){c[g>>2]=h;h=6;break a}}while(0);c[g>>2]=q;h=6}while(0);i=s;return h|0}function GK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;a:do if((e|0)==(f|0))h=-4;else{i=e;h=f-i|0;if(!(h&1))j=f;else{h=h&-2;if(!h){h=-1;break}j=e+h|0}h=a[e>>0]|0;f=a[e+1>>0]|0;b:do if(h<<24>>24){switch(h&255|0){case 219:case 218:case 217:case 216:{k=25;break b}case 223:case 222:case 221:case 220:{k=27;break b}case 255:break;default:{k=28;break b}}if((f&255)>253)k=27;else k=28}else{h=b+76|0;switch(d[h+(f&255)>>0]|0){case 7:{k=25;break b}case 8:case 1:case 0:{k=27;break b}case 4:{h=e+2|0;if((h|0)==(j|0)){h=-1;break a}if(a[h>>0]|0)break b;if((a[e+3>>0]|0)!=93)break b;f=e+4|0;if((f|0)==(j|0)){h=-1;break a}if(a[f>>0]|0)break b;if((a[e+5>>0]|0)!=62)break b;c[g>>2]=e+6;h=40;break a}case 9:{f=e+2|0;if((f|0)==(j|0)){h=-1;break a}if(!(a[f>>0]|0))h=(a[h+(d[e+3>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:f;h=7;break a}case 10:{c[g>>2]=e+2;h=7;break a}case 5:{if((j-i|0)<2){h=-2;break a}h=e+2|0;break b}case 6:{if((j-i|0)<3){h=-2;break a}h=e+3|0;break b}default:{k=28;break b}}}while(0);if((k|0)==25){if((j-i|0)<4){h=-2;break}h=e+4|0}else if((k|0)==27){c[g>>2]=e;h=0;break}else if((k|0)==28)h=e+2|0;c:do if((h|0)!=(j|0)){b=b+76|0;e=j;d:while(1){f=a[h>>0]|0;i=a[h+1>>0]|0;e:do if(f<<24>>24){switch(f&255|0){case 223:case 222:case 221:case 220:{k=44;break d}case 219:case 218:case 217:case 216:{k=41;break e}case 255:break;default:{k=45;break e}}if((i&255)>253){k=44;break d}else k=45}else switch(d[b+(i&255)>>0]|0){case 4:case 10:case 9:case 8:case 1:case 0:{k=44;break d}case 7:{k=41;break e}case 5:{if((e-h|0)<2){k=36;break d}h=h+2|0;break e}case 6:{if((e-h|0)<3){k=39;break d}h=h+3|0;break e}default:{k=45;break e}}while(0);if((k|0)==41){k=0;if((e-h|0)<4){k=42;break}h=h+4|0}else if((k|0)==45){k=0;h=h+2|0}if((h|0)==(j|0))break c}if((k|0)==36){c[g>>2]=h;h=6;break a}else if((k|0)==39){c[g>>2]=h;h=6;break a}else if((k|0)==42){c[g>>2]=h;h=6;break a}else if((k|0)==44){c[g>>2]=h;h=6;break a}}while(0);c[g>>2]=j;h=6}while(0);return h|0}function HK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;k=f-e|0;k=(k&1|0)==0?f:e+(k&-2)|0;a:do if((k|0)!=(e|0)){i=b+76|0;j=k;h=0;b:while(1){f=a[e>>0]|0;b=a[e+1>>0]|0;c:do if(f<<24>>24){switch(f&255|0){case 223:case 222:case 221:case 220:{l=13;break b}case 219:case 218:case 217:case 216:{l=11;break c}case 255:break;default:{l=31;break c}}if((b&255)>253){l=13;break b}else l=31}else switch(d[i+(b&255)>>0]|0){case 8:case 1:case 0:{l=13;break b}case 7:{l=11;break c}case 5:{if((j-e|0)<2){e=-2;break a}e=e+2|0;f=h;break c}case 6:{if((j-e|0)<3){e=-2;break a}e=e+3|0;f=h;break c}case 2:{f=e+2|0;if((f|0)==(k|0)){e=-1;break a}if(a[f>>0]|0){e=f;f=h;break c}if((a[e+3>>0]|0)!=33){e=f;f=h;break c}f=e+4|0;if((f|0)==(k|0)){e=-1;break a}if(a[f>>0]|0){e=f;f=h;break c}if((a[e+5>>0]|0)!=91){e=f;f=h;break c}e=e+6|0;f=h+1|0;break c}case 4:{f=e+2|0;if((f|0)==(k|0)){e=-1;break a}if(a[f>>0]|0){e=f;f=h;break c}if((a[e+3>>0]|0)!=93){e=f;f=h;break c}f=e+4|0;if((f|0)==(k|0)){e=-1;break a}if(a[f>>0]|0){e=f;f=h;break c}if((a[e+5>>0]|0)!=62){e=f;f=h;break c}e=e+6|0;if(!h){l=29;break b}f=h+-1|0;break c}default:{l=31;break c}}while(0);if((l|0)==11){l=0;if((j-e|0)<4){e=-2;break a}e=e+4|0;f=h}else if((l|0)==31){l=0;e=e+2|0;f=h}if((e|0)==(k|0)){e=-1;break a}else h=f}if((l|0)==13){c[g>>2]=e;e=0;break}else if((l|0)==29){c[g>>2]=e;e=42;break}}else e=-1;while(0);return e|0}function IK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;do if((e|0)!=(f|0)){j=b+76|0;h=e;a:while(1){i=a[h>>0]|0;b:do if(i<<24>>24)if((i&-4)<<24>>24==-40)k=8;else k=25;else switch(d[j+(d[h+1>>0]|0)>>0]|0){case 3:{k=9;break a}case 2:{k=12;break a}case 10:{k=13;break a}case 9:{k=16;break a}case 21:{k=22;break a}case 7:{k=8;break b}case 5:{h=h+2|0;break b}case 6:{h=h+3|0;break b}default:{k=25;break b}}while(0);if((k|0)==8){k=0;h=h+4|0}else if((k|0)==25){k=0;h=h+2|0}if((h|0)==(f|0)){k=27;break}}if((k|0)==9)if((h|0)==(e|0)){h=VK(b,e+2|0,f,g)|0;break}else{c[g>>2]=h;h=6;break}else if((k|0)==12){c[g>>2]=h;h=0;break}else if((k|0)==13)if((h|0)==(e|0)){c[g>>2]=e+2;h=7;break}else{c[g>>2]=h;h=6;break}else if((k|0)==16){if((h|0)!=(e|0)){c[g>>2]=h;h=6;break}i=e+2|0;if((i|0)==(f|0)){h=-3;break}if(!(a[i>>0]|0))h=(a[j+(d[e+3>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:i;h=7;break}else if((k|0)==22)if((h|0)==(e|0)){c[g>>2]=e+2;h=39;break}else{c[g>>2]=h;h=6;break}else if((k|0)==27){c[g>>2]=f;h=6;break}}else h=-4;while(0);return h|0}function JK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;do if((e|0)!=(f|0)){j=b+76|0;h=e;a:while(1){i=a[h>>0]|0;b:do if(i<<24>>24)if((i&-4)<<24>>24==-40)k=8;else k=24;else switch(d[j+(d[h+1>>0]|0)>>0]|0){case 3:{k=9;break a}case 30:{k=12;break a}case 10:{k=15;break a}case 9:{k=18;break a}case 7:{k=8;break b}case 5:{h=h+2|0;break b}case 6:{h=h+3|0;break b}default:{k=24;break b}}while(0);if((k|0)==8){k=0;h=h+4|0}else if((k|0)==24){k=0;h=h+2|0}if((h|0)==(f|0)){k=26;break}}if((k|0)==9)if((h|0)==(e|0)){h=VK(b,e+2|0,f,g)|0;break}else{c[g>>2]=h;h=6;break}else if((k|0)==12)if((h|0)==(e|0)){h=WK(b,e+2|0,f,g)|0;h=(h|0)==22?0:h;break}else{c[g>>2]=h;h=6;break}else if((k|0)==15)if((h|0)==(e|0)){c[g>>2]=e+2;h=7;break}else{c[g>>2]=h;h=6;break}else if((k|0)==18){if((h|0)!=(e|0)){c[g>>2]=h;h=6;break}i=e+2|0;if((i|0)==(f|0)){h=-3;break}if(!(a[i>>0]|0))h=(a[j+(d[e+3>>0]|0)>>0]|0)==10;else h=0;c[g>>2]=h?e+4|0:i;h=7;break}else if((k|0)==26){c[g>>2]=f;h=6;break}}else h=-4;while(0);return h|0}function KK(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0;i=b+76|0;b=e;e=c;a:while(1){f=a[e>>0]|0;g=e+1|0;c=a[g>>0]|0;b:do if(f<<24>>24){switch(f&255|0){case 223:case 222:case 221:case 220:{h=15;break a}case 219:case 218:case 217:case 216:{h=6;break b}case 255:break;default:{h=12;break b}}if((c&255)>253){h=15;break a}else h=12}else switch(d[i+(c&255)>>0]|0){case 7:{h=6;break}case 6:{c=0;h=8;break}case 5:{c=0;h=10;break}case 27:case 26:case 25:case 24:case 23:case 22:case 29:{h=12;break}default:{h=15;break a}}while(0);if((h|0)==6){h=0;if(f<<24>>24!=(a[b>>0]|0)){b=0;break}b=b+1|0;e=g;h=8}else if((h|0)==12){h=0;if((a[b>>0]|0)!=f<<24>>24){b=0;break}if((a[b+1>>0]|0)!=c<<24>>24){b=0;break}}if((h|0)==8){h=0;f=e+1|0;if(c<<24>>24!=(a[b>>0]|0)){b=0;break}b=b+1|0;e=f;c=a[f>>0]|0;h=10}if((h|0)==10){h=0;if(c<<24>>24!=(a[b>>0]|0)){b=0;break}if((a[e+1>>0]|0)!=(a[b+1>>0]|0)){b=0;break}}b=b+2|0;e=e+2|0}c:do if((h|0)==15){e=a[b>>0]|0;b=a[b+1>>0]|0;d:do if(e<<24>>24){switch(e&255|0){case 220:case 221:case 222:case 223:break d;case 255:break;default:{b=0;break c}}if((b&255)<=253){b=0;break c}}else switch(d[i+(b&255)>>0]|0){case 27:case 26:case 25:case 24:case 23:case 22:case 29:case 7:case 6:case 5:{b=0;break c}default:{}}while(0);b=1}while(0);return b|0}function LK(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=a[e>>0]|0;b=(c|0)==(d|0);a:do if(!(f<<24>>24))g=6;else while(1){if(b){b=0;break a}if(a[c>>0]|0){b=0;break a}if((a[c+1>>0]|0)!=f<<24>>24){b=0;break a}c=c+2|0;e=e+1|0;f=a[e>>0]|0;b=(c|0)==(d|0);if(!(f<<24>>24)){g=6;break}}while(0);if((g|0)==6)b=b&1;return b|0}function MK(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;g=b+76|0;b=c;a:while(1){e=a[b>>0]|0;f=a[b+1>>0]|0;b:do if(e<<24>>24){switch(e&255|0){case 223:case 222:case 221:case 220:break a;case 219:case 218:case 217:case 216:{e=8;break b}case 255:break;default:{e=9;break b}}if((f&255)>253)break a;else e=9}else switch(d[g+(f&255)>>0]|0|0){case 7:{e=8;break b}case 27:case 26:case 25:case 24:case 23:case 22:case 29:{e=9;break b}case 5:{b=b+2|0;continue a}case 6:{b=b+3|0;continue a}default:break a}while(0);if((e|0)==8){b=b+4|0;continue}else if((e|0)==9){b=b+2|0;continue}}return b-c|0}function NK(b,c){b=b|0;c=c|0;a:do if(!(a[c>>0]|0)){b=b+76|0;while(1){switch(d[b+(d[c+1>>0]|0)>>0]|0){case 21:case 9:case 10:break;default:break a}c=c+2|0;if(a[c>>0]|0)break a}}while(0);return c|0}function OK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;m=b+76|0;b=0;n=0;h=1;a:while(1){l=e+2|0;i=a[l>>0]|0;j=e+3|0;k=a[j>>0]|0;b:do if(i<<24>>24){switch(i&255|0){case 223:case 222:case 221:case 220:{i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}case 219:case 218:case 217:case 216:{o=12;break b}case 255:break;default:{o=16;break b}}if(!((h|0)==0&(k&255)<254)){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}}else switch(d[m+(k&255)>>0]|0){case 7:{o=12;break b}case 24:case 22:case 29:{o=16;break b}case 5:{if(h){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}if((b|0)>=(f|0)){j=n;k=b;e=l;h=1;n=j;b=k;continue a}c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;j=n;k=b;e=l;h=1;n=j;b=k;continue a}case 6:{if(h){i=h;k=n;l=b;e=j;h=i;n=k;b=l;continue a}if((b|0)>=(f|0)){k=n;l=b;e=j;h=1;n=k;b=l;continue a}c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;k=n;l=b;e=j;h=1;n=k;b=l;continue a}case 12:{if((h|0)!=2){if((b|0)>=(f|0)){k=b;n=12;e=l;h=2;b=k;continue a}c[g+(b<<4)+4>>2]=e+4;k=b;n=12;e=l;h=2;b=k;continue a}if((n|0)!=12){j=n;k=b;e=l;h=2;n=j;b=k;continue a}if((b|0)<(f|0))c[g+(b<<4)+8>>2]=l;b=b+1|0;n=12;e=l;h=0;continue a}case 13:{if((h|0)!=2){if((b|0)>=(f|0)){k=b;n=13;e=l;h=2;b=k;continue a}c[g+(b<<4)+4>>2]=e+4;k=b;n=13;e=l;h=2;b=k;continue a}if((n|0)!=13){j=n;k=b;e=l;h=2;n=j;b=k;continue a}if((b|0)<(f|0))c[g+(b<<4)+8>>2]=l;b=b+1|0;n=13;e=l;h=0;continue a}case 3:{if((b|0)>=(f|0)){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}a[g+(b<<4)+12>>0]=0;i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}case 21:{if((h|0)==1){j=n;k=b;e=l;h=0;n=j;b=k;continue a}if(!((h|0)==2&(b|0)<(f|0))){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}i=g+(b<<4)+12|0;if(!(a[i>>0]|0)){j=n;k=b;e=l;h=2;n=j;b=k;continue a}do if(k<<24>>24==32?(l|0)!=(c[g+(b<<4)+4>>2]|0):0){h=a[e+4>>0]|0;e=a[e+5>>0]|0;if(h<<24>>24)if((e&255)>253&h<<24>>24==-1)e=0;else{j=n;k=b;e=l;h=2;n=j;b=k;continue a}else{if(e<<24>>24==32)break;e=d[m+(e&255)>>0]|0}if((e|0)!=(n|0)){j=n;k=b;e=l;h=2;n=j;b=k;continue a}}while(0);a[i>>0]=0;j=n;k=b;e=l;h=2;n=j;b=k;continue a}case 10:case 9:{if((h|0)==1){j=n;k=b;e=l;h=0;n=j;b=k;continue a}if(!((h|0)==2&(b|0)<(f|0))){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}a[g+(b<<4)+12>>0]=0;j=n;k=b;e=l;h=2;n=j;b=k;continue a}case 17:case 11:if((h|0)==2){j=n;k=b;e=l;h=2;n=j;b=k;continue a}else break a;default:{i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue a}}while(0);if((o|0)==12){o=0;if(!h)if((b|0)<(f|0)){c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;h=1}else h=1;k=n;l=b;e=e+4|0;n=k;b=l;continue}else if((o|0)==16?(o=0,(h|0)!=0):0){i=h;j=n;k=b;e=l;h=i;n=j;b=k;continue}if((b|0)>=(f|0)){j=n;k=b;e=l;h=1;n=j;b=k;continue}c[g+(b<<4)>>2]=l;a[g+(b<<4)+12>>0]=1;j=n;k=b;e=l;h=1;n=j;b=k}return b|0}function PK(b,c){b=b|0;c=c|0;var d=0,e=0;b=c+4|0;d=a[b>>0]|0;a:do if(!(d<<24>>24))if((a[c+5>>0]|0)==120){c=c+6|0;b=0;while(1){b:do if(!(a[c>>0]|0)){d=a[c+1>>0]|0;if(d<<24>>24==59){e=17;break a}d=d<<24>>24;switch(d|0){case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:case 48:{b=d+-48|b<<4;break}case 70:case 69:case 68:case 67:case 66:case 65:{b=(b<<4)+-55+d|0;break}case 102:case 101:case 100:case 99:case 98:case 97:{b=(b<<4)+-87+d|0;break}default:break b}if((b|0)>1114111){b=-1;break a}}while(0);c=c+2|0}}else{c=b;d=0;b=0;e=12}else{c=b;b=0;e=12}while(0);c:do if((e|0)==12)while(1){e=0;if(!(d<<24>>24)){d=a[c+1>>0]|0;if(d<<24>>24==59){e=17;break c}d=d<<24>>24}else d=-1;b=(b*10|0)+-48+d|0;d=c+2|0;if((b|0)>1114111){b=-1;break c}c=d;d=a[d>>0]|0;e=12}while(0);d:do if((e|0)==17)switch(b>>8|0){case 223:case 222:case 221:case 220:case 219:case 218:case 217:case 216:{b=-1;break d}case 0:{if(!(a[93280+b>>0]|0)){b=-1;break d}break}case 255:{if((b&-2|0)==65534){b=-1;break d}break}default:{}}while(0);return b|0}function QK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;a:do switch((d-c|0)/2|0|0){case 2:{if((a[c+2>>0]|0)==0?(a[c+3>>0]|0)==116:0){if(!(a[c>>0]|0))b=a[c+1>>0]|0;else b=-1;b=(b|0)==108?60:(b|0)==103?62:0}else e=27;break}case 3:{if((((((a[c>>0]|0)==0?(a[c+1>>0]|0)==97:0)?(a[c+2>>0]|0)==0:0)?(a[c+3>>0]|0)==109:0)?(a[c+4>>0]|0)==0:0)?(a[c+5>>0]|0)==112:0)b=38;else e=27;break}case 4:{if(!(a[c>>0]|0))switch(a[c+1>>0]|0){case 113:{if(a[c+2>>0]|0){e=27;break a}if((a[c+3>>0]|0)!=117){e=27;break a}if(a[c+4>>0]|0){e=27;break a}if((a[c+5>>0]|0)!=111){e=27;break a}if(a[c+6>>0]|0){e=27;break a}if((a[c+7>>0]|0)==116){b=34;break a}else{e=27;break a}}case 97:{if(a[c+2>>0]|0){e=27;break a}if((a[c+3>>0]|0)!=112){e=27;break a}if(a[c+4>>0]|0){e=27;break a}if((a[c+5>>0]|0)!=111){e=27;break a}if(a[c+6>>0]|0){e=27;break a}if((a[c+7>>0]|0)==115){b=39;break a}else{e=27;break a}}default:{e=27;break a}}else e=27;break}default:e=27}while(0);if((e|0)==27)b=0;return b|0}function RK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;if(e>>>0<f>>>0){j=b+76|0;k=g+4|0;b=e;do{e=a[b>>0]|0;a:do if(e<<24>>24)if((e&-4)<<24>>24==-40)l=8;else l=19;else switch(d[j+(d[b+1>>0]|0)>>0]|0|0){case 7:{l=8;break a}case 5:{b=b+2|0;break a}case 6:{b=b+3|0;break a}case 10:{c[k>>2]=-1;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break a}case 9:{c[g>>2]=(c[g>>2]|0)+1;i=b+2|0;if((i|0)==(f|0))b=f;else{e=a[i>>0]|0;h=a[b+3>>0]|0;b:do if(!(e<<24>>24))e=d[j+(h&255)>>0]|0;else{switch(e&255|0){case 219:case 218:case 217:case 216:{e=7;break b}case 223:case 222:case 221:case 220:{e=8;break b}case 255:{if((h&255)>253){e=0;break b}break}default:{}}e=29}while(0);b=(e|0)==10?b+4|0:i}c[k>>2]=-1;break a}default:{l=19;break a}}while(0);if((l|0)==8){l=0;b=b+4|0}else if((l|0)==19){l=0;b=b+2|0}c[k>>2]=(c[k>>2]|0)+1}while(b>>>0<f>>>0)}return}function SK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;i=f+-2|0;f=e+2|0;a:do if((f|0)!=(i|0)){h=b+76|0;b:while(1){e=e+3|0;if(a[f>>0]|0){j=10;break}b=a[e>>0]|0;switch(d[h+(b&255)>>0]|0){case 23:case 19:case 30:case 33:case 16:case 18:case 10:case 9:case 15:case 14:case 17:case 35:case 34:case 32:case 31:case 13:case 27:case 24:case 25:break;case 21:{if(b<<24>>24==9){j=7;break b}break}case 22:case 26:{if(b<<24>>24<0)j=9;break}default:j=9}if((j|0)==9){j=0;switch(a[e>>0]|0){case 64:case 36:break;default:{j=10;break b}}}e=f+2|0;if((e|0)==(i|0)){f=1;break a}else{b=f;f=e;e=b}}if((j|0)==7){c[g>>2]=f;f=0;break}else if((j|0)==10){c[g>>2]=f;f=0;break}}else f=1;while(0);return f|0}function TK(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;b=c[e>>2]|0;a:do if((b|0)!=(f|0)){l=h;b:while(1){k=a[b+1>>0]|0;j=d[b>>0]|0;switch(j|0){case 0:{if(k<<24>>24>-1){i=c[g>>2]|0;if((i|0)==(h|0)){m=6;break b}c[g>>2]=i+1;a[i>>0]=k}else m=8;break}case 7:case 6:case 5:case 4:case 3:case 2:case 1:{m=8;break}case 219:case 218:case 217:case 216:{i=c[g>>2]|0;if((l-i|0)<4){m=15;break b}n=k&255;j=(j<<2&12|n>>>6)+1|0;c[g>>2]=i+1;a[i>>0]=j>>>2|240;k=c[g>>2]|0;c[g>>2]=k+1;a[k>>0]=n>>>2&15|j<<4&48|128;k=b+2|0;j=d[b+3>>0]|0;i=(n<<4&48|j>>>6|(d[k>>0]|0)<<2&12|128)&255;b=c[g>>2]|0;c[g>>2]=b+1;a[b>>0]=i;b=c[g>>2]|0;c[g>>2]=b+1;a[b>>0]=j&63|128;b=k;break}default:{i=c[g>>2]|0;if((l-i|0)<3){m=12;break b}c[g>>2]=i+1;a[i>>0]=j>>>4|224;k=k&255;n=c[g>>2]|0;c[g>>2]=n+1;a[n>>0]=k>>>6|j<<2&60|128;n=c[g>>2]|0;c[g>>2]=n+1;a[n>>0]=k&63|128}}if((m|0)==8){m=0;i=c[g>>2]|0;if((l-i|0)<2){m=9;break}k=k&255;c[g>>2]=i+1;a[i>>0]=k>>>6|j<<2|192;n=c[g>>2]|0;c[g>>2]=n+1;a[n>>0]=k&63|128}b=b+2|0;if((b|0)==(f|0)){m=18;break a}}if((m|0)==6){c[e>>2]=b;break}else if((m|0)==9){c[e>>2]=b;break}else if((m|0)==12){c[e>>2]=b;break}else if((m|0)==15){c[e>>2]=b;break}}else m=18;while(0);if((m|0)==18)c[e>>2]=f;return}function UK(e,f,g,h,i){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=c[f>>2]|0;e=c[h>>2]|0;if((g-j|0)>(i-e|0)){k=g+-2|0;g=(a[k>>0]&-8)<<24>>24==-40?k:g}a:do if(!((j|0)==(g|0)|(e|0)==(i|0)))do{k=((d[j>>0]|0)<<8|(d[j+1>>0]|0))&65535;c[h>>2]=e+2;b[e>>1]=k;j=(c[f>>2]|0)+2|0;c[f>>2]=j;if((j|0)==(g|0))break a;e=c[h>>2]|0}while((e|0)!=(i|0));while(0);return}function VK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;a:do if((e|0)!=(f|0)){h=a[e>>0]|0;j=a[e+1>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{l=14;break b}case 223:case 222:case 221:case 220:{l=36;break b}case 255:break;default:{l=8;break b}}if((j&255)>253)l=36;else{h=255;l=8}}else{k=b+76|0;switch(d[k+(j&255)>>0]|0){case 29:{h=0;l=8;break b}case 24:case 22:break b;case 7:{l=14;break b}case 5:{if((f-e|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((f-e|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}case 19:{i=e+2|0;if((i|0)==(f|0)){h=-1;break a}do if(!(a[i>>0]|0)){h=a[e+3>>0]|0;if(h<<24>>24!=120){if((a[k+(h&255)>>0]|0)!=25)break;c:while(1){h=i+2|0;if((h|0)==(f|0)){h=-1;break a}if(a[h>>0]|0){l=35;break}switch(d[k+(d[e+5>>0]|0)>>0]|0){case 25:{e=i;i=h;break}case 18:{h=e;l=34;break c}default:{l=35;break c}}}if((l|0)==34){c[g>>2]=h+6;h=10;break a}else if((l|0)==35){c[g>>2]=h;h=0;break a}}i=e+4|0;if((i|0)==(f|0)){h=-1;break a}if((a[i>>0]|0)==0?(a[k+(d[e+5>>0]|0)>>0]&-2)<<24>>24==24:0){h=e+6|0;if((h|0)==(f|0)){h=-1;break a}d:while(1){if(a[h>>0]|0){l=28;break}switch(d[k+(d[i+3>>0]|0)>>0]|0){case 18:{h=i;l=27;break d}case 24:case 25:break;default:{l=28;break d}}i=h+2|0;if((i|0)==(f|0)){h=-1;break a}else{l=h;h=i;i=l}}if((l|0)==27){c[g>>2]=h+4;h=10;break a}else if((l|0)==28){c[g>>2]=h;h=0;break a}}c[g>>2]=i;h=0;break a}while(0);c[g>>2]=i;h=0;break a}default:{l=36;break b}}}while(0);if((l|0)==8){k=j&255;if(!(1<<(k&31)&c[93572+((k>>>5|d[184799+h>>0]<<3)<<2)>>2])){c[g>>2]=e;h=0;break}}else if((l|0)==14){if((f-e|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((l|0)==36){c[g>>2]=e;h=0;break}h=e+2|0;if((h|0)!=(f|0)){k=b+76|0;e:while(1){j=a[h>>0]|0;b=a[e+3>>0]|0;f:do if(j<<24>>24){i=j&255;switch(i|0){case 223:case 222:case 221:case 220:{l=51;break e}case 219:case 218:case 217:case 216:{l=48;break e}case 255:break;default:{l=41;break f}}if((b&255)>253){l=51;break e}else{i=255;l=41}}else switch(d[k+(b&255)>>0]|0){case 5:{l=44;break e}case 6:{l=46;break e}case 7:{l=48;break e}case 18:{h=e;l=50;break e}case 29:{i=0;l=41;break}case 27:case 26:case 25:case 24:case 22:break;default:{l=51;break e}}while(0);if((l|0)==41?(l=0,b=b&255,(1<<(b&31)&c[93572+((b>>>5|d[185055+i>>0]<<3)<<2)>>2]|0)==0):0){l=43;break}e=h+2|0;if((e|0)==(f|0)){h=-1;break a}else{b=h;h=e;e=b}}if((l|0)==43){c[g>>2]=h;h=0;break}else if((l|0)==44){if((f-h|0)<2){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==46){if((f-h|0)<3){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==48){if((f-h|0)<4){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==50){c[g>>2]=h+4;h=9;break}else if((l|0)==51){c[g>>2]=h;h=0;break}}else h=-1}else h=-1;while(0);return h|0}function WK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;a:do if((e|0)!=(f|0)){h=a[e>>0]|0;j=a[e+1>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{l=14;break b}case 223:case 222:case 221:case 220:{l=17;break b}case 255:break;default:{l=8;break b}}if((j&255)>253)l=17;else{h=255;l=8}}else switch(d[b+76+(j&255)>>0]|0|0){case 29:{h=0;l=8;break b}case 24:case 22:break b;case 7:{l=14;break b}case 5:{if((f-e|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((f-e|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}case 30:case 9:case 10:case 21:{c[g>>2]=e;h=22;break a}default:{l=17;break b}}while(0);if((l|0)==8){k=j&255;if(!(1<<(k&31)&c[93572+((k>>>5|(d[184799+h>>0]|0)<<3)<<2)>>2])){c[g>>2]=e;h=0;break}}else if((l|0)==14){if((f-e|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((l|0)==17){c[g>>2]=e;h=0;break}h=e+2|0;if((h|0)!=(f|0)){k=b+76|0;c:while(1){j=a[h>>0]|0;b=a[e+3>>0]|0;d:do if(j<<24>>24){i=j&255;switch(i|0){case 223:case 222:case 221:case 220:{l=32;break c}case 219:case 218:case 217:case 216:{l=29;break c}case 255:break;default:{l=22;break d}}if((b&255)>253){l=32;break c}else{i=255;l=22}}else switch(d[k+(b&255)>>0]|0|0){case 5:{l=25;break c}case 6:{l=27;break c}case 7:{l=29;break c}case 18:{h=e;l=31;break c}case 29:{i=0;l=22;break}case 27:case 26:case 25:case 24:case 22:break;default:{l=32;break c}}while(0);if((l|0)==22?(l=0,b=b&255,(1<<(b&31)&c[93572+((b>>>5|(d[185055+i>>0]|0)<<3)<<2)>>2]|0)==0):0){l=24;break}j=h+2|0;if((j|0)==(f|0)){h=-1;break a}else{e=h;h=j}}if((l|0)==24){c[g>>2]=h;h=0;break}else if((l|0)==25){if((f-h|0)<2){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==27){if((f-h|0)<3){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==29){if((f-h|0)<4){h=-2;break}c[g>>2]=h;h=0;break}else if((l|0)==31){c[g>>2]=h+4;h=28;break}else if((l|0)==32){c[g>>2]=h;h=0;break}}else h=-1}else h=-1;while(0);return h|0}function XK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;a:do if((e|0)==(f|0))e=-1;else{if((a[e>>0]|0)==0?(a[e+1>>0]|0)==45:0){e=e+2|0;if((e|0)==(f|0)){e=-1;break}i=b+76|0;j=f;b:while(1){b=a[e>>0]|0;h=a[e+1>>0]|0;c:do if(b<<24>>24){switch(b&255|0){case 223:case 222:case 221:case 220:{k=17;break b}case 219:case 218:case 217:case 216:{k=15;break c}case 255:break;default:{k=27;break c}}if((h&255)>253){k=17;break b}else k=27}else switch(d[i+(h&255)>>0]|0){case 8:case 1:case 0:{k=17;break b}case 7:{k=15;break c}case 5:{if((j-e|0)<2){e=-2;break a}e=e+2|0;break c}case 6:{if((j-e|0)<3){e=-2;break a}e=e+3|0;break c}case 27:{b=e+2|0;if((b|0)==(f|0)){e=-1;break a}if(a[b>>0]|0){e=b;break c}if((a[e+3>>0]|0)==45)break b;else{e=b;break c}}default:{k=27;break c}}while(0);if((k|0)==15){k=0;if((j-e|0)<4){e=-2;break a}e=e+4|0}else if((k|0)==27){k=0;e=e+2|0}if((e|0)==(f|0)){e=-1;break a}}if((k|0)==17){c[g>>2]=e;e=0;break}b=e+4|0;if((b|0)==(f|0)){e=-1;break}if((a[b>>0]|0)==0?(a[e+5>>0]|0)==62:0){c[g>>2]=e+6;e=13;break}c[g>>2]=b;e=0;break}c[g>>2]=e;e=0}while(0);return e|0}function YK(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+16|0;n=p;a:do if((e|0)!=(f|0)){h=a[e>>0]|0;j=a[e+1>>0]|0;b:do if(h<<24>>24){h=h&255;switch(h|0){case 219:case 218:case 217:case 216:{o=14;break b}case 223:case 222:case 221:case 220:{o=16;break b}case 255:break;default:{o=8;break b}}if((j&255)>253)o=16;else{h=255;o=8}}else switch(d[b+76+(j&255)>>0]|0){case 29:{h=0;o=8;break b}case 24:case 22:break b;case 7:{o=14;break b}case 5:{if((f-e|0)<2){h=-2;break a}c[g>>2]=e;h=0;break a}case 6:{if((f-e|0)<3){h=-2;break a}c[g>>2]=e;h=0;break a}default:{o=16;break b}}while(0);if((o|0)==8){m=j&255;if(!(1<<(m&31)&c[93572+((m>>>5|d[184799+h>>0]<<3)<<2)>>2])){c[g>>2]=e;h=0;break}}else if((o|0)==14){if((f-e|0)<4){h=-2;break}c[g>>2]=e;h=0;break}else if((o|0)==16){c[g>>2]=e;h=0;break}h=e+2|0;if((h|0)!=(f|0)){m=b+76|0;j=e;c:while(1){b=a[h>>0]|0;k=a[j+3>>0]|0;d:do if(b<<24>>24){j=b&255;switch(j|0){case 223:case 222:case 221:case 220:break c;case 219:case 218:case 217:case 216:{o=28;break c}case 255:break;default:{l=j;o=21;break d}}if((k&255)>253)break c;else{l=255;o=21}}else switch(d[m+(k&255)>>0]|0){case 5:{o=24;break c}case 6:{o=26;break c}case 7:{o=28;break c}case 10:case 9:case 21:{o=30;break c}case 15:{o=51;break c}case 29:{l=0;o=21;break}case 27:case 26:case 25:case 24:case 22:break;default:break c}while(0);if((o|0)==21?(o=0,k=k&255,(1<<(k&31)&c[93572+((k>>>5|d[185055+l>>0]<<3)<<2)>>2]|0)==0):0){o=23;break}j=h+2|0;if((j|0)==(f|0)){h=-1;break a}else{k=h;h=j;j=k}}if((o|0)==23){c[g>>2]=h;h=0;break}else if((o|0)==24){if((f-h|0)<2){h=-2;break}c[g>>2]=h;h=0;break}else if((o|0)==26){if((f-h|0)<3){h=-2;break}c[g>>2]=h;h=0;break}else if((o|0)==28){if((f-h|0)<4){h=-2;break}c[g>>2]=h;h=0;break}else if((o|0)==30){if(!(ZK(e,h,n)|0)){c[g>>2]=h;h=0;break}h=j+4|0;if((h|0)==(f|0)){h=-1;break}k=f;e:while(1){j=a[h>>0]|0;b=a[h+1>>0]|0;f:do if(j<<24>>24){switch(j&255|0){case 223:case 222:case 221:case 220:{o=44;break e}case 219:case 218:case 217:case 216:{o=42;break f}case 255:break;default:{o=50;break f}}if((b&255)>253){o=44;break e}else o=50}else switch(d[m+(b&255)>>0]|0){case 8:case 1:case 0:{o=44;break e}case 7:{o=42;break f}case 5:{if((k-h|0)<2){h=-2;break a}h=h+2|0;break f}case 6:{if((k-h|0)<3){h=-2;break a}h=h+3|0;break f}case 15:{j=h+2|0;if((j|0)==(f|0)){h=-1;break a}if(a[j>>0]|0){h=j;break f}if((a[h+3>>0]|0)==62){o=49;break e}else{h=j;break f}}default:{o=50;break f}}while(0);if((o|0)==42){o=0;if((k-h|0)<4){h=-2;break a}h=h+4|0}else if((o|0)==50){o=0;h=h+2|0}if((h|0)==(f|0)){h=-1;break a}}if((o|0)==44){c[g>>2]=h;h=0;break}else if((o|0)==49){c[g>>2]=h+4;h=c[n>>2]|0;break}}else if((o|0)==51){if(!(ZK(e,h,n)|0)){c[g>>2]=h;h=0;break}h=j+4|0;if((h|0)==(f|0)){h=-1;break}if((a[h>>0]|0)==0?(a[j+5>>0]|0)==62:0){c[g>>2]=j+6;h=c[n>>2]|0;break}}c[g>>2]=h;h=0}else h=-1}else h=-1;while(0);i=p;return h|0}function ZK(b,d,e){b=b|0;d=d|0;e=e|0;c[e>>2]=11;a:do if((d-b|0)==6?(a[b>>0]|0)==0:0){switch(a[b+1>>0]|0){case 120:{d=0;break}case 88:{d=1;break}default:{d=1;break a}}if(!(a[b+2>>0]|0)){switch(a[b+3>>0]|0){case 109:break;case 77:{d=1;break}default:{d=1;break a}}if(!(a[b+4>>0]|0)){switch(a[b+5>>0]|0){case 108:break;case 76:{d=0;break a}default:{d=1;break a}}if(!d){c[e>>2]=12;d=1}else d=0}else d=1}else d=1}else d=1;while(0);return d|0}function _K(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;a:do if((f|0)!=(g|0)){k=e+76|0;j=g;b:while(1){e=a[f>>0]|0;i=a[f+1>>0]|0;c:do if(e<<24>>24){switch(e&255|0){case 223:case 222:case 221:case 220:{l=13;break b}case 219:case 218:case 217:case 216:{l=11;break c}case 255:break;default:{l=19;break c}}if((i&255)>253){l=13;break b}else l=19}else{i=d[k+(i&255)>>0]|0;switch(i|0){case 8:case 1:case 0:{l=13;break b}case 7:{l=11;break c}case 5:{if((j-f|0)<2){f=-2;break a}f=f+2|0;break c}case 6:{if((j-f|0)<3){f=-2;break a}f=f+3|0;break c}case 13:case 12:{e=f+2|0;if((i|0)==(b|0))break b;else{f=e;break c}}default:{l=19;break c}}}while(0);if((l|0)==11){l=0;if((j-f|0)<4){f=-2;break a}f=f+4|0}else if((l|0)==19){l=0;f=f+2|0}if((f|0)==(g|0)){f=-1;break a}}if((l|0)==13){c[h>>2]=f;f=0;break}if((e|0)==(g|0))f=-27;else{c[h>>2]=e;if(!(a[e>>0]|0))switch(d[k+(d[f+3>>0]|0)>>0]|0){case 20:case 30:case 11:case 10:case 9:case 21:{f=27;break a}default:{}}f=0}}else f=-1;while(0);return f|0}function $K(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a:do if((e|0)==(f|0))h=-4;else{n=b+76|0;b:do switch(d[n+(d[e>>0]|0)>>0]|0){case 12:{h=DL(12,b,e+1|0,f,g)|0;break a}case 13:{h=DL(13,b,e+1|0,f,g)|0;break a}case 2:{h=e+1|0;if((h|0)==(f|0)){h=-1;break a}switch(d[n+(d[h>>0]|0)>>0]|0){case 16:{i=e+2|0;if((i|0)==(f|0)){h=-1;break a}switch(d[n+(d[i>>0]|0)>>0]|0){case 27:{h=AL(b,e+3|0,f,g)|0;break a}case 20:{c[g>>2]=e+3;h=33;break a}case 24:case 22:{h=e+3|0;if((h|0)==(f|0)){h=-1;break a}c:while(1){switch(d[n+(d[h>>0]|0)>>0]|0){case 30:{j=16;break c}case 10:case 9:case 21:break c;case 24:case 22:break;default:{j=20;break c}}i=h+1|0;if((i|0)==(f|0)){h=-1;break a}else{b=h;h=i;i=b}}if((j|0)==20){c[g>>2]=h;h=0;break a}d:do if((j|0)==16){i=i+2|0;if((i|0)==(f|0)){h=-1;break a}switch(d[n+(d[i>>0]|0)>>0]|0){case 30:case 10:case 9:case 21:break;default:break d}c[g>>2]=h;h=0;break a}while(0);c[g>>2]=h;h=16;break a}default:{c[g>>2]=i;h=0;break a}}}case 15:{h=BL(b,e+2|0,f,g)|0;break a}case 7:case 6:case 5:case 29:case 24:case 22:{c[g>>2]=e;h=29;break a}default:{c[g>>2]=h;h=0;break a}}}case 9:{if((e+1|0)==(f|0)){c[g>>2]=f;h=-15;break a}else j=3;break}case 10:case 21:{j=3;break}case 30:{h=zL(b,e+1|0,f,g)|0;break a}case 35:{c[g>>2]=e+1;h=38;break a}case 20:{c[g>>2]=e+1;h=25;break a}case 4:{h=e+1|0;if((h|0)==(f|0)){h=-26;break a}if((a[h>>0]|0)==93){i=e+2|0;if((i|0)==(f|0)){h=-1;break a}if((a[i>>0]|0)==62){c[g>>2]=e+3;h=34;break a}}c[g>>2]=h;h=26;break a}case 31:{c[g>>2]=e+1;h=23;break a}case 32:{h=e+1|0;if((h|0)==(f|0)){h=-24;break a}switch(d[n+(d[h>>0]|0)>>0]|0){case 33:{c[g>>2]=e+2;h=36;break a}case 15:{c[g>>2]=e+2;h=35;break a}case 34:{c[g>>2]=e+2;h=37;break a}case 32:case 36:case 35:case 11:case 21:case 10:case 9:{c[g>>2]=h;h=24;break a}default:{c[g>>2]=h;h=0;break a}}}case 36:{c[g>>2]=e+1;h=21;break a}case 11:{c[g>>2]=e+1;h=17;break a}case 19:{h=e+1|0;if((h|0)==(f|0)){h=-1;break a}e:do switch(d[n+(d[h>>0]|0)>>0]|0){case 29:{c[g>>2]=h;h=0;break a}case 24:case 22:{h=e+2|0;break}case 5:{if((f-h|0)<2){h=-2;break a}if(!(Qb[c[b+344>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+3|0;break e}}case 6:{if((f-h|0)<3){h=-2;break a}if(!(Qb[c[b+348>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+4|0;break e}}case 7:{if((f-h|0)<4){h=-2;break a}if(!(Qb[c[b+352>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+5|0;break e}}default:{c[g>>2]=h;h=0;break a}}while(0);if((h|0)==(f|0)){h=-20;break a}i=f;e=b+332|0;j=b+336|0;k=b+340|0;f:while(1){switch(d[n+(d[h>>0]|0)>>0]|0){case 29:{j=70;break f}case 36:case 30:case 11:case 32:case 21:case 10:case 9:{j=85;break f}case 27:case 26:case 25:case 24:case 22:{h=h+1|0;break}case 5:{if((i-h|0)<2){h=-2;break a}if(!(Qb[c[e>>2]&127](b,h)|0)){j=74;break f}h=h+2|0;break}case 6:{if((i-h|0)<3){h=-2;break a}if(!(Qb[c[j>>2]&127](b,h)|0)){j=78;break f}h=h+3|0;break}case 7:{if((i-h|0)<4){h=-2;break a}if(!(Qb[c[k>>2]&127](b,h)|0)){j=82;break f}h=h+4|0;break}default:{j=86;break f}}if((h|0)==(f|0)){h=-20;break a}}if((j|0)==70){c[g>>2]=h;h=0;break a}else if((j|0)==74){c[g>>2]=h;h=0;break a}else if((j|0)==78){c[g>>2]=h;h=0;break a}else if((j|0)==82){c[g>>2]=h;h=0;break a}else if((j|0)==85){c[g>>2]=h;h=20;break a}else if((j|0)==86){c[g>>2]=h;h=0;break a}break}case 5:{if((f-e|0)<2){h=-2;break a}if(Qb[c[b+344>>2]&127](b,e)|0){i=e+2|0;h=18;break b}if(!(Qb[c[b+332>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{i=e+2|0;h=19;break b}}case 6:{if((f-e|0)<3){h=-2;break a}if(Qb[c[b+348>>2]&127](b,e)|0){i=e+3|0;h=18;break b}if(!(Qb[c[b+336>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{i=e+3|0;h=19;break b}}case 7:{if((f-e|0)<4){h=-2;break a}if(Qb[c[b+352>>2]&127](b,e)|0){i=e+4|0;h=18;break b}if(!(Qb[c[b+340>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{i=e+4|0;h=19;break b}}case 24:case 22:{i=e+1|0;h=18;break}case 23:case 27:case 26:case 25:{i=e+1|0;h=19;break}default:{c[g>>2]=e;h=0;break a}}while(0);if((j|0)==3){h=e+1|0;g:do if((h|0)!=(f|0)){i=e;h:while(1){switch(d[n+(d[h>>0]|0)>>0]|0){case 10:case 21:break;case 9:{if((i+2|0)==(f|0))break h;break}default:break h}i=h+1|0;if((i|0)==(f|0))break g;else{b=h;h=i;i=b}}c[g>>2]=h;h=15;break a}while(0);c[g>>2]=f;h=15;break}i:do if((i|0)!=(f|0)){j=f;k=b+332|0;l=b+336|0;m=b+340|0;j:while(1){k:do switch(d[n+(d[i>>0]|0)>>0]|0){case 29:{h=i;j=111;break j}case 10:case 9:case 21:case 30:case 20:case 36:case 35:case 32:case 11:{j=125;break j}case 34:{j=145;break j}case 33:{j=148;break j}case 15:{j=151;break j}case 27:case 26:case 25:case 24:case 22:{i=i+1|0;break}case 5:{if((j-i|0)<2){h=-2;break a}if(!(Qb[c[k>>2]&127](b,i)|0)){h=i;j=115;break j}i=i+2|0;break}case 6:{if((j-i|0)<3){h=-2;break a}if(!(Qb[c[l>>2]&127](b,i)|0)){h=i;j=119;break j}i=i+3|0;break}case 7:{if((j-i|0)<4){h=-2;break a}if(!(Qb[c[m>>2]&127](b,i)|0)){h=i;j=123;break j}i=i+4|0;break}case 23:{e=i+1|0;switch(h|0){case 18:break;case 41:{i=e;h=19;break k}default:{i=e;break k}}if((e|0)==(f|0)){h=-1;break a}switch(d[n+(d[e>>0]|0)>>0]|0){case 29:{h=e;j=129;break j}case 27:case 26:case 25:case 24:case 22:{i=i+2|0;h=41;break k}case 5:{if((j-e|0)<2){h=-2;break a}if(!(Qb[c[k>>2]&127](b,e)|0)){h=e;j=133;break j}i=i+3|0;h=41;break k}case 6:{if((j-e|0)<3){h=-2;break a}if(!(Qb[c[l>>2]&127](b,e)|0)){h=e;j=137;break j}i=i+4|0;h=41;break k}case 7:{if((j-e|0)<4){h=-2;break a}if(!(Qb[c[m>>2]&127](b,e)|0)){h=e;j=141;break j}i=i+5|0;h=41;break k}default:{i=e;h=19;break k}}}default:{h=i;j=154;break j}}while(0);if((i|0)==(f|0))break i}switch(j|0){case 111:{c[g>>2]=h;h=0;break a}case 115:{c[g>>2]=h;h=0;break a}case 119:{c[g>>2]=h;h=0;break a}case 123:{c[g>>2]=h;h=0;break a}case 125:{c[g>>2]=i;break a}case 129:{c[g>>2]=h;h=0;break a}case 133:{c[g>>2]=h;h=0;break a}case 137:{c[g>>2]=h;h=0;break a}case 141:{c[g>>2]=h;h=0;break a}case 145:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+1;h=32;break a}case 148:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+1;h=31;break a}case 151:if((h|0)==19){c[g>>2]=i;h=0;break a}else{c[g>>2]=i+1;h=30;break a}case 154:{c[g>>2]=h;h=0;break a}}}while(0);h=0-h|0}while(0);return h|0}function aL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=i;i=i+16|0;u=w;a:do if((e|0)==(f|0))h=-4;else{v=b+76|0;b:do switch(d[v+(d[e>>0]|0)>>0]|0){case 2:{h=e+1|0;if((h|0)==(f|0)){h=-1;break a}c:do switch(d[v+(d[h>>0]|0)>>0]|0){case 29:{c[g>>2]=h;h=0;break a}case 24:case 22:{h=e+2|0;break}case 5:{if((f-h|0)<2){h=-2;break a}if(!(Qb[c[b+344>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+3|0;break c}}case 6:{if((f-h|0)<3){h=-2;break a}if(!(Qb[c[b+348>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+4|0;break c}}case 7:{if((f-h|0)<4){h=-2;break a}if(!(Qb[c[b+352>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+5|0;break c}}case 16:{h=e+2|0;if((h|0)==(f|0)){h=-1;break a}switch(d[v+(d[h>>0]|0)>>0]|0){case 27:{h=AL(b,e+3|0,f,g)|0;break a}case 20:{h=e+3|0;if((f-h|0)<6){h=-1;break a}if((a[h>>0]|0)==67){h=e+4|0;if((a[h>>0]|0)==68){h=e+5|0;if((a[h>>0]|0)==65){h=e+6|0;if((a[h>>0]|0)==84){h=e+7|0;if((a[h>>0]|0)==65){h=e+8|0;if((a[h>>0]|0)==91){c[g>>2]=e+9;h=8;break a}}}}}}c[g>>2]=h;h=0;break a}default:{c[g>>2]=h;h=0;break a}}}case 15:{h=BL(b,e+2|0,f,g)|0;break a}case 17:{h=e+2|0;if((h|0)==(f|0)){h=-1;break a}d:do switch(d[v+(d[h>>0]|0)>>0]|0){case 29:{c[g>>2]=h;h=0;break a}case 24:case 22:{h=e+3|0;break}case 5:{if((f-h|0)<2){h=-2;break a}if(!(Qb[c[b+344>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+4|0;break d}}case 6:{if((f-h|0)<3){h=-2;break a}if(!(Qb[c[b+348>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+5|0;break d}}case 7:{if((f-h|0)<4){h=-2;break a}if(!(Qb[c[b+352>>2]&127](b,h)|0)){c[g>>2]=h;h=0;break a}else{h=e+6|0;break d}}default:{c[g>>2]=h;h=0;break a}}while(0);if((h|0)==(f|0)){h=-1;break a}e=f;j=b+332|0;k=b+336|0;l=b+340|0;e:while(1){switch(d[v+(d[h>>0]|0)>>0]|0){case 29:{j=56;break e}case 10:case 9:case 21:{j=55;break e}case 11:{j=76;break e}case 27:case 26:case 25:case 24:case 22:{h=h+1|0;break}case 5:{if((e-h|0)<2){h=-2;break a}if(!(Qb[c[j>>2]&127](b,h)|0)){j=60;break e}h=h+2|0;break}case 6:{if((e-h|0)<3){h=-2;break a}if(!(Qb[c[k>>2]&127](b,h)|0)){j=64;break e}h=h+3|0;break}case 7:{if((e-h|0)<4){h=-2;break a}if(!(Qb[c[l>>2]&127](b,h)|0)){j=68;break e}h=h+4|0;break}case 23:{h=h+1|0;break}default:{j=77;break e}}if((h|0)==(f|0)){h=-1;break a}}if((j|0)==55){e=h+1|0;if((e|0)==(f|0)){h=-1;break a}f:while(1){switch(d[v+(d[e>>0]|0)>>0]|0){case 11:{j=72;break f}case 10:case 9:case 21:break;default:{h=e;j=73;break f}}h=e+1|0;if((h|0)==(f|0)){h=-1;break a}else{b=e;e=h;h=b}}if((j|0)==72){c[g>>2]=h+2;h=5;break a}else if((j|0)==73){c[g>>2]=h;h=0;break a}}else if((j|0)==56){c[g>>2]=h;h=0;break a}else if((j|0)==60){c[g>>2]=h;h=0;break a}else if((j|0)==64){c[g>>2]=h;h=0;break a}else if((j|0)==68){c[g>>2]=h;h=0;break a}else if((j|0)==76){c[g>>2]=h+1;h=5;break a}else if((j|0)==77){c[g>>2]=h;h=0;break a}break}default:{c[g>>2]=h;h=0;break a}}while(0);if((h|0)==(f|0)){h=-1;break a}n=f;o=b+332|0;p=b+336|0;q=b+340|0;r=b+344|0;s=b+348|0;t=b+352|0;e=0;g:while(1){h:do switch(d[v+(d[h>>0]|0)>>0]|0){case 29:{j=81;break g}case 10:case 9:case 21:{j=80;break g}case 11:{j=230;break g}case 17:break g;case 27:case 26:case 25:case 24:case 22:{h=h+1|0;break}case 5:{if((n-h|0)<2){h=-2;break a}if(!(Qb[c[o>>2]&127](b,h)|0)){j=85;break g}h=h+2|0;break}case 6:{if((n-h|0)<3){h=-2;break a}if(!(Qb[c[p>>2]&127](b,h)|0)){j=89;break g}h=h+3|0;break}case 7:{if((n-h|0)<4){h=-2;break a}if(!(Qb[c[q>>2]&127](b,h)|0)){j=93;break g}h=h+4|0;break}case 23:{if(e){j=96;break g}e=h+1|0;if((e|0)==(f|0)){h=-1;break a}switch(d[v+(d[e>>0]|0)>>0]|0){case 29:{h=e;j=99;break g}case 24:case 22:{h=h+2|0;e=1;break h}case 5:{if((n-e|0)<2){h=-2;break a}if(!(Qb[c[r>>2]&127](b,e)|0)){h=e;j=104;break g}h=h+3|0;e=1;break h}case 6:{if((n-e|0)<3){h=-2;break a}if(!(Qb[c[s>>2]&127](b,e)|0)){h=e;j=108;break g}h=h+4|0;e=1;break h}case 7:{if((n-e|0)<4){h=-2;break a}if(!(Qb[c[t>>2]&127](b,e)|0)){h=e;j=112;break g}h=h+5|0;e=1;break h}default:{h=e;j=114;break g}}}default:{j=235;break g}}while(0);if((h|0)==(f|0)){h=-1;break a}}i:switch(j|0){case 80:{e=h+1|0;if((e|0)==(f|0)){h=-1;break a}j:while(1){switch(d[v+(d[e>>0]|0)>>0]|0){case 11:{h=e;j=230;break i}case 17:{h=e;break i}case 29:{h=e;j=117;break j}case 24:case 22:{j=118;break j}case 5:{j=119;break j}case 6:{j=123;break j}case 7:{j=127;break j}case 10:case 9:case 21:break;default:{h=e;j=131;break j}}h=e+1|0;if((h|0)==(f|0)){h=-1;break a}else{m=e;e=h;h=m}}do if((j|0)==117){c[g>>2]=h;h=0;break a}else if((j|0)==118)h=h+2|0;else if((j|0)==119){if((n-e|0)<2){h=-2;break a}if(!(Qb[c[r>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=h+3|0;break}}else if((j|0)==123){if((n-e|0)<3){h=-2;break a}if(!(Qb[c[s>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=h+4|0;break}}else if((j|0)==127){if((n-e|0)<4){h=-2;break a}if(!(Qb[c[t>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=h+5|0;break}}else if((j|0)==131){c[g>>2]=h;h=0;break a}while(0);c[u>>2]=h;k:do if((h|0)==(f|0))h=-1;else{k=b+356|0;l=b+360|0;m=b+364|0;e=0;l:while(1){m:do switch(d[v+(d[h>>0]|0)>>0]|0){case 29:{j=137;break l}case 27:case 26:case 25:case 24:case 22:{h=h+1|0;c[u>>2]=h;break}case 5:{if((n-h|0)<2){h=-2;break k}if(!(Qb[c[o>>2]&127](b,h)|0)){j=141;break l}h=h+2|0;c[u>>2]=h;break}case 6:{if((n-h|0)<3){h=-2;break k}if(!(Qb[c[p>>2]&127](b,h)|0)){j=145;break l}h=h+3|0;c[u>>2]=h;break}case 7:{if((n-h|0)<4){h=-2;break k}if(!(Qb[c[q>>2]&127](b,h)|0)){j=149;break l}h=h+4|0;c[u>>2]=h;break}case 23:{if(e){j=152;break l}e=h+1|0;c[u>>2]=e;if((e|0)==(f|0)){h=-1;break k}switch(d[v+(d[e>>0]|0)>>0]|0){case 29:{h=e;j=155;break l}case 24:case 22:{h=h+2|0;c[u>>2]=h;e=1;break m}case 5:{if((n-e|0)<2){h=-2;break k}if(!(Qb[c[r>>2]&127](b,e)|0)){h=e;j=159;break l}h=h+3|0;c[u>>2]=h;e=1;break m}case 6:{if((n-e|0)<3){h=-2;break k}if(!(Qb[c[s>>2]&127](b,e)|0)){h=e;j=163;break l}h=h+4|0;c[u>>2]=h;e=1;break m}case 7:{if((n-e|0)<4){h=-2;break k}if(!(Qb[c[t>>2]&127](b,e)|0)){h=e;j=167;break l}h=h+5|0;c[u>>2]=h;e=1;break m}default:{h=e;j=169;break l}}}case 10:case 9:case 21:{h=h+1|0;c[u>>2]=h;if((h|0)==(f|0)){h=-1;break k}while(1){e=a[v+(d[h>>0]|0)>>0]|0;if(e<<24>>24==14){j=136;break m}switch(e&255|0){case 9:case 10:case 21:break;default:{j=173;break l}}h=h+1|0;c[u>>2]=h;if((h|0)==(f|0)){h=-1;break k}}}case 14:{j=136;break}default:{j=228;break l}}while(0);do if((j|0)==136){e=h+1|0;c[u>>2]=e;if((e|0)==(f|0)){h=-1;break k}while(1){j=a[v+(d[e>>0]|0)>>0]|0;if((j&-2)<<24>>24==12)break;switch(j&255|0){case 9:case 10:case 21:break;default:{h=e;j=177;break l}}h=e+1|0;c[u>>2]=h;if((h|0)==(f|0)){h=-1;break k}else{j=e;e=h;h=j}}h=h+2|0;c[u>>2]=h;if((h|0)==(f|0)){h=-1;break k}while(1){e=a[v+(d[h>>0]|0)>>0]|0;if(e<<24>>24==j<<24>>24)break;switch(e&255|0){case 8:case 1:case 0:{j=193;break l}case 2:{j=199;break l}case 5:{if((n-h|0)<2){h=-2;break k}if(Qb[c[k>>2]&127](b,h)|0){j=183;break l}h=h+2|0;c[u>>2]=h;break}case 6:{if((n-h|0)<3){h=-2;break k}if(Qb[c[l>>2]&127](b,h)|0){j=187;break l}h=h+3|0;c[u>>2]=h;break}case 7:{if((n-h|0)<4){h=-2;break k}if(Qb[c[m>>2]&127](b,h)|0){j=191;break l}h=h+4|0;c[u>>2]=h;break}case 3:{h=yL(b,h+1|0,f,u)|0;if((h|0)<1){j=197;break l}h=c[u>>2]|0;break}default:{h=h+1|0;c[u>>2]=h}}if((h|0)==(f|0)){h=-1;break k}}e=h+1|0;c[u>>2]=e;if((e|0)==(f|0)){h=-1;break k}switch(d[v+(d[e>>0]|0)>>0]|0){case 11:{h=e;j=222;break l}case 17:{h=e;j=223;break l}case 10:case 9:case 21:break;default:{h=e;j=204;break l}}h=h+2|0;c[u>>2]=h;if((h|0)==(f|0)){h=-1;break k}n:while(1){switch(d[v+(d[h>>0]|0)>>0]|0){case 29:{j=207;break l}case 11:{j=222;break l}case 17:{j=223;break l}case 24:case 22:{j=208;break n}case 5:{j=209;break n}case 6:{j=213;break n}case 7:{j=217;break n}case 10:case 9:case 21:break;default:{j=227;break l}}h=h+1|0;c[u>>2]=h;if((h|0)==(f|0)){h=-1;break k}}if((j|0)==208){j=0;h=h+1|0;c[u>>2]=h;e=0;break}else if((j|0)==209){j=0;if((n-h|0)<2){h=-2;break k}if(!(Qb[c[r>>2]&127](b,h)|0)){j=211;break l}h=h+2|0;c[u>>2]=h;e=0;break}else if((j|0)==213){j=0;if((n-h|0)<3){h=-2;break k}if(!(Qb[c[s>>2]&127](b,h)|0)){j=215;break l}h=h+3|0;c[u>>2]=h;e=0;break}else if((j|0)==217){j=0;if((n-h|0)<4){h=-2;break k}if(!(Qb[c[t>>2]&127](b,h)|0)){j=219;break l}h=h+4|0;c[u>>2]=h;e=0;break}}while(0);if((h|0)==(f|0)){h=-1;break k}}switch(j|0){case 137:{c[g>>2]=h;h=0;break k}case 141:{c[g>>2]=h;h=0;break k}case 145:{c[g>>2]=h;h=0;break k}case 149:{c[g>>2]=h;h=0;break k}case 152:{c[g>>2]=h;h=0;break k}case 155:{c[g>>2]=h;h=0;break k}case 159:{c[g>>2]=h;h=0;break k}case 163:{c[g>>2]=h;h=0;break k}case 167:{c[g>>2]=h;h=0;break k}case 169:{c[g>>2]=h;h=0;break k}case 173:{c[g>>2]=h;h=0;break k}case 177:{c[g>>2]=h;h=0;break k}case 183:{c[g>>2]=h;h=0;break k}case 187:{c[g>>2]=h;h=0;break k}case 191:{c[g>>2]=h;h=0;break k}case 193:{c[g>>2]=h;h=0;break k}case 197:{if(h)break k;c[g>>2]=c[u>>2];h=0;break k}case 199:{c[g>>2]=h;h=0;break k}case 204:{c[g>>2]=h;h=0;break k}case 207:{c[g>>2]=h;h=0;break k}case 211:{c[g>>2]=h;h=0;break k}case 215:{c[g>>2]=h;h=0;break k}case 219:{c[g>>2]=h;h=0;break k}case 222:{c[g>>2]=h+1;h=1;break k}case 223:{e=h+1|0;c[u>>2]=e;if((e|0)==(f|0)){h=-1;break k}if((a[e>>0]|0)==62){c[g>>2]=h+2;h=3;break k}else{c[g>>2]=e;h=0;break k}}case 227:{c[g>>2]=h;h=0;break k}case 228:{c[g>>2]=h;h=0;break k}}}while(0);break a}case 81:{c[g>>2]=h;h=0;break a}case 85:{c[g>>2]=h;h=0;break a}case 89:{c[g>>2]=h;h=0;break a}case 93:{c[g>>2]=h;h=0;break a}case 96:{c[g>>2]=h;h=0;break a}case 99:{c[g>>2]=h;h=0;break a}case 104:{c[g>>2]=h;h=0;break a}case 108:{c[g>>2]=h;h=0;break a}case 112:{c[g>>2]=h;h=0;break a}case 114:{c[g>>2]=h;h=0;break a}case 235:{c[g>>2]=h;h=0;break a}}if((j|0)==230){c[g>>2]=h+1;h=2;break a}e=h+1|0;if((e|0)==(f|0)){h=-1;break a}if((a[e>>0]|0)==62){c[g>>2]=h+2;h=4;break a}else{c[g>>2]=e;h=0;break a}}case 3:{h=yL(b,e+1|0,f,g)|0;break a}case 9:{h=e+1|0;if((h|0)==(f|0)){h=-3;break a}c[g>>2]=(a[v+(d[h>>0]|0)>>0]|0)==10?e+2|0:h;h=7;break a}case 10:{c[g>>2]=e+1;h=7;break a}case 4:{h=e+1|0;if((h|0)==(f|0)){h=-5;break a}if((a[h>>0]|0)==93){e=e+2|0;if((e|0)==(f|0)){h=-5;break a}if((a[e>>0]|0)==62){c[g>>2]=e;h=0;break a}}break}case 5:{if((f-e|0)<2){h=-2;break a}if(!(Qb[c[b+356>>2]&127](b,e)|0)){h=e+2|0;break b}else{c[g>>2]=e;h=0;break a}}case 6:{if((f-e|0)<3){h=-2;break a}if(!(Qb[c[b+360>>2]&127](b,e)|0)){h=e+3|0;break b}else{c[g>>2]=e;h=0;break a}}case 7:{if((f-e|0)<4){h=-2;break a}if(!(Qb[c[b+364>>2]&127](b,e)|0)){h=e+4|0;break b}else{c[g>>2]=e;h=0;break a}}case 8:case 1:case 0:{c[g>>2]=e;h=0;break a}default:h=e+1|0}while(0);o:do if((h|0)!=(f|0)){k=f;l=b+356|0;m=b+360|0;n=b+364|0;p:while(1){switch(d[v+(d[h>>0]|0)>>0]|0){case 10:case 9:case 8:case 1:case 0:case 2:case 3:{j=279;break p}case 5:{if((k-h|0)<2){j=264;break p}if(Qb[c[l>>2]&127](b,h)|0){j=264;break p}h=h+2|0;break}case 6:{if((k-h|0)<3){j=268;break p}if(Qb[c[m>>2]&127](b,h)|0){j=268;break p}h=h+3|0;break}case 7:{if((k-h|0)<4){j=272;break p}if(Qb[c[n>>2]&127](b,h)|0){j=272;break p}h=h+4|0;break}case 4:{e=h+1|0;if((e|0)==(f|0)){j=279;break p}if((a[e>>0]|0)==93){j=h+2|0;if((j|0)==(f|0)){j=279;break p}if((a[j>>0]|0)==62){h=j;j=278;break p}else h=e}else h=e;break}default:h=h+1|0}if((h|0)==(f|0))break o}if((j|0)==264){c[g>>2]=h;h=6;break a}else if((j|0)==268){c[g>>2]=h;h=6;break a}else if((j|0)==272){c[g>>2]=h;h=6;break a}else if((j|0)==278){c[g>>2]=h;h=0;break a}else if((j|0)==279){c[g>>2]=h;h=6;break a}}while(0);c[g>>2]=f;h=6}while(0);i=w;return h|0}function bL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;a:do if((e|0)==(f|0))h=-4;else{l=b+76|0;b:do switch(d[l+(d[e>>0]|0)>>0]|0){case 4:{h=e+1|0;if((h|0)==(f|0)){h=-1;break a}if((a[h>>0]|0)==93){i=e+2|0;if((i|0)==(f|0)){h=-1;break a}if((a[i>>0]|0)==62){c[g>>2]=e+3;h=40;break a}}break}case 9:{h=e+1|0;if((h|0)==(f|0)){h=-1;break a}c[g>>2]=(a[l+(d[h>>0]|0)>>0]|0)==10?e+2|0:h;h=7;break a}case 10:{c[g>>2]=e+1;h=7;break a}case 5:{if((f-e|0)<2){h=-2;break a}if(!(Qb[c[b+356>>2]&127](b,e)|0)){h=e+2|0;break b}else{c[g>>2]=e;h=0;break a}}case 6:{if((f-e|0)<3){h=-2;break a}if(!(Qb[c[b+360>>2]&127](b,e)|0)){h=e+3|0;break b}else{c[g>>2]=e;h=0;break a}}case 7:{if((f-e|0)<4){h=-2;break a}if(!(Qb[c[b+364>>2]&127](b,e)|0)){h=e+4|0;break b}else{c[g>>2]=e;h=0;break a}}case 8:case 1:case 0:{c[g>>2]=e;h=0;break a}default:h=e+1|0}while(0);c:do if((h|0)!=(f|0)){i=f;e=b+356|0;j=b+360|0;k=b+364|0;d:while(1){switch(d[l+(d[h>>0]|0)>>0]|0){case 4:case 10:case 9:case 8:case 1:case 0:{i=40;break d}case 5:{if((i-h|0)<2){i=30;break d}if(Qb[c[e>>2]&127](b,h)|0){i=30;break d}h=h+2|0;break}case 6:{if((i-h|0)<3){i=34;break d}if(Qb[c[j>>2]&127](b,h)|0){i=34;break d}h=h+3|0;break}case 7:{if((i-h|0)<4){i=38;break d}if(Qb[c[k>>2]&127](b,h)|0){i=38;break d}h=h+4|0;break}default:h=h+1|0}if((h|0)==(f|0))break c}if((i|0)==30){c[g>>2]=h;h=6;break a}else if((i|0)==34){c[g>>2]=h;h=6;break a}else if((i|0)==38){c[g>>2]=h;h=6;break a}else if((i|0)==40){c[g>>2]=h;h=6;break a}}while(0);c[g>>2]=f;h=6}while(0);return h|0}function cL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a:do if((e|0)!=(f|0)){j=b+76|0;k=f;l=b+356|0;m=b+360|0;n=b+364|0;i=0;b:while(1){switch(d[j+(d[e>>0]|0)>>0]|0){case 8:case 1:case 0:{h=16;break b}case 5:{if((k-e|0)<2){e=-2;break a}if(Qb[c[l>>2]&127](b,e)|0){h=6;break b}e=e+2|0;h=i;break}case 6:{if((k-e|0)<3){e=-2;break a}if(Qb[c[m>>2]&127](b,e)|0){h=10;break b}e=e+3|0;h=i;break}case 7:{if((k-e|0)<4){e=-2;break a}if(Qb[c[n>>2]&127](b,e)|0){h=14;break b}e=e+4|0;h=i;break}case 2:{h=e+1|0;if((h|0)==(f|0)){e=-1;break a}if((a[h>>0]|0)==33){h=e+2|0;if((h|0)==(f|0)){e=-1;break a}if((a[h>>0]|0)==91){e=e+3|0;h=i+1|0}else{e=h;h=i}}else{e=h;h=i}break}case 4:{h=e+1|0;if((h|0)==(f|0)){e=-1;break a}if((a[h>>0]|0)==93){h=e+2|0;if((h|0)==(f|0)){e=-1;break a}if((a[h>>0]|0)==62){e=e+3|0;if(!i){h=28;break b}h=i+-1|0}else{e=h;h=i}}else{e=h;h=i}break}default:{e=e+1|0;h=i}}if((e|0)==(f|0)){e=-1;break a}else i=h}if((h|0)==6){c[g>>2]=e;e=0;break}else if((h|0)==10){c[g>>2]=e;e=0;break}else if((h|0)==14){c[g>>2]=e;e=0;break}else if((h|0)==16){c[g>>2]=e;e=0;break}else if((h|0)==28){c[g>>2]=e;e=42;break}}else e=-1;while(0);return e|0}function dL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;do if((e|0)!=(f|0)){i=b+76|0;h=e;a:while(1){switch(d[i+(d[h>>0]|0)>>0]|0){case 3:{j=7;break a}case 2:{j=10;break a}case 10:{j=11;break a}case 9:{j=14;break a}case 21:{j=18;break a}case 5:{h=h+2|0;break}case 6:{h=h+3|0;break}case 7:{h=h+4|0;break}default:h=h+1|0}if((h|0)==(f|0)){j=23;break}}if((j|0)==7)if((h|0)==(e|0)){h=yL(b,e+1|0,f,g)|0;break}else{c[g>>2]=h;h=6;break}else if((j|0)==10){c[g>>2]=h;h=0;break}else if((j|0)==11)if((h|0)==(e|0)){c[g>>2]=e+1;h=7;break}else{c[g>>2]=h;h=6;break}else if((j|0)==14){if((h|0)!=(e|0)){c[g>>2]=h;h=6;break}h=e+1|0;if((h|0)==(f|0)){h=-3;break}c[g>>2]=(a[i+(d[h>>0]|0)>>0]|0)==10?e+2|0:h;h=7;break}else if((j|0)==18)if((h|0)==(e|0)){c[g>>2]=e+1;h=39;break}else{c[g>>2]=h;h=6;break}else if((j|0)==23){c[g>>2]=f;h=6;break}}else h=-4;while(0);return h|0}function eL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;do if((e|0)!=(f|0)){i=b+76|0;h=e;a:while(1){switch(d[i+(d[h>>0]|0)>>0]|0){case 3:{j=7;break a}case 30:{j=10;break a}case 10:{j=13;break a}case 9:{j=16;break a}case 5:{h=h+2|0;break}case 6:{h=h+3|0;break}case 7:{h=h+4|0;break}default:h=h+1|0}if((h|0)==(f|0)){j=22;break}}if((j|0)==7)if((h|0)==(e|0)){h=yL(b,e+1|0,f,g)|0;break}else{c[g>>2]=h;h=6;break}else if((j|0)==10)if((h|0)==(e|0)){h=zL(b,e+1|0,f,g)|0;h=(h|0)==22?0:h;break}else{c[g>>2]=h;h=6;break}else if((j|0)==13)if((h|0)==(e|0)){c[g>>2]=e+1;h=7;break}else{c[g>>2]=h;h=6;break}else if((j|0)==16){if((h|0)!=(e|0)){c[g>>2]=h;h=6;break}h=e+1|0;if((h|0)==(f|0)){h=-3;break}c[g>>2]=(a[i+(d[h>>0]|0)>>0]|0)==10?e+2|0:h;h=7;break}else if((j|0)==22){c[g>>2]=f;h=6;break}}else h=-4;while(0);return h|0}function fL(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0;g=b+76|0;b=e;a:while(1){e=a[c>>0]|0;switch(d[g+(e&255)>>0]|0){case 7:{h=3;break}case 6:{h=5;break}case 5:break;case 27:case 26:case 25:case 24:case 23:case 22:case 29:if((a[b>>0]|0)==e<<24>>24){b=b+1|0;c=c+1|0;continue a}else{b=0;break a}default:{h=10;break a}}if((h|0)==3){h=0;f=c+1|0;if(e<<24>>24!=(a[b>>0]|0)){b=0;break}b=b+1|0;c=f;e=a[f>>0]|0;h=5}if((h|0)==5){h=0;f=c+1|0;if(e<<24>>24!=(a[b>>0]|0)){b=0;break}b=b+1|0;c=f;e=a[f>>0]|0}if(e<<24>>24!=(a[b>>0]|0)){b=0;break}if((a[c+1>>0]|0)==(a[b+1>>0]|0)){b=b+2|0;c=c+2|0}else{b=0;break}}b:do if((h|0)==10){b=a[b>>0]|0;if(e<<24>>24==b<<24>>24)b=1;else{switch(d[g+(b&255)>>0]|0){case 27:case 26:case 25:case 24:case 23:case 22:case 29:case 7:case 6:case 5:{b=0;break b}default:{}}b=1}}while(0);return b|0}function gL(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=a[e>>0]|0;b=(c|0)==(d|0);a:do if(!(f<<24>>24))g=5;else while(1){if(b){b=0;break a}if((a[c>>0]|0)!=f<<24>>24){b=0;break a}c=c+1|0;e=e+1|0;f=a[e>>0]|0;b=(c|0)==(d|0);if(!(f<<24>>24)){g=5;break}}while(0);if((g|0)==5)b=b&1;return b|0}function hL(a,b){a=a|0;b=b|0;var c=0;c=a+76|0;a=b;a:while(1)switch(d[c+(d[a>>0]|0)>>0]|0|0){case 5:{a=a+2|0;continue a}case 6:{a=a+3|0;continue a}case 7:{a=a+4|0;continue a}case 27:case 26:case 25:case 24:case 23:case 22:case 29:{a=a+1|0;continue a}default:break a}return a-b|0}function iL(a,b){a=a|0;b=b|0;a=a+76|0;a:while(1){switch(d[a+(d[b>>0]|0)>>0]|0|0){case 21:case 9:case 10:break;default:break a}b=b+1|0}return b|0}function jL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;k=b+76|0;b=0;l=0;h=1;a:while(1){i=e+1|0;j=a[i>>0]|0;do switch(d[k+(j&255)>>0]|0){case 5:{if(!h)if((b|0)<(f|0)){c[g+(b<<4)>>2]=i;a[g+(b<<4)+12>>0]=1;h=1}else h=1;i=l;j=b;e=e+2|0;l=i;b=j;continue a}case 6:{if(!h)if((b|0)<(f|0)){c[g+(b<<4)>>2]=i;a[g+(b<<4)+12>>0]=1;h=1}else h=1;i=l;j=b;e=e+3|0;l=i;b=j;continue a}case 7:{if(!h)if((b|0)<(f|0)){c[g+(b<<4)>>2]=i;a[g+(b<<4)+12>>0]=1;h=1}else h=1;i=l;j=b;e=e+4|0;l=i;b=j;continue a}case 24:case 22:case 29:{if(h){o=h;n=l;j=b;e=i;h=o;l=n;b=j;continue a}if((b|0)>=(f|0)){n=l;o=b;e=i;h=1;l=n;b=o;continue a}c[g+(b<<4)>>2]=i;a[g+(b<<4)+12>>0]=1;n=l;o=b;e=i;h=1;l=n;b=o;continue a}case 12:{if((h|0)!=2){if((b|0)>=(f|0)){o=b;l=12;e=i;h=2;b=o;continue a}c[g+(b<<4)+4>>2]=e+2;o=b;l=12;e=i;h=2;b=o;continue a}if((l|0)!=12){n=l;o=b;e=i;h=2;l=n;b=o;continue a}if((b|0)<(f|0))c[g+(b<<4)+8>>2]=i;b=b+1|0;l=12;e=i;h=0;continue a}case 13:{if((h|0)!=2){if((b|0)>=(f|0)){o=b;l=13;e=i;h=2;b=o;continue a}c[g+(b<<4)+4>>2]=e+2;o=b;l=13;e=i;h=2;b=o;continue a}if((l|0)!=13){n=l;o=b;e=i;h=2;l=n;b=o;continue a}if((b|0)<(f|0))c[g+(b<<4)+8>>2]=i;b=b+1|0;l=13;e=i;h=0;continue a}case 3:{if((b|0)>=(f|0)){j=h;n=l;o=b;e=i;h=j;l=n;b=o;continue a}a[g+(b<<4)+12>>0]=0;j=h;n=l;o=b;e=i;h=j;l=n;b=o;continue a}case 21:{if((h|0)==1){n=l;o=b;e=i;h=0;l=n;b=o;continue a}if(!((h|0)==2&(b|0)<(f|0))){j=h;n=l;o=b;e=i;h=j;l=n;b=o;continue a}h=g+(b<<4)+12|0;if(!(a[h>>0]|0)){n=l;o=b;e=i;h=2;l=n;b=o;continue a}if(((j<<24>>24==32?(i|0)!=(c[g+(b<<4)+4>>2]|0):0)?(m=a[e+2>>0]|0,m<<24>>24!=32):0)?(d[k+(m&255)>>0]|0)!=(l|0):0){n=l;o=b;e=i;h=2;l=n;b=o;continue a}a[h>>0]=0;n=l;o=b;e=i;h=2;l=n;b=o;continue a}case 10:case 9:{if((h|0)==1){n=l;o=b;e=i;h=0;l=n;b=o;continue a}if(!((h|0)==2&(b|0)<(f|0))){j=h;n=l;o=b;e=i;h=j;l=n;b=o;continue a}a[g+(b<<4)+12>>0]=0;n=l;o=b;e=i;h=2;l=n;b=o;continue a}case 17:case 11:if((h|0)==2){n=l;o=b;e=i;h=2;l=n;b=o;continue a}else break a;default:{j=h;n=l;o=b;e=i;h=j;l=n;b=o;continue a}}while(0)}return b|0}function kL(b,c){b=b|0;c=c|0;var d=0,e=0;b=c+2|0;d=a[b>>0]|0;a:do switch(d<<24>>24){case 120:{b=c+3|0;d=a[b>>0]|0;if(d<<24>>24==59){b=0;e=13}else{c=b;d=d<<24>>24;b=0;while(1){switch(d|0){case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:case 48:{b=d+-48|b<<4;e=8;break}case 70:case 69:case 68:case 67:case 66:case 65:{b=(b<<4)+-55+d|0;e=8;break}case 102:case 101:case 100:case 99:case 98:case 97:{b=(b<<4)+-87+d|0;e=8;break}default:{}}if((e|0)==8){e=0;if((b|0)>1114111){b=-1;break a}}c=c+1|0;d=a[c>>0]|0;if(d<<24>>24==59){e=12;break a}else d=d<<24>>24}}break}case 59:{b=0;e=13;break}default:{c=b;b=0;while(1){b=(b*10|0)+-48+(d<<24>>24)|0;c=c+1|0;if((b|0)>1114111){b=-1;break a}d=a[c>>0]|0;if(d<<24>>24==59){e=12;break}}}}while(0);b:do if((e|0)==12){switch(b>>8|0){case 223:case 222:case 221:case 220:case 219:case 218:case 217:case 216:{b=-1;break b}case 0:{e=13;break b}case 255:break;default:{e=15;break b}}if((b&-2|0)==65534)b=-1;else e=15}while(0);if((e|0)==13)if(!(a[93280+b>>0]|0))b=-1;else e=15;return b|0}function lL(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;a:do switch(d-c|0){case 2:{if((a[c+1>>0]|0)==116){b=a[c>>0]|0;b=b<<24>>24==108?60:b<<24>>24==103?62:0}else e=14;break}case 3:{if(((a[c>>0]|0)==97?(a[c+1>>0]|0)==109:0)?(a[c+2>>0]|0)==112:0)b=38;else e=14;break}case 4:switch(a[c>>0]|0){case 113:{if((a[c+1>>0]|0)!=117){e=14;break a}if((a[c+2>>0]|0)!=111){e=14;break a}if((a[c+3>>0]|0)==116){b=34;break a}else{e=14;break a}}case 97:{if((a[c+1>>0]|0)!=112){e=14;break a}if((a[c+2>>0]|0)!=111){e=14;break a}if((a[c+3>>0]|0)==115){b=39;break a}else{e=14;break a}}default:{e=14;break a}}default:e=14}while(0);if((e|0)==14)b=0;return b|0}function mL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;a:do if(e>>>0<f>>>0){h=b+76|0;i=g+4|0;b=e;while(1){switch(d[h+(d[b>>0]|0)>>0]|0){case 5:{b=b+2|0;break}case 6:{b=b+3|0;break}case 7:{b=b+4|0;break}case 10:{c[i>>2]=-1;c[g>>2]=(c[g>>2]|0)+1;b=b+1|0;break}case 9:{c[g>>2]=(c[g>>2]|0)+1;e=b+1|0;if((e|0)==(f|0))b=f;else b=(a[h+(d[e>>0]|0)>>0]|0)==10?b+2|0:e;c[i>>2]=-1;break}default:b=b+1|0}c[i>>2]=(c[i>>2]|0)+1;if(b>>>0>=f>>>0)break a}}while(0);return}function nL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;h=f+-1|0;f=e+1|0;a:do if((f|0)!=(h|0)){b=b+76|0;b:while(1){e=a[f>>0]|0;switch(d[b+(e&255)>>0]|0|0){case 23:case 19:case 30:case 33:case 16:case 18:case 10:case 9:case 15:case 14:case 17:case 35:case 34:case 32:case 31:case 13:case 27:case 24:case 25:break;case 21:{if(e<<24>>24==9){i=6;break b}break}case 22:case 26:{if(e<<24>>24<0)i=8;break}default:i=8}if((i|0)==8){i=0;switch(e<<24>>24|0){case 64:case 36:break;default:{i=9;break b}}}f=f+1|0;if((f|0)==(h|0)){f=1;break a}}if((i|0)==6){c[g>>2]=f;f=0;break}else if((i|0)==9){c[g>>2]=f;f=0;break}}else f=1;while(0);return f|0}function oL(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;h=c[d>>2]|0;b=c[f>>2]|0;g=g-b|0;a:do if((e-h|0)>(g|0)){e=h+g|0;while(1){if(e>>>0<=h>>>0)break a;g=e+-1|0;if((a[g>>0]&-64)<<24>>24==-128)e=g;else break}}while(0);if((h|0)==(e|0))e=h;else{g=h;do{a[b>>0]=a[g>>0]|0;g=g+1|0;b=b+1|0}while((g|0)!=(e|0))}c[d>>2]=e;c[f>>2]=b;return}function pL(e,f,g,h,i){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=c[h>>2]|0;k=c[f>>2]|0;a:do if((k|0)==(g|0)|(j|0)==(i|0))e=k;else{m=e+76|0;e=k;while(1){k=a[e>>0]|0;l=k&255;switch(d[m+l>>0]|0|0){case 5:{b[j>>1]=(d[e+1>>0]|0)&63|l<<6&1984;e=e+2|0;j=j+2|0;break}case 6:{b[j>>1]=(d[e+1>>0]|0)<<6&4032|l<<12|(d[e+2>>0]|0)&63;e=e+3|0;j=j+2|0;break}case 7:{k=j+2|0;if((k|0)==(i|0))break a;l=((d[e+1>>0]|0)<<12&258048|l<<18&1835008|(d[e+2>>0]|0)<<6&4032|(d[e+3>>0]|0)&63)+-65536|0;b[j>>1]=l>>>10|55296;b[k>>1]=l&1023|56320;e=e+4|0;j=j+4|0;break}default:{b[j>>1]=k<<24>>24;e=e+1|0;j=j+2|0}}if((e|0)==(g|0)|(j|0)==(i|0))break a}}while(0);c[f>>2]=e;c[h>>2]=j;return}function qL(a,b){a=a|0;b=b|0;a=d[b>>0]|0;b=d[b+1>>0]|0;return 1<<(b&31)&c[93572+(((d[185055+(a>>>2&7)>>0]|0)<<3|a<<1&6|b>>>5&1)<<2)>>2]|0}function rL(a,b){a=a|0;b=b|0;var e=0;e=d[b+1>>0]|0;a=d[b+2>>0]|0;return 1<<(a&31)&c[93572+(((d[185055+(e>>>2&15|(d[b>>0]|0)<<4&240)>>0]|0)<<3|e<<1&6|a>>>5&1)<<2)>>2]|0}function sL(a,b){a=a|0;b=b|0;return 0}function tL(a,b){a=a|0;b=b|0;a=d[b>>0]|0;b=d[b+1>>0]|0;return 1<<(b&31)&c[93572+(((d[184799+(a>>>2&7)>>0]|0)<<3|a<<1&6|b>>>5&1)<<2)>>2]|0}function uL(a,b){a=a|0;b=b|0;var e=0;e=d[b+1>>0]|0;a=d[b+2>>0]|0;return 1<<(a&31)&c[93572+(((d[184799+(e>>>2&15|(d[b>>0]|0)<<4&240)>>0]|0)<<3|e<<1&6|a>>>5&1)<<2)>>2]|0}function vL(a,b){a=a|0;b=b|0;var c=0;if((d[b>>0]|0)>=194?(c=d[b+1>>0]|0,(c&128|0)!=0):0)c=(c&192|0)==192;else c=1;return c&1|0}function wL(b,c){b=b|0;c=c|0;var d=0,e=0;b=a[c+2>>0]|0;a:do if(b<<24>>24>-1)b=1;else{e=a[c>>0]|0;if(e<<24>>24==-17?(a[c+1>>0]|0)==-65:0)if((b&255)>189){b=1;break}else{b=-65;c=191}else d=5;do if((d|0)==5){if((b&255)>191){b=1;break a}b=a[c+1>>0]|0;c=b&255;if(e<<24>>24!=-32)if(!(c&128)){b=1;break a}else break;if((b&255)<160){b=1;break a}b=(c&192|0)==192;break a}while(0);b=e<<24>>24==-19?(b&255)>159:(c&192|0)==192}while(0);return b&1|0}function xL(b,c){b=b|0;c=c|0;var e=0;e=d[c+3>>0]|0;do if(!((e&128|0)==0|(e&192|0)==192)?(e=d[c+2>>0]|0,!((e&128|0)==0|(e&192|0)==192)):0){e=a[c>>0]|0;b=a[c+1>>0]|0;c=b&255;if(e<<24>>24==-16){if((b&255)<144){b=1;break}b=(c&192|0)==192;break}else{if(!(c&128)){b=1;break}b=e<<24>>24==-12?(b&255)>143:(c&192|0)==192;break}}else b=1;while(0);return b&1|0}function yL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;a:do if((e|0)!=(f|0)){l=b+76|0;b:do switch(d[l+(d[e>>0]|0)>>0]|0){case 29:{c[g>>2]=e;h=0;break a}case 24:case 22:{h=e+1|0;break}case 5:{if((f-e|0)<2){h=-2;break a}if(!(Qb[c[b+344>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=e+2|0;break b}}case 6:{if((f-e|0)<3){h=-2;break a}if(!(Qb[c[b+348>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=e+3|0;break b}}case 7:{if((f-e|0)<4){h=-2;break a}if(!(Qb[c[b+352>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=e+4|0;break b}}case 19:{i=e+1|0;if((i|0)==(f|0)){h=-1;break a}h=a[i>>0]|0;if(h<<24>>24!=120){if((a[l+(h&255)>>0]|0)!=25){c[g>>2]=i;h=0;break a}c:while(1){h=i+1|0;if((h|0)==(f|0)){h=-1;break a}switch(d[l+(d[h>>0]|0)>>0]|0){case 25:{e=i;i=h;break}case 18:{h=e;i=33;break c}default:{i=34;break c}}}if((i|0)==33){c[g>>2]=h+3;h=10;break a}else if((i|0)==34){c[g>>2]=h;h=0;break a}}i=e+2|0;if((i|0)==(f|0)){h=-1;break a}if((a[l+(d[i>>0]|0)>>0]&-2)<<24>>24!=24){c[g>>2]=i;h=0;break a}h=e+3|0;if((h|0)==(f|0)){h=-1;break a}d:while(1){switch(d[l+(d[h>>0]|0)>>0]|0){case 18:{h=i;i=27;break d}case 24:case 25:break;default:{i=28;break d}}i=h+1|0;if((i|0)==(f|0)){h=-1;break a}else{b=h;h=i;i=b}}if((i|0)==27){c[g>>2]=h+2;h=10;break a}else if((i|0)==28){c[g>>2]=h;h=0;break a}break}default:{c[g>>2]=e;h=0;break a}}while(0);if((h|0)!=(f|0)){k=f;i=b+332|0;e=b+336|0;j=b+340|0;e:while(1){switch(d[l+(d[h>>0]|0)>>0]|0){case 29:{i=37;break e}case 18:{i=52;break e}case 27:case 26:case 25:case 24:case 22:{h=h+1|0;break}case 5:{if((k-h|0)<2){h=-2;break a}if(!(Qb[c[i>>2]&127](b,h)|0)){i=41;break e}h=h+2|0;break}case 6:{if((k-h|0)<3){h=-2;break a}if(!(Qb[c[e>>2]&127](b,h)|0)){i=45;break e}h=h+3|0;break}case 7:{if((k-h|0)<4){h=-2;break a}if(!(Qb[c[j>>2]&127](b,h)|0)){i=49;break e}h=h+4|0;break}default:{i=53;break e}}if((h|0)==(f|0)){h=-1;break a}}if((i|0)==37){c[g>>2]=h;h=0;break}else if((i|0)==41){c[g>>2]=h;h=0;break}else if((i|0)==45){c[g>>2]=h;h=0;break}else if((i|0)==49){c[g>>2]=h;h=0;break}else if((i|0)==52){c[g>>2]=h+1;h=9;break}else if((i|0)==53){c[g>>2]=h;h=0;break}}else h=-1}else h=-1;while(0);return h|0}function zL(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;a:do if((b|0)!=(e|0)){k=a+76|0;b:do switch(d[k+(d[b>>0]|0)>>0]|0|0){case 29:{c[f>>2]=b;b=0;break a}case 24:case 22:{b=b+1|0;break}case 5:{if((e-b|0)<2){b=-2;break a}if(!(Qb[c[a+344>>2]&127](a,b)|0)){c[f>>2]=b;b=0;break a}else{b=b+2|0;break b}}case 6:{if((e-b|0)<3){b=-2;break a}if(!(Qb[c[a+348>>2]&127](a,b)|0)){c[f>>2]=b;b=0;break a}else{b=b+3|0;break b}}case 7:{if((e-b|0)<4){b=-2;break a}if(!(Qb[c[a+352>>2]&127](a,b)|0)){c[f>>2]=b;b=0;break a}else{b=b+4|0;break b}}case 30:case 9:case 10:case 21:{c[f>>2]=b;b=22;break a}default:{c[f>>2]=b;b=0;break a}}while(0);if((b|0)!=(e|0)){j=e;g=a+332|0;h=a+336|0;i=a+340|0;c:while(1){switch(d[k+(d[b>>0]|0)>>0]|0|0){case 29:{g=22;break c}case 18:{g=37;break c}case 27:case 26:case 25:case 24:case 22:{b=b+1|0;break}case 5:{if((j-b|0)<2){b=-2;break a}if(!(Qb[c[g>>2]&127](a,b)|0)){g=26;break c}b=b+2|0;break}case 6:{if((j-b|0)<3){b=-2;break a}if(!(Qb[c[h>>2]&127](a,b)|0)){g=30;break c}b=b+3|0;break}case 7:{if((j-b|0)<4){b=-2;break a}if(!(Qb[c[i>>2]&127](a,b)|0)){g=34;break c}b=b+4|0;break}default:{g=38;break c}}if((b|0)==(e|0)){b=-1;break a}}if((g|0)==22){c[f>>2]=b;b=0;break}else if((g|0)==26){c[f>>2]=b;b=0;break}else if((g|0)==30){c[f>>2]=b;b=0;break}else if((g|0)==34){c[f>>2]=b;b=0;break}else if((g|0)==37){c[f>>2]=b+1;b=28;break}else if((g|0)==38){c[f>>2]=b;b=0;break}}else b=-1}else b=-1;while(0);return b|0}function AL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;a:do if((e|0)!=(f|0)){if((a[e>>0]|0)!=45){c[g>>2]=e;e=0;break}e=e+1|0;if((e|0)!=(f|0)){i=b+76|0;j=f;k=b+356|0;l=b+360|0;m=b+364|0;b:while(1){switch(d[i+(d[e>>0]|0)>>0]|0){case 8:case 1:case 0:{h=19;break b}case 5:{if((j-e|0)<2){e=-2;break a}if(Qb[c[k>>2]&127](b,e)|0){h=9;break b}e=e+2|0;break}case 6:{if((j-e|0)<3){e=-2;break a}if(Qb[c[l>>2]&127](b,e)|0){h=13;break b}e=e+3|0;break}case 7:{if((j-e|0)<4){e=-2;break a}if(Qb[c[m>>2]&127](b,e)|0){h=17;break b}e=e+4|0;break}case 27:{h=e+1|0;if((h|0)==(f|0)){e=-1;break a}if((a[h>>0]|0)==45){h=23;break b}else e=h;break}default:e=e+1|0}if((e|0)==(f|0)){e=-1;break a}}if((h|0)==9){c[g>>2]=e;e=0;break}else if((h|0)==13){c[g>>2]=e;e=0;break}else if((h|0)==17){c[g>>2]=e;e=0;break}else if((h|0)==19){c[g>>2]=e;e=0;break}else if((h|0)==23){h=e+2|0;if((h|0)==(f|0)){e=-1;break}if((a[h>>0]|0)==62){c[g>>2]=e+3;e=13;break}else{c[g>>2]=h;e=0;break}}}else e=-1}else e=-1;while(0);return e|0}function BL(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+16|0;o=q;a:do if((e|0)!=(f|0)){m=b+76|0;b:do switch(d[m+(d[e>>0]|0)>>0]|0){case 29:{c[g>>2]=e;h=0;break a}case 24:case 22:{h=e+1|0;break}case 5:{if((f-e|0)<2){h=-2;break a}if(!(Qb[c[b+344>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=e+2|0;break b}}case 6:{if((f-e|0)<3){h=-2;break a}if(!(Qb[c[b+348>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=e+3|0;break b}}case 7:{if((f-e|0)<4){h=-2;break a}if(!(Qb[c[b+352>>2]&127](b,e)|0)){c[g>>2]=e;h=0;break a}else{h=e+4|0;break b}}default:{c[g>>2]=e;h=0;break a}}while(0);if((h|0)!=(f|0)){n=f;j=b+332|0;k=b+336|0;l=b+340|0;c:while(1){switch(d[m+(d[h>>0]|0)>>0]|0){case 29:{p=21;break c}case 10:case 9:case 21:{p=36;break c}case 15:{p=59;break c}case 27:case 26:case 25:case 24:case 22:{h=h+1|0;break}case 5:{if((n-h|0)<2){h=-2;break a}if(!(Qb[c[j>>2]&127](b,h)|0)){p=25;break c}h=h+2|0;break}case 6:{if((n-h|0)<3){h=-2;break a}if(!(Qb[c[k>>2]&127](b,h)|0)){p=29;break c}h=h+3|0;break}case 7:{if((n-h|0)<4){h=-2;break a}if(!(Qb[c[l>>2]&127](b,h)|0)){p=33;break c}h=h+4|0;break}default:break c}if((h|0)==(f|0)){h=-1;break a}}if((p|0)==21){c[g>>2]=h;h=0;break}else if((p|0)==25){c[g>>2]=h;h=0;break}else if((p|0)==29){c[g>>2]=h;h=0;break}else if((p|0)==33){c[g>>2]=h;h=0;break}else if((p|0)==36){if(!(CL(e,h,o)|0)){c[g>>2]=h;h=0;break}h=h+1|0;if((h|0)==(f|0)){h=-1;break}k=b+356|0;l=b+360|0;e=b+364|0;d:while(1){switch(d[m+(d[h>>0]|0)>>0]|0){case 8:case 1:case 0:{p=53;break d}case 5:{if((n-h|0)<2){h=-2;break a}if(Qb[c[k>>2]&127](b,h)|0){p=43;break d}h=h+2|0;break}case 6:{if((n-h|0)<3){h=-2;break a}if(Qb[c[l>>2]&127](b,h)|0){p=47;break d}h=h+3|0;break}case 7:{if((n-h|0)<4){h=-2;break a}if(Qb[c[e>>2]&127](b,h)|0){p=51;break d}h=h+4|0;break}case 15:{j=h+1|0;if((j|0)==(f|0)){h=-1;break a}if((a[j>>0]|0)==62){p=57;break d}else h=j;break}default:h=h+1|0}if((h|0)==(f|0)){h=-1;break a}}if((p|0)==43){c[g>>2]=h;h=0;break}else if((p|0)==47){c[g>>2]=h;h=0;break}else if((p|0)==51){c[g>>2]=h;h=0;break}else if((p|0)==53){c[g>>2]=h;h=0;break}else if((p|0)==57){c[g>>2]=h+2;h=c[o>>2]|0;break}}else if((p|0)==59){if(!(CL(e,h,o)|0)){c[g>>2]=h;h=0;break}j=h+1|0;if((j|0)==(f|0)){h=-1;break}if((a[j>>0]|0)==62){c[g>>2]=h+2;h=c[o>>2]|0;break}else h=j}c[g>>2]=h;h=0}else h=-1}else h=-1;while(0);i=q;return h|0}function CL(b,d,e){b=b|0;d=d|0;e=e|0;c[e>>2]=11;a:do if((d-b|0)==3){switch(a[b>>0]|0){case 120:{d=0;break}case 88:{d=1;break}default:{d=1;break a}}switch(a[b+1>>0]|0){case 109:break;case 77:{d=1;break}default:{d=1;break a}}switch(a[b+2>>0]|0){case 108:break;case 76:{d=0;break a}default:{d=1;break a}}if(!d){c[e>>2]=12;d=1}else d=0}else d=1;while(0);return d|0}function DL(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;a:do if((e|0)!=(f|0)){m=b+76|0;i=f;j=b+356|0;k=b+360|0;l=b+364|0;b:while(1){h=d[m+(d[e>>0]|0)>>0]|0;switch(h|0){case 8:case 1:case 0:{h=16;break b}case 5:{if((i-e|0)<2){e=-2;break a}if(Qb[c[j>>2]&127](b,e)|0){h=6;break b}e=e+2|0;break}case 6:{if((i-e|0)<3){e=-2;break a}if(Qb[c[k>>2]&127](b,e)|0){h=10;break b}e=e+3|0;break}case 7:{if((i-e|0)<4){e=-2;break a}if(Qb[c[l>>2]&127](b,e)|0){h=14;break b}e=e+4|0;break}case 13:case 12:{e=e+1|0;if((h|0)==(a|0)){h=18;break b}break}default:e=e+1|0}if((e|0)==(f|0)){e=-1;break a}}if((h|0)==6){c[g>>2]=e;e=0;break}else if((h|0)==10){c[g>>2]=e;e=0;break}else if((h|0)==14){c[g>>2]=e;e=0;break}else if((h|0)==16){c[g>>2]=e;e=0;break}else if((h|0)==18){if((e|0)==(f|0)){e=-27;break}c[g>>2]=e;switch(d[m+(d[e>>0]|0)>>0]|0|0){case 20:case 30:case 11:case 10:case 9:case 21:{e=27;break a}default:{}}e=0;break}}else e=-1;while(0);return e|0}function EL(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;b=c[d>>2]|0;a:do if((b|0)!=(e|0))do{if((c[f>>2]|0)==(g|0))break a;c[d>>2]=b+1;i=a[b>>0]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h>>0]=i;b=c[d>>2]|0}while((b|0)!=(e|0));while(0);return}function FL(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0;a=c[e>>2]|0;a:do if((a|0)!=(f|0)){i=c[g>>2]|0;do{if((i|0)==(h|0))break a;c[e>>2]=a+1;k=d[a>>0]|0;j=c[g>>2]|0;i=j+2|0;c[g>>2]=i;b[j>>1]=k;a=c[e>>2]|0}while((a|0)!=(f|0))}while(0);return}function GL(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0;k=h;b=c[e>>2]|0;a:do if((b|0)!=(f|0))do{i=d[b>>0]|0;j=c[g>>2]|0;if(!(i&128)){if((j|0)==(h|0))break a;c[e>>2]=b+1;j=a[b>>0]|0;b=c[g>>2]|0;c[g>>2]=b+1;a[b>>0]=j;b=c[e>>2]|0}else{if((k-j|0)<2)break a;c[g>>2]=j+1;a[j>>0]=i>>>6|192;b=c[g>>2]|0;c[g>>2]=b+1;a[b>>0]=i&63|128;b=(c[e>>2]|0)+1|0;c[e>>2]=b}}while((b|0)!=(f|0));while(0);return}function HL(b,e,f,g,h,i){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;a:do if((g|0)==(h|0))j=-4;else{m=c[e+76>>2]|0;j=g+1|0;b:do if((j|0)==(h|0)){j=a[e+73>>0]|0;if(((j<<24>>24)+-3|0)>>>0<3){j=-1;break a}switch(d[g>>0]|0){case 60:case 0:{j=-1;break a}case 239:case 255:case 254:break;default:break b}if(!((f|0)==1&j<<24>>24==0)){j=-1;break a}}else{l=a[g>>0]|0;j=a[j>>0]|0;k=(l&255)<<8|j&255;c:do if((k|0)<65279){if((k|0)<61371){switch(k|0){case 15360:break;default:break c}j=a[e+73>>0]|0;if(j<<24>>24==4){if((f|0)==1)break b}else if((f|0)==1&j<<24>>24==3)break b;j=c[b+20>>2]|0;c[m>>2]=j;j=Ub[c[j+(f<<2)>>2]&127](j,g,h,i)|0;break a}switch(k|0){case 61371:break;default:break c}if((f|0)==1)switch(a[e+73>>0]|0){case 0:case 3:case 4:case 5:break b;default:{}}j=g+2|0;if((j|0)==(h|0)){j=-1;break a}if((a[j>>0]|0)!=-65)break b;c[i>>2]=g+3;c[m>>2]=c[b+8>>2];j=14;break a}else switch(k|0){case 65279:{if((f|0)==1&(a[e+73>>0]|0)==0)break b;c[i>>2]=g+2;c[m>>2]=c[b+16>>2];j=14;break a}case 65534:{if((f|0)==1&(a[e+73>>0]|0)==0)break b;c[i>>2]=g+2;c[m>>2]=c[b+20>>2];j=14;break a}default:break c}while(0);if(l<<24>>24){if((f|0)==1|j<<24>>24!=0)break;j=c[b+20>>2]|0;c[m>>2]=j;j=Ub[c[j+(f<<2)>>2]&127](j,g,h,i)|0;break a}if((f|0)==1?(a[e+73>>0]|0)==5:0)break;j=c[b+16>>2]|0;c[m>>2]=j;j=Ub[c[j+(f<<2)>>2]&127](j,g,h,i)|0;break a}while(0);j=c[b+(a[e+73>>0]<<2)>>2]|0;c[m>>2]=j;j=Ub[c[j+(f<<2)>>2]&127](j,g,h,i)|0}while(0);return j|0}function IL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+16|0;l=r+4|0;p=r;o=r+8|0;a:do if((d|0)==(e|0)){c[f>>2]=0;d=1}else{c[l>>2]=d;c[p>>2]=o;m=b+60|0;n=o+1|0;Cb[c[m>>2]&31](b,l,e,p,n);switch(((c[p>>2]|0)==(o|0)?-1:a[o>>0]|0)|0){case 9:case 10:case 13:case 32:break;default:{c[j>>2]=d;d=0;break a}}q=b+68|0;b:while(1){d=d+(c[q>>2]|0)|0;c[l>>2]=d;c[p>>2]=o;Cb[c[m>>2]&31](b,l,e,p,n);switch(((c[p>>2]|0)==(o|0)?-1:a[o>>0]|0)|0){case 9:case 10:case 13:case 32:break;default:break b}}if((d|0)==(e|0)){c[f>>2]=0;d=1;break}c[f>>2]=d;c:while(1){c[l>>2]=d;c[p>>2]=o;Cb[c[m>>2]&31](b,l,e,p,n);switch(((c[p>>2]|0)==(o|0)?-1:a[o>>0]|0)|0){case -1:{k=11;break c}case 61:{k=12;break c}case 9:case 10:case 13:case 32:{k=13;break c}default:{}}d=d+(c[q>>2]|0)|0}d:do if((k|0)==11){c[j>>2]=d;d=0;break a}else if((k|0)==12)c[g>>2]=d;else if((k|0)==13){c[g>>2]=d;e:while(1){d=d+(c[q>>2]|0)|0;c[l>>2]=d;c[p>>2]=o;Cb[c[m>>2]&31](b,l,e,p,n);switch(((c[p>>2]|0)==(o|0)?-1:a[o>>0]|0)|0){case 61:break d;case 9:case 10:case 13:case 32:break;default:break e}}c[j>>2]=d;d=0;break a}while(0);if((d|0)==(c[f>>2]|0)){c[j>>2]=d;d=0;break}d=d+(c[q>>2]|0)|0;c[l>>2]=d;c[p>>2]=o;Cb[c[m>>2]&31](b,l,e,p,n);g=(c[p>>2]|0)==(o|0)?-1:a[o>>0]|0;f:while(1){switch(g|0){case 34:case 39:{f=g;break f}case 9:case 10:case 13:case 32:break;default:{k=22;break f}}g=d+(c[q>>2]|0)|0;c[l>>2]=g;c[p>>2]=o;Cb[c[m>>2]&31](b,l,e,p,n);d=g;g=(c[p>>2]|0)==(o|0)?-1:a[o>>0]|0}if((k|0)==22){c[j>>2]=d;d=0;break}d=d+(c[q>>2]|0)|0;c[h>>2]=d;c[l>>2]=d;c[p>>2]=o;Cb[c[m>>2]&31](b,l,e,p,n);g=(c[p>>2]|0)==(o|0)?-1:a[o>>0]|0;g:do if((g|0)!=(f|0)){h:while(1){if((g+-48|0)>>>0>9&((g&-33)+-65|0)>>>0>25)switch(g|0){case 45:case 46:case 95:break;default:break h}d=d+(c[q>>2]|0)|0;c[l>>2]=d;c[p>>2]=o;Cb[c[m>>2]&31](b,l,e,p,n);g=(c[p>>2]|0)==(o|0)?-1:a[o>>0]|0;if((g|0)==(f|0))break g}c[j>>2]=d;d=0;break a}while(0);c[j>>2]=d+(c[q>>2]|0);d=1}while(0);i=r;return d|0}function JL(a){a=a|0;c[a>>2]=5;c[a+16>>2]=1;c[a+12>>2]=0;c[a+20>>2]=0;return}function KL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;switch(b|0){case 15:{c[a>>2]=6;f=0;break}case 12:{c[a>>2]=6;f=1;break}case 11:{c[a>>2]=6;f=55;break}case 13:{c[a>>2]=6;f=56;break}case 14:{f=0;break}case 16:{if(!(Ub[c[f+28>>2]&127](f,d+(c[f+68>>2]<<1)|0,e,185534)|0))g=10;else{c[a>>2]=7;f=3}break}case 29:{c[a>>2]=8;f=2;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else g=10}if((g|0)==10){c[a>>2]=8;f=-1}return f|0}function LL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;switch(b|0){case 33:{c[a>>2]=9;f=0;break}case 34:{f=a+12|0;e=c[f>>2]|0;if(!e)g=7;else{c[f>>2]=e+-1;f=0}break}case 15:{f=0;break}case 26:{g=7;break}case -4:{if(!(c[a+12>>2]|0))f=0;else g=7;break}default:f=NL(a,b,d,e,f)|0}if((g|0)==7){c[a>>2]=8;f=-1}return f|0}function ML(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;a:do switch(b|0){case 15:{b=0;break}case 18:{b=f+28|0;if(Ub[c[b>>2]&127](f,d,e,185519)|0){c[a>>2]=10;b=0;break a}if(!(Ub[c[b>>2]&127](f,d,e,185527)|0))g=7;else{c[a>>2]=11;b=0}break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else g=7}while(0);if((g|0)==7){c[a>>2]=8;b=-1}return b|0}function NL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a:do switch(b|0){case -4:case 15:{b=0;break}case 16:{b=f+28|0;g=f+68|0;if(Ub[c[b>>2]&127](f,d+(c[g>>2]<<1)|0,e,185379)|0){c[a>>2]=12;b=11;break a}if(Ub[c[b>>2]&127](f,d+(c[g>>2]<<1)|0,e,185386)|0){c[a>>2]=13;b=33;break a}if(Ub[c[b>>2]&127](f,d+(c[g>>2]<<1)|0,e,185394)|0){c[a>>2]=14;b=39;break a}if(!(Ub[c[b>>2]&127](f,d+(c[g>>2]<<1)|0,e,185402)|0))h=15;else{c[a>>2]=15;b=17}break}case 11:{b=55;break}case 13:{b=56;break}case 28:{b=60;break}case 26:{c[a>>2]=16;b=3;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else h=15}while(0);if((h|0)==15){c[a>>2]=8;b=-1}return b|0}function OL(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return 0}function PL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 22:{c[a>>2]=17;f=11;break}case 18:{c[a>>2]=18;f=9;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function QL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 41:case 18:{c[a>>2]=19;f=34;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function RL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=39;break}case 41:case 18:{c[a>>2]=20;f=40;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function SL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=17;break}case 18:{c[a>>2]=21;f=18;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function TL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=3;break}case 17:{c[a>>2]=22;f=8;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function UL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=0;break}case 11:{f=55;break}case 13:{f=56;break}case 29:{c[a>>2]=8;f=2;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function VL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;a:do switch(b|0){case 15:{b=17;break}case 18:{b=f+28|0;if(Ub[c[b>>2]&127](f,d,e,185411)|0){c[a>>2]=23;b=17;break a}if(!(Ub[c[b>>2]&127](f,d,e,185418)|0))g=7;else{c[a>>2]=24;b=17}break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else g=7}while(0);if((g|0)==7){c[a>>2]=8;b=-1}return b|0}function WL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=17;break}case 27:{c[a>>2]=25;c[a+8>>2]=17;f=19;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function XL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=17;break}case 27:{c[a>>2]=26;f=21;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function YL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=17;break}case 27:{c[a>>2]=25;c[a+8>>2]=17;f=19;break}case 17:{c[a>>2]=(c[a+16>>2]|0)!=0?27:28;f=20;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function ZL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=c[a+8>>2]|0;break}case 17:{c[a>>2]=(c[a+16>>2]|0)!=0?27:28;f=c[a+8>>2]|0;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function _L(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;a:do switch(b|0){case 15:{b=39;break}case 18:{b=f+28|0;if(Ub[c[b>>2]&127](f,d,e,185425)|0){c[a>>2]=25;c[a+8>>2]=39;b=42;break a}if(!(Ub[c[b>>2]&127](f,d,e,185431)|0))g=8;else{c[a>>2]=25;c[a+8>>2]=39;b=41}break}case 23:{c[a>>2]=29;c[a+4>>2]=1;b=44;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else g=8}while(0);if((g|0)==8){c[a>>2]=8;b=-1}return b|0}function $L(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;switch(b|0){case 15:{f=39;break}case 20:{if(!(Ub[c[f+28>>2]&127](f,d+(c[f+68>>2]|0)|0,e,185435)|0))g=10;else{c[a>>2]=30;f=43}break}case 23:{c[a+4>>2]=2;c[a>>2]=31;f=44;break}case 41:case 18:{c[a>>2]=32;f=51;break}case 30:{c[a>>2]=32;f=53;break}case 31:{c[a>>2]=32;f=52;break}case 32:{c[a>>2]=32;f=54;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else g=10}if((g|0)==10){c[a>>2]=8;f=-1}return f|0}function aM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=39;break}case 24:{c[a>>2]=25;c[a+8>>2]=39;f=45;break}case 36:{c[a>>2]=25;c[a+8>>2]=39;f=46;break}case 21:{c[a>>2]=33;f=39;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function bM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=39;break}case 23:{f=a+4|0;c[f>>2]=(c[f>>2]|0)+1;f=44;break}case 41:case 18:{c[a>>2]=32;f=51;break}case 30:{c[a>>2]=32;f=53;break}case 31:{c[a>>2]=32;f=52;break}case 32:{c[a>>2]=32;f=54;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function cM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=39;break}case 24:{d=a+4|0;b=(c[d>>2]|0)+-1|0;c[d>>2]=b;if(!b){c[a>>2]=25;c[a+8>>2]=39;f=45}else f=45;break}case 36:{d=a+4|0;b=(c[d>>2]|0)+-1|0;c[d>>2]=b;if(!b){c[a>>2]=25;c[a+8>>2]=39;f=46}else f=46;break}case 35:{d=a+4|0;b=(c[d>>2]|0)+-1|0;c[d>>2]=b;if(!b){c[a>>2]=25;c[a+8>>2]=39;f=47}else f=47;break}case 37:{d=a+4|0;b=(c[d>>2]|0)+-1|0;c[d>>2]=b;if(!b){c[a>>2]=25;c[a+8>>2]=39;f=48}else f=48;break}case 38:{c[a>>2]=31;f=50;break}case 21:{c[a>>2]=31;f=49;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function dM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=39;break}case 41:case 18:{c[a>>2]=34;f=51;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function eM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=39;break}case 36:{c[a>>2]=25;c[a+8>>2]=39;f=46;break}case 21:{c[a>>2]=33;f=39;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function fM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 17:{c[a>>2]=(c[a+16>>2]|0)!=0?27:28;f=33;break}case 41:case 18:{c[a>>2]=35;f=22;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function gM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;a:do switch(b|0){case 15:{g=33;break}case 18:{i=f+28|0;h=c[i>>2]|0;g=0;while(1){if(Ub[h&127](f,d,e,c[98956+(g<<2)>>2]|0)|0){j=4;break}g=g+1|0;h=c[i>>2]|0;if((g|0)>=8){g=h;break}}if((j|0)==4){c[a>>2]=36;g=g+23|0;break a}if(!(Ub[g&127](f,d,e,185402)|0))j=9;else{c[a>>2]=37;g=33}break}case 23:{c[a>>2]=38;g=33;break}default:j=9}while(0);if((j|0)==9)if((b|0)==28&(c[a+16>>2]|0)==0)g=59;else{c[a>>2]=8;g=-1}return g|0}function hM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a:do switch(b|0){case 15:{b=33;break}case 20:{b=f+28|0;g=f+68|0;if(Ub[c[b>>2]&127](f,d+(c[g>>2]|0)|0,e,185442)|0){c[a>>2]=19;b=35;break a}if(Ub[c[b>>2]&127](f,d+(c[g>>2]|0)|0,e,185450)|0){c[a>>2]=19;b=36;break a}if(!(Ub[c[b>>2]&127](f,d+(c[g>>2]|0)|0,e,185459)|0))h=10;else{c[a>>2]=39;b=33}break}case 27:{c[a>>2]=19;b=37;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else h=10}while(0);if((h|0)==10){c[a>>2]=8;b=-1}return b|0}function iM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 23:{c[a>>2]=40;f=33;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function jM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 41:case 18:case 19:{c[a>>2]=41;f=31;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function kM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 24:{c[a>>2]=36;f=33;break}case 21:{c[a>>2]=38;f=33;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function lM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 18:{c[a>>2]=42;f=32;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function mM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 24:{c[a>>2]=36;f=33;break}case 21:{c[a>>2]=40;f=33;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function nM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=33;break}case 27:{c[a>>2]=19;f=38;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function oM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 18:{c[a>>2]=43;f=10;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function pM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;a:do switch(b|0){case 15:{b=11;break}case 18:{b=f+28|0;if(Ub[c[b>>2]&127](f,d,e,185411)|0){c[a>>2]=44;b=11;break a}if(!(Ub[c[b>>2]&127](f,d,e,185418)|0))g=8;else{c[a>>2]=45;b=11}break}case 27:{c[a>>2]=25;c[a+8>>2]=11;b=12;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else g=8}while(0);if((g|0)==8){c[a>>2]=8;b=-1}return b|0}function qM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 27:{c[a>>2]=46;f=13;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function rM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 27:{c[a>>2]=44;f=14;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function sM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;switch(b|0){case 15:{f=11;break}case 17:{c[a>>2]=(c[a+16>>2]|0)!=0?27:28;f=15;break}case 18:{if(!(Ub[c[f+28>>2]&127](f,d,e,185513)|0))g=6;else{c[a>>2]=47;f=11}break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else g=6}if((g|0)==6){c[a>>2]=8;f=-1}return f|0}function tM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 18:{c[a>>2]=25;c[a+8>>2]=11;f=16;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function uM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;a:do switch(b|0){case 15:{b=11;break}case 18:{b=f+28|0;if(Ub[c[b>>2]&127](f,d,e,185411)|0){c[a>>2]=48;b=11;break a}if(!(Ub[c[b>>2]&127](f,d,e,185418)|0))g=8;else{c[a>>2]=49;b=11}break}case 27:{c[a>>2]=25;c[a+8>>2]=11;b=12;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else g=8}while(0);if((g|0)==8){c[a>>2]=8;b=-1}return b|0}function vM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 27:{c[a>>2]=50;f=13;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function wM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 27:{c[a>>2]=48;f=14;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function xM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=11;break}case 17:{c[a>>2]=(c[a+16>>2]|0)!=0?27:28;f=15;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function yM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=0;break}case 25:{c[a>>2]=28;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=0;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function zM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=0;break}case 25:{c[a>>2]=28;f=58;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function AM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;switch(b|0){case 14:case 15:{f=0;break}case 11:{f=55;break}case 13:{f=56;break}case 16:{if(!(Ub[c[f+28>>2]&127](f,d+(c[f+68>>2]<<1)|0,e,185534)|0))g=8;else{c[a>>2]=7;f=3}break}case 29:{c[a>>2]=8;f=2;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else g=8}if((g|0)==8){c[a>>2]=8;f=-1}return f|0}function BM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=3;break}case 41:case 18:{c[a>>2]=51;f=4;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function CM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;a:do switch(b|0){case 15:{b=3;break}case 25:{c[a>>2]=27;b=7;break}case 17:{c[a>>2]=22;b=8;break}case 18:{b=f+28|0;if(Ub[c[b>>2]&127](f,d,e,185411)|0){c[a>>2]=52;b=3;break a}if(!(Ub[c[b>>2]&127](f,d,e,185418)|0))g=9;else{c[a>>2]=53;b=3}break}default:if((b|0)==28&(c[a+16>>2]|0)==0)b=59;else g=9}while(0);if((g|0)==9){c[a>>2]=8;b=-1}return b|0}function DM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=3;break}case 27:{c[a>>2]=54;f=5;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function EM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=3;break}case 27:{c[a>>2]=52;f=6;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function FM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;switch(b|0){case 15:{f=3;break}case 25:{c[a>>2]=27;f=7;break}case 17:{c[a>>2]=22;f=8;break}default:if((b|0)==28&(c[a+16>>2]|0)==0)f=59;else{c[a>>2]=8;f=-1}}return f|0}function GM(a){a=a|0;return ((a+-48|0)>>>0<10|(HM(a)|0)!=0)&1|0}function HM(a){a=a|0;return ((a|32)+-97|0)>>>0<26|0}function IM(a){a=a|0;return ((a|0)==32|(a|0)==9)&1|0}function JM(a){a=a|0;return (a+-97|0)>>>0<26|0}function KM(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function LM(a){a=a|0;return (a+-65|0)>>>0<26|0}function MM(a){a=a|0;if(!(SM(a)|0))a=(NM(a)|0)!=0;else a=1;return a&1|0}function NM(a){a=a|0;if(a>>>0<131072)a=(d[185542+((d[185542+(a>>>8)>>0]|0)<<5|a>>>3&31)>>0]|0)>>>(a&7)&1;else a=a>>>0<196606&1;return a|0}function OM(a){a=a|0;return IM(a)|0}function PM(a){a=a|0;if((a&-2|0)==8232|(a>>>0<32|(a+-127|0)>>>0<33))a=1;else a=(a+-65529|0)>>>0<3;return a&1|0}function QM(a,b){a=a|0;b=b|0;do switch(b|0){case 1:{b=MM(a)|0;break}case 2:{b=NM(a)|0;break}case 3:{b=OM(a)|0;break}case 4:{b=PM(a)|0;break}case 5:{b=SM(a)|0;break}case 6:{b=TM(a)|0;break}case 7:{b=UM(a)|0;break}case 8:{b=VM(a)|0;break}case 9:{b=WM(a)|0;break}case 10:{b=XM(a)|0;break}case 11:{b=YM(a)|0;break}case 12:{b=ZM(a)|0;break}default:b=0}while(0);return b|0}function RM(b){b=b|0;var c=0,d=0,e=0,f=0;d=a[b>>0]|0;e=97;c=1;f=188518;while(1){if(d<<24>>24==e<<24>>24?(aP(b,f)|0)==0:0)break;f=f+6|0;e=a[f>>0]|0;if(!(e<<24>>24)){c=0;break}else c=c+1|0}return c|0}function SM(a){a=a|0;return (a+-48|0)>>>0<10|0}function TM(a){a=a|0;if(!(XM(a)|0))a=(VM(a)|0)!=0;else a=0;return a&1|0}function UM(a){a=a|0;return ((a|0)==223|(aN(a)|0)!=(a|0))&1|0}function VM(a){a=a|0;if(a>>>0>=255)if((a+-57344|0)>>>0<8185|(a>>>0<8232|(a+-8234|0)>>>0<47062))a=1;else return ((a+-65532|0)>>>0>1048579|(a&65534|0)==65534)&1^1|0;else a=(a+1&127)>>>0>32&1;return a|0}function WM(a){a=a|0;if(a>>>0<131072)a=(d[188591+((d[188591+(a>>>8)>>0]|0)<<5|a>>>3&31)>>0]|0)>>>(a&7)&1;else a=0;return a|0}function XM(a){a=a|0;if(!a)a=0;else a=(oP(99252,a)|0)!=0;return a&1|0}function YM(a){a=a|0;return (bN(a)|0)!=(a|0)|0}function ZM(a){a=a|0;if((a+-48|0)>>>0<10)a=1;else a=((a|32)+-97|0)>>>0<6;return a&1|0}function _M(a){a=a|0;var b=0;b=(LM(a)|0)==0;return (b?a:a|32)|0}function $M(a){a=a|0;var b=0;b=(JM(a)|0)==0;return (b?a:a&95)|0}function aN(a){a=a|0;return sP(a,0)|0}function bN(a){a=a|0;return sP(a,1)|0}function cN(){var a=0;if(!(c[24747]|0))a=99340;else a=c[(eb()|0)+60>>2]|0;return a|0}function dN(b){b=b|0;var c=0,e=0;c=0;while(1){if((d[191759+c>>0]|0)==(b|0)){e=2;break}c=c+1|0;if((c|0)==87){c=87;b=191847;e=5;break}}if((e|0)==2)if(!c)b=191847;else{b=191847;e=5}if((e|0)==5)while(1){e=b;while(1){b=e+1|0;if(!(a[e>>0]|0))break;else e=b}c=c+-1|0;if(!c)break;else e=5}return b|0}function eN(b,e,f){b=b|0;e=e|0;f=f|0;var g=0.0,h=0,j=0.0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0;L=i;i=i+512|0;H=L;switch(e|0){case 0:{K=24;J=-149;A=4;break}case 1:{K=53;J=-1074;A=4;break}case 2:{K=53;J=-1074;A=4;break}default:g=0.0}a:do if((A|0)==4){E=b+4|0;D=b+100|0;do{e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0}while((KM(e)|0)!=0);b:do switch(e|0){case 43:case 45:{h=1-(((e|0)==45&1)<<1)|0;e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0;I=h;break b}else{e=iN(b)|0;I=h;break b}}default:I=1}while(0);h=e;e=0;do{if((h|32|0)!=(a[193651+e>>0]|0))break;do if(e>>>0<7){h=c[E>>2]|0;if(h>>>0<(c[D>>2]|0)>>>0){c[E>>2]=h+1;h=d[h>>0]|0;break}else{h=iN(b)|0;break}}while(0);e=e+1|0}while(e>>>0<8);c:do switch(e|0){case 8:break;case 3:{A=23;break}default:{k=(f|0)!=0;if(k&e>>>0>3)if((e|0)==8)break c;else{A=23;break c}d:do if(!e){e=0;do{if((h|32|0)!=(a[196589+e>>0]|0))break d;do if(e>>>0<2){h=c[E>>2]|0;if(h>>>0<(c[D>>2]|0)>>>0){c[E>>2]=h+1;h=d[h>>0]|0;break}else{h=iN(b)|0;break}}while(0);e=e+1|0}while(e>>>0<3)}while(0);switch(e|0){case 3:{e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0;if((e|0)==40)e=1;else{if(!(c[D>>2]|0)){g=r;break a}c[E>>2]=(c[E>>2]|0)+-1;g=r;break a}while(1){h=c[E>>2]|0;if(h>>>0<(c[D>>2]|0)>>>0){c[E>>2]=h+1;h=d[h>>0]|0}else h=iN(b)|0;if(!((h+-48|0)>>>0<10|(h+-65|0)>>>0<26)?!((h|0)==95|(h+-97|0)>>>0<26):0)break;e=e+1|0}if((h|0)==41){g=r;break a}h=(c[D>>2]|0)==0;if(!h)c[E>>2]=(c[E>>2]|0)+-1;if(!k){c[(cN()|0)>>2]=22;hN(b,0);g=0.0;break a}if(!e){g=r;break a}while(1){e=e+-1|0;if(!h)c[E>>2]=(c[E>>2]|0)+-1;if(!e){g=r;break a}}}case 0:{do if((h|0)==48){e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0;if((e|32|0)!=120){if(!(c[D>>2]|0)){e=48;break}c[E>>2]=(c[E>>2]|0)+-1;e=48;break}e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0;k=0}else{e=iN(b)|0;k=0}e:while(1){switch(e|0){case 46:{A=74;break e}case 48:break;default:{y=0;l=0;x=0;h=0;n=k;o=0;w=0;m=1.0;k=0;g=0.0;break e}}e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0;k=1;continue}else{e=iN(b)|0;k=1;continue}}if((A|0)==74){e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0;if((e|0)==48){k=0;h=0;do{e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0;k=mQ(k|0,h|0,-1,-1)|0;h=C}while((e|0)==48);y=0;l=0;x=k;n=1;o=1;w=0;m=1.0;k=0;g=0.0}else{y=0;l=0;x=0;h=0;n=k;o=1;w=0;m=1.0;k=0;g=0.0}}while(1){u=e+-48|0;p=e|32;if(u>>>0>=10){v=(e|0)==46;if(!(v|(p+-97|0)>>>0<6)){p=x;u=y;break}if(v)if(!o){v=l;h=y;u=y;o=1;p=w;j=m}else{p=x;u=y;e=46;break}else A=86}else A=86;if((A|0)==86){A=0;e=(e|0)>57?p+-87|0:u;do if(!((y|0)<0|(y|0)==0&l>>>0<8)){if((y|0)<0|(y|0)==0&l>>>0<14){t=m*.0625;p=w;j=t;g=g+t*+(e|0);break}if((w|0)!=0|(e|0)==0){p=w;j=m}else{p=1;j=m;g=g+m*.5}}else{p=w;j=m;k=e+(k<<4)|0}while(0);l=mQ(l|0,y|0,1,0)|0;v=x;u=C;n=1}e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;y=u;x=v;e=d[e>>0]|0;w=p;m=j;continue}else{y=u;x=v;e=iN(b)|0;w=p;m=j;continue}}if(!n){e=(c[D>>2]|0)==0;if(!e)c[E>>2]=(c[E>>2]|0)+-1;if(f){if(!e?(z=c[E>>2]|0,c[E>>2]=z+-1,(o|0)!=0):0)c[E>>2]=z+-2}else hN(b,0);g=+(I|0)*0.0;break a}n=(o|0)==0;o=n?l:p;n=n?u:h;if((u|0)<0|(u|0)==0&l>>>0<8){h=u;do{k=k<<4;l=mQ(l|0,h|0,1,0)|0;h=C}while((h|0)<0|(h|0)==0&l>>>0<8)}if((e|32|0)==112){h=tP(b,f)|0;e=C;if((h|0)==0&(e|0)==-2147483648){if(!f){hN(b,0);g=0.0;break a}if(!(c[D>>2]|0)){h=0;e=0}else{c[E>>2]=(c[E>>2]|0)+-1;h=0;e=0}}}else if(!(c[D>>2]|0)){h=0;e=0}else{c[E>>2]=(c[E>>2]|0)+-1;h=0;e=0}H=uQ(o|0,n|0,2)|0;H=mQ(H|0,C|0,-32,-1)|0;e=mQ(H|0,C|0,h|0,e|0)|0;h=C;if(!k){g=+(I|0)*0.0;break a}if((h|0)>0|(h|0)==0&e>>>0>(0-J|0)>>>0){c[(cN()|0)>>2]=34;g=+(I|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break a}H=J+-106|0;G=((H|0)<0)<<31>>31;if((h|0)<(G|0)|(h|0)==(G|0)&e>>>0<H>>>0){c[(cN()|0)>>2]=34;g=+(I|0)*2.2250738585072014e-308*2.2250738585072014e-308;break a}if((k|0)>-1){do{G=!(g>=.5);H=G&1|k<<1;k=H^1;g=g+(G?g:g+-1.0);e=mQ(e|0,h|0,-1,-1)|0;h=C}while((H|0)>-1);l=e;m=g}else{l=e;m=g}e=lQ(32,0,J|0,((J|0)<0)<<31>>31|0)|0;e=mQ(l|0,h|0,e|0,C|0)|0;J=C;if(0>(J|0)|0==(J|0)&K>>>0>e>>>0)if((e|0)<0){e=0;A=127}else A=125;else{e=K;A=125}if((A|0)==125)if((e|0)<53)A=127;else{h=e;j=+(I|0);g=0.0}if((A|0)==127){g=+(I|0);h=e;j=g;g=+rN(+zN(1.0,84-e|0),g)}K=(k&1|0)==0&(m!=0.0&(h|0)<32);g=j*(K?0.0:m)+(g+j*+(((K&1)+k|0)>>>0))-g;if(!(g!=0.0))c[(cN()|0)>>2]=34;g=+AN(g,l);break a}else e=h;while(0);F=J+K|0;G=0-F|0;k=0;f:while(1){switch(e|0){case 46:{A=138;break f}case 48:break;default:{h=0;p=0;o=0;break f}}e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0;k=1;continue}else{e=iN(b)|0;k=1;continue}}if((A|0)==138){e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0;if((e|0)==48){h=0;e=0;while(1){h=mQ(h|0,e|0,-1,-1)|0;k=C;e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0;if((e|0)==48)e=k;else{p=k;k=1;o=1;break}}}else{h=0;p=0;o=1}}c[H>>2]=0;n=e+-48|0;l=(e|0)==46;g:do if(l|n>>>0<10){B=H+496|0;y=0;v=0;w=l;A=p;u=k;z=o;k=0;l=0;o=0;h:while(1){do if(w)if(!z){h=y;p=v;z=1}else{p=A;e=y;n=v;break h}else{w=mQ(y|0,v|0,1,0)|0;v=C;x=(e|0)!=48;if((l|0)>=125){if(!x){p=A;y=w;break}c[B>>2]=c[B>>2]|1;p=A;y=w;break}p=H+(l<<2)|0;if(k)n=e+-48+((c[p>>2]|0)*10|0)|0;c[p>>2]=n;k=k+1|0;n=(k|0)==9;p=A;y=w;u=1;k=n?0:k;l=(n&1)+l|0;o=x?w:o}while(0);e=c[E>>2]|0;if(e>>>0<(c[D>>2]|0)>>>0){c[E>>2]=e+1;e=d[e>>0]|0}else e=iN(b)|0;n=e+-48|0;w=(e|0)==46;if(!(w|n>>>0<10)){n=z;A=161;break g}else A=p}u=(u|0)!=0;A=169}else{y=0;v=0;u=k;n=o;k=0;l=0;o=0;A=161}while(0);do if((A|0)==161){B=(n|0)==0;h=B?y:h;p=B?v:p;u=(u|0)!=0;if(!((e|32|0)==101&u))if((e|0)>-1){e=y;n=v;A=169;break}else{e=y;n=v;A=171;break}n=tP(b,f)|0;e=C;if((n|0)==0&(e|0)==-2147483648){if(!f){hN(b,0);g=0.0;break}if(!(c[D>>2]|0)){n=0;e=0}else{c[E>>2]=(c[E>>2]|0)+-1;n=0;e=0}}h=mQ(n|0,e|0,h|0,p|0)|0;u=y;p=C;n=v;A=173}while(0);if((A|0)==169)if(c[D>>2]|0){c[E>>2]=(c[E>>2]|0)+-1;if(u){u=e;A=173}else A=172}else A=171;if((A|0)==171)if(u){u=e;A=173}else A=172;do if((A|0)==172){c[(cN()|0)>>2]=22;hN(b,0);g=0.0}else if((A|0)==173){e=c[H>>2]|0;if(!e){g=+(I|0)*0.0;break}if(((n|0)<0|(n|0)==0&u>>>0<10)&((h|0)==(u|0)&(p|0)==(n|0))?K>>>0>30|(e>>>K|0)==0:0){g=+(I|0)*+(e>>>0);break}b=(J|0)/-2|0;E=((b|0)<0)<<31>>31;if((p|0)>(E|0)|(p|0)==(E|0)&h>>>0>b>>>0){c[(cN()|0)>>2]=34;g=+(I|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}b=J+-106|0;E=((b|0)<0)<<31>>31;if((p|0)<(E|0)|(p|0)==(E|0)&h>>>0<b>>>0){c[(cN()|0)>>2]=34;g=+(I|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(k){if((k|0)<9){n=H+(l<<2)|0;e=c[n>>2]|0;do{e=e*10|0;k=k+1|0}while((k|0)!=9);c[n>>2]=e}l=l+1|0}if((o|0)<9?(o|0)<=(h|0)&(h|0)<18:0){if((h|0)==9){g=+(I|0)*+((c[H>>2]|0)>>>0);break}if((h|0)<9){g=+(I|0)*+((c[H>>2]|0)>>>0)/+(c[99344+(8-h<<2)>>2]|0);break}b=K+27+(_(h,-3)|0)|0;e=c[H>>2]|0;if((b|0)>30|(e>>>b|0)==0){g=+(I|0)*+(e>>>0)*+(c[99344+(h+-10<<2)>>2]|0);break}}e=(h|0)%9|0;if(!e){k=0;e=0}else{u=(h|0)>-1?e:e+9|0;n=c[99344+(8-u<<2)>>2]|0;if(l){o=1e9/(n|0)|0;k=0;e=0;p=0;do{D=H+(p<<2)|0;E=c[D>>2]|0;b=((E>>>0)/(n>>>0)|0)+e|0;c[D>>2]=b;e=_((E>>>0)%(n>>>0)|0,o)|0;b=(p|0)==(k|0)&(b|0)==0;p=p+1|0;h=b?h+-9|0:h;k=b?p&127:k}while((p|0)!=(l|0));if(e){c[H+(l<<2)>>2]=e;l=l+1|0}}else{k=0;l=0}e=0;h=9-u+h|0}i:while(1){v=(h|0)<18;w=(h|0)==18;x=H+(k<<2)|0;do{if(!v){if(!w)break i;if((c[x>>2]|0)>>>0>=9007199){h=18;break i}}n=0;o=l+127|0;while(1){u=o&127;p=H+(u<<2)|0;o=uQ(c[p>>2]|0,0,29)|0;o=mQ(o|0,C|0,n|0,0)|0;n=C;if(n>>>0>0|(n|0)==0&o>>>0>1e9){b=AQ(o|0,n|0,1e9,0)|0;o=BQ(o|0,n|0,1e9,0)|0;n=b}else n=0;c[p>>2]=o;b=(u|0)==(k|0);l=(u|0)!=(l+127&127|0)|b?l:(o|0)==0?u:l;if(b)break;else o=u+-1|0}e=e+-29|0}while((n|0)==0);k=k+127&127;if((k|0)==(l|0)){b=l+127&127;l=H+((l+126&127)<<2)|0;c[l>>2]=c[l>>2]|c[H+(b<<2)>>2];l=b}c[H+(k<<2)>>2]=n;h=h+9|0}j:while(1){y=l+1&127;x=H+((l+127&127)<<2)|0;while(1){v=(h|0)==18;w=(h|0)>27?9:1;u=v^1;while(1){o=k&127;p=(o|0)==(l|0);do if(!p){n=c[H+(o<<2)>>2]|0;if(n>>>0<9007199){A=219;break}if(n>>>0>9007199)break;n=k+1&127;if((n|0)==(l|0)){A=219;break}n=c[H+(n<<2)>>2]|0;if(n>>>0<254740991){A=219;break}if(!(n>>>0>254740991|u)){h=o;break j}}else A=219;while(0);if((A|0)==219?(A=0,v):0){A=220;break j}e=e+w|0;if((k|0)==(l|0))k=l;else break}u=(1<<w)+-1|0;v=1e9>>>w;o=k;n=0;p=k;while(1){E=H+(p<<2)|0;b=c[E>>2]|0;k=(b>>>w)+n|0;c[E>>2]=k;n=_(b&u,v)|0;k=(p|0)==(o|0)&(k|0)==0;p=p+1&127;h=k?h+-9|0:h;k=k?p:o;if((p|0)==(l|0))break;else o=k}if(!n)continue;if((y|0)!=(k|0))break;c[x>>2]=c[x>>2]|1}c[H+(l<<2)>>2]=n;l=y}if((A|0)==220)if(p){c[H+(y+-1<<2)>>2]=0;h=l;l=y}else h=o;g=+((c[H+(h<<2)>>2]|0)>>>0);h=k+1&127;if((h|0)==(l|0)){l=k+2&127;c[H+(l+-1<<2)>>2]=0}t=+(I|0);j=t*(g*1.0e9+ +((c[H+(h<<2)>>2]|0)>>>0));v=e+53|0;p=v-J|0;u=(p|0)<(K|0);h=u&1;o=u?((p|0)<0?0:p):K;if((o|0)<53){M=+rN(+zN(1.0,105-o|0),j);m=+tN(j,+zN(1.0,53-o|0));q=M;g=m;m=M+(j-m)}else{q=0.0;g=0.0;m=j}n=k+2&127;do if((n|0)==(l|0))j=g;else{n=c[H+(n<<2)>>2]|0;do if(n>>>0>=5e8){if(n>>>0>5e8){g=t*.75+g;break}if((k+3&127|0)==(l|0)){g=t*.5+g;break}else{g=t*.75+g;break}}else{if((n|0)==0?(k+3&127|0)==(l|0):0)break;g=t*.25+g}while(0);if((53-o|0)<=1){j=g;break}if(+tN(g,1.0)!=0.0){j=g;break}j=g+1.0}while(0);g=m+j-q;do if((v&2147483647|0)>(-2-F|0)){if(+N(+g)>=9007199254740992.0){h=u&(o|0)==(p|0)?0:h;e=e+1|0;g=g*.5}if((e+50|0)<=(G|0)?!(j!=0.0&(h|0)!=0):0)break;c[(cN()|0)>>2]=34}while(0);g=+AN(g,e)}while(0);break a}default:{if(c[D>>2]|0)c[E>>2]=(c[E>>2]|0)+-1;c[(cN()|0)>>2]=22;hN(b,0);g=0.0;break a}}}}while(0);if((A|0)==23){h=(c[D>>2]|0)==0;if(!h)c[E>>2]=(c[E>>2]|0)+-1;if((f|0)!=0&e>>>0>3)do{if(!h)c[E>>2]=(c[E>>2]|0)+-1;e=e+-1|0}while(e>>>0>3)}g=+(I|0)*s}while(0);i=L;return +g}function fN(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a:do if(e>>>0>36){c[(cN()|0)>>2]=22;h=0;g=0}else{r=b+4|0;q=b+100|0;do{i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0}while((KM(i)|0)!=0);b:do switch(i|0){case 43:case 45:{j=((i|0)==45)<<31>>31;i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0;p=j;break b}else{i=iN(b)|0;p=j;break b}}default:p=0}while(0);j=(e|0)==0;do if((e&-17|0)==0&(i|0)==48){i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0;if((i|32|0)!=120)if(j){e=8;n=46;break}else{n=32;break}e=c[r>>2]|0;if(e>>>0<(c[q>>2]|0)>>>0){c[r>>2]=e+1;i=d[e>>0]|0}else i=iN(b)|0;if((d[193660+(i+1)>>0]|0)>15){g=(c[q>>2]|0)==0;if(!g)c[r>>2]=(c[r>>2]|0)+-1;if(!f){hN(b,0);h=0;g=0;break a}if(g){h=0;g=0;break a}c[r>>2]=(c[r>>2]|0)+-1;h=0;g=0;break a}else{e=16;n=46}}else{e=j?10:e;if((d[193660+(i+1)>>0]|0)>>>0<e>>>0)n=32;else{if(c[q>>2]|0)c[r>>2]=(c[r>>2]|0)+-1;hN(b,0);c[(cN()|0)>>2]=22;h=0;g=0;break a}}while(0);if((n|0)==32)if((e|0)==10){e=i+-48|0;if(e>>>0<10){i=0;while(1){j=(i*10|0)+e|0;e=c[r>>2]|0;if(e>>>0<(c[q>>2]|0)>>>0){c[r>>2]=e+1;i=d[e>>0]|0}else i=iN(b)|0;e=i+-48|0;if(!(e>>>0<10&j>>>0<429496729)){e=j;break}else i=j}j=0}else{e=0;j=0}f=i+-48|0;if(f>>>0<10){while(1){k=zQ(e|0,j|0,10,0)|0;l=C;m=((f|0)<0)<<31>>31;o=~m;if(l>>>0>o>>>0|(l|0)==(o|0)&k>>>0>~f>>>0){k=e;break}e=mQ(k|0,l|0,f|0,m|0)|0;j=C;i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0;f=i+-48|0;if(!(f>>>0<10&(j>>>0<429496729|(j|0)==429496729&e>>>0<2576980378))){k=e;break}}if(f>>>0>9){i=k;e=p}else{e=10;n=72}}else{i=e;e=p}}else n=46;c:do if((n|0)==46){if(!(e+-1&e)){n=a[193917+((e*23|0)>>>5&7)>>0]|0;j=a[193660+(i+1)>>0]|0;f=j&255;if(f>>>0<e>>>0){i=0;while(1){k=f|i<<n;i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0;j=a[193660+(i+1)>>0]|0;f=j&255;if(!(k>>>0<134217728&f>>>0<e>>>0))break;else i=k}f=0}else{f=0;k=0}l=pQ(-1,-1,n|0)|0;m=C;if((j&255)>>>0>=e>>>0|(f>>>0>m>>>0|(f|0)==(m|0)&k>>>0>l>>>0)){j=f;n=72;break}else i=f;while(1){k=uQ(k|0,i|0,n|0)|0;f=C;k=j&255|k;i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0;j=a[193660+(i+1)>>0]|0;if((j&255)>>>0>=e>>>0|(f>>>0>m>>>0|(f|0)==(m|0)&k>>>0>l>>>0)){j=f;n=72;break c}else i=f}}j=a[193660+(i+1)>>0]|0;f=j&255;if(f>>>0<e>>>0){i=0;while(1){k=f+(_(i,e)|0)|0;i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0;j=a[193660+(i+1)>>0]|0;f=j&255;if(!(k>>>0<119304647&f>>>0<e>>>0))break;else i=k}f=0}else{k=0;f=0}if((j&255)>>>0<e>>>0){n=AQ(-1,-1,e|0,0)|0;o=C;m=f;while(1){if(m>>>0>o>>>0|(m|0)==(o|0)&k>>>0>n>>>0){j=m;n=72;break c}f=zQ(k|0,m|0,e|0,0)|0;l=C;j=j&255;if(l>>>0>4294967295|(l|0)==-1&f>>>0>~j>>>0){j=m;n=72;break c}k=mQ(j|0,0,f|0,l|0)|0;f=C;i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0;j=a[193660+(i+1)>>0]|0;if((j&255)>>>0>=e>>>0){j=f;n=72;break}else m=f}}else{j=f;n=72}}while(0);if((n|0)==72)if((d[193660+(i+1)>>0]|0)>>>0<e>>>0){do{i=c[r>>2]|0;if(i>>>0<(c[q>>2]|0)>>>0){c[r>>2]=i+1;i=d[i>>0]|0}else i=iN(b)|0}while((d[193660+(i+1)>>0]|0)>>>0<e>>>0);c[(cN()|0)>>2]=34;j=h;i=g;e=(g&1|0)==0&0==0?p:0}else{i=k;e=p}if(c[q>>2]|0)c[r>>2]=(c[r>>2]|0)+-1;if(!(j>>>0<h>>>0|(j|0)==(h|0)&i>>>0<g>>>0)){if(!((g&1|0)!=0|0!=0|(e|0)!=0)){c[(cN()|0)>>2]=34;g=mQ(g|0,h|0,-1,-1)|0;h=C;break}if(j>>>0>h>>>0|(j|0)==(h|0)&i>>>0>g>>>0){c[(cN()|0)>>2]=34;break}}g=((e|0)<0)<<31>>31;g=lQ(i^e|0,j^g|0,e|0,g|0)|0;h=C}while(0);C=h;return g|0}function gN(b,c){b=b|0;c=c|0;var d=0,e=0;d=0;while(1){a[b+d>>0]=a[193926+d>>0]|0;if((d|0)==14)break;else d=d+1|0}if(!c){a[b+14>>0]=48;a[b+15>>0]=0}else{d=14;e=c;while(1){d=d+1|0;if(e>>>0<10)break;else e=(e>>>0)/10|0}a[b+d>>0]=0;while(1){d=d+-1|0;a[b+d>>0]=(c>>>0)%10|0|48;if(c>>>0<10)break;else c=(c>>>0)/10|0}}return}function hN(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+4>>2]|0;e=c[a+8>>2]|0;f=e-d|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0))c[a+100>>2]=d+b;else c[a+100>>2]=e;return}
function uy(e,f){e=e|0;f=f|0;var j=0.0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;Wa=i;i=i+240|0;Ra=Wa+32|0;Ua=Wa+24|0;Ta=Wa+16|0;r=Wa+8|0;s=Wa;Sa=Wa+96|0;Oa=Wa+88|0;Pa=Wa+84|0;Qa=Wa+80|0;Na=Wa+104|0;Va=Wa+64|0;Ka=e+152|0;m=c[Ka>>2]|0;La=e+352|0;o=+h[La>>3];x=+h[e+432>>3];n=o*x/72.0;h[e+488>>3]=n;j=+h[e+440>>3];o=o*j/72.0;h[e+496>>3]=o;h[e+520>>3]=x/72.0;j=j/72.0;l=e+528|0;h[l>>3]=j;if(m&4096|c[13887])h[l>>3]=-j;Ia=e+360|0;Fa=(c[Ia>>2]|0)==0;x=+((c[e+448>>2]|0)>>>0);w=+((c[e+452>>2]|0)>>>0);Ja=e+368|0;h[Ja>>3]=(Fa?x:w)/n;Ha=e+376|0;h[Ha>>3]=(Fa?w:x)/o;PE(e,oC(f,Is(f,0,142757,0)|0,181739)|0);Fa=e+160|0;c[Fa>>2]=0;Ga=ly(e)|0;c[Ga+4>>2]=0;c[Ga+8>>2]=f;c[Ga+12>>2]=0;Ga=f+16|0;Fy(e,c[(c[Ga>>2]|0)+12>>2]|0,f);lE(e,f);if(m&2){HE(e,175888);l=Qs(f,182177)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)HE(e,l);l=Qs(f,142681)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)GE(e,l);Gy(e,f);l=gu(f)|0;if(l)do{m=Qs(l,182028)|0;if((m|0)!=0?(a[m>>0]|0)!=0:0)GE(e,m);m=Qs(l,178771)|0;if((m|0)!=0?(a[m>>0]|0)!=0:0)HE(e,m);m=Qs(l,142653)|0;do if((m|0)!=0?(a[m>>0]|0)!=0:0){if(!(_O(m,58)|0)){GE(e,m);break}p=dP(m)|0;m=mP(p,151135)|0;if(m)do{if(a[m>>0]|0)GE(e,m);m=mP(0,151135)|0}while((m|0)!=0);fQ(p)}while(0);m=Qs(l,142681)|0;if((m|0)!=0?(a[m>>0]|0)!=0:0)GE(e,m);m=at(f,l)|0;if(m)do{p=Qs(m,182028)|0;do if((p|0)!=0?(a[p>>0]|0)!=0:0){if(!(_O(p,58)|0)){GE(e,p);break}q=dP(p)|0;p=mP(q,151135)|0;if(p)do{if(a[p>>0]|0)GE(e,p);p=mP(0,151135)|0}while((p|0)!=0);fQ(q)}while(0);p=Qs(m,142681)|0;if((p|0)!=0?(a[p>>0]|0)!=0:0)GE(e,p);m=ct(f,m)|0}while((m|0)!=0);l=hu(f,l)|0}while((l|0)!=0)}l=gu(f)|0;if(l)do{a[(c[l+16>>2]|0)+116>>0]=0;l=hu(f,l)|0}while((l|0)!=0);q=c[e>>2]|0;l=c[q+312>>2]|0;Ea=e+156|0;c[Ea>>2]=l;q=c[q+316>>2]|0;if(!q)if((l|0)>1?(c[Ka>>2]&64|0)==0:0){c[r>>2]=c[e+52>>2];us(0,140876,r)|0;c[Ea>>2]=1;c[Fa>>2]=1;m=0;Da=55}else{p=1;m=0;Da=54}else{m=q+4|0;if((c[q>>2]|0)>1?(c[Ka>>2]&64|0)==0:0){c[s>>2]=c[e+52>>2];us(0,140876,s)|0;c[q+8>>2]=(c[Ea>>2]|0)+1;l=c[Ea>>2]|0}p=c[m>>2]|0;m=q+8|0;Da=54}if((Da|0)==54?(c[Fa>>2]=p,(p|0)<=(l|0)):0)Da=55;if((Da|0)==55){G=e+196|0;H=e+172|0;I=e+164|0;J=e+200|0;K=e+168|0;L=e+196|0;M=e+16|0;N=Va+4|0;O=Va+8|0;P=e+164|0;Q=e+320|0;R=e+240|0;S=e+288|0;U=e+328|0;V=e+248|0;X=e+296|0;Y=e+304|0;Z=e+312|0;_=e+12|0;$=e+472|0;aa=e+456|0;ba=e+336|0;ca=e+344|0;da=e+256|0;ea=e+264|0;fa=e+272|0;ga=e+280|0;ha=e+384|0;ia=e+504|0;ja=e+392|0;ka=e+512|0;la=e+256|0;ma=Oa+4|0;na=e+188|0;oa=e+192|0;pa=e+184|0;qa=e+176|0;ra=e+180|0;sa=e+172|0;ta=e+288|0;ua=e+304|0;va=e+504|0;wa=e+456|0;xa=e+476|0;ya=e+460|0;za=e+480|0;Aa=e+464|0;Ba=e+484|0;Ca=e+468|0;while(1){F=c[(c[e>>2]|0)+316>>2]|0;if((c[((F|0)==0?Ea:F)>>2]|0)>1)pE(e);l=H;p=c[l>>2]|0;l=c[l+4>>2]|0;F=G;c[F>>2]=p;c[F+4>>2]=l;a:do if((p|0)>-1?((l|0)>-1?(p|0)<(c[I>>2]|0):0):0)do{if((l|0)>=(c[K>>2]|0))break a;E=c[M>>2]|0;F=c[Ka>>2]|0;if((c[Fa>>2]|0)>1|(p|0)>0){xs(Va,128,Na);p=E+212|0;q=c[p>>2]|0;By(e,Va);As(Va,q)|0;l=c[N>>2]|0;if(l>>>0>=(c[O>>2]|0)>>>0){ys(Va,1)|0;l=c[N>>2]|0}a[l>>0]=0;D=c[Va>>2]|0;c[N>>2]=D;c[p>>2]=D}else q=0;AF(Qs(f,140911)|0);C=G;D=c[C>>2]|0;C=c[C+4>>2]|0;p=P;l=c[p>>2]|0;p=c[p+4>>2]|0;r=(c[Ia>>2]|0)==0;j=+((r?D:C)|0);o=+h[Q>>3];v=o*j-+h[R>>3];h[S>>3]=v;n=+((r?C:D)|0);w=+h[U>>3];x=n*w-+h[V>>3];h[X>>3]=x;h[Y>>3]=o+v;h[Z>>3]=w+x;if(!(c[(c[_>>2]|0)+28>>2]|0)){c[$>>2]=c[aa>>2];c[$+4>>2]=c[aa+4>>2];c[$+8>>2]=c[aa+8>>2];c[$+12>>2]=c[aa+12>>2]}else{D=c[$>>2]|0;C=c[wa>>2]|0;c[$>>2]=(D|0)<(C|0)?D:C;C=c[xa>>2]|0;D=c[ya>>2]|0;c[xa>>2]=(C|0)<(D|0)?C:D;D=c[za>>2]|0;C=c[Aa>>2]|0;c[za>>2]=(D|0)>(C|0)?D:C;C=c[Ba>>2]|0;D=c[Ca>>2]|0;c[Ba>>2]=(C|0)>(D|0)?C:D}s=c[Ka>>2]|0;t=+h[ba>>3];x=+h[ca>>3];if(!(s&128)){t=o*(j-+((r?l:p)|0)*.5)+t;x=w*(n-+((r?p:l)|0)*.5)+x;u=x;v=t;t=o+t;o=w+x}else{w=+h[Ja>>3]*.5;o=+h[Ha>>3]*.5;u=x-o;v=t-w;t=t+w;o=x+o}h[da>>3]=v;h[ea>>3]=u;h[fa>>3]=t;h[ga>>3]=o;do if(r){n=+h[La>>3];h[ia>>3]=+h[ha>>3]/n-v;j=+h[ja>>3];if(!(c[13887]|s&4096)){h[ka>>3]=j/n-u;break}else{h[ka>>3]=-o-j/n;break}}else{n=+h[La>>3];h[ka>>3]=-o-+h[ja>>3]/n;j=+h[ha>>3];if(!(c[13887]|s&4096)){h[va>>3]=j/n-v;break}else{h[va>>3]=-t-j/n;break}}while(0);nE(e);GE(e,178378);HE(e,175888);do if(F&4259840){if((c[E+208>>2]|0)==0?(b[E+260>>1]&1)==0:0)break;do if(!(F&655360)){l=0;p=0}else{D=F&131072;p=D>>>16^2;l=p+2|0;c[E+264>>2]=p;p=yz(l<<4)|0;c[p>>2]=c[ta>>2];c[p+4>>2]=c[ta+4>>2];c[p+8>>2]=c[ta+8>>2];c[p+12>>2]=c[ta+12>>2];C=p+16|0;c[C>>2]=c[ua>>2];c[C+4>>2]=c[ua+4>>2];c[C+8>>2]=c[ua+8>>2];c[C+12>>2]=c[ua+12>>2];if(D)break;az(p)}while(0);if(!(F&8192))kE(e,p,p,l)|0;c[E+272>>2]=p;c[E+268>>2]=l}while(0);if((F&32768|0)!=0?(Ma=c[(c[Ga>>2]|0)+12>>2]|0,(Ma|0)!=0):0)c[E+192>>2]=c[Ma>>2];D=(F&4|0)!=0;do if(!D){l=E+208|0;if((c[l>>2]|0)==0?(b[E+260>>1]&1)==0:0)break;c[Ra>>2]=c[la>>2];c[Ra+4>>2]=c[la+4>>2];c[Ra+8>>2]=c[la+8>>2];c[Ra+12>>2]=c[la+12>>2];c[Ra+16>>2]=c[la+16>>2];c[Ra+20>>2]=c[la+20>>2];c[Ra+24>>2]=c[la+24>>2];c[Ra+28>>2]=c[la+28>>2];ry(e,Ra);BE(e,c[l>>2]|0,c[E+228>>2]|0,c[E+244>>2]|0,c[E+212>>2]|0)}while(0);l=Qs(f,182177)|0;if(!l){r=1;l=178286}else{C=(a[l>>0]|0)==0;r=C&1;l=C?178286:l}s=c[Ka>>2]|0;p=(a[l>>0]|0)==116;do if(s&256){if(!p){p=r;Da=101;break}if(aP(l,178891)|0){p=r;Da=101}}else{if(!p){p=r;Da=101;break}Da=(aP(l,178891)|0)==0;p=Da?1:r;l=Da?178286:l;Da=101}while(0);do if((Da|0)==101){Da=0;if((s&33554432|0)!=0&(p|0)!=0)break;if(!((xy(l,Oa,Pa)|0)<<24>>24)){HE(e,l);GE(e,178891);c[Ra>>2]=c[la>>2];c[Ra+4>>2]=c[la+4>>2];c[Ra+8>>2]=c[la+8>>2];c[Ra+12>>2]=c[la+12>>2];c[Ra+16>>2]=c[la+16>>2];c[Ra+20>>2]=c[la+20>>2];c[Ra+24>>2]=c[la+24>>2];c[Ra+28>>2]=c[la+28>>2];ME(e,Ra,1);break}c[Qa>>2]=0;l=c[Oa>>2]|0;HE(e,l);GE(e,178891);Hy(f,Qa)|0;p=c[ma>>2]|0;r=lC(f,c[13897]|0,0,0)|0;j=+g[Pa>>2];if(!p)IE(e,178378,r,j);else IE(e,p,r,j);C=(c[Qa>>2]|0)>>>1&1|2;c[Ra>>2]=c[la>>2];c[Ra+4>>2]=c[la+4>>2];c[Ra+8>>2]=c[la+8>>2];c[Ra+12>>2]=c[la+12>>2];c[Ra+16>>2]=c[la+16>>2];c[Ra+20>>2]=c[la+20>>2];c[Ra+24>>2]=c[la+24>>2];c[Ra+28>>2]=c[la+28>>2];ME(e,Ra,C);fQ(l)}while(0);l=c[Ga>>2]|0;C=c[(c[l+8>>2]|0)+88>>2]|0;if(C){c[Sa>>2]=1e3;l=zz(16e3)|0;do if((c[C>>2]|0)>0){y=1;A=0;s=1;B=c[C+8>>2]|0;p=0;while(1){r=c[B>>2]|0;b:do switch(r|0){case 1:case 0:{a[k>>0]=a[da>>0];a[k+1>>0]=a[da+1>>0];a[k+2>>0]=a[da+2>>0];a[k+3>>0]=a[da+3>>0];a[k+4>>0]=a[da+4>>0];a[k+5>>0]=a[da+5>>0];a[k+6>>0]=a[da+6>>0];a[k+7>>0]=a[da+7>>0];w=+h[k>>3];a[k>>0]=a[ea>>0];a[k+1>>0]=a[ea+1>>0];a[k+2>>0]=a[ea+2>>0];a[k+3>>0]=a[ea+3>>0];a[k+4>>0]=a[ea+4>>0];a[k+5>>0]=a[ea+5>>0];a[k+6>>0]=a[ea+6>>0];a[k+7>>0]=a[ea+7>>0];x=+h[k>>3];a[k>>0]=a[fa>>0];a[k+1>>0]=a[fa+1>>0];a[k+2>>0]=a[fa+2>>0];a[k+3>>0]=a[fa+3>>0];a[k+4>>0]=a[fa+4>>0];a[k+5>>0]=a[fa+5>>0];a[k+6>>0]=a[fa+6>>0];a[k+7>>0]=a[fa+7>>0];t=+h[k>>3];z=B+80|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];u=+h[k>>3];z=B+96|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];v=+h[k>>3];z=B+104|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];if(!(t>=u)|!(v>=w)|!(+h[k>>3]>=x)){r=y;break b}z=B+88|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];x=+h[k>>3];a[k>>0]=a[ga>>0];a[k+1>>0]=a[ga+1>>0];a[k+2>>0]=a[ga+2>>0];a[k+3>>0]=a[ga+3>>0];a[k+4>>0]=a[ga+4>>0];a[k+5>>0]=a[ga+5>>0];a[k+6>>0]=a[ga+6>>0];a[k+7>>0]=a[ga+7>>0];if(!(+h[k>>3]>=x)){r=y;break b}u=+h[B+8>>3];v=+h[B+24>>3];h[l>>3]=u-v;w=+h[B+16>>3];x=+h[B+32>>3];h[l+8>>3]=w-x;h[l+16>>3]=u+v;h[l+24>>3]=w+x;KE(e,l,2,(r|0)==0?y:0);r=y;break}case 3:case 2:{a[k>>0]=a[da>>0];a[k+1>>0]=a[da+1>>0];a[k+2>>0]=a[da+2>>0];a[k+3>>0]=a[da+3>>0];a[k+4>>0]=a[da+4>>0];a[k+5>>0]=a[da+5>>0];a[k+6>>0]=a[da+6>>0];a[k+7>>0]=a[da+7>>0];w=+h[k>>3];a[k>>0]=a[ea>>0];a[k+1>>0]=a[ea+1>>0];a[k+2>>0]=a[ea+2>>0];a[k+3>>0]=a[ea+3>>0];a[k+4>>0]=a[ea+4>>0];a[k+5>>0]=a[ea+5>>0];a[k+6>>0]=a[ea+6>>0];a[k+7>>0]=a[ea+7>>0];x=+h[k>>3];a[k>>0]=a[fa>>0];a[k+1>>0]=a[fa+1>>0];a[k+2>>0]=a[fa+2>>0];a[k+3>>0]=a[fa+3>>0];a[k+4>>0]=a[fa+4>>0];a[k+5>>0]=a[fa+5>>0];a[k+6>>0]=a[fa+6>>0];a[k+7>>0]=a[fa+7>>0];t=+h[k>>3];z=B+80|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];u=+h[k>>3];z=B+96|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];v=+h[k>>3];z=B+104|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];if(!(t>=u)|!(v>=w)|!(+h[k>>3]>=x)){r=y;break b}z=B+88|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];x=+h[k>>3];a[k>>0]=a[ga>>0];a[k+1>>0]=a[ga+1>>0];a[k+2>>0]=a[ga+2>>0];a[k+3>>0]=a[ga+3>>0];a[k+4>>0]=a[ga+4>>0];a[k+5>>0]=a[ga+5>>0];a[k+6>>0]=a[ga+6>>0];a[k+7>>0]=a[ga+7>>0];if(!(+h[k>>3]>=x)){r=y;break b}r=B+8|0;l=Iy(l,Sa,c[r+4>>2]|0,c[r>>2]|0)|0;LE(e,l,c[r>>2]|0,(c[B>>2]|0)==2?y:0);r=y;break}case 5:case 4:{a[k>>0]=a[da>>0];a[k+1>>0]=a[da+1>>0];a[k+2>>0]=a[da+2>>0];a[k+3>>0]=a[da+3>>0];a[k+4>>0]=a[da+4>>0];a[k+5>>0]=a[da+5>>0];a[k+6>>0]=a[da+6>>0];a[k+7>>0]=a[da+7>>0];w=+h[k>>3];a[k>>0]=a[ea>>0];a[k+1>>0]=a[ea+1>>0];a[k+2>>0]=a[ea+2>>0];a[k+3>>0]=a[ea+3>>0];a[k+4>>0]=a[ea+4>>0];a[k+5>>0]=a[ea+5>>0];a[k+6>>0]=a[ea+6>>0];a[k+7>>0]=a[ea+7>>0];x=+h[k>>3];a[k>>0]=a[fa>>0];a[k+1>>0]=a[fa+1>>0];a[k+2>>0]=a[fa+2>>0];a[k+3>>0]=a[fa+3>>0];a[k+4>>0]=a[fa+4>>0];a[k+5>>0]=a[fa+5>>0];a[k+6>>0]=a[fa+6>>0];a[k+7>>0]=a[fa+7>>0];t=+h[k>>3];z=B+80|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];u=+h[k>>3];z=B+96|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];v=+h[k>>3];z=B+104|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];if(!(t>=u)|!(v>=w)|!(+h[k>>3]>=x)){r=y;break b}z=B+88|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];x=+h[k>>3];a[k>>0]=a[ga>>0];a[k+1>>0]=a[ga+1>>0];a[k+2>>0]=a[ga+2>>0];a[k+3>>0]=a[ga+3>>0];a[k+4>>0]=a[ga+4>>0];a[k+5>>0]=a[ga+5>>0];a[k+6>>0]=a[ga+6>>0];a[k+7>>0]=a[ga+7>>0];if(!(+h[k>>3]>=x)){r=y;break b}r=B+8|0;l=Iy(l,Sa,c[r+4>>2]|0,c[r>>2]|0)|0;NE(e,l,c[r>>2]|0,0,0,(c[B>>2]|0)==4?y&255:0);r=y;break}case 6:{a[k>>0]=a[da>>0];a[k+1>>0]=a[da+1>>0];a[k+2>>0]=a[da+2>>0];a[k+3>>0]=a[da+3>>0];a[k+4>>0]=a[da+4>>0];a[k+5>>0]=a[da+5>>0];a[k+6>>0]=a[da+6>>0];a[k+7>>0]=a[da+7>>0];w=+h[k>>3];a[k>>0]=a[ea>>0];a[k+1>>0]=a[ea+1>>0];a[k+2>>0]=a[ea+2>>0];a[k+3>>0]=a[ea+3>>0];a[k+4>>0]=a[ea+4>>0];a[k+5>>0]=a[ea+5>>0];a[k+6>>0]=a[ea+6>>0];a[k+7>>0]=a[ea+7>>0];x=+h[k>>3];a[k>>0]=a[fa>>0];a[k+1>>0]=a[fa+1>>0];a[k+2>>0]=a[fa+2>>0];a[k+3>>0]=a[fa+3>>0];a[k+4>>0]=a[fa+4>>0];a[k+5>>0]=a[fa+5>>0];a[k+6>>0]=a[fa+6>>0];a[k+7>>0]=a[fa+7>>0];t=+h[k>>3];z=B+80|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];u=+h[k>>3];z=B+96|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];v=+h[k>>3];z=B+104|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];if(!(t>=u)|!(v>=w)|!(+h[k>>3]>=x)){r=y;break b}z=B+88|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];x=+h[k>>3];a[k>>0]=a[ga>>0];a[k+1>>0]=a[ga+1>>0];a[k+2>>0]=a[ga+2>>0];a[k+3>>0]=a[ga+3>>0];a[k+4>>0]=a[ga+4>>0];a[k+5>>0]=a[ga+5>>0];a[k+6>>0]=a[ga+6>>0];a[k+7>>0]=a[ga+7>>0];if(!(+h[k>>3]>=x)){r=y;break b}r=B+8|0;l=Iy(l,Sa,c[r+4>>2]|0,c[r>>2]|0)|0;OE(e,l,c[r>>2]|0);r=y;break}case 7:{a[k>>0]=a[da>>0];a[k+1>>0]=a[da+1>>0];a[k+2>>0]=a[da+2>>0];a[k+3>>0]=a[da+3>>0];a[k+4>>0]=a[da+4>>0];a[k+5>>0]=a[da+5>>0];a[k+6>>0]=a[da+6>>0];a[k+7>>0]=a[da+7>>0];w=+h[k>>3];a[k>>0]=a[ea>>0];a[k+1>>0]=a[ea+1>>0];a[k+2>>0]=a[ea+2>>0];a[k+3>>0]=a[ea+3>>0];a[k+4>>0]=a[ea+4>>0];a[k+5>>0]=a[ea+5>>0];a[k+6>>0]=a[ea+6>>0];a[k+7>>0]=a[ea+7>>0];x=+h[k>>3];a[k>>0]=a[fa>>0];a[k+1>>0]=a[fa+1>>0];a[k+2>>0]=a[fa+2>>0];a[k+3>>0]=a[fa+3>>0];a[k+4>>0]=a[fa+4>>0];a[k+5>>0]=a[fa+5>>0];a[k+6>>0]=a[fa+6>>0];a[k+7>>0]=a[fa+7>>0];t=+h[k>>3];z=B+80|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];u=+h[k>>3];z=B+96|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];v=+h[k>>3];z=B+104|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];if(!(t>=u)|!(v>=w)|!(+h[k>>3]>=x)){r=y;break b}z=B+88|0;a[k>>0]=a[z>>0];a[k+1>>0]=a[z+1>>0];a[k+2>>0]=a[z+2>>0];a[k+3>>0]=a[z+3>>0];a[k+4>>0]=a[z+4>>0];a[k+5>>0]=a[z+5>>0];a[k+6>>0]=a[z+6>>0];a[k+7>>0]=a[z+7>>0];x=+h[k>>3];a[k>>0]=a[ga>>0];a[k+1>>0]=a[ga+1>>0];a[k+2>>0]=a[ga+2>>0];a[k+3>>0]=a[ga+3>>0];a[k+4>>0]=a[ga+4>>0];a[k+5>>0]=a[ga+5>>0];a[k+6>>0]=a[ga+6>>0];a[k+7>>0]=a[ga+7>>0];if(!(+h[k>>3]>=x)){r=y;break b}h[l>>3]=+h[B+8>>3];h[l+8>>3]=+h[B+16>>3];r=c[B+112>>2]|0;c[Ra>>2]=c[l>>2];c[Ra+4>>2]=c[l+4>>2];c[Ra+8>>2]=c[l+8>>2];c[Ra+12>>2]=c[l+12>>2];FE(e,Ra,r);r=y;break}case 8:{HE(e,c[B+8>>2]|0);r=1;break}case 9:{GE(e,c[B+8>>2]|0);r=1;break}case 13:{r=B+16|0;if((c[B+8>>2]|0)!=2){y=c[r+36>>2]|0;z=c[y+12>>2]|0;x=+g[y+8>>2];r=~~(+W(+(+h[B+40>>3]-+h[B+24>>3]),+(+h[B+32>>3]-+h[r>>3]))*180.0/3.141592653589793);HE(e,c[y+4>>2]|0);IE(e,z,r,x);r=2;break b}Xa=c[B+68>>2]|0;y=c[Xa+4>>2]|0;z=c[Xa+12>>2]|0;o=+g[Xa+8>>2];n=+h[B+40>>3];j=+h[r>>3];if(n==j?+h[B+48>>3]==+h[B+24>>3]:0)r=0;else r=~~(+T(+((j-n)/+h[B+32>>3]))*180.0/3.141592653589793);HE(e,y);IE(e,z,r,o);r=3;break}case 14:{us(0,140923,Ta)|0;r=y;break}case 12:{if(!s){r=y;s=0;break b}us(0,140963,Ua)|0;r=y;s=0;break}case 11:{yy(c[B+8>>2]|0)|0;JE(e,55148);r=y;p=55148;break}default:r=y}while(0);A=A+1|0;if((A|0)>=(c[C>>2]|0))break;else{y=r;B=B+120|0}}if(!p)break;JE(e,c[(c[e>>2]|0)+336>>2]|0)}while(0);fQ(l);l=c[Ga>>2]|0}l=c[l+12>>2]|0;if(l)qz(e,4,l);if(D){Xa=(c[e>>2]|0)+28|0;c[Xa>>2]=(c[Xa>>2]|0)+1}else{if(!((c[E+208>>2]|0)==0?(b[E+260>>1]&1)==0:0))CE(e);Xa=(c[e>>2]|0)+28|0;c[Xa>>2]=(c[Xa>>2]|0)+1;wy(e,f,F)}c:do if(!(F&1)){if(F&16){vE(e);l=gu(f)|0;if(l)do{p=at(f,l)|0;if(p)do{Ky(e,p);p=ct(f,p)|0}while((p|0)!=0);l=hu(f,l)|0}while((l|0)!=0);wE(e);tE(e);l=gu(f)|0;if(l)do{Jy(e,l);l=hu(f,l)|0}while((l|0)!=0);uE(e);break}if(!(F&8)){l=gu(f)|0;if(!l)break;while(1){Jy(e,l);p=at(f,l)|0;if(p)do{Jy(e,c[((c[p>>2]&3|0)==2?p:p+-48|0)+40>>2]|0);Ky(e,p);p=ct(f,p)|0}while((p|0)!=0);l=hu(f,l)|0;if(!l)break c}}tE(e);l=gu(f)|0;if(l)do{p=c[Ga>>2]|0;d:do if((c[p+180>>2]|0)<1)Da=173;else{r=1;while(1){if(Hu(c[(c[p+184>>2]|0)+(r<<2)>>2]|0,l)|0)break d;p=c[Ga>>2]|0;if((r|0)>=(c[p+180>>2]|0)){Da=173;break}else r=r+1|0}}while(0);if((Da|0)==173){Da=0;Jy(e,l)}l=hu(f,l)|0}while((l|0)!=0);uE(e);vE(e);l=gu(f)|0;if(l)do{p=at(f,l)|0;if(p)do{r=c[Ga>>2]|0;e:do if((c[r+180>>2]|0)<1)Da=181;else{s=1;while(1){if(Hu(c[(c[r+184>>2]|0)+(s<<2)>>2]|0,p)|0)break e;r=c[Ga>>2]|0;if((s|0)>=(c[r+180>>2]|0)){Da=181;break}else s=s+1|0}}while(0);if((Da|0)==181){Da=0;Ky(e,p)}p=ct(f,p)|0}while((p|0)!=0);l=hu(f,l)|0}while((l|0)!=0);wE(e)}else{tE(e);l=gu(f)|0;if(l)do{Jy(e,l);l=hu(f,l)|0}while((l|0)!=0);uE(e);vE(e);l=gu(f)|0;if(l)do{p=at(f,l)|0;if(p)do{Ky(e,p);p=ct(f,p)|0}while((p|0)!=0);l=hu(f,l)|0}while((l|0)!=0);wE(e)}while(0);if(D)wy(e,f,F);oE(e);if(q){Bs(Va);c[E+212>>2]=q}p=(d[L>>0]|d[L+1>>0]<<8|d[L+2>>0]<<16|d[L+3>>0]<<24)+(d[na>>0]|d[na+1>>0]<<8|d[na+2>>0]<<16|d[na+3>>0]<<24)|0;l=(d[J>>0]|d[J+1>>0]<<8|d[J+2>>0]<<16|d[J+3>>0]<<24)+(d[oa>>0]|d[oa+1>>0]<<8|d[oa+2>>0]<<16|d[oa+3>>0]<<24)|0;Xa=G;c[Xa>>2]=p;c[Xa+4>>2]=l;do if((p|0)>-1){if(!((l|0)>-1?(p|0)<(c[I>>2]|0):0)){Da=198;break}if((l|0)>=(c[K>>2]|0))Da=198}else Da=198;while(0);if((Da|0)==198){Da=0;q=c[pa>>2]|0;if(!q){l=c[qa>>2]|0;c[J>>2]=l}else{p=c[sa>>2]|0;c[G>>2]=p}p=(d[ra>>0]|d[ra+1>>0]<<8|d[ra+2>>0]<<16|d[ra+3>>0]<<24)+p|0;l=l+q|0;Xa=G;c[Xa>>2]=p;c[Xa+4>>2]=l;if((p|0)<=-1)break a}}while((l|0)>-1?(p|0)<(c[I>>2]|0):0);while(0);Xa=c[(c[e>>2]|0)+316>>2]|0;if((c[((Xa|0)==0?Ea:Xa)>>2]|0)>1)qE(e);if(!m){p=0;l=(c[Fa>>2]|0)+1|0}else{p=m+4|0;l=c[m>>2]|0}c[Fa>>2]=l;if((l|0)>(c[Ea>>2]|0))break;else m=p}}mE(e);my(e);i=Wa;return}function vy(a){a=a|0;var b=0,d=0,e=0;b=c[13851]|0;if(!b){b=hs(55408,c[13094]|0)|0;c[13851]=b}if(!(Jb[c[b>>2]&63](b,a,4)|0)){d=c[13851]|0;e=c[d>>2]|0;b=dP(a)|0;Jb[e&63](d,b,1)|0;b=1}else b=0;return b|0}function wy(e,f,j){e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;W=i;i=i+128|0;w=W+72|0;U=W+64|0;T=W+120|0;Q=W;R=W+112|0;S=W+104|0;x=f+16|0;k=c[x>>2]|0;if((c[k+180>>2]|0)>=1){M=e+156|0;N=(j&4|0)!=0;O=e+16|0;P=Q+32|0;y=Q+16|0;z=Q+8|0;B=Q+24|0;C=Q+48|0;E=Q+40|0;F=Q+56|0;G=(j&8|0)==0;H=R+4|0;I=e+160|0;v=1;while(1){u=c[(c[k+184>>2]|0)+(v<<2)>>2]|0;a:do if((c[M>>2]|0)>=2?(K=oC(u,Is(u,0,142745,0)|0,181739)|0,(Ly(c[e>>2]|0,c[I>>2]|0,c[M>>2]|0,K)|0)<<24>>24==0):0){if((a[K>>0]|0)==0?(L=gu(u)|0,(L|0)!=0):0){k=L;do{if((My(e,u,k)|0)<<24>>24){V=9;break a}k=hu(u,k)|0}while((k|0)!=0)}}else V=9;while(0);if((V|0)==9){V=0;if(N)wy(e,u,j);q=ly(e)|0;c[q+4>>2]=1;c[q+8>>2]=u;c[q+12>>2]=1;q=u+16|0;Fy(e,c[(c[q>>2]|0)+12>>2]|0,u);rE(e,u);r=c[O>>2]|0;s=r+208|0;if(!(c[s>>2]|0))t=(b[r+260>>1]&1)!=0;else t=1;AF(Qs(u,140911)|0);if(!(N|t^1)){p=(c[q>>2]|0)+16|0;c[w>>2]=c[p>>2];c[w+4>>2]=c[p+4>>2];c[w+8>>2]=c[p+8>>2];c[w+12>>2]=c[p+12>>2];c[w+16>>2]=c[p+16>>2];c[w+20>>2]=c[p+20>>2];c[w+24>>2]=c[p+24>>2];c[w+28>>2]=c[p+28>>2];ry(e,w);BE(e,c[s>>2]|0,c[r+228>>2]|0,c[r+244>>2]|0,c[r+212>>2]|0)}c[T>>2]=0;k=Hy(u,T)|0;if(!k)p=0;else{JE(e,k);p=c[T>>2]&1}k=d[(c[q>>2]|0)+112>>0]|0;do if(!(k&1)){if(k&2){k=pC(u,c[13888]|0,147138)|0;l=pC(u,c[13889]|0,147146)|0;V=34;break}if(k&8){k=pC(u,c[13892]|0,147154)|0;l=pC(u,c[13893]|0,147162)|0;V=34;break}if(k&4){k=pC(u,c[13890]|0,147170)|0;l=pC(u,c[13891]|0,147178)|0;V=34;break}k=Qs(u,182028)|0;if(!k)l=0;else l=(a[k>>0]|0)==0?0:k;k=Qs(u,178771)|0;if(!k)k=l;else k=(a[k>>0]|0)==0?l:k;m=Qs(u,142653)|0;if(m)l=(a[m>>0]|0)==0?l:m;if(!((p|0)!=0&(l|0)!=0)?(A=Qs(u,182177)|0,(A|0)!=0):0){o=(a[A>>0]|0)==0;l=o?l:A;if(!o){V=34;break}}k=(k|0)==0?178378:k;l=(l|0)==0?175888:l;c[R>>2]=0;if(!p){o=l;p=0}else{o=l;l=p;V=36}}else{k=pC(u,c[13888]|0,147122)|0;l=pC(u,c[13889]|0,147130)|0;V=34}while(0);if((V|0)==34){c[R>>2]=0;k=(k|0)==0?178378:k;o=(l|0)==0?175888:l;l=1;V=36}do if((V|0)==36){V=0;if(!((xy(o,R,S)|0)<<24>>24)){HE(e,o);p=l;break}HE(e,c[R>>2]|0);l=c[H>>2]|0;m=lC(u,c[13897]|0,0,0)|0;n=+g[S>>2];if(!l)IE(e,178378,m,n);else IE(e,l,m,n);p=(c[T>>2]|0)>>>1&1|2}while(0);l=c[13896]|0;if(((l|0)!=0?(D=Rs(u,l)|0,(D|0)!=0):0)?(a[D>>0]|0)!=0:0)RE(e,+mC(u,c[13896]|0,1.0,0.0));m=c[T>>2]|0;do if(m&4){l=lC(u,c[13895]|0,1,0)|0;if(l|p){o=(c[q>>2]|0)+16|0;c[Q>>2]=c[o>>2];c[Q+4>>2]=c[o+4>>2];c[Q+8>>2]=c[o+8>>2];c[Q+12>>2]=c[o+12>>2];o=(c[q>>2]|0)+32|0;c[P>>2]=c[o>>2];c[P+4>>2]=c[o+4>>2];c[P+8>>2]=c[o+8>>2];c[P+12>>2]=c[o+12>>2];h[y>>3]=+h[P>>3];h[B>>3]=+h[z>>3];h[C>>3]=+h[Q>>3];h[F>>3]=+h[E>>3];if(!l)GE(e,178891);else GE(e,k);PA(e,Q,4,m,p)}}else{if(!(m&64)){if(lC(u,c[13895]|0,1,0)|0){GE(e,k);o=(c[q>>2]|0)+16|0;c[w>>2]=c[o>>2];c[w+4>>2]=c[o+4>>2];c[w+8>>2]=c[o+8>>2];c[w+12>>2]=c[o+12>>2];c[w+16>>2]=c[o+16>>2];c[w+20>>2]=c[o+20>>2];c[w+24>>2]=c[o+24>>2];c[w+28>>2]=c[o+28>>2];ME(e,w,p);break}if(!p)break;GE(e,178891);o=(c[q>>2]|0)+16|0;c[w>>2]=c[o>>2];c[w+4>>2]=c[o+4>>2];c[w+8>>2]=c[o+8>>2];c[w+12>>2]=c[o+12>>2];c[w+16>>2]=c[o+16>>2];c[w+20>>2]=c[o+20>>2];c[w+24>>2]=c[o+24>>2];c[w+28>>2]=c[o+28>>2];ME(e,w,p);break}p=(c[q>>2]|0)+16|0;c[Q>>2]=c[p>>2];c[Q+4>>2]=c[p+4>>2];c[Q+8>>2]=c[p+8>>2];c[Q+12>>2]=c[p+12>>2];p=(c[q>>2]|0)+32|0;c[P>>2]=c[p>>2];c[P+4>>2]=c[p+4>>2];c[P+8>>2]=c[p+8>>2];c[P+12>>2]=c[p+12>>2];h[y>>3]=+h[P>>3];h[B>>3]=+h[z>>3];h[C>>3]=+h[Q>>3];h[F>>3]=+h[E>>3];if(!(lC(u,c[13895]|0,1,0)|0))GE(e,178891);else GE(e,k);if((qy(e,Q,o,0)|0)>1){c[U>>2]=Ft(u)|0;us(3,141009,U)|0}p=(c[q>>2]|0)+16|0;c[w>>2]=c[p>>2];c[w+4>>2]=c[p+4>>2];c[w+8>>2]=c[p+8>>2];c[w+12>>2]=c[p+12>>2];c[w+16>>2]=c[p+16>>2];c[w+20>>2]=c[p+20>>2];c[w+24>>2]=c[p+24>>2];c[w+28>>2]=c[p+28>>2];ME(e,w,0)}while(0);fQ(c[R>>2]|0);k=c[(c[q>>2]|0)+12>>2]|0;if(k)qz(e,5,k);if(t){if(N){t=(c[q>>2]|0)+16|0;c[w>>2]=c[t>>2];c[w+4>>2]=c[t+4>>2];c[w+8>>2]=c[t+8>>2];c[w+12>>2]=c[t+12>>2];c[w+16>>2]=c[t+16>>2];c[w+20>>2]=c[t+20>>2];c[w+24>>2]=c[t+24>>2];c[w+28>>2]=c[t+28>>2];ry(e,w);BE(e,c[s>>2]|0,c[r+228>>2]|0,c[r+244>>2]|0,c[r+212>>2]|0)}CE(e)}if(!G?(J=gu(u)|0,(J|0)!=0):0){l=J;do{Jy(e,l);k=at(u,l)|0;if(k)do{Ky(e,k);k=ct(u,k)|0}while((k|0)!=0);l=hu(u,l)|0}while((l|0)!=0)}sE(e,f);my(e);if(!N)wy(e,u,j)}k=c[x>>2]|0;if((v|0)>=(c[k+180>>2]|0))break;else v=v+1|0}}i=W;return}function xy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,h=0,j=0,k=0,l=0,m=0;l=i;i=i+16|0;h=l;j=l+4|0;c[j>>2]=0;m=(Cy(b,0,j)|0)==0;j=c[j>>2]|0;if((m?(f=c[j>>2]|0,(f|0)>=2):0)?(k=j+8|0,(c[c[k>>2]>>2]|0)!=0):0){if((f|0)>2)us(0,141024,h)|0;m=zz((eP(b)|0)+1|0)|0;c[d>>2]=m;bP(m,c[c[k>>2]>>2]|0)|0;if(!(c[(c[k>>2]|0)+12>>2]|0))c[d+4>>2]=0;else{m=c[d>>2]|0;m=m+((eP(m)|0)+1)|0;c[d+4>>2]=m;bP(m,c[(c[k>>2]|0)+12>>2]|0)|0}f=c[k>>2]|0;do if(!(a[f+8>>0]|0))if(!(a[f+20>>0]|0)){g[e>>2]=0.0;break}else{g[e>>2]=1.0-+g[f+16>>2];break}else c[e>>2]=c[f+4>>2];while(0);fQ(c[j+4>>2]|0);fQ(c[k>>2]|0);fQ(j);f=1}else{c[d>>2]=0;fQ(c[j+4>>2]|0);fQ(c[j+8>>2]|0);fQ(j);f=0}i=l;return f|0}function yy(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=i;i=i+176|0;p=s+24|0;o=s+16|0;n=s+8|0;m=s;q=s+32|0;if(a[141090]|0){xs(55444,128,141091);a[141090]=0}xs(q,128,s+48|0);k=q+4|0;l=q+8|0;e=0;d=0;f=b;a:while(1){g=f;b:while(1){f=a[g>>0]|0;c:do if(!(f<<24>>24))f=0;else while(1){if((KM(f<<24>>24)|0)==0?(j=a[g>>0]|0,j<<24>>24!=44):0){f=j;break c}g=g+1|0;f=a[g>>0]|0;if(!(f<<24>>24)){f=0;break}}while(0);h=f<<24>>24;switch(h|0){case 0:{r=31;break a}case 41:case 40:break;default:{r=10;break b}}g=g+1|0;switch(h|0){case 41:if(!(d<<24>>24)){r=19;break a}else{d=0;continue b}case 40:if(!(d<<24>>24)){d=1;continue b}else{r=17;break a}default:break b}}d:do if((r|0)==10){r=0;h=f;while(1){switch(h<<24>>24|0){case 0:case 44:case 41:case 40:break d;default:{}}f=c[k>>2]|0;if(f>>>0>=(c[l>>2]|0)>>>0){ys(q,1)|0;f=c[k>>2]|0}c[k>>2]=f+1;a[f>>0]=h;f=g+1|0;h=a[f>>0]|0;g=f}}while(0);if(!(d<<24>>24)){if((e|0)==63){r=22;break}f=c[13862]|0;if(f>>>0>=(c[13863]|0)>>>0){ys(55444,1)|0;f=c[13862]|0}c[13862]=f+1;a[f>>0]=0;c[55148+(e<<2)>>2]=c[13862];e=e+1|0}f=c[k>>2]|0;if(f>>>0>=(c[l>>2]|0)>>>0){ys(q,1)|0;f=c[k>>2]|0}a[f>>0]=0;f=c[q>>2]|0;c[k>>2]=f;As(55444,f)|0;f=c[13862]|0;if(f>>>0>=(c[13863]|0)>>>0){ys(55444,1)|0;f=c[13862]|0}c[13862]=f+1;a[f>>0]=0;f=g}do if((r|0)==17){c[m>>2]=b;us(1,141219,m)|0;c[13787]=0;Bs(q)}else if((r|0)==19){c[n>>2]=b;us(1,141253,n)|0;c[13787]=0;Bs(q)}else if((r|0)==22){c[o>>2]=b;us(0,141281,o)|0;c[13850]=0;Bs(q)}else if((r|0)==31){if(d<<24>>24){c[p>>2]=b;us(1,141304,p)|0;c[13787]=0;Bs(q);break}c[55148+(e<<2)>>2]=0;Bs(q);d=c[13862]|0;if(d>>>0>=(c[13863]|0)>>>0){ys(55444,1)|0;d=c[13862]|0}a[d>>0]=0;c[13862]=c[13861]}while(0);i=s;return 55148}function zy(a){a=a|0;var b=0;b=c[13865]|0;if(!a){if((b|0)>0?(a=b+-1|0,c[13865]=a,(a|0)==0):0)fQ(c[13866]|0)}else{c[13865]=b+1;if(!b)c[13866]=dP(kN(1,0)|0)|0}return}function Ay(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;ma=i;i=i+432|0;Y=ma+384|0;X=ma+368|0;ga=ma+352|0;fa=ma+344|0;ea=ma+320|0;da=ma+296|0;ca=ma+280|0;la=ma+264|0;ka=ma+256|0;ba=ma+240|0;aa=ma+232|0;W=ma+224|0;V=ma+216|0;T=ma+208|0;R=ma+200|0;f=ma+184|0;e=ma+176|0;$=ma+128|0;ha=ma+96|0;ia=ma+64|0;P=ma+32|0;Q=ma;if(a[142275]|0)fC();a:do if((Ou(d,178510,0,1)|0)!=0?(Z=d+16|0,(c[(c[Z>>2]|0)+8>>2]|0)!=0):0){e=gu(d)|0;b:do if(e){y=ha+8|0;z=ha+16|0;A=ha+24|0;B=ia+8|0;C=ia+16|0;D=ia+24|0;E=$+8|0;F=$+12|0;G=$+32|0;H=$+4|0;I=Q+8|0;J=Q+16|0;K=Q+24|0;L=$+16|0;M=P+8|0;N=P+16|0;O=P+24|0;c:while(1){f=c[e+16>>2]|0;s=+h[f+16>>3];h[f+48>>3]=s-+h[f+88>>3];t=+h[f+24>>3];u=+h[f+80>>3]*.5;h[f+56>>3]=t-u;h[f+64>>3]=s+ +h[f+96>>3];h[f+72>>3]=t+u;f=at(d,e)|0;if(f)do{x=c[(c[f+16>>2]|0)+8>>2]|0;if(x){w=x+4|0;if((c[w>>2]|0)<=0)break c;g=c[x>>2]|0;j=$;l=g;m=j+48|0;do{c[j>>2]=c[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));j=Y;l=g;m=j+48|0;do{c[j>>2]=c[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));Ny(ha,Y);n=+h[ha>>3];p=+h[y>>3];o=+h[z>>3];k=+h[A>>3];if((c[w>>2]|0)>0){v=0;do{if((v|0)>0){g=(c[x>>2]|0)+(v*48|0)|0;j=$;l=g;m=j+48|0;do{c[j>>2]=c[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));j=Y;l=g;m=j+48|0;do{c[j>>2]=c[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));Ny(ia,Y);r=+h[ia>>3];s=+h[B>>3];t=+h[C>>3];u=+h[D>>3];n=n<r?n:r;p=p<s?p:s;o=o>t?o:t;k=k>u?k:u}g=c[E>>2]|0;if(g){m=c[$>>2]|0;c[X>>2]=c[L>>2];c[X+4>>2]=c[L+4>>2];c[X+8>>2]=c[L+8>>2];c[X+12>>2]=c[L+12>>2];c[Y>>2]=c[m>>2];c[Y+4>>2]=c[m+4>>2];c[Y+8>>2]=c[m+8>>2];c[Y+12>>2]=c[m+12>>2];Zx(P,X,Y,1.0,g);r=+h[P>>3];s=+h[M>>3];t=+h[N>>3];u=+h[O>>3];n=n<r?n:r;p=p<s?p:s;o=o>t?o:t;k=k>u?k:u}g=c[F>>2]|0;if(g){m=(c[$>>2]|0)+((c[H>>2]|0)+-1<<4)|0;c[X>>2]=c[G>>2];c[X+4>>2]=c[G+4>>2];c[X+8>>2]=c[G+8>>2];c[X+12>>2]=c[G+12>>2];c[Y>>2]=c[m>>2];c[Y+4>>2]=c[m+4>>2];c[Y+8>>2]=c[m+8>>2];c[Y+12>>2]=c[m+12>>2];Zx(Q,X,Y,1.0,g);r=+h[Q>>3];s=+h[I>>3];t=+h[J>>3];u=+h[K>>3];n=n<r?n:r;p=p<s?p:s;o=o>t?o:t;k=k>u?k:u}v=v+1|0}while((v|0)<(c[w>>2]|0))}h[x+8>>3]=n;h[x+16>>3]=p;h[x+24>>3]=o;h[x+32>>3]=k}f=ct(d,f)|0}while((f|0)!=0);e=hu(d,e)|0;if(!e)break b}Na(141411,140842,3994,141425)}while(0);c[b+168>>2]=d;f=b+293|0;a[f>>0]=0;e=Qs(d,147414)|0;if((e|0)!=0?(c[R>>2]=Y,c[R+4>>2]=X,S=EO(e,147421,R)|0,(S|0)>0):0){u=+h[Y>>3]*72.0;e=b+208|0;h[e>>3]=u;h[b+200>>3]=u;if((S|0)>1)h[e>>3]=+h[X>>3]*72.0;a[f>>0]=1}f=b+292|0;a[f>>0]=0;e=Qs(d,141441)|0;if((e|0)!=0?(c[T>>2]=Y,c[T+4>>2]=X,U=EO(e,147421,T)|0,(U|0)>0):0){u=+h[Y>>3]*72.0;e=b+224|0;h[e>>3]=u;h[b+216>>3]=u;if((U|0)>1)h[e>>3]=+h[X>>3]*72.0;a[f>>0]=1}e=b+294|0;a[e>>0]=0;f=b+232|0;U=(c[(c[Z>>2]|0)+8>>2]|0)+48|0;c[f>>2]=c[U>>2];c[f+4>>2]=c[U+4>>2];c[f+8>>2]=c[U+8>>2];c[f+12>>2]=c[U+12>>2];f=c[(c[Z>>2]|0)+8>>2]|0;if(+h[f+48>>3]>.001?+h[f+56>>3]>.001:0)a[e>>0]=1;c[b+288>>2]=(a[f+81>>0]|0)==0?0:90;e=b+196|0;c[e>>2]=141445;f=Qs(d,141448)|0;if((f|0)!=0?(a[f>>0]|0)!=0:0)c[e>>2]=f;j=b+256|0;e=(c[Z>>2]|0)+16|0;c[j>>2]=c[e>>2];c[j+4>>2]=c[e+4>>2];c[j+8>>2]=c[e+8>>2];c[j+12>>2]=c[e+12>>2];c[j+16>>2]=c[e+16>>2];c[j+20>>2]=c[e+20>>2];c[j+24>>2]=c[e+24>>2];c[j+28>>2]=c[e+28>>2];c[13895]=Is(d,0,142707,0)|0;c[13896]=Is(d,0,142698,0)|0;c[b+320>>2]=pC(0,c[13913]|0,149055)|0;h[b+328>>3]=+mC(0,c[13912]|0,14.0,1.0);c[b+336>>2]=55468;c[b+188>>2]=Ft(d)|0;j=b+304|0;e=c[j>>2]|0;if(e){fQ(e);c[j>>2]=0}v=b+308|0;e=c[v>>2]|0;if(e){fQ(e);c[v>>2]=0}w=b+316|0;e=c[w>>2]|0;if(e){fQ(e);c[w>>2]=0}e=Qs(d,141456)|0;if(e){g=Qs(d,141463)|0;m=b+296|0;c[m>>2]=(g|0)==0?141472:g;g=Qs(d,141476)|0;f=b+300|0;g=(g|0)==0?141489:g;c[f>>2]=g;g=iP(c[m>>2]|0,g)|0;if(g){c[V>>2]=a[g>>0];us(0,141491,V)|0;c[f>>2]=181739}e=dP(e)|0;c[j>>2]=e;e=mP(e,c[m>>2]|0)|0;if(e){f=0;j=0;l=e;while(1){e=f+1|0;if((f|0)<(j|0))g=c[v>>2]|0;else{j=j+128|0;g=c[v>>2]|0;if(!g)g=zz(j<<2)|0;else g=Bz(g,j<<2)|0;c[v>>2]=g}c[g+(e<<2)>>2]=l;l=mP(0,c[m>>2]|0)|0;if(!l)break;else f=e}if(e){V=Bz(c[v>>2]|0,(e<<2)+8|0)|0;c[v>>2]=V;c[V>>2]=0;c[(c[v>>2]|0)+(f+2<<2)>>2]=0}else e=0}else e=0;m=b+312|0;c[m>>2]=e;l=Qs(d,141592)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){e=zz((c[m>>2]<<2)+8|0)|0;f=c[m>>2]|0;do if((f|0)<1)ja=68;else{g=0;j=1;while(1){if((Ly(b,j,f,l)|0)<<24>>24){g=g+1|0;c[e+(g<<2)>>2]=j}f=c[m>>2]|0;if((j|0)>=(f|0)){f=g;break}else j=j+1|0}if(!f){ja=68;break}c[e>>2]=f;c[e+(f+1<<2)>>2]=(c[m>>2]|0)+1}while(0);if((ja|0)==68){c[W>>2]=l;us(0,141604,W)|0;fQ(e);e=0}c[w>>2]=e}}else{c[v>>2]=0;c[b+312>>2]=1}zy(1);e=Ew(b)|0;d:do if(e){F=b+56|0;G=b+184|0;H=b+192|0;I=d+60|0;J=b+28|0;E=e;e:while(1){e=c[F>>2]|0;if(!e){c[E+20>>2]=0;e=0}else{c[E+20>>2]=c[e+8>>2];e=c[e+12>>2]|0}c[E+24>>2]=e;c[E+12>>2]=b;c[E+28>>2]=c[G>>2];c[E+620>>2]=61600;c[E+624>>2]=c[15428];if(!(c[(c[Z>>2]|0)+8>>2]|0)){ja=77;break}e=E+52|0;W=hE(E,c[e>>2]|0)|0;g=E+56|0;c[g>>2]=W;switch(W|0){case 999:{ja=80;break e}case 21:{ja=E+152|0;c[ja>>2]=c[ja>>2]|1;break}case 24:{ja=E+152|0;c[ja>>2]=c[ja>>2]|520;break}default:{f=Qs(d,141758)|0;f:do if(!f)ja=88;else switch(a[f>>0]|0){case 110:if(!(aP(f+1|0,141770)|0)){f=1;break f}else{ja=88;break f}case 101:if(!(aP(f+1|0,141780)|0)){f=16;break f}else{ja=88;break f}default:{ja=88;break f}}while(0);if((ja|0)==88)f=0;ja=E+152|0;c[ja>>2]=c[ja>>2]|f}}f=c[H>>2]|0;g:do if(!f){c[13870]=0;ja=97}else{do if(c[f+152>>2]&32){if(aP(c[e>>2]|0,c[f+52>>2]|0)|0)break;e=c[13870]|0;if(!e){ja=97;break g}c[e+8>>2]=E;c[E+36>>2]=c[(c[13870]|0)+36>>2];ja=99;break g}while(0);jE(f);c[H>>2]=0;c[J>>2]=0;c[13870]=0;ja=97}while(0);do if((ja|0)==97){ja=0;if(iE(E)|0)break;c[H>>2]=E;ja=99}while(0);if((ja|0)==99){ja=0;c[E+8>>2]=0;c[E+104>>2]=61716;f=c[E>>2]|0;do if(!(a[f+292>>0]|0))if((c[g>>2]|0)==300){u=+h[(c[E+68>>2]|0)+8>>3];h[E+248>>3]=u;h[E+240>>3]=u;break}else{h[E+248>>3]=4.0;h[E+240>>3]=4.0;break}else{W=E+240|0;V=f+216|0;c[W>>2]=c[V>>2];c[W+4>>2]=c[V+4>>2];c[W+8>>2]=c[V+8>>2];c[W+12>>2]=c[V+12>>2]}while(0);h:do if(!(a[f+293>>0]|0))switch(c[g>>2]|0){case 300:{W=E+416|0;V=(c[E+84>>2]|0)+8|0;c[W>>2]=c[V>>2];c[W+4>>2]=c[V+4>>2];c[W+8>>2]=c[V+8>>2];c[W+12>>2]=c[V+12>>2];break h}case 30:case 21:case 22:case 4:case 3:case 2:{h[E+424>>3]=36.0;h[E+416>>3]=36.0;break h}default:{W=E+416|0;c[W>>2]=0;c[W+4>>2]=0;c[W+8>>2]=0;c[W+12>>2]=0;break h}}else{W=E+416|0;V=f+200|0;c[W>>2]=c[V>>2];c[W+4>>2]=c[V+4>>2];c[W+8>>2]=c[V+8>>2];c[W+12>>2]=c[V+12>>2]}while(0);e=c[f+192>>2]|0;k=+h[(c[(c[Z>>2]|0)+8>>2]|0)+24>>3];i:do if(!(k!=0.0)){do if(e){if(!(a[e+128>>0]|0))break;W=E+432|0;V=e+112|0;c[W>>2]=c[V>>2];c[W+4>>2]=c[V+4>>2];c[W+8>>2]=c[V+8>>2];c[W+12>>2]=c[V+12>>2];break i}while(0);e=E+432|0;if((c[g>>2]|0)==300){W=(c[E+84>>2]|0)+40|0;c[e>>2]=c[W>>2];c[e+4>>2]=c[W+4>>2];c[e+8>>2]=c[W+8>>2];c[e+12>>2]=c[W+12>>2];break}else{h[E+440>>3]=96.0;h[e>>3]=96.0;break}}else{h[E+440>>3]=k;h[E+432>>3]=k}while(0);r=+h[f+272>>3];t=+h[f+280>>3];s=+h[f+256>>3];u=+h[f+264>>3];q=+h[E+240>>3];k=s-q;h[E+208>>3]=k;n=+h[E+248>>3];p=u-n;h[E+216>>3]=p;q=r+q;h[E+224>>3]=q;n=t+n;h[E+232>>3]=n;k=q-k;p=n-p;h[$>>3]=1.0;e=c[(c[Z>>2]|0)+8>>2]|0;n=+h[e+64>>3];do if(n>.001){o=+h[e+72>>3];if(!(o>.001)){q=1.0;n=k;o=p;break}k=k==0.0?n:k;p=p==0.0?o:p;if(!(n<k|o<p)?!(o>p&(n>k&(a[e+80>>0]|0)!=0)):0){q=1.0;n=k;o=p;break}n=n/k;q=o/p;q=n<q?n:q;h[$>>3]=q;n=k;o=p}else{q=1.0;n=k;o=p}while(0);p=(r+s)*.5;h[ha>>3]=p;k=(t+u)*.5;h[ia>>3]=k;D=E+360|0;c[D>>2]=c[f+288>>2];n=q*n;h[Y>>3]=n;o=q*o;h[X>>3]=o;e=Qs(d,141790)|0;if(e){f=eQ((eP(e)|0)+1|0)|0;g=eQ((eP(e)|0)+1|0)|0;c[ca>>2]=Y;c[ca+4>>2]=X;c[ca+8>>2]=$;c[ca+12>>2]=f;do if((EO(e,141799,ca)|0)==4){e=mu(c[I>>2]|0,f,0)|0;if(!e)break;W=c[e+16>>2]|0;h[ha>>3]=+h[W+16>>3];h[ia>>3]=+h[W+24>>3]}else{c[da>>2]=Y;c[da+4>>2]=X;c[da+8>>2]=$;c[da+12>>2]=f;c[da+16>>2]=g;if((EO(e,141819,da)|0)!=4){c[ea>>2]=Y;c[ea+4>>2]=X;c[ea+8>>2]=$;c[ea+12>>2]=ha;c[ea+16>>2]=ia;EO(e,141839,ea)|0;break}e=mu(c[I>>2]|0,f,0)|0;if(!e)break;W=c[e+16>>2]|0;h[ha>>3]=+h[W+16>>3];h[ia>>3]=+h[W+24>>3]}while(0);fQ(f);fQ(g);n=+h[Y>>3];o=+h[X>>3];q=+h[$>>3];p=+h[ha>>3];k=+h[ia>>3]}V=E+368|0;h[V>>3]=n;W=E+376|0;h[W>>3]=o;C=E+352|0;h[C>>3]=q;h[E+336>>3]=p;h[E+344>>3]=k;j=c[E>>2]|0;s=+h[V>>3];q=+h[W>>3];W=(c[D>>2]|0)==0;r=W?q:s;q=W?s:q;s=+h[E+416>>3];t=+h[E+424>>3];do if(!(a[j+294>>0]|0))ja=143;else{if(!(c[E+152>>2]&32)){ja=143;break}o=+h[j+232>>3]-s*2.0;p=+h[j+240>>3]-t*2.0;do if(o<.0001){c[E+164>>2]=1;e=1}else{e=~~(q/o);f=E+164|0;c[f>>2]=e;if(!(q-o*+(e|0)>.0001))break;e=e+1|0;c[f>>2]=e}while(0);do if(p<.0001){c[E+168>>2]=1;f=1}else{f=~~(r/p);g=E+168|0;c[g>>2]=f;if(!(r-p*+(f|0)>.0001))break;f=f+1|0;c[g>>2]=f}while(0);c[E+204>>2]=_(f,e)|0;k=o;n=p;q=q<o?q:o;r=r<p?r:p}while(0);do if((ja|0)==143){ja=0;do if(!(c[E+68>>2]|0)){k=0.0;n=0.0}else{W=c[E+84>>2]|0;k=+h[W+24>>3]-s*2.0;k=k<0.0?0.0:k;n=+h[W+32>>3]-t*2.0;if(!(n<0.0))break;n=0.0}while(0);c[E+204>>2]=1;c[E+168>>2]=1;c[E+164>>2]=1;k=k<q?q:k;if(!(n<r)){f=1;e=1;break}n=r;f=1;e=1}while(0);A=E+432|0;u=(s*2.0+k)*+h[A>>3]/72.0;c[E+448>>2]=~~(u+(u>=0.0?.5:-.5));B=E+440|0;u=(t*2.0+n)*+h[B>>3]/72.0;c[E+452>>2]=~~(u+(u>=0.0?.5:-.5));y=E+188|0;z=E+180|0;l=E+176|0;m=E+172|0;v=j+196|0;c[m>>2]=0;c[m+4>>2]=0;c[m+8>>2]=0;c[m+12>>2]=0;c[m+16>>2]=0;c[m+20>>2]=0;switch(a[c[v>>2]>>0]|0){case 84:{c[l>>2]=f+-1;w=0;g=0;j=0;x=-1;break}case 66:{w=0;g=0;j=0;x=1;break}case 76:{w=1;g=0;j=0;x=0;break}case 82:{c[m>>2]=e+-1;w=-1;g=0;j=0;x=0;break}default:{w=0;g=0;j=0;x=0}}W=z;c[W>>2]=w|g;c[W+4>>2]=j|x;switch(a[(c[v>>2]|0)+1>>0]|0){case 84:{c[l>>2]=f+-1;e=0;f=0;g=0;j=-1;break}case 66:{e=0;f=0;g=0;j=1;break}case 76:{e=1;f=0;g=0;j=0;break}case 82:{c[m>>2]=e+-1;e=-1;f=0;g=0;j=0;break}default:{e=0;f=0;g=0;j=0}}W=y;c[W>>2]=e|f;c[W+4>>2]=g|j;W=e+w|0;if(!((((W|0)>-1?W:0-W|0)|0)==1?(W=j+x|0,(((W|0)>-1?W:0-W|0)|0)==1):0)){W=z;c[W>>2]=0;c[W+4>>2]=1;W=y;c[W>>2]=1;c[W+4>>2]=0;c[fa>>2]=c[v>>2];us(0,141859,fa)|0}do if(!(a[(c[(c[Z>>2]|0)+8>>2]|0)+82>>0]|0)){k=0.0;n=0.0}else{k=k>q?(k-q)*.5:0.0;if(!(n>r)){n=0.0;break}n=(n-r)*.5}while(0);W=(c[D>>2]|0)==0;p=W?r:q;o=W?q:r;u=(W?s:t)+(W?k:n);h[E+384>>3]=u;q=(W?t:s)+(W?n:k);h[E+392>>3]=q;r=o+u;h[E+400>>3]=r;t=p+q;h[E+408>>3]=t;s=+h[C>>3];h[E+320>>3]=o/s;h[E+328>>3]=p/s;s=+h[A>>3];u=u*s/72.0;l=~~(u+(u>=0.0?.5:-.5));m=E+456|0;c[m>>2]=l;u=+h[B>>3];q=q*u/72.0;e=~~(q+(q>=0.0?.5:-.5));c[E+460>>2]=e;s=r*s/72.0;f=~~(s+(s>=0.0?.5:-.5));g=E+464|0;c[g>>2]=f;u=t*u/72.0;j=~~(u+(u>=0.0?.5:-.5));c[E+468>>2]=j;if(!W){W=m;c[W>>2]=e;c[W+4>>2]=l;W=g;c[W>>2]=j;c[W+4>>2]=f}if(!(c[E+152>>2]&128))uy(E,d);c[13870]=E}E=Fw(b)|0;if(!E)break d}if((ja|0)==77){us(1,141705,aa)|0;zy(0);if(!(a[142275]|0)){e=-1;break a}e=c[24809]|0;la=Ft(d)|0;u=+gC();c[ba>>2]=la;h[ba+8>>3]=u;pO(e,141382,ba)|0;e=-1;break a}else if((ja|0)==80){c[ka>>2]=c[e>>2];us(1,141726,ka)|0;zy(0);if(!(a[142275]|0)){e=-1;break a}e=c[24809]|0;ka=Ft(d)|0;u=+gC();c[la>>2]=ka;h[la+8>>3]=u;pO(e,141382,la)|0;e=-1;break a}}while(0);zy(0);if(!(a[142275]|0))e=0;else{e=c[24809]|0;la=Ft(d)|0;u=+gC();c[ga>>2]=la;h[ga+8>>3]=u;pO(e,141382,ga)|0;e=0}}else ja=5;while(0);if((ja|0)==5){us(1,141334,e)|0;if(!(a[142275]|0))e=-1;else{e=c[24809]|0;la=Ft(d)|0;u=+gC();c[f>>2]=la;h[f+8>>3]=u;pO(e,141382,f)|0;e=-1}}i=ma;return e|0}function By(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+144|0;h=j;g=j+8|0;e=c[b+160>>2]|0;if((e|0)>1?(c[b+152>>2]&64|0)!=0:0){As(d,c[(c[(c[b>>2]|0)+308>>2]|0)+(e<<2)>>2]|0)|0;f=d+4|0;e=c[f>>2]|0;if(e>>>0>=(c[d+8>>2]|0)>>>0){ys(d,1)|0;e=c[f>>2]|0}c[f>>2]=e+1;a[e>>0]=95}f=c[b+196>>2]|0;e=c[b+200>>2]|0;if((f|0)>0|(e|0)>0){c[h>>2]=f;c[h+4>>2]=e;DO(g,142264,h)|0;As(d,g)|0}i=j;return}function Cy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,h=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;v=i;i=i+16|0;r=v+8|0;q=v;p=v+12|0;u=yz(12)|0;h=dP(b)|0;a:do if(!d){d=1;f=h;while(1){switch(a[f>>0]|0){case 0:break a;case 58:{d=d+1|0;break}default:{}}f=f+1|0}}while(0);o=u+4|0;c[o>>2]=h;t=yz((d*12|0)+12|0)|0;l=u+8|0;c[l>>2]=t;d=mP(h,151135)|0;b:do if(d){h=0;k=d;j=1.0;d=0;while(1){f=_O(k,59)|0;if(f){w=f+1|0;a[f>>0]=0;m=+QO(w,p);if(m>=0.0?(c[p>>2]|0)==(w|0):1){s=19;break}}else m=0.0;n=m-j;if(n>0.0)if((c[13873]|0)!=0?!(n<1.0e-05&n>-1.0e-05):0){c[q>>2]=b;us(0,142183,q)|0;c[13873]=0;d=3;m=j}else m=j;j=j-m;if(m>0.0)a[t+(h*12|0)+8>>0]=1;if(a[k>>0]|0)c[t+(h*12|0)>>2]=k;f=h+1|0;g[t+(h*12|0)+4>>2]=m;if(j<1.0e-05&j>-1.0e-05){s=33;break b}k=mP(0,151135)|0;if(!k)break;else h=f}if((s|0)==19){if(!(c[13873]|0))d=1;else{c[r>>2]=b;us(1,142218,r)|0;c[13873]=0;d=2}fQ(c[o>>2]|0);fQ(c[l>>2]|0);fQ(u);break}if(j>0.0){l=(h|0)>-1;if(l){h=0;k=0;do{h=(+g[t+(k*12|0)+4>>2]==0.0&1)+h|0;k=k+1|0}while((k|0)!=(f|0));if((h|0)>0)if(l){j=j/+(h|0);k=0;do{h=t+(k*12|0)+4|0;if(+g[h>>2]==0.0)g[h>>2]=j;k=k+1|0}while((k|0)!=(f|0));s=33}else s=33;else s=32}else s=32}else s=33}else{f=0;j=1.0;d=0;s=32}while(0);if((s|0)==32){w=t+((f+-1|0)*12|0)+4|0;g[w>>2]=j+ +g[w>>2];s=33}if((s|0)==33){while(1){h=f+-1|0;if((f|0)<=0)break;if(+g[t+(h*12|0)+4>>2]>0.0)break;else f=h}c[t+(f*12|0)>>2]=0;c[u>>2]=f;c[e>>2]=u}i=v;return d|0}function Dy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0;g=+h[b>>3];e=+h[b+8>>3];if((c|0)>1){m=e;f=e;j=g;e=g;l=1;while(1){i=b;b=b+24|0;g=+h[b>>3];if(!(g<j))if(g>e){k=g;g=j}else{k=e;g=j}else k=e;e=+h[i+32>>3];if(!(e<m))if(e>f){f=e;e=m}else e=m;l=l+1|0;if((l|0)==(c|0)){o=f;n=e;m=g;break}else{m=e;j=g;e=k}}}else{o=e;k=g;n=e;m=g}l=d+16|0;e=+h[l>>3];if(m>e){h[l>>3]=m;e=m}f=+h[d>>3];if(m<f){h[d>>3]=m;f=m}i=d+24|0;g=+h[i>>3];if(n>g){h[i>>3]=n;g=n}b=d+8|0;j=+h[b>>3];if(n<j){h[b>>3]=n;j=n}if(k>e)h[l>>3]=k;if(k<f)h[d>>3]=k;if(o>g)h[i>>3]=o;if(o<j)h[b>>3]=o;h[a>>3]=m;h[a+8>>3]=n;h[a+16>>3]=k;h[a+24>>3]=o;return}function Ey(a){a=a|0;if((c[a>>2]|0)==7)oz(c[a+112>>2]|0,1);return}function Fy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+144|0;l=m;f=Qs(e,182255)|0;h=Qs(e,182301)|0;k=Qs(e,182288)|0;xs(l,128,m+16|0);if(!d)j=0;else j=c[d>>2]|0;if(!((f|0)!=0?(a[f>>0]|0)!=0:0))f=Qs(e,152528)|0;g=oy(b,e,l)|0;if(!h)d=0;else d=Qy(h,e)|0;ny(b,j,f,d,k,g,e)|0;fQ(d);Bs(l);i=m;return}function Gy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;g=d+16|0;d=c[g>>2]|0;if((c[d+180>>2]|0)>=1){f=1;while(1){e=c[(c[d+184>>2]|0)+(f<<2)>>2]|0;Gy(b,e);d=Qs(e,182028)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0)GE(b,d);d=Qs(e,178771)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0)GE(b,d);d=Qs(e,182177)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0)GE(b,d);d=Qs(e,142653)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0)HE(b,d);d=Qs(e,142681)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0)GE(b,d);d=c[g>>2]|0;if((f|0)>=(c[d+180>>2]|0))break;else f=f+1|0}}return}function Hy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;b=Qs(b,182282)|0;a:do if((b|0)!=0?(a[b>>0]|0)!=0:0){yy(b)|0;b=c[13787]|0;if(!b){b=0;e=55148}else{f=0;e=55148;while(1){while(1){if(!(aP(b,152118)|0)){b=9;break}if(!(aP(b,147216)|0)){b=12;break}if(!(aP(b,147223)|0)){b=15;break}if(!(aP(b,147198)|0)){b=18;break}e=e+4|0;b=c[e>>2]|0;if(!b){b=f;e=55148;break a}}if((b|0)==9){f=f|1;e=e+4|0}else if((b|0)==12){b=e;do{h=b;b=b+4|0;g=c[b>>2]|0;c[h>>2]=g}while((g|0)!=0);f=f|3}else if((b|0)==15){b=e;do{g=b;b=b+4|0;h=c[b>>2]|0;c[g>>2]=h}while((h|0)!=0);f=f|64}else if((b|0)==18){b=e;do{g=b;b=b+4|0;h=c[b>>2]|0;c[g>>2]=h}while((h|0)!=0);f=f|4}b=c[e>>2]|0;if(!b){b=f;e=55148;break}}}}else{b=0;e=0}while(0);c[d>>2]=b;return e|0}function Iy(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[b>>2]|0;if((f|0)<(e|0)){f=f<<1;f=(f|0)>(e|0)?f:e;a=Bz(a,f<<4)|0;c[b>>2]=f}if((e|0)>0){f=0;do{h[a+(f<<4)>>3]=+h[d+(f*24|0)>>3];h[a+(f<<4)+8>>3]=+h[d+(f*24|0)+8>>3];f=f+1|0}while((f|0)!=(e|0))}return a|0}function Jy(d,f){d=d|0;f=f|0;var g=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0;g=c[d>>2]|0;z=f+16|0;a:do if(((((c[(c[z>>2]|0)+8>>2]|0)!=0?(My(d,xu(f)|0,f)|0)<<24>>24!=0:0)?(i=d+256|0,a[k>>0]=a[i>>0],a[k+1>>0]=a[i+1>>0],a[k+2>>0]=a[i+2>>0],a[k+3>>0]=a[i+3>>0],a[k+4>>0]=a[i+4>>0],a[k+5>>0]=a[i+5>>0],a[k+6>>0]=a[i+6>>0],a[k+7>>0]=a[i+7>>0],w=+h[k>>3],i=c[z>>2]|0,y=i+64|0,a[k>>0]=a[y>>0],a[k+1>>0]=a[y+1>>0],a[k+2>>0]=a[y+2>>0],a[k+3>>0]=a[y+3>>0],a[k+4>>0]=a[y+4>>0],a[k+5>>0]=a[y+5>>0],a[k+6>>0]=a[y+6>>0],a[k+7>>0]=a[y+7>>0],+h[k>>3]>=w):0)?(y=i+56|0,a[k>>0]=a[y>>0],a[k+1>>0]=a[y+1>>0],a[k+2>>0]=a[y+2>>0],a[k+3>>0]=a[y+3>>0],a[k+4>>0]=a[y+4>>0],a[k+5>>0]=a[y+5>>0],a[k+6>>0]=a[y+6>>0],a[k+7>>0]=a[y+7>>0],p=+h[k>>3],y=d+280|0,a[k>>0]=a[y>>0],a[k+1>>0]=a[y+1>>0],a[k+2>>0]=a[y+2>>0],a[k+3>>0]=a[y+3>>0],a[k+4>>0]=a[y+4>>0],a[k+5>>0]=a[y+5>>0],a[k+6>>0]=a[y+6>>0],a[k+7>>0]=a[y+7>>0],o=+h[k>>3],y=i+72|0,a[k>>0]=a[y>>0],a[k+1>>0]=a[y+1>>0],a[k+2>>0]=a[y+2>>0],a[k+3>>0]=a[y+3>>0],a[k+4>>0]=a[y+4>>0],a[k+5>>0]=a[y+5>>0],a[k+6>>0]=a[y+6>>0],a[k+7>>0]=a[y+7>>0],q=+h[k>>3],y=d+272|0,a[k>>0]=a[y>>0],a[k+1>>0]=a[y+1>>0],a[k+2>>0]=a[y+2>>0],a[k+3>>0]=a[y+3>>0],a[k+4>>0]=a[y+4>>0],a[k+5>>0]=a[y+5>>0],a[k+6>>0]=a[y+6>>0],a[k+7>>0]=a[y+7>>0],w=+h[k>>3],y=d+264|0,a[k>>0]=a[y>>0],a[k+1>>0]=a[y+1>>0],a[k+2>>0]=a[y+2>>0],a[k+3>>0]=a[y+3>>0],a[k+4>>0]=a[y+4>>0],a[k+5>>0]=a[y+5>>0],a[k+6>>0]=a[y+6>>0],a[k+7>>0]=a[y+7>>0],v=+h[k>>3],y=i+48|0,a[k>>0]=a[y>>0],a[k+1>>0]=a[y+1>>0],a[k+2>>0]=a[y+2>>0],a[k+3>>0]=a[y+3>>0],a[k+4>>0]=a[y+4>>0],a[k+5>>0]=a[y+5>>0],a[k+6>>0]=a[y+6>>0],a[k+7>>0]=a[y+7>>0],!(!(o>=p)|(q>=v?!(w>=+h[k>>3]):1))):0)?(j=i+116|0,l=c[g+28>>2]|0,(a[j>>0]|0)!=(l|0)):0){a[j>>0]=l;PE(d,Ft(f)|0);g=oC(f,c[13931]|0,181739)|0;if(a[g>>0]|0)PE(d,g);g=oC(f,c[13919]|0,181739)|0;if((a[g>>0]|0)!=0?(yy(g)|0,m=c[13787]|0,(m|0)!=0):0){g=m;i=55152;while(1){if((a[g>>0]|0)==105?(aP(g,175423)|0)==0:0)break a;g=c[i>>2]|0;if(!g)break;else i=i+4|0}}x=c[d+152>>2]|0;y=ly(d)|0;c[y+4>>2]=2;c[y+8>>2]=f;c[y+12>>2]=8;do if(x&16777216)if((e[(c[(xu(f)|0)+16>>2]|0)+178>>1]|0)>2){w=+h[(c[(c[z>>2]|0)+132>>2]|0)+16>>3]*72.0;h[y+168>>3]=+(~~(w+(w>=0.0?.5:-.5))|0);break}else{h[y+168>>3]=0.0;break}while(0);Fy(d,c[(c[z>>2]|0)+104>>2]|0,f);do if(x&4259840){if((c[y+208>>2]|0)==0?(b[y+260>>1]&1)==0:0)break;l=QA(f)|0;g=c[z>>2]|0;v=+h[g+16>>3];w=+h[g+24>>3];g=pC(f,c[13919]|0,181739)|0;if((a[g>>0]|0)!=0?(yy(g)|0,r=c[13787]|0,(r|0)!=0):0){i=r;j=55148;g=0;do{u=(aP(i,152118)|0)==0;g=u?1:g;j=j+4|0;i=c[j>>2]|0}while((i|0)!=0)}else g=0;b:do if((l&-3|0)==1){s=c[(c[z>>2]|0)+12>>2]|0;m=s+8|0;i=c[m>>2]|0;if((((i|0)==4?(q=+h[s+16>>3],((~~(q+(q>=0.0?.5:-.5))|0)%90|0|0)==0):0)?+h[s+24>>3]==0.0:0)?+h[s+32>>3]==0.0:0)j=(c[s+4>>2]|g|0)!=0;else j=0;if(!((x&524288|0)==0|((s|0)==0|j))){i=(i|0)<3?1:i;l=s+4|0;r=c[l>>2]|0;r=(r|0)>1?r:1;t=c[s+44>>2]|0;j=Qs(f,143776)|0;if(!j)j=0;else j=NO(j)|0;u=(j+-4|0)>>>0>56?20:j;if(!(c[l>>2]|g)){c[y+264>>2]=0;g=yz(32)|0;i=c[z>>2]|0;p=+h[i+88>>3];h[g>>3]=v-p;q=+h[i+80>>3]*.5;h[g+8>>3]=w-q;h[g+16>>3]=v+p;h[g+24>>3]=w+q;i=2;break}g=c[m>>2]|0;do if((g|0)<3){if(!(+h[s+32>>3]==0.0))break;if(!(+h[s+24>>3]==0.0))break;g=y+264|0;if(c[s>>2]|0){c[g>>2]=1;g=yz(32)|0;h[g>>3]=v;h[g+8>>3]=w;i=(r<<1)+-1|0;h[g+16>>3]=v+ +h[t+(i<<4)>>3];h[g+24>>3]=w+ +h[t+(i<<4)+8>>3];i=2;break b}c[g>>2]=2;g=(r<<1)+-1|0;q=+h[t+(g<<4)>>3];n=+h[t+(g<<4)+8>>3];o=6.283185307179586/+(u|0);g=yz(u<<4)|0;if((u|0)>0){i=0;p=0.0}else{i=u;break b}while(1){h[g+(i<<4)>>3]=q*+Q(+p);h[g+(i<<4)+8>>3]=n*+R(+p);i=i+1|0;if((i|0)==(u|0)){i=0;break}else p=o+p}while(1){t=g+(i<<4)|0;h[t>>3]=v+ +h[t>>3];t=g+(i<<4)+8|0;h[t>>3]=w+ +h[t>>3];i=i+1|0;if((i|0)==(u|0)){i=u;break b}}}while(0);m=_(g,r+-1|0)|0;c[y+264>>2]=2;if((g|0)<(u|0)){g=yz(i<<4)|0;if((i|0)>0)j=0;else break;do{u=j+m|0;h[g+(j<<4)>>3]=v+ +h[t+(u<<4)>>3];h[g+(j<<4)+8>>3]=w+ +h[t+(u<<4)+8>>3];j=j+1|0}while((j|0)!=(i|0))}else{i=(g|0)/(u|0)|0;g=yz(u<<4)|0;if((u|0)>0){j=0;l=0}else{i=u;break}while(1){s=j+m|0;h[g+(l<<4)>>3]=v+ +h[t+(s<<4)>>3];h[g+(l<<4)+8>>3]=w+ +h[t+(s<<4)+8>>3];l=l+1|0;if((l|0)==(u|0)){i=u;break}else j=j+i|0}}}else A=47}else A=47;while(0);if((A|0)==47){c[y+264>>2]=0;g=yz(32)|0;i=c[z>>2]|0;h[g>>3]=v-+h[i+88>>3];q=+h[i+80>>3]*.5;h[g+8>>3]=w-q;h[g+16>>3]=v+ +h[i+96>>3];h[g+24>>3]=w+q;i=2}if(!(x&8192))kE(d,g,g,i)|0;c[y+272>>2]=g;c[y+268>>2]=i}while(0);AF(Qs(f,140911)|0);xE(d,f);Fb[c[(c[(c[(c[z>>2]|0)+8>>2]|0)+4>>2]|0)+20>>2]&63](d,f);g=c[(c[z>>2]|0)+108>>2]|0;if((g|0)!=0?(a[g+81>>0]|0)!=0:0)qz(d,10,g);yE(d);my(d)}while(0);return}function Ky(f,j){f=f|0;j=j|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,P=0,S=0,T=0.0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0;ua=i;i=i+1952|0;ta=ua+1808|0;qa=ua+1008|0;ca=ua+992|0;sa=ua+192|0;ra=ua+144|0;ja=ua+96|0;ka=ua+48|0;ga=ua+1936|0;la=ua;S=qa;N=f+256|0;P=S+32|0;do{a[S>>0]=a[N>>0]|0;S=S+1|0;N=N+1|0}while((S|0)<(P|0));ma=j+16|0;l=c[ma>>2]|0;m=c[l+8>>2]|0;if(((((m|0)!=0?(na=m+16|0,a[k>>0]=a[na>>0],a[k+1>>0]=a[na+1>>0],a[k+2>>0]=a[na+2>>0],a[k+3>>0]=a[na+3>>0],a[k+4>>0]=a[na+4>>0],a[k+5>>0]=a[na+5>>0],a[k+6>>0]=a[na+6>>0],a[k+7>>0]=a[na+7>>0],y=+h[k>>3],na=m+24|0,a[k>>0]=a[na>>0],a[k+1>>0]=a[na+1>>0],a[k+2>>0]=a[na+2>>0],a[k+3>>0]=a[na+3>>0],a[k+4>>0]=a[na+4>>0],a[k+5>>0]=a[na+5>>0],a[k+6>>0]=a[na+6>>0],a[k+7>>0]=a[na+7>>0],fa=+h[k>>3],na=m+32|0,a[k>>0]=a[na>>0],a[k+1>>0]=a[na+1>>0],a[k+2>>0]=a[na+2>>0],a[k+3>>0]=a[na+3>>0],a[k+4>>0]=a[na+4>>0],a[k+5>>0]=a[na+5>>0],a[k+6>>0]=a[na+6>>0],a[k+7>>0]=a[na+7>>0],x=+h[k>>3],fa>=+h[qa>>3]):0)?(na=m+8|0,a[k>>0]=a[na>>0],a[k+1>>0]=a[na+1>>0],a[k+2>>0]=a[na+2>>0],a[k+3>>0]=a[na+3>>0],a[k+4>>0]=a[na+4>>0],a[k+5>>0]=a[na+5>>0],a[k+6>>0]=a[na+6>>0],a[k+7>>0]=a[na+7>>0],+h[qa+16>>3]>=+h[k>>3]):0)?x>=+h[qa+8>>3]:0)?+h[qa+24>>3]>=y:0)na=13;else na=6;do if((na|0)==6){m=c[l+96>>2]|0;if(m){c[ta>>2]=c[qa>>2];c[ta+4>>2]=c[qa+4>>2];c[ta+8>>2]=c[qa+8>>2];c[ta+12>>2]=c[qa+12>>2];c[ta+16>>2]=c[qa+16>>2];c[ta+20>>2]=c[qa+20>>2];c[ta+24>>2]=c[qa+24>>2];c[ta+28>>2]=c[qa+28>>2];if((VC(m,ta)|0)<<24>>24){na=13;break}l=c[ma>>2]|0}l=c[l+108>>2]|0;if(((l|0)!=0?(a[l+81>>0]|0)!=0:0)?(c[ta>>2]=c[qa>>2],c[ta+4>>2]=c[qa+4>>2],c[ta+8>>2]=c[qa+8>>2],c[ta+12>>2]=c[qa+12>>2],c[ta+16>>2]=c[qa+16>>2],c[ta+20>>2]=c[qa+20>>2],c[ta+24>>2]=c[qa+24>>2],c[ta+28>>2]=c[qa+28>>2],(VC(l,ta)|0)<<24>>24!=0):0){na=13;break}}while(0);a:do if((na|0)==13){da=j+-48|0;xu(c[((c[j>>2]&3|0)==2?j:da)+40>>2]|0)|0;o=f+156|0;b:do if((c[o>>2]|0)>=2?(n=oC(j,c[13959]|0,181739)|0,p=f+160|0,(Ly(c[f>>2]|0,c[p>>2]|0,c[o>>2]|0,n)|0)<<24>>24==0):0){if(a[n>>0]|0)break a;l=j+48|0;n=0;while(1){m=c[j>>2]&3;m=oC(c[((n|0)<1?((m|0)==3?j:l):(m|0)==2?j:da)+40>>2]|0,c[13929]|0,181739)|0;if(!(a[m>>0]|0))break b;n=n+1|0;if((Ly(c[f>>2]|0,c[p>>2]|0,c[o>>2]|0,m)|0)<<24>>24)break b;if((n|0)>=2)break a}}while(0);aa=j+48|0;l=eP(Ft(c[((c[j>>2]&3|0)==3?j:aa)+40>>2]|0)|0)|0;l=eQ(l+3+(eP(Ft(c[((c[j>>2]&3|0)==2?j:da)+40>>2]|0)|0)|0)|0)|0;bP(l,Ft(c[((c[j>>2]&3|0)==3?j:aa)+40>>2]|0)|0)|0;ia=(yt(xu(c[((c[j>>2]&3|0)==2?j:da)+40>>2]|0)|0)|0)==0;m=l+(eP(l)|0)|0;if(ia){a[m>>0]=a[181756]|0;a[m+1>>0]=a[181757]|0;a[m+2>>0]=a[181758]|0}else{a[m>>0]=a[178523]|0;a[m+1>>0]=a[178524]|0;a[m+2>>0]=a[178525]|0}ZO(l,Ft(c[((c[j>>2]&3|0)==2?j:da)+40>>2]|0)|0)|0;PE(f,l);fQ(l);l=oC(j,c[13960]|0,181739)|0;if(a[l>>0]|0)PE(f,l);l=oC(j,c[13954]|0,181739)|0;if(a[l>>0]|0){yy(l)|0;l=c[13787]|0;if(!l)ia=55148;else{m=55152;while(1){if((a[l>>0]|0)==105?(aP(l,175423)|0)==0:0)break a;l=c[m>>2]|0;if(!l){ia=55148;break}else m=m+4|0}}}else ia=0;ba=f+152|0;Z=c[ba>>2]|0;_=ly(f)|0;c[_+4>>2]=3;c[_+8>>2]=j;c[_+12>>2]=9;ha=c[(c[ma>>2]|0)+96>>2]|0;if(((ha|0)!=0?(a[ha+82>>0]|0)==0:0)?(BC(Qs(j,141945)|0,0)|0)<<24>>24!=0:0){ha=_+260|0;b[ha>>1]=b[ha>>1]|512}ha=(ia|0)==0;if(!ha?(c[(c[ma>>2]|0)+8>>2]|0)!=0:0)JE(f,ia);l=c[13975]|0;if(((l|0)!=0?(q=Rs(j,l)|0,(q|0)!=0):0)?(a[q>>0]|0)!=0:0)RE(f,+mC(j,c[13975]|0,1.0,0.0));do if(Z&16777216)if((e[(c[(xu(c[((c[j>>2]&3|0)==3?j:aa)+40>>2]|0)|0)+16>>2]|0)+178>>1]|0)>2){fa=+h[(c[(c[(c[((c[j>>2]&3|0)==3?j:aa)+40>>2]|0)+16>>2]|0)+132>>2]|0)+16>>3]*72.0;h[_+176>>3]=+(~~(fa+(fa>=0.0?.5:-.5))|0);fa=+h[(c[(c[(c[((c[j>>2]&3|0)==2?j:da)+40>>2]|0)+16>>2]|0)+132>>2]|0)+16>>3]*72.0;h[_+184>>3]=+(~~(fa+(fa>=0.0?.5:-.5))|0);break}else{Y=_+176|0;c[Y>>2]=0;c[Y+4>>2]=0;c[Y+8>>2]=0;c[Y+12>>2]=0;break}while(0);if(Z&32768){o=c[ma>>2]|0;l=c[o+96>>2]|0;if(!l)l=c[_+192>>2]|0;else{l=c[l>>2]|0;c[_+192>>2]=l}m=_+196|0;c[m>>2]=l;p=_+204|0;c[p>>2]=l;n=_+200|0;c[n>>2]=l;l=c[o+108>>2]|0;if(l)c[m>>2]=c[l>>2];l=c[o+104>>2]|0;if(l)c[n>>2]=c[l>>2];l=c[o+100>>2]|0;if(l)c[p>>2]=c[l>>2]}if(!(Z&65536))n=0;else{xs(ra,128,ta);c[_+212>>2]=rz(oy(f,j,ra)|0,j)|0;Bs(ra);l=Qs(j,182255)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)na=60;else{l=Qs(j,152528)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)na=60;else m=0}if((na|0)==60)m=rz(l,j)|0;l=Qs(j,141958)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)na=65;else na=63;do if((na|0)==63){l=Qs(j,141967)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){na=65;break}if(m)c[_+208>>2]=dP(m)|0}while(0);if((na|0)==65)c[_+208>>2]=rz(l,j)|0;l=Qs(j,141975)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)na=72;else na=70;do if((na|0)==70){l=Qs(j,141985)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){na=72;break}if(m)c[_+216>>2]=dP(m)|0}while(0);if((na|0)==72)c[_+216>>2]=rz(l,j)|0;l=Qs(j,141994)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)na=79;else na=77;do if((na|0)==77){l=Qs(j,142003)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){na=79;break}if(m)c[_+220>>2]=dP(m)|0}while(0);if((na|0)==79){c[_+220>>2]=rz(l,j)|0;na=_+260|0;b[na>>1]=b[na>>1]|128}l=Qs(j,142011)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)na=86;else na=84;do if((na|0)==84){l=Qs(j,142020)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){na=86;break}if(!m)break;c[_+224>>2]=dP(m)|0}while(0);if((na|0)==86){c[_+224>>2]=rz(l,j)|0;Y=_+260|0;b[Y>>1]=b[Y>>1]|256}n=m}c:do if(Z&8388608){l=Qs(j,182288)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)m=rz(l,j)|0;else m=0;l=Qs(j,142028)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){Y=_+260|0;b[Y>>1]=b[Y>>1]|64;c[_+244>>2]=rz(l,j)|0}else na=97;if((na|0)==97?(m|0)!=0:0)c[_+244>>2]=dP(m)|0;l=Qs(j,142039)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)c[_+248>>2]=rz(l,j)|0;else na=102;if((na|0)==102?(m|0)!=0:0)c[_+248>>2]=dP(m)|0;l=Qs(j,142051)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){c[_+252>>2]=rz(l,j)|0;Y=_+260|0;b[Y>>1]=b[Y>>1]|16}else na=107;if((na|0)==107?(m|0)!=0:0)c[_+252>>2]=dP(m)|0;l=Qs(j,142062)|0;do if(l){if(!(a[l>>0]|0))break;Y=_+260|0;b[Y>>1]=b[Y>>1]|32;c[_+256>>2]=rz(l,j)|0;break c}while(0);if(m)c[_+256>>2]=dP(m)|0;else m=0}else m=0;while(0);d:do if(Z&4194304){l=Qs(j,182301)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0)na=119;else na=117;do if((na|0)==117){l=Qs(j,142073)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){na=119;break}l=c[_+192>>2]|0;if(l)c[_+228>>2]=dP(l)|0}while(0);if((na|0)==119){Y=Qy(l,j)|0;c[_+228>>2]=rz(Y,j)|0;fQ(Y);Y=_+260|0;b[Y>>1]=b[Y>>1]|1}l=Qs(j,142085)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){Y=Qy(l,j)|0;c[_+232>>2]=rz(Y,j)|0;fQ(Y);Y=_+260|0;b[Y>>1]=b[Y>>1]|8}else na=125;if((na|0)==125?(r=c[_+192>>2]|0,(r|0)!=0):0)c[_+232>>2]=dP(r)|0;l=Qs(j,142098)|0;if((l|0)!=0?(a[l>>0]|0)!=0:0){Y=Qy(l,j)|0;c[_+236>>2]=rz(Y,j)|0;fQ(Y);Y=_+260|0;b[Y>>1]=b[Y>>1]|2}else na=130;if((na|0)==130?(s=c[_+200>>2]|0,(s|0)!=0):0)c[_+236>>2]=dP(s)|0;l=Qs(j,142110)|0;do if(l){if(!(a[l>>0]|0))break;Y=Qy(l,j)|0;c[_+240>>2]=rz(Y,j)|0;fQ(Y);Y=_+260|0;b[Y>>1]=b[Y>>1]|4;break d}while(0);l=c[_+204>>2]|0;if(l)c[_+240>>2]=dP(l)|0}while(0);fQ(n);fQ(m);do if((Z&4259840|0)!=0?($=c[(c[ma>>2]|0)+8>>2]|0,($|0)!=0):0){if(!(c[_+208>>2]|0)){if((Z&524288|0)==0|(c[_+228>>2]|0)==0)break}else if(!(Z&524288))break;F=+h[(c[f+16>>2]|0)+152>>3]*.5;F=F>2.0?F:2.0;S=c[$+4>>2]|0;if((S|0)>0){U=ta+16|0;V=ta+32|0;X=ta+48|0;o=0;p=0;q=0;Y=0;do{m=c[$>>2]|0;l=zz(24)|0;c[l+16>>2]=1;P=(c[m+(Y*48|0)+4>>2]|0)+-1|0;s=(P|0)/3|0;if((P|0)>2){m=m+(Y*48|0)|0;n=0;r=l;do{P=n*3|0;N=c[m>>2]|0;G=N+(P<<4)|0;c[ta>>2]=c[G>>2];c[ta+4>>2]=c[G+4>>2];c[ta+8>>2]=c[G+8>>2];c[ta+12>>2]=c[G+12>>2];G=N+(P+1<<4)|0;c[U>>2]=c[G>>2];c[U+4>>2]=c[G+4>>2];c[U+8>>2]=c[G+8>>2];c[U+12>>2]=c[G+12>>2];G=N+(P+2<<4)|0;c[V>>2]=c[G>>2];c[V+4>>2]=c[G+4>>2];c[V+8>>2]=c[G+8>>2];c[V+12>>2]=c[G+12>>2];P=N+(P+3<<4)|0;c[X>>2]=c[P>>2];c[X+4>>2]=c[P+4>>2];c[X+8>>2]=c[P+8>>2];c[X+12>>2]=c[P+12>>2];r=Ry(ta,r)|0;n=n+1|0}while((n|0)<(s|0))}if(l){B=0;P=l;m=0;while(1){N=c[P+16>>2]|0;E=qa+(B<<4)|0;G=sa+(B<<4)|0;C=+h[P>>3];D=+h[P+8>>3];do if(m){y=+h[m>>3];x=+h[m+8>>3];if(!N){z=D*2.0-x;A=C*2.0-y;break}else{z=+h[N+8>>3];A=+h[N>>3];break}}else{y=+h[N>>3];x=+h[N+8>>3];z=x;A=y;x=D*2.0-x;y=C*2.0-y}while(0);ea=+W(+(x-D),+(y-C));fa=+W(+(z-D),+(A-C))-ea;fa=ea+(fa>0.0?fa+-6.283185307179586:fa)*.5;ea=F*+Q(+fa);fa=F*+R(+fa);h[E>>3]=C+ea;h[qa+(B<<4)+8>>3]=D+fa;h[G>>3]=C-ea;h[sa+(B<<4)+8>>3]=D-fa;m=B+1|0;w=(N|0)==0;if((m|0)==50|w){u=m<<1;v=u+-1|0;if((o|0)>0){r=p;s=0;n=0;do{n=(c[r+(s<<2)>>2]|0)+n|0;s=s+1|0}while((s|0)!=(o|0));r=(o|0)>1?o:1;t=n}else{r=0;t=0}o=o+1|0;s=Bz(p,o<<2)|0;p=s;c[s+(r<<2)>>2]=u;s=Bz(q,t+u<<4)|0;q=s;do if((B|0)>-1){r=v+t|0;v=s+(t<<4)|0;c[v>>2]=c[qa>>2];c[v+4>>2]=c[qa+4>>2];c[v+8>>2]=c[qa+8>>2];c[v+12>>2]=c[qa+12>>2];v=s+(r<<4)|0;c[v>>2]=c[sa>>2];c[v+4>>2]=c[sa+4>>2];c[v+8>>2]=c[sa+8>>2];c[v+12>>2]=c[sa+12>>2];if(!B)break;else n=1;do{B=s+(n+t<<4)|0;v=qa+(n<<4)|0;c[B>>2]=c[v>>2];c[B+4>>2]=c[v+4>>2];c[B+8>>2]=c[v+8>>2];c[B+12>>2]=c[v+12>>2];B=s+(r-n<<4)|0;v=sa+(n<<4)|0;c[B>>2]=c[v>>2];c[B+4>>2]=c[v+4>>2];c[B+8>>2]=c[v+8>>2];c[B+12>>2]=c[v+12>>2];n=n+1|0}while((n|0)!=(m|0))}while(0);c[qa>>2]=c[E>>2];c[qa+4>>2]=c[E+4>>2];c[qa+8>>2]=c[E+8>>2];c[qa+12>>2]=c[E+12>>2];c[sa>>2]=c[G>>2];c[sa+4>>2]=c[G+4>>2];c[sa+8>>2]=c[G+8>>2];c[sa+12>>2]=c[G+12>>2];m=1}if(w)break;else{G=P;B=m;P=N;m=G}}do{P=l;l=c[l+16>>2]|0;fQ(P)}while((l|0)!=0)}Y=Y+1|0}while((Y|0)!=(S|0))}else{q=0;p=0;o=0}c[_+276>>2]=o;c[_+280>>2]=p;if(!(Z&8192)){if((o|0)>0){m=p;n=0;l=0;do{l=(c[m+(n<<2)>>2]|0)+l|0;n=n+1|0}while((n|0)!=(o|0))}else l=0;$=q;kE(f,$,$,l)|0}c[_+284>>2]=q;c[_+264>>2]=2;c[_+272>>2]=q;c[_+268>>2]=c[p>>2]}while(0);zE(f,j);l=c[_+208>>2]|0;if(!((l|0)==0?(b[_+260>>1]&1)==0:0))BE(f,l,c[_+228>>2]|0,c[_+244>>2]|0,c[_+212>>2]|0);Z=f+16|0;ea=+h[(c[Z>>2]|0)+152>>3];AF(Qs(j,140911)|0);e:do if(c[(c[ma>>2]|0)+8>>2]|0){fa=+mC(j,c[13957]|0,1.0,0.0);n=oC(j,c[13938]|0,181739)|0;U=(ia|0)!=0;f:do if(U){l=c[ia>>2]|0;if(!l){q=0;break}else m=ia;while(1){m=m+4|0;if((a[l>>0]|0)==116?(aP(l,152134)|0)==0:0){q=1;break f}l=c[m>>2]|0;if(!l){q=0;break}}}else q=0;while(0);m=0;l=0;o=n;g:while(1){switch(a[o>>0]|0){case 0:{r=m;break g}case 58:{m=m+1|0;break}case 59:{l=l+1|0;break}default:{}}o=o+1|0}o=(r|0)!=0;do if((l|0)!=0&o){l=Cy(n,r+1|0,ga)|0;if((l|0)>1){$=xu(c[((c[j>>2]&3|0)==3?j:aa)+40>>2]|0)|0;_=Ft(c[((c[j>>2]&3|0)==3?j:aa)+40>>2]|0)|0;$=(yt($)|0)!=0;aa=Ft(c[((c[j>>2]&3|0)==2?j:da)+40>>2]|0)|0;c[ca>>2]=_;c[ca+4>>2]=$?142122:142127;c[ca+8>>2]=aa;us(3,142132,ca)|0;if((l|0)==2)na=213}else if((l|0)==1)na=213;if((na|0)==213){n=178378;break}m=c[(c[ma>>2]|0)+8>>2]|0;if((c[m+4>>2]|0)>0){t=sa+8|0;u=sa+12|0;v=sa+32|0;w=sa+4|0;B=sa+16|0;E=ja+4|0;G=ka+4|0;l=c[ga>>2]|0;s=l+8|0;n=m;m=0;r=0;do{S=sa;N=(c[n>>2]|0)+(r*48|0)|0;P=S+48|0;do{c[S>>2]=c[N>>2];S=S+4|0;N=N+4|0}while((S|0)<(P|0));n=c[s>>2]|0;o=c[n>>2]|0;h:do if(o){p=1;y=1.0;i:while(1){q=n+4|0;T=+g[q>>2];do if(T<1.0e-05&T>-1.0e-05)x=y;else{GE(f,o);x=+g[q>>2];y=y-x;m=c[n>>2]|0;if(p){Sy(sa,x,ja,ka);la=c[ja>>2]|0;NE(f,la,c[E>>2]|0,0,0,0);fQ(la);if(y<1.0e-05&y>-1.0e-05){na=197;break i}else{p=0;x=y;break}}if(y<1.0e-05&y>-1.0e-05){na=199;break i}S=ra;N=ka;P=S+48|0;do{c[S>>2]=c[N>>2];S=S+4|0;N=N+4|0}while((S|0)<(P|0));x=+g[q>>2];Sy(ra,x/(y+x),ja,ka);fQ(c[ra>>2]|0);p=c[ja>>2]|0;NE(f,p,c[E>>2]|0,0,0,0);fQ(p);p=0;x=y}while(0);n=n+12|0;o=c[n>>2]|0;if(!o)break h;else y=x}if((na|0)==197){na=0;fQ(c[ka>>2]|0);break}else if((na|0)==199){na=0;la=c[ka>>2]|0;NE(f,la,c[G>>2]|0,0,0,0);fQ(la);break}}while(0);if(c[t>>2]|0){GE(f,c[c[s>>2]>>2]|0);HE(f,c[c[s>>2]>>2]|0);j=c[sa>>2]|0;la=c[t>>2]|0;c[qa>>2]=c[B>>2];c[qa+4>>2]=c[B+4>>2];c[qa+8>>2]=c[B+8>>2];c[qa+12>>2]=c[B+12>>2];c[ta>>2]=c[j>>2];c[ta+4>>2]=c[j+4>>2];c[ta+8>>2]=c[j+8>>2];c[ta+12>>2]=c[j+12>>2];_x(f,2,qa,ta,fa,ea,la)}if(c[u>>2]|0){GE(f,m);HE(f,m);j=(c[sa>>2]|0)+((c[w>>2]|0)+-1<<4)|0;la=c[u>>2]|0;c[qa>>2]=c[v>>2];c[qa+4>>2]=c[v+4>>2];c[qa+8>>2]=c[v+8>>2];c[qa+12>>2]=c[v+12>>2];c[ta>>2]=c[j>>2];c[ta+4>>2]=c[j+4>>2];c[ta+8>>2]=c[j+8>>2];c[ta+12>>2]=c[j+12>>2];_x(f,3,qa,ta,fa,ea,la)}n=c[(c[ma>>2]|0)+8>>2]|0;o=c[n+4>>2]|0;do if((o|0)>1){if(!(c[t>>2]|0)){if(!(U&(c[u>>2]|0)!=0))break}else if(ha)break;JE(f,ia);o=c[(c[ma>>2]|0)+8>>2]|0;n=o;o=c[o+4>>2]|0}while(0);r=r+1|0}while((r|0)<(o|0))}else l=c[ga>>2]|0;fQ(c[l+4>>2]|0);fQ(c[l+8>>2]|0);fQ(l);break e}while(0);l=d[(c[ma>>2]|0)+115>>0]|0;do if(!(l&1)){if(l&2){m=c[13942]|0;m=pC(j,m,Ty(n,147138)|0)|0;l=pC(j,c[13943]|0,147146)|0;na=223;break}if(l&8){m=c[13946]|0;m=pC(j,m,Ty(n,147154)|0)|0;l=pC(j,c[13947]|0,147162)|0;na=223;break}if(!(l&4)){p=pC(j,c[13939]|0,n)|0;m=n;break}else{m=c[13944]|0;m=pC(j,m,Ty(n,147170)|0)|0;l=pC(j,c[13945]|0,147178)|0;na=223;break}}else{m=c[13940]|0;m=pC(j,m,Ty(n,147122)|0)|0;l=pC(j,c[13941]|0,147130)|0;na=223}while(0);do if((na|0)==223){if((m|0)==(n|0)){p=l;m=n;break}GE(f,m);p=l}while(0);if((p|0)!=(n|0))HE(f,p);if(q<<24>>24){o=(a[m>>0]|0)==0?178378:m;n=(a[p>>0]|0)==0?178378:p;GE(f,178891);HE(f,o);S=la;N=c[c[(c[ma>>2]|0)+8>>2]>>2]|0;P=S+48|0;do{c[S>>2]=c[N>>2];S=S+4|0;N=N+4|0}while((S|0)<(P|0));l=c[13953]|0;j:do if(!l)na=234;else{l=Rs(j,l)|0;switch(a[l>>0]|0){case 110:if(!(aP(l,176797)|0)){l=2;break j}else{na=234;break j}case 102:if(!(aP(l,142148)|0)){l=1;break j}else{na=234;break j}case 98:{if(!(aP(l,142156)|0)){l=3;break j}if(!(aP(l,152238)|0)){l=4;break j}else{na=234;break j}}default:{na=234;break j}}}while(0);if((na|0)==234){l=(yt(xu(c[((c[j>>2]&3|0)==2?j:da)+40>>2]|0)|0)|0)!=0;l=l?1:2}l=WB(la,l,ea,0,0)|0;m=l+8|0;LE(f,c[m>>2]|0,c[l>>2]|0,1);if(l){fQ(c[m>>2]|0);fQ(l)}GE(f,o);if((n|0)!=(o|0))HE(f,n);l=c[la+8>>2]|0;if(l){ka=la+16|0;ma=c[la>>2]|0;c[qa>>2]=c[ka>>2];c[qa+4>>2]=c[ka+4>>2];c[qa+8>>2]=c[ka+8>>2];c[qa+12>>2]=c[ka+12>>2];c[ta>>2]=c[ma>>2];c[ta+4>>2]=c[ma+4>>2];c[ta+8>>2]=c[ma+8>>2];c[ta+12>>2]=c[ma+12>>2];_x(f,2,qa,ta,fa,ea,l)}l=c[la+12>>2]|0;if(!l)break;ka=la+32|0;ma=(c[la>>2]|0)+((c[la+4>>2]|0)+-1<<4)|0;c[qa>>2]=c[ka>>2];c[qa+4>>2]=c[ka+4>>2];c[qa+8>>2]=c[ka+8>>2];c[qa+12>>2]=c[ka+12>>2];c[ta>>2]=c[ma>>2];c[ta+4>>2]=c[ma+4>>2];c[ta+8>>2]=c[ma+8>>2];c[ta+12>>2]=c[ma+12>>2];_x(f,3,qa,ta,fa,ea,l);break}l=c[ma>>2]|0;if(!o){do if(!(a[l+115>>0]&3)){if(a[m>>0]|0){GE(f,m);HE(f,p);break}GE(f,178378);if(!(a[p>>0]|0)){HE(f,178378);break}else{HE(f,p);break}}while(0);l=c[(c[ma>>2]|0)+8>>2]|0;if((c[l+4>>2]|0)<=0)break;o=la+4|0;p=la+8|0;q=la+12|0;r=la+32|0;s=la+16|0;n=0;while(1){S=la;N=(c[l>>2]|0)+(n*48|0)|0;P=S+48|0;do{c[S>>2]=c[N>>2];S=S+4|0;N=N+4|0}while((S|0)<(P|0));l=c[la>>2]|0;m=c[o>>2]|0;do if(!(c[ba>>2]&16384)){NE(f,l,m,0,0,0);l=c[p>>2]|0;if(l){ka=c[la>>2]|0;c[qa>>2]=c[s>>2];c[qa+4>>2]=c[s+4>>2];c[qa+8>>2]=c[s+8>>2];c[qa+12>>2]=c[s+12>>2];c[ta>>2]=c[ka>>2];c[ta+4>>2]=c[ka+4>>2];c[ta+8>>2]=c[ka+8>>2];c[ta+12>>2]=c[ka+12>>2];_x(f,2,qa,ta,fa,ea,l)}l=c[q>>2]|0;if(l){ka=(c[la>>2]|0)+((c[o>>2]|0)+-1<<4)|0;c[qa>>2]=c[r>>2];c[qa+4>>2]=c[r+4>>2];c[qa+8>>2]=c[r+8>>2];c[qa+12>>2]=c[r+12>>2];c[ta>>2]=c[ka>>2];c[ta+4>>2]=c[ka+4>>2];c[ta+8>>2]=c[ka+8>>2];c[ta+12>>2]=c[ka+12>>2];_x(f,3,qa,ta,fa,ea,l)}if((c[(c[(c[ma>>2]|0)+8>>2]|0)+4>>2]|0)<=1)break;if(!(c[p>>2]|0)){if(!(U&(c[q>>2]|0)!=0))break}else if(!U)break;JE(f,ia)}else NE(f,l,m,c[p>>2]|0,c[q>>2]|0,0);while(0);n=n+1|0;l=c[(c[ma>>2]|0)+8>>2]|0;if((n|0)>=(c[l+4>>2]|0))break e}}G=l+8|0;l=c[G>>2]|0;V=c[l+4>>2]|0;Y=V*48|0;X=eQ(Y)|0;Y=eQ(Y)|0;T=+(r+2|0)*.5;U=(V|0)>0;k:do if(U){E=la+4|0;A=0.0;z=0.0;n=0;while(1){S=la;N=(c[l>>2]|0)+(n*48|0)|0;P=S+48|0;do{c[S>>2]=c[N>>2];S=S+4|0;N=N+4|0}while((S|0)<(P|0));l=c[E>>2]|0;c[X+(n*48|0)+4>>2]=l;c[Y+(n*48|0)+4>>2]=l;B=l<<4;w=eQ(B)|0;c[X+(n*48|0)>>2]=w;B=eQ(B)|0;c[Y+(n*48|0)>>2]=B;t=c[la>>2]|0;x=+h[t>>3];y=+h[t+8>>3];if((l|0)>1){u=l+-1|0;v=l+-2|0;v=v-((v>>>0)%3|0)|0;M=x;s=0;while(1){r=s+1|0;J=+h[t+(r<<4)>>3];K=+h[t+(r<<4)+8>>3];if(!s){x=M-J;L=y-K;I=2.0/+O(+(x*x+L*L+.0001));x=x*I;I=L*I}else{x=z-J;L=A-K;I=2.0/+O(+(x*x+L*L+.0001));x=x*I;I=L*I}H=-x;h[w+(s<<4)>>3]=I;h[w+(s<<4)+8>>3]=H;l=s+2|0;z=+h[t+(l<<4)>>3];A=+h[t+(l<<4)+8>>3];q=s;s=s+3|0;x=+h[t+(s<<4)>>3];L=+h[t+(s<<4)+8>>3];o=w+(r<<4)|0;p=w+(l<<4)|0;F=J-z;D=K-A;C=+O(+(F*F+D*D));if(C<.0001){F=M-x;D=y-L;C=+O(+(F*F+D*D+.0001))}C=2.0/C;D=D*C;F=-(F*C);h[p>>3]=D;h[w+(l<<4)+8>>3]=F;c[o>>2]=c[p>>2];c[o+4>>2]=c[p+4>>2];c[o+8>>2]=c[p+8>>2];c[o+12>>2]=c[p+12>>2];h[B+(q<<4)>>3]=M-T*I;h[B+(q<<4)+8>>3]=y-T*H;h[B+(r<<4)>>3]=J-T*+h[o>>3];h[B+(r<<4)+8>>3]=K-T*+h[w+(r<<4)+8>>3];h[B+(l<<4)>>3]=z-T*D;h[B+(l<<4)+8>>3]=A-T*F;if((s|0)>=(u|0)){y=L;break}else{M=x;y=L}}l=v+3|0}else l=0;K=z-x;L=A-y;M=2.0/+O(+(L*L+K*K+.0001));L=L*M;M=-(K*M);h[w+(l<<4)>>3]=L;h[w+(l<<4)+8>>3]=M;h[B+(l<<4)>>3]=x-T*L;h[B+(l<<4)+8>>3]=y-T*M;n=n+1|0;if((n|0)==(V|0))break k;l=c[G>>2]|0}}while(0);u=dP(m)|0;l=mP(u,151135)|0;if(!l){o=m;l=m}else{t=0;o=m;n=m;while(1){l=(a[l>>0]|0)==0?178378:l;do if((l|0)!=(n|0)){if(a[(c[ma>>2]|0)+115>>0]&3){n=l;break}GE(f,l);HE(f,l);n=l}while(0);s=(t|0)==0?l:o;m=t>>>0<2?l:m;if(U){q=0;do{l=c[Y+(q*48|0)>>2]|0;o=c[X+(q*48|0)>>2]|0;p=c[Y+(q*48|0)+4>>2]|0;if((p|0)>0){r=0;do{ka=l+(r<<4)|0;h[ka>>3]=+h[o+(r<<4)>>3]+ +h[ka>>3];ka=l+(r<<4)+8|0;h[ka>>3]=+h[o+(r<<4)+8>>3]+ +h[ka>>3];r=r+1|0}while((r|0)!=(p|0))}NE(f,l,p,0,0,0);q=q+1|0}while((q|0)!=(V|0))}l=mP(0,151135)|0;if(!l){o=s;l=m;break}else{t=t+1|0;o=s}}}m=la+8|0;n=c[m>>2]|0;if(!n)n=0;else{do if(!l)l=0;else{if(a[(c[ma>>2]|0)+115>>0]&3)break;GE(f,l);HE(f,l);n=c[m>>2]|0}while(0);ja=la+16|0;ka=c[la>>2]|0;c[qa>>2]=c[ja>>2];c[qa+4>>2]=c[ja+4>>2];c[qa+8>>2]=c[ja+8>>2];c[qa+12>>2]=c[ja+12>>2];c[ta>>2]=c[ka>>2];c[ta+4>>2]=c[ka+4>>2];c[ta+8>>2]=c[ka+8>>2];c[ta+12>>2]=c[ka+12>>2];_x(f,2,qa,ta,fa,ea,n);n=l}m=la+12|0;l=c[m>>2]|0;if(l){do if((n|0)!=(o|0)){if(a[(c[ma>>2]|0)+115>>0]&3)break;GE(f,o);HE(f,o);l=c[m>>2]|0}while(0);ka=la+32|0;ma=(c[la>>2]|0)+((c[la+4>>2]|0)+-1<<4)|0;c[qa>>2]=c[ka>>2];c[qa+4>>2]=c[ka+4>>2];c[qa+8>>2]=c[ka+8>>2];c[qa+12>>2]=c[ka+12>>2];c[ta>>2]=c[ma>>2];c[ta+4>>2]=c[ma+4>>2];c[ta+8>>2]=c[ma+8>>2];c[ta+12>>2]=c[ma+12>>2];_x(f,3,qa,ta,fa,ea,l)}fQ(u);if(U){l=0;do{fQ(c[X+(l*48|0)>>2]|0);fQ(c[Y+(l*48|0)>>2]|0);l=l+1|0}while((l|0)!=(V|0))}fQ(X);fQ(Y)}while(0);G=c[Z>>2]|0;E=c[G+8>>2]|0;v=G+208|0;if(!((c[v>>2]|0)==0?(b[G+260>>1]&1)==0:0))na=301;do if((na|0)==301?(CE(f),pa=G+276|0,oa=c[pa>>2]|0,(oa|0)!=0):0){u=G+280|0;if((oa|0)<=1)break;t=c[u>>2]|0;l=G+268|0;m=G+284|0;n=G+272|0;o=G+228|0;p=G+244|0;q=G+212|0;r=t;s=1;t=c[t>>2]|0;do{c[l>>2]=c[r+(s<<2)>>2];c[n>>2]=(c[m>>2]|0)+(t<<4);BE(f,c[v>>2]|0,c[o>>2]|0,c[p>>2]|0,c[q>>2]|0);CE(f);r=c[u>>2]|0;t=(c[r+(s<<2)>>2]|0)+t|0;s=s+1|0}while((s|0)<(c[pa>>2]|0))}while(0);c[G+268>>2]=0;c[G+272>>2]=0;B=E+16|0;l=c[B>>2]|0;m=c[l+8>>2]|0;if(!m)w=G+260|0;else{oa=c[m>>2]|0;l=c[oa>>2]|0;pa=c[oa+8>>2]|0;na=oa+16|0;c[sa>>2]=c[na>>2];c[sa+4>>2]=c[na+4>>2];c[sa+8>>2]=c[na+8>>2];c[sa+12>>2]=c[na+12>>2];oa=oa+32|0;c[ra>>2]=c[oa>>2];c[ra+4>>2]=c[oa+4>>2];c[ra+8>>2]=c[oa+8>>2];c[ra+12>>2]=c[oa+12>>2];if(!pa){c[qa>>2]=c[l>>2];c[qa+4>>2]=c[l+4>>2];c[qa+8>>2]=c[l+8>>2];c[qa+12>>2]=c[l+12>>2]}else{c[qa>>2]=c[sa>>2];c[qa+4>>2]=c[sa+4>>2];c[qa+8>>2]=c[sa+8>>2];c[qa+12>>2]=c[sa+12>>2]}l=G+260|0;na=b[l>>1]|0;oa=c[G+220>>2]|0;c[ta>>2]=c[qa>>2];c[ta+4>>2]=c[qa+4>>2];c[ta+8>>2]=c[qa+8>>2];c[ta+12>>2]=c[qa+12>>2];Yy(f,ta,(na<<8&65535)<<16>>16>>15&255,oa,(na<<14&65535)<<16>>16>>15&255);na=c[(c[B>>2]|0)+8>>2]|0;oa=(c[na+4>>2]|0)+-1|0;na=c[na>>2]|0;m=c[na+(oa*48|0)>>2]|0;n=c[na+(oa*48|0)+4>>2]|0;pa=c[na+(oa*48|0)+12>>2]|0;ma=na+(oa*48|0)+16|0;c[sa>>2]=c[ma>>2];c[sa+4>>2]=c[ma+4>>2];c[sa+8>>2]=c[ma+8>>2];c[sa+12>>2]=c[ma+12>>2];sa=na+(oa*48|0)+32|0;c[ra>>2]=c[sa>>2];c[ra+4>>2]=c[sa+4>>2];c[ra+8>>2]=c[sa+8>>2];c[ra+12>>2]=c[sa+12>>2];if(!pa){sa=m+(n+-1<<4)|0;c[qa>>2]=c[sa>>2];c[qa+4>>2]=c[sa+4>>2];c[qa+8>>2]=c[sa+8>>2];c[qa+12>>2]=c[sa+12>>2]}else{c[qa>>2]=c[ra>>2];c[qa+4>>2]=c[ra+4>>2];c[qa+8>>2]=c[ra+8>>2];c[qa+12>>2]=c[ra+12>>2]}w=b[l>>1]|0;sa=c[G+224>>2]|0;c[ta>>2]=c[qa>>2];c[ta+4>>2]=c[qa+4>>2];c[ta+8>>2]=c[qa+8>>2];c[ta+12>>2]=c[qa+12>>2];Yy(f,ta,(w<<7&65535)<<16>>16>>15&255,sa,(w<<13&65535)<<16>>16>>15&255);w=l;l=c[B>>2]|0}l=c[l+96>>2]|0;m=(b[w>>1]<<12&65535)<<16>>16>>15<<16>>16;s=G+216|0;n=c[s>>2]|0;t=G+232|0;o=c[t>>2]|0;u=G+248|0;p=c[u>>2]|0;v=G+212|0;q=c[v>>2]|0;if(!((rC(oC(E,c[13955]|0,178372)|0)|0)<<24>>24))r=0;else r=c[(c[B>>2]|0)+8>>2]|0;Zy(f,l,11,m,n,o,p,q,r);q=c[(c[B>>2]|0)+108>>2]|0;r=(b[w>>1]<<12&65535)<<16>>16>>15<<16>>16;p=c[s>>2]|0;o=c[t>>2]|0;m=c[u>>2]|0;n=c[v>>2]|0;if(!((rC(oC(E,c[13955]|0,178372)|0)|0)<<24>>24))l=0;else l=c[(c[B>>2]|0)+8>>2]|0;Zy(f,q,11,r,p,o,m,n,l);Zy(f,c[(c[B>>2]|0)+100>>2]|0,7,(b[w>>1]<<13&65535)<<16>>16>>15<<16>>16,c[G+224>>2]|0,c[G+240>>2]|0,c[G+256>>2]|0,c[v>>2]|0,0);Zy(f,c[(c[B>>2]|0)+104>>2]|0,6,(b[w>>1]<<14&65535)<<16>>16>>15<<16>>16,c[G+220>>2]|0,c[G+236>>2]|0,c[G+252>>2]|0,c[v>>2]|0,0);AE(f);my(f)}while(0);i=ua;return}function Ly(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+160|0;n=q+20|0;m=q+16|0;p=q;c[n>>2]=0;c[m>>2]=0;xs(p,128,q+24|0);As(p,f)|0;h=p+4|0;f=c[h>>2]|0;if(f>>>0>=(c[p+8>>2]|0)>>>0){ys(p,1)|0;f=c[h>>2]|0}a[f>>0]=0;f=c[p>>2]|0;c[h>>2]=f;k=b+300|0;l=b+296|0;f=nP(f,c[k>>2]|0,n)|0;a:do if(!f)g=0;else{while(1){f=nP(f,c[l>>2]|0,m)|0;h=(f|0)!=0;if(h)j=nP(0,c[l>>2]|0,m)|0;else j=0;switch(((j|0)!=0&1)+(h&1)|0){case 2:{h=Oy(b,f,0)|0;f=Oy(b,j,e)|0;if((f&h|0)>-1){g=(h|0)>(f|0);g=((g?h:f)|0)>=(d|0)&((g?f:h)|0)<=(d|0);o=11}break}case 1:{g=(Oy(b,f,d)|0)==(d|0);o=11;break}default:{}}if((o|0)==11?(o=0,g):0)break;f=nP(0,c[k>>2]|0,n)|0;if(!f){g=0;break a}}g=g&1}while(0);Bs(p);i=q;return g|0}function My(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;h=b+156|0;a:do if((c[h>>2]|0)>=2?(f=oC(e,c[13929]|0,181739)|0,i=b+160|0,(Ly(c[b>>2]|0,c[i>>2]|0,c[h>>2]|0,f)|0)<<24>>24==0):0)if(!(a[f>>0]|0))if(ft(d,e)|0){f=ft(d,e)|0;if(!f)f=0;else while(1){g=oC(f,c[13959]|0,181739)|0;if(!(a[g>>0]|0)){f=1;break a}if((Ly(c[b>>2]|0,c[i>>2]|0,c[h>>2]|0,g)|0)<<24>>24){f=1;break a}f=gt(d,f,e)|0;if(!f){f=0;break}}}else f=1;else f=0;else f=1;while(0);return f|0}function Ny(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0.0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0;k=c[b+4>>2]|0;if((k|0)<=0)Na(141902,140842,3968,141914);if(((k|0)%3|0|0)!=1)Na(141924,140842,3969,141914);j=c[b>>2]|0;d=+h[j>>3];i=+h[j+8>>3];if((k|0)>1){f=d;g=i;e=d;d=i;b=1;do{n=b+1|0;m=b+2|0;l=(+h[j+(b<<4)>>3]+ +h[j+(n<<4)>>3])*.5;i=(+h[j+(b<<4)+8>>3]+ +h[j+(n<<4)+8>>3])*.5;f=f<l?f:l;g=g<i?g:i;l=e>l?e:l;i=d>i?d:i;e=+h[j+(m<<4)>>3];d=+h[j+(m<<4)+8>>3];f=f<e?f:e;g=g<d?g:d;e=l>e?l:e;d=i>d?i:d;b=b+3|0}while((b|0)<(k|0))}else{f=d;g=i;e=d;d=i}h[a>>3]=f;h[a+8>>3]=g;h[a+16>>3]=e;h[a+24>>3]=d;return}function Oy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=a[d>>0]|0;if(h<<24>>24==97){if(aP(d,141941)|0){e=97;f=3}}else{e=h;f=3}a:do if((f|0)==3){b:do if(e<<24>>24){f=d;while(1){f=f+1|0;if(((e&255)+-48|0)>>>0>=10)break;e=a[f>>0]|0;if(!(e<<24>>24))break b}g=c[b+308>>2]|0;if(!g){e=-1;break a}f=c[b+312>>2]|0;if((f|0)<1){e=-1;break a}else e=1;while(1){b=c[g+(e<<2)>>2]|0;if(h<<24>>24==(a[b>>0]|0)?(aP(d,b)|0)==0:0)break a;if((e|0)<(f|0))e=e+1|0;else{e=-1;break a}}}while(0);e=NO(d)|0}while(0);return e|0}function Py(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function Qy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;d=yu(d)|0;if((a[(c[d+16>>2]|0)+115>>0]|0)==1)h=SC(b)|0;else h=RC(b,d)|0;b=h;d=h;a:while(1){g=0;while(1){f=b+1|0;e=a[b>>0]|0;if(!(e<<24>>24))break a;if(g<<24>>24){b=f;f=8;break}if(e<<24>>24==92){b=f;g=1}else{b=f;f=14;break}}b:do if((f|0)==8)switch(e<<24>>24|0){case 108:case 110:{a[d>>0]=10;break b}case 114:{a[d>>0]=13;break b}default:{a[d>>0]=e;break b}}else if((f|0)==14)a[d>>0]=e;while(0);d=d+1|0}a[d>>0]=0;return h|0}function Ry(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0.0,o=0;k=i;i=i+192|0;j=k+176|0;l=k+160|0;m=k+144|0;g=k+64|0;h=k;f=k+128|0;e=b+48|0;o=b+16|0;c[m>>2]=c[b>>2];c[m+4>>2]=c[b+4>>2];c[m+8>>2]=c[b+8>>2];c[m+12>>2]=c[b+12>>2];c[l>>2]=c[e>>2];c[l+4>>2]=c[e+4>>2];c[l+8>>2]=c[e+8>>2];c[l+12>>2]=c[e+12>>2];c[j>>2]=c[o>>2];c[j+4>>2]=c[o+4>>2];c[j+8>>2]=c[o+8>>2];c[j+12>>2]=c[o+12>>2];n=+ez(m,l,j);o=b+32|0;c[m>>2]=c[b>>2];c[m+4>>2]=c[b+4>>2];c[m+8>>2]=c[b+8>>2];c[m+12>>2]=c[b+12>>2];c[l>>2]=c[e>>2];c[l+4>>2]=c[e+4>>2];c[l+8>>2]=c[e+8>>2];c[l+12>>2]=c[e+12>>2];c[j>>2]=c[o>>2];c[j+4>>2]=c[o+4>>2];c[j+8>>2]=c[o+8>>2];c[j+12>>2]=c[o+12>>2];if(n<4.0&+ez(m,l,j)<4.0){h=d+16|0;if((c[h>>2]|0)==1){c[h>>2]=0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2]}g=j;f=g+16|0;do{a[g>>0]=a[e>>0]|0;g=g+1|0;e=e+1|0}while((g|0)<(f|0));e=zz(24)|0;c[e+16>>2]=0;c[e>>2]=c[j>>2];c[e+4>>2]=c[j+4>>2];c[e+8>>2]=c[j+8>>2];c[e+12>>2]=c[j+12>>2];c[h>>2]=e}else{xC(f,b,3,.5,g,h);e=Ry(h,Ry(g,d)|0)|0}i=k;return e|0}function Sy(a,b,d,e){a=a|0;b=+b;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0;q=i;i=i+32|0;o=q;p=c[a+4>>2]|0;f=p+-1|0;m=(f|0)/3|0;if((p+-4|0)>>>0<3){c[d+4>>2]=4;c[d>>2]=yz(64)|0;c[e+4>>2]=4;p=yz(64)|0;c[e>>2]=p;xC(q+16|0,c[a>>2]|0,3,b,c[d>>2]|0,p)}else{p=yz(m<<3)|0;k=(f|0)>2;a:do if(k){f=0;j=c[a>>2]|0;g=0.0;while(1){u=+h[j+16>>3];s=+h[j>>3]-u;t=+h[j+24>>3];v=+h[j+8>>3]-t;v=+O(+(s*s+v*v));s=+h[j+32>>3];u=u-s;r=+h[j+40>>3];t=t-r;t=v+ +O(+(u*u+t*t));s=s-+h[j+48>>3];r=r-+h[j+56>>3];r=t+ +O(+(s*s+r*r));h[p+(f<<3)>>3]=r;g=g+r;f=f+1|0;if((f|0)>=(m|0))break;else j=j+48|0}b=b*g;if(k){f=0;g=0.0;do{g=g+ +h[p+(f<<3)>>3];if(g>=b)break a;f=f+1|0}while((m|0)>(f|0))}else{f=0;g=0.0}}else{b=b*0.0;f=0;g=0.0}while(0);n=f*3|0;k=n+4|0;l=d+4|0;c[l>>2]=k;c[d>>2]=yz(k<<4)|0;k=((m-f|0)*3|0)+1|0;m=e+4|0;c[m>>2]=k;c[e>>2]=yz(k<<4)|0;if((c[l>>2]|0)>0){j=0;while(1){k=(c[d>>2]|0)+(j<<4)|0;w=(c[a>>2]|0)+(j<<4)|0;c[k>>2]=c[w>>2];c[k+4>>2]=c[w+4>>2];c[k+8>>2]=c[w+8>>2];c[k+12>>2]=c[w+12>>2];k=j+1|0;if((k|0)<(c[l>>2]|0))j=k;else break}j=j+-3|0}else j=-4;if((c[m>>2]|0)>0){k=0;while(1){w=(c[e>>2]|0)+(k<<4)|0;l=(c[a>>2]|0)+(j<<4)|0;c[w>>2]=c[l>>2];c[w+4>>2]=c[l+4>>2];c[w+8>>2]=c[l+8>>2];c[w+12>>2]=c[l+12>>2];k=k+1|0;if((k|0)>=(c[m>>2]|0))break;else j=j+1|0}}v=+h[p+(f<<3)>>3];xC(o,(c[a>>2]|0)+(n<<4)|0,3,(b-(g-v))/v,(c[d>>2]|0)+(n<<4)|0,c[e>>2]|0);fQ(p)}i=q;return}function Ty(b,d){b=b|0;d=d|0;var e=0;e=1;a:while(1){switch(a[b>>0]|0){case 0:{b=e;break a}case 58:{e=e+1|0;break}default:{}}b=b+1|0}e=_((eP(d)|0)+1|0,b)|0;if((c[13871]|0)<(e|0)){e=e+10|0;c[13871]=e;e=hQ(c[13872]|0,e)|0;c[13872]=e}else e=c[13872]|0;bP(e,d)|0;b=b+-1|0;e=c[13872]|0;if(b)do{e=e+(eP(e)|0)|0;a[e>>0]=58;a[e+1>>0]=0;ZO(c[13872]|0,d)|0;b=b+-1|0;e=c[13872]|0}while((b|0)!=0);return e|0}function Uy(a,b,c){a=+a;b=+b;c=+c;return +((1.0-a/b)*c*.5)}function Vy(a,b,c){a=+a;b=+b;c=+c;return +(c*.5)}function Wy(a,b,c){a=+a;b=+b;c=+c;return +(a/b*c*.5)}function Xy(a,b,c){a=+a;b=+b;c=+c;b=a/b;return +((!(b<=.5)?1.0-b:b)*c)}function Yy(a,d,e,f,g){a=a|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0.0,l=0.0,m=0;j=c[a+16>>2]|0;if(!(e<<24>>24))f=c[j+208>>2]|0;if(!(g<<24>>24==0?((f|0)==0?(b[j+260>>1]&1)==0:0):0))i=5;if((i|0)==5?(k=+h[d>>3],l=+h[d+8>>3],m=c[a+152>>2]|0,(m&4259840|0)!=0):0){e=m&131072;i=e>>>16^2;c[j+264>>2]=i;f=j+268|0;c[f>>2]=i+2;j=j+272|0;fQ(c[j>>2]|0);f=yz(c[f>>2]<<4)|0;c[j>>2]=f;h[f>>3]=k+-3.0;h[f+8>>3]=l+-3.0;h[f+16>>3]=k+3.0;h[f+24>>3]=l+3.0;if(!(m&8192))kE(a,f,f,2)|0;if(!e)az(f)}return}function Zy(b,d,e,f,g,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;x=i;i=i+96|0;u=x+72|0;p=x+64|0;w=x+16|0;v=x;q=c[b+152>>2]|0;if((d|0)!=0?(a[d+81>>0]|0)!=0:0){if(!l)t=0;else{n=yz((eP(l)|0)+11|0)|0;switch(e|0){case 11:{o=151058;break}case 7:{o=142818;break}case 6:{o=142828;break}default:Na(179560,140842,2730,142161)}c[p>>2]=l;c[p+4>>2]=o;DO(n,142177,p)|0;t=n}r=b+16|0;p=(c[r>>2]|0)+12|0;s=c[p>>2]|0;c[p>>2]=e;p=(f|0)!=0|(g|0)!=0;o=(q&4|0)==0;if(p&o){_y(b,d);BE(b,g,j,k,t)}qz(b,e,d);if(m){n=c[d>>2]|0;l=a[n>>0]|0;a:do if(l<<24>>24){while(1){if(!(KM(l&255)|0))break;n=n+1|0;l=a[n>>0]|0;if(!(l<<24>>24))break a}if(a[n>>0]|0){z=+h[d+24>>3];q=d+56|0;A=z*.5+ +h[q>>3];y=+h[d+64>>3]-+h[d+32>>3]*.5;h[w>>3]=A;h[w+8>>3]=y;h[w+16>>3]=A-z;h[w+24>>3]=y;e=w+32|0;c[u>>2]=c[q>>2];c[u+4>>2]=c[q+4>>2];c[u+8>>2]=c[q+8>>2];c[u+12>>2]=c[q+12>>2];CC(v,m,u);c[e>>2]=c[v>>2];c[e+4>>2]=c[v+4>>2];c[e+8>>2]=c[v+8>>2];c[e+12>>2]=c[v+12>>2];JE(b,c[(c[b>>2]|0)+336>>2]|0);GE(b,c[d+8>>2]|0);OE(b,w,3)}}while(0)}if(p){if(!o){_y(b,d);BE(b,g,j,k,t)}CE(b)}if(t)fQ(t);c[(c[r>>2]|0)+12>>2]=s}i=x;return}function _y(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=c[a+16>>2]|0;e=c[a+152>>2]|0;if(e&4259840){f=e&131072;c[d+264>>2]=f>>>16^2;i=d+268|0;c[i>>2]=(f>>>16^2)+2;j=d+272|0;fQ(c[j>>2]|0);d=yz(c[i>>2]<<4)|0;c[j>>2]=d;j=b+56|0;i=b+24|0;h[d>>3]=+h[j>>3]-+h[i>>3]*.5;g=b+64|0;b=b+32|0;h[d+8>>3]=+h[g>>3]-+h[b>>3]*.5;h[d+16>>3]=+h[j>>3]+ +h[i>>3]*.5;h[d+24>>3]=+h[g>>3]+ +h[b>>3]*.5;if(!(e&8192))kE(a,d,d,2)|0;if(!f)az(d)}return}function $y(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,i=0,j=0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0;q=+h[a>>3];r=+h[c>>3];j=!(q>=r);if((!j?q<=+h[c+16>>3]:0)?(e=+h[a+8>>3],e>=+h[c+8>>3]):0)i=e<=+h[c+24>>3];else i=0;e=+h[b>>3];if((e>=r?e<=+h[c+16>>3]:0)?(f=+h[b+8>>3],f>=+h[c+8>>3]):0){d=f<=+h[c+24>>3];if(!(i^d))if(i&d)d=1;else l=11;else d=0}else if(i)d=0;else l=11;a:do if((l|0)==11){p=+h[a+8>>3];do if(q==e){r=+h[c+8>>3];if(!(j|p>=r^+h[b+8>>3]>=r^1)?q<=+h[c+16>>3]:0){d=0;break a}}else{k=+h[b+8>>3];if(p==k){if(!(q>=r^e>=r))break;if(!(p>=+h[c+8>>3]))break;if(!(p<=+h[c+24>>3]))break;else{d=0;break a}}o=(k-p)/(e-q);l=q<e;g=l?q:e;e=l?e:q;f=p+o*(r-q);m=+h[c+8>>3];if(!(!(r>=g)|!(r<=e)|!(f>=m))?f<=+h[c+24>>3]:0){d=0;break a}n=+h[c+16>>3];f=f+o*(n-r);if(f>=m?!(!(n<=e)|(n>=g?!(f<=+h[c+24>>3]):1)):0){d=0;break a}l=p<k;g=l?p:k;f=l?k:p;e=q+(m-p)/o;if(!(!(m<=f)|(!(m>=g)|(!(e>=r)|!(e<=n))))){d=0;break a}p=+h[c+24>>3];q=e+(p-m)/o;if(!(!(p<=f)|(!(p>=g)|(!(q>=r)|!(q<=n))))){d=0;break a}}while(0);d=-1}while(0);return d|0}function az(a){a=a|0;var b=0,c=0.0;b=a+16|0;c=+h[b>>3];h[a+32>>3]=c;h[a+48>>3]=c;h[a+40>>3]=+h[a+24>>3];h[a+56>>3]=+h[a+8>>3];h[b>>3]=+h[a>>3];return}function bz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0,g=0.0,j=0,k=0,l=0;l=i;i=i+16|0;j=l;e=+h[b>>3];f=b+8|0;g=+h[f>>3];a:do switch(d|0){case 0:{k=10;break}case 90:{h[b>>3]=g;h[f>>3]=-e;k=10;break}case 180:{h[b>>3]=e;h[f>>3]=-g;k=10;break}case 270:{h[b>>3]=g;h[f>>3]=e;k=10;break}default:{if((d|0)<0){c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];cz(a,j,0-d|0);break a}if((d|0)>360){c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];bz(a,j,(d|0)%360|0);break a}else{c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];fz(a,j,d);break a}}}while(0);if((k|0)==10){c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2]}i=l;return}function cz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0,g=0.0,j=0,k=0,l=0;l=i;i=i+16|0;j=l;e=+h[b>>3];f=b+8|0;g=+h[f>>3];a:do switch(d|0){case 0:{k=10;break}case 90:{h[b>>3]=-g;h[f>>3]=e;k=10;break}case 180:{h[b>>3]=e;h[f>>3]=-g;k=10;break}case 270:{h[b>>3]=g;h[f>>3]=e;k=10;break}default:{if((d|0)<0){c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];bz(a,j,0-d|0);break a}if((d|0)>360){c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];cz(a,j,(d|0)%360|0);break a}else{c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];fz(a,j,360-d|0);break a}}}while(0);if((k|0)==10){c[a>>2]=c[b>>2];c[a+4>>2]=c[b+4>>2];c[a+8>>2]=c[b+8>>2];c[a+12>>2]=c[b+12>>2]}i=l;return}function dz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0;g=+h[c>>3];d=+h[c+8>>3];f=+h[b>>3]+d;e=+h[b+24>>3]+g;d=+h[b+16>>3]+d;h[a>>3]=+h[b+8>>3]+g;h[a+8>>3]=f;h[a+16>>3]=e;h[a+24>>3]=d;return}function ez(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0;d=+h[a>>3];f=+h[b>>3]-d;g=+h[a+8>>3];e=+h[b+8>>3]-g;d=f*(+h[c+8>>3]-g)-e*(+h[c>>3]-d);d=d*d;if(d<1.0e-10)d=0.0;else d=d/(f*f+e*e);return +d}function fz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,g=0.0,i=0.0;if((c[13874]|0)!=(d|0)){BN(+(d|0)/6.283185307179586,34216,34224);c[13874]=d}f=+h[b>>3];i=+h[4278];g=+h[b+8>>3];e=+h[4277];h[a>>3]=f*i-g*e;h[a+8>>3]=i*g+f*e;return}function gz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;g=i;i=i+16|0;f=g+8|0;e=g;a=Qs(a,b)|0;if((a|0)!=0?(c[f>>2]=e,(EO(a,142278,f)|0)>0):0)h[d>>3]=+h[e>>3];i=g;return}function hz(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+32|0;k=p+16|0;g=p+8|0;l=p;e=yz(96)|0;o=b+16|0;c[(c[o>>2]|0)+8>>2]=e;e=Qs(b,142282)|0;if(!e){e=gb(142291)|0;if(e)j=3}else j=3;if((j|0)==3)sb(142303,e|0,1)|0;e=pC(b,Is(b,0,142314,0)|0,142322)|0;if(((((((YO(e,142328)|0)!=0?(YO(e,142336)|0)!=0:0)?(YO(e,142343)|0)!=0:0)?(YO(e,142346)|0)!=0:0)?(YO(e,142357)|0)!=0:0)?(YO(e,142368)|0)!=0:0)?(YO(e,142378)|0)!=0:0)if((YO(e,142389)|0)!=0?(YO(e,142395)|0)!=0:0)if((YO(e,142322)|0)!=0?(YO(e,142400)|0)!=0:0){c[g>>2]=e;us(0,142405,g)|0;e=0}else e=0;else e=2;else e=1;a[(c[o>>2]|0)+115>>0]=e;if((c[13879]|0)==0?(j=Qs(b,142448)|0,c[13878]=j,(j|0)==0):0)c[13878]=c[13877];f=+mC(b,Is(b,0,142458,0)|0,0.0,0.0);h[c[(c[o>>2]|0)+8>>2]>>3]=f;e=Qs(b,142466)|0;a:do if(!e)g=0;else{switch(a[e>>0]|0){case 76:{if(!(aP(e,142474)|0)){g=1;break a}break}case 66:{if(!(aP(e,142477)|0)){g=2;break a}break}case 82:{g=(aP(e,142480)|0)==0;g=g?3:0;break a}default:{g=0;break a}}g=0}while(0);e=g<<2;if(!(d<<24>>24))c[(c[o>>2]|0)+116>>2]=e;else c[(c[o>>2]|0)+116>>2]=e|g;f=+mC(b,Is(b,0,142483,0)|0,.25,.02);h[l>>3]=f;f=f*72.0;c[(c[o>>2]|0)+248>>2]=~~(f+(f>=0.0?.5:-.5));e=oC(b,Is(b,0,142491,0)|0,0)|0;if(e){c[k>>2]=l;if(EO(e,142278,k)|0){f=+h[l>>3];if(f<.02){h[l>>3]=.02;f=.02}}else{h[l>>3]=.5;f=.5}if(lP(e,142499)|0)a[(c[o>>2]|0)+276>>0]=1}else{h[l>>3]=.5;f=.5}f=f*72.0;c[(c[o>>2]|0)+252>>2]=~~(f+(f>=0.0?.5:-.5));e=(lC(b,Is(b,0,142507,0)|0,0,0)|0)&255;a[(c[o>>2]|0)+243>>0]=e;e=AC(oC(b,Is(b,0,142517,0)|0,0)|0,55904,55920)|0;c[(c[o>>2]|0)+244>>2]=e;e=Qs(b,142527)|0;b:do if((e|0)!=0?(m=a[e>>0]|0,m<<24>>24!=0):0)switch(m<<24>>24|0){case 97:{if(m<<24>>24!=97)break b;if(aP(e,142533)|0)break b;c[(c[(c[o>>2]|0)+8>>2]|0)+84>>2]=4;break b}case 99:{if(m<<24>>24!=99)break b;if(aP(e,142538)|0)break b;c[(c[(c[o>>2]|0)+8>>2]|0)+84>>2]=3;break b}case 101:{if(m<<24>>24!=101)break b;if(aP(e,142547)|0)break b;c[(c[(c[o>>2]|0)+8>>2]|0)+84>>2]=5;break b}case 102:{if(m<<24>>24!=102)break b;if(aP(e,142554)|0)break b;c[(c[(c[o>>2]|0)+8>>2]|0)+84>>2]=2;break b}default:{f=+MO(e);if(!(f>0.0))break b;m=c[(c[o>>2]|0)+8>>2]|0;c[m+84>>2]=1;h[m+16>>3]=f;break b}}while(0);m=lz(b,142559,(c[(c[o>>2]|0)+8>>2]|0)+64|0)|0;e=c[(c[o>>2]|0)+8>>2]|0;a[e+80>>0]=m;lz(b,142564,e+48|0)|0;e=rC(Qs(b,142569)|0)|0;a[(c[(c[o>>2]|0)+8>>2]|0)+82>>0]=e;e=Qs(b,142576)|0;do if(!e){e=Qs(b,142583)|0;if(e){m=a[e>>0]|0;a[(c[(c[o>>2]|0)+8>>2]|0)+81>>0]=m<<24>>24==108?1:m<<24>>24==76&1;break}e=Qs(b,142595)|0;if(e){m=rC(e)|0;a[(c[(c[o>>2]|0)+8>>2]|0)+81>>0]=m}}else{m=(NO(e)|0)==90&1;a[(c[(c[o>>2]|0)+8>>2]|0)+81>>0]=m}while(0);c[13882]=AC(Qs(b,142605)|0,55936,55952)|0;a[142277]=rC(Qs(b,142617)|0)|0;c[13885]=0;c[13886]=0;h[(c[(c[o>>2]|0)+8>>2]|0)+24>>3]=0.0;e=Qs(b,142629)|0;if((e|0)!=0?(a[e>>0]|0)!=0:0)j=63;else j=61;if(((j|0)==61?(n=Qs(b,142633)|0,(n|0)!=0):0)?(a[n>>0]|0)!=0:0){e=n;j=63}if((j|0)==63){f=+MO(e);h[(c[(c[o>>2]|0)+8>>2]|0)+24>>3]=f}iz(b);h[4281]=1.e+37;c[13894]=Is(b,0,142644,0)|0;c[13897]=Is(b,0,182234,0)|0;c[13898]=Is(b,0,147414,0)|0;c[13899]=Is(b,1,182248,0)|0;c[13900]=Is(b,1,182316,0)|0;c[13901]=Is(b,1,151064,0)|0;c[13902]=Is(b,1,182028,0)|0;c[13903]=Is(b,1,142653,0)|0;c[13919]=Is(b,1,182282,0)|0;c[13912]=Is(b,1,142663,0)|0;c[13913]=Is(b,1,142672,0)|0;c[13914]=Is(b,1,142681,0)|0;n=Is(b,1,151058,0)|0;c[13916]=n;if(!n)c[13916]=Is(b,1,151058,147411)|0;c[13917]=Is(b,1,142691,0)|0;c[13920]=Is(b,1,142507,0)|0;c[13934]=Is(b,1,142698,0)|0;c[13923]=Is(b,1,142644,0)|0;c[13915]=Is(b,1,147414,0)|0;c[13921]=Is(b,1,182276,0)|0;c[13922]=Is(b,1,142707,0)|0;c[13925]=Is(b,1,142719,0)|0;c[13924]=Is(b,1,142583,0)|0;c[13926]=Is(b,1,142724,0)|0;c[13927]=Is(b,1,182224,0)|0;c[13928]=Is(b,1,178361,0)|0;c[13918]=Is(b,1,142735,0)|0;c[13929]=Is(b,1,142745,0)|0;c[13930]=Is(b,1,142751,0)|0;c[13931]=Is(b,1,142757,0)|0;c[13932]=Is(b,1,142765,0)|0;c[13933]=Is(b,1,142774,0)|0;c[13935]=Is(b,1,182234,0)|0;c[13936]=Is(b,2,142776,0)|0;c[13938]=Is(b,2,182028,0)|0;c[13939]=Is(b,2,142653,0)|0;c[13948]=Is(b,2,142663,0)|0;c[13949]=Is(b,2,142672,0)|0;c[13950]=Is(b,2,142681,0)|0;c[13951]=Is(b,2,151058,0)|0;c[13952]=Is(b,2,142691,0)|0;c[13961]=Is(b,2,142783,0)|0;c[13953]=Is(b,2,142794,0)|0;c[13964]=Is(b,2,142798,0)|0;c[13965]=Is(b,2,142808,0)|0;c[13966]=Is(b,2,142818,0)|0;c[13967]=Is(b,2,142828,0)|0;c[13968]=Is(b,2,142838,0)|0;c[13969]=Is(b,2,142852,0)|0;c[13970]=Is(b,2,142866,0)|0;c[13971]=Is(b,2,142881,0)|0;c[13972]=Is(b,2,142895,0)|0;c[13937]=Is(b,2,142906,0)|0;c[13956]=Is(b,2,142507,0)|0;c[13954]=Is(b,2,182282,0)|0;c[13955]=Is(b,2,142913,0)|0;c[13957]=Is(b,2,142922,0)|0;c[13958]=Is(b,2,142932,0)|0;c[13959]=Is(b,2,142745,0)|0;c[13960]=Is(b,2,142757,0)|0;c[13973]=Is(b,2,142943,0)|0;c[13974]=Is(b,2,142952,0)|0;c[13975]=Is(b,2,142698,0)|0;e=ky(b)|0;c[(c[(c[o>>2]|0)+8>>2]|0)+88>>2]=e;e=Qs(b,182260)|0;if((e|0)!=0?(a[e>>0]|0)!=0:0){b=rz(e,b)|0;c[(c[(c[o>>2]|0)+8>>2]|0)+92>>2]=b}i=p;return}function iz(b){b=b|0;var e=0,f=0,g=0.0,i=0.0,j=0;e=Qs(b,151058)|0;do if((e|0)!=0?(a[e>>0]|0)!=0:0){f=(c[(c[b+60>>2]|0)+16>>2]|0)+113|0;a[f>>0]=d[f>>0]|8;f=(av(e)|0)!=0;i=+mC(b,Is(b,0,142663,0)|0,14.0,1.0);j=pC(b,Is(b,0,142672,0)|0,149055)|0;e=nz(b,e,f?2:0,i,j,pC(b,Is(b,0,142681,0)|0,178378)|0)|0;j=b+16|0;c[(c[j>>2]|0)+12>>2]=e;e=Qs(b,147529)|0;f=(e|0)!=0;do if((yu(b)|0)==(b|0)){if(f?(a[e>>0]|0)==116:0){e=1;break}e=0}else{if(f?(a[e>>0]|0)==98:0){e=0;break}e=1}while(0);f=Qs(b,142961)|0;a:do if(f)switch(a[f>>0]|0){case 108:{e=(e&255|2)&255;break a}case 114:{e=(e&255|4)&255;break a}default:break a}while(0);a[(c[j>>2]|0)+275>>0]=e;if((yu(b)|0)!=(b|0)){e=c[(c[j>>2]|0)+12>>2]|0;g=+h[e+24>>3]+16.0;i=+h[e+32>>3]+8.0;b=(c[(c[(yu(b)|0)+16>>2]|0)+116>>2]&1|0)==0;e=c[j>>2]|0;f=(a[e+275>>0]&1)<<1;if(b){h[e+48+(f<<4)>>3]=g;h[e+48+(f<<4)+8>>3]=i;break}else{b=f^3;h[e+48+(b<<4)>>3]=i;h[e+48+(b<<4)+8>>3]=g;break}}}while(0);return}function jz(a){a=a|0;var b=0,d=0,e=0,f=0;f=a+16|0;b=c[f>>2]|0;d=c[b+8>>2]|0;do if(d){e=c[d+88>>2]|0;if(e){Ox(e);b=c[f>>2]|0;d=c[b+8>>2]|0;if(!d)break}d=c[d+92>>2]|0;if(d){fQ(d);b=c[f>>2]|0}}while(0);fQ(c[b+8>>2]|0);f=c[f>>2]|0;c[f+8>>2]=0;pz(c[f+12>>2]|0);Ru(a,0,178510);return}function kz(a){a=a|0;var b=0,d=0;d=i;i=i+16|0;b=d;switch(a|0){case 0:{a=143001;break}case 1:{a=142346;break}case 2:{a=143007;break}default:{c[b>>2]=a;us(1,142971,b)|0;a=143001}}i=d;return a|0}function lz(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+48|0;l=o+32|0;j=o+16|0;m=o+8|0;k=o;n=o+40|0;a[n>>0]=0;b=Qs(b,d)|0;do if(b){c[j>>2]=m;c[j+4>>2]=k;c[j+8>>2]=n;j=(EO(b,143026,j)|0)>1;g=+h[m>>3];f=+h[k>>3];if(j&g>0.0&f>0.0){g=g*72.0;h[e>>3]=+(~~(g+(g>=0.0?.5:-.5))|0);g=f*72.0;h[e+8>>3]=+(~~(g+(g>=0.0?.5:-.5))|0);b=(a[n>>0]|0)==33&1;break}a[n>>0]=0;c[l>>2]=m;c[l+4>>2]=n;l=(EO(b,143036,l)|0)>0;f=+h[m>>3];if(l&f>0.0){g=f*72.0;g=+(~~(g+(g>=0.0?.5:-.5))|0);h[e>>3]=g;h[e+8>>3]=g;i=o;return (a[n>>0]|0)==33|0}else b=0}else b=0;while(0);i=o;return b|0}function mz(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[d>>2]|0;l=d+24|0;c[l>>2]=0;c[l+4>>2]=0;c[l+8>>2]=0;c[l+12>>2]=0;if(a[e>>0]|0){h=zz((eP(e)|0)+1|0)|0;a[h>>0]=0;f=a[e>>0]|0;if(f<<24>>24){k=d+12|0;g=e;j=h;e=h;a:while(1){i=e;b:while(1){h=g+1|0;if(!(f<<24>>24==-1|((f&255)<161|(c[k>>2]|0)!=2))){a[i>>0]=f;h=a[h>>0]|0;e=i+2|0;a[i+1>>0]=h;if(!(h<<24>>24)){f=j;break a}else g=g+2|0}else{switch(f<<24>>24){case 92:{f=8;break b}case 10:{g=h;e=i;f=12;break b}default:{}}a[i>>0]=f;e=i+1|0;g=h}f=a[g>>0]|0;if(!(f<<24>>24)){f=j;break a}else i=e}if((f|0)==8){e=a[h>>0]|0;switch(e<<24>>24|0){case 114:case 108:case 110:{e=i+1|0;a[i>>0]=0;vz(b,d,j,a[h>>0]|0);f=e;break}default:{a[i>>0]=e;f=j;e=i+1|0}}i=f;g=(a[h>>0]|0)==0?h:g+2|0}else if((f|0)==12){h=e+1|0;a[e>>0]=0;vz(b,d,j,110);i=h;e=h}f=a[g>>0]|0;if(!(f<<24>>24)){f=i;break}else j=i}if((f|0)!=(e|0)){a[e>>0]=0;vz(b,d,f,110)}}d=d+40|0;c[d>>2]=c[l>>2];c[d+4>>2]=c[l+4>>2];c[d+8>>2]=c[l+8>>2];c[d+12>>2]=c[l+12>>2]}return}function nz(b,e,f,g,j,k){b=b|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+32|0;r=u+16|0;q=u+8|0;p=u;t=yz(88)|0;switch(Iu(b)|0){case 0:{m=0;s=c[b+60>>2]|0;n=0;o=b;break}case 1:{m=0;s=yu(xu(b)|0)|0;n=b;o=0;break}case 2:{m=b;s=yu(xu(c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0)|0)|0;n=0;o=0;break}default:{m=0;s=0;n=0;o=0}}c[t+4>>2]=j;c[t+8>>2]=k;h[t+16>>3]=g;l=s+16|0;j=t+12|0;c[j>>2]=d[(c[l>>2]|0)+115>>0];a:do if(f&4){c[t>>2]=dP(e)|0;if(f&2)a[t+82>>0]=1}else switch(f|0){case 2:{c[t>>2]=dP(e)|0;a[t+82>>0]=1;if(!(QF(b,t)|0))break a;switch(Iu(b)|0){case 0:{c[p>>2]=Ft(o)|0;us(3,143052,p)|0;break a}case 1:{c[q>>2]=Ft(n)|0;us(3,143074,q)|0;break a}case 2:{p=Ft(c[((c[m>>2]&3|0)==3?m:m+48|0)+40>>2]|0)|0;q=(yt(s)|0)!=0;s=Ft(c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2]|0)|0;c[r>>2]=p;c[r+4>>2]=q?178523:181756;c[r+8>>2]=s;us(3,143095,r)|0;break a}default:break a}}case 0:{k=wz(e,b,0)|0;c[t>>2]=k;if((c[j>>2]|0)==1)k=SC(k)|0;else k=RC(k,s)|0;fQ(c[t>>2]|0);c[t>>2]=k;mz(c[(c[l>>2]|0)+144>>2]|0,t);break a}default:Na(143122,143138,166,143147)}while(0);i=u;return t|0}function oz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;if(a){if((b|0)>0){g=0;h=a;while(1){if((g|0)==0?(d=c[h>>2]|0,(d|0)!=0):0)fQ(d);e=c[h+8>>2]|0;if((e|0)!=0?(f=c[h+12>>2]|0,(f|0)!=0):0)Db[f&127](e);g=g+1|0;if((g|0)==(b|0))break;else h=h+56|0}}fQ(a)}return}function pz(d){d=d|0;var e=0;if(d){fQ(c[d>>2]|0);e=d+72|0;if(a[d+82>>0]|0){e=c[e>>2]|0;if(e)JF(e,1)}else oz(c[e>>2]|0,b[d+76>>1]|0);fQ(d)}return}function qz(d,e,f){d=d|0;e=e|0;f=f|0;var g=0.0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=i;i=i+32|0;s=t+16|0;r=t;k=c[d+16>>2]|0;p=k+12|0;q=c[p>>2]|0;c[p>>2]=e;if(!(a[f+82>>0]|0)){o=f+76|0;if((b[o>>1]|0)>=1){DE(d,0);GE(d,c[f+8>>2]|0);switch(a[f+80>>0]|0){case 116:{j=+h[f+64>>3];g=j+ +h[f+48>>3]*.5-+h[f+16>>3];h[r+8>>3]=g;break}case 98:{j=+h[f+64>>3];g=+h[f+32>>3]+(j-+h[f+48>>3]*.5)-+h[f+16>>3];h[r+8>>3]=g;break}default:{j=+h[f+64>>3];g=j+ +h[f+32>>3]*.5-+h[f+16>>3];h[r+8>>3]=g}}if(b[k+260>>1]&512)h[r+8>>3]=g-j;a:do if((b[o>>1]|0)>0){l=f+72|0;m=f+56|0;n=r+8|0;e=f+40|0;k=c[l>>2]|0;f=0;while(1){switch(a[k+(f*56|0)+48>>0]|0){case 108:{h[r>>3]=+h[m>>3]-+h[e>>3]*.5;break}case 114:{h[r>>3]=+h[m>>3]+ +h[e>>3]*.5;break}default:h[r>>3]=+h[m>>3]}c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];FE(d,s,k+(f*56|0)|0);k=c[l>>2]|0;h[n>>3]=+h[n>>3]-+h[k+(f*56|0)+40>>3];f=f+1|0;if((f|0)>=(b[o>>1]|0))break a}}while(0);EE(d);c[p>>2]=q}}else{GF(d,c[f+72>>2]|0,f);c[p>>2]=q}i=t;return}function rz(a,b){a=a|0;b=b|0;return wz(a,b,1)|0}function sz(a){a=a|0;return tz(a,0)|0}function tz(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=c[13992]|0;if(!e){c[13993]=64;e=zz(64)|0;c[13992]=e}a:do if((b|0)!=0?(j=d<<24>>24==0,f=a[b>>0]|0,f<<24>>24!=0):0){i=0;g=0;while(1){d=c[13993]|0;if((i|0)>(d+-8|0)){e=d<<1;c[13993]=e;e=Bz(c[13992]|0,e)|0;c[13992]=e;d=a[b>>0]|0;e=e+i|0}else d=f;b:do switch(d<<24>>24){case 38:{if(j?(xz(b)|0)!=0:0)k=17;else{f=5;d=143184}break}case 60:{f=4;d=143207;break}case 62:{f=4;d=143202;break}case 45:{f=5;d=143196;break}default:{if((g|0)!=0&d<<24>>24==32?(a[g>>0]|0)==32:0){f=6;d=143177;break b}switch(d<<24>>24){case 34:{f=6;d=143170;break b}case 39:{f=5;d=143190;break b}case 10:if(j){k=17;break b}else{f=5;d=143164;break b}default:{k=17;break b}}}}while(0);if((k|0)==17){k=0;d=j|d<<24>>24!=13;f=d?1:5;d=d?b:143158}i=f+i|0;g=f;h=e;while(1){g=g+-1|0;a[h>>0]=a[d>>0]|0;if(!g)break;else{h=h+1|0;d=d+1|0}}e=e+f|0;d=b+1|0;f=a[d>>0]|0;if(!(f<<24>>24))break a;else{g=b;b=d}}}while(0);a[e>>0]=0;return c[13992]|0}function uz(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=c[13994]|0;if(!d){c[13995]=64;d=zz(64)|0;c[13994]=d}a:do if((b|0)!=0?(e=a[b>>0]|0,e<<24>>24!=0):0){i=0;while(1){f=c[13995]|0;if((i|0)>(f+-8|0)){d=f<<1;c[13995]=d;d=Bz(c[13994]|0,d)|0;c[13994]=d;e=a[b>>0]|0;d=d+i|0}switch(e<<24>>24){case 38:{if(!(xz(b)|0)){f=5;e=143184}else j=12;break}case 60:{f=4;e=143207;break}case 62:{f=4;e=143202;break}case 34:{f=6;e=143170;break}case 39:{f=5;e=143190;break}default:j=12}if((j|0)==12){j=0;f=1;e=b}i=f+i|0;g=f;h=d;while(1){g=g+-1|0;a[h>>0]=a[e>>0]|0;if(!g)break;else{h=h+1|0;e=e+1|0}}d=d+f|0;b=b+1|0;e=a[b>>0]|0;if(!(e<<24>>24))break a}}while(0);a[d>>0]=0;return c[13994]|0}function vz(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0;r=i;i=i+16|0;p=r;q=e+76|0;k=b[q>>1]|0;n=e+72|0;m=c[n>>2]|0;if(!m)o=yz((k*56|0)+112|0)|0;else o=Az(m,k+2|0,56,k+1|0)|0;c[n>>2]=o;k=b[q>>1]|0;m=k<<16>>16;n=o+(m*56|0)|0;c[n>>2]=f;a[o+(m*56|0)+48>>0]=g;if((f|0)!=0?(a[f>>0]|0)!=0:0){c[8578]=c[e+4>>2];h[4291]=+h[e+16>>3];k=c[d+144>>2]|0;c[o+(m*56|0)+4>>2]=Jb[c[k>>2]&63](k,34312,1)|0;$B(p,d,n);k=b[q>>1]|0;l=+h[p>>3];j=+h[p+8>>3]}else{j=+(~~(+h[e+16>>3]*1.2)|0);h[o+(m*56|0)+40>>3]=j;l=0.0}b[q>>1]=k+1<<16>>16;q=e+24|0;s=+h[q>>3];h[q>>3]=s>l?s:l;e=e+32|0;h[e>>3]=j+ +h[e>>3];i=r;return}function wz(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;switch(Iu(d)|0){case 0:{h=Ft(d)|0;g=eP(h)|0;f=c[(c[d+16>>2]|0)+12>>2]|0;if(f){f=c[f>>2]|0;if(!b){v=2;y=143218;t=2;x=143221;u=0;m=181739;s=0;n=2;w=f;i=2;j=147411;d=2;q=143224;o=0;r=181739}else{v=2;y=143218;t=2;x=143221;u=0;m=181739;s=0;n=eP(f)|0;w=f;i=2;j=147411;d=2;q=143224;o=0;r=181739}}else{v=2;y=143218;t=2;x=143221;u=0;m=181739;s=0;n=2;w=143212;i=2;j=147411;d=2;q=143224;o=0;r=181739}break}case 1:{h=Ft(xu(d)|0)|0;g=eP(h)|0;j=Ft(d)|0;i=eP(j)|0;f=c[(c[d+16>>2]|0)+104>>2]|0;if(f){f=c[f>>2]|0;if(!b){v=2;y=143218;t=2;x=143221;u=0;m=181739;s=0;n=2;w=f;d=2;q=143224;o=0;r=181739}else{v=2;y=143218;t=2;x=143221;u=0;m=181739;s=0;n=eP(f)|0;w=f;d=2;q=143224;o=0;r=181739}}else{v=2;y=143218;t=2;x=143221;u=0;m=181739;s=0;n=2;w=143212;d=2;q=143224;o=0;r=181739}break}case 2:{i=d+48|0;h=Ft(yu(xu(c[((c[d>>2]&3|0)==3?d:i)+40>>2]|0)|0)|0)|0;g=eP(h)|0;q=Ft(c[((c[d>>2]&3|0)==3?d:i)+40>>2]|0)|0;p=eP(q)|0;f=d+16|0;r=c[(c[f>>2]|0)+52>>2]|0;if(!r)o=0;else o=eP(r)|0;k=Ft(c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0)|0;f=c[f>>2]|0;m=c[f+92>>2]|0;if(!m)l=0;else l=eP(m)|0;j=eP(k)|0;f=c[f+96>>2]|0;if(f){f=c[f>>2]|0;if(!b)n=2;else n=eP(f)|0}else{n=2;f=143212}y=(yt(yu(xu(c[((c[d>>2]&3|0)==3?d:i)+40>>2]|0)|0)|0)|0)==0;v=p+2+((o|0)!=0?o+1|0:0)+j+((l|0)!=0?l+1|0:0)|0;y=y?181756:178523;t=j;x=k;u=l;s=1;w=f;i=2;j=147411;d=p;break}default:{v=2;y=143218;g=2;h=143215;t=2;x=143221;u=0;m=181739;s=0;n=2;w=143212;i=2;j=147411;d=2;q=143224;o=0;r=181739}}p=(e|0)==0;f=0;k=b;a:while(1){l=k+1|0;switch(a[k>>0]|0){case 0:break a;case 92:break;default:{f=f+1|0;k=l;continue a}}k=k+2|0;switch(a[l>>0]|0){case 71:{f=f+g|0;continue a}case 78:{f=f+i|0;continue a}case 69:{f=f+v|0;continue a}case 72:{f=f+t|0;continue a}case 84:{f=f+d|0;continue a}case 76:{f=f+n|0;continue a}case 92:{if(!p){f=f+1|0;continue a}break}default:{}}f=f+2|0}d=zz(f+1|0)|0;n=(s|0)==0;l=(o|0)==0;k=(u|0)==0;f=d;b:while(1){i=b+1|0;g=a[b>>0]|0;switch(g<<24>>24){case 0:break b;case 92:break;default:{a[f>>0]=g;f=f+1|0;b=i;continue b}}b=b+2|0;g=a[i>>0]|0;switch(g<<24>>24|0){case 71:{e=a[h>>0]|0;a[f>>0]=e;if(!(e<<24>>24)){e=f;f=e;continue b}else g=h;while(1){g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e;if(!(e<<24>>24))continue b}}case 78:{e=a[j>>0]|0;a[f>>0]=e;if(!(e<<24>>24)){e=f;f=e;continue b}else g=j;while(1){g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e;if(!(e<<24>>24))continue b}}case 69:{if(n){e=f;f=e;continue b}e=a[q>>0]|0;a[f>>0]=e;if(e<<24>>24){g=q;do{g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e}while(e<<24>>24!=0)}if(!l){a[f>>0]=58;g=r;while(1){f=f+1|0;e=a[g>>0]|0;a[f>>0]=e;if(!(e<<24>>24))break;else g=g+1|0}}e=a[y>>0]|0;a[f>>0]=e;if(e<<24>>24){g=y;do{g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e}while(e<<24>>24!=0)}e=a[x>>0]|0;a[f>>0]=e;if(e<<24>>24){g=x;do{g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e}while(e<<24>>24!=0)}if(k)continue b;a[f>>0]=58;g=m;while(1){f=f+1|0;e=a[g>>0]|0;a[f>>0]=e;if(!(e<<24>>24))continue b;else g=g+1|0}}case 84:{e=a[q>>0]|0;a[f>>0]=e;if(!(e<<24>>24)){e=f;f=e;continue b}else g=q;while(1){g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e;if(!(e<<24>>24))continue b}}case 72:{e=a[x>>0]|0;a[f>>0]=e;if(!(e<<24>>24)){e=f;f=e;continue b}else g=x;while(1){g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e;if(!(e<<24>>24))continue b}}case 76:{e=a[w>>0]|0;a[f>>0]=e;if(!(e<<24>>24)){e=f;f=e;continue b}else g=w;while(1){g=g+1|0;f=f+1|0;e=a[g>>0]|0;a[f>>0]=e;if(!(e<<24>>24))continue b}}case 92:{if(!p){a[f>>0]=92;f=f+1|0;continue b}break}default:{}}a[f>>0]=92;a[f+1>>0]=g;f=f+2|0}a[f>>0]=0;return d|0}function xz(b){b=b|0;var c=0;c=a[b+1>>0]|0;a:do if(c<<24>>24!=35){if(((c&-33)+-65&255)<26){b=b+2|0;while(1){c=a[b>>0]|0;if(((c&-33)+-65&255)<26)b=b+1|0;else break}}}else{c=a[b+2>>0]|0;switch(c<<24>>24){case 88:case 120:break;default:{if((c+-48&255)>=10)break a;b=b+3|0;while(1){c=a[b>>0]|0;if((c+-48&255)<10)b=b+1|0;else break a}}}b=b+3|0;while(1){c=a[b>>0]|0;if((c+-48&255)>=10)switch(c<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break a}b=b+1|0}}while(0);return c<<24>>24==59|0}function yz(a){a=a|0;var b=0;if(!a)a=0;else{b=zz(a)|0;tQ(b|0,0,a|0)|0;a=b}return a|0}function zz(a){a=a|0;if(a){a=eQ(a)|0;if(!a){AO(152606,14,1,c[24809]|0)|0;a=0}}else a=0;return a|0}function Az(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=hQ(a,_(d,b)|0)|0;if(!((b|0)!=0&(a|0)==0)){if(b>>>0>e>>>0)tQ(a+(_(e,d)|0)|0,0,_(b-e|0,d)|0)|0}else AO(152606,14,1,c[24809]|0)|0;return a|0}function Bz(a,b){a=a|0;b=b|0;a=hQ(a,b)|0;if((b|0)!=0&(a|0)==0)AO(152606,14,1,c[24809]|0)|0;return a|0}function Cz(b,d,f,g){b=b|0;d=d|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0;F=i;i=i+96|0;z=F+64|0;y=F+56|0;B=F+48|0;A=F+40|0;v=F+32|0;u=F+24|0;r=F;D=4;E=eQ(40)|0;c[E>>2]=0;s=b+16|0;if(a[142275]|0){j=c[(c[s>>2]|0)+192>>2]|0;if(!j){k=0;j=0}else{k=0;l=0;do{l=l+1|0;q=c[j+16>>2]|0;j=c[q+180>>2]|0;if(c[j>>2]|0){m=0;do{k=k+1|0;m=m+1|0}while((c[j+(m<<2)>>2]|0)!=0)}j=c[q+164>>2]|0}while((j|0)!=0);j=l}x=c[24809]|0;n=0;c[r>>2]=143271;c[r+4>>2]=j;c[r+8>>2]=k;c[r+12>>2]=f;c[r+16>>2]=d;ka(29,x|0,143227,r|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)!=1){n=0;xa(1);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)!=1)x=9;else{j=C;x=68}}else{j=C;x=68}}else x=9;a:do if((x|0)==9){c[13996]=b;c[13997]=0;c[13998]=0;c[13999]=0;j=c[(c[s>>2]|0)+192>>2]|0;if(!j)j=0;else{q=0;k=0;do{m=c[j+16>>2]|0;a[m+157>>0]=0;q=q+1|0;c[13999]=q;l=c[m+180>>2]|0;if(c[l>>2]|0){j=0;do{k=k+1|0;j=j+1|0}while((c[l+(j<<2)>>2]|0)!=0);c[13998]=k}j=c[m+164>>2]|0}while((j|0)!=0);j=q<<2}k=c[14e3]|0;if(!k){n=0;j=ia(21,j|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break}}else{n=0;j=ra(88,k|0,j|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break}}c[14e3]=j;c[14001]=0;j=c[14002]|0;if(!j){n=0;j=ia(21,c[13999]<<2|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break}}else{n=0;j=ra(88,j|0,c[13999]<<2|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break}}c[14002]=j;c[14003]=0;j=c[(c[s>>2]|0)+192>>2]|0;if(j){l=1;while(1){b=j+16|0;r=c[b>>2]|0;q=r+292|0;c[q>>2]=0;r=c[r+172>>2]|0;j=c[r>>2]|0;if(!j){m=l;j=0}else{m=j;j=0;while(1){j=j+1|0;c[q>>2]=j;k=c[m+16>>2]|0;c[k+160>>2]=0;c[k+164>>2]=-1;if(!l)k=0;else{w=c[m>>2]&3;k=((c[(c[(c[((w|0)==2?m:m+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((w|0)==3?m:m+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0)<(e[k+170>>1]|0)?0:l}m=c[r+(j<<2)>>2]|0;if(!m){m=k;break}else l=k}}n=0;j=ia(25,(j<<2)+4|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break a}k=c[b>>2]|0;c[k+264>>2]=j;c[k+268>>2]=0;j=c[k+180>>2]|0;k=0;do{w=k;k=k+1|0}while((c[j+(w<<2)>>2]|0)!=0);n=0;j=ia(25,k<<2|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break a}w=c[b>>2]|0;c[w+272>>2]=j;c[w+276>>2]=0;j=c[w+164>>2]|0;if(!j)break;else l=m}if(!m){n=0;t=ia(26,c[13999]|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;break}j=c[(c[(c[13996]|0)+16>>2]|0)+192>>2]|0;if(j){k=j;do{l=k+16|0;j=c[l>>2]|0;if(!(c[j+292>>2]|0)){n=0;ga(27,t|0,k|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;break a}j=c[l>>2]|0}k=c[j+164>>2]|0}while((k|0)!=0)}n=0;j=ia(27,t|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break}if(!j)j=0;else{m=j;j=0;do{s=m+16|0;l=c[s>>2]|0;b=l+232|0;c[b>>2]=0;j=j+1|0;r=c[l+172>>2]|0;k=c[r>>2]|0;if(k){m=0;q=0;do{w=(e[(c[k+16>>2]|0)+170>>1]|0)+(c[(c[(c[((c[k>>2]&3|0)==3?k:k+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0;m=(m|0)>(w|0)?m:w;c[b>>2]=m;q=q+1|0;k=c[r+(q<<2)>>2]|0}while((k|0)!=0)}k=c[c[l+180>>2]>>2]|0;if(k){q=0;do{m=k+-48|0;b=(c[(c[((c[k>>2]&3|0)==2?k:m)+40>>2]|0)+16>>2]|0)+292|0;w=c[b>>2]|0;c[b>>2]=w+-1;if((w|0)<2){n=0;ga(27,t|0,c[((c[k>>2]&3|0)==2?k:m)+40>>2]|0);k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break a}l=c[s>>2]|0}q=q+1|0;k=c[(c[l+180>>2]|0)+(q<<2)>>2]|0}while((k|0)!=0)}n=0;m=ia(27,t|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break a}}while((m|0)!=0)}if((j|0)!=(c[13999]|0)){n=0;ka(23,1,143289,u|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;break}j=c[(c[(c[13996]|0)+16>>2]|0)+192>>2]|0;if(j){k=j;do{m=k+16|0;j=c[m>>2]|0;if(c[j+292>>2]|0){n=0;j=ia(28,k|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;break a}w=c[(c[m>>2]|0)+292>>2]|0;n=0;c[v>>2]=j;c[v+4>>2]=w;ka(23,3,143311,v|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;break a}j=c[m>>2]|0}k=c[j+164>>2]|0}while((k|0)!=0)}}n=0;ea(109,t|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;break}}}if((f|0)<1){n=0;xa(2);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;break}j=0;break}else{c[14004]=(g|0)>-1?g:30;E=nQ(56020,1,E|0,D|0)|0;D=C;n=0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;break}j=0;x=68;break}}while(0);b:do if((x|0)==68){c:while(1){x=0;if(j){j=2;break b}j=c[(c[(c[13996]|0)+16>>2]|0)+192>>2]|0;if(j)do{w=c[j+16>>2]|0;c[w+280>>2]=0;j=c[w+164>>2]|0}while((j|0)!=0);n=0;w=ia(25,c[13999]<<2|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue}j=c[(c[(c[13996]|0)+16>>2]|0)+192>>2]|0;if(!j)k=0;else{k=0;while(1){r=j+16|0;l=c[r>>2]|0;if(!(c[l+280>>2]|0)){n=0;q=ia(25,16)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){m=qQ(c[l>>2]|0,E|0,D|0)|0;if(!m)Ra(l|0,o|0);C=o}else m=-1;if((m|0)==1){j=C;x=68;continue c}c[q>>2]=j;n=0;j=ra(94,j|0,q|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){m=qQ(c[l>>2]|0,E|0,D|0)|0;if(!m)Ra(l|0,o|0);C=o}else m=-1;if((m|0)==1){j=C;x=68;continue c}c[q+4>>2]=j;c[q+12>>2]=q;c[w+(k<<2)>>2]=q;j=c[r>>2]|0;k=k+1|0}else j=l;j=c[j+164>>2]|0;if(!j)break}}n=0;v=ia(25,8)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue}c[v>>2]=w;u=v+4|0;c[u>>2]=k;g=(k|0)>0;if(g){j=0;do{c[(c[w+(j<<2)>>2]|0)+8>>2]=j;j=j+1|0}while((j|0)!=(k|0))}d:do if((k|0)>-2){m=(k|0)/2|0;while(1){n=0;ga(28,v|0,m|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}if((m|0)>0)m=m+-1|0;else break}j=c[u>>2]|0;if((j|0)>1){while(1){t=c[v>>2]|0;m=c[t>>2]|0;c[m+8>>2]=-1;j=j+-1|0;c[t>>2]=c[t+(j<<2)>>2];t=c[v>>2]|0;c[(c[t>>2]|0)+8>>2]=0;c[t+(j<<2)>>2]=m;c[u>>2]=j;n=0;ga(28,v|0,0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}n=0;s=ka(37,c[m>>2]|0,0,0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}r=s+16|0;if((c[(c[r>>2]|0)+164>>2]|0)>-1){x=90;break}b=s+48|0;n=0;t=ia(29,c[((c[s>>2]&3|0)==3?s:b)+40>>2]|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}j=s+-48|0;n=0;q=ia(29,c[((c[s>>2]&3|0)==2?s:j)+40>>2]|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){m=qQ(c[l>>2]|0,E|0,D|0)|0;if(!m)Ra(l|0,o|0);C=o}else m=-1;if((m|0)==1){j=C;x=68;continue c}m=c[s>>2]&3;j=(c[(c[(c[((m|0)==2?s:j)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((m|0)==3?s:b)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[(c[r>>2]|0)+170>>1]|0)|0;if((c[t+8>>2]|0)==-1){n=0;wa(63,c[t>>2]|0,0,j|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}}else{n=0;wa(63,c[q>>2]|0,0,0-j|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}}n=0;ea(110,s|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}b=t;while(1){r=b+12|0;j=c[r>>2]|0;if((j|0)==0|(j|0)==(b|0))break;else b=j}while(1){m=q+12|0;j=c[m>>2]|0;if((j|0)==0|(j|0)==(q|0))break;else q=j}j=c[b+8>>2]|0;if((b|0)!=(q|0)){l=c[q+8>>2]|0;if((j|0)>-1)if((l|0)==-1)j=b;else x=109;else{if((l|0)<=-1){x=106;break}if((j|0)==-1)j=q;else x=109}if((x|0)==109){x=0;j=(c[q+4>>2]|0)<(c[b+4>>2]|0)?b:q}c[m>>2]=j;c[r>>2]=j;c[j+4>>2]=(c[q+4>>2]|0)+(c[b+4>>2]|0);j=c[j+8>>2]|0;if((j|0)<=-1){x=111;break}}n=0;ga(28,v|0,j|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}j=c[u>>2]|0;if((j|0)<=1)break d}if((x|0)==90){n=0;Aa(29,143319,143333,463,143338);j=n;n=0;if((j|0)!=0&(o|0)!=0){x=qQ(c[j>>2]|0,E|0,D|0)|0;if(!x)Ra(j|0,o|0);C=o};j=C;x=68;continue c}else if((x|0)==106){n=0;Aa(29,143350,143333,327,143397);j=n;n=0;if((j|0)!=0&(o|0)!=0){x=qQ(c[j>>2]|0,E|0,D|0)|0;if(!x)Ra(j|0,o|0);C=o};j=C;x=68;continue c}else if((x|0)==111){n=0;Aa(29,143408,143333,335,143397);j=n;n=0;if((j|0)!=0&(o|0)!=0){x=qQ(c[j>>2]|0,E|0,D|0)|0;if(!x)Ra(j|0,o|0);C=o};j=C;x=68;continue c}}}while(0);n=0;ea(104,v|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue}if(g){m=0;while(1){n=0;ea(104,c[w+(m<<2)>>2]|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,E|0,D|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}m=m+1|0;if((m|0)==(k|0))break}}n=0;ea(104,w|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue}if((c[14003]|0)!=((c[13999]|0)+-1|0)){n=0;Aa(29,143427,143333,523,143457);j=n;n=0;if((j|0)!=0&(o|0)!=0){x=qQ(c[j>>2]|0,E|0,D|0)|0;if(!x)Ra(j|0,o|0);C=o};j=C;x=68;continue}n=0;ka(38,c[(c[(c[13996]|0)+16>>2]|0)+192>>2]|0,0,1)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue}n=0;ga(29,c[(c[(c[13996]|0)+16>>2]|0)+192>>2]|0,0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue}w=c[24809]|0;g=0;while(1){s=c[13997]|0;r=c[14003]|0;e:do if((s|0)<(r|0)){b=c[14002]|0;q=s;j=0;k=0;while(1){l=c[b+(q<<2)>>2]|0;m=c[(c[l+16>>2]|0)+160>>2]|0;if((m|0)<0){if(!k)k=l;else k=(c[(c[k+16>>2]|0)+160>>2]|0)>(m|0)?l:k;j=j+1|0;if((j|0)>=(c[14004]|0)){u=k;break e}}q=q+1|0;c[13997]=q;if((q|0)>=(r|0)){x=131;break}}}else{j=0;k=0;x=131}while(0);f:do if((x|0)==131){x=0;if((s|0)>0){c[13997]=0;r=c[14002]|0;q=0;while(1){l=c[r+(q<<2)>>2]|0;m=c[(c[l+16>>2]|0)+160>>2]|0;if((m|0)<0){if(!k)k=l;else k=(c[(c[k+16>>2]|0)+160>>2]|0)>(m|0)?l:k;j=j+1|0;if((j|0)>=(c[14004]|0)){u=k;break f}}q=q+1|0;c[13997]=q;if((q|0)>=(s|0)){u=k;break}}}else u=k}while(0);if(!u)break;n=0;v=ia(30,u|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}l=c[v>>2]&3;s=v+-48|0;t=v+48|0;b=v+16|0;l=(c[(c[(c[((l|0)==2?v:s)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((l|0)==3?v:t)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[(c[b>>2]|0)+170>>1]|0)|0;do if((l|0)>0){j=c[u>>2]&3;m=c[((j|0)==3?u:u+48|0)+40>>2]|0;q=c[m+16>>2]|0;if(((c[q+276>>2]|0)+(c[q+268>>2]|0)|0)==1){n=0;ga(30,m|0,l|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}j=c[((j|0)==2?u:u+-48|0)+40>>2]|0;k=c[j+16>>2]|0;if(((c[k+276>>2]|0)+(c[k+268>>2]|0)|0)==1){n=0;ga(30,j|0,0-l|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}if((c[q+288>>2]|0)<(c[k+288>>2]|0)){n=0;ga(30,m|0,l|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}else{n=0;ga(30,j|0,0-l|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}}while(0);m=u+16|0;q=c[(c[m>>2]|0)+160>>2]|0;r=c[v>>2]&3;n=0;r=va(55,c[((r|0)==3?v:t)+40>>2]|0,c[((r|0)==2?v:s)+40>>2]|0,q|0,1)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}j=c[v>>2]&3;n=0;j=va(55,c[((j|0)==2?v:s)+40>>2]|0,c[((j|0)==3?v:t)+40>>2]|0,q|0,0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}if((j|0)!=(r|0)){x=155;break}k=c[b>>2]|0;c[k+160>>2]=0-q;l=c[m>>2]|0;c[l+160>>2]=0;l=l+164|0;c[k+164>>2]=c[l>>2];c[(c[14002]|0)+(c[l>>2]<<2)>>2]=v;c[(c[m>>2]|0)+164>>2]=-1;m=(c[((c[u>>2]&3|0)==3?u:u+48|0)+40>>2]|0)+16|0;l=c[m>>2]|0;k=l+276|0;b=c[k>>2]|0;q=b+-1|0;c[k>>2]=q;l=c[l+272>>2]|0;g:do if((b|0)<1)j=0;else{k=0;while(1){if((c[l+(k<<2)>>2]|0)==(u|0)){j=k;break g}j=k+1|0;if((k|0)<(q|0))k=j;else break}}while(0);c[l+(j<<2)>>2]=c[l+(q<<2)>>2];c[(c[(c[m>>2]|0)+272>>2]|0)+(q<<2)>>2]=0;m=(c[((c[u>>2]&3|0)==2?u:u+-48|0)+40>>2]|0)+16|0;l=c[m>>2]|0;k=l+268|0;b=c[k>>2]|0;q=b+-1|0;c[k>>2]=q;l=c[l+264>>2]|0;h:do if((b|0)<1)j=0;else{k=0;while(1){if((c[l+(k<<2)>>2]|0)==(u|0)){j=k;break h}j=k+1|0;if((k|0)<(q|0))k=j;else break}}while(0);c[l+(j<<2)>>2]=c[l+(q<<2)>>2];c[(c[(c[m>>2]|0)+264>>2]|0)+(q<<2)>>2]=0;j=(c[((c[v>>2]&3|0)==3?v:t)+40>>2]|0)+16|0;u=c[j>>2]|0;b=u+276|0;t=c[b>>2]|0;c[b>>2]=t+1;c[(c[u+272>>2]|0)+(t<<2)>>2]=v;j=c[j>>2]|0;c[(c[j+272>>2]|0)+(c[j+276>>2]<<2)>>2]=0;j=(c[((c[v>>2]&3|0)==2?v:s)+40>>2]|0)+16|0;t=c[j>>2]|0;s=t+268|0;u=c[s>>2]|0;c[s>>2]=u+1;c[(c[t+264>>2]|0)+(u<<2)>>2]=v;j=c[j>>2]|0;c[(c[j+264>>2]|0)+(c[j+268>>2]<<2)>>2]=0;j=c[r+16>>2]|0;n=0;ka(38,r|0,c[j+280>>2]|0,c[j+284>>2]|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}m=g+1|0;do if((a[142275]|0)!=0&((m|0)%100|0|0)==0){j=(m|0)%1e3|0;if((j|0)==100){n=0;va(56,143271,17,1,w|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}n=0;c[B>>2]=m;ka(29,w|0,143510,B|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}n=0;c[y>>2]=m;ka(29,w|0,143510,y|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}if(j)break;n=0;ra(95,10,w|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}}while(0);if((m|0)<(f|0))g=m;else{g=m;break}}if((x|0)==155){n=0;ka(23,1,143471,A|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue}n=0;ga(24,56020,1);j=n;n=0;if((j|0)!=0&(o|0)!=0){x=qQ(c[j>>2]|0,E|0,D|0)|0;if(!x)Ra(j|0,o|0);C=o};j=C;x=68;continue}switch(d|0){case 1:{n=0;xa(3);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}n=0;u=ia(25,(c[14044]<<2)+4|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}if((c[14044]|0)>=0){j=0;while(1){c[u+(j<<2)>>2]=0;if((j|0)<(c[14044]|0))j=j+1|0;else break}}k=(c[(c[13996]|0)+16>>2]|0)+192|0;j=c[k>>2]|0;do if(j){do{j=c[j+16>>2]|0;if(!(a[j+156>>0]|0)){x=u+(c[j+232>>2]<<2)|0;c[x>>2]=(c[x>>2]|0)+1}j=c[j+164>>2]|0}while((j|0)!=0);j=c[k>>2]|0;if(!j)break;while(1){t=j+16|0;j=c[t>>2]|0;if(!(a[j+156>>0]|0)){m=c[14044]|0;b=c[j+172>>2]|0;k=c[b>>2]|0;if(!k){s=0;q=0}else{r=0;l=0;q=0;do{x=c[k+16>>2]|0;l=(c[x+156>>2]|0)+l|0;x=(e[x+170>>1]|0)+(c[(c[(c[((c[k>>2]&3|0)==3?k:k+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0;q=(q|0)>(x|0)?q:x;r=r+1|0;k=c[b+(r<<2)>>2]|0}while((k|0)!=0);s=l}b=c[j+180>>2]|0;k=c[b>>2]|0;if(!k){r=m;l=0}else{r=0;l=0;do{x=c[k+16>>2]|0;l=(c[x+156>>2]|0)+l|0;x=(c[(c[(c[((c[k>>2]&3|0)==2?k:k+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[x+170>>1]|0)|0;m=(m|0)<(x|0)?m:x;r=r+1|0;k=c[b+(r<<2)>>2]|0}while((k|0)!=0);r=m}k=(q|0)<0?0:q;if((s|0)==(l|0)){if((k|0)<(r|0)){l=k;m=k;while(1){m=m+1|0;k=(c[u+(m<<2)>>2]|0)<(c[u+(l<<2)>>2]|0)?m:l;if((m|0)==(r|0))break;else l=k}}x=j+232|0;v=u+(c[x>>2]<<2)|0;c[v>>2]=(c[v>>2]|0)+-1;v=u+(k<<2)|0;c[v>>2]=(c[v>>2]|0)+1;c[x>>2]=k}k=c[j+264>>2]|0;if(k){n=0;ea(104,k|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}j=c[t>>2]|0}k=c[j+272>>2]|0;if(k){n=0;ea(104,k|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}j=c[t>>2]|0}a[j+157>>0]=0}j=c[j+164>>2]|0;if(!j)break}}while(0);n=0;ea(104,u|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}case 2:{if((c[14003]|0)>0){q=0;while(1){m=c[(c[14002]|0)+(q<<2)>>2]|0;do if(!(c[(c[m+16>>2]|0)+160>>2]|0)){n=0;j=ia(30,m|0)|0;k=n;n=0;if((k|0)!=0&(o|0)!=0){l=qQ(c[k>>2]|0,E|0,D|0)|0;if(!l)Ra(k|0,o|0);C=o}else l=-1;if((l|0)==1){j=C;x=68;continue c}if(!j)break;k=c[j>>2]&3;k=(c[(c[(c[((k|0)==2?j:j+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((k|0)==3?j:j+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[(c[j+16>>2]|0)+170>>1]|0)|0;if((k|0)<2)break;j=c[m>>2]&3;l=c[((j|0)==3?m:m+48|0)+40>>2]|0;j=c[((j|0)==2?m:m+-48|0)+40>>2]|0;if((c[(c[l+16>>2]|0)+288>>2]|0)<(c[(c[j+16>>2]|0)+288>>2]|0)){n=0;ga(30,l|0,(k|0)/2|0|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}else{n=0;ga(30,j|0,(k|0)/-2|0|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}}while(0);q=q+1|0;if((q|0)>=(c[14003]|0))break}}n=0;xa(2);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}break}default:{n=0;xa(3);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}n=0;xa(2);j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue c}}}if(!(a[142275]|0)){j=0;break b}if((g|0)>99){n=0;ra(95,10,w|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68;continue}}j=c[13999]|0;k=c[13998]|0;n=0;p=+sa(1);l=n;n=0;if((l|0)!=0&(o|0)!=0){m=qQ(c[l>>2]|0,E|0,D|0)|0;if(!m)Ra(l|0,o|0);C=o}else m=-1;if((m|0)==1){j=C;x=68;continue}n=0;c[z>>2]=143271;c[z+4>>2]=j;c[z+8>>2]=k;c[z+12>>2]=g;h[z+16>>3]=p;ka(29,w|0,143514,z|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){k=qQ(c[j>>2]|0,E|0,D|0)|0;if(!k)Ra(j|0,o|0);C=o}else k=-1;if((k|0)==1){j=C;x=68}else break}j=0}while(0);fQ(E|0);i=F;return j|0}function Dz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Qs(a,143552)|0;if(!d)d=30;else d=NO(d)|0;return Cz(a,b,c,d)|0}function Ez(){var b=0,d=0,e=0;b=c[(c[(c[13996]|0)+16>>2]|0)+192>>2]|0;if(b)do{e=b+16|0;b=c[e>>2]|0;d=c[b+264>>2]|0;if(d){fQ(d);b=c[e>>2]|0}d=c[b+272>>2]|0;if(d){fQ(d);b=c[e>>2]|0}a[b+157>>0]=0;b=c[b+164>>2]|0}while((b|0)!=0);return}function Fz(a,b){a=a|0;b=b|0;var d=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;l=a+16|0;f=c[l>>2]|0;c[f+280>>2]=b;a=c[c[f+172>>2]>>2]|0;if(!a)a=1;else{g=a;h=0;a=1;do{d=c[g+16>>2]|0;if(((c[d+164>>2]|0)<=-1?(i=c[g>>2]&3,j=g+48|0,k=c[(c[((i|0)==3?g:j)+40>>2]|0)+16>>2]|0,(c[k+280>>2]|0)==0):0)?((c[(c[(c[((i|0)==2?g:g+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[k+232>>2]|0)|0)==(e[d+170>>1]|0|0):0){Kz(g);a=(Fz(c[((c[g>>2]&3|0)==3?g:j)+40>>2]|0,b)|0)+a|0;f=c[l>>2]|0}h=h+1|0;g=c[(c[f+172>>2]|0)+(h<<2)>>2]|0}while((g|0)!=0)}d=c[c[f+180>>2]>>2]|0;if(d){h=0;do{g=c[d+16>>2]|0;if(((c[g+164>>2]|0)<=-1?(m=c[d>>2]&3,n=d+-48|0,o=c[(c[((m|0)==2?d:n)+40>>2]|0)+16>>2]|0,(c[o+280>>2]|0)==0):0)?((c[o+232>>2]|0)-(c[(c[(c[((m|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0)==(e[g+170>>1]|0|0):0){Kz(d);a=(Fz(c[((c[d>>2]&3|0)==2?d:n)+40>>2]|0,b)|0)+a|0;f=c[l>>2]|0}h=h+1|0;d=c[(c[f+180>>2]|0)+(h<<2)>>2]|0}while((d|0)!=0)}return a|0}function Gz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=c[a>>2]|0;g=c[a+4>>2]|0;while(1){a=b<<1;f=a+2|0;a=a|1;if(!((a|0)<(g|0)?(c[(c[h+(a<<2)>>2]|0)+4>>2]|0)<(c[(c[h+(b<<2)>>2]|0)+4>>2]|0):0))a=b;if((f|0)>=(g|0))break;d=h+(f<<2)|0;e=c[d>>2]|0;if((f|0)==(b|0)?1:(c[e+4>>2]|0)>=(c[(c[h+(a<<2)>>2]|0)+4>>2]|0))break;i=h+(b<<2)|0;a=c[i>>2]|0;c[i>>2]=e;c[d>>2]=a;c[(c[i>>2]|0)+8>>2]=b;c[a+8>>2]=f;b=f}return}function Hz(a,b,d){a=a|0;b=b|0;d=d|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;l=Iz(a)|0;if(d){k=c[d>>2]&3;if(((c[(c[(c[((k|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((k|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0)!=(e[(c[d+16>>2]|0)+170>>1]|0|0))f=3}else{d=0;f=3}if((f|0)==3){k=a+16|0;f=c[k>>2]|0;g=c[c[f+180>>2]>>2]|0;if(g){j=0;do{f=g+16|0;h=g+-48|0;i=c[((c[g>>2]&3|0)==2?g:h)+40>>2]|0;do if((c[(c[f>>2]|0)+164>>2]|0)>-1){if((i|0)!=(b|0))d=Hz(i,a,d)|0}else if((Iz(i)|0)!=(l|0)){if((d|0)!=0?(m=c[g>>2]&3,i=c[d>>2]&3,((c[(c[(c[((m|0)==2?g:h)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((m|0)==3?g:g+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[(c[f>>2]|0)+170>>1]|0)|0)>=((c[(c[(c[((i|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((i|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[(c[d+16>>2]|0)+170>>1]|0)|0)):0)break;d=g}while(0);j=j+1|0;f=c[k>>2]|0;g=c[(c[f+180>>2]|0)+(j<<2)>>2]|0}while((g|0)!=0)}f=c[c[f+172>>2]>>2]|0;if(f){j=0;do{g=f+16|0;h=f+48|0;i=c[((c[f>>2]&3|0)==3?f:h)+40>>2]|0;do if((c[(c[g>>2]|0)+164>>2]|0)>-1){if((i|0)!=(b|0))d=Hz(i,a,d)|0}else if((Iz(i)|0)!=(l|0)){if((d|0)!=0?(i=c[f>>2]&3,m=c[d>>2]&3,((c[(c[(c[((i|0)==2?f:f+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((i|0)==3?f:h)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[(c[g>>2]|0)+170>>1]|0)|0)>=((c[(c[(c[((m|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((m|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[(c[d+16>>2]|0)+170>>1]|0)|0)):0)break;d=f}while(0);j=j+1|0;f=c[(c[(c[k>>2]|0)+172>>2]|0)+(j<<2)>>2]|0}while((f|0)!=0)}}return d|0}function Iz(a){a=a|0;var b=0,d=0;d=c[(c[a+16>>2]|0)+280>>2]|0;b=d+12|0;a=c[b>>2]|0;a:do if((a|0)!=(d|0)&(a|0)!=0)while(1){d=c[a+12>>2]|0;if(!d)break a;c[b>>2]=d;a=c[d+12>>2]|0;if(!((a|0)!=(d|0)&(a|0)!=0)){a=d;break}else b=d+12|0}else a=d;while(0);return a|0}function Jz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;h=a+16|0;f=c[h>>2]|0;e=f+232|0;c[e>>2]=(c[e>>2]|0)+d;e=c[c[f+264>>2]>>2]|0;if(e){g=0;do{e=c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0;if((e|0)!=(b|0)){Jz(e,a,d);f=c[h>>2]|0}g=g+1|0;e=c[(c[f+264>>2]|0)+(g<<2)>>2]|0}while((e|0)!=0)}e=c[c[f+272>>2]>>2]|0;if(e){g=0;do{e=c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0;if((e|0)!=(b|0)){Jz(e,a,d);f=c[h>>2]|0}g=g+1|0;e=c[(c[f+272>>2]|0)+(g<<2)>>2]|0}while((e|0)!=0)}return}function Kz(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;h=i;i=i+32|0;d=(c[b+16>>2]|0)+164|0;if((c[d>>2]|0)>-1){us(1,143563,h)|0;Ra(56020,1)}e=c[14003]|0;c[d>>2]=e;c[14003]=e+1;c[(c[14002]|0)+(e<<2)>>2]=b;e=c[b>>2]|0;g=b+48|0;d=c[((e&3|0)==3?b:g)+40>>2]|0;if(!(a[(c[d+16>>2]|0)+157>>0]|0)){f=c[14001]|0;c[14001]=f+1;c[(c[14e3]|0)+(f<<2)>>2]=d;d=c[b>>2]|0}else d=e;f=b+-48|0;e=c[((d&3|0)==2?b:f)+40>>2]|0;if(!(a[(c[e+16>>2]|0)+157>>0]|0)){d=c[14001]|0;c[14001]=d+1;c[(c[14e3]|0)+(d<<2)>>2]=e;d=c[b>>2]|0}g=(c[((d&3|0)==3?b:g)+40>>2]|0)+16|0;d=c[g>>2]|0;a[d+157>>0]=1;j=d+276|0;e=c[j>>2]|0;c[j>>2]=e+1;c[(c[d+272>>2]|0)+(e<<2)>>2]=b;e=c[g>>2]|0;c[(c[e+272>>2]|0)+(c[e+276>>2]<<2)>>2]=0;g=c[g>>2]|0;if(!(c[(c[g+180>>2]|0)+((c[g+276>>2]|0)+-1<<2)>>2]|0)){us(1,143597,h+8|0)|0;Ra(56020,1)}j=(c[((c[b>>2]&3|0)==2?b:f)+40>>2]|0)+16|0;f=c[j>>2]|0;a[f+157>>0]=1;e=f+268|0;g=c[e>>2]|0;c[e>>2]=g+1;c[(c[f+264>>2]|0)+(g<<2)>>2]=b;b=c[j>>2]|0;c[(c[b+264>>2]|0)+(c[b+268>>2]<<2)>>2]=0;j=c[j>>2]|0;if(!(c[(c[j+172>>2]|0)+((c[j+268>>2]|0)+-1<<2)>>2]|0)){us(1,143632,h+16|0)|0;Ra(56020,1)}else{i=h;return}}function Lz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;g=a+16|0;a=c[g>>2]|0;c[a+280>>2]=b;c[a+284>>2]=d;e=c[c[a+272>>2]>>2]|0;if(e){f=0;do{if((e|0)!=(b|0)){d=Lz(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0,e,d)|0;a=c[g>>2]|0}f=f+1|0;e=c[(c[a+272>>2]|0)+(f<<2)>>2]|0}while((e|0)!=0)}e=c[c[a+264>>2]>>2]|0;if(e){f=0;do{if((e|0)!=(b|0)){d=Lz(c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0,e,d)|0;a=c[g>>2]|0}f=f+1|0;e=c[(c[a+264>>2]|0)+(f<<2)>>2]|0}while((e|0)!=0)}c[a+288>>2]=d;return d+1|0}function Mz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;f=a+16|0;d=c[f>>2]|0;a=c[c[d+272>>2]>>2]|0;if(a){e=0;do{if((a|0)!=(b|0)){Mz(c[((c[a>>2]&3|0)==2?a:a+-48|0)+40>>2]|0,a);d=c[f>>2]|0}e=e+1|0;a=c[(c[d+272>>2]|0)+(e<<2)>>2]|0}while((a|0)!=0)}a=c[c[d+264>>2]>>2]|0;if(a){e=0;do{if((a|0)!=(b|0)){Mz(c[((c[a>>2]&3|0)==3?a:a+48|0)+40>>2]|0,a);d=c[f>>2]|0}e=e+1|0;a=c[(c[d+264>>2]|0)+(e<<2)>>2]|0}while((a|0)!=0)}if(b){a=c[b>>2]&3;e=c[((a|0)==3?b:b+48|0)+40>>2]|0;d=c[e+16>>2]|0;if((c[d+280>>2]|0)==(b|0))i=1;else{e=c[((a|0)==2?b:b+-48|0)+40>>2]|0;d=c[e+16>>2]|0;i=-1}h=c[d+180>>2]|0;a=c[h>>2]|0;if(!a)a=0;else{f=a;g=0;a=0;do{a=(Tz(f,e,i)|0)+a|0;g=g+1|0;f=c[h+(g<<2)>>2]|0}while((f|0)!=0)}g=c[d+172>>2]|0;d=c[g>>2]|0;if(d){f=0;do{a=(Tz(d,e,i)|0)+a|0;f=f+1|0;d=c[g+(f<<2)>>2]|0}while((d|0)!=0)}c[(c[b+16>>2]|0)+160>>2]=a}return}function Nz(a){a=a|0;var b=0,d=0;b=c[a>>2]&3;d=c[((b|0)==3?a:a+48|0)+40>>2]|0;a=c[((b|0)==2?a:a+-48|0)+40>>2]|0;b=(c[(c[d+16>>2]|0)+288>>2]|0)<(c[(c[a+16>>2]|0)+288>>2]|0);a=b?d:a;c[14046]=0;c[14047]=2147483647;d=c[a+16>>2]|0;c[14048]=c[d+284>>2];c[14049]=c[d+288>>2];if(b)Sz(a);else Rz(a);return c[14046]|0}function Oz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;f=a+16|0;a=c[f>>2]|0;d=a+232|0;c[d>>2]=(c[d>>2]|0)-b;d=c[c[a+272>>2]>>2]|0;if(d){e=0;do{if((d|0)!=(c[a+280>>2]|0)){Oz(c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0,b);a=c[f>>2]|0}e=e+1|0;d=c[(c[a+272>>2]|0)+(e<<2)>>2]|0}while((d|0)!=0)}d=c[c[a+264>>2]>>2]|0;if(d){e=0;do{if((d|0)!=(c[a+280>>2]|0)){Oz(c[((c[d>>2]&3|0)==3?d:d+48|0)+40>>2]|0,b);a=c[f>>2]|0}e=e+1|0;d=c[(c[a+264>>2]|0)+(e<<2)>>2]|0}while((d|0)!=0)}return}function Pz(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;g=(e|0)==0&1;h=0-d|0;f=c[(c[b+16>>2]|0)+288>>2]|0;while(1){b=c[a+16>>2]|0;if((c[b+284>>2]|0)<=(f|0)?(f|0)<=(c[b+288>>2]|0):0)break;b=c[b+280>>2]|0;i=b+48|0;j=(c[b+16>>2]|0)+160|0;c[j>>2]=((((a|0)==(c[((c[b>>2]&3|0)==3?b:i)+40>>2]|0)?e:g)|0)==0?h:d)+(c[j>>2]|0);j=c[b>>2]&3;i=c[((j|0)==3?b:i)+40>>2]|0;b=c[((j|0)==2?b:b+-48|0)+40>>2]|0;a=(c[(c[i+16>>2]|0)+288>>2]|0)>(c[(c[b+16>>2]|0)+288>>2]|0)?i:b}return a|0}function Qz(){var b=0,d=0,e=0,f=0,g=0,h=0,i=0;c[14045]=2147483647;c[14044]=-2147483647;f=(c[(c[13996]|0)+16>>2]|0)+192|0;e=c[f>>2]|0;if(e){b=2147483647;d=-2147483647;do{e=c[e+16>>2]|0;if(!(a[e+156>>0]|0)){h=e+232|0;i=c[h>>2]|0;b=(b|0)<(i|0)?b:i;c[14045]=b;h=c[h>>2]|0;d=(d|0)>(h|0)?d:h;c[14044]=d}e=c[e+164>>2]|0}while((e|0)!=0);if(b){e=c[f>>2]|0;if(!e)g=9;else{d=e;do{i=c[d+16>>2]|0;h=i+232|0;c[h>>2]=(c[h>>2]|0)-b;d=c[i+164>>2]|0;b=c[14045]|0}while((d|0)!=0);d=c[14044]|0;g=9}}}else{b=2147483647;d=-2147483647;g=9}if((g|0)==9){c[14044]=d-b;c[14045]=0}return}function Rz(a){a=a|0;var b=0,d=0,f=0,g=0,h=0,i=0,j=0;i=a+16|0;b=c[i>>2]|0;a=c[c[b+180>>2]>>2]|0;if(a){g=0;do{f=c[a+16>>2]|0;if((c[f+164>>2]|0)<0){b=c[a>>2]&3;d=c[(c[((b|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0;j=c[d+288>>2]|0;if((c[14048]|0)>(j|0)|(j|0)>(c[14049]|0)?(h=(c[d+232>>2]|0)-(c[(c[(c[((b|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(e[f+170>>1]|0)|0,(h|0)<(c[14047]|0)|(c[14046]|0)==0):0){c[14046]=a;c[14047]=h}}else{a=c[((c[a>>2]&3|0)==2?a:a+-48|0)+40>>2]|0;if((c[(c[a+16>>2]|0)+288>>2]|0)<(c[b+288>>2]|0))Rz(a)}g=g+1|0;b=c[i>>2]|0;a=c[(c[b+180>>2]|0)+(g<<2)>>2]|0}while((a|0)!=0)}d=c[c[b+264>>2]>>2]|0;a=c[14047]|0;if((d|0)!=0&(a|0)>0){f=0;do{d=c[((c[d>>2]&3|0)==3?d:d+48|0)+40>>2]|0;if((c[(c[d+16>>2]|0)+288>>2]|0)<(c[b+288>>2]|0)){Rz(d);a=c[14047]|0;b=c[i>>2]|0}f=f+1|0;d=c[(c[b+264>>2]|0)+(f<<2)>>2]|0}while((d|0)!=0&(a|0)>0)}return}function Sz(a){a=a|0;var b=0,d=0,f=0,g=0,h=0,i=0,j=0;i=a+16|0;b=c[i>>2]|0;a=c[c[b+172>>2]>>2]|0;if(a){g=0;do{f=c[a+16>>2]|0;if((c[f+164>>2]|0)<0){b=c[a>>2]&3;d=c[(c[((b|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0;j=c[d+288>>2]|0;if((c[14048]|0)>(j|0)|(j|0)>(c[14049]|0)?(h=(c[(c[(c[((b|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[d+232>>2]|0)-(e[f+170>>1]|0)|0,(h|0)<(c[14047]|0)|(c[14046]|0)==0):0){c[14046]=a;c[14047]=h}}else{a=c[((c[a>>2]&3|0)==3?a:a+48|0)+40>>2]|0;if((c[(c[a+16>>2]|0)+288>>2]|0)<(c[b+288>>2]|0))Sz(a)}g=g+1|0;b=c[i>>2]|0;a=c[(c[b+172>>2]|0)+(g<<2)>>2]|0}while((a|0)!=0)}d=c[c[b+272>>2]>>2]|0;a=c[14047]|0;if((d|0)!=0&(a|0)>0){f=0;do{d=c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0;if((c[(c[d+16>>2]|0)+288>>2]|0)<(c[b+288>>2]|0)){Sz(d);a=c[14047]|0;b=c[i>>2]|0}f=f+1|0;d=c[(c[b+272>>2]|0)+(f<<2)>>2]|0}while((d|0)!=0&(a|0)>0)}return}function Tz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;h=c[a>>2]&3;i=(h|0)==3?a:a+48|0;e=c[i+40>>2]|0;if((e|0)==(b|0))e=c[((h|0)==2?a:a+-48|0)+40>>2]|0;g=c[b+16>>2]|0;f=c[(c[e+16>>2]|0)+288>>2]|0;if((c[g+284>>2]|0)<=(f|0)?(f|0)<=(c[g+288>>2]|0):0){e=c[a+16>>2]|0;if((c[e+164>>2]|0)>-1)f=c[e+160>>2]|0;else f=0;g=1;e=f-(c[e+156>>2]|0)|0}else{g=0;e=c[(c[a+16>>2]|0)+156>>2]|0}b=(c[((d|0)>0?((h|0)==2?a:a+-48|0):i)+40>>2]|0)==(b|0)?1:-1;return (((g?b:0-b|0)|0)<0?0-e|0:e)|0}function Uz(a){a=+a;return +((c[13887]|0)==0?a:+h[4293]-a)}function Vz(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0;t=i;i=i+1088|0;q=t+40|0;s=t+32|0;m=t+24|0;n=t+16|0;l=t+8|0;k=t;r=t+56|0;j=c[(c[(c[d+64>>2]|0)+8>>2]|0)+4>>2]|0;c[14050]=j;g=c[d+16>>2]|0;if(c[13887]|0){u=+h[g+40>>3]+ +h[g+24>>3];h[4293]=u;h[4294]=u/72.0}v=+h[g+32>>3];u=+h[g+40>>3];w=+h[b+352>>3];Qb[j&127](e,143666)|0;h[k>>3]=w;DO(r,143673,k)|0;Qb[c[56200>>2]&127](e,r)|0;Qb[c[56200>>2]&127](e,143678)|0;h[l>>3]=v/72.0;DO(r,143673,l)|0;Qb[c[56200>>2]&127](e,r)|0;Qb[c[56200>>2]&127](e,143678)|0;h[q>>3]=u/72.0;DO(r,143673,q)|0;Qb[c[56200>>2]&127](e,r)|0;a[143680]=10;Qb[c[56200>>2]&127](e,143680)|0;g=gu(d)|0;if(g)do{j=g+16|0;if(!(a[(c[j>>2]|0)+118>>0]|0)){p=Ev(Ft(g)|0)|0;Qb[c[56200>>2]&127](e,143682)|0;Qb[c[56200>>2]&127](e,p)|0;p=(c[j>>2]|0)+16|0;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2];Yz(e,q);if(!(a[(c[(c[j>>2]|0)+104>>2]|0)+82>>0]|0)){o=xu(g)|0;p=Zu(o,c[c[(c[j>>2]|0)+104>>2]>>2]|0)|0;b=Ev(p)|0;$u(o,p)|0}else b=Ev(Rs(g,c[13916]|0)|0)|0;w=+h[(c[j>>2]|0)+32>>3];Qb[c[56200>>2]&127](e,143678)|0;h[n>>3]=w;DO(r,143673,n)|0;Qb[c[56200>>2]&127](e,r)|0;w=+h[(c[j>>2]|0)+40>>3];Qb[c[56200>>2]&127](e,143678)|0;h[m>>3]=w;DO(r,143673,m)|0;Qb[c[56200>>2]&127](e,r)|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,b)|0;p=pC(g,c[13919]|0,152084)|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,p)|0;j=c[c[(c[j>>2]|0)+8>>2]>>2]|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,j)|0;j=pC(g,c[13902]|0,178378)|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,j)|0;j=pC(g,c[13903]|0,181739)|0;if(!(a[j>>0]|0))j=pC(g,c[13902]|0,175888)|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,j)|0;a[143680]=10;Qb[c[56200>>2]&127](e,143680)|0}g=hu(d,g)|0}while((g|0)!=0);g=gu(d)|0;if(g){p=f<<24>>24==0;do{j=at(d,g)|0;if(j)do{if(p){n=181739;f=181739}else{f=Qs(j,152537)|0;n=Qs(j,152546)|0;n=(n|0)!=0?n:181739;f=(f|0)!=0?f:181739}o=j+16|0;b=c[o>>2]|0;k=c[b+8>>2]|0;if(k){m=c[k+4>>2]|0;if((m|0)>0){k=c[k>>2]|0;l=0;b=0;do{b=(c[k+(l*48|0)+4>>2]|0)+b|0;l=l+1|0}while((l|0)<(m|0))}else b=0;Qb[c[56200>>2]&127](e,152532)|0;Zz(e,c[((c[j>>2]&3|0)==3?j:j+48|0)+40>>2]|0,f);Zz(e,c[((c[j>>2]&3|0)==2?j:j+-48|0)+40>>2]|0,n);Qb[c[56200>>2]&127](e,143678)|0;c[s>>2]=b;DO(r,178484,s)|0;Qb[c[56200>>2]&127](e,r)|0;b=c[o>>2]|0;k=c[b+8>>2]|0;if((c[k+4>>2]|0)>0){m=0;do{l=c[k>>2]|0;k=c[l+(m*48|0)>>2]|0;l=c[l+(m*48|0)+4>>2]|0;if((l|0)>0){b=0;do{f=k+(b<<4)|0;c[q>>2]=c[f>>2];c[q+4>>2]=c[f+4>>2];c[q+8>>2]=c[f+8>>2];c[q+12>>2]=c[f+12>>2];Yz(e,q);b=b+1|0}while((b|0)!=(l|0));b=c[o>>2]|0}m=m+1|0;k=c[b+8>>2]|0}while((m|0)<(c[k+4>>2]|0))}}if(c[b+96>>2]|0){m=xu(c[((c[j>>2]&3|0)==3?j:j+48|0)+40>>2]|0)|0;n=Zu(m,c[c[(c[o>>2]|0)+96>>2]>>2]|0)|0;f=Ev(n)|0;$u(m,n)|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,f)|0;o=(c[(c[o>>2]|0)+96>>2]|0)+56|0;c[q>>2]=c[o>>2];c[q+4>>2]=c[o+4>>2];c[q+8>>2]=c[o+8>>2];c[q+12>>2]=c[o+12>>2];Yz(e,q)}o=pC(j,c[13954]|0,152084)|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,o)|0;o=pC(j,c[13938]|0,178378)|0;Qb[c[56200>>2]&127](e,143678)|0;Qb[c[56200>>2]&127](e,o)|0;a[143680]=10;Qb[c[56200>>2]&127](e,143680)|0;j=ct(d,j)|0}while((j|0)!=0);g=hu(d,g)|0}while((g|0)!=0)}Qb[c[56200>>2]&127](e,143688)|0;i=t;return}function Wz(d,f,g){d=d|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;_=i;i=i+2288|0;W=_+208|0;V=_+192|0;U=_+176|0;T=_+160|0;S=_+144|0;P=_+128|0;N=_+112|0;M=_+96|0;L=_+80|0;K=_+64|0;J=_+56|0;I=_+48|0;X=_+32|0;O=_+24|0;H=_;G=_+1264|0;Z=_+224|0;Y=d+16|0;F=(e[(c[Y>>2]|0)+178>>1]|0)>2;zy(1);if(c[13887]|0){C=c[Y>>2]|0;r=+h[C+40>>3]+ +h[C+24>>3];h[4293]=r;h[4294]=r/72.0}xs(Z,1024,_+240|0);PC(d,1,143694,181739)|0;PC(d,1,143698,181739)|0;c[13900]=PC(d,1,182316,181739)|0;c[13899]=PC(d,1,182248,181739)|0;PC(d,2,143694,181739)|0;j=a[(c[Y>>2]|0)+113>>0]|0;if(j&16){PC(d,1,143704,181739)|0;j=a[(c[Y>>2]|0)+113>>0]|0}if(j&1){PC(d,2,143708,181739)|0;j=a[(c[Y>>2]|0)+113>>0]|0}if(j&32){PC(d,2,143704,181739)|0;j=a[(c[Y>>2]|0)+113>>0]|0}if(j&2){PC(d,2,143711,181739)|0;j=a[(c[Y>>2]|0)+113>>0]|0}if(j&4){PC(d,2,143719,181739)|0;j=a[(c[Y>>2]|0)+113>>0]|0}if(!(j&8)){A=0;B=0;C=0}else{B=PC(d,0,143708,181739)|0;C=PC(d,0,143727,181739)|0;A=PC(d,0,143734,181739)|0}z=PC(d,0,143742,181739)|0;j=gu(d)|0;if(!j){k=0;j=0}else{x=Z+4|0;y=Z+8|0;k=0;w=j;j=0;do{v=w+16|0;l=c[v>>2]|0;n=+h[l+16>>3];o=+h[l+24>>3];o=(c[13887]|0)!=0?+h[4293]-o:o;if(F){r=+h[(c[l+132>>2]|0)+16>>3]*72.0;h[H>>3]=n;h[H+8>>3]=o;h[H+16>>3]=r;DO(G,143745,H)|0;As(Z,G)|0;if((e[(c[Y>>2]|0)+178>>1]|0)>3){l=3;do{h[O>>3]=+h[(c[(c[v>>2]|0)+132>>2]|0)+(l<<3)>>3]*72.0;DO(G,143760,O)|0;As(Z,G)|0;l=l+1|0}while((l|0)<(e[(c[Y>>2]|0)+178>>1]|0))}l=c[x>>2]|0;if(l>>>0>=(c[y>>2]|0)>>>0){ys(Z,1)|0;l=c[x>>2]|0}a[l>>0]=0;u=c[Z>>2]|0;c[x>>2]=u;Ss(w,143694,u)|0;u=w}else{h[X>>3]=n;h[X+8>>3]=o;DO(G,143766,X)|0;Ss(w,143694,G)|0;u=w}h[I>>3]=+h[(c[v>>2]|0)+80>>3]/72.0;DO(G,143673,I)|0;Ts(u,c[13899]|0,G)|0;l=c[v>>2]|0;h[J>>3]=(+h[l+88>>3]+ +h[l+96>>3])/72.0;DO(G,143673,J)|0;Ts(u,c[13900]|0,G)|0;l=c[v>>2]|0;m=c[l+108>>2]|0;if((m|0)!=0?(a[m+81>>0]|0)!=0:0){r=+h[m+64>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[K>>3]=+h[m+56>>3];h[K+8>>3]=r;DO(G,143766,K)|0;Ss(u,143704,G)|0;l=c[v>>2]|0}if(aP(c[c[l+8>>2]>>2]|0,147102)|0){if((c[13932]|0)!=0?(RA(w)|0)<<24>>24!=0:0){m=c[(c[v>>2]|0)+12>>2]|0;t=m+8|0;l=c[t>>2]|0;if((l|0)<3){l=Qs(u,143776)|0;if(!l)l=8;else{l=NO(l)|0;l=(l|0)<3?8:l}}p=m+44|0;r=+(l|0);s=0;do{if((s|0)>0){m=c[x>>2]|0;if(m>>>0>=(c[y>>2]|0)>>>0){ys(Z,1)|0;m=c[x>>2]|0}c[x>>2]=m+1;a[m>>0]=32}if((c[t>>2]|0)>2){m=c[p>>2]|0;n=+h[m+(s<<4)+8>>3];if(!(c[13887]|0))n=n/72.0;else n=+h[4294]-n/72.0;h[L>>3]=+h[m+(s<<4)>>3]/72.0;h[L+8>>3]=n;DO(G,143789,L)|0}else{m=c[v>>2]|0;n=+(s|0)/r*3.141592653589793*2.0;q=+h[m+32>>3]*.5*+Q(+n);o=+h[m+40>>3];if(!(c[13887]|0))n=o*.5*+R(+n);else n=+h[4294]-o*.5*+R(+n);h[M>>3]=q;h[M+8>>3]=n;DO(G,143789,M)|0}As(Z,G)|0;s=s+1|0}while((s|0)!=(l|0));m=c[13932]|0;l=c[x>>2]|0;if(l>>>0>=(c[y>>2]|0)>>>0){ys(Z,1)|0;l=c[x>>2]|0}a[l>>0]=0;v=c[Z>>2]|0;c[x>>2]=v;Ts(u,m,v)|0}}else{_z(w,c[l+12>>2]|0,Z);Cs(Z)|0;l=c[x>>2]|0;if(l>>>0>=(c[y>>2]|0)>>>0){ys(Z,1)|0;l=c[x>>2]|0}a[l>>0]=0;v=c[Z>>2]|0;c[x>>2]=v;Ss(u,143698,v)|0}if((c[13885]|0)>0?(D=at(d,w)|0,(D|0)!=0):0){u=D;do{t=u+16|0;l=c[t>>2]|0;do if((a[l+112>>0]|0)!=6?(E=c[l+8>>2]|0,(E|0)!=0):0){if((c[E+4>>2]|0)>0){s=0;do{if((s|0)>0){l=c[x>>2]|0;if(l>>>0>=(c[y>>2]|0)>>>0){ys(Z,1)|0;l=c[x>>2]|0}c[x>>2]=l+1;a[l>>0]=59;l=c[t>>2]|0}p=c[l+8>>2]|0;m=c[p>>2]|0;if(c[m+(s*48|0)+8>>2]|0){r=+h[m+(s*48|0)+24>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[N>>3]=+h[m+(s*48|0)+16>>3];h[N+8>>3]=r;DO(G,143799,N)|0;As(Z,G)|0;l=c[t>>2]|0;p=c[l+8>>2]|0;m=c[p>>2]|0;j=1}if(c[m+(s*48|0)+12>>2]|0){r=+h[m+(s*48|0)+40>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[P>>3]=+h[m+(s*48|0)+32>>3];h[P+8>>3]=r;DO(G,143812,P)|0;As(Z,G)|0;l=c[t>>2]|0;p=c[l+8>>2]|0;m=c[p>>2]|0;k=1}if((c[m+(s*48|0)+4>>2]|0)>0){p=0;do{if((p|0)>0){l=c[x>>2]|0;if(l>>>0>=(c[y>>2]|0)>>>0){ys(Z,1)|0;l=c[x>>2]|0}c[x>>2]=l+1;a[l>>0]=32;l=c[t>>2]|0}l=c[(c[c[l+8>>2]>>2]|0)+(s*48|0)>>2]|0;r=+h[l+(p<<4)+8>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[S>>3]=+h[l+(p<<4)>>3];h[S+8>>3]=r;DO(G,143766,S)|0;As(Z,G)|0;p=p+1|0;l=c[t>>2]|0;m=c[l+8>>2]|0}while((p|0)<(c[(c[m>>2]|0)+(s*48|0)+4>>2]|0))}else m=p;s=s+1|0}while((s|0)<(c[m+4>>2]|0))}l=c[x>>2]|0;if(l>>>0>=(c[y>>2]|0)>>>0){ys(Z,1)|0;l=c[x>>2]|0}a[l>>0]=0;l=c[Z>>2]|0;c[x>>2]=l;Ss(u,143694,l)|0;l=c[t>>2]|0;m=c[l+96>>2]|0;if(m){r=+h[m+64>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[T>>3]=+h[m+56>>3];h[T+8>>3]=r;DO(G,143766,T)|0;Ss(u,143708,G)|0;l=c[t>>2]|0}m=c[l+108>>2]|0;do if(m){if(!(a[m+81>>0]|0))break;r=+h[m+64>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[U>>3]=+h[m+56>>3];h[U+8>>3]=r;DO(G,143766,U)|0;Ss(u,143704,G)|0;l=c[t>>2]|0}while(0);m=c[l+100>>2]|0;if(m){r=+h[m+64>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[V>>3]=+h[m+56>>3];h[V+8>>3]=r;DO(G,143766,V)|0;Ss(u,143711,G)|0;l=c[t>>2]|0}l=c[l+104>>2]|0;if(!l)break;r=+h[l+64>>3];r=(c[13887]|0)==0?r:+h[4293]-r;h[W>>3]=+h[l+56>>3];h[W+8>>3]=r;DO(G,143766,W)|0;Ss(u,143719,G)|0}while(0);u=ct(d,u)|0}while((u|0)!=0)}w=hu(d,w)|0}while((w|0)!=0)}$z(d,z,B,C,A);Bs(Z);if(b[(c[Y>>2]|0)+136>>1]&1)NC(d);c[f>>2]=j;c[g>>2]=k;zy(0);i=_;return}function Xz(a){a=a|0;var b=0;b=i;i=i+16|0;Wz(a,b,b+4|0);i=b;return}function Yz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,j=0;d=i;i=i+1040|0;f=d+8|0;j=d;e=d+16|0;g=+h[b>>3]/72.0;Qb[c[56200>>2]&127](a,143678)|0;h[j>>3]=g;DO(e,143673,j)|0;Qb[c[56200>>2]&127](a,e)|0;g=+h[b+8>>3];g=((c[13887]|0)==0?g:+h[4293]-g)/72.0;Qb[c[56200>>2]&127](a,143678)|0;h[f>>3]=g;DO(e,143673,f)|0;Qb[c[56200>>2]&127](a,e)|0;i=d;return}function Zz(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;if(!(a[(c[d+16>>2]|0)+118>>0]|0))d=Ev(Ft(d)|0)|0;else{g=xu(d)|0;f=Zu(g,(_O(Ft(d)|0,58)|0)+1|0)|0;d=Ev(f)|0;$u(g,f)|0}Qb[c[56200>>2]&127](b,143678)|0;Qb[c[56200>>2]&127](b,d)|0;if((e|0)!=0?(a[e>>0]|0)!=0:0){g=Ev(e)|0;Qb[c[56200>>2]&127](b,151135)|0;Qb[c[56200>>2]&127](b,g)|0}return}function _z(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0.0;o=i;i=i+1056|0;m=o;f=o+32|0;n=b+48|0;e=c[n>>2]|0;if(!e){e=c[a+16>>2]|0;l=+h[e+16>>3];g=+h[b+24>>3];j=+h[e+24>>3];if(!(c[13887]|0)){k=g+j;g=+h[b+40>>3]+j}else{p=+h[4293];k=p-(g+j);g=p-(+h[b+40>>3]+j)}p=+h[b+32>>3]+l;h[m>>3]=+h[b+16>>3]+l;h[m+8>>3]=k;h[m+16>>3]=p;h[m+24>>3]=g;DO(f,143850,m)|0;As(d,f)|0;e=c[n>>2]|0}if((e|0)>0){e=b+56|0;f=0;do{_z(a,c[(c[e>>2]|0)+(f<<2)>>2]|0,d);f=f+1|0}while((f|0)<(c[n>>2]|0))}i=o;return}function $z(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;s=i;i=i+1088|0;o=s+56|0;q=s+48|0;p=s+32|0;k=s;n=s+64|0;r=b+16|0;j=c[r>>2]|0;l=+h[j+24>>3];if(!(c[13887]|0))m=+h[j+40>>3];else{m=+h[4293];l=m-l;m=m-+h[j+40>>3]}t=+h[j+32>>3];h[k>>3]=+h[j+16>>3];h[k+8>>3]=l;h[k+16>>3]=t;h[k+24>>3]=m;DO(n,143825,k)|0;Ts(b,d,n)|0;j=c[r>>2]|0;k=c[j+12>>2]|0;if((k|0)!=0?(a[c[k>>2]>>0]|0)!=0:0){t=+h[k+64>>3];t=(c[13887]|0)==0?t:+h[4293]-t;h[p>>3]=+h[k+56>>3];h[p+8>>3]=t;DO(n,143766,p)|0;Ts(b,e,n)|0;j=c[(c[r>>2]|0)+12>>2]|0;t=+h[j+32>>3];h[q>>3]=+h[j+24>>3]/72.0;DO(n,143845,q)|0;Ts(b,f,n)|0;h[o>>3]=t/72.0;DO(n,143845,o)|0;Ts(b,g,n)|0;j=c[r>>2]|0}if((c[j+180>>2]|0)>=1){k=1;while(1){$z(c[(c[j+184>>2]|0)+(k<<2)>>2]|0,d,e,f,g);j=c[r>>2]|0;if((k|0)>=(c[j+180>>2]|0))break;else k=k+1|0}}i=s;return}function aA(){return hs(56204,c[13094]|0)|0}function bA(a){a=a|0;ds(a)|0;return}function cA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;e=b;f=c[e>>2]|0;e=c[e+4>>2]|0;b=yz(16)|0;d=b+8|0;c[d>>2]=f;c[d+4>>2]=e;if((Jb[c[a>>2]&63](a,b,1)|0)!=(b|0))fQ(b);return}function dA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=yz(16)|0;f=e+8|0;c[f>>2]=b;c[f+4>>2]=d;if((Jb[c[a>>2]&63](a,e,1)|0)!=(e|0))fQ(e);return}function eA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d;g=b;f=c[g+4>>2]|0;b=e+8|0;c[b>>2]=c[g>>2];c[b+4>>2]=f;b=(Jb[c[a>>2]&63](a,e,4)|0)!=0&1;i=d;return b|0}function fA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=e;c[f+8>>2]=b;c[f+12>>2]=d;d=(Jb[c[a>>2]&63](a,f,4)|0)!=0&1;i=e;return d|0}function gA(a){a=a|0;return js(a)|0}function hA(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;d=yz((js(a)|0)<<3)|0;a=fs(a)|0;if(a){b=d;while(1){g=a+8|0;f=c[g+4>>2]|0;e=b;c[e>>2]=c[g>>2];c[e+4>>2]=f;a=c[a>>2]|0;if(!a)break;else b=b+8|0}}return d|0}function iA(){var a=0,b=0,d=0,e=0;a=zz(40)|0;b=a;d=56240;e=b+36|0;do{c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));c[a+36>>2]=0;return hs(a,c[13094]|0)|0}function jA(a){a=a|0;Jb[c[a>>2]&63](a,0,64)|0;return}function kA(a){a=a|0;var b=0,d=0;b=c[a+4>>2]|0;ds(a)|0;a=c[b+36>>2]|0;if(a)do{d=a;a=c[a>>2]|0;fQ(d)}while((a|0)!=0);fQ(b);return}function lA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+32|0;g=f;c[g+8>>2]=b;c[g+12>>2]=d;c[g+16>>2]=e;d=c[(Jb[c[a>>2]&63](a,g,1)|0)+16>>2]|0;i=f;return d|0}function mA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;d=d+36|0;a=c[d>>2]|0;if(!a)a=zz(20)|0;else c[d>>2]=c[a>>2];f=b+8|0;e=c[f+4>>2]|0;d=a+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=e;c[a+16>>2]=c[b+16>>2];return a|0}function nA(a,b,d){a=a|0;b=b|0;d=d|0;d=d+36|0;c[b>>2]=c[d>>2];c[d>>2]=b;return}function oA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=c[b>>2]|0;e=c[d>>2]|0;if((a|0)<=(e|0))if((a|0)>=(e|0)){e=c[b+4>>2]|0;a=c[d+4>>2]|0;if((e|0)>(a|0))a=1;else a=((e|0)<(a|0))<<31>>31}else a=-1;else a=1;return a|0}function pA(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function qA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;s=i;i=i+128|0;n=s+112|0;o=s+48|0;p=s;g=s+80|0;e=s+64|0;f=s+32|0;q=s+16|0;r=b+16|0;b=c[r>>2]|0;m=+h[b+16>>3];j=+h[b+24>>3];k=+h[b+32>>3];l=+h[b+40>>3];if((d+-1|0)>>>0<2){h[p>>3]=m;f=p+8|0;h[f>>3]=l;b=(c[14069]|0)*90|0;c[n>>2]=c[p>>2];c[n+4>>2]=c[p+4>>2];c[n+8>>2]=c[p+8>>2];c[n+12>>2]=c[p+12>>2];cz(o,n,b);c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];h[p>>3]=+h[p>>3]-+h[4295];h[f>>3]=+h[f>>3]-+h[4296];c[g>>2]=c[p>>2];c[g+4>>2]=c[p+4>>2];c[g+8>>2]=c[p+8>>2];c[g+12>>2]=c[p+12>>2];f=g+16|0;h[p>>3]=k;b=p+8|0;h[b>>3]=j;t=(c[14069]|0)*90|0;c[n>>2]=c[p>>2];c[n+4>>2]=c[p+4>>2];c[n+8>>2]=c[p+8>>2];c[n+12>>2]=c[p+12>>2];cz(o,n,t);c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];h[p>>3]=+h[p>>3]-+h[4295];h[b>>3]=+h[b>>3]-+h[4296];c[e>>2]=c[p>>2];c[e+4>>2]=c[p+4>>2];c[e+8>>2]=c[p+8>>2];c[e+12>>2]=c[p+12>>2];c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];c[f+12>>2]=c[e+12>>2]}else{h[p>>3]=m;t=p+8|0;h[t>>3]=j;e=(c[14069]|0)*90|0;c[n>>2]=c[p>>2];c[n+4>>2]=c[p+4>>2];c[n+8>>2]=c[p+8>>2];c[n+12>>2]=c[p+12>>2];cz(o,n,e);c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];h[p>>3]=+h[p>>3]-+h[4295];h[t>>3]=+h[t>>3]-+h[4296];c[g>>2]=c[p>>2];c[g+4>>2]=c[p+4>>2];c[g+8>>2]=c[p+8>>2];c[g+12>>2]=c[p+12>>2];t=g+16|0;h[p>>3]=k;e=p+8|0;h[e>>3]=l;b=(c[14069]|0)*90|0;c[n>>2]=c[p>>2];c[n+4>>2]=c[p+4>>2];c[n+8>>2]=c[p+8>>2];c[n+12>>2]=c[p+12>>2];cz(o,n,b);c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];h[p>>3]=+h[p>>3]-+h[4295];h[e>>3]=+h[e>>3]-+h[4296];c[f>>2]=c[p>>2];c[f+4>>2]=c[p+4>>2];c[f+8>>2]=c[p+8>>2];c[f+12>>2]=c[p+12>>2];c[t>>2]=c[f>>2];c[t+4>>2]=c[f+4>>2];c[t+8>>2]=c[f+8>>2];c[t+12>>2]=c[f+12>>2]}b=(c[r>>2]|0)+16|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];c[b+24>>2]=c[g+24>>2];c[b+28>>2]=c[g+28>>2];b=c[r>>2]|0;e=c[b+12>>2]|0;if(e){b=e+56|0;e=p;f=b;g=e+16|0;do{a[e>>0]=a[f>>0]|0;e=e+1|0;f=f+1|0}while((e|0)<(g|0));t=(c[14069]|0)*90|0;c[n>>2]=c[p>>2];c[n+4>>2]=c[p+4>>2];c[n+8>>2]=c[p+8>>2];c[n+12>>2]=c[p+12>>2];cz(o,n,t);c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];h[p>>3]=+h[p>>3]-+h[4295];t=p+8|0;h[t>>3]=+h[t>>3]-+h[4296];c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2];c[b>>2]=c[q>>2];c[b+4>>2]=c[q+4>>2];c[b+8>>2]=c[q+8>>2];c[b+12>>2]=c[q+12>>2];b=c[r>>2]|0}if((c[b+180>>2]|0)>=1){e=1;while(1){qA(c[(c[b+184>>2]|0)+(e<<2)>>2]|0,d);b=c[r>>2]|0;if((e|0)>=(c[b+180>>2]|0))break;else e=e+1|0}}i=s;return}function rA(b,f){b=b|0;f=f|0;var g=0.0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0;ea=i;i=i+1568|0;aa=ea+536|0;da=ea+488|0;ca=ea+456|0;$=ea+448|0;O=ea+440|0;N=ea+432|0;M=ea+376|0;K=ea+328|0;F=ea+280|0;B=ea+272|0;A=ea+264|0;z=ea+256|0;y=ea+248|0;P=ea+208|0;Q=ea+192|0;S=ea+176|0;T=ea+160|0;U=ea+144|0;V=ea+104|0;W=ea+64|0;Y=ea+48|0;Z=ea+32|0;_=ea+16|0;R=ea;ba=b+16|0;I=(c[ba>>2]|0)+116|0;c[14069]=c[I>>2]&3;I=c[I>>2]&1;a[143871]=I;if(!(I<<24>>24))sA(b);else uA(b);I=c[ba>>2]|0;v=e[I+136>>1]&14;I=d[I+113>>0]|0;if(!((I&54|0)==0?(I&1|0)==0|(c[13886]|0)!=0:0)){k=gu(b)|0;if(!k){m=0;k=0;l=0}else{u=(v|0)==0;n=0;r=0;l=0;while(1){m=c[(c[k+16>>2]|0)+108>>2]|0;do if(m)if(!(a[m+81>>0]|0)){t=r+1|0;break}else{t=r;l=l+1|0;break}else t=r;while(0);m=at(b,k)|0;if(!m)m=n;else{do{s=c[m+16>>2]|0;r=c[s+108>>2]|0;do if(r){if(a[r+81>>0]|0){l=l+1|0;break}if(!u)n=((c[s+8>>2]|0)!=0&1)+n|0}while(0);r=c[s+100>>2]|0;do if(r){if(a[r+81>>0]|0){l=l+1|0;break}if(!u)n=((c[s+8>>2]|0)!=0&1)+n|0}while(0);r=c[s+104>>2]|0;do if(r){if(a[r+81>>0]|0){l=l+1|0;break}if(!u)n=((c[s+8>>2]|0)!=0&1)+n|0}while(0);r=c[s+96>>2]|0;do if(r){if(a[r+81>>0]|0){l=l+1|0;break}if(!u)n=((c[s+8>>2]|0)!=0&1)+n|0}while(0);m=ct(b,m)|0}while((m|0)!=0);m=n}k=hu(b,k)|0;if(!k){k=t;break}else{n=m;r=t}}}if(!(a[(c[ba>>2]|0)+113>>0]&8))w=0;else w=vA(b)|0;E=k+m|0;if(E){x=m+l+w+(vt(b)|0)|0;C=yz(x*40|0)|0;D=yz(E*40|0)|0;k=gu(b)|0;if(!k){p=2147483647.0;g=-2147483647.0;o=-2147483647.0;j=2147483647.0;k=C}else{v=(v|0)==0;p=2147483647.0;j=2147483647.0;o=-2147483647.0;g=-2147483647.0;u=k;k=C;n=D;while(1){m=(a[143871]|0)==0;l=u+16|0;I=c[l>>2]|0;H=I+32|0;I=I+40|0;ga=+h[(m?I:H)>>3]*72.0;ha=+h[(m?H:I)>>3]*72.0;h[k+16>>3]=ha;h[k+24>>3]=ga;I=(c[l>>2]|0)+16|0;c[k>>2]=c[I>>2];c[k+4>>2]=c[I+4>>2];c[k+8>>2]=c[I+8>>2];c[k+12>>2]=c[I+12>>2];fa=+h[k>>3]-ha*.5;h[k>>3]=fa;I=k+8|0;q=+h[I>>3]-ga*.5;h[I>>3]=q;p=p<fa?p:fa;j=j<q?j:q;fa=ha+fa;q=ga+q;o=o>fa?o:fa;g=g>q?g:q;l=c[(c[l>>2]|0)+108>>2]|0;do if(l){if(a[l+81>>0]|0){I=k+40|0;fa=+h[l+24>>3];q=+h[l+32>>3];ga=m?fa:q;fa=m?q:fa;h[k+56>>3]=ga;h[k+64>>3]=fa;H=l+56|0;c[I>>2]=c[H>>2];c[I+4>>2]=c[H+4>>2];c[I+8>>2]=c[H+8>>2];c[I+12>>2]=c[H+12>>2];q=+h[I>>3]-ga*.5;h[I>>3]=q;k=k+48|0;ha=+h[k>>3]-fa*.5;h[k>>3]=ha;ga=ga+q;fa=fa+ha;p=p<q?p:q;g=g>fa?g:fa;o=o>ga?o:ga;j=j<ha?j:ha;k=I;break}if(m){I=l+24|0;c[n>>2]=c[I>>2];c[n+4>>2]=c[I+4>>2];c[n+8>>2]=c[I+8>>2];c[n+12>>2]=c[I+12>>2]}else{h[n>>3]=+h[l+32>>3];h[n+8>>3]=+h[l+24>>3]}c[n+32>>2]=l;a[n+36>>0]=0;c[k+32>>2]=n;n=n+40|0}while(0);k=k+40|0;l=at(b,u)|0;if(!l)l=n;else{t=l;while(1){s=t+16|0;m=c[s>>2]|0;l=c[m+96>>2]|0;a:do if(!l){r=n;J=59}else{do if(!(a[l+81>>0]|0)){if(!v?(c[m+8>>2]|0)!=0:0){PB(Q,b,t);c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];J=k+16|0;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=0;c[J+12>>2]=0;c[k>>2]=c[aa>>2];c[k+4>>2]=c[aa+4>>2];c[k+8>>2]=c[aa+8>>2];c[k+12>>2]=c[aa+12>>2];if(!(a[143871]|0)){J=l+24|0;c[n>>2]=c[J>>2];c[n+4>>2]=c[J+4>>2];c[n+8>>2]=c[J+8>>2];c[n+12>>2]=c[J+12>>2]}else{h[n>>3]=+h[l+32>>3];h[n+8>>3]=+h[l+24>>3]}c[n+32>>2]=l;a[n+36>>0]=0;c[k+32>>2]=n;l=n+40|0;break}c[y>>2]=c[l>>2];us(0,143872,y)|0;l=n;break a}else{J=(a[143871]|0)==0;fa=+h[l+24>>3];q=+h[l+32>>3];ga=J?fa:q;fa=J?q:fa;h[k+16>>3]=ga;h[k+24>>3]=fa;l=l+56|0;c[k>>2]=c[l>>2];c[k+4>>2]=c[l+4>>2];c[k+8>>2]=c[l+8>>2];c[k+12>>2]=c[l+12>>2];q=+h[k>>3]-ga*.5;h[k>>3]=q;l=k+8|0;ha=+h[l>>3]-fa*.5;h[l>>3]=ha;ga=ga+q;fa=fa+ha;p=p<q?p:q;g=g>fa?g:fa;o=o>ga?o:ga;j=j<ha?j:ha;l=n}while(0);m=c[s>>2]|0;k=k+40|0;r=l;J=59}while(0);b:do if((J|0)==59){J=0;n=c[m+104>>2]|0;if(n){c:do if(!(a[n+81>>0]|0)){do if(!v){if(!(c[m+8>>2]|0))break;l=RB(t)|0;do if(l){l=c[l>>2]|0;if(!(c[l+8>>2]|0)){I=c[l>>2]|0;c[S>>2]=c[I>>2];c[S+4>>2]=c[I+4>>2];c[S+8>>2]=c[I+8>>2];c[S+12>>2]=c[I+12>>2];break}else{I=l+16|0;c[S>>2]=c[I>>2];c[S+4>>2]=c[I+4>>2];c[S+8>>2]=c[I+8>>2];c[S+12>>2]=c[I+12>>2];break}}else{c[S>>2]=0;c[S+4>>2]=0;c[S+8>>2]=0;c[S+12>>2]=0}while(0);c[aa>>2]=c[S>>2];c[aa+4>>2]=c[S+4>>2];c[aa+8>>2]=c[S+8>>2];c[aa+12>>2]=c[S+12>>2];I=k+16|0;c[I>>2]=0;c[I+4>>2]=0;c[I+8>>2]=0;c[I+12>>2]=0;c[k>>2]=c[aa>>2];c[k+4>>2]=c[aa+4>>2];c[k+8>>2]=c[aa+8>>2];c[k+12>>2]=c[aa+12>>2];if(!(a[143871]|0)){I=n+24|0;c[r>>2]=c[I>>2];c[r+4>>2]=c[I+4>>2];c[r+8>>2]=c[I+8>>2];c[r+12>>2]=c[I+12>>2]}else{h[r>>3]=+h[n+32>>3];h[r+8>>3]=+h[n+24>>3]}c[r+32>>2]=n;a[r+36>>0]=0;c[k+32>>2]=r;l=r+40|0;break c}while(0);c[z>>2]=c[n>>2];us(0,143907,z)|0;l=r;break b}else{l=(a[143871]|0)==0;fa=+h[n+24>>3];q=+h[n+32>>3];ga=l?fa:q;fa=l?q:fa;h[k+16>>3]=ga;h[k+24>>3]=fa;l=n+56|0;c[k>>2]=c[l>>2];c[k+4>>2]=c[l+4>>2];c[k+8>>2]=c[l+8>>2];c[k+12>>2]=c[l+12>>2];q=+h[k>>3]-ga*.5;h[k>>3]=q;l=k+8|0;ha=+h[l>>3]-fa*.5;h[l>>3]=ha;ga=ga+q;fa=fa+ha;p=p<q?p:q;g=g>fa?g:fa;o=o>ga?o:ga;j=j<ha?j:ha;l=r}while(0);m=c[s>>2]|0;k=k+40|0;r=l}n=c[m+100>>2]|0;if(!n)n=r;else{d:do if(!(a[n+81>>0]|0)){do if(!v){if(!(c[m+8>>2]|0))break;l=RB(t)|0;do if(l){m=(c[l+4>>2]|0)+-1|0;l=c[l>>2]|0;if(!(c[l+(m*48|0)+12>>2]|0)){I=(c[l+(m*48|0)>>2]|0)+((c[l+(m*48|0)+4>>2]|0)+-1<<4)|0;c[T>>2]=c[I>>2];c[T+4>>2]=c[I+4>>2];c[T+8>>2]=c[I+8>>2];c[T+12>>2]=c[I+12>>2];break}else{I=l+(m*48|0)+32|0;c[T>>2]=c[I>>2];c[T+4>>2]=c[I+4>>2];c[T+8>>2]=c[I+8>>2];c[T+12>>2]=c[I+12>>2];break}}else{c[T>>2]=0;c[T+4>>2]=0;c[T+8>>2]=0;c[T+12>>2]=0}while(0);c[aa>>2]=c[T>>2];c[aa+4>>2]=c[T+4>>2];c[aa+8>>2]=c[T+8>>2];c[aa+12>>2]=c[T+12>>2];I=k+16|0;c[I>>2]=0;c[I+4>>2]=0;c[I+8>>2]=0;c[I+12>>2]=0;c[k>>2]=c[aa>>2];c[k+4>>2]=c[aa+4>>2];c[k+8>>2]=c[aa+8>>2];c[k+12>>2]=c[aa+12>>2];if(!(a[143871]|0)){I=n+24|0;c[r>>2]=c[I>>2];c[r+4>>2]=c[I+4>>2];c[r+8>>2]=c[I+8>>2];c[r+12>>2]=c[I+12>>2]}else{h[r>>3]=+h[n+32>>3];h[r+8>>3]=+h[n+24>>3]}c[r+32>>2]=n;a[r+36>>0]=0;c[k+32>>2]=r;l=r+40|0;break d}while(0);c[A>>2]=c[n>>2];us(0,143947,A)|0;l=r;break b}else{l=(a[143871]|0)==0;fa=+h[n+24>>3];q=+h[n+32>>3];ga=l?fa:q;fa=l?q:fa;h[k+16>>3]=ga;h[k+24>>3]=fa;l=n+56|0;c[k>>2]=c[l>>2];c[k+4>>2]=c[l+4>>2];c[k+8>>2]=c[l+8>>2];c[k+12>>2]=c[l+12>>2];q=+h[k>>3]-ga*.5;h[k>>3]=q;l=k+8|0;ha=+h[l>>3]-fa*.5;h[l>>3]=ha;ga=ga+q;fa=fa+ha;p=p<q?p:q;g=g>fa?g:fa;o=o>ga?o:ga;j=j<ha?j:ha;l=r}while(0);m=c[s>>2]|0;k=k+40|0;n=l}l=c[m+108>>2]|0;if(!l)l=n;else{e:do if(!(a[l+81>>0]|0)){do if(!v){if(!(c[m+8>>2]|0))break;PB(U,b,t);c[aa>>2]=c[U>>2];c[aa+4>>2]=c[U+4>>2];c[aa+8>>2]=c[U+8>>2];c[aa+12>>2]=c[U+12>>2];I=k+16|0;c[I>>2]=0;c[I+4>>2]=0;c[I+8>>2]=0;c[I+12>>2]=0;c[k>>2]=c[aa>>2];c[k+4>>2]=c[aa+4>>2];c[k+8>>2]=c[aa+8>>2];c[k+12>>2]=c[aa+12>>2];if(!(a[143871]|0)){I=l+24|0;c[n>>2]=c[I>>2];c[n+4>>2]=c[I+4>>2];c[n+8>>2]=c[I+8>>2];c[n+12>>2]=c[I+12>>2]}else{h[n>>3]=+h[l+32>>3];h[n+8>>3]=+h[l+24>>3]}c[n+32>>2]=l;a[n+36>>0]=0;c[k+32>>2]=n;l=n+40|0;break e}while(0);c[B>>2]=c[l>>2];us(0,143987,B)|0;l=n;break b}else{I=(a[143871]|0)==0;fa=+h[l+24>>3];q=+h[l+32>>3];ga=I?fa:q;fa=I?q:fa;h[k+16>>3]=ga;h[k+24>>3]=fa;l=l+56|0;c[k>>2]=c[l>>2];c[k+4>>2]=c[l+4>>2];c[k+8>>2]=c[l+8>>2];c[k+12>>2]=c[l+12>>2];q=+h[k>>3]-ga*.5;h[k>>3]=q;l=k+8|0;ha=+h[l>>3]-fa*.5;h[l>>3]=ha;ga=ga+q;fa=fa+ha;p=p<q?p:q;g=g>fa?g:fa;o=o>ga?o:ga;j=j<ha?j:ha;l=n}while(0);k=k+40|0}}while(0);t=ct(b,t)|0;if(!t)break;else n=l}}u=hu(b,u)|0;if(!u)break;else n=l}}if(w){h[V>>3]=p;l=V+8|0;h[l>>3]=j;m=V+16|0;h[m>>3]=o;n=V+24|0;h[n>>3]=g;c[V+32>>2]=k;G=aa;H=V;I=G+40|0;do{c[G>>2]=c[H>>2];G=G+4|0;H=H+4|0}while((G|0)<(I|0));wA(W,b,aa);G=V;H=W;I=G+40|0;do{c[G>>2]=c[H>>2];G=G+4|0;H=H+4|0}while((G|0)<(I|0));p=+h[V>>3];j=+h[l>>3];o=+h[m>>3];g=+h[n>>3]}n=P+32|0;a[n>>0]=qC(b,Is(b,0,144023,0)|0,1)|0;h[P>>3]=p;m=P+8|0;h[m>>3]=j;l=P+16|0;h[l>>3]=o;k=P+24|0;h[k>>3]=g;tF(C,x,D,E,P)|0;if((a[142275]|0)!=0?(L=c[24809]|0,I=d[n>>0]|0,q=+h[P>>3],fa=+h[m>>3],ga=+h[l>>3],ha=+h[k>>3],c[F>>2]=x,c[F+4>>2]=E,c[F+8>>2]=I,h[F+16>>3]=q,h[F+24>>3]=fa,h[F+32>>3]=ga,h[F+40>>3]=ha,pO(L,144035,F)|0,(d[142275]|0)>=2):0){AO(144095,8,1,L)|0;if((x|0)>0){k=C;n=0;while(1){l=c[k+32>>2]|0;g=+h[k>>3];j=+h[k+8>>3];o=+h[k+16>>3];p=+h[k+24>>3];if(!l)m=181739;else m=c[c[l+32>>2]>>2]|0;c[K>>2]=n;h[K+8>>3]=g;h[K+16>>3]=j;h[K+24>>3]=o;h[K+32>>3]=p;c[K+40>>2]=l;c[K+44>>2]=m;pO(L,144104,K)|0;n=n+1|0;if((n|0)==(x|0))break;else k=k+40|0}}AO(144147,8,1,L)|0;if((E|0)>0){k=D;l=0;while(1){J=d[k+36>>0]|0;q=+h[k+16>>3];fa=+h[k+24>>3];ga=+h[k>>3];ha=+h[k+8>>3];K=c[c[k+32>>2]>>2]|0;c[M>>2]=l;c[M+4>>2]=k;c[M+8>>2]=J;h[M+16>>3]=q;h[M+24>>3]=fa;h[M+32>>3]=ga;h[M+40>>3]=ha;c[M+48>>2]=K;pO(L,144156,M)|0;l=l+1|0;if((l|0)==(E|0)){J=114;break}else k=k+40|0}}else k=0}else J=114;if((J|0)==114)if((E|0)>0){k=0;l=0;m=D;while(1){if(a[m+36>>0]|0){M=c[m+32>>2]|0;a[M+81>>0]=1;ha=+h[m+24>>3]+ +h[m+8>>3]*.5;h[M+56>>3]=+h[m+16>>3]+ +h[m>>3]*.5;h[M+64>>3]=ha;HC(b,M);k=k+1|0}l=l+1|0;if((l|0)==(E|0))break;else m=m+40|0}}else k=0;if(!(a[142275]|0)){if((k|0)!=(E|0)){c[O>>2]=k;c[O+4>>2]=E;us(0,144237,O)|0}}else{O=c[24809]|0;c[N>>2]=k;c[N+4>>2]=E;pO(O,144204,N)|0}fQ(C);fQ(D)}}l=c[ba>>2]|0;n=c[l+12>>2]|0;do if((n|0)!=0?(a[n+81>>0]|0)==0:0){p=+h[n+24>>3]+16.0;q=+h[n+32>>3]+8.0;k=(a[l+275>>0]&1)!=0;if(a[143871]|0){if(k){O=l+32|0;h[O>>3]=q+ +h[O>>3]}else{O=l+16|0;h[O>>3]=+h[O>>3]-q}k=l+40|0;g=+h[k>>3];m=l+24|0;j=+h[m>>3];o=g-j;if(!(p>o))break;ha=(p-o)*.5;h[m>>3]=j-ha;h[k>>3]=ha+g;break}m=(c[14069]|0)==0;do if(k)if(m){O=l+40|0;h[O>>3]=q+ +h[O>>3];break}else{O=l+24|0;h[O>>3]=+h[O>>3]-q;break}else if(m){O=l+24|0;h[O>>3]=+h[O>>3]-q;break}else{O=l+40|0;h[O>>3]=q+ +h[O>>3];break}while(0);k=l+32|0;g=+h[k>>3];m=l+16|0;j=+h[m>>3];o=g-j;if(p>o){ha=(p-o)*.5;h[m>>3]=j-ha;h[k>>3]=ha+g}}else{p=0.0;q=0.0}while(0);if(f){k=c[14069]|0;switch(k|0){case 0:{f=l+16|0;c[8590]=c[f>>2];c[8591]=c[f+4>>2];c[8592]=c[f+8>>2];c[8593]=c[f+12>>2];break}case 1:{ha=+h[l+16>>3];h[4295]=-+h[l+40>>3];h[4296]=ha;break}case 2:{ha=-+h[l+40>>3];h[4295]=+h[l+16>>3];h[4296]=ha;break}case 3:{ha=+h[l+16>>3];h[4295]=+h[l+24>>3];h[4296]=ha;break}default:{}}if(+h[4295]!=0.0|+h[4296]!=0.0|(k|0)!=0){k=gu(b)|0;if(k){x=Q+8|0;y=Q+8|0;z=Q+8|0;A=Q+8|0;B=Q+8|0;C=Q+8|0;D=Q+8|0;E=Q+8|0;F=Q+8|0;do{if(!(c[14069]|0))n=0;else{aD(k,0);n=c[14069]|0}l=k+16|0;m=(c[l>>2]|0)+16|0;G=Q;H=m;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,n*90|0);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[x>>3]=+h[x>>3]-+h[4296];c[_>>2]=c[Q>>2];c[_+4>>2]=c[Q+4>>2];c[_+8>>2]=c[Q+8>>2];c[_+12>>2]=c[Q+12>>2];c[m>>2]=c[_>>2];c[m+4>>2]=c[_+4>>2];c[m+8>>2]=c[_+8>>2];c[m+12>>2]=c[_+12>>2];l=c[(c[l>>2]|0)+108>>2]|0;if(l){l=l+56|0;G=Q;H=l;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[F>>3]=+h[F>>3]-+h[4296];c[R>>2]=c[Q>>2];c[R+4>>2]=c[Q+4>>2];c[R+8>>2]=c[Q+8>>2];c[R+12>>2]=c[Q+12>>2];c[l>>2]=c[R>>2];c[l+4>>2]=c[R+4>>2];c[l+8>>2]=c[R+8>>2];c[l+12>>2]=c[R+12>>2]}if((c[13885]|0)==1?(X=at(b,k)|0,(X|0)!=0):0){w=X;do{v=w+16|0;l=c[v>>2]|0;m=c[l+8>>2]|0;do if(!m){if((a[142277]|0)==0?(a[l+112>>0]|0)!=6:0){O=Ft(c[((c[w>>2]&3|0)==3?w:w+48|0)+40>>2]|0)|0;f=Ft(c[((c[w>>2]&3|0)==2?w:w+-48|0)+40>>2]|0)|0;c[$>>2]=O;c[$+4>>2]=f;us(1,144279,$)|0}}else{if((c[m+4>>2]|0)>0){u=0;do{t=c[m>>2]|0;l=c[t+(u*48|0)>>2]|0;m=c[t+(u*48|0)+4>>2]|0;n=c[t+(u*48|0)+8>>2]|0;t=c[t+(u*48|0)+12>>2]|0;if((m|0)>0){s=0;do{r=l+(s<<4)|0;G=Q;H=r;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[A>>3]=+h[A>>3]-+h[4296];c[S>>2]=c[Q>>2];c[S+4>>2]=c[Q+4>>2];c[S+8>>2]=c[Q+8>>2];c[S+12>>2]=c[Q+12>>2];c[r>>2]=c[S>>2];c[r+4>>2]=c[S+4>>2];c[r+8>>2]=c[S+8>>2];c[r+12>>2]=c[S+12>>2];s=s+1|0}while((s|0)!=(m|0))}if(n){l=(c[c[(c[v>>2]|0)+8>>2]>>2]|0)+(u*48|0)+16|0;G=Q;H=l;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[z>>3]=+h[z>>3]-+h[4296];c[T>>2]=c[Q>>2];c[T+4>>2]=c[Q+4>>2];c[T+8>>2]=c[Q+8>>2];c[T+12>>2]=c[Q+12>>2];c[l>>2]=c[T>>2];c[l+4>>2]=c[T+4>>2];c[l+8>>2]=c[T+8>>2];c[l+12>>2]=c[T+12>>2]}if(t){l=(c[c[(c[v>>2]|0)+8>>2]>>2]|0)+(u*48|0)+32|0;G=Q;H=l;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[y>>3]=+h[y>>3]-+h[4296];c[U>>2]=c[Q>>2];c[U+4>>2]=c[Q+4>>2];c[U+8>>2]=c[Q+8>>2];c[U+12>>2]=c[Q+12>>2];c[l>>2]=c[U>>2];c[l+4>>2]=c[U+4>>2];c[l+8>>2]=c[U+8>>2];c[l+12>>2]=c[U+12>>2]}u=u+1|0;l=c[v>>2]|0;m=c[l+8>>2]|0}while((u|0)<(c[m+4>>2]|0))}m=c[l+96>>2]|0;if(m){l=m+56|0;G=Q;H=l;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[E>>3]=+h[E>>3]-+h[4296];c[V>>2]=c[Q>>2];c[V+4>>2]=c[Q+4>>2];c[V+8>>2]=c[Q+8>>2];c[V+12>>2]=c[Q+12>>2];c[l>>2]=c[V>>2];c[l+4>>2]=c[V+4>>2];c[l+8>>2]=c[V+8>>2];c[l+12>>2]=c[V+12>>2];l=c[v>>2]|0}m=c[l+108>>2]|0;if(m){l=m+56|0;G=Q;H=l;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[D>>3]=+h[D>>3]-+h[4296];c[W>>2]=c[Q>>2];c[W+4>>2]=c[Q+4>>2];c[W+8>>2]=c[Q+8>>2];c[W+12>>2]=c[Q+12>>2];c[l>>2]=c[W>>2];c[l+4>>2]=c[W+4>>2];c[l+8>>2]=c[W+8>>2];c[l+12>>2]=c[W+12>>2];l=c[v>>2]|0}m=c[l+100>>2]|0;if(m){l=m+56|0;G=Q;H=l;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[C>>3]=+h[C>>3]-+h[4296];c[Y>>2]=c[Q>>2];c[Y+4>>2]=c[Q+4>>2];c[Y+8>>2]=c[Q+8>>2];c[Y+12>>2]=c[Q+12>>2];c[l>>2]=c[Y>>2];c[l+4>>2]=c[Y+4>>2];c[l+8>>2]=c[Y+8>>2];c[l+12>>2]=c[Y+12>>2];l=c[v>>2]|0}l=c[l+104>>2]|0;if(!l)break;l=l+56|0;G=Q;H=l;I=G+16|0;do{a[G>>0]=a[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));f=(c[14069]|0)*90|0;c[aa>>2]=c[Q>>2];c[aa+4>>2]=c[Q+4>>2];c[aa+8>>2]=c[Q+8>>2];c[aa+12>>2]=c[Q+12>>2];cz(P,aa,f);c[Q>>2]=c[P>>2];c[Q+4>>2]=c[P+4>>2];c[Q+8>>2]=c[P+8>>2];c[Q+12>>2]=c[P+12>>2];h[Q>>3]=+h[Q>>3]-+h[4295];h[B>>3]=+h[B>>3]-+h[4296];c[Z>>2]=c[Q>>2];c[Z+4>>2]=c[Q+4>>2];c[Z+8>>2]=c[Q+8>>2];c[Z+12>>2]=c[Q+12>>2];c[l>>2]=c[Z>>2];c[l+4>>2]=c[Z+4>>2];c[l+8>>2]=c[Z+8>>2];c[l+12>>2]=c[Z+12>>2]}while(0);w=ct(b,w)|0}while((w|0)!=0)}k=hu(b,k)|0}while((k|0)!=0)}qA(b,c[(c[ba>>2]|0)+116>>2]&3)}l=c[ba>>2]|0;n=c[l+12>>2]|0}if((n|0)!=0?(a[n+81>>0]|0)==0:0){m=a[l+275>>0]|0;k=m<<24>>24;do if(!(k&4)){g=+h[l+16>>3];if(!(k&2)){j=(g+ +h[l+32>>3])*.5;break}else{j=p*.5+g;break}}else j=+h[l+32>>3]-p*.5;while(0);if(!(m&1))g=q*.5+ +h[l+24>>3];else g=+h[l+40>>3]-q*.5;h[n+56>>3]=j;h[n+64>>3]=g;a[(c[(c[ba>>2]|0)+12>>2]|0)+81>>0]=1}if(c[13881]|0){if(!(a[143871]|0)){ha=+h[4296];ga=+h[4295];h[da>>3]=ha;h[da+8>>3]=ga;h[da+16>>3]=ha;h[da+24>>3]=ga;h[da+32>>3]=-ga;h[da+40>>3]=-ha;DO(aa,144511,da)|0}else{ga=+h[4295];ha=+h[4296];h[ca>>3]=ga;h[ca+8>>3]=ha;h[ca+16>>3]=ga;h[ca+24>>3]=ha;DO(aa,144296,ca)|0}da=dP(aa)|0;c[c[13881]>>2]=da}i=ea;return}function sA(b){b=b|0;var d=0,e=0.0,f=0,g=0.0,i=0.0,j=0,k=0;f=(yu(b)|0)==(b|0);k=b+16|0;b=c[k>>2]|0;if((!f?(j=c[b+12>>2]|0,(j|0)!=0):0)?(a[j+81>>0]|0)==0:0){f=a[b+275>>0]|0;if(!(f&1)){d=b+48|0;i=+h[b+24>>3]+ +h[b+56>>3]*.5}else{d=b+80|0;i=+h[b+40>>3]-+h[b+88>>3]*.5}g=+h[d>>3];d=f<<24>>24;do if(!(d&4)){e=+h[b+16>>3];if(!(d&2)){e=(e+ +h[b+32>>3])*.5;break}else{e=g*.5+e;break}}else e=+h[b+32>>3]-g*.5;while(0);h[j+56>>3]=e;h[j+64>>3]=i;b=c[k>>2]|0;a[(c[b+12>>2]|0)+81>>0]=1}if((c[b+180>>2]|0)>=1){d=1;while(1){sA(c[(c[b+184>>2]|0)+(d<<2)>>2]|0);b=c[k>>2]|0;if((d|0)>=(c[b+180>>2]|0))break;else d=d+1|0}}return}function tA(a){a=a|0;rA(a,1);return}function uA(b){b=b|0;var d=0,e=0.0,f=0,g=0.0,i=0.0,j=0,k=0;f=(yu(b)|0)==(b|0);k=b+16|0;b=c[k>>2]|0;if((!f?(j=c[b+12>>2]|0,(j|0)!=0):0)?(a[j+81>>0]|0)==0:0){f=a[b+275>>0]|0;if(!(f&1)){d=b+104|0;i=+h[b+16>>3]+ +h[b+96>>3]*.5}else{d=b+72|0;i=+h[b+32>>3]-+h[b+64>>3]*.5}g=+h[d>>3];d=f<<24>>24;do if(!(d&4)){e=+h[b+40>>3];if(!(d&2)){e=(+h[b+24>>3]+e)*.5;break}else{e=e-g*.5;break}}else e=g*.5+ +h[b+24>>3];while(0);h[j+56>>3]=i;h[j+64>>3]=e;b=c[k>>2]|0;a[(c[b+12>>2]|0)+81>>0]=1}if((c[b+180>>2]|0)>=1){d=1;while(1){uA(c[(c[b+184>>2]|0)+(d<<2)>>2]|0);b=c[k>>2]|0;if((d|0)>=(c[b+180>>2]|0))break;else d=d+1|0}}return}function vA(b){b=b|0;var d=0,e=0,f=0,g=0;g=(yu(b)|0)==(b|0);f=b+16|0;d=c[f>>2]|0;if(!g?(e=c[d+12>>2]|0,(e|0)!=0):0)b=(a[e+81>>0]|0)!=0&1;else b=0;if((c[d+180>>2]|0)>=1){e=1;while(1){b=(vA(c[(c[d+184>>2]|0)+(e<<2)>>2]|0)|0)+b|0;d=c[f>>2]|0;if((e|0)>=(c[d+180>>2]|0))break;else e=e+1|0}}return b|0}function wA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0;q=i;i=i+80|0;p=q+40|0;m=q;n=d+16|0;f=c[n>>2]|0;if((c[f+180>>2]|0)>=1){l=1;while(1){f=c[(c[f+184>>2]|0)+(l<<2)>>2]|0;g=p;j=e;k=g+40|0;do{c[g>>2]=c[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(k|0));wA(m,f,p);g=e;j=m;k=g+40|0;do{c[g>>2]=c[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(k|0));f=c[n>>2]|0;if((l|0)>=(c[f+180>>2]|0))break;else l=l+1|0}}if(((yu(d)|0)!=(d|0)?(o=c[(c[n>>2]|0)+12>>2]|0,(o|0)!=0):0)?(a[o+81>>0]|0)!=0:0){p=e+32|0;d=c[p>>2]|0;y=+h[e>>3];l=e+8|0;w=+h[l>>3];m=e+16|0;u=+h[m>>3];n=e+24|0;s=+h[n>>3];k=(a[143871]|0)==0;r=+h[o+24>>3];x=+h[o+32>>3];t=k?r:x;r=k?x:r;h[d+16>>3]=t;h[d+24>>3]=r;o=o+56|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];x=+h[d>>3]-t*.5;h[d>>3]=x;o=d+8|0;v=+h[o>>3]-r*.5;h[o>>3]=v;t=t+x;r=r+v;h[e>>3]=y<x?y:x;h[l>>3]=w<v?w:v;h[m>>3]=u>t?u:t;h[n>>3]=s>r?s:r;c[p>>2]=d+40}g=b;j=e;k=g+40|0;do{c[g>>2]=c[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(k|0));i=q;return}function xA(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;r=i;i=i+1152|0;d=r+32|0;q=r+24|0;j=r+8|0;e=r;g=r+128|0;n=r+52|0;l=r+48|0;m=r+44|0;o=r+40|0;p=r+36|0;k=zC(Qs(b,146544)|0)|0;if(k){d=c[14070]|0;if(!d){d=hs(56284,c[13094]|0)|0;c[14070]=d}d=Jb[c[d>>2]&63](d,k,512)|0;do if(!d){f=oO(k,179987)|0;if(!f){c[e>>2]=k;us(0,145306,e)|0;d=0;break}else{e=0;d=0}do{if(!(mO(g,1024,f)|0))break;c[j>>2]=l;c[j+4>>2]=m;c[j+8>>2]=o;c[j+12>>2]=p;s=(EO(g,145334,j)|0)==4;d=s?1:d;if((a[g>>0]|0)!=37){s=(lP(g,145363)|0)==0;e=s?e:1}}while(!((d|0)!=0&(e|0)!=0));if(!d){c[q>>2]=k;us(0,145368,q)|0;d=0}else{d=zz(64)|0;c[d+32>>2]=c[l>>2];s=d+36|0;c[s>>2]=c[m>>2];c[d+40>>2]=(c[o>>2]|0)-(c[l>>2]|0);c[s>>2]=(c[p>>2]|0)-(c[m>>2]|0);c[d+8>>2]=k;s=c[14080]|0;c[14080]=s+1;c[d+12>>2]=s;VN(nO(f)|0,n)|0;s=c[n+36>>2]|0;q=zz(s+1|0)|0;c[d+52>>2]=q;vO(f,0,0)|0;sO(q,s,1,f)|0;a[q+s>>0]=0;s=c[14070]|0;Jb[c[s>>2]&63](s,d,1)|0;a[d+16>>0]=e}iO(f)|0}while(0);if(d){p=c[d+40>>2]|0;q=c[d+44>>2]|0;b=b+16|0;s=c[b>>2]|0;h[s+32>>3]=+(p|0)/72.0;h[s+40>>3]=+(q|0)/72.0;s=yz(12)|0;c[(c[b>>2]|0)+12>>2]=s;c[s>>2]=c[d+12>>2];c[s+4>>2]=((p|0)/-2|0)-(c[d+32>>2]|0);c[s+8>>2]=((q|0)/-2|0)-(c[d+36>>2]|0)}}else{c[d>>2]=Ft(b)|0;us(0,145407,d)|0}i=r;return}function yA(a){a=a|0;a=c[(c[a+16>>2]|0)+12>>2]|0;if(a)fQ(a);return}
function iD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;h=i;i=i+16|0;g=h;f=a+16|0;a=c[f>>2]|0;if((c[a+180>>2]|0)>=1){e=1;while(1){d=c[(c[a+184>>2]|0)+(e<<2)>>2]|0;a=Ft(d)|0;if(!(Jb[c[b>>2]&63](b,a,512)|0)){j=yz(16)|0;c[j+8>>2]=a;c[j+12>>2]=d;Jb[c[b>>2]&63](b,j,1)|0}else{c[g>>2]=a;us(0,151074,g)|0}iD(d,b);a=c[f>>2]|0;if((e|0)>=(c[a+180>>2]|0))break;else e=e+1|0}}i=h;return}function jD(a,b,c){a=a|0;b=b|0;c=c|0;b=ht(xu(b)|0,b,c,0,1)|0;Ou(b,178780,176,1)|0;Vs(a,b)|0;return b|0}function kD(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;l=i;i=i+112|0;g=l;k=l+4|0;As(e,151055)|0;j=c[15335]|0;c[15335]=j+1;c[g>>2]=j;DO(k,178484,g)|0;As(e,k)|0;k=e+4|0;g=c[k>>2]|0;j=e+8|0;if(g>>>0>=(c[j>>2]|0)>>>0){ys(e,1)|0;g=c[k>>2]|0}c[k>>2]=g+1;a[g>>0]=58;As(e,Ft(d)|0)|0;h=yu(d)|0;g=c[k>>2]|0;if(g>>>0>=(c[j>>2]|0)>>>0){ys(e,1)|0;g=c[k>>2]|0}a[g>>0]=0;e=c[e>>2]|0;c[k>>2]=e;e=mu(h,e,1)|0;Ou(e,178487,304,1)|0;a[(c[e+16>>2]|0)+118>>0]=1;lu(d,e,1)|0;lu(f,b,1)|0;b=xu(e)|0;c[13916]=KC(b,e,151058,181739,c[13916]|0)|0;b=xu(e)|0;c[13919]=KC(b,e,182282,175423,c[13919]|0)|0;b=xu(e)|0;c[13901]=KC(b,e,151064,151070,c[13901]|0)|0;i=l;return e|0}function lD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+32|0;g=f;n=g+8|0;c[n>>2]=b;m=g+12|0;c[m>>2]=d;o=c[e>>2]&3;j=e+48|0;k=g+16|0;c[k>>2]=c[((o|0)==3?e:j)+40>>2];l=e+-48|0;h=g+20|0;c[h>>2]=c[((o|0)==2?e:l)+40>>2];Jb[c[a>>2]&63](a,g,1)|0;c[n>>2]=d;c[m>>2]=b;b=c[e>>2]&3;c[k>>2]=c[((b|0)==2?e:l)+40>>2];c[h>>2]=c[((b|0)==3?e:j)+40>>2];Jb[c[a>>2]&63](a,g,1)|0;i=f;return}function mD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;f=xu(b)|0;if(a[(c[b+16>>2]|0)+118>>0]|0){lu(d,b,1)|0;b=_O(Ft(b)|0,58)|0;if(!b)Na(152225,148721,1225,151050);d=b+1|0;b=mu(f,d,0)|0;if(!b){b=mu(f,d,1)|0;Ou(b,178487,304,1)|0;d=Js(f,1,0)|0;if(d)do{g=Rs(b,d)|0;e=c[d+12>>2]|0;if((g|0)!=(e|0))Ts(b,d,e)|0;d=Js(f,1,d)|0}while((d|0)!=0)}}return b|0}function nD(a,b){a=a|0;b=b|0;return aP(c[a>>2]|0,c[b>>2]|0)|0}function oD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;l=i;i=i+16|0;k=l;a[k>>0]=b;a[k+1>>0]=0;k=SC(k)|0;b=eP(k)|0;if((b|0)>1){g=d+4|0;h=d+8|0;j=b+-1|0;f=k;while(1){b=b+-1|0;e=c[g>>2]|0;if(e>>>0>=(c[h>>2]|0)>>>0){ys(d,1)|0;e=c[g>>2]|0}m=a[f>>0]|0;c[g>>2]=e+1;a[e>>0]=m;if((b|0)<=1)break;else f=f+1|0}b=k+j|0}else b=k;m=a[b>>0]|0;fQ(k);i=l;return m|0}function pD(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+32|0;k=l;j=l+8|0;d=c[b>>2]|0;a:do if((a[d>>0]|0)==35){e=a[d+1>>0]|0;b:do if((e&-33)<<24>>24!=88){f=e&255;if((e+-48&255)<10){g=1;e=0;do{e=(e*10|0)+-48+f|0;g=g+1|0;if((g|0)>=8)break b;k=a[d+g>>0]|0;f=k&255}while((k+-48&255)<10)}else{g=1;e=0}}else{h=2;e=0;while(1){g=a[d+h>>0]|0;f=g&255;do if((g+-65&255)<6)f=f+-55|0;else{if((g+-97&255)<6){f=f+-87|0;break}if((g+-48&255)>=10){g=h;break b}f=f+-48|0}while(0);e=f+(e<<4)|0;g=h+1|0;if((g|0)<8)h=g;else break}}while(0);if((f|0)==59)d=d+(g+1)|0;else e=0}else{c[k>>2]=j;f=a[d>>0]|0;c:do switch(f<<24>>24){case 0:{e=0;break a}case 59:{h=1;e=j;break}default:{e=j+1|0;a[j>>0]=f;f=a[d+1>>0]|0;switch(f<<24>>24){case 0:{e=0;break a}case 59:{h=2;break c}default:{}}g=j+2|0;a[e>>0]=f;f=a[d+2>>0]|0;switch(f<<24>>24){case 0:{e=0;break a}case 59:{h=3;e=g;break c}default:{}}e=j+3|0;a[g>>0]=f;f=a[d+3>>0]|0;switch(f<<24>>24){case 0:{e=0;break a}case 59:{h=4;break c}default:{}}g=j+4|0;a[e>>0]=f;f=a[d+4>>0]|0;switch(f<<24>>24){case 0:{e=0;break a}case 59:{h=5;e=g;break c}default:{}}e=j+5|0;a[g>>0]=f;f=a[d+5>>0]|0;switch(f<<24>>24){case 0:{e=0;break a}case 59:{h=6;break c}default:{}}g=j+6|0;a[e>>0]=f;e=a[d+6>>0]|0;switch(e<<24>>24){case 0:{e=0;break a}case 59:{h=7;e=g;break c}default:{}}f=j+7|0;a[g>>0]=e;e=a[d+7>>0]|0;switch(e<<24>>24){case 0:{e=0;break a}case 59:{h=8;e=f;break c}default:{}}a[f>>0]=e;e=0;break a}}while(0);a[e>>0]=0;e=OO(k,59320,252,8,97)|0;if(!e)e=0;else{e=c[e+4>>2]|0;d=d+h|0}}while(0);c[b>>2]=d;i=l;return e|0}function qD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0;m=i;i=i+160|0;l=m+144|0;k=m+128|0;n=m+96|0;f=m+64|0;g=m+32|0;j=m;o=+h[e+16>>3];c[k>>2]=c[a>>2];c[k+4>>2]=c[a+4>>2];c[k+8>>2]=c[a+8>>2];c[k+12>>2]=c[a+12>>2];c[l>>2]=c[b>>2];c[l+4>>2]=c[b+4>>2];c[l+8>>2]=c[b+8>>2];c[l+12>>2]=c[b+12>>2];Zx(n,k,l,1.0,d);if(((o>=+h[n>>3]?(c[k>>2]=c[a>>2],c[k+4>>2]=c[a+4>>2],c[k+8>>2]=c[a+8>>2],c[k+12>>2]=c[a+12>>2],c[l>>2]=c[b>>2],c[l+4>>2]=c[b+4>>2],c[l+8>>2]=c[b+8>>2],c[l+12>>2]=c[b+12>>2],Zx(f,k,l,1.0,d),+h[f+16>>3]>=+h[e>>3]):0)?(o=+h[e+24>>3],c[k>>2]=c[a>>2],c[k+4>>2]=c[a+4>>2],c[k+8>>2]=c[a+8>>2],c[k+12>>2]=c[a+12>>2],c[l>>2]=c[b>>2],c[l+4>>2]=c[b+4>>2],c[l+8>>2]=c[b+8>>2],c[l+12>>2]=c[b+12>>2],Zx(g,k,l,1.0,d),o>=+h[g+8>>3]):0)?(c[k>>2]=c[a>>2],c[k+4>>2]=c[a+4>>2],c[k+8>>2]=c[a+8>>2],c[k+12>>2]=c[a+12>>2],c[l>>2]=c[b>>2],c[l+4>>2]=c[b+4>>2],c[l+8>>2]=c[b+8>>2],c[l+12>>2]=c[b+12>>2],Zx(j,k,l,1.0,d),+h[j+24>>3]>=+h[e+8>>3]):0)f=1;else f=0;i=m;return f|0}function rD(a,b,d){a=a|0;b=b|0;d=d|0;d=yz(24)|0;c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];c[d+16>>2]=c[b+16>>2];c[d+20>>2]=c[b+20>>2];return d|0}function sD(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function tD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=c[b>>2]|0;e=c[d>>2]|0;if(a>>>0>=e>>>0)if(a>>>0<=e>>>0){e=c[b+4>>2]|0;a=c[d+4>>2]|0;if(e>>>0<a>>>0)a=-1;else a=e>>>0>a>>>0&1}else a=1;else a=-1;return a|0}function uD(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function vD(e,f){e=e|0;f=f|0;var g=0,j=0,l=0,m=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,fa=0,ha=0,ja=0,la=0,ma=0,na=0,oa=0,pa=0;pa=i;i=i+240|0;la=pa+216|0;ja=pa+200|0;ha=pa+168|0;fa=pa+160|0;ca=pa+152|0;ba=pa+144|0;aa=pa+112|0;$=pa+104|0;q=pa+96|0;na=4;ma=eQ(40)|0;c[ma>>2]=0;V=pa+224|0;R=pa+80|0;S=pa+64|0;T=pa+48|0;U=pa+32|0;Z=pa+16|0;_=pa;n=0;g=ia(31,e|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;a:do if((l|0)!=1){n=0;X=ia(21,g<<3|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)!=1){if(!(a[142277]|0))Y=0;else{n=0;g=ta(2)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){E=0;F=0;D=0;U=0;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=0;break}Y=g}n=0;g=ra(98,e|0,151137)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)!=1){c[15337]=0;b:do if((g|0)!=0?(m=a[g>>0]|0,m<<24>>24!=0):0){l=g;j=m;g=0;while(1){l=l+1|0;switch(j<<24>>24|0){case 99:{g=g|8;c[15337]=g;break}case 105:{g=g|18;c[15337]=g;break}case 109:{g=g|1;c[15337]=g;break}case 114:{g=g|4;c[15337]=g;break}case 115:{g=g|2;c[15337]=g;break}default:{}}j=a[l>>0]|0;if(!(j<<24>>24))break b}}while(0);if(f){n=0;ka(23,0,151141,q|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){E=0;F=0;D=0;U=0;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break}}n=0;W=ra(99,e|0,0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)!=1){Q=c[W+16>>2]|0;if(c[15337]&2){n=0;ga(31,c[24809]|0,Q|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break}}n=0;g=ia(23,e|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)!=1){if(!g)m=0;else{m=0;do{n=0;j=ra(100,e|0,g|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){f=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!f)Ra(l|0,o|0);C=o}else f=-1;if((f|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break a}if(j){B=j;do{if(!((c[13880]|0)==2?(c[(c[B+16>>2]|0)+8>>2]|0)!=0:0))oa=29;c:do if((oa|0)==29){oa=0;do if(a[142277]|0){x=c[B>>2]&3;l=B+48|0;w=(c[c[((x|0)==3?B:l)+40>>2]>>2]|0)>>>4;j=B+-48|0;x=(c[c[((x|0)==2?B:j)+40>>2]>>2]|0)>>>4;if(w>>>0>x>>>0){n=0;f=ka(40,Y|0,x|0,w|0)|0;q=n;n=0;if((q|0)!=0&(o|0)!=0){u=qQ(c[q>>2]|0,ma|0,na|0)|0;if(!u)Ra(q|0,o|0);C=o}else u=-1;if((u|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break a}if(f)break c;n=0;wa(65,Y|0,x|0,w|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){q=qQ(c[f>>2]|0,ma|0,na|0)|0;if(!q)Ra(f|0,o|0);C=o}else q=-1;if((q|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break a}break}else{n=0;f=ka(40,Y|0,w|0,x|0)|0;q=n;n=0;if((q|0)!=0&(o|0)!=0){u=qQ(c[q>>2]|0,ma|0,na|0)|0;if(!u)Ra(q|0,o|0);C=o}else u=-1;if((u|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break a}if(f)break c;n=0;wa(65,Y|0,w|0,x|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){q=qQ(c[f>>2]|0,ma|0,na|0)|0;if(!q)Ra(f|0,o|0);C=o}else q=-1;if((q|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break a}break}}else{l=B+48|0;j=B+-48|0}while(0);c[X+(m<<3)+4>>2]=B;P=c[B>>2]&3;O=c[(c[((P|0)==3?B:l)+40>>2]|0)+16>>2]|0;P=c[(c[((P|0)==2?B:j)+40>>2]|0)+16>>2]|0;z=+h[O+16>>3]-+h[P+16>>3];A=+h[O+24>>3]-+h[P+24>>3];c[X+(m<<3)>>2]=~~(z*z+A*A);m=m+1|0}while(0);n=0;B=ra(101,e|0,B|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break a}}while((B|0)!=0)}n=0;g=ra(87,e|0,g|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y;break a}}while((g|0)!=0)}n=0;D=ia(25,m<<3|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)!=1){n=0;Aa(28,X|0,m|0,8,102);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)!=1){l=c[Q>>2]|0;n=0;ea(111,l+2|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)!=1){g=c[Q+16>>2]|0;M=g+(l*40|0)|0;N=g+((l+1|0)*40|0)|0;E=(m|0)>0;if(E){O=c[24809]|0;P=(M|0)==0;I=g+(l*40|0)+8|0;J=R+8|0;K=S+8|0;L=0;do{if((L|0)>0?(c[15337]&16|0)!=0:0){n=0;ga(31,O|0,Q|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}}g=c[X+(L<<3)+4>>2]|0;H=c[g>>2]&3;w=c[(c[(c[((H|0)==3?g:g+48|0)+40>>2]|0)+16>>2]|0)+112>>2]|0;g=c[(c[(c[((H|0)==2?g:g+-48|0)+40>>2]|0)+16>>2]|0)+112>>2]|0;if((w|0)!=(g|0)){n=0;wa(67,Q|0,g|0,N|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}n=0;wa(67,Q|0,w|0,M|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}}else{f=w+32|0;if((c[f>>2]|0)>0){q=w+36|0;u=0;do{l=c[(c[q>>2]|0)+(u<<2)>>2]|0;do if(!(a[l+36>>0]|0)){g=c[l+20>>2]|0;if((g|0)==(w|0)){n=0;wa(66,U|0,l|0,c[l+24>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}n=0;za(1,Q|0,M|0,l|0,0.0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}break}else{n=0;wa(66,U|0,l|0,g|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}n=0;za(1,Q|0,N|0,l|0,0.0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}break}}while(0);u=u+1|0}while((u|0)<(c[f>>2]|0))}c[Q>>2]=(c[Q>>2]|0)+2}n=0;g=ka(41,Q|0,N|0,M|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}if(g){F=D;u=W;w=X;q=X;x=0;B=0;e=0;f=Y;oa=245;break a}if(P)g=-112;else{g=M;j=0;do{j=j+1|0;g=c[g+8>>2]|0}while((g|0)!=0);g=(j*56|0)+-112|0}n=0;H=ia(25,g|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}q=c[I>>2]|0;f=c[q+8>>2]|0;g=c[q+20>>2]|0;if(c[g>>2]&1)g=c[q+24>>2]|0;n=0;wa(66,R|0,q|0,g|0);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}j=f+8|0;do if(!(c[j>>2]|0)){n=0;j=ra(103,H|0,0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){l=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!l)Ra(g|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}g=0}else{z=+h[R>>3];A=+h[J>>3];w=g;l=q;p=0.0;r=0.0;u=q;G=0;while(1){g=c[l+20>>2]|0;q=f+20|0;do if((g|0)==(c[q>>2]|0))F=g;else{if((g|0)==(c[f+24>>2]|0)){F=g;break}F=c[l+24>>2]|0}while(0);n=0;wa(68,Q|0,F|0,c[u+12>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){l=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!l)Ra(g|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}B=u+36|0;g=a[B>>0]|0;e=f+36|0;do if(g<<24>>24==(a[e>>0]|0)){if((c[j>>2]|0)!=(N|0)){t=z;s=A;q=w;g=G;break}n=0;wa(66,S|0,f|0,F|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){l=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!l)Ra(g|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}g=a[B>>0]|0;t=+h[S>>3];s=+h[K>>3];oa=92}else{t=(+h[F+40>>3]+ +h[F+56>>3])*.5;s=(+h[F+48>>3]+ +h[F+64>>3])*.5;oa=92}while(0);do if((oa|0)==92){oa=0;x=g<<24>>24==0;l=(u|0)==(c[I>>2]|0);if(x){if(!(a[e>>0]|0))g=0;else g=(c[q>>2]|0)==(F|0)?4:2;u=w+48|0;q=F+48|0;w=w+40|0;l=l?0:p>z?4:2}else{if(g<<24>>24==(a[e>>0]|0))g=0;else g=(c[q>>2]|0)==(F|0)?1:3;u=w+40|0;q=F+40|0;w=w+48|0;l=l?0:r>A?1:3}r=+h[q>>3];p=+h[u>>3];y=+h[w>>3];if(p<r){u=0;v=p;p=r;q=l;l=g}else{u=1;v=r;q=g}g=G+1|0;w=H+(G*56|0)|0;a[w>>0]=x&1;a[w+1>>0]=u;x=w+2|0;b[x>>1]=b[V>>1]|0;b[x+2>>1]=b[V+2>>1]|0;b[x+4>>1]=b[V+4>>1]|0;h[w+8>>3]=y;h[w+16>>3]=v;h[w+24>>3]=p;c[w+32>>2]=q;c[w+36>>2]=l;c[w+48>>2]=0;c[w+52>>2]=0;if((a[B>>0]|0)==(a[e>>0]|0)){q=F;p=z;r=A;u=f;break}if((c[j>>2]|0)!=(N|0)){q=F;p=z;r=A;u=f;break}n=0;wa(66,T|0,f|0,F|0);l=n;n=0;if((l|0)!=0&(o|0)!=0){q=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!q)Ra(l|0,o|0);C=o}else q=-1;if((q|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}u=(a[e>>0]|0)==0;q=F+48|0;e=F+40|0;p=+h[(u?q:e)>>3];r=+h[(u?e:q)>>3];q=H+(g*56|0)|0;a[q>>0]=u&1;a[q+1>>0]=1;g=q+2|0;b[g>>1]=b[V>>1]|0;b[g+2>>1]=b[V+2>>1]|0;b[g+4>>1]=b[V+4>>1]|0;h[q+8>>3]=r;h[q+16>>3]=p;h[q+24>>3]=p;c[q+32>>2]=0;c[q+36>>2]=u?(z>t?4:2):A>s?1:3;c[q+48>>2]=0;c[q+52>>2]=0;q=F;p=z;r=A;u=f;g=G+2|0}while(0);l=c[j>>2]|0;j=l+8|0;if(!(c[j>>2]|0))break;else{F=f;z=t;A=s;w=q;f=l;G=g;l=F}}n=0;j=ra(103,H|0,g*56|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){f=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!f)Ra(l|0,o|0);C=o}else f=-1;if((f|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}if((g|0)<=0)break;l=g+-1|0;f=0;do{if((f|0)>0)c[j+(f*56|0)+48>>2]=j+((f+-1|0)*56|0);q=f;f=f+1|0;if((q|0)<(l|0))c[j+(q*56|0)+52>>2]=j+(f*56|0)}while((f|0)!=(g|0))}while(0);c[D+(L<<3)>>2]=g;c[D+(L<<3)+4>>2]=j;n=0;ea(112,Q|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y;break a}L=L+1|0}while((L|0)<(m|0))}n=0;xa(4);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)!=1){n=0;x=ra(104,61352,c[13094]|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)!=1){g=c[W>>2]|0;if((g|0)>0){w=W+8|0;u=0;do{j=(c[w>>2]|0)+(u*72|0)|0;if(!(c[j>>2]&4)){while(1){f=j+36|0;g=c[(c[f>>2]|0)+8>>2]|0;if(!g)break;g=c[g+20>>2]|0;if(!g)break;if(!(c[g>>2]&1))j=g;else break}n=0;q=ia(25,40)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){l=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!l)Ra(g|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=W;S=Y;break a}c[q+36>>2]=j;h[q+8>>3]=+h[j+40>>3];c[j>>2]=c[j>>2]|4;g=c[c[f>>2]>>2]|0;d:do if(!g)g=j;else{f=j;while(1){l=c[g+24>>2]|0;if(!l){g=f;break d}g=c[l>>2]|0;if(g&1){g=f;break d}c[l>>2]=g|4;g=c[c[l+36>>2]>>2]|0;if(!g){g=l;break}else f=l}}while(0);h[q+16>>3]=+h[g+56>>3];n=0;ya(1,x|0,q|0,+(+h[j+48>>3]));g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=W;S=Y;break a}g=c[W>>2]|0}u=u+1|0}while((u|0)<(g|0))}H=W+20|0;c[H>>2]=x;n=0;x=ra(104,61352,c[13094]|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=H;e=W;S=Y}else{g=c[W>>2]|0;if((g|0)>0){w=W+8|0;u=0;do{j=(c[w>>2]|0)+(u*72|0)|0;if(!(c[j>>2]&2)){while(1){f=j+36|0;g=c[(c[f>>2]|0)+12>>2]|0;if(!g)break;g=c[g+20>>2]|0;if(!g)break;if(!(c[g>>2]&1))j=g;else break}n=0;q=ia(25,40)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){l=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!l)Ra(g|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=H;e=W;S=Y;break a}c[q+36>>2]=j;h[q+8>>3]=+h[j+48>>3];c[j>>2]=c[j>>2]|2;g=c[(c[f>>2]|0)+4>>2]|0;e:do if(!g)g=j;else{f=j;while(1){l=c[g+24>>2]|0;if(!l){g=f;break e}g=c[l>>2]|0;if(g&1){g=f;break e}c[l>>2]=g|2;g=c[(c[l+36>>2]|0)+4>>2]|0;if(!g){g=l;break}else f=l}}while(0);h[q+16>>3]=+h[g+64>>3];n=0;ya(1,x|0,q|0,+(+h[j+40>>3]));g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=0;B=H;e=W;S=Y;break a}g=c[W>>2]|0}u=u+1|0}while((u|0)<(g|0))}G=W+24|0;c[G>>2]=x;if(E){B=0;do{u=c[D+(B<<3)>>2]|0;w=c[D+(B<<3)+4>>2]|0;if((u|0)>0){e=0;do{x=w+(e*56|0)|0;if(!(a[x>>0]|0)){n=0;g=ra(105,c[H>>2]|0,x|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=G;B=H;e=W;S=Y;break a}}else{n=0;g=ra(105,c[G>>2]|0,x|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=G;B=H;e=W;S=Y;break a}}q=g+24|0;f=c[q>>2]|0;j=f+1|0;c[q>>2]=j;c[w+(e*56|0)+40>>2]=f;f=g+28|0;g=c[f>>2]|0;if(!g){n=0;g=ia(21,j<<2|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=G;B=H;e=W;S=Y;break a}}else{n=0;g=ra(88,g|0,j<<2|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){F=D;U=W;w=X;T=X;g=C;x=G;B=H;e=W;S=Y;break a}}c[f>>2]=g;c[g+((c[q>>2]|0)+-1<<2)>>2]=x;e=e+1|0}while((e|0)!=(u|0))}B=B+1|0}while((B|0)!=(m|0))}ma=nQ(61388,1,ma|0,na|0)|0;na=C;n=0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){F=D;U=W;w=X;T=X;g=C;x=G;B=H;e=W;S=Y;break}F=D;U=W;w=X;T=X;g=0;x=G;B=H;e=W;S=Y}}else{F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y}}else{F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y}}else{E=0;F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y}}else{E=0;F=D;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y}}else{E=0;F=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;S=Y}}else{E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y}}else{E=0;F=0;D=0;U=W;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y}}else{E=0;F=0;D=0;U=0;w=X;T=X;g=C;x=0;B=0;e=0;m=0;S=Y}}else{E=0;F=0;D=0;U=0;w=0;T=X;g=C;x=0;B=0;e=0;m=0;S=0}}else{E=0;F=0;D=0;U=0;w=0;T=0;g=C;x=0;B=0;e=0;m=0;S=0}while(0);f:while(1){if((oa|0)==245){oa=0;if(a[142277]|0){n=0;ea(116,f|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){U=u;T=q;g=C;S=f;continue}}if(E){l=0;while(1){n=0;ea(104,c[F+(l<<3)+4>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){U=u;T=q;g=C;S=f;continue f}l=l+1|0;if((l|0)==(m|0))break}}n=0;ea(104,D|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){U=u;T=q;g=C;S=f;continue}n=0;ea(117,u|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){U=u;T=q;g=C;S=f;continue}n=0;ea(104,q|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){U=u;T=q;g=C;S=f}else break}if(g){u=U;q=T;f=S;oa=245;continue}n=0;ea(113,c[B>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;ea(113,c[x>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;ea(114,c[B>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;ea(114,c[x>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;ga(32,c[B>>2]|0,U|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;ga(32,c[x>>2]|0,U|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;ea(115,c[B>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;ea(115,c[x>>2]|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}if(c[15337]&4){K=c[24809]|0;n=0;va(56,151215,405,1,K|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;c[$>>2]=10;c[$+4>>2]=10;ka(29,K|0,151621,$|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}n=0;va(56,179001,18,1,K|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}g=U+4|0;if((c[g>>2]|0)>0){j=U+12|0;q=0;while(1){l=c[j>>2]|0;y=+h[l+(q*72|0)+48>>3];z=+h[l+(q*72|0)+56>>3];A=+h[l+(q*72|0)+64>>3];n=0;h[aa>>3]=+h[l+(q*72|0)+40>>3];h[aa+8>>3]=y;h[aa+16>>3]=z;h[aa+24>>3]=A;ka(29,K|0,179020,aa|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){f=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!f)Ra(l|0,o|0);C=o}else f=-1;if((f|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}q=q+1|0;if((q|0)>=(c[g>>2]|0))break}}if(E){s=-1797693134862315708145274.0e284;t=-1797693134862315708145274.0e284;r=1797693134862315708145274.0e284;p=1797693134862315708145274.0e284;J=0;while(1){I=c[w+(J<<3)+4>>2]|0;G=F+(J<<3)|0;G=d[G>>0]|d[G+1>>0]<<8|d[G+2>>0]<<16|d[G+3>>0]<<24;H=F+(J<<3)+4|0;H=d[H>>0]|d[H+1>>0]<<8|d[H+2>>0]<<16|d[H+3>>0]<<24;g=c[(c[(c[((c[I>>2]&3|0)==3?I:I+48|0)+40>>2]|0)+16>>2]|0)+112>>2]|0;if(!(a[H>>0]|0)){y=+h[g+56>>3];v=+h[g+40>>3];n=0;l=ra(105,c[B>>2]|0,H|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[l+36>>2]|0;A=+h[Y+48>>3];y=(y+v)*.5;v=A+(1.0-+(c[H+44>>2]|0)/+((c[l+24>>2]|0)+1|0))*(+h[Y+64>>3]-A)}else{z=+h[g+64>>3];v=+h[g+48>>3];n=0;g=ra(105,c[x>>2]|0,H|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[g+36>>2]|0;y=+h[Y+40>>3];y=y+ +(c[H+44>>2]|0)/+((c[g+24>>2]|0)+1|0)*(+h[Y+56>>3]-y);v=(z+v)*.5}q=~~v;f=~~y;z=+(f|0);p=p<z?p:z;A=+(q|0);r=r<A?r:A;t=t>z?t:z;s=s>A?s:A;n=0;c[ba>>2]=f;c[ba+4>>2]=q;ka(29,K|0,151638,ba|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}if((G|0)>1){u=1;while(1){g=H+(u*56|0)|0;if(!(a[g>>0]|0)){n=0;l=ra(105,c[B>>2]|0,g|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[l+36>>2]|0;A=+h[Y+48>>3];l=~~(A+(1.0-+(c[H+(u*56|0)+44>>2]|0)/+((c[l+24>>2]|0)+1|0))*(+h[Y+64>>3]-A))}else{n=0;g=ra(105,c[x>>2]|0,g|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}f=c[g+36>>2]|0;A=+h[f+40>>3];f=~~(A+ +(c[H+(u*56|0)+44>>2]|0)/+((c[g+24>>2]|0)+1|0)*(+h[f+56>>3]-A));l=q}z=+(f|0);p=p<z?p:z;A=+(l|0);r=r<A?r:A;t=t>z?t:z;s=s>A?s:A;n=0;c[ca>>2]=f;c[ca+4>>2]=l;ka(29,K|0,151660,ca|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}u=u+1|0;if((u|0)==(G|0))break;else q=l}z=p;y=r;v=s;f=H+(((G|0)>2?G+-1|0:1)*56|0)|0}else{z=p;y=r;v=s;f=H}g=c[(c[(c[((c[I>>2]&3|0)==2?I:I+-48|0)+40>>2]|0)+16>>2]|0)+112>>2]|0;if(!(a[f>>0]|0)){r=+h[g+56>>3];p=+h[g+40>>3];n=0;l=ra(105,c[B>>2]|0,f|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[l+36>>2]|0;A=+h[Y+48>>3];r=(r+p)*.5;p=A+(1.0-+(c[f+44>>2]|0)/+((c[l+24>>2]|0)+1|0))*(+h[Y+64>>3]-A)}else{s=+h[g+64>>3];p=+h[g+48>>3];n=0;g=ra(105,c[x>>2]|0,f|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[g+36>>2]|0;r=+h[Y+40>>3];r=r+ +(c[f+44>>2]|0)/+((c[g+24>>2]|0)+1|0)*(+h[Y+56>>3]-r);p=(s+p)*.5}g=~~p;Y=~~r;A=+(Y|0);p=z<A?z:A;s=+(g|0);r=y<s?y:s;t=t>A?t:A;s=v>s?v:s;n=0;c[fa>>2]=Y;c[fa+4>>2]=g;ka(29,K|0,151674,fa|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}J=J+1|0;if((J|0)==(m|0))break}}else{t=-1797693134862315708145274.0e284;r=1797693134862315708145274.0e284;p=1797693134862315708145274.0e284;s=-1797693134862315708145274.0e284}n=0;va(56,151695,24,1,K|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}if((c[e>>2]|0)>0){f=U+8|0;l=0;while(1){g=c[f>>2]|0;v=+h[g+(l*72|0)+40>>3];y=+h[g+(l*72|0)+48>>3];z=+h[g+(l*72|0)+56>>3];A=+h[g+(l*72|0)+64>>3];n=0;h[ha>>3]=v;h[ha+8>>3]=y;h[ha+16>>3]=z;h[ha+24>>3]=A;ka(29,K|0,179057,ha|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}p=p<v?p:v;r=r<y?r:y;t=t>z?t:z;s=s>A?s:A;l=l+1|0;if((l|0)>=(c[e>>2]|0))break}}n=0;c[ja>>2]=~~(p+10.0);c[ja+4>>2]=~~(r+10.0);c[ja+8>>2]=~~(t+10.0);c[ja+12>>2]=~~(s+10.0);ka(29,K|0,151720,ja|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}}if(E){O=Z+8|0;P=_+8|0;Q=c[24809]|0;R=0;g=0;j=0;while(1){L=c[w+(R<<3)+4>>2]|0;I=c[L>>2]&3;J=L+48|0;M=c[(c[((I|0)==3?L:J)+40>>2]|0)+16>>2]|0;q=c[L+16>>2]|0;H=q+16|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];z=+h[k>>3];H=q+24|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];y=+h[k>>3];H=M+16|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];A=+h[k>>3];M=M+24|0;a[k>>0]=a[M>>0];a[k+1>>0]=a[M+1>>0];a[k+2>>0]=a[M+2>>0];a[k+3>>0]=a[M+3>>0];a[k+4>>0]=a[M+4>>0];a[k+5>>0]=a[M+5>>0];a[k+6>>0]=a[M+6>>0];a[k+7>>0]=a[M+7>>0];y=y+ +h[k>>3];h[Z>>3]=z+A;h[O>>3]=y;M=L+-48|0;I=c[(c[((I|0)==2?L:M)+40>>2]|0)+16>>2]|0;H=q+56|0;a[k>>0]=a[H>>0];a[k+1>>0]=a[H+1>>0];a[k+2>>0]=a[H+2>>0];a[k+3>>0]=a[H+3>>0];a[k+4>>0]=a[H+4>>0];a[k+5>>0]=a[H+5>>0];a[k+6>>0]=a[H+6>>0];a[k+7>>0]=a[H+7>>0];y=+h[k>>3];q=q+64|0;a[k>>0]=a[q>>0];a[k+1>>0]=a[q+1>>0];a[k+2>>0]=a[q+2>>0];a[k+3>>0]=a[q+3>>0];a[k+4>>0]=a[q+4>>0];a[k+5>>0]=a[q+5>>0];a[k+6>>0]=a[q+6>>0];a[k+7>>0]=a[q+7>>0];A=+h[k>>3];q=I+16|0;a[k>>0]=a[q>>0];a[k+1>>0]=a[q+1>>0];a[k+2>>0]=a[q+2>>0];a[k+3>>0]=a[q+3>>0];a[k+4>>0]=a[q+4>>0];a[k+5>>0]=a[q+5>>0];a[k+6>>0]=a[q+6>>0];a[k+7>>0]=a[q+7>>0];z=+h[k>>3];I=I+24|0;a[k>>0]=a[I>>0];a[k+1>>0]=a[I+1>>0];a[k+2>>0]=a[I+2>>0];a[k+3>>0]=a[I+3>>0];a[k+4>>0]=a[I+4>>0];a[k+5>>0]=a[I+5>>0];a[k+6>>0]=a[I+6>>0];a[k+7>>0]=a[I+7>>0];A=A+ +h[k>>3];h[_>>3]=y+z;h[P>>3]=A;I=c[F+(R<<3)>>2]|0;q=c[F+(R<<3)+4>>2]|0;H=I*3|0;N=H+1|0;if((H|0)<(j|0))K=j;else{if(g){n=0;ea(104,g|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}}n=0;g=ia(21,N<<4|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}K=N}if(!(a[q>>0]|0)){n=0;f=ra(105,c[B>>2]|0,q|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[f+36>>2]|0;r=+h[Y+48>>3];p=+h[Z>>3];r=+(~~(r+(1.0-+(c[q+44>>2]|0)/+((c[f+24>>2]|0)+1|0))*(+h[Y+64>>3]-r))|0)}else{n=0;j=ra(105,c[x>>2]|0,q|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){f=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!f)Ra(l|0,o|0);C=o}else f=-1;if((f|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[j+36>>2]|0;p=+h[Y+40>>3];p=p+ +(c[q+44>>2]|0)/+((c[j+24>>2]|0)+1|0)*(+h[Y+56>>3]-p);r=+h[O>>3]}Y=g+16|0;h[g+16>>3]=p;h[g+24>>3]=r;c[g>>2]=c[Y>>2];c[g+4>>2]=c[Y+4>>2];c[g+8>>2]=c[Y+8>>2];c[g+12>>2]=c[Y+12>>2];if((I|0)>1){u=1;G=2;while(1){j=q+(u*56|0)|0;if(!(a[j>>0]|0)){n=0;f=ra(105,c[B>>2]|0,j|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[f+36>>2]|0;r=+h[Y+48>>3];r=+(~~(r+(1.0-+(c[q+(u*56|0)+44>>2]|0)/+((c[f+24>>2]|0)+1|0))*(+h[Y+64>>3]-r))|0)}else{n=0;j=ra(105,c[x>>2]|0,j|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){f=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!f)Ra(l|0,o|0);C=o}else f=-1;if((f|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[j+36>>2]|0;p=+h[Y+40>>3];p=p+ +(c[q+(u*56|0)+44>>2]|0)/+((c[j+24>>2]|0)+1|0)*(+h[Y+56>>3]-p)}Y=g+(G+2<<4)|0;W=g+(G+1<<4)|0;X=g+(G<<4)|0;h[X>>3]=p;h[g+(G<<4)+8>>3]=r;c[W>>2]=c[X>>2];c[W+4>>2]=c[X+4>>2];c[W+8>>2]=c[X+8>>2];c[W+12>>2]=c[X+12>>2];c[Y>>2]=c[X>>2];c[Y+4>>2]=c[X+4>>2];c[Y+8>>2]=c[X+8>>2];c[Y+12>>2]=c[X+12>>2];u=u+1|0;if((u|0)==(I|0))break;else G=G+3|0}u=H+-1|0;q=q+((I+-1|0)*56|0)|0}else u=2;if(!(a[q>>0]|0)){n=0;f=ra(105,c[B>>2]|0,q|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[f+36>>2]|0;p=+h[Y+48>>3];r=+h[_>>3];p=+(~~(p+(1.0-+(c[q+44>>2]|0)/+((c[f+24>>2]|0)+1|0))*(+h[Y+64>>3]-p))|0)}else{n=0;j=ra(105,c[x>>2]|0,q|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){f=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!f)Ra(l|0,o|0);C=o}else f=-1;if((f|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}Y=c[j+36>>2]|0;r=+h[Y+40>>3];r=r+ +(c[q+44>>2]|0)/+((c[j+24>>2]|0)+1|0)*(+h[Y+56>>3]-r);p=+h[P>>3]}Y=g+(u<<4)|0;W=u+1|0;X=g+(W<<4)|0;h[X>>3]=r;h[g+(W<<4)+8>>3]=p;c[Y>>2]=c[X>>2];c[Y+4>>2]=c[X+4>>2];c[Y+8>>2]=c[X+8>>2];c[Y+12>>2]=c[X+12>>2];if((d[142275]|0)>1){n=0;q=ia(28,c[((c[L>>2]&3|0)==3?L:J)+40>>2]|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}n=0;j=ia(28,c[((c[L>>2]&3|0)==2?L:M)+40>>2]|0)|0;l=n;n=0;if((l|0)!=0&(o|0)!=0){f=qQ(c[l>>2]|0,ma|0,na|0)|0;if(!f)Ra(l|0,o|0);C=o}else f=-1;if((f|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}n=0;c[la>>2]=q;c[la+4>>2]=j;ka(29,Q|0,151771,la|0)|0;j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}}n=0;da(16,L|0,c[((c[L>>2]&3|0)==2?L:M)+40>>2]|0,g|0,N|0,61544);j=n;n=0;if((j|0)!=0&(o|0)!=0){l=qQ(c[j>>2]|0,ma|0,na|0)|0;if(!l)Ra(j|0,o|0);C=o}else l=-1;if((l|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue f}R=R+1|0;if((R|0)==(m|0))break;else j=K}}else g=0;n=0;ea(104,g|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,ma|0,na|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){L=S;M=m;N=e;O=B;P=x;Q=T;R=w;V=U;W=D;X=F;Y=E;g=C;S=L;m=M;e=N;B=O;x=P;T=Q;w=R;U=V;D=W;F=X;E=Y;continue}u=U;q=T;f=S;oa=245}fQ(ma|0);i=pa;return}function wD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0;m=i;i=i+32|0;l=m+16|0;k=m;AO(152008,10,1,a)|0;AO(152019,19,1,a)|0;if((c[b>>2]|0)>0){g=b+16|0;j=0;do{d=c[g>>2]|0;f=d+(j*40|0)|0;e=c[d+(j*40|0)+20>>2]|0;d=c[d+(j*40|0)+24>>2]|0;do if((e|0)!=(d|0)){e=(c[e>>2]&1|0)==0?e:d;d=c[e+36>>2]|0;if((c[d+4>>2]|0)==(f|0)){f=~~((+h[e+40>>3]+ +h[e+56>>3])*.5);d=~~+h[e+64>>3];break}if((c[d+12>>2]|0)==(f|0)){f=~~((+h[e+40>>3]+ +h[e+56>>3])*.5);d=~~+h[e+48>>3];break}if((c[d+8>>2]|0)==(f|0)){f=~~+h[e+40>>3];d=~~((+h[e+48>>3]+ +h[e+64>>3])*.5);break}if((c[d>>2]|0)==(f|0)){f=~~+h[e+56>>3];d=~~((+h[e+48>>3]+ +h[e+64>>3])*.5)}else{f=0;d=0}}else{f=~~((+h[e+40>>3]+ +h[e+56>>3])*.5);d=~~((+h[e+48>>3]+ +h[e+64>>3])*.5)}while(0);c[k>>2]=j;c[k+4>>2]=f;c[k+8>>2]=d;pO(a,152039,k)|0;j=j+1|0}while((j|0)<(c[b>>2]|0))}f=b+4|0;if((c[f>>2]|0)>0){d=b+20|0;e=0;do{k=c[d>>2]|0;b=c[k+(e*24|0)+16>>2]|0;n=+h[k+(e*24|0)>>3];c[l>>2]=c[k+(e*24|0)+12>>2];c[l+4>>2]=b;h[l+8>>3]=n;pO(a,152059,l)|0;e=e+1|0}while((e|0)<(c[f>>2]|0))}AO(152081,2,1,a)|0;i=m;return}function xD(a,b){a=a|0;b=b|0;return (c[a>>2]|0)-(c[b>>2]|0)|0}function yD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,i=0,j=0;j=(a[d+36>>0]|0)!=0;i=e+40|0;do if((c[d+24>>2]|0)==(e|0)){g=+h[i>>3];f=+h[e+48>>3];if(j){f=(f+ +h[e+64>>3])*.5;break}else{g=(g+ +h[e+56>>3])*.5;break}}else{g=+h[e+56>>3];f=+h[e+64>>3];if(j){f=(+h[e+48>>3]+f)*.5;break}else{g=(+h[i>>3]+g)*.5;break}}while(0);h[b>>3]=g;h[b+8>>3]=f;return}function zD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+16|0;f=l;g=b+32|0;if((c[g>>2]|0)>0){h=b+36|0;k=0;do{j=c[(c[h>>2]|0)+(k<<2)>>2]|0;e=c[j+20>>2]|0;if((e|0)==(b|0))e=c[j+24>>2]|0;yD(f,j,e);eE(a,d,j,0.0)|0;k=k+1|0}while((k|0)<(c[g>>2]|0))}c[a>>2]=(c[a>>2]|0)+1;c[d+24>>2]=b;c[d+20>>2]=b;i=l;return}function AD(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0;g=i;i=i+16|0;f=g;h[f>>3]=d;e=Jb[c[a>>2]&63](a,f,512)|0;if(!e){e=yz(24)|0;h[e+8>>3]=+h[f>>3];c[e+16>>2]=hs(61556,c[13094]|0)|0;Jb[c[a>>2]&63](a,e,1)|0}a=c[e+16>>2]|0;Jb[c[a>>2]&63](a,b,1)|0;i=g;return}function BD(a,b){a=a|0;b=b|0;a=Jb[c[a>>2]&63](a,b+8|0,512)|0;if(!a)Na(151988,151877,423,151994);a=c[a+16>>2]|0;a=Jb[c[a>>2]&63](a,b+16|0,512)|0;if(!a)Na(152005,151877,425,151994);else return a|0;return 0}function CD(a){a=a|0;var b=0;a=fs(a)|0;if(a)do{b=fs(c[a+16>>2]|0)|0;if(b)do{c[b+32>>2]=UD(c[b+24>>2]|0)|0;b=c[b>>2]|0}while((b|0)!=0);a=c[a>>2]|0}while((a|0)!=0);return}function DD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;a=fs(a)|0;if(a)do{b=fs(c[a+16>>2]|0)|0;if(b)do{h=c[b+24>>2]|0;if((h|0)!=0?(i=c[b+28>>2]|0,j=c[b+32>>2]|0,(h|0)>1):0){g=1;e=0;while(1){d=i+(e<<2)|0;f=g;do{switch(ND(c[d>>2]|0,c[i+(f<<2)>>2]|0)|0){case 1:{WD(j,e,f);break}case -1:{WD(j,f,e);break}default:{}}f=f+1|0}while((f|0)!=(h|0));d=g+1|0;if((d|0)==(h|0))break;else{e=g;g=d}}}b=c[b>>2]|0}while((b|0)!=0);a=c[a>>2]|0}while((a|0)!=0);return}function ED(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;y=i;i=i+16|0;v=y+8|0;w=y;a=fs(a)|0;if(a){t=v+4|0;u=w+4|0;do{d=fs(c[a+16>>2]|0)|0;if(d)do{p=c[d+32>>2]|0;q=c[d+28>>2]|0;r=d+24|0;e=c[r>>2]|0;if((e|0)>1){s=1;o=0;while(1){if((s|0)<(e|0)){m=q+(o<<2)|0;n=s;do{a:do if(((YD(p,o,n)|0)==0?(YD(p,n,o)|0)==0:0)?(x=q+(n<<2)|0,(JD(c[m>>2]|0,c[x>>2]|0)|0)!=0):0){j=c[m>>2]|0;e=c[j+48>>2]|0;k=c[x>>2]|0;f=c[k+48>>2]|0;g=(f|0)==0;if(e)if(g)l=1;else l=+h[e+8>>3]!=+h[f+8>>3]&1;else l=g&1^1;KD(v,j,k,0,l);e=c[v>>2]|0;k=c[t>>2]|0;f=l^1;KD(w,c[m>>2]|0,c[x>>2]|0,1,f);g=c[w>>2]|0;j=c[u>>2]|0;switch(k|0){case -1:{LD(c[x>>2]|0,c[m>>2]|0,l,0,e,b);LD(c[x>>2]|0,c[m>>2]|0,f,1,g,b);if((j|0)!=1)break a;MD(c[m>>2]|0,c[x>>2]|0,f,b);break a}case 0:switch(j|0){case -1:{LD(c[x>>2]|0,c[m>>2]|0,l,0,e,b);LD(c[x>>2]|0,c[m>>2]|0,f,1,g,b);break a}case 0:{LD(c[m>>2]|0,c[x>>2]|0,0,l,e,b);LD(c[m>>2]|0,c[x>>2]|0,1,f,g,b);break a}case 1:{LD(c[m>>2]|0,c[x>>2]|0,0,l,e,b);LD(c[m>>2]|0,c[x>>2]|0,1,f,g,b);break a}default:break a}case 1:{LD(c[m>>2]|0,c[x>>2]|0,0,l,e,b);LD(c[m>>2]|0,c[x>>2]|0,1,f,g,b);if((j|0)!=-1)break a;MD(c[m>>2]|0,c[x>>2]|0,f,b);break a}default:break a}}while(0);n=n+1|0;e=c[r>>2]|0}while((n|0)<(e|0))}f=s+1|0;if((f|0)<(e|0)){o=s;s=f}else break}}d=c[d>>2]|0}while((d|0)!=0);a=c[a>>2]|0}while((a|0)!=0)}i=y;return}function FD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0;p=i;i=i+32|0;o=p;a=fs(a)|0;if(a){m=c[24809]|0;do{b=fs(c[a+16>>2]|0)|0;if(b){l=a+8|0;do{k=b+24|0;d=c[k>>2]|0;if(d){if(!((c[15337]&8|0)==0|(d|0)<2)?(r=+h[b+8>>3],q=+h[b+16>>3],c[o>>2]=~~+h[l>>3],h[o+8>>3]=r,h[o+16>>3]=q,pO(m,151784,o)|0,(c[k>>2]|0)>0):0){d=b+32|0;e=b+28|0;j=0;do{f=c[(c[(c[d>>2]|0)+4>>2]|0)+(j*12|0)+8>>2]|0;if((js(f)|0)!=0?(ID(m,c[(c[e>>2]|0)+(j<<2)>>2]|0),AO(151804,4,1,m)|0,n=Jb[c[f>>2]&63](f,0,128)|0,(n|0)!=0):0){g=n;do{AO(151809,5,1,m)|0;ID(m,c[(c[e>>2]|0)+(c[g>>2]<<2)>>2]|0);qO(10,m)|0;g=Jb[c[f>>2]&63](f,g,8)|0}while((g|0)!=0)}j=j+1|0}while((j|0)<(c[k>>2]|0))}d=b+32|0;ZD(c[d>>2]|0);g=c[k>>2]|0;if((g|0)>0){d=c[(c[d>>2]|0)+4>>2]|0;e=c[b+28>>2]|0;f=0;do{c[(c[e+(f<<2)>>2]|0)+44>>2]=(c[d+(f*12|0)+4>>2]|0)+1;f=f+1|0}while((f|0)<(g|0))}}b=c[b>>2]|0}while((b|0)!=0)}a=c[a>>2]|0}while((a|0)!=0)}i=p;return}function GD(a){a=a|0;return 0}function HD(a){a=a|0;return 0}function ID(b,d){b=b|0;d=d|0;var e=0.0,f=0.0,g=0.0,j=0,k=0,l=0,m=0;m=i;i=i+80|0;l=m+40|0;k=m;if(!(a[d>>0]|0)){e=+h[d+16>>3];f=+h[d+8>>3];g=+h[d+24>>3];switch(c[d+32>>2]|0){case 0:{j=151842;break}case 1:{j=151837;break}case 2:{j=151830;break}case 3:{j=151823;break}case 4:{j=151815;break}default:j=0}switch(c[d+36>>2]|0){case 0:{d=151842;break}case 1:{d=151837;break}case 2:{d=151830;break}case 3:{d=151823;break}case 4:{d=151815;break}default:d=0}h[l>>3]=e;h[l+8>>3]=f;h[l+16>>3]=g;h[l+24>>3]=f;c[l+32>>2]=j;c[l+36>>2]=d;pO(b,151849,l)|0}else{e=+h[d+8>>3];f=+h[d+16>>3];g=+h[d+24>>3];switch(c[d+32>>2]|0){case 0:{j=151842;break}case 1:{j=151837;break}case 2:{j=151830;break}case 3:{j=151823;break}case 4:{j=151815;break}default:j=0}switch(c[d+36>>2]|0){case 0:{d=151842;break}case 1:{d=151837;break}case 2:{d=151830;break}case 3:{d=151823;break}case 4:{d=151815;break}default:d=0}h[k>>3]=e;h[k+8>>3]=f;h[k+16>>3]=e;h[k+24>>3]=g;c[k+32>>2]=j;c[k+36>>2]=d;pO(b,151849,k)|0}i=m;return}function JD(a,b){a=a|0;b=b|0;if(!(+h[a+8>>3]==+h[b+8>>3]))Na(151945,151877,843,151976);if((+h[a+16>>3]==+h[b+16>>3]?+h[a+24>>3]==+h[b+24>>3]:0)?(c[a+32>>2]|0)==(c[b+32>>2]|0):0)a=(c[a+36>>2]|0)==(c[b+36>>2]|0);else a=0;return a&1|0}function KD(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0;if(!d)Na(151873,151877,798,151885);j=(f|0)==0;i=(g|0)==0;g=c[(j?d+48|0:d+52|0)>>2]|0;a:do if(g){d=0;while(1){if(!e){d=5;break}e=c[(i?e+48|0:e+52|0)>>2]|0;if(!e){d=9;break}if(!(JD(g,e)|0)){l=d;d=10;break}d=d+1|0;g=c[(j?g+48|0:g+52|0)>>2]|0;if(!g){m=d;n=0;break a}}if((d|0)==5)Na(151873,151877,798,151885);else if((d|0)==9)Na(179560,151877,871,151894);else if((d|0)==10){d=ND(g,e)|0;k=l+1|0;if((l|0)<0){m=l;n=d;break}f=(f|0)==1;j=1;while(1){if(!g)break;i=g;g=c[(f?g+48|0:g+52|0)>>2]|0;e=+h[g+8>>3]==+h[i+16>>3];do if(!(a[i>>0]|0))if(e){d=(c[i+32>>2]|0)==1?0-d|0:d;break}else{d=(c[i+36>>2]|0)==3?0-d|0:d;break}else if(e){d=(c[i+32>>2]|0)==4?0-d|0:d;break}else{d=(c[i+36>>2]|0)==2?0-d|0:d;break}while(0);if((j|0)>=(k|0)){m=l;n=d;break a}else j=j+1|0}Na(151873,151877,798,151885)}}else{m=0;n=0}while(0);c[b>>2]=m;c[b+4>>2]=n;return}function LD(b,d,e,f,g,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(a[b>>0]|0))j=BD(c[i+20>>2]|0,b)|0;else j=BD(c[i+24>>2]|0,b)|0;WD(c[j+32>>2]|0,c[b+40>>2]|0,c[d+40>>2]|0);if((g|0)>=1){p=(e|0)==0;n=(f|0)==0;o=i+24|0;m=i+20|0;l=1;while(1){i=b;b=c[(p?b+48|0:b+52|0)>>2]|0;f=d;d=c[(n?d+48|0:d+52|0)>>2]|0;do if(!(a[i>>0]|0)){e=BD(c[o>>2]|0,b)|0;if(+h[b+8>>3]==+h[i+16>>3]){q=(c[i+32>>2]|0)==1;j=(YD(c[j+32>>2]|0,c[i+40>>2]|0,c[f+40>>2]|0)|0)!=0;k=c[e+32>>2]|0;if(q){f=c[d+40>>2]|0;i=c[b+40>>2]|0;if(j){WD(k,f,i);break}else{WD(k,i,f);break}}else{f=c[b+40>>2]|0;i=c[d+40>>2]|0;if(j){WD(k,f,i);break}else{WD(k,i,f);break}}}else{q=(c[i+36>>2]|0)==1;j=(YD(c[j+32>>2]|0,c[i+40>>2]|0,c[f+40>>2]|0)|0)!=0;k=c[e+32>>2]|0;if(q){f=c[b+40>>2]|0;i=c[d+40>>2]|0;if(j){WD(k,f,i);break}else{WD(k,i,f);break}}else{f=c[d+40>>2]|0;i=c[b+40>>2]|0;if(j){WD(k,f,i);break}else{WD(k,i,f);break}}}}else{e=BD(c[m>>2]|0,b)|0;if(+h[b+8>>3]==+h[i+16>>3]){q=(c[i+32>>2]|0)==2;j=(YD(c[j+32>>2]|0,c[i+40>>2]|0,c[f+40>>2]|0)|0)!=0;k=c[e+32>>2]|0;if(q){f=c[b+40>>2]|0;i=c[d+40>>2]|0;if(j){WD(k,f,i);break}else{WD(k,i,f);break}}else{i=c[d+40>>2]|0;f=c[b+40>>2]|0;if(j){WD(k,i,f);break}else{WD(k,f,i);break}}}else{q=(c[i+36>>2]|0)==2;j=(YD(c[j+32>>2]|0,c[i+40>>2]|0,c[f+40>>2]|0)|0)!=0;k=c[e+32>>2]|0;if(q){f=c[d+40>>2]|0;i=c[b+40>>2]|0;if(j){WD(k,f,i);break}else{WD(k,i,f);break}}else{f=c[b+40>>2]|0;i=c[d+40>>2]|0;if(j){WD(k,f,i);break}else{WD(k,i,f);break}}}}while(0);if((l|0)==(g|0))break;else{j=e;l=l+1|0}}}return}function MD(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a:do if(JD(b,d)|0){g=(e|0)==0;e=b;while(1){if(!e){e=4;break}if(!d){e=6;break}e=c[e+52>>2]|0;d=c[(g?d+48|0:d+52|0)>>2]|0;if(!(JD(e,d)|0)){h=e;i=d;break a}}if((e|0)==4)Na(151873,151877,798,151885);else if((e|0)==6)Na(151873,151877,798,151885)}else{h=b;i=d}while(0);if(!(a[h>>0]|0))e=BD(c[f+20>>2]|0,h)|0;else e=BD(c[f+24>>2]|0,h)|0;XD(c[e+32>>2]|0,c[h+40>>2]|0,c[i+40>>2]|0);return}function ND(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;f=i;i=i+16|0;e=f;d=a[b>>0]|0;if(d<<24>>24==(a[c>>0]|0)?!(+h[b+8>>3]!=+h[c+8>>3]):0){if(!(d<<24>>24))d=OD(b,c,3,1)|0;else d=OD(b,c,4,2)|0;i=f;return d|0}us(1,151907,e)|0;Ra(61388,1);return 0}function OD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0;i=+h[a+24>>3];j=+h[b+16>>3];do if(!(i<j)?(l=+h[a+16>>3],m=+h[b+24>>3],!(l>m)):0){if(j<i&l<j){f=PD(a,b,d,e)|0;break}if(j<l&l<m){f=0-(PD(b,a,d,e)|0)|0;break}if(!(l==j))if(i==j){f=c[a+36>>2]|0;if((f|0)==(c[b+32>>2]|0)){f=0;break}f=(f|0)==(e|0)?1:-1;break}else{f=c[a+32>>2]|0;if((f|0)==(c[b+36>>2]|0)){f=0;break}f=(f|0)==(e|0)?1:-1;break}if(!(i==m))if(i<m){k=(c[a+36>>2]|0)==(d|0);g=c[b+32>>2]|0;f=c[a+32>>2]|0;if((g|0)==(e|0)){f=(e|0)==0;if(f)f=0;else{f=f&1;n=41}}else n=41;if((n|0)==41)f=((g|0)!=0|(f|0)!=(d|0))<<31>>31;return (k?f:0-f|0)|0}else{k=(c[b+36>>2]|0)==(e|0);g=c[a+32>>2]|0;f=c[b+32>>2]|0;if((g|0)==(e|0)){f=(e|0)==0;if(f)f=0;else{f=f&1;n=45}}else n=45;if((n|0)==45)f=((g|0)!=0|(f|0)!=(d|0))<<31>>31;f=k?f:0-f|0;break}o=c[a+32>>2]|0;n=c[b+32>>2]|0;if((o|0)==(n|0)){f=c[b+36>>2]|0;if((c[a+36>>2]|0)==(f|0)){f=0;break}}else f=c[b+36>>2]|0;b=(n|0)==(d|0);if((n|0)==(f|0)){if(b){f=1;break}if((n|0)==(e|0)){f=-1;break}if((o|0)!=(d|0)?(c[a+36>>2]|0)!=(d|0):0){f=1;break}if((o|0)!=(e|0)?(c[a+36>>2]|0)!=(e|0):0){f=-1;break}f=0;break}g=(f|0)==(e|0);if(b&g){f=(c[a+36>>2]|0)==(e|0);if((o|0)==(d|0)){if(!f){f=-1;break}}else if(f){f=1;break}f=0;break}k=(f|0)==(d|0);if((n|0)==(e|0)&k){f=(o|0)==(e|0);if((c[a+36>>2]|0)==(d|0)){if(!f){f=-1;break}}else if(f){f=1;break}f=0;break}if(!n){if(k){f=(o|0)==(d|0)?((c[a+36>>2]|0)==(d|0))<<31>>31:1;break}if(g){f=(o|0)==(e|0)?(c[a+36>>2]|0)==(e|0)&1:-1;break}}g=c[a+36>>2]|0;if(b&(f|0)==0){f=(g|0)==(d|0)?((o|0)==(d|0))<<31>>31:1;break}else{f=(g|0)==(e|0)?(o|0)==(e|0)&1:-1;break}}else f=0;while(0);return f|0}function PD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0.0,j=0.0,k=0;i=+h[a+24>>3];j=+h[b+24>>3];do if(i<j){f=c[a+36>>2]|0;if((f|0)==(d|0)?(c[b+32>>2]|0)==(e|0):0){f=-1;break}if((f|0)==(e|0)?(c[b+32>>2]|0)==(d|0):0){f=1;break}f=0}else{f=c[b+32>>2]|0;g=(f|0)==(e|0);if(!(i==j)){if(g?(c[b+36>>2]|0)==(e|0):0){f=-1;break}if((f|0)==(d|0)?(c[b+36>>2]|0)==(d|0):0){f=1;break}f=0;break}if(g){g=c[a+36>>2]|0;f=c[b+36>>2]|0;if((g|0)==(e|0)){f=(e|0)==0;if(f){f=0;break}else f=f&1}f=((g|0)!=0|(f|0)!=(d|0))<<31>>31;break}g=c[b+36>>2]|0;f=c[a+36>>2]|0;if((g|0)==(e|0)){f=(e|0)==0;if(f)f=0;else{f=f&1;k=14}}else k=14;if((k|0)==14)f=((g|0)!=0|(f|0)!=(d|0))<<31>>31;f=0-f|0}while(0);return f|0}function QD(a,b,d){a=a|0;b=b|0;d=d|0;VD(c[b+32>>2]|0);fQ(c[b+28>>2]|0);fQ(b);return}function RD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0;e=+h[b>>3];f=+h[c>>3];if(!(e>f))if(e<f)a=!(+h[b+8>>3]>=+h[c+8>>3])<<31>>31;else a=0;else a=!(+h[b+8>>3]<=+h[c+8>>3])&1;return a|0}function SD(a,b,d){a=a|0;b=b|0;d=d|0;ds(c[b+16>>2]|0)|0;fQ(b);return}function TD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0;f=+h[b>>3];e=+h[c>>3];return (f>e?1:(f<e)<<31>>31)|0}function UD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=yz(8)|0;c[b>>2]=a;d=b+4|0;c[d>>2]=yz(a*12|0)|0;if((a|0)>0){e=0;do{g=fG()|0;f=c[d>>2]|0;c[f+(e*12|0)+8>>2]=g;c[f+(e*12|0)>>2]=0;e=e+1|0}while((e|0)!=(a|0))}return b|0}function VD(a){a=a|0;var b=0,d=0;b=a+4|0;if((c[a>>2]|0)>0){d=0;do{ds(c[(c[b>>2]|0)+(d*12|0)+8>>2]|0)|0;d=d+1|0}while((d|0)<(c[a>>2]|0))}fQ(c[b>>2]|0);fQ(a);return}function WD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=e;c[f>>2]=d;d=c[(c[a+4>>2]|0)+(b*12|0)+8>>2]|0;Jb[c[d>>2]&63](d,f,1)|0;i=e;return}function XD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e;c[f>>2]=d;a=a+4|0;g=c[(c[a>>2]|0)+(b*12|0)+8>>2]|0;Jb[c[g>>2]&63](g,f,2)|0;c[f>>2]=b;d=c[(c[a>>2]|0)+(d*12|0)+8>>2]|0;Jb[c[d>>2]&63](d,f,2)|0;i=e;return}function YD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=e;c[f>>2]=d;d=c[(c[a+4>>2]|0)+(b*12|0)+8>>2]|0;d=(Jb[c[d>>2]&63](d,f,512)|0)!=0&1;i=e;return d|0}function ZD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=c[a>>2]|0;switch(b|0){case 0:break;case 1:{c[(c[a+4>>2]|0)+4>>2]=0;break}default:{h=yz(8)|0;g=h+4|0;c[g>>2]=yz(b<<2)|0;c[h>>2]=-1;b=c[a>>2]|0;a:do if((b|0)>0){f=a+4|0;e=0;d=0;do{if(!(c[(c[f>>2]|0)+(e*12|0)>>2]|0)){d=_D(a,e,d,h)|0;b=c[a>>2]|0}e=e+1|0}while((e|0)<(b|0));d=c[h>>2]|0;if((d|0)!=-1){b=c[g>>2]|0;a=a+4|0;g=0;while(1){f=c[b+(d<<2)>>2]|0;e=d;d=d+-1|0;c[h>>2]=d;if((f|0)<=-1)break a;c[(c[a>>2]|0)+(f*12|0)+4>>2]=g;if(!e)break;else g=g+1|0}}else i=6}else i=6;while(0);if((i|0)==6)b=c[g>>2]|0;fQ(b);fQ(h)}}return}function _D(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;i=a+4|0;f=c[i>>2]|0;j=f+(b*12|0)|0;c[j>>2]=1;f=c[f+(b*12|0)+8>>2]|0;d=d+1|0;g=fs(f)|0;if(g){h=f+4|0;do{f=c[(c[h>>2]|0)+8>>2]|0;if((f|0)<0)f=c[g+8>>2]|0;else f=g+(0-f)|0;f=c[f>>2]|0;if(!(c[(c[i>>2]|0)+(f*12|0)>>2]|0))d=_D(a,f,d,e)|0;g=c[g>>2]|0}while((g|0)!=0)}c[j>>2]=2;j=(c[e>>2]|0)+1|0;c[e>>2]=j;c[(c[e+4>>2]|0)+(j<<2)>>2]=b;return d+1|0}function $D(a){a=a|0;var d=0,e=0;e=c[a>>2]|0;c[a+8>>2]=e;c[a+12>>2]=c[a+4>>2];if((e|0)>0){a=c[a+16>>2]|0;d=0;do{b[a+(d*40|0)+18>>1]=b[a+(d*40|0)+16>>1]|0;d=d+1|0}while((d|0)<(e|0))}return}function aE(a){a=a|0;var d=0,e=0,f=0,g=0;g=c[a+8>>2]|0;c[a>>2]=g;c[a+4>>2]=c[a+12>>2];if((g|0)>0){d=c[a+16>>2]|0;e=(g|0)>1;f=0;do{b[d+(f*40|0)+16>>1]=b[d+(f*40|0)+18>>1]|0;f=f+1|0}while((f|0)<(g|0));d=e?g:1}else d=0;if((d|0)<(g+2|0)){f=c[a+16>>2]|0;e=g+1|0;while(1){b[f+(d*40|0)+16>>1]=0;if((d|0)<(e|0))d=d+1|0;else break}}return}function bE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;e=yz(((c[a>>2]|0)*6|0)+(b<<1)<<2)|0;c[a+20>>2]=yz((((c[a>>2]|0)*3|0)+b|0)*24|0)|0;i=c[a>>2]|0;if((i|0)>0){g=c[a+16>>2]|0;d=(i|0)>1?i:1;h=e+(d*24|0)|0;f=0;while(1){c[g+(f*40|0)+28>>2]=e;f=f+1|0;if((f|0)>=(i|0))break;else e=e+24|0}e=h}else d=0;if((d|0)<(i+2|0)){g=c[a+16>>2]|0;f=i+1|0;while(1){c[g+(d*40|0)+28>>2]=e;if((d|0)<(f|0)){e=e+(b<<2)|0;d=d+1|0}else break}}return}function cE(a){a=a|0;var b=0;b=yz(24)|0;c[b>>2]=0;c[b+16>>2]=yz(a*40|0)|0;return b|0}function dE(a){a=a|0;var b=0,d=0;d=c[a+16>>2]|0;b=c[a>>2]|0;c[d+(b*40|0)+32>>2]=b;c[a>>2]=b+1;return d+(b*40|0)|0}function eE(a,d,e,f){a=a|0;d=d|0;e=e|0;f=+f;var g=0,i=0,j=0;g=a+4|0;i=c[g>>2]|0;c[g>>2]=i+1;g=c[a+20>>2]|0;a=g+(i*24|0)|0;c[g+(i*24|0)+12>>2]=c[d+32>>2];c[g+(i*24|0)+16>>2]=c[e+32>>2];h[a>>3]=f;c[g+(i*24|0)+8>>2]=0;g=d+16|0;j=b[g>>1]|0;c[(c[d+28>>2]|0)+(j<<16>>16<<2)>>2]=i;b[g>>1]=j+1<<16>>16;d=e+16|0;g=b[d>>1]|0;c[(c[e+28>>2]|0)+(g<<16>>16<<2)>>2]=i;b[d>>1]=g+1<<16>>16;return a|0}function fE(a){a=a|0;var b=0;b=a+16|0;fQ(c[(c[b>>2]|0)+28>>2]|0);fQ(c[b>>2]|0);fQ(c[a+20>>2]|0);fQ(a);return}function gE(a,d,e){a=a|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=c[a>>2]|0;if((f|0)>0){g=c[a+16>>2]|0;i=0;do{c[g+(i*40|0)>>2]=-2147483648;i=i+1|0}while((i|0)<(f|0))}nG();a:do if(!(qG(d)|0)){c[d+8>>2]=0;c[d>>2]=0;f=sG()|0;if(!f)f=0;else{q=a+20|0;p=a+16|0;while(1){c[f>>2]=0-(c[f>>2]|0);if((f|0)==(e|0)){f=0;break a}j=f+16|0;if((b[j>>1]|0)>0){k=f+28|0;l=f+32|0;o=0;do{g=c[(c[k>>2]|0)+(o<<2)>>2]|0;d=c[q>>2]|0;m=d+(g*24|0)|0;i=c[d+(g*24|0)+12>>2]|0;n=c[p>>2]|0;if((i|0)==(c[l>>2]|0))i=c[d+(g*24|0)+16>>2]|0;g=n+(i*40|0)|0;d=c[g>>2]|0;do if((d|0)<0){a=~~-(+(c[f>>2]|0)+ +h[m>>3]);if((d|0)==-2147483648){c[g>>2]=a;if(qG(g)|0){f=1;break a}c[n+(i*40|0)+8>>2]=f;c[n+(i*40|0)+12>>2]=m;break}else{if((d|0)>=(a|0))break;tG(g,a);c[n+(i*40|0)+8>>2]=f;c[n+(i*40|0)+12>>2]=m;break}}while(0);o=o+1|0}while((o|0)<(b[j>>1]|0))}f=sG()|0;if(!f){f=0;break}}}}else f=1;while(0);return f|0}function hE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[a>>2]|0;Jw(d,3,b)|0;b=c[d+92>>2]|0;do if(b){g=c[b+16>>2]|0;h=c[g+12>>2]|0;c[a+76>>2]=h;f=c[g+16>>2]|0;c[a+84>>2]=f;g=c[g>>2]|0;c[a+80>>2]=g;c[a+88>>2]=c[b+4>>2];e=a+152|0;f=c[e>>2]|c[f>>2];c[e>>2]=f;b=c[d+80>>2]|0;if(!b){c[a+60>>2]=0;b=999;break}d=c[b+16>>2]|0;c[a+60>>2]=c[d+12>>2];i=c[d+16>>2]|0;c[a+68>>2]=i;c[a+72>>2]=c[b+4>>2];c[e>>2]=f|c[i>>2];if(!h){c[a+64>>2]=g;b=300;break}else{c[a+64>>2]=c[d>>2];b=300;break}}else b=999;while(0);return b|0}function iE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if(!(nw(a)|0))if((b|0)!=0?(d=c[b>>2]|0,(d|0)!=0):0){Db[d&127](a);b=0}else b=0;else b=1;return b|0}function jE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+4>>2]|0,(d|0)!=0):0)Db[d&127](a);c[(c[a>>2]|0)+24>>2]=0;tw(a);return}function kE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0;g=+h[a+504>>3];j=+h[a+512>>3];i=+h[a+352>>3];k=i*+h[a+520>>3];i=i*+h[a+528>>3];f=(e|0)>0;if(!(c[a+360>>2]|0)){if(f){f=0;do{h[d+(f<<4)>>3]=k*(g+ +h[b+(f<<4)>>3]);h[d+(f<<4)+8>>3]=i*(j+ +h[b+(f<<4)+8>>3]);f=f+1|0}while((f|0)!=(e|0))}}else if(f){f=0;do{l=-(k*(j+ +h[b+(f<<4)+8>>3]));h[d+(f<<4)+8>>3]=i*(g+ +h[b+(f<<4)>>3]);h[d+(f<<4)>>3]=l;f=f+1|0}while((f|0)!=(e|0))}return d|0}function lE(a,b){a=a|0;b=b|0;var d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+8>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function mE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+12>>2]|0,(d|0)!=0):0)Db[d&127](a);sw(a);return}function nE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+24>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function oE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+28>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function pE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+16>>2]|0,(d|0)!=0):0){b=c[a+160>>2]|0;Zb[d&31](a,c[(c[(c[a>>2]|0)+308>>2]|0)+(b<<2)>>2]|0,b,c[a+156>>2]|0)}return}function qE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+20>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function rE(a,b){a=a|0;b=b|0;var d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+32>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function sE(a,b){a=a|0;b=b|0;var d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+36>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function tE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+40>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function uE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+44>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function vE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+48>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function wE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+52>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function xE(a,b){a=a|0;b=b|0;var d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+56>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function yE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+60>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function zE(a,b){a=a|0;b=b|0;var d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+64>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function AE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+68>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function BE(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=c[a+60>>2]|0;if((g|0)!=0?(h=c[g+72>>2]|0,(h|0)!=0):0)Cb[h&31](a,b,d,e,f);return}function CE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+76>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function DE(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+60>>2]|0;if((d|0)!=0?(e=c[d+80>>2]|0,(e|0)!=0):0)Fb[e&63](a,b);return}function EE(a){a=a|0;var b=0,d=0;b=c[a+60>>2]|0;if((b|0)!=0?(d=c[b+84>>2]|0,(d|0)!=0):0)Db[d&127](a);return}function FE(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;r=i;i=i+32|0;q=r+16|0;p=r;n=c[b+60>>2]|0;s=c[e>>2]|0;do if((s|0)!=0?(a[s>>0]|0)!=0:0){s=c[b+16>>2]|0;if((s|0)!=0?(c[s+144>>2]|0)==0:0)break;if(!(c[b+152>>2]&8192)){l=+h[d>>3];f=+h[d+8>>3];g=+h[b+504>>3];j=+h[b+512>>3];m=+h[b+352>>3];if(!(c[b+360>>2]|0)){k=l+g;f=f+j}else{k=-(f+j);f=l+g}l=m*+h[b+528>>3]*f;h[p>>3]=m*+h[b+520>>3]*k;h[p+8>>3]=l}else{c[p>>2]=c[d>>2];c[p+4>>2]=c[d+4>>2];c[p+8>>2]=c[d+8>>2];c[p+12>>2]=c[d+12>>2]}if((n|0)!=0?(o=c[n+88>>2]|0,(o|0)!=0):0){c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2];Vb[o&127](b,q,e)}}while(0);i=r;return}function GE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=c[b+60>>2]|0;g=(c[b+16>>2]|0)+16|0;i=_O(d,58)|0;h=(i|0)!=0;if(h)a[i>>0]=0;if((e|0)!=0?(SE(c[b+68>>2]|0,d,g),f=c[e+92>>2]|0,(f|0)!=0):0)Fb[f&63](b,g);if(h)a[i>>0]=58;return}function HE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=c[b+60>>2]|0;g=(c[b+16>>2]|0)+56|0;i=_O(d,58)|0;h=(i|0)!=0;if(h)a[i>>0]=0;if((e|0)!=0?(SE(c[b+68>>2]|0,d,g),f=c[e+92>>2]|0,(f|0)!=0):0)Fb[f&63](b,g);if(h)a[i>>0]=58;return}function IE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,h=0,i=0,j=0;f=c[a+60>>2]|0;h=a+16|0;i=(c[h>>2]|0)+96|0;if((f|0)!=0?(SE(c[a+68>>2]|0,b,i),j=c[f+92>>2]|0,(j|0)!=0):0)Fb[j&63](a,i);b=c[h>>2]|0;c[b+136>>2]=d;g[b+140>>2]=e;return}function JE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;k=m;j=c[b+60>>2]|0;b=c[b+16>>2]|0;c[b+160>>2]=d;a:do if((d|0)!=0&(j|0)!=0?(e=c[d>>2]|0,(e|0)!=0):0){j=b+144|0;g=b+152|0;f=b+148|0;b=e;while(1){d=d+4|0;b:do switch(a[b>>0]|0){case 115:{if(!(aP(b,152084)|0)){c[j>>2]=3;break b}if(!(aP(b,152105)|0)){e=b+1|0;while(1){b=e+1|0;if(!(a[e>>0]|0))break;else e=b}h[g>>3]=+MO(b)}else l=26;break}case 100:{if(!(aP(b,178877)|0)){c[j>>2]=1;break b}if(!(aP(b,178884)|0))c[j>>2]=2;else l=26;break}case 105:{if((aP(b,175423)|0)!=0?(aP(b,152090)|0)!=0:0){l=26;break b}c[j>>2]=0;break}case 98:{if(!(aP(b,152100)|0))h[g>>3]=2.0;else l=26;break}case 102:{if(!(aP(b,152118)|0))c[f>>2]=1;else l=26;break}case 117:{if(!(aP(b,152125)|0))c[f>>2]=0;else l=26;break}case 116:{if(aP(b,152134)|0)l=26;break}default:l=26}while(0);if((l|0)==26){l=0;c[k>>2]=b;us(0,152142,k)|0}b=c[d>>2]|0;if(!b)break a}}while(0);i=m;return}function KE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0;g=i;i=i+32|0;f=g;d=c[a+60>>2]|0;if(((d|0)!=0?(j=d+96|0,(c[j>>2]|0)!=0):0)?(c[(c[a+16>>2]|0)+144>>2]|0)!=0:0){d=b+16|0;h[f>>3]=(+h[b>>3]+ +h[d>>3])*.5;h[f+8>>3]=(+h[b+8>>3]+ +h[b+24>>3])*.5;b=f+16|0;c[b>>2]=c[d>>2];c[b+4>>2]=c[d+4>>2];c[b+8>>2]=c[d+8>>2];c[b+12>>2]=c[d+12>>2];if(!(c[a+152>>2]&8192))kE(a,f,f,2)|0;Vb[c[j>>2]&127](a,f,e)}i=g;return}function LE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+48|0;n=o;f=c[a+60>>2]|0;if(((f|0)!=0?(l=f+100|0,(c[l>>2]|0)!=0):0)?(m=a+16|0,k=c[m>>2]|0,(c[k+144>>2]|0)!=0):0){if(!(e&4))g=0;else{e=e&-5;f=k+16|0;g=n;h=f;j=g+40|0;do{c[g>>2]=c[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));g=f;h=k+56|0;j=g+40|0;do{c[g>>2]=c[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));g=1}if(!(c[a+152>>2]&8192)){if((c[15398]|0)<(d|0)){f=d+10|0;c[15398]=f;f=Bz(c[15399]|0,f<<4)|0;c[15399]=f}else f=c[15399]|0;kE(a,b,f,d)|0;Zb[c[l>>2]&31](a,c[15399]|0,d,e)}else Zb[c[l>>2]&31](a,b,d,e);if(g){g=(c[m>>2]|0)+16|0;h=n;j=g+40|0;do{c[g>>2]=c[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0))}}i=o;return}function ME(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+64|0;f=e;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2];c[f+12>>2]=c[b+12>>2];g=f+32|0;b=b+16|0;c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];h[f+16>>3]=+h[f>>3];h[f+24>>3]=+h[f+40>>3];h[f+48>>3]=+h[g>>3];h[f+56>>3]=+h[f+8>>3];LE(a,f,4,d);i=e;return}function NE(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=c[a+60>>2]|0;do if(((h|0)!=0?(j=h+104|0,i=c[j>>2]|0,(i|0)!=0):0)?(c[(c[a+16>>2]|0)+144>>2]|0)!=0:0){if(c[a+152>>2]&8192){Kb[i&15](a,b,d,e,f,g&255);break}if((c[15398]|0)<(d|0)){h=d+10|0;c[15398]=h;h=Bz(c[15399]|0,h<<4)|0;c[15399]=h}else h=c[15399]|0;kE(a,b,h,d)|0;Kb[c[j>>2]&15](a,c[15399]|0,d,e,f,g&255)}while(0);return}function OE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=c[a+60>>2]|0;do if(((e|0)!=0?(g=e+108|0,f=c[g>>2]|0,(f|0)!=0):0)?(c[(c[a+16>>2]|0)+144>>2]|0)!=0:0){if(c[a+152>>2]&8192){Vb[f&127](a,b,d);break}if((c[15398]|0)<(d|0)){e=d+10|0;c[15398]=e;e=Bz(c[15399]|0,e<<4)|0;c[15399]=e}else e=c[15399]|0;kE(a,b,e,d)|0;Vb[c[g>>2]&127](a,c[15399]|0,d)}while(0);return}function PE(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[b+60>>2]|0;if(((d|0)!=0?(e|0)!=0&(a[d>>0]|0)!=0:0)?(f=c[e+112>>2]|0,(f|0)!=0):0)Fb[f&63](b,d);return}function QE(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;C=i;i=i+80|0;B=C+32|0;A=C;n=C+64|0;y=c[b+60>>2]|0;if(!b)Na(152355,152195,691,152206);if(!d)Na(152225,152195,692,152206);if(!(a[d>>0]|0))Na(152230,152195,693,152206);z=Lw(d)|0;if(!z){if((y|0)!=0&(SA(d)|0)!=0?(m=c[y+116>>2]|0,(m|0)!=0):0)Cb[m&31](b,d,e,f,g&255)}else{w=b+432|0;c[B>>2]=c[w>>2];c[B+4>>2]=c[w+4>>2];c[B+8>>2]=c[w+8>>2];c[B+12>>2]=c[w+12>>2];Ow(n,z,B);w=c[n>>2]|0;v=c[n+4>>2]|0;if(!((w|0)<1&(v|0)<1)){u=A+16|0;c[u>>2]=c[e>>2];c[u+4>>2]=c[e+4>>2];c[u+8>>2]=c[e+8>>2];c[u+12>>2]=c[e+12>>2];c[A>>2]=c[e>>2];c[A+4>>2]=c[e+4>>2];c[A+8>>2]=c[e+8>>2];c[A+12>>2]=c[e+12>>2];if((f|0)>1){n=A+8|0;d=A+24|0;p=+h[u>>3];l=+h[A>>3];k=+h[n>>3];o=+h[d>>3];m=1;do{s=+h[e+(m<<4)>>3];l=l<s?l:s;t=+h[e+(m<<4)+8>>3];k=k<t?k:t;p=p>s?p:s;o=o>t?o:t;m=m+1|0}while((m|0)!=(f|0));h[A>>3]=l;h[n>>3]=k;h[u>>3]=p;h[d>>3]=o;f=A;x=d;e=u}else{m=A+24|0;d=A+8|0;f=A;x=m;n=d;e=u;p=+h[u>>3];l=+h[A>>3];o=+h[m>>3];k=+h[d>>3]}r=p-l;q=o-k;l=+(v|0);k=+(w|0);o=r/k;p=q/l;do if(a[j>>0]|0){if(!(YO(j,182316)|0)){k=k*o;break}if(!(YO(j,182248)|0)){l=l*p;break}if(!(YO(j,152238)|0)){l=l*p;k=k*o;break}if((rC(j)|0)<<24>>24)if(o<p){l=l*o;k=k*o;break}else{l=l*p;k=k*p;break}}while(0);if(k<r){t=(r-k)*.5;h[f>>3]=t+ +h[f>>3];h[e>>3]=+h[e>>3]-t}if(l<q){t=(q-l)*.5;h[n>>3]=t+ +h[n>>3];h[x>>3]=+h[x>>3]-t}k=+h[f>>3];if(!(c[b+152>>2]&8192)){l=+h[n>>3];q=+h[b+504>>3];r=+h[b+512>>3];t=+h[b+352>>3];s=t*+h[b+520>>3];t=t*+h[b+528>>3];d=(c[b+360>>2]|0)==0;if(d){o=k+q;l=l+r}else{o=-(l+r);l=k+q}k=s*o;h[f>>3]=k;h[n>>3]=t*l;m=A+16|0;l=+h[m>>3];p=+h[x>>3];if(d){o=l+q;l=p+r}else{o=-(p+r);l=l+q}s=s*o;h[m>>3]=s;h[x>>3]=t*l;l=s}else l=+h[e>>3];if(k>l){h[f>>3]=l;h[e>>3]=k}k=+h[n>>3];l=+h[x>>3];if(k>l){h[n>>3]=l;h[x>>3]=k}if(y){y=c[b+72>>2]|0;c[B>>2]=c[A>>2];c[B+4>>2]=c[A+4>>2];c[B+8>>2]=c[A+8>>2];c[B+12>>2]=c[A+12>>2];c[B+16>>2]=c[A+16>>2];c[B+20>>2]=c[A+20>>2];c[B+24>>2]=c[A+24>>2];c[B+28>>2]=c[A+28>>2];VE(b,z,B,g,y)}}}i=C;return}function RE(a,b){a=a|0;b=+b;if(c[a+60>>2]|0)h[(c[a+16>>2]|0)+152>>3]=b;return}function SE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+32|0;g=l+16|0;k=l+8|0;j=l;c[d>>2]=b;c[d+32>>2]=5;e=yF(b)|0;f=c[a+16>>2]|0;if(!((f|0)!=0?(OO(e,f,c[a+20>>2]|0,4,106)|0)!=0:0))h=3;a:do if((h|0)==3){switch(zF(b,d,c[a+24>>2]|0)|0){case 0:break a;case 1:break;default:{us(1,152278,g)|0;break a}}e=zz((eP(b)|0)+16|0)|0;c[j>>2]=b;DO(e,152243,j)|0;if(vy(e)|0){c[k>>2]=b;us(0,152252,k)|0}fQ(e)}while(0);i=l;return}function TE(a,b){a=a|0;b=b|0;b=Jw(a,1,b)|0;if(!b)b=999;else{b=c[b+16>>2]|0;c[a+184>>2]=c[b+4>>2];c[a+172>>2]=c[b+12>>2];c[a+176>>2]=c[b>>2];c[a+180>>2]=c[b+16>>2];b=300}return b|0}function UE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;f=j;Ou(b,178510,280,1)|0;g=b+16|0;c[(c[g>>2]|0)+144>>2]=a;if((yu(b)|0)!=(b|0))c[(c[(yu(b)|0)+16>>2]|0)+144>>2]=a;e=Qs(b,152299)|0;d=a+172|0;if((e|0)!=0?(c[d>>2]=0,(TE(a,e)|0)==999):0){d=Kw(a,1,e)|0;c[f>>2]=e;c[f+4>>2]=d;us(1,152306,f)|0;d=-1}else{e=c[d>>2]|0;if(!e)d=-1;else{zy(1);hz(b,c[c[a+180>>2]>>2]&1);d=c[(c[g>>2]|0)+8>>2]|0;c[(c[(yu(b)|0)+16>>2]|0)+8>>2]=d;WA();d=c[e>>2]|0;if((d|0)!=0?(Db[d&127](b),h=c[e+4>>2]|0,(h|0)!=0):0)c[(c[g>>2]|0)+148>>2]=h;zy(0);d=0}}i=j;return d|0}function VE(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+176|0;m=n+8|0;k=n;j=n+40|0;if(!b)Na(152355,152359,52,152373);if(!d)Na(152385,152359,53,152373);h=c[d+8>>2]|0;if(!h)Na(152388,152359,54,152373);if(!(a[h>>0]|0))Na(152397,152359,55,152373);bP(j,c[d+28>>2]|0)|0;h=j+(eP(j)|0)|0;a[h>>0]=58;a[h+1>>0]=0;ZO(j,g)|0;h=Jw(c[b>>2]|0,4,j)|0;if(!h){c[k>>2]=j;us(0,152409,k)|0;h=c[b+92>>2]|0}else{k=c[h+16>>2]|0;h=c[k+12>>2]|0;c[b+92>>2]=h;c[b+96>>2]=c[k>>2]}if((h|0)!=0?(l=c[h>>2]|0,(l|0)!=0):0){c[m>>2]=c[e>>2];c[m+4>>2]=c[e+4>>2];c[m+8>>2]=c[e+8>>2];c[m+12>>2]=c[e+12>>2];c[m+16>>2]=c[e+16>>2];c[m+20>>2]=c[e+20>>2];c[m+24>>2]=c[e+24>>2];c[m+28>>2]=c[e+28>>2];Zb[l&31](b,d,m,f)}i=n;return}function WE(a){a=a|0;return 1}function XE(b){b=b|0;var c=0;a[b+536>>0]=0;c=b+336|0;h[c>>3]=10.0/+h[b+352>>3]+ +h[c>>3];a[b+537>>0]=1;return 0}function YE(b){b=b|0;var c=0;a[b+536>>0]=0;c=b+336|0;h[c>>3]=+h[c>>3]-10.0/+h[b+352>>3];a[b+537>>0]=1;return 0}function ZE(b){b=b|0;var c=0;a[b+536>>0]=0;c=b+344|0;h[c>>3]=+h[c>>3]-10.0/+h[b+352>>3];a[b+537>>0]=1;return 0}function _E(b){b=b|0;var c=0;a[b+536>>0]=0;c=b+344|0;h[c>>3]=10.0/+h[b+352>>3]+ +h[c>>3];a[b+537>>0]=1;return 0}function $E(b){b=b|0;var c=0;a[b+536>>0]=0;c=b+352|0;h[c>>3]=+h[c>>3]*1.1;a[b+537>>0]=1;return 0}function aF(b){b=b|0;var c=0;a[b+536>>0]=0;c=b+352|0;h[c>>3]=+h[c>>3]/1.1;a[b+537>>0]=1;return 0}function bF(b){b=b|0;var d=0,e=0,f=0.0,g=0.0;e=b+536|0;d=(a[e>>0]|0)==0;a[e>>0]=d&1;if(d){d=c[b+448>>2]|0;e=c[b+452>>2]|0;g=+(d>>>0)/+(d|0);f=+(e>>>0)/+(e|0);h[b+352>>3]=g<f?g:f;e=b+336|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;a[b+537>>0]=1}return 0}function cF(b){b=b|0;var e=0,f=0;e=c[(c[b>>2]|0)+168>>2]|0;f=b+580|0;if(!(c[f>>2]|0)){c[f>>2]=e;f=(c[e+16>>2]|0)+112|0;a[f>>0]=d[f>>0]|0|2;nF(b,e)}uy(b,e);a[b+540>>0]=1;return}function dF(b,e,f){b=b|0;e=e|0;f=f|0;var g=0.0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=i;i=i+16|0;j=v;switch(e|0){case 1:{c[j>>2]=c[f>>2];c[j+4>>2]=c[f+4>>2];c[j+8>>2]=c[f+8>>2];c[j+12>>2]=c[f+12>>2];lF(b,j);j=b+580|0;e=c[j>>2]|0;a:do if(e)switch(Iu(e)|0){case 0:{u=(c[e+16>>2]|0)+112|0;a[u>>0]=(d[u>>0]|0)&249|4;break a}case 1:{u=(c[e+16>>2]|0)+117|0;a[u>>0]=(d[u>>0]|0)&249|4;break a}case 2:{u=(c[e+16>>2]|0)+115|0;a[u>>0]=(d[u>>0]|0)&249|4;break a}default:break a}while(0);u=b+588|0;e=c[u>>2]|0;if(e){fQ(e);c[u>>2]=0}t=c[b+576>>2]|0;c[j>>2]=t;b:do if(t)switch(Iu(t)|0){case 0:{u=(c[t+16>>2]|0)+112|0;a[u>>0]=d[u>>0]|0|2;nF(b,t);break b}case 1:{n=(c[t+16>>2]|0)+117|0;a[n>>0]=d[n>>0]|0|2;n=b+592|0;Gw(n,0,152523);Gw(n,1,Ft(t)|0);c[b+596>>2]=2;n=b+604|0;o=yu(xu(t)|0)|0;e=Js(o,1,0)|0;if(!e)e=2;else{j=e;m=2;while(1){Gw(n,m,c[j+8>>2]|0);e=m+2|0;Gw(n,m|1,Rs(t,j)|0);j=Js(o,1,j)|0;if(!j)break;else m=e}}c[b+608>>2]=e;e=Is(xu(t)|0,1,182255,0)|0;if(!e){e=Is(xu(t)|0,1,152528,0)|0;if(!e)break b}c[u>>2]=rz(Rs(t,e)|0,t)|0;break b}case 2:{q=(c[t+16>>2]|0)+115|0;a[q>>0]=d[q>>0]|0|2;q=b+592|0;Gw(q,0,152532);r=t+48|0;Gw(q,1,Ft(c[((c[t>>2]&3|0)==3?t:r)+40>>2]|0)|0);r=(yt(xu(c[((c[t>>2]&3|0)==3?t:r)+40>>2]|0)|0)|0)!=0;Gw(q,3,r?178523:181756);r=t+-48|0;Gw(q,4,Ft(c[((c[t>>2]&3|0)==2?t:r)+40>>2]|0)|0);c[b+596>>2]=7;o=b+604|0;p=yu(xu(c[((c[t>>2]&3|0)==2?t:r)+40>>2]|0)|0)|0;e=Js(p,2,0)|0;c:do if(!e)e=7;else{j=e;n=7;while(1){while(1){e=j+8|0;m=c[e>>2]|0;if(!(aP(m,152537)|0)){s=20;break}if(!(aP(m,152546)|0)){s=22;break}if(aP(m,152555)|0)break;Gw(q,6,Rs(t,j)|0);j=Js(p,2,j)|0;if(!j){e=n;break c}}if((s|0)==20){s=0;Gw(q,2,Rs(t,j)|0)}else if((s|0)==22){s=0;Gw(q,5,Rs(t,j)|0)}Gw(o,n,c[e>>2]|0);e=n+2|0;Gw(o,n+1|0,Rs(t,j)|0);j=Js(p,2,j)|0;if(!j)break;else n=e}}while(0);c[b+608>>2]=e;e=Is(xu(c[((c[t>>2]&3|0)==2?t:r)+40>>2]|0)|0,2,182255,0)|0;if(!e){e=Is(xu(c[((c[t>>2]&3|0)==2?t:r)+40>>2]|0)|0,2,152528,0)|0;if(!e)break b}c[u>>2]=rz(Rs(t,e)|0,t)|0;break b}default:break b}while(0);a[b+538>>0]=1;a[b+541>>0]=1;a[b+537>>0]=1;break}case 2:{a[b+538>>0]=1;a[b+541>>0]=2;a[b+537>>0]=1;break}case 3:{c[j>>2]=c[f>>2];c[j+4>>2]=c[f+4>>2];c[j+8>>2]=c[f+8>>2];c[j+12>>2]=c[f+12>>2];lF(b,j);a[b+538>>0]=1;a[b+541>>0]=3;a[b+537>>0]=1;break}case 4:{a[b+536>>0]=0;g=+h[f>>3];e=c[b+448>>2]|0;if(!(c[b+360>>2]|0)){u=b+352|0;l=+h[u>>3];t=b+336|0;h[t>>3]=(g-+(e>>>0)*.5)*.10000000000000009/(l*+h[b+520>>3])+ +h[t>>3];e=b+344|0;h[e>>3]=(+h[f+8>>3]-+((c[b+452>>2]|0)>>>0)*.5)*.10000000000000009/(l*+h[b+528>>3])+ +h[e>>3];e=u;g=l}else{u=b+352|0;l=+h[u>>3];t=b+336|0;h[t>>3]=+h[t>>3]-(+h[f+8>>3]-+((c[b+452>>2]|0)>>>0)*.5)*.10000000000000009/(l*+h[b+528>>3]);t=b+344|0;h[t>>3]=(g-+(e>>>0)*.5)*.10000000000000009/(l*+h[b+520>>3])+ +h[t>>3];e=u;g=l}h[e>>3]=g*1.1;a[b+537>>0]=1;break}case 5:{a[b+536>>0]=0;e=b+352|0;g=+h[e>>3]/1.1;h[e>>3]=g;k=+h[f>>3];e=c[b+448>>2]|0;l=+h[b+520>>3];if(!(c[b+360>>2]|0)){u=b+336|0;h[u>>3]=+h[u>>3]-(k-+(e>>>0)*.5)*.10000000000000009/(g*l);u=b+344|0;h[u>>3]=+h[u>>3]-(+h[f+8>>3]-+((c[b+452>>2]|0)>>>0)*.5)*.10000000000000009/(g*+h[b+528>>3])}else{u=b+336|0;h[u>>3]=(+h[f+8>>3]-+((c[b+452>>2]|0)>>>0)*.5)*.10000000000000009/(g*+h[b+528>>3])+ +h[u>>3];u=b+344|0;h[u>>3]=+h[u>>3]-(k-+(e>>>0)*.5)*.10000000000000009/(g*l)}a[b+537>>0]=1;break}default:{}}b=b+560|0;c[b>>2]=c[f>>2];c[b+4>>2]=c[f+4>>2];c[b+8>>2]=c[f+8>>2];c[b+12>>2]=c[f+12>>2];i=v;return}function eF(b,c,d){b=b|0;c=c|0;d=d|0;a[b+538>>0]=0;a[b+541>>0]=0;return}function fF(b,e){b=b|0;e=e|0;var f=0.0,g=0,j=0,k=0.0,l=0.0,m=0;m=i;i=i+16|0;g=m;j=b+560|0;l=(+h[e>>3]-+h[j>>3])/+h[b+520>>3];k=(+h[e+8>>3]-+h[b+568>>3])/+h[b+528>>3];if(!(+N(+l)<.0001?+N(+k)<.0001:0)){switch(d[b+541>>0]|0|0){case 0:{c[g>>2]=c[e>>2];c[g+4>>2]=c[e+4>>2];c[g+8>>2]=c[e+8>>2];c[g+12>>2]=c[e+12>>2];lF(b,g);break}case 2:{f=+h[b+352>>3];if(!(c[b+360>>2]|0)){g=b+336|0;h[g>>3]=+h[g>>3]-l/f;g=b+344|0;h[g>>3]=+h[g>>3]-k/f}else{g=b+336|0;h[g>>3]=+h[g>>3]-k/f;g=b+344|0;h[g>>3]=l/f+ +h[g>>3]}a[b+537>>0]=1;break}default:{}}c[j>>2]=c[e>>2];c[j+4>>2]=c[e+4>>2];c[j+8>>2]=c[e+8>>2];c[j+12>>2]=c[e+12>>2]}i=m;return}function gF(a,b,c){a=a|0;b=b|0;c=c|0;return}function hF(a){a=a|0;return}function iF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;i=c[b>>2]|0;if(d){d=oO(d,179987)|0;if(d){j=bw(d,0)|0;iO(d)|0;f=5}}else{j=bw(c[24810]|0,0)|0;f=5}if((f|0)==5?(j|0)!=0:0){g=i+168|0;d=c[g>>2]|0;if(d){f=c[i+172>>2]|0;if((f|0)!=0?(h=c[f+4>>2]|0,(h|0)!=0):0){Db[h&127](d);d=c[g>>2]|0}jz(d);ut(c[g>>2]|0)|0}Qu(j,0,178510,280,1);Qu(j,1,178487,304,1);Qu(j,2,178780,176,1);c[g>>2]=j;c[(c[j+16>>2]|0)+144>>2]=i;if((Zw(i,j,e)|0)!=-1){c[b+580>>2]=0;c[b+576>>2]=0;a[b+537>>0]=1}}return}function jF(a,b){a=a|0;b=b|0;a=c[a>>2]|0;Zw(a,c[a+168>>2]|0,b)|0;return}function kF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;h=c[a>>2]|0;e=h+160|0;f=c[e>>2]|0;if((f|0)!=0?(c[h+164>>2]|0)==0:0){i=h+192|0;g=c[i>>2]|0;c[e>>2]=0;c[i>>2]=0;e=f}else{g=0;e=0}$w(h,c[h+168>>2]|0,b,d)|0;if(e){i=c[a>>2]|0;c[i+160>>2]=e;c[i+192>>2]=g}return}function lF(b,e){b=b|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0,s=0;s=i;i=i+64|0;q=s+32|0;k=s;o=+h[e>>3];l=+h[e+8>>3];p=+h[b+352>>3];m=+h[b+520>>3];j=+h[b+528>>3];if(!(c[b+360>>2]|0)){n=l/(p*j);j=o/(p*m)}else{n=-o/(p*m);j=l/(p*j)}m=j-+h[b+504>>3];o=n-+h[b+512>>3];p=1.0/p;e=c[(c[b>>2]|0)+168>>2]|0;h[k>>3]=m-p;h[k+8>>3]=o-p;h[k+16>>3]=m+p;h[k+24>>3]=o+p;f=gu(e)|0;a:do if(!f)r=10;else b:while(1){g=at(e,f)|0;if(g)do{c[q>>2]=c[k>>2];c[q+4>>2]=c[k+4>>2];c[q+8>>2]=c[k+8>>2];c[q+12>>2]=c[k+12>>2];c[q+16>>2]=c[k+16>>2];c[q+20>>2]=c[k+20>>2];c[q+24>>2]=c[k+24>>2];c[q+28>>2]=c[k+28>>2];if((WC(g,q)|0)<<24>>24){e=g;break b}g=ct(e,g)|0}while((g|0)!=0);f=hu(e,f)|0;if(!f){r=10;break a}}while(0);c:do if((r|0)==10){f=iu(e)|0;d:do if(f){while(1){c[q>>2]=c[k>>2];c[q+4>>2]=c[k+4>>2];c[q+8>>2]=c[k+8>>2];c[q+12>>2]=c[k+12>>2];c[q+16>>2]=c[k+16>>2];c[q+20>>2]=c[k+20>>2];c[q+24>>2]=c[k+24>>2];c[q+28>>2]=c[k+28>>2];if((UC(f,q)|0)<<24>>24){e=f;break}f=ju(e,f)|0;if(!f)break d}break c}while(0);c[q>>2]=c[k>>2];c[q+4>>2]=c[k+4>>2];c[q+8>>2]=c[k+8>>2];c[q+12>>2]=c[k+12>>2];c[q+16>>2]=c[k+16>>2];c[q+20>>2]=c[k+20>>2];c[q+24>>2]=c[k+24>>2];c[q+28>>2]=c[k+28>>2];f=mF(e,q)|0;if(!f)break;else{e=f;break}}while(0);g=b+576|0;f=c[g>>2]|0;if((e|0)!=(f|0)){e:do if(f)switch(Iu(f)|0){case 0:{r=(c[f+16>>2]|0)+112|0;a[r>>0]=(d[r>>0]|0)&254;break e}case 1:{r=(c[f+16>>2]|0)+117|0;a[r>>0]=(d[r>>0]|0)&254;break e}case 2:{r=(c[f+16>>2]|0)+115|0;a[r>>0]=(d[r>>0]|0)&254;break e}default:break e}while(0);k=b+584|0;c[k>>2]=0;c[g>>2]=e;f:do if(e)switch(Iu(e)|0){case 0:{f=(c[e+16>>2]|0)+112|0;a[f>>0]=d[f>>0]|0|1;f=Is(e,0,182301,0)|0;if(!f)break f;c[k>>2]=rz(Rs(e,f)|0,e)|0;break f}case 1:{f=(c[e+16>>2]|0)+117|0;a[f>>0]=d[f>>0]|0|1;f=Is(xu(e)|0,1,182301,0)|0;if(!f)break f;c[k>>2]=rz(Rs(e,f)|0,e)|0;break f}case 2:{f=(c[e+16>>2]|0)+115|0;a[f>>0]=d[f>>0]|0|1;f=Is(xu(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)|0,2,182301,0)|0;if(!f)break f;c[k>>2]=rz(Rs(e,f)|0,e)|0;break f}default:break f}while(0);a[b+537>>0]=1}i=s;return}function mF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;m=i;i=i+32|0;j=m;f=c[a+16>>2]|0;g=c[f+180>>2]|0;a:do if((g|0)<1)l=5;else{e=c[f+184>>2]|0;k=1;while(1){d=c[e+(k<<2)>>2]|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];c[j+16>>2]=c[b+16>>2];c[j+20>>2]=c[b+20>>2];c[j+24>>2]=c[b+24>>2];c[j+28>>2]=c[b+28>>2];d=mF(d,j)|0;if(d)break a;if((k|0)<(g|0))k=k+1|0;else{l=5;break}}}while(0);do if((l|0)==5){o=+h[f+24>>3];n=+h[f+40>>3];if(((+h[b+16>>3]>=+h[f+16>>3]?+h[f+32>>3]>=+h[b>>3]:0)?+h[b+24>>3]>=o:0)?n>=+h[b+8>>3]:0){d=a;break}d=0}while(0);i=m;return d|0}function nF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+592|0;do if((yu(b)|0)==(b|0))if(!(yt(b)|0)){Gw(d,0,152567);break}else{Gw(d,0,152559);break}else Gw(d,0,152573);while(0);Gw(d,1,Ft(b)|0);c[a+596>>2]=2;g=a+604|0;d=Js(b,0,0)|0;if(!d)d=2;else{e=d;f=2;while(1){Gw(g,f,c[e+8>>2]|0);Gw(g,f+1|0,Rs(b,e)|0);d=f+3|0;Gw(g,f+2|0,0);e=Js(b,0,e)|0;if(!e)break;else f=d}}c[a+608>>2]=d;d=Is(b,0,182255,0)|0;if(!d){d=Is(b,0,152528,0)|0;if(d)h=10}else h=10;if((h|0)==10)c[a+588>>2]=rz(Rs(b,d)|0,b)|0;return}function oF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=c[d>>2]|0;g=zz(12)|0;if(!b)b=0;else b=dP(b)|0;c[g+4>>2]=b;c[g+8>>2]=dP(e)|0;e=a+100|0;c[g>>2]=c[e>>2];c[e>>2]=g;e=c[d+4>>2]|0;b=c[e+4>>2]|0;if(b)while(1){d=c[b+4>>2]|0;if(d){f=0;do{Iw(a,c[e>>2]|0,d,c[b+(f*20|0)+8>>2]|0,g,b+(f*20|0)|0)|0;f=f+1|0;d=c[b+(f*20|0)+4>>2]|0}while((d|0)!=0)}b=c[e+12>>2]|0;if(!b)break;else e=e+8|0}return}function pF(b,d){b=b|0;d=d|0;var e=0;d=c[b+32>>2]|0;if((d|0)!=0?(e=c[d>>2]|0,(e|0)!=0):0)do{if((a[e>>0]|0)==103?(lP(e,152582)|0)!=0:0)oF(b,0,c[d+4>>2]|0);d=d+8|0;e=c[d>>2]|0}while((e|0)!=0);a[b+44>>0]=0;qF(b)|0;aC(b)|0;return}function qF(a){a=a|0;var b=0;b=Jw(a,2,152595)|0;if(!b)b=999;else{c[a+148>>2]=c[(c[b+16>>2]|0)+12>>2];b=300}return b|0}function rF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;a=c[a+148>>2]|0;if((a|0)!=0?(e=c[a>>2]|0,(e|0)!=0):0)a=Qb[e&127](b,d)|0;else a=0;return a|0}function sF(a){a=a|0;var b=0.0,d=0.0,e=0,f=0;a=c[a+16>>2]|0;d=+h[a+16>>3];b=+h[a+24>>3];a=~~(d>b?d:b)>>>0;if(!a)a=0;else{f=a>>>0>65535;a=f?a>>>16:a;f=f?16:0;e=a>>>0>255;a=e?a>>>8:a;f=e?f|8:f;e=a>>>0>15;a=e?a>>>4:a;f=e?f|4:f;e=a>>>0>3;a=(e?f|2:f)+1+((e?a>>>2:a)>>>0>1&1)|0}return a|0}function tF(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;Ja=i;i=i+432|0;Ha=Ja+384|0;va=Ja+352|0;wa=Ja+320|0;za=Ja+288|0;Aa=Ja+256|0;Ba=Ja+224|0;Ca=Ja+192|0;Da=Ja+160|0;Ea=Ja+128|0;Fa=Ja+96|0;Ga=Ja+64|0;xa=Ja+32|0;ya=Ja;l=yz(28)|0;ua=hs(61752,c[13095]|0)|0;k=l+20|0;c[k>>2]=ua;do if(ua){ua=QG()|0;c[l+24>>2]=ua;if(!ua){AO(152606,14,1,c[24809]|0)|0;Ia=6;break}else{c[l>>2]=b;c[l+4>>2]=d;c[l+8>>2]=e;c[l+12>>2]=f;c[l+16>>2]=g;break}}else{AO(152606,14,1,c[24809]|0)|0;Ia=6}while(0);if((Ia|0)==6){k=c[k>>2]|0;if(k)ds(k)|0;k=c[l+24>>2]|0;if(k)RG(k)|0;fQ(l);l=0}u=sF(l)|0;v=l+4|0;a:do if((c[v>>2]|0)>0){w=(u|0)>0;n=l+20|0;y=0;while(1){x=yz(32)|0;e=c[l>>2]|0;c[x+28>>2]=e+(y*40|0);k=c[e+(y*40|0)+32>>2]|0;if(!k){p=0.0;q=0.0}else{p=+h[k>>3];q=+h[k+8>>3]}E=+h[e+(y*40|0)>>3];m=~~+M(+(E-p));o=+h[e+(y*40|0)+8>>3];s=~~+M(+(o-q));f=~~+Z(+(p+(E+ +h[e+(y*40|0)+16>>3])));if((f|0)==2147483647){Ia=18;break}e=~~+Z(+(q+(o+ +h[e+(y*40|0)+24>>3])));if((e|0)==2147483647){Ia=20;break}c[x+12>>2]=m;c[x+16>>2]=s;c[x+20>>2]=f;c[x+24>>2]=e;if(w){t=u;k=0;r=((f-m|0)/2|0)+m|0;m=((e-s|0)/2|0)+s|0;while(1){ua=t;t=t+-1|0;f=r>>>t&1;ta=m>>>t&1;k=f<<1|k<<2|ta^f;ta=ta+-1|0;e=ta&(m^r);f=ta&0-f;if((ua|0)<=1)break;else{r=e^r^f;m=e^m^f}}}else k=0;c[x+8>>2]=k;ua=c[n>>2]|0;y=y+1|0;if(!(Jb[c[ua>>2]&63](ua,x,1)|0)){j=-1;break a}if((y|0)>=(c[v>>2]|0)){Ia=25;break a}}if((Ia|0)==18)Na(152621,152648,264,152658);else if((Ia|0)==20)Na(152668,152648,266,152658)}else{n=l+20|0;Ia=25}while(0);if((Ia|0)==25){j=c[n>>2]|0;j=Jb[c[j>>2]&63](j,0,128)|0;if(j){k=l+24|0;do{ua=c[k>>2]|0;TG(ua,j+12|0,c[j+28>>2]|0,ua,0)|0;ua=c[n>>2]|0;j=Jb[c[ua>>2]&63](ua,j,8)|0}while((j|0)!=0)}m=js(c[n>>2]|0)|0;b:do if(!(js(c[n>>2]|0)|0))z=0;else{j=0;while(1){f=c[n>>2]|0;k=c[(c[f+8>>2]|0)+4>>2]|0;if(!k)break;e=c[(c[f+4>>2]|0)+8>>2]|0;if((e|0)<0)k=c[k+8>>2]|0;else k=k+(0-e)|0;if(!k)break;Jb[c[f>>2]&63](f,k,4096)|0;fQ(k);j=j+1|0;if(!(js(c[n>>2]|0)|0)){z=j;break b}}Na(152695,152648,616,152698)}while(0);if((m|0)!=(z|0))Na(152710,152648,623,152698);j=ds(c[n>>2]|0)|0;if((j|0)>=0){if((d|0)>0){sa=va+8|0;ta=va+16|0;ua=va+24|0;y=g+32|0;z=wa+8|0;g=wa+16|0;F=wa+24|0;G=za+8|0;H=za+16|0;I=za+24|0;J=Aa+8|0;K=Aa+16|0;L=Aa+24|0;N=Ba+8|0;O=Ba+16|0;P=Ba+24|0;Q=Ca+8|0;R=Ca+16|0;S=Ca+24|0;T=Da+8|0;U=Da+16|0;V=Da+24|0;W=Ea+8|0;X=Ea+16|0;Y=Ea+24|0;_=Ha+24|0;$=Ha+28|0;aa=Ha+32|0;ba=Ha+12|0;ca=Ha+8|0;da=Ha+4|0;ea=Ha+20|0;fa=xa+8|0;ga=xa+16|0;ha=xa+24|0;ia=ya+8|0;ja=ya+16|0;ka=ya+24|0;la=Fa+8|0;ma=Fa+16|0;na=Fa+24|0;oa=Ga+8|0;pa=Ga+16|0;qa=Ga+24|0;ra=0;j=0;do{x=b+(ra*40|0)+32|0;m=c[x>>2]|0;do if(m){v=b+(ra*40|0)|0;o=+h[m>>3];r=b+(ra*40|0)+16|0;D=(o*2.0+ +h[r>>3])*.125;s=m+8|0;w=b+(ra*40|0)+24|0;p=+h[w>>3];E=(+h[s>>3]*2.0+p)*.5;k=Ha;e=k+36|0;do{c[k>>2]=0;k=k+4|0}while((k|0)<(e|0));n=m+16|0;h[n>>3]=+h[v>>3]-o;t=b+(ra*40|0)+8|0;u=m+24|0;h[u>>3]=p+ +h[t>>3];uF(va,l,v,Ha);k=c[va>>2]|0;p=+h[sa>>3];q=+h[ta>>3];o=+h[ua>>3];c:do if(k){h[u>>3]=+h[t>>3];uF(wa,l,v,Ha);e=c[wa>>2]|0;C=+h[z>>3];A=+h[g>>3];B=+h[F>>3];if(e){if(C<p){o=B;q=A;k=e;p=C}h[u>>3]=+h[t>>3]-+h[s>>3];uF(za,l,v,Ha);e=c[za>>2]|0;C=+h[G>>3];A=+h[H>>3];B=+h[I>>3];if(e){if(C<p){o=B;q=A;k=e;p=C}h[n>>3]=+h[v>>3];h[u>>3]=+h[t>>3]+ +h[w>>3];uF(Aa,l,v,Ha);e=c[Aa>>2]|0;C=+h[J>>3];A=+h[K>>3];B=+h[L>>3];if(!e){k=0;p=C;q=A;o=B}else{if(C<p){o=B;q=A;k=e;p=C}h[u>>3]=+h[t>>3]-+h[s>>3];uF(Ba,l,v,Ha);e=c[Ba>>2]|0;C=+h[N>>3];A=+h[O>>3];B=+h[P>>3];if(!e){k=0;p=C;q=A;o=B;break}if(C<p){o=B;q=A;k=e;p=C}h[n>>3]=+h[v>>3]+ +h[r>>3];h[u>>3]=+h[t>>3]+ +h[w>>3];uF(Ca,l,v,Ha);e=c[Ca>>2]|0;C=+h[Q>>3];A=+h[R>>3];B=+h[S>>3];if(!e){k=0;p=C;q=A;o=B;break}if(C<p){o=B;q=A;k=e;p=C}h[u>>3]=+h[t>>3];uF(Da,l,v,Ha);e=c[Da>>2]|0;C=+h[T>>3];A=+h[U>>3];B=+h[V>>3];if(!e){k=0;p=C;q=A;o=B;break}if(C<p){o=B;q=A;p=C}else e=k;h[u>>3]=+h[t>>3]-+h[s>>3];uF(Ea,l,v,Ha);k=c[Ea>>2]|0;C=+h[W>>3];A=+h[X>>3];B=+h[Y>>3];if(!k){k=0;p=C;q=A;o=B;break}if(C<p){o=B;q=A;p=C}else k=e;e=(c[$>>2]|0)==0&(c[aa>>2]|0)==0;do if(!(c[_>>2]|0)){if(!e){Ia=73;break}if((c[ba>>2]|0)==0&(c[Ha>>2]|0)==0)C=q;else Ia=68}else if(e)Ia=68;else Ia=73;while(0);do if((Ia|0)==68){Ia=0;C=+h[v>>3];B=C-+h[m>>3];h[n>>3]=B;h[u>>3]=+h[t>>3]+ +h[w>>3];if(!(B<=C+ +h[r>>3])){Ia=73;break}else{C=o;B=q;A=p}while(1){uF(Fa,l,v,Ha);e=c[Fa>>2]|0;p=+h[la>>3];q=+h[ma>>3];o=+h[na>>3];if(!e){k=0;break c}if(p<A)k=e;else{o=C;q=B;p=A}C=D+ +h[n>>3];h[n>>3]=C;if(!(C<=+h[v>>3]+ +h[r>>3])){Ia=73;break}else{C=o;B=q;A=p}}}while(0);do if((Ia|0)==73){Ia=0;if(!((c[ba>>2]|0)==0&(c[Ha>>2]|0)==0)){C=q;break}h[n>>3]=+h[v>>3]-+h[m>>3];C=+h[t>>3];B=C+ +h[w>>3];h[u>>3]=B;if(!(B>=C-+h[s>>3])){C=q;break}else{C=o;e=k;B=p}while(1){uF(Ga,l,v,Ha);k=c[Ga>>2]|0;p=+h[oa>>3];A=+h[pa>>3];o=+h[qa>>3];if(!k){k=0;q=A;break c}if(p<B)q=A;else{o=C;k=e;p=B}C=+h[u>>3]-E;h[u>>3]=C;if(!(C>=+h[t>>3]-+h[s>>3])){C=q;break}else{C=o;e=k;B=p}}}while(0);q=+h[v>>3];A=q+ +h[r>>3];h[n>>3]=A;B=+h[t>>3]-+h[s>>3];h[u>>3]=B;e=c[da>>2]|0;do if(!(c[ca>>2]|0)){f=c[Ha>>2]|0;if(!((e|0)==0&(f|0)==0))break;if((c[ea>>2]|0)==0&(c[aa>>2]|0)==0){q=C;break c}else{e=0;f=0}}else f=c[Ha>>2]|0;while(0);do if((f|0)==0&(e|0)==0){h[n>>3]=A;h[u>>3]=B;if(!(A>=q-+h[m>>3]))break;else B=o;while(1){uF(xa,l,v,Ha);e=c[xa>>2]|0;A=+h[fa>>3];q=+h[ga>>3];o=+h[ha>>3];if(!e){k=0;p=A;break c}if(A<p){C=q;k=e;p=A}else o=B;B=+h[n>>3]-D;h[n>>3]=B;q=+h[v>>3];if(!(B>=q-+h[m>>3]))break;else B=o}}while(0);if(!((c[ea>>2]|0)==0&(c[aa>>2]|0)==0)){q=C;break}h[n>>3]=q+ +h[r>>3];D=+h[t>>3];B=D-+h[s>>3];h[u>>3]=B;if(!(B<=D+ +h[w>>3])){q=C;break}else{e=k;B=p}while(1){uF(ya,l,v,Ha);k=c[ya>>2]|0;p=+h[ia>>3];q=+h[ja>>3];A=+h[ka>>3];if(!k){k=0;o=A;break c}if(p<B)o=A;else{q=C;k=e;p=B}D=E+ +h[u>>3];h[u>>3]=D;if(!(D<=+h[t>>3]+ +h[w>>3]))break;else{C=q;e=k;B=p}}}}else{k=0;p=C;q=A;o=B}}else{k=0;p=C;q=A;o=B}}else k=0;while(0);if(!k){a[(c[x>>2]|0)+36>>0]=1;break}if(p==0.0){x=c[x>>2]|0;h[x+16>>3]=q;h[x+24>>3]=o;a[x+36>>0]=1;break}if((a[y>>0]|0)==1){x=c[x>>2]|0;h[x+16>>3]=q;h[x+24>>3]=o;a[x+36>>0]=1}else j=1}while(0);ra=ra+1|0}while((ra|0)<(d|0))}else j=0;RG(c[l+24>>2]|0)|0;fQ(l)}}i=Ja;return j|0}function uF(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0.0;G=i;i=i+64|0;E=G+48|0;C=G+32|0;D=G+16|0;F=G;n=c[e+32>>2]|0;if(!n)Na(152722,152648,382,152732);q=n+16|0;c[F>>2]=c[q>>2];c[F+4>>2]=c[q+4>>2];c[F+8>>2]=c[q+8>>2];c[F+12>>2]=c[q+12>>2];q=c[d+4>>2]|0;a:do if((q|0)>0){r=c[d>>2]|0;s=n+16|0;t=n+24|0;o=n+8|0;k=0;u=0;b:while(1){do if((r+(u*40|0)|0)!=(e|0)){g=+h[r+(u*40|0)+16>>3];if(g>0.0?+h[r+(u*40|0)+24>>3]>0.0:0)break;if(!(g==0.0))break b;if(!(+h[r+(u*40|0)+24>>3]==0.0))break b;H=+h[r+(u*40|0)>>3];g=+h[s>>3];if((H>g?H<g+ +h[n>>3]:0)?(m=+h[r+(u*40|0)+8>>3],p=+h[t>>3],m>p):0)l=m<p+ +h[o>>3];else l=0;k=(l&1)+k|0}while(0);u=u+1|0;if((u|0)>=(q|0)){j=k;break a}}Na(152748,152648,219,152785)}else j=0;while(0);p=+h[n+16>>3];c[C>>2]=~~p;H=+h[n+24>>3];c[C+4>>2]=~~H;c[C+8>>2]=~~(p+ +h[n>>3]);c[C+12>>2]=~~(H+ +h[n+8>>3]);y=c[d+24>>2]|0;y=SG(y,c[y>>2]|0,C)|0;if(!y){c[b>>2]=j;h[b+8>>3]=0.0;b=b+16|0;c[b>>2]=c[F>>2];c[b+4>>2]=c[F+4>>2];c[b+8>>2]=c[F+8>>2];c[b+12>>2]=c[F+12>>2]}else{q=D+4|0;r=D+8|0;s=D+12|0;t=E+4|0;u=E+8|0;d=E+12|0;v=E+4|0;w=E+8|0;x=E+12|0;g=0.0;o=y;do{n=c[(c[o+4>>2]|0)+16>>2]|0;if((n|0)!=(e|0)){H=+h[n>>3];c[D>>2]=~~H;m=+h[n+8>>3];c[q>>2]=~~m;c[r>>2]=~~(H+ +h[n+16>>3]);c[s>>2]=~~(m+ +h[n+24>>3]);m=+wF(C,D);if(m>0.0){l=xF(e,n)|0;l=f+(((l|0)<0?5:l)<<2)|0;k=c[l>>2]|0;if(k){H=+h[k>>3];c[E>>2]=~~H;p=+h[k+8>>3];c[t>>2]=~~p;c[u>>2]=~~(H+ +h[k+16>>3]);c[d>>2]=~~(p+ +h[k+24>>3]);p=+wF(C,E);p=p>m?p:0.0;k=c[k+32>>2]|0;if((k|0)!=0?(H=+h[k+16>>3],c[E>>2]=~~H,z=+h[k+24>>3],c[t>>2]=~~z,c[u>>2]=~~(H+ +h[k>>3]),c[d>>2]=~~(z+ +h[k+8>>3]),z=+wF(C,E),z>m):0)p=z>p?z:p;if(p>0.0)m=p;else c[l>>2]=n}else c[l>>2]=n;j=j+1|0;g=g+m}k=c[n+32>>2]|0;if(((k|0)!=0?(a[k+36>>0]|0)!=0:0)?(H=+h[k+16>>3],c[D>>2]=~~H,A=+h[k+24>>3],c[q>>2]=~~A,c[r>>2]=~~(H+ +h[k>>3]),c[s>>2]=~~(A+ +h[k+8>>3]),A=+wF(C,D),A>0.0):0){l=xF(e,n)|0;l=f+(((l|0)<0?5:l)<<2)|0;k=c[l>>2]|0;if(k){H=+h[k>>3];c[E>>2]=~~H;m=+h[k+8>>3];c[v>>2]=~~m;c[w>>2]=~~(H+ +h[k+16>>3]);c[x>>2]=~~(m+ +h[k+24>>3]);m=+wF(C,E);m=m>A?m:0.0;k=c[k+32>>2]|0;if((k|0)!=0?(H=+h[k+16>>3],c[E>>2]=~~H,B=+h[k+24>>3],c[v>>2]=~~B,c[w>>2]=~~(H+ +h[k>>3]),c[x>>2]=~~(B+ +h[k+8>>3]),B=+wF(C,E),B>A):0)m=B>m?B:m;if(!(m>0.0)){c[l>>2]=n;m=A}}else{c[l>>2]=n;m=A}j=j+1|0;g=g+m}}o=c[o>>2]|0}while((o|0)!=0);PG(y);c[b>>2]=j;h[b+8>>3]=g;b=b+16|0;c[b>>2]=c[F>>2];c[b+4>>2]=c[F+4>>2];c[b+8>>2]=c[F+8>>2];c[b+12>>2]=c[F+12>>2]}i=G;return}function vF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;return (c[b>>2]|0)-(c[d>>2]|0)|0}function wF(a,b){a=a|0;b=b|0;var d=0.0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[a+8>>2]|0;i=c[b>>2]|0;if((((e|0)>=(i|0)?(j=c[a>>2]|0,k=c[b+8>>2]|0,(j|0)<=(k|0)):0)?(l=c[a+12>>2]|0,f=c[b+4>>2]|0,(l|0)>=(f|0)):0)?(g=c[a+4>>2]|0,h=c[b+12>>2]|0,(g|0)<=(h|0)):0)d=(+(((e|0)<(k|0)?e:k)|0)-+(((j|0)>(i|0)?j:i)|0))*(+(((l|0)<(h|0)?l:h)|0)-+(((g|0)>(f|0)?g:f)|0));else d=0.0;return +d}function xF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0;e=c[b+32>>2]|0;f=c[d+32>>2]|0;if((e|0)==(f|0))Na(152798,152648,276,152808);do if((a[e+36>>0]|0)!=0?(a[f+36>>0]|0)!=0:0){j=+h[b>>3];if(j==0.0?+h[b+8>>3]==0.0:0){e=-1;break}k=+h[d>>3];i=+h[d+8>>3];if(!(k==0.0&i==0.0)){g=+h[b+8>>3];if(i<g){if(k<j){e=0;break}e=k>j?2:1;break}e=k<j;if(i>g){if(e){e=6;break}e=k>j?8:7;break}if(!e)if(k>j)e=5;else e=-1;else e=3}else e=-1}else e=-1;while(0);return e|0}function yF(b){b=b|0;var d=0,e=0,f=0;d=eP(b)|0;if(d>>>0>=(c[15447]|0)>>>0){d=d+11|0;c[15447]=d;d=Bz(c[15448]|0,d)|0;c[15448]=d;if(!d)d=0;else e=4}else{d=c[15448]|0;e=4}if((e|0)==4){e=a[b>>0]|0;if(e<<24>>24){f=d;while(1){b=b+1|0;d=e&255;if(LM(d)|0)e=(_M(d)|0)&255;d=f+1|0;a[f>>0]=e;e=a[b>>0]|0;if(!(e<<24>>24))break;else f=d}}a[d>>0]=0;d=c[15448]|0}return d|0}function zF(b,e,f){b=b|0;e=e|0;f=f|0;var g=0.0,j=0,k=0.0,l=0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=i;i=i+112|0;y=I+64|0;o=I+48|0;B=I+92|0;C=I+40|0;E=I+32|0;G=I+24|0;D=I+16|0;F=I+8|0;H=I;l=I+88|0;u=I+84|0;v=I+80|0;w=I+76|0;c[e+32>>2]=f;while(1){j=b+1|0;if((a[b>>0]|0)==32)b=j;else{x=j;break}}c[w>>2]=255;j=a[b>>0]|0;a:do if(j<<24>>24==35){c[o>>2]=l;c[o+4>>2]=u;c[o+8>>2]=v;c[o+12>>2]=w;if((EO(b,152819,o)|0)<=2){j=a[b>>0]|0;z=21;break}switch(f|0){case 0:{t=+((c[l>>2]|0)>>>0)/255.0;h[D>>3]=t;s=+((c[u>>2]|0)>>>0)/255.0;h[F>>3]=s;n=+((c[v>>2]|0)>>>0)/255.0;h[H>>3]=n;p=+((c[w>>2]|0)>>>0)/255.0;g=s<n?s:n;q=s>n?s:n;q=q<t?t:q;g=q-(g>t?t:g);r=q>0.0?g/q:0.0;if(r>0.0){k=(q-t)/g;m=(q-s)/g;g=(q-n)/g;do if(!(q==t)){if(q==s){g=k+2.0-g;break}if(q==n)g=m+4.0-k;else g=0.0}else g=g-m;while(0);g=g*60.0;if(g<0.0)g=g+360.0}else g=0.0;t=g/360.0;h[C>>3]=t;h[G>>3]=q;h[E>>3]=r;h[e>>3]=t;h[e+8>>3]=r;h[e+16>>3]=q;h[e+24>>3]=p;b=0;break a}case 1:{a[e>>0]=c[l>>2];a[e+1>>0]=c[u>>2];a[e+2>>0]=c[v>>2];a[e+3>>0]=c[w>>2];b=0;break a}case 3:{q=+((c[l>>2]|0)>>>0)/255.0;h[D>>3]=q;r=+((c[u>>2]|0)>>>0)/255.0;h[F>>3]=r;s=+((c[v>>2]|0)>>>0)/255.0;h[H>>3]=s;q=1.0-q;r=1.0-r;s=1.0-s;t=q<r?q:r;t=s<t?s:t;a[e>>0]=~~(q-t)*255;a[e+1>>0]=~~(r-t)*255;a[e+2>>0]=~~(s-t)*255;a[e+3>>0]=~~t*255;b=0;break a}case 2:{c[e>>2]=(((c[l>>2]|0)*65535|0)>>>0)/255|0;c[e+4>>2]=(((c[u>>2]|0)*65535|0)>>>0)/255|0;c[e+8>>2]=(((c[v>>2]|0)*65535|0)>>>0)/255|0;c[e+12>>2]=(((c[w>>2]|0)*65535|0)>>>0)/255|0;b=0;break a}case 4:{h[e>>3]=+((c[l>>2]|0)>>>0)/255.0;h[e+8>>3]=+((c[u>>2]|0)>>>0)/255.0;h[e+16>>3]=+((c[v>>2]|0)>>>0)/255.0;h[e+24>>3]=+((c[w>>2]|0)>>>0)/255.0;b=0;break a}default:{b=0;break a}}}else z=21;while(0);b:do if((z|0)==21){if(!(j<<24>>24!=46?((j&255)+-48|0)>>>0>=10:0))z=23;do if((z|0)==23){j=eP(b)|0;if(j>>>0>=(c[15449]|0)>>>0){j=j+11|0;c[15449]=j;j=Bz(c[15450]|0,j)|0;c[15450]=j;if(!j){b=-1;break b}else l=b}else{l=b;j=c[15450]|0}c:while(1){o=l+1|0;l=a[l>>0]|0;switch(l<<24>>24){case 0:break c;case 44:{l=32;break}default:{}}a[j>>0]=l;l=o;j=j+1|0}a[j>>0]=0;z=c[15450]|0;c[y>>2]=C;c[y+4>>2]=E;c[y+8>>2]=G;if((EO(z,152833,y)|0)!=3){j=a[b>>0]|0;break}m=+h[C>>3];m=m<1.0?m:1.0;m=m>0.0?m:0.0;h[C>>3]=m;k=+h[E>>3];k=k<1.0?k:1.0;k=k>0.0?k:0.0;h[E>>3]=k;g=+h[G>>3];g=g<1.0?g:1.0;g=g>0.0?g:0.0;h[G>>3]=g;switch(f|0){case 0:{h[e>>3]=m;h[e+8>>3]=k;h[e+16>>3]=g;h[e+24>>3]=1.0;b=0;break b}case 1:{BF(m,k,g,D,F,H);a[e>>0]=~~(+h[D>>3]*255.0);a[e+1>>0]=~~(+h[F>>3]*255.0);a[e+2>>0]=~~(+h[H>>3]*255.0);a[e+3>>0]=-1;b=0;break b}case 3:{BF(m,k,g,D,F,H);q=1.0-+h[D>>3];r=1.0-+h[F>>3];s=1.0-+h[H>>3];t=q<r?q:r;t=s<t?s:t;a[e>>0]=~~(q-t)*255;a[e+1>>0]=~~(r-t)*255;a[e+2>>0]=~~(s-t)*255;a[e+3>>0]=~~t*255;b=0;break b}case 2:{BF(m,k,g,D,F,H);c[e>>2]=~~(+h[D>>3]*65535.0);c[e+4>>2]=~~(+h[F>>3]*65535.0);c[e+8>>2]=~~(+h[H>>3]*65535.0);c[e+12>>2]=65535;b=0;break b}case 4:{BF(m,k,g,D,F,H);h[e>>3]=+h[D>>3];h[e+8>>3]=+h[F>>3];h[e+16>>3]=+h[H>>3];h[e+24>>3]=1.0;b=0;break b}default:{b=0;break b}}}while(0);if(((j<<24>>24!=98?!(j<<24>>24==119|(gP(x,152843,4)|0)==0):0)?!(j<<24>>24==108|(gP(x,152848,4)|0)==0):0)?(gP(x,152853,8)|0)!=0:0){do if(j<<24>>24==47){j=_O(x,47)|0;if(!j)b=x;else{if((a[x>>0]|0)!=47){G=(fP(152862,x,4)|0)==0;b=G?j+1|0:b;break}j=c[15451]|0;if(((j|0)!=0?(a[j>>0]|0)!=0:0)?(fP(152862,j,3)|0)!=0:0){b=CF(j,b+2|0)|0;break}b=b+2|0}}else{j=c[15451]|0;if(((j|0)!=0?(a[j>>0]|0)!=0:0)?(fP(152862,j,3)|0)!=0:0)b=CF(j,b)|0}while(0);b=yF(b)|0;c[B>>2]=b;if(!b){b=-1;break}}else c[B>>2]=b;l=c[15452]|0;if(((l|0)!=0?(A=c[l>>2]|0,(a[A>>0]|0)==(a[b>>0]|0)):0)?(aP(A,b)|0)==0:0){j=l;b=l}else{b=OO(B,61812,2491,12,107)|0;c[15452]=b;if(!b)switch(f|0){case 0:{c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[e+20>>2]=0;h[e+24>>3]=1.0;b=1;break b}case 1:{a[e+2>>0]=0;a[e+1>>0]=0;a[e>>0]=0;a[e+3>>0]=-1;b=1;break b}case 3:{a[e>>0]=0;a[e+1>>0]=0;a[e+2>>0]=0;a[e+3>>0]=0;b=1;break b}case 2:{c[e+8>>2]=0;c[e+4>>2]=0;c[e>>2]=0;c[e+12>>2]=65535;b=1;break b}case 4:{c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;c[e+20>>2]=0;h[e+24>>3]=1.0;b=1;break b}default:{b=1;break b}}else j=b}switch(f|0){case 0:{h[e>>3]=+(d[j+4>>0]|0)/255.0;h[e+8>>3]=+(d[b+5>>0]|0)/255.0;h[e+16>>3]=+(d[b+6>>0]|0)/255.0;h[e+24>>3]=+(d[b+10>>0]|0)/255.0;b=0;break b}case 1:{a[e>>0]=a[j+7>>0]|0;a[e+1>>0]=a[(c[15452]|0)+8>>0]|0;a[e+2>>0]=a[(c[15452]|0)+9>>0]|0;a[e+3>>0]=a[(c[15452]|0)+10>>0]|0;b=0;break b}case 3:{q=+(d[j+7>>0]|0)/255.0;h[D>>3]=q;r=+(d[b+8>>0]|0)/255.0;h[F>>3]=r;s=+(d[b+9>>0]|0)/255.0;h[H>>3]=s;q=1.0-q;r=1.0-r;s=1.0-s;t=q<r?q:r;t=s<t?s:t;a[e>>0]=~~(q-t)*255;a[e+1>>0]=~~(r-t)*255;a[e+2>>0]=~~(s-t)*255;a[e+3>>0]=~~t*255;b=0;break b}case 2:{c[e>>2]=(d[j+7>>0]|0)*257;c[e+4>>2]=(d[b+8>>0]|0)*257;c[e+8>>2]=(d[b+9>>0]|0)*257;c[e+12>>2]=(d[b+10>>0]|0)*257;b=0;break b}case 4:{h[e>>3]=+(d[j+7>>0]|0)/255.0;h[e+8>>3]=+(d[b+8>>0]|0)/255.0;h[e+16>>3]=+(d[b+9>>0]|0)/255.0;h[e+24>>3]=+(d[b+10>>0]|0)/255.0;b=0;break b}default:{b=0;break b}}}while(0);i=I;return b|0}function AF(a){a=a|0;c[15451]=a;return}function BF(a,b,c,d,e,f){a=+a;b=+b;c=+c;d=d|0;e=e|0;f=f|0;var g=0.0,i=0.0,j=0;a:do if(!(b<=0.0)){a=!(a>=1.0)?a*6.0:0.0;j=~~a;a=a-+(j|0);i=(1.0-b)*c;g=(1.0-a*b)*c;a=(1.0-(1.0-a)*b)*c;switch(j|0){case 0:{h[d>>3]=c;h[e>>3]=a;h[f>>3]=i;break a}case 1:{h[d>>3]=g;h[e>>3]=c;h[f>>3]=i;break a}case 2:{h[d>>3]=i;h[e>>3]=c;h[f>>3]=a;break a}case 3:{h[d>>3]=i;h[e>>3]=g;h[f>>3]=c;break a}case 4:{h[d>>3]=a;h[e>>3]=i;h[f>>3]=c;break a}case 5:{h[d>>3]=c;h[e>>3]=i;h[f>>3]=g;break a}default:break a}}else{h[d>>3]=c;h[e>>3]=c;h[f>>3]=c}while(0);return}function CF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;f=i;i=i+16|0;e=f;d=eP(a)|0;d=(eP(b)|0)+d|0;if((d+3|0)>>>0<(c[22926]|0)>>>0)d=c[22927]|0;else{d=d+13|0;c[22926]=d;d=Bz(c[22927]|0,d)|0;c[22927]=d}c[e>>2]=a;c[e+4>>2]=b;DO(d,178354,e)|0;i=f;return c[22927]|0}function DF(a,b){a=a|0;b=b|0;return YO(c[a>>2]|0,c[b>>2]|0)|0}function EF(a,b,d,e,f){a=a|0;b=+b;d=+d;e=+e;f=+f;var g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,P=0,T=0,U=0,V=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0;na=+h[a>>3];la=+h[a+8>>3];j=+W(+(+R(+e)/d),+(+Q(+e)/b));fa=+W(+(+R(+f)/d),+(+Q(+f)/b));fa=fa-+M(+((fa-j)/6.283185307179586))*6.283185307179586;ia=+Q(+j);ka=ia*b;ha=+R(+j);ga=ha*d;g=na+ka-ga*0.0;ka=ga+(la+ka*0.0);ga=d/b;ma=yz(8)|0;fa=(f-e>3.141592653589793&fa-j<3.141592653589793?fa+6.283185307179586:fa)-j;t=ga<.25?43256:43512;u=(ga*(ga*.001+4.98)+.207)/(ga+.0067)*b;v=t+8|0;w=t+16|0;x=t+24|0;y=t+32|0;z=t+40|0;A=t+48|0;B=t+56|0;C=t+64|0;D=t+72|0;E=t+80|0;F=t+88|0;G=t+96|0;H=t+104|0;I=t+112|0;J=t+120|0;K=t+128|0;L=t+136|0;N=t+144|0;P=t+152|0;T=t+160|0;U=t+168|0;V=t+176|0;Y=t+184|0;Z=t+192|0;_=t+200|0;$=t+208|0;aa=t+216|0;ba=t+224|0;ca=t+232|0;da=t+240|0;ea=t+248|0;o=fa;a=1;do{if(!(o<=1.5707963267948966))k=0;else{if((a|0)<=0){ja=4;break}r=(+h[w>>3]+ga*(ga*+h[t>>3]+ +h[v>>3]))/(ga+ +h[x>>3]);e=(+h[A>>3]+ga*(ga*+h[y>>3]+ +h[z>>3]))/(ga+ +h[B>>3]);f=(+h[E>>3]+ga*(ga*+h[C>>3]+ +h[D>>3]))/(ga+ +h[F>>3]);i=(+h[I>>3]+ga*(ga*+h[G>>3]+ +h[H>>3]))/(ga+ +h[J>>3]);l=(+h[N>>3]+ga*(ga*+h[K>>3]+ +h[L>>3]))/(ga+ +h[P>>3]);n=(+h[V>>3]+ga*(ga*+h[T>>3]+ +h[U>>3]))/(ga+ +h[Y>>3]);p=(+h[$>>3]+ga*(ga*+h[Z>>3]+ +h[_>>3]))/(ga+ +h[aa>>3]);q=(+h[da>>3]+ga*(ga*+h[ba>>3]+ +h[ca>>3]))/(ga+ +h[ea>>3]);s=j;m=0;do{ra=s;s=o+s;oa=(ra+s)*.5;qa=+Q(+(oa*2.0));pa=+Q(+(oa*4.0));oa=+Q(+(oa*6.0));k=u*+X(+(r+e*qa+f*pa+i*oa+(s-ra)*(l+n*qa+p*pa+q*oa)))<=1.0e-05;m=m+1|0}while((m|0)<(a|0)&k);k=k&1}a=a<<1;o=fa/+(a|0)}while((a|0)<1024&k<<24>>24==0);if((ja|0)==4){a=a<<1;o=fa/+(a|0)}l=ha*b;e=ia*d;c[22928]=100;ea=yz(1600)|0;c[ma>>2]=ea;h[ea>>3]=na;ja=ea+8|0;h[ja>>3]=la;m=ma+4|0;c[m>>2]=1;FF(ma,+h[ea>>3],+h[ja>>3],g,ka,g,ka);n=+S(+(o*.5));n=+R(+o)*(+O(+(n*(n*3.0)+4.0))+-1.0)/3.0;if((a|0)>0){k=0;i=-l-e*0.0;f=ka;e=e-l*0.0;do{j=o+j;ia=+Q(+j);ka=+R(+j);pa=ia*b;ra=ka*d;ka=ka*b;ia=ia*d;oa=g;g=na+pa-ra*0.0;qa=f;f=ra+(la+pa*0.0);pa=i;i=-ka-ia*0.0;ra=e;e=ia-ka*0.0;FF(ma,oa+n*pa,qa+n*ra,g-n*i,f-n*e,g,f);k=k+1|0}while((k|0)!=(a|0))}ea=c[ma>>2]|0;qa=+h[ea>>3];ra=+h[ea+8>>3];ja=(c[m>>2]|0)+-1|0;FF(ma,+h[ea+(ja<<4)>>3],+h[ea+(ja<<4)+8>>3],qa,ra,qa,ra);c[ma>>2]=hQ(c[ma>>2]|0,c[m>>2]<<4)|0;c[22928]=0;return ma|0}function FF(a,b,d,e,f,g,i){a=a|0;b=+b;d=+d;e=+e;f=+f;g=+g;i=+i;var j=0,k=0,l=0,m=0;l=a+4|0;j=c[l>>2]|0;k=c[22928]|0;if((j+3|0)<(k|0))k=c[a>>2]|0;else{c[22928]=k<<1;k=hQ(c[a>>2]|0,k<<5)|0;c[a>>2]=k;j=c[l>>2]|0}h[k+(j<<4)>>3]=b;m=j+1|0;h[k+(j<<4)+8>>3]=d;h[k+(m<<4)>>3]=e;a=j+2|0;h[k+(m<<4)+8>>3]=f;h[k+(a<<4)>>3]=g;c[l>>2]=j+3;h[k+(a<<4)+8>>3]=i;return}function GF(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,p=0;p=i;i=i+80|0;o=p;g=ly(d)|0;j=c[g>>2]|0;n=c[j+4>>2]|0;c[g+4>>2]=n;c[g+12>>2]=c[j+12>>2];switch(n|0){case 2:{c[g+8>>2]=c[j+8>>2];break}case 0:{c[g+8>>2]=c[j+8>>2];break}case 1:{c[g+8>>2]=c[j+8>>2];break}case 3:{c[g+8>>2]=c[j+8>>2];break}default:{}}c[g+208>>2]=c[j+208>>2];c[g+228>>2]=c[j+228>>2];c[g+244>>2]=c[j+244>>2];n=g+260|0;b[n>>1]=b[n>>1]&-2|b[j+260>>1]&1;l=+h[f+56>>3];k=+h[f+64>>3];switch(a[f+80>>0]|0){case 116:{k=k+(+h[f+48>>3]-+RF(e))*.5+-1.0;break}case 98:{k=k-(+h[f+48>>3]-+RF(e))*.5+-1.0;break}default:{}}h[o>>3]=l;h[o+8>>3]=k;c[o+20>>2]=c[f+8>>2];c[o+16>>2]=c[f+4>>2];h[o+32>>3]=+h[f+16>>3];f=d+16|0;j=Qs(c[(c[f>>2]|0)+8>>2]|0,178361)|0;g=o+56|0;c[g>>2]=j;m=o+60|0;c[m>>2]=c[(c[f>>2]|0)+212>>2];n=o+64|0;a[n>>0]=0;if(!((j|0)!=0?(a[j>>0]|0)!=0:0))c[g>>2]=178372;if((a[e+4>>0]|0)==1){g=c[e>>2]|0;JE(d,c[(c[d>>2]|0)+336>>2]|0);j=c[g+24>>2]|0;if(!j)GE(d,178378);else GE(d,j);TF(d,g,o);if(a[n>>0]|0)fQ(c[m>>2]|0)}else SF(d,c[e>>2]|0,o);o=c[f>>2]|0;c[o+208>>2]=0;c[o+228>>2]=0;c[o+244>>2]=0;c[o+212>>2]=0;my(d);i=p;return}function HF(a){a=a|0;fQ(c[a>>2]|0);fQ(c[a+4>>2]|0);fQ(c[a+8>>2]|0);fQ(c[a+16>>2]|0);fQ(c[a+12>>2]|0);fQ(c[a+20>>2]|0);fQ(c[a+24>>2]|0);return}function IF(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if(a){e=a+4|0;if((b[e>>1]|0)>0){h=0;k=c[a>>2]|0;while(1){g=k+4|0;if((b[g>>1]|0)>0){i=0;j=c[k>>2]|0;while(1){d=c[j>>2]|0;if(d)fQ(d);d=c[j+8>>2]|0;if((d|0)!=0?(f=c[j+12>>2]|0,(f|0)!=0):0)Db[f&127](d);i=i+1|0;if((i|0)>=(b[g>>1]|0))break;else j=j+56|0}}h=h+1|0;if((h|0)>=(b[e>>1]|0))break;else k=k+24|0}}d=c[a>>2]|0;if(d)fQ(d);fQ(a)}return}function JF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;switch(a[b+4>>0]|0){case 1:{g=c[b>>2]|0;h=g+84|0;if((c[g+100>>2]|0)==-1)ds(c[h>>2]|0)|0;else{f=c[h>>2]|0;fQ(c[g+92>>2]|0);fQ(c[g+96>>2]|0);e=c[f>>2]|0;if(e)do{JF(e+88|0,0);HF(e);fQ(e);f=f+4|0;e=c[f>>2]|0}while((e|0)!=0);fQ(c[h>>2]|0)}HF(g);fQ(g);break}case 3:{h=c[b>>2]|0;fQ(c[h+32>>2]|0);fQ(h);break}default:IF(c[b>>2]|0)}if(d)fQ(b);return}function KF(b,e,f){b=b|0;e=e|0;f=f|0;var g=0;b=c[(c[(c[b+16>>2]|0)+104>>2]|0)+72>>2]|0;if((a[b+4>>0]|0)!=2?(g=UF(c[b>>2]|0,e)|0,(g|0)!=0):0){c[f>>2]=d[g+35>>0];b=g+48|0}else b=0;return b|0}function LF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return 0}function MF(d){d=d|0;var f=0,g=0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;s=d+92|0;c[s>>2]=yz((c[d+100>>2]<<2)+4|0)|0;r=yz((c[d+104>>2]<<2)+4|0)|0;c[d+96>>2]=r;g=c[d+84>>2]|0;f=c[g>>2]|0;if(f){q=d+32|0;do{l=b[f+82>>1]|0;j=l&65535;i=+h[f+72>>3];if(l<<16>>16==1)m=~~i;else{m=~~((i-+(_((a[q>>0]|0)+-1|0,j+-1|0)|0))/+(j|0));m=(m|0)>1?m:1}o=b[f+80>>1]|0;n=o&65535;i=+h[f+64>>3];if(o<<16>>16==1)p=~~i;else{p=~~((i-+(_((a[q>>0]|0)+-1|0,n+-1|0)|0))/+(n|0));p=(p|0)>1?p:1}d=e[f+86>>1]|0;k=j+d|0;if(l<<16>>16){j=c[s>>2]|0;do{l=j+(d<<2)|0;t=c[l>>2]|0;c[l>>2]=(t|0)>(m|0)?t:m;d=d+1|0}while((d|0)<(k|0))}d=e[f+84>>1]|0;f=n+d|0;if(o<<16>>16)do{t=r+(d<<2)|0;o=c[t>>2]|0;c[t>>2]=(o|0)>(p|0)?o:p;d=d+1|0}while((d|0)<(f|0));g=g+4|0;f=c[g>>2]|0}while((f|0)!=0)}return}function NF(a,d,f){a=a|0;d=d|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;v=i;i=i+48|0;s=v+40|0;r=v+32|0;u=v+24|0;t=v+16|0;q=v+8|0;n=v;p=a+104|0;o=a+100|0;if((c[p>>2]|0)>=0){j=f+16|0;k=0;l=0;while(1){if(k>>>0<21)g=c[91716+(k<<2)>>2]|0;else{c[n>>2]=k;DO(178384,178484,n)|0;g=178384}m=l;l=mu(f,g,1)|0;Ou(l,178487,304,1)|0;g=l+16|0;c[(c[g>>2]|0)+176>>2]=0;x=yz((c[o>>2]<<2)+4|0)|0;w=c[g>>2]|0;c[w+172>>2]=x;c[w+184>>2]=0;w=yz((c[o>>2]<<2)+4|0)|0;c[(c[g>>2]|0)+180>>2]=w;if(!m)c[(c[j>>2]|0)+192>>2]=l;else c[(c[m+16>>2]|0)+164>>2]=l;if((k|0)>=(c[p>>2]|0))break;else k=k+1|0}}if((c[o>>2]|0)>=0){j=d+16|0;k=0;l=0;while(1){if(k>>>0<21)g=c[91716+(k<<2)>>2]|0;else{c[q>>2]=k;DO(178384,178484,q)|0;g=178384}m=l;l=mu(d,g,1)|0;Ou(l,178487,304,1)|0;x=l+16|0;c[(c[x>>2]|0)+176>>2]=0;n=yz((c[p>>2]<<2)+4|0)|0;w=c[x>>2]|0;c[w+172>>2]=n;c[w+184>>2]=0;w=yz((c[p>>2]<<2)+4|0)|0;c[(c[x>>2]|0)+180>>2]=w;if(!m)c[(c[j>>2]|0)+192>>2]=l;else c[(c[m+16>>2]|0)+164>>2]=l;if((k|0)>=(c[o>>2]|0))break;else k=k+1|0}}j=c[a+84>>2]|0;g=c[j>>2]|0;if(g)do{l=g+84|0;x=b[l>>1]|0;k=x&65535;if((x&65535)<21)k=c[91716+(k<<2)>>2]|0;else{c[t>>2]=k;DO(178384,178484,t)|0;k=178384}m=mu(f,k,0)|0;k=(e[g+80>>1]|0)+(e[l>>1]|0)|0;if(k>>>0<21)k=c[91716+(k<<2)>>2]|0;else{c[u>>2]=k;DO(178384,178484,u)|0;k=178384}l=mu(f,k,0)|0;VF(f,m,l,~~+h[g+64>>3]);l=g+86|0;x=b[l>>1]|0;k=x&65535;if((x&65535)<21)k=c[91716+(k<<2)>>2]|0;else{c[r>>2]=k;DO(178384,178484,r)|0;k=178384}m=mu(d,k,0)|0;k=(e[g+82>>1]|0)+(e[l>>1]|0)|0;if(k>>>0<21)k=c[91716+(k<<2)>>2]|0;else{c[s>>2]=k;DO(178384,178484,s)|0;k=178384}x=mu(d,k,0)|0;VF(d,m,x,~~+h[g+72>>3]);j=j+4|0;g=c[j>>2]|0}while((g|0)!=0);WF(f);WF(d);i=v;return}function OF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;b=c[(c[(c[(c[b+16>>2]|0)+192>>2]|0)+16>>2]|0)+164>>2]|0;if(b){g=c[a+92>>2]|0;h=0;f=0;while(1){i=c[b+16>>2]|0;e=i+232|0;c[g+(h<<2)>>2]=(c[e>>2]|0)-f;b=c[i+164>>2]|0;if(!b)break;else{h=h+1|0;f=c[e>>2]|0}}}b=c[(c[(c[(c[d+16>>2]|0)+192>>2]|0)+16>>2]|0)+164>>2]|0;if(b){g=c[a+96>>2]|0;h=0;f=0;while(1){i=c[b+16>>2]|0;e=i+232|0;c[g+(h<<2)>>2]=(c[e>>2]|0)-f;b=c[i+164>>2]|0;if(!b)break;else{h=h+1|0;f=c[e>>2]|0}}}return}function PF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;f=h+4|0;e=h;c[e>>2]=c[13169];b=c[a+100>>2]|0;if((b|0)!=1?(d=a+104|0,(c[d>>2]|0)!=1):0){c[a+92>>2]=yz((b<<2)+4|0)|0;c[a+96>>2]=yz((c[d>>2]<<2)+4|0)|0;c[f>>2]=c[e>>2];g=rt(178500,f,0)|0;c[f>>2]=c[e>>2];f=rt(178505,f,0)|0;Ou(g,178510,280,1)|0;Ou(f,178510,280,1)|0;NF(a,g,f);Dz(g,2,2147483647)|0;Dz(f,2,2147483647)|0;OF(a,g,f);b=c[(c[f+16>>2]|0)+192>>2]|0;if(b)do{e=b+16|0;b=c[e>>2]|0;d=c[b+172>>2]|0;if(d){fQ(d);b=c[e>>2]|0}d=c[b+180>>2]|0;if(d){fQ(d);b=c[e>>2]|0}b=c[b+164>>2]|0}while((b|0)!=0);ut(g)|0;ut(f)|0}else MF(a);i=h;return}function QF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0;p=i;i=i+256|0;j=p+104|0;o=p+248|0;g=p;k=p+32|0;n=p+232|0;c[k+48>>2]=b;switch(Iu(b)|0){case 0:{e=c[b+60>>2]|0;l=k+52|0;c[l>>2]=e;break}case 1:{e=xu(b)|0;l=k+52|0;c[l>>2]=e;break}case 2:{e=xu(c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0)|0;l=k+52|0;c[l>>2]=e;break}default:{l=k+52|0;e=0}}m=c[e+60>>2]|0;h[k+32>>3]=+h[d+16>>3];c[k+16>>2]=c[d+4>>2];c[k+20>>2]=c[d+8>>2];c[k+40>>2]=0;f=iH(c[d>>2]|0,o,k)|0;if(!f){xs(n,128,j);a[d+82>>0]=0;a:do switch(Iu(b)|0){case 0:{As(n,Ft(b)|0)|0;break}case 1:{As(n,Ft(b)|0)|0;break}case 2:{As(n,Ft(c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0)|0)|0;k=b+-48|0;As(n,Ft(c[((c[b>>2]&3|0)==2?b:k)+40>>2]|0)|0)|0;if(!(yt(xu(c[((c[b>>2]&3|0)==2?b:k)+40>>2]|0)|0)|0)){As(n,181756)|0;break a}else{As(n,178523)|0;break a}}default:{}}while(0);f=n+4|0;e=c[f>>2]|0;if(e>>>0>=(c[n+8>>2]|0)>>>0){ys(n,1)|0;e=c[f>>2]|0}a[e>>0]=0;e=c[n>>2]|0;c[f>>2]=e;e=dP(e)|0;c[d>>2]=e;if((c[d+12>>2]|0)==1)e=SC(e)|0;else e=RC(e,c[l>>2]|0)|0;fQ(c[d>>2]|0);c[d>>2]=e;mz(c[(c[m+16>>2]|0)+144>>2]|0,d);Bs(n);e=c[o>>2]|0}else{e=f+4|0;if((a[e>>0]|0)==1){if((c[(c[f>>2]|0)+24>>2]|0)==0?(XF(b)|0)!=0:0){n=dP(XF(b)|0)|0;c[(c[f>>2]|0)+24>>2]=n}b=YF(m,c[f>>2]|0,0,k)|0;c[o>>2]=c[o>>2]|b;b=c[f>>2]|0;r=+h[b+64>>3]*.5;q=+h[b+72>>3]*.5;h[g>>3]=-r;n=g+8|0;h[n>>3]=-q;l=g+16|0;h[l>>3]=r;m=g+24|0;h[m>>3]=q;c[j>>2]=c[g>>2];c[j+4>>2]=c[g+4>>2];c[j+8>>2]=c[g+8>>2];c[j+12>>2]=c[g+12>>2];c[j+16>>2]=c[g+16>>2];c[j+20>>2]=c[g+20>>2];c[j+24>>2]=c[g+24>>2];c[j+28>>2]=c[g+28>>2];ZF(b,j,15);h[d+24>>3]=+h[l>>3]-+h[g>>3];h[d+32>>3]=+h[m>>3]-+h[n>>3]}else{_F(c[(c[m+16>>2]|0)+144>>2]|0,c[f>>2]|0,k);n=c[f>>2]|0;q=+h[n+24>>3]*.5;r=+h[n+32>>3]*.5;h[g>>3]=-q;h[g+8>>3]=-r;h[g+16>>3]=q;h[g+24>>3]=r;n=n+8|0;c[n>>2]=c[g>>2];c[n+4>>2]=c[g+4>>2];c[n+8>>2]=c[g+8>>2];c[n+12>>2]=c[g+12>>2];c[n+16>>2]=c[g+16>>2];c[n+20>>2]=c[g+20>>2];c[n+24>>2]=c[g+24>>2];c[n+28>>2]=c[g+28>>2];h[d+24>>3]=q+q;h[d+32>>3]=r+r}c[d+72>>2]=f;if((a[e>>0]|0)==1){fQ(c[d>>2]|0);c[d>>2]=dP(181928)|0}e=c[o>>2]|0}i=p;return e|0}function RF(b){b=b|0;var d=0.0;switch(a[b+4>>0]|0){case 1:{b=c[b>>2]|0;d=+h[b+72>>3]-+h[b+56>>3];break}case 3:{b=c[b>>2]|0;d=+h[b+24>>3]-+h[b+8>>3];break}case 2:{b=c[b>>2]|0;d=+h[b+32>>3]-+h[b+16>>3];break}default:d=0.0}return +d}function SF(e,f,g){e=e|0;f=f|0;g=g|0;var j=0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0;T=i;i=i+128|0;P=T+104|0;R=T+48|0;Q=T+16|0;O=T;j=b[f+4>>1]|0;if(j<<16>>16>=1){l=+h[f+24>>3];N=+h[f+8>>3];r=(l-N)*.5;N=+h[g>>3]+(l+N)*.5;l=+h[f+32>>3];m=+h[f+16>>3];U=+h[g+8>>3]+(l+m)*.5;L=j<<16>>16;M=c[f>>2]|0;y=a[f+6>>0]|0;J=g+16|0;J=d[J>>0]|d[J+1>>0]<<8|d[J+2>>0]<<16|d[J+3>>0]<<24;K=g+20|0;K=d[K>>0]|d[K+1>>0]<<8|d[K+2>>0]<<16|d[K+3>>0]<<24;s=g+32|0;a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];p=+h[k>>3];s=O;c[s>>2]=0;c[s+4>>2]=0;q=N-r;r=r+N;s=O+8|0;h[s>>3]=U+(l-m)*.5;DE(e,1);t=Q+16|0;u=Q+4|0;v=Q+24|0;w=R+4|0;x=R+16|0;y=y<<24>>24==0;z=R+24|0;A=R+8|0;B=R+32|0;C=R+40|0;D=R+48|0;E=K;F=Q+8|0;I=0;do{switch(a[M+(I*24|0)+6>>0]|0){case 108:{l=q;break}case 114:{l=r-+h[M+(I*24|0)+8>>3];break}default:l=N-+h[M+(I*24|0)+8>>3]*.5}G=M+(I*24|0)+16|0;h[s>>3]=+h[s>>3]-+h[G>>3];H=M+(I*24|0)+4|0;if((b[H>>1]|0)>0){n=0;o=c[M+(I*24|0)>>2]|0;while(1){g=o+4|0;f=c[g>>2]|0;if(f){U=+h[f+16>>3];h[t>>3]=U>0.0?U:p;j=c[f>>2]|0;if(!j)c[Q>>2]=J;else c[Q>>2]=j;j=c[f+4>>2]|0;if(!j){c[u>>2]=K;j=E}else c[u>>2]=j;f=c[f+24>>2]&127;if(!f)S=18;else f=c[v>>2]&-128|f}else{h[t>>3]=p;c[Q>>2]=J;c[u>>2]=K;j=E;S=18}if((S|0)==18){S=0;f=c[v>>2]&-128}c[v>>2]=f;GE(e,j);c[R>>2]=c[o>>2];c[w>>2]=Q;h[x>>3]=+h[o+16>>3];if(y)m=1.0;else m=+h[o+24>>3];h[z>>3]=m;c[F>>2]=c[(c[g>>2]|0)+8>>2];c[A>>2]=c[o+8>>2];j=o+32|0;h[B>>3]=+h[j>>3];h[C>>3]=+h[G>>3];a[D>>0]=108;h[O>>3]=l;c[P>>2]=c[O>>2];c[P+4>>2]=c[O+4>>2];c[P+8>>2]=c[O+8>>2];c[P+12>>2]=c[O+12>>2];FE(e,P,R);n=n+1|0;if((n|0)>=(b[H>>1]|0))break;else{l=l+ +h[j>>3];o=o+56|0}}}I=I+1|0}while((I|0)!=(L|0));EE(e)}i=T;return}function TF(f,g,j){f=f|0;g=g|0;j=j|0;var k=0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0;ea=i;i=i+352|0;ba=ea+232|0;da=ea+160|0;T=ea+128|0;R=ea+64|0;S=ea+336|0;aa=ea+200|0;ca=ea+296|0;s=ea;t=ea+344|0;X=g+48|0;c[aa>>2]=c[X>>2];c[aa+4>>2]=c[X+4>>2];c[aa+8>>2]=c[X+8>>2];c[aa+12>>2]=c[X+12>>2];c[aa+16>>2]=c[X+16>>2];c[aa+20>>2]=c[X+20>>2];c[aa+24>>2]=c[X+24>>2];c[aa+28>>2]=c[X+28>>2];l=+h[j>>3];X=j+8|0;m=+h[X>>3];U=g+84|0;u=c[U>>2]|0;if(!(c[g>>2]|0))$=(c[g+8>>2]|0)!=0;else $=1;W=g+108|0;k=c[W>>2]|0;if(k)$F(j,k,43800);h[aa>>3]=l+ +h[aa>>3];V=aa+16|0;h[V>>3]=l+ +h[V>>3];V=aa+8|0;h[V>>3]=m+ +h[V>>3];V=aa+24|0;h[V>>3]=m+ +h[V>>3];if($?(c[f+152>>2]&4|0)==0:0){c[ba>>2]=c[aa>>2];c[ba+4>>2]=c[aa+4>>2];c[ba+8>>2]=c[aa+8>>2];c[ba+12>>2]=c[aa+12>>2];c[ba+16>>2]=c[aa+16>>2];c[ba+20>>2]=c[aa+20>>2];c[ba+24>>2]=c[aa+24>>2];c[ba+28>>2]=c[aa+28>>2];V=bG(f,j,g,ba,ca)|0}else V=0;o=g+42|0;k=e[o>>1]|0;if(!(k&32)){n=c[g+20>>2]|0;if(n){r=cG(f,n,c[g+28>>2]|0,k,t)|0;if(!(b[o>>1]&4)){c[ba>>2]=c[aa>>2];c[ba+4>>2]=c[aa+4>>2];c[ba+8>>2]=c[aa+8>>2];c[ba+12>>2]=c[aa+12>>2];c[ba+16>>2]=c[aa+16>>2];c[ba+20>>2]=c[aa+20>>2];c[ba+24>>2]=c[aa+24>>2];c[ba+28>>2]=c[aa+28>>2];ME(f,ba,r)}else{k=a[g+33>>0]|0;c[ba>>2]=c[aa>>2];c[ba+4>>2]=c[aa+4>>2];c[ba+8>>2]=c[aa+8>>2];c[ba+12>>2]=c[aa+12>>2];c[ba+16>>2]=c[aa+16>>2];c[ba+20>>2]=c[aa+20>>2];c[ba+24>>2]=c[aa+24>>2];c[ba+28>>2]=c[aa+28>>2];c[s>>2]=c[aa>>2];c[s+4>>2]=c[aa+4>>2];c[s+8>>2]=c[aa+8>>2];c[s+12>>2]=c[aa+12>>2];n=s+32|0;Q=ba+16|0;c[n>>2]=c[Q>>2];c[n+4>>2]=c[Q+4>>2];c[n+8>>2]=c[Q+8>>2];c[n+12>>2]=c[Q+12>>2];if((k&255)>1){q=+(k&255|0)*.5;p=q+ +h[s>>3];h[s>>3]=p;Q=s+8|0;m=q+ +h[Q>>3];h[Q>>3]=m;l=+h[n>>3]-q;h[n>>3]=l;Q=s+40|0;q=+h[Q>>3]-q;h[Q>>3]=q}else{l=+h[n>>3];m=+h[s+8>>3];p=+h[s>>3];q=+h[s+40>>3]}h[s+16>>3]=l;h[s+24>>3]=m;h[s+48>>3]=p;h[s+56>>3]=q;PA(f,s,4,4,r)}fQ(c[t>>2]|0)}k=c[u>>2]|0;a:do if(k){x=T+16|0;y=T+8|0;z=T+24|0;A=f+152|0;B=ba+8|0;C=ba+32|0;D=ba+40|0;E=ba+16|0;F=ba+24|0;G=ba+48|0;H=ba+56|0;I=j+56|0;J=R+32|0;K=ba+16|0;L=R+8|0;M=R+40|0;N=R+16|0;O=R+24|0;P=R+48|0;Q=R+56|0;b:while(1){t=k+48|0;c[T>>2]=c[t>>2];c[T+4>>2]=c[t+4>>2];c[T+8>>2]=c[t+8>>2];c[T+12>>2]=c[t+12>>2];c[T+16>>2]=c[t+16>>2];c[T+20>>2]=c[t+20>>2];c[T+24>>2]=c[t+24>>2];c[T+28>>2]=c[t+28>>2];l=+h[j>>3];m=+h[X>>3];if(!(c[k>>2]|0))t=(c[k+8>>2]|0)!=0;else t=1;h[T>>3]=l+ +h[T>>3];h[x>>3]=l+ +h[x>>3];h[y>>3]=m+ +h[y>>3];h[z>>3]=m+ +h[z>>3];if(t?(c[A>>2]&4|0)==0:0){c[ba>>2]=c[T>>2];c[ba+4>>2]=c[T+4>>2];c[ba+8>>2]=c[T+8>>2];c[ba+12>>2]=c[T+12>>2];c[ba+16>>2]=c[T+16>>2];c[ba+20>>2]=c[T+20>>2];c[ba+24>>2]=c[T+24>>2];c[ba+28>>2]=c[T+28>>2];s=bG(f,j,k,ba,da)|0}else s=0;r=k+42|0;n=e[r>>1]|0;c:do if(!(n&32)){o=c[k+20>>2]|0;if(o){o=cG(f,o,c[k+28>>2]|0,n,S)|0;if(!(b[r>>1]&4)){c[ba>>2]=c[T>>2];c[ba+4>>2]=c[T+4>>2];c[ba+8>>2]=c[T+8>>2];c[ba+12>>2]=c[T+12>>2];c[ba+16>>2]=c[T+16>>2];c[ba+20>>2]=c[T+20>>2];c[ba+24>>2]=c[T+24>>2];c[ba+28>>2]=c[T+28>>2];ME(f,ba,o)}else{n=a[k+33>>0]|0;c[ba>>2]=c[T>>2];c[ba+4>>2]=c[T+4>>2];c[ba+8>>2]=c[T+8>>2];c[ba+12>>2]=c[T+12>>2];c[ba+16>>2]=c[T+16>>2];c[ba+20>>2]=c[T+20>>2];c[ba+24>>2]=c[T+24>>2];c[ba+28>>2]=c[T+28>>2];c[R>>2]=c[T>>2];c[R+4>>2]=c[T+4>>2];c[R+8>>2]=c[T+8>>2];c[R+12>>2]=c[T+12>>2];c[J>>2]=c[K>>2];c[J+4>>2]=c[K+4>>2];c[J+8>>2]=c[K+8>>2];c[J+12>>2]=c[K+12>>2];if((n&255)>1){q=+(n&255|0)*.5;p=q+ +h[R>>3];h[R>>3]=p;m=q+ +h[L>>3];h[L>>3]=m;l=+h[J>>3]-q;h[J>>3]=l;q=+h[M>>3]-q;h[M>>3]=q}else{l=+h[J>>3];m=+h[L>>3];p=+h[R>>3];q=+h[M>>3]}h[N>>3]=l;h[O>>3]=m;h[P>>3]=p;h[Q>>3]=q;PA(f,R,4,4,o)}fQ(c[S>>2]|0)}if(a[k+33>>0]|0){c[ba>>2]=c[T>>2];c[ba+4>>2]=c[T+4>>2];c[ba+8>>2]=c[T+8>>2];c[ba+12>>2]=c[T+12>>2];c[ba+16>>2]=c[T+16>>2];c[ba+20>>2]=c[T+20>>2];c[ba+24>>2]=c[T+24>>2];c[ba+28>>2]=c[T+28>>2];dG(f,k,ba)}n=k+88|0;switch(a[k+92>>0]|0){case 1:{TF(f,c[n>>2]|0,j);break c}case 3:{o=c[n>>2]|0;v=+h[j>>3];p=+h[o>>3]+v;q=+h[X>>3];w=+h[o+8>>3]+q;v=+h[o+16>>3]+v;q=+h[o+24>>3]+q;h[ba>>3]=v;h[B>>3]=q;h[C>>3]=p;h[D>>3]=w;h[E>>3]=p;h[F>>3]=q;h[G>>3]=v;h[H>>3]=w;n=c[o+36>>2]|0;if(!n)n=c[I>>2]|0;o=c[o+32>>2]|0;if(!o){k=40;break b}if(!(a[o>>0]|0)){k=42;break b}QE(f,o,ba,4,1,n);break c}default:{SF(f,c[n>>2]|0,j);break c}}}while(0);if(s)eG(f,da);if((t?(c[A>>2]&4|0)!=0:0)?(c[ba>>2]=c[T>>2],c[ba+4>>2]=c[T+4>>2],c[ba+8>>2]=c[T+8>>2],c[ba+12>>2]=c[T+12>>2],c[ba+16>>2]=c[T+16>>2],c[ba+20>>2]=c[T+20>>2],c[ba+24>>2]=c[T+24>>2],c[ba+28>>2]=c[T+28>>2],(bG(f,j,k,ba,da)|0)!=0):0)eG(f,da);u=u+4|0;k=c[u>>2]|0;if(!k)break a}if((k|0)==40)Na(178844,178536,623,178852);else if((k|0)==42)Na(178866,178536,624,178852)}while(0);k=c[U>>2]|0;RE(f,1.0);n=c[k>>2]|0;if(n){x=g+24|0;y=da+8|0;z=da+16|0;A=da+24|0;B=da+8|0;C=da+16|0;D=da+24|0;do{k=k+4|0;t=n+100|0;if(a[t>>0]|0){o=c[x>>2]|0;u=c[k>>2]|0;p=+h[j>>3];m=+h[X>>3];o=(o|0)==0?178378:o;HE(f,o);GE(f,o);q=p+ +h[n+48>>3];v=p+ +h[n+64>>3];w=m+ +h[n+56>>3];m=m+ +h[n+72>>3];o=a[t>>0]|0;if((o&1)!=0?(Y=c[n+96>>2]|0,((e[n+80>>1]|0)+(e[n+84>>1]|0)|0)<(c[Y+104>>2]|0)):0){o=b[n+86>>1]|0;do if(o<<16>>16){r=a[Y+32>>0]|0;if(((e[n+82>>1]|0)+(o&65535)|0)==(c[Y+100>>2]|0)){U=(r<<24>>24|0)/2|0;o=U+(d[Y+33>>0]|0)|0;s=r;l=w-+(U|0)-+(o&255|0);break}else{s=r;l=w-+((r<<24>>24|0)/2|0|0);o=0;break}}else{s=a[Y+32>>0]|0;o=(s<<24>>24|0)/2|0;l=w-+(o|0);o=o+(d[Y+33>>0]|0)|0}while(0);fa=v+ +((s<<24>>24|0)/2|0|0);h[da>>3]=fa;h[B>>3]=l;h[C>>3]=fa+0.0;h[D>>3]=l+(+(s<<24>>24)+(m+ +(o&255|0)-w));c[ba>>2]=c[da>>2];c[ba+4>>2]=c[da+4>>2];c[ba+8>>2]=c[da+8>>2];c[ba+12>>2]=c[da+12>>2];c[ba+16>>2]=c[da+16>>2];c[ba+20>>2]=c[da+20>>2];c[ba+24>>2]=c[da+24>>2];c[ba+28>>2]=c[da+28>>2];ME(f,ba,1);o=a[t>>0]|0}if((o&2)!=0?(Z=b[n+86>>1]|0,_=c[n+96>>2]|0,((e[n+82>>1]|0)+(Z&65535)|0)<(c[_+100>>2]|0)):0){o=b[n+84>>1]|0;do if(!(o<<16>>16)){o=a[_+32>>0]|0;U=(o<<24>>24|0)/2|0;s=U+(d[_+33>>0]|0)|0;r=s&255;s=s&255;m=+(U|0);l=q-+(s|0)-m;if((e[n+80>>1]|0)==(c[_+104>>2]|0)){n=s<<1&255;break}if((u|0)!=0?(b[u+86>>1]|0)!=Z<<16>>16:0)n=~~(+(r&255)+(p+ +h[_+64>>3]-(v+m)))&255;else n=r}else{if(((e[n+80>>1]|0)+(o&65535)|0)==(c[_+104>>2]|0)){o=a[_+32>>0]|0;n=(o<<24>>24|0)/2|0;l=q-+(n|0);n=n+(d[_+33>>0]|0)&255;break}n=a[_+32>>0]|0;m=+((n<<24>>24|0)/2|0|0);l=q-m;if((u|0)!=0?(b[u+86>>1]|0)!=Z<<16>>16:0){o=n;n=~~(p+ +h[_+64>>3]-(v+m)+0.0)&255}else{o=n;n=0}}while(0);fa=w-+((o<<24>>24|0)/2|0|0);h[da>>3]=l;h[y>>3]=fa;h[z>>3]=l+(+(o<<24>>24)+(v+ +(n&255|0)-q));h[A>>3]=fa+0.0;c[ba>>2]=c[da>>2];c[ba+4>>2]=c[da+4>>2];c[ba+8>>2]=c[da+8>>2];c[ba+12>>2]=c[da+12>>2];c[ba+16>>2]=c[da+16>>2];c[ba+20>>2]=c[da+20>>2];c[ba+24>>2]=c[da+24>>2];c[ba+28>>2]=c[da+28>>2];ME(f,ba,1)}}n=c[k>>2]|0}while((n|0)!=0)}if(a[g+33>>0]|0){c[ba>>2]=c[aa>>2];c[ba+4>>2]=c[aa+4>>2];c[ba+8>>2]=c[aa+8>>2];c[ba+12>>2]=c[aa+12>>2];c[ba+16>>2]=c[aa+16>>2];c[ba+20>>2]=c[aa+20>>2];c[ba+24>>2]=c[aa+24>>2];c[ba+28>>2]=c[aa+28>>2];dG(f,g,ba)}}if(V)eG(f,ca);if(($?(c[f+152>>2]&4|0)!=0:0)?(c[ba>>2]=c[aa>>2],c[ba+4>>2]=c[aa+4>>2],c[ba+8>>2]=c[aa+8>>2],c[ba+12>>2]=c[aa+12>>2],c[ba+16>>2]=c[aa+16>>2],c[ba+20>>2]=c[aa+20>>2],c[ba+24>>2]=c[aa+24>>2],c[ba+28>>2]=c[aa+28>>2],(bG(f,j,g,ba,ca)|0)!=0):0)eG(f,ca);if(c[W>>2]|0){k=c[10950]|0;if(k)c[j+16>>2]=k;k=c[10951]|0;if(k)c[j+20>>2]=k;l=+h[5477];if(l>=0.0)h[j+32>>3]=l}i=ea;return}function UF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;f=c[b+4>>2]|0;if((f|0)!=0?(YO(f,d)|0)==0:0)e=b;else h=3;a:do if((h|0)==3){b=c[b+84>>2]|0;f=c[b>>2]|0;if(!f)e=0;else{g=b;while(1){g=g+4|0;b=c[f+4>>2]|0;if((b|0)!=0?(YO(b,d)|0)==0:0){e=f;h=8}else h=6;if((h|0)==6?(h=0,(a[f+92>>0]|0)==1):0){e=UF(c[f+88>>2]|0,d)|0;h=8}if((h|0)==8?(0,(e|0)!=0):0)break a;f=c[g>>2]|0;if(!f){e=0;break}}}}while(0);return e|0}function VF(a,d,f,g){a=a|0;d=d|0;f=f|0;g=g|0;var h=0,i=0;h=ht(a,d,f,0,0)|0;if(!h){i=ht(a,d,f,0,1)|0;Ou(i,178780,176,1)|0;b[(c[i+16>>2]|0)+170>>1]=g;g=d+16|0;a=c[g>>2]|0;h=c[a+180>>2]|0;a=c[a+184>>2]|0;if(!h)h=zz((a<<2)+8|0)|0;else h=Bz(h,(a<<2)+8|0)|0;d=c[g>>2]|0;c[d+180>>2]=h;d=d+184|0;a=c[d>>2]|0;c[d>>2]=a+1;c[h+(a<<2)>>2]=i;g=c[g>>2]|0;c[(c[g+180>>2]|0)+(c[g+184>>2]<<2)>>2]=0;g=f+16|0;a=c[g>>2]|0;h=c[a+172>>2]|0;a=c[a+176>>2]|0;if(!h)h=zz((a<<2)+8|0)|0;else h=Bz(h,(a<<2)+8|0)|0;d=c[g>>2]|0;c[d+172>>2]=h;d=d+176|0;f=c[d>>2]|0;c[d>>2]=f+1;c[h+(f<<2)>>2]=i;i=c[g>>2]|0;c[(c[i+172>>2]|0)+(c[i+176>>2]<<2)>>2]=0}else{i=(c[h+16>>2]|0)+170|0;f=e[i>>1]|0;b[i>>1]=(f|0)>(g|0)?f:g}return}function WF(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,i=0;e=c[(c[a+16>>2]|0)+192>>2]|0;d=e+16|0;f=c[(c[d>>2]|0)+164>>2]|0;if(f){h=f;while(1){if(!(ht(a,e,h,0,0)|0)){g=ht(a,e,h,0,1)|0;Ou(g,178780,176,1)|0;b[(c[g+16>>2]|0)+170>>1]=0;f=c[d>>2]|0;e=c[f+180>>2]|0;f=c[f+184>>2]|0;if(!e)e=zz((f<<2)+8|0)|0;else e=Bz(e,(f<<2)+8|0)|0;i=c[d>>2]|0;c[i+180>>2]=e;i=i+184|0;f=c[i>>2]|0;c[i>>2]=f+1;c[e+(f<<2)>>2]=g;d=c[d>>2]|0;c[(c[d+180>>2]|0)+(c[d+184>>2]<<2)>>2]=0;d=h+16|0;f=c[d>>2]|0;e=c[f+172>>2]|0;f=c[f+176>>2]|0;if(!e)e=zz((f<<2)+8|0)|0;else e=Bz(e,(f<<2)+8|0)|0;f=c[d>>2]|0;c[f+172>>2]=e;f=f+176|0;i=c[f>>2]|0;c[f>>2]=i+1;c[e+(i<<2)>>2]=g;i=c[d>>2]|0;c[(c[i+172>>2]|0)+(c[i+176>>2]<<2)>>2]=0}else d=h+16|0;e=c[(c[d>>2]|0)+164>>2]|0;if(!e)break;else{i=h;h=e;e=i}}}return}function XF(b){b=b|0;var c=0,d=0;c=Qs(b,178771)|0;if(!((c|0)!=0?(a[c>>0]|0)!=0:0))d=3;do if((d|0)==3){c=Qs(b,182028)|0;if((c|0)!=0?(a[c>>0]|0)!=0:0)break;c=0}while(0);return c|0}function YF(f,g,j,k){f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;J=i;i=i+16|0;H=J+8|0;G=J;I=g+108|0;l=c[I>>2]|0;if(l)$F(k,l,43768);c[g+80>>2]=j;p=g+84|0;C=c[p>>2]|0;D=aA()|0;E=fG()|0;j=fs(C)|0;if(!j)l=0;else{l=0;o=0;do{n=fs(c[j+8>>2]|0)|0;if(n)do{l=l+1|0;n=c[n>>2]|0}while((n|0)!=0);o=o+1|0;if(a[j+12>>0]|0)gG(E,o);j=c[j>>2]|0}while((j|0)!=0)}l=yz((l<<2)+4|0)|0;c[p>>2]=l;n=fs(C)|0;if(!n){j=0;l=0;s=0}else{j=0;r=0;A=0;q=0;while(1){p=fs(c[n+8>>2]|0)|0;if(!p){o=r;p=q}else{z=A&65535;o=0;s=l;y=r;while(1){x=c[p+8>>2]|0;l=s+4|0;c[s>>2]=x;q=aG(f,x,g,k)|0|q;w=x+80|0;v=b[w>>1]|0;s=(v&65535)+-1|0;if(v<<16>>16){a:while(1){r=s+o|0;while(1){if(fA(D,r,A)|0){o=r;break}if((r|0)>(o|0))r=r+-1|0;else break a}o=o+1|0}r=b[w>>1]|0;if(!(r<<16>>16))B=16;else{v=x+82|0;t=b[v>>1]|0;s=t;u=o;do{if(!(t<<16>>16))t=0;else{s=A;do{dA(D,u,s);s=s+1|0;r=b[v>>1]|0}while((s|0)<((r&65535)+A|0));s=r;t=r;r=b[w>>1]|0}u=u+1|0}while((u|0)<((r&65535)+o|0))}}else B=16;if((B|0)==16){B=0;r=0;s=b[x+82>>1]|0}b[x+86>>1]=z;b[x+84>>1]=o;o=(r&65535)+o|0;j=(o|0)>(j|0)?o:j;w=(s&65535)+A|0;r=(w|0)>(y|0)?w:y;if(hG(E,w)|0){y=x+100|0;a[y>>0]=d[y>>0]|2}p=c[p>>2]|0;if(!p){o=r;p=q;break}else{s=l;y=r}}}n=c[n>>2]|0;if(!n){l=o;s=p;break}else{r=o;A=A+1|0;q=p}}}o=g+100|0;c[o>>2]=l;n=g+104|0;c[n>>2]=j;ds(C)|0;ds(E)|0;bA(D);r=g+36|0;l=b[r>>1]|0;if(!(l&128))a[g+32>>0]=2;j=g+33|0;if(!(l&32))a[j>>0]=1;PF(g);p=c[n>>2]|0;E=a[g+32>>0]|0;l=_(E,p+1|0)|0;j=d[j>>0]<<1;l=j+l|0;q=c[o>>2]|0;j=(_(q+1|0,E)|0)+j|0;if((p|0)>0){n=c[g+96>>2]|0;o=0;do{l=(c[n+(o<<2)>>2]|0)+l|0;o=o+1|0}while((o|0)<(p|0))}if((q|0)>0){o=c[g+92>>2]|0;n=0;do{j=(c[o+(n<<2)>>2]|0)+j|0;n=n+1|0}while((n|0)<(q|0))}o=g+38|0;do if(!(b[r>>1]&1))n=s;else{E=b[o>>1]|0;n=E&65535;if(E<<16>>16!=0?(F=b[g+40>>1]|0,F<<16>>16!=0):0){if(!((n|0)<(l|0)|(F&65535|0)<(j|0))){j=0;n=s;l=0;break}us(0,178571,G)|0;j=0;n=1;l=0;break}us(0,178605,H)|0;n=1}while(0);H=e[o>>1]|0;h[g+64>>3]=+(((l|0)>(H|0)?l:H)|0);H=e[g+40>>1]|0;h[g+72>>3]=+(((j|0)>(H|0)?j:H)|0);if(c[I>>2]|0){l=c[10942]|0;if(l)c[k+16>>2]=l;l=c[10943]|0;if(l)c[k+20>>2]=l;m=+h[5473];if(m>=0.0)h[k+32>>3]=m}i=J;return n|0}function ZF(f,g,j){f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;M=i;i=i+64|0;L=M+32|0;K=M;A=c[f+84>>2]|0;k=c[f+80>>2]|0;if(((k|0)!=0?(l=c[k+24>>2]|0,(l|0)!=0):0)?(m=f+24|0,(c[m>>2]|0)==0):0)c[m>>2]=dP(l)|0;I=f+48|0;l=g+16|0;p=+h[l>>3];n=+h[g>>3];k=~~(p-n-+(~~+h[f+64>>3]|0));if((k|0)<=-1)Na(178526,178536,1761,178548);m=g+24|0;r=+h[m>>3];o=g+8|0;s=+h[o>>3];t=+(~~+h[f+72>>3]|0);u=~~(r-s-t);if((u|0)<=-1)Na(178561,178536,1764,178548);q=e[f+36>>1]|0;a:do if(q&1){b:do if((k|0)>0)switch(q&6|0){case 4:{h[l>>3]=n+t;break b}case 2:{z=+(k|0);h[l>>3]=p+z;n=z+n;h[g>>3]=n;break b}default:{z=+((k|0)/2|0|0);n=n+z;h[g>>3]=n;h[l>>3]=p-z;break b}}while(0);if((u|0)>0)switch(q&24|0){case 16:{r=t+s;h[m>>3]=r;k=0;v=0;break a}case 8:{z=+(u|0);r=z+r;h[m>>3]=r;h[o>>3]=z+s;k=0;v=0;break a}default:{z=+((u|0)/2|0|0);h[o>>3]=s+z;r=r-z;h[m>>3]=r;k=0;v=0;break a}}else{k=0;v=0}}else v=u;while(0);w=f+33|0;G=f+32|0;H=f+104|0;F=c[H>>2]|0;u=(k|0)/(F|0)|0;l=k-(_(u,F)|0)|0;l=~~(+(l|0)+((l|0)>-1?.5:-.5));if((F|0)>=0){k=a[G>>0]|0;m=c[f+96>>2]|0;o=k<<24>>24;q=0;k=~~(+(k<<24>>24)+(n+ +(d[w>>0]|0)));while(1){E=m+(q<<2)|0;F=c[E>>2]|0;c[E>>2]=k;k=k+u+((q|0)<(l|0)&1)+F+o|0;if((q|0)>=(c[H>>2]|0))break;else q=q+1|0}}F=f+100|0;E=c[F>>2]|0;u=(v|0)/(E|0)|0;l=v-(_(u,E)|0)|0;l=~~(+(l|0)+((l|0)>-1?.5:-.5));if((E|0)>=0){k=a[G>>0]|0;m=c[f+92>>2]|0;o=k<<24>>24;q=0;k=~~(r-+(d[w>>0]|0)-+(k<<24>>24));while(1){D=m+(q<<2)|0;E=c[D>>2]|0;c[D>>2]=k;k=k-u+(((q|0)<(l|0))<<31>>31)-E-o|0;if((q|0)>=(c[F>>2]|0))break;else q=q+1|0}}k=c[A>>2]|0;c:do if(k){v=(j|0)==0;w=f+96|0;B=f+92|0;C=K+8|0;D=K+16|0;E=K+24|0;while(1){A=A+4|0;l=b[k+84>>1]|0;if(v){m=b[k+80>>1]|0;o=b[k+86>>1]|0;q=b[k+82>>1]|0;u=0}else{u=l<<16>>16==0?8:0;O=b[k+86>>1]|0;u=O<<16>>16==0?u|4:u;N=b[k+80>>1]|0;P=b[k+82>>1]|0;m=N;o=O;q=P;u=((P&65535)+(O&65535)|0)==(c[F>>2]|0)|(((N&65535)+(l&65535)|0)==(c[H>>2]|0)?u|2:u)}P=l&65535;O=c[w>>2]|0;r=+(c[O+(P<<2)>>2]|0);l=a[G>>0]|0;s=+((c[O+((m&65535)+P<<2)>>2]|0)-l|0);o=o&65535;P=c[B>>2]|0;z=+(c[P+(o<<2)>>2]|0);y=+((c[P+((q&65535)+o<<2)>>2]|0)+l|0);o=u&j;l=k+24|0;if((c[l>>2]|0)==0?(J=c[(c[k+96>>2]|0)+24>>2]|0,(J|0)!=0):0)c[l>>2]=dP(J)|0;q=k+36|0;u=e[q>>1]|0;m=k+64|0;d:do if(u&1){n=+h[m>>3];l=k+72|0;x=+h[l>>3];p=s-r-n;e:do if(p>0.0)switch(u&6|0){case 4:{s=r+n;n=r;break e}case 2:{s=s+p;n=r+p;break e}default:{n=p*.5;s=s-n;n=r+n;break e}}else n=r;while(0);p=z-y-x;if(p>0.0)switch(u&24|0){case 16:{r=n;t=y;n=y+x;break d}case 8:{r=n;t=y+p;n=z+p;break d}default:{x=p*.5;r=n;t=y+x;n=z-x;break d}}else{r=n;t=y;n=z}}else{l=k+72|0;t=y;n=z}while(0);h[k+48>>3]=r;h[k+56>>3]=t;h[m>>3]=s;h[l>>3]=n;a[k+35>>0]=o;y=+(d[k+33>>0]|0);z=+(d[k+34>>0]|0);x=r+y+z;h[K>>3]=x;t=t+y+z;h[C>>3]=t;r=s-y-z;h[D>>3]=r;s=n-y-z;h[E>>3]=s;l=k+88|0;switch(a[k+92>>0]|0){case 1:{P=c[l>>2]|0;c[L>>2]=c[K>>2];c[L+4>>2]=c[K+4>>2];c[L+8>>2]=c[K+8>>2];c[L+12>>2]=c[K+12>>2];c[L+16>>2]=c[K+16>>2];c[L+20>>2]=c[K+20>>2];c[L+24>>2]=c[K+24>>2];c[L+28>>2]=c[K+28>>2];ZF(P,L,o);break}case 3:{k=c[l>>2]|0;n=+h[k+24>>3];p=r-x-+h[k+16>>3];f:do if(p>0.0)switch(u&6|0){case 4:{h[D>>3]=r-p;break f}case 2:{h[K>>3]=x+p;break f}default:break f}while(0);n=s-t-n;g:do if(n>0.0)switch(u&24|0){case 16:{h[E>>3]=s-n;break g}case 8:{h[C>>3]=t+n;break g}default:break g}while(0);sQ(k|0,K|0,32)|0;break}default:{k=c[l>>2]|0;n=+h[k+32>>3];p=r-x-+h[k+24>>3];h:do if(p>0.0)switch(u&6|0){case 6:break h;case 4:{h[D>>3]=r-p;break h}case 2:{h[K>>3]=x+p;break h}default:{z=p*.5;h[K>>3]=x+z;h[D>>3]=r-z;break h}}while(0);n=s-t-n;i:do if(n>0.0)switch(u&24|0){case 16:{h[E>>3]=s-n;break i}case 8:{h[C>>3]=t+n;break i}default:{z=n*.5;h[C>>3]=t+z;h[E>>3]=s-z;break i}}while(0);k=k+8|0;c[k>>2]=c[K>>2];c[k+4>>2]=c[K+4>>2];c[k+8>>2]=c[K+8>>2];c[k+12>>2]=c[K+12>>2];c[k+16>>2]=c[K+16>>2];c[k+20>>2]=c[K+20>>2];c[k+24>>2]=c[K+24>>2];c[k+28>>2]=c[K+28>>2];q=e[q>>1]&768;q=(q|0)==512?108:(q|0)==256?114:110;k=c[l>>2]|0;l=b[k+4>>1]|0;if(l<<16>>16>0){o=c[k>>2]|0;k=l<<16>>16;m=0;do{l=o+(m*24|0)+6|0;if(!(a[l>>0]|0))a[l>>0]=q;m=m+1|0}while((m|0)!=(k|0))}}}k=c[A>>2]|0;if(!k)break c}}while(0);a[f+35>>0]=j;c[I>>2]=c[g>>2];c[I+4>>2]=c[g+4>>2];c[I+8>>2]=c[g+8>>2];c[I+12>>2]=c[g+12>>2];c[I+16>>2]=c[g+16>>2];c[I+20>>2]=c[g+20>>2];c[I+24>>2]=c[g+24>>2];c[I+28>>2]=c[g+28>>2];i=M;return}function _F(d,e,f){d=d|0;e=e|0;f=f|0;var g=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0;Q=i;i=i+112|0;O=Q+48|0;P=Q+16|0;M=Q;c[P>>2]=0;c[P+4>>2]=0;c[P+8>>2]=0;c[P+12>>2]=0;c[P+16>>2]=0;c[P+20>>2]=0;c[P+24>>2]=0;c[P+28>>2]=0;N=e+4|0;l=b[N>>1]|0;u=l<<16>>16>0;if(u){p=f+32|0;q=P+16|0;r=f+16|0;o=c[e>>2]|0;s=l<<16>>16;t=0;n=0;j=-1.0;a:while(1){if((b[o+(t*24|0)+4>>1]|0)>1){m=0;break}m=c[(c[o+(t*24|0)>>2]|0)+4>>2]|0;do if(m){if(c[m+24>>2]&127){m=0;break a}g=+h[m+16>>3];if(!(g>0.0))g=+h[p>>3];h[q>>3]=g;m=c[m>>2]|0;if(!m){m=c[r>>2]|0;c[P>>2]=m;break}else{c[P>>2]=m;break}}else{g=+h[p>>3];h[q>>3]=g;m=c[r>>2]|0;c[P>>2]=m}while(0);if(!(j==-1.0))if(g!=j){m=0;break}else g=j;if(n)if(!(aP(m,n)|0))m=n;else{m=0;break}t=t+1|0;if((t|0)>=(s|0)){m=1;break}else{n=m;j=g}}a[e+6>>0]=m;if(u){r=(m|0)==0;s=f+48|0;t=f+16|0;u=f+32|0;A=P+16|0;B=f+20|0;C=P+4|0;D=f+40|0;E=P+24|0;F=d+144|0;G=O+4|0;H=M+8|0;I=O+16|0;J=O+24|0;K=O+8|0;L=O+12|0;p=f+16|0;l=c[e>>2]|0;z=0.0;q=0;j=0.0;g=0.0;while(1){if((b[l+(q*24|0)+4>>1]|0)>0){m=c[l+(q*24|0)>>2]|0;o=0;y=0.0;v=0.0;k=0.0;x=0.0;while(1){c[O>>2]=rz(c[m+(o*56|0)>>2]|0,c[s>>2]|0)|0;n=(c[e>>2]|0)+(q*24|0)|0;l=c[(c[n>>2]|0)+(o*56|0)+4>>2]|0;do if(l){l=c[l+24>>2]&127;do if(!l){l=c[D>>2]&127;m=c[E>>2]&-128;if(!l){c[E>>2]=m;break}else{c[E>>2]=m|l;break}}else c[E>>2]=c[E>>2]&-128|l;while(0);m=c[(c[n>>2]|0)+(o*56|0)+4>>2]|0;w=+h[m+16>>3];if(!(w>0.0))w=+h[u>>3];h[A>>3]=w;l=c[m>>2]|0;if(!l)c[P>>2]=c[p>>2];else c[P>>2]=l;l=c[m+4>>2]|0;if(!l){c[C>>2]=c[B>>2];break}else{c[C>>2]=l;break}}else{h[A>>3]=+h[u>>3];c[P>>2]=c[t>>2];c[C>>2]=c[B>>2];c[E>>2]=c[E>>2]&-128|c[D>>2]&127}while(0);l=c[F>>2]|0;c[G>>2]=Jb[c[l>>2]&63](l,P,1)|0;$B(M,d,O);R=+h[M>>3];w=+h[H>>3];fQ(c[(c[(c[e>>2]|0)+(q*24|0)>>2]|0)+(o*56|0)>>2]|0);l=c[e>>2]|0;m=c[l+(q*24|0)>>2]|0;c[m+(o*56|0)>>2]=c[O>>2];h[m+(o*56|0)+32>>3]=R;h[m+(o*56|0)+16>>3]=+h[I>>3];h[m+(o*56|0)+24>>3]=+h[J>>3];c[m+(o*56|0)+4>>2]=c[G>>2];c[m+(o*56|0)+8>>2]=c[K>>2];c[m+(o*56|0)+12>>2]=c[L>>2];x=x+R;R=+h[A>>3];v=R>v?R:v;k=w>k?w:k;w=+h[J>>3];w=w>y?w:y;o=o+1|0;if((o|0)>=(b[l+(q*24|0)+4>>1]|0)){n=l;break}else y=w}}else{n=l;w=0.0;v=0.0;k=0.0;x=0.0}h[n+(q*24|0)+8>>3]=x;m=(q|0)==0;do if(r)if(m){w=v-w;h[n+16>>3]=w;break}else{w=g+v-z-w;h[n+(q*24|0)+16>>3]=w;break}else{l=n+(q*24|0)+16|0;if(m){h[l>>3]=v;w=v;v=k;break}else{h[l>>3]=k;w=k;v=k;break}}while(0);j=x>j?x:j;g=g+v;q=q+1|0;l=b[N>>1]|0;if((q|0)>=(l<<16>>16|0))break;else{l=n;z=z+w}}}else{k=0.0;j=0.0;g=0.0}}else{a[e+6>>0]=1;k=0.0;j=0.0;g=0.0}h[e+24>>3]=j;h[e+32>>3]=l<<16>>16==1?k:g;i=Q;return}function $F(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0.0,j=0;e=a+16|0;f=c[e>>2]|0;do if(f)if(!(c[b>>2]|0)){c[d>>2]=0;break}else{c[d>>2]=f;c[e>>2]=c[b>>2];break}while(0);f=a+20|0;g=c[f>>2]|0;do if(g){j=b+4|0;e=d+4|0;if(!(c[j>>2]|0)){c[e>>2]=0;break}else{c[e>>2]=g;c[f>>2]=c[j>>2];break}}while(0);g=a+32|0;i=+h[g>>3];do if(i>=0.0){f=b+16|0;e=d+16|0;if(!(+h[f>>3]>=0.0)){h[e>>3]=-1.0;break}else{h[e>>3]=i;h[g>>3]=+h[f>>3];break}}while(0);return}function aG(f,g,j,k){f=f|0;g=g|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;x=i;i=i+32|0;w=x+16|0;v=x+8|0;r=x;o=x+24|0;c[g+96>>2]=j;t=g+36|0;n=b[t>>1]|0;do if(!(n&64))if(!(b[j+36>>1]&64)){a[g+34>>0]=2;break}else{a[g+34>>0]=a[j+34>>0]|0;break}while(0);do if(!(n&32)){n=a[j+88>>0]|0;if(n<<24>>24>-1){a[g+33>>0]=n;break}if(!(b[j+36>>1]&32)){a[g+33>>0]=1;break}else{a[g+33>>0]=a[j+33>>0]|0;break}}while(0);q=g+88|0;s=g+92|0;switch(a[s>>0]|0){case 1:{n=YF(f,c[q>>2]|0,g,k)|0;f=c[q>>2]|0;j=f+64|0;f=f+72|0;break}case 3:{p=c[q>>2]|0;n=k+52|0;j=p+32|0;Pw(o,c[n>>2]|0,c[j>>2]|0);f=c[o>>2]|0;k=c[o+4>>2]|0;if((k&f|0)==-1){c[r>>2]=c[j>>2];us(1,178656,r)|0;m=0.0;l=0.0;n=1}else{a[(c[(c[n>>2]|0)+16>>2]|0)+114>>0]=1;m=+(f|0);l=+(k|0);n=0}c[p>>2]=0;c[p+4>>2]=0;c[p+8>>2]=0;c[p+12>>2]=0;h[p+16>>3]=m;h[p+24>>3]=l;f=c[q>>2]|0;j=f+16|0;f=f+24|0;break}default:{_F(c[(c[f+16>>2]|0)+144>>2]|0,c[q>>2]|0,k);f=c[q>>2]|0;j=f+24|0;f=f+32|0;n=0}}l=+((d[g+33>>0]|0)+(d[g+34>>0]|0)<<1|0);m=+h[j>>3]+l;l=+h[f>>3]+l;f=g+38|0;do if(b[t>>1]&1){t=b[f>>1]|0;j=t&65535;if(t<<16>>16!=0?(u=b[g+40>>1]|0,u<<16>>16!=0):0){if(!(+(j|0)<m|+(u&65535|0)<l)){m=0.0;l=0.0;break}if((a[s>>0]|0)==3){m=0.0;l=0.0;break}us(0,178688,v)|0;n=1;m=0.0;l=0.0;break}us(0,178721,w)|0;n=1}while(0);y=+(e[f>>1]|0);h[g+64>>3]=m>y?m:y;m=+(e[g+40>>1]|0);h[g+72>>3]=l>m?l:m;i=x;return n|0}function bG(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+224|0;s=u+8|0;l=u;t=u+40|0;k=u+56|0;j=u+88|0;m=c[d+16>>2]|0;p=m+208|0;c[h>>2]=c[p>>2];q=m+228|0;c[h+4>>2]=c[q>>2];r=m+244|0;c[h+8>>2]=c[r>>2];n=m+212|0;c[h+12>>2]=c[n>>2];o=m+260|0;a[h+16>>0]=(b[o>>1]<<15&65535)<<16>>16>>15;h=c[f+16>>2]|0;if((h|0)!=0?(a[h>>0]|0)!=0:0)j=0;else{xs(t,128,j);j=e+60|0;h=c[j>>2]|0;if(!h){h=dP(oy(d,c[m+8>>2]|0,t)|0)|0;c[j>>2]=h;a[e+64>>0]=1}As(t,h)|0;j=c[22950]|0;c[22950]=j+1;c[l>>2]=j;DO(k,178903,l)|0;As(t,k)|0;j=t+4|0;h=c[j>>2]|0;if(h>>>0>=(c[t+8>>2]|0)>>>0){ys(t,1)|0;h=c[j>>2]|0}a[h>>0]=0;h=c[t>>2]|0;c[j>>2]=h;j=1}h=ny(d,0,c[f>>2]|0,c[f+12>>2]|0,c[f+8>>2]|0,h,c[m+8>>2]|0)|0;if(j)Bs(t);do if(h){if((c[p>>2]|0)==0?(b[o>>1]&1)==0:0)break;c[s>>2]=c[g>>2];c[s+4>>2]=c[g+4>>2];c[s+8>>2]=c[g+8>>2];c[s+12>>2]=c[g+12>>2];c[s+16>>2]=c[g+16>>2];c[s+20>>2]=c[g+20>>2];c[s+24>>2]=c[g+24>>2];c[s+28>>2]=c[g+28>>2];ry(d,s);BE(d,c[p>>2]|0,c[q>>2]|0,c[r>>2]|0,c[n>>2]|0)}while(0);i=u;return h|0}function cG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var h=0.0,j=0,k=0;k=i;i=i+16|0;j=k;if(!((xy(b,f,j)|0)<<24>>24)){HE(a,b);f=1}else{HE(a,c[f>>2]|0);f=c[f+4>>2]|0;h=+g[j>>2];if(!f)IE(a,178378,d,h);else IE(a,f,d,h);f=e>>>1&1|2}GE(a,178891);i=k;return f|0}function dG(f,g,j){f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0,s=0,t=0;t=i;i=i+160|0;r=t+112|0;s=t;l=t+144|0;q=c[g+24>>2]|0;GE(f,(q|0)==0?178378:q);q=g+42|0;k=b[q>>1]|0;if(!(k&384))JE(f,c[(c[f>>2]|0)+336>>2]|0);else{c[l+4>>2]=0;c[l>>2]=0;k=k&65535;if(!(k&256)){if(k&128)c[l>>2]=178884}else c[l>>2]=178877;JE(f,l)}k=g+33|0;RE(f,+(d[k>>0]|0));a:do if(!(b[q>>1]&4)){q=(e[g+36>>1]|0)&15360;if(!q){k=a[k>>0]|0;if((k&255)>1){p=+(k&255)*.5;h[j>>3]=p+ +h[j>>3];s=j+8|0;h[s>>3]=p+ +h[s>>3];s=j+16|0;h[s>>3]=+h[s>>3]-p;s=j+24|0;h[s>>3]=+h[s>>3]-p};c[r>>2]=c[j>>2];c[r+4>>2]=c[j+4>>2];c[r+8>>2]=c[j+8>>2];c[r+12>>2]=c[j+12>>2];c[r+16>>2]=c[j+16>>2];c[r+20>>2]=c[j+20>>2];c[r+24>>2]=c[j+24>>2];c[r+28>>2]=c[j+28>>2];ME(f,r,0);break}g=s+16|0;k=a[k>>0]|0;c[r>>2]=c[j>>2];c[r+4>>2]=c[j+4>>2];c[r+8>>2]=c[j+8>>2];c[r+12>>2]=c[j+12>>2];c[r+16>>2]=c[j+16>>2];c[r+20>>2]=c[j+20>>2];c[r+24>>2]=c[j+24>>2];c[r+28>>2]=c[j+28>>2];c[g>>2]=c[j>>2];c[g+4>>2]=c[j+4>>2];c[g+8>>2]=c[j+8>>2];c[g+12>>2]=c[j+12>>2];l=s+48|0;r=r+16|0;c[l>>2]=c[r>>2];c[l+4>>2]=c[r+4>>2];c[l+8>>2]=c[r+8>>2];c[l+12>>2]=c[r+12>>2];if((k&255)>1){p=+(k&255|0)*.5;o=p+ +h[g>>3];h[g>>3]=o;r=s+24|0;n=p+ +h[r>>3];h[r>>3]=n;m=+h[l>>3]-p;h[l>>3]=m;r=s+56|0;p=+h[r>>3]-p;h[r>>3]=p}else{m=+h[l>>3];n=+h[s+24>>3];o=+h[g>>3];p=+h[s+56>>3]}h[s+32>>3]=m;h[s+40>>3]=n;h[s+64>>3]=o;h[s+72>>3]=p;if((q|0)<8192)switch(q|0){case 4096:{OE(f,s+32|0,2);break a}case 2048:{OE(f,l,2);break a}case 1024:{r=s+64|0;c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];OE(f,s,2);break a}case 6144:{OE(f,s+32|0,3);break a}case 3072:{s=s+80|0;c[s>>2]=c[g>>2];c[s+4>>2]=c[g+4>>2];c[s+8>>2]=c[g+8>>2];c[s+12>>2]=c[g+12>>2];OE(f,l,3);break a}case 7168:{r=s+80|0;c[r>>2]=c[g>>2];c[r+4>>2]=c[g+4>>2];c[r+8>>2]=c[g+8>>2];c[r+12>>2]=c[g+12>>2];OE(f,s+32|0,4);break a}case 5120:{r=s+64|0;c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];OE(f,s,2);OE(f,s+32|0,2);break a}default:break a}else switch(q|0){case 8192:{OE(f,g,2);break a}case 12288:{OE(f,g,3);break a}case 9216:{r=s+64|0;c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];OE(f,s,3);break a}case 14336:{OE(f,g,4);break a}case 11264:{r=s+80|0;c[r>>2]=c[g>>2];c[r+4>>2]=c[g+4>>2];c[r+8>>2]=c[g+8>>2];c[r+12>>2]=c[g+12>>2];r=s+96|0;s=s+32|0;c[r>>2]=c[s>>2];c[r+4>>2]=c[s+4>>2];c[r+8>>2]=c[s+8>>2];c[r+12>>2]=c[s+12>>2];OE(f,l,4);break a}case 13312:{r=s+64|0;c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];OE(f,s,4);break a}case 10240:{OE(f,g,2);OE(f,l,2);break a}default:break a}}else{l=a[k>>0]|0;c[r>>2]=c[j>>2];c[r+4>>2]=c[j+4>>2];c[r+8>>2]=c[j+8>>2];c[r+12>>2]=c[j+12>>2];c[r+16>>2]=c[j+16>>2];c[r+20>>2]=c[j+20>>2];c[r+24>>2]=c[j+24>>2];c[r+28>>2]=c[j+28>>2];c[s>>2]=c[j>>2];c[s+4>>2]=c[j+4>>2];c[s+8>>2]=c[j+8>>2];c[s+12>>2]=c[j+12>>2];k=s+32|0;r=r+16|0;c[k>>2]=c[r>>2];c[k+4>>2]=c[r+4>>2];c[k+8>>2]=c[r+8>>2];c[k+12>>2]=c[r+12>>2];if((l&255)>1){p=+(l&255|0)*.5;o=p+ +h[s>>3];h[s>>3]=o;r=s+8|0;n=p+ +h[r>>3];h[r>>3]=n;m=+h[k>>3]-p;h[k>>3]=m;r=s+40|0;p=+h[r>>3]-p;h[r>>3]=p}else{m=+h[k>>3];n=+h[s+8>>3];o=+h[s>>3];p=+h[s+40>>3]}h[s+16>>3]=m;h[s+24>>3]=n;h[s+48>>3]=o;h[s+56>>3]=p;PA(f,s,4,4,0)}while(0);i=t;return}function eG(a,e){a=a|0;e=e|0;var f=0,g=0,h=0;h=c[a+16>>2]|0;f=h+208|0;if((c[f>>2]|0)==0?(b[h+260>>1]&1)==0:0)a=0;else{CE(a);a=c[f>>2]|0}if((a|0)!=(c[e>>2]|0)){fQ(a);c[f>>2]=c[e>>2]}a=h+228|0;f=c[a>>2]|0;g=e+4|0;if((f|0)!=(c[g>>2]|0)){fQ(f);c[a>>2]=c[g>>2]}a=h+244|0;f=c[a>>2]|0;g=e+8|0;if((f|0)!=(c[g>>2]|0)){fQ(f);c[a>>2]=c[g>>2]}a=h+212|0;f=c[a>>2]|0;g=e+12|0;if((f|0)!=(c[g>>2]|0)){fQ(f);c[a>>2]=c[g>>2]}h=h+260|0;b[h>>1]=b[h>>1]&-2|(d[e+16>>0]|0)&1;return}function fG(){return hs(91804,c[13094]|0)|0}function gG(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=b;Jb[c[a>>2]&63](a,e,1)|0;i=d;return}function hG(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=b;b=(Jb[c[a>>2]&63](a,e,512)|0)!=0&1;i=d;return b|0}function iG(a,b,d){a=a|0;b=b|0;d=d|0;d=yz(12)|0;c[d>>2]=c[b>>2];return d|0}function jG(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function kG(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;b=c[b>>2]|0;d=c[d>>2]|0;return ((b|0)>(d|0)?1:((b|0)<(d|0))<<31>>31)|0}function lG(a){a=a|0;var b=0;if(!(c[22960]|0)){b=yz((a<<2)+4|0)|0;c[22960]=b;c[b>>2]=91844;c[22971]=a}c[22972]=0;return}function mG(){fQ(c[22960]|0);c[22960]=0;c[22972]=0;return}function nG(){c[22972]=0;return}function oG(){var a=0,b=0,d=0;a=c[22972]|0;a:do if((a|0)>=1){b=c[22960]|0;d=1;while(1){if((c[(c[b+(d<<2)>>2]|0)+4>>2]|0)!=(d|0))break;if((d|0)<(a|0))d=d+1|0;else break a}Na(179560,178907,59,178913)}while(0);return}function pG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;d=c[22960]|0;b=d+(a<<2)|0;g=c[b>>2]|0;f=c[g>>2]|0;e=(a|0)/2|0;d=c[d+(e<<2)>>2]|0;if((c[d>>2]|0)<(f|0))while(1){c[b>>2]=d;c[d+4>>2]=a;a=(e|0)/2|0;b=c[22960]|0;d=c[b+(a<<2)>>2]|0;b=b+(e<<2)|0;if((c[d>>2]|0)>=(f|0)){a=e;break}else{h=e;e=a;a=h}}c[b>>2]=g;c[g+4>>2]=a;return}function qG(a){a=a|0;var b=0,d=0;d=i;i=i+16|0;b=c[22972]|0;if((b|0)==(c[22971]|0)){us(1,178921,d)|0;b=1}else{b=b+1|0;c[22972]=b;c[(c[22960]|0)+(b<<2)>>2]=a;pG(b);oG();b=0}i=d;return b|0}function rG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=c[22960]|0;i=c[b+(a<<2)>>2]|0;g=c[i>>2]|0;d=c[22972]|0;h=(d|0)/2|0;a:do if((h|0)>=(a|0))while(1){e=a<<1;f=c[b+(e<<2)>>2]|0;if((e|0)<(d|0)){k=e|1;d=c[b+(k<<2)>>2]|0;j=(c[f>>2]|0)<(c[d>>2]|0);e=j?k:e;d=j?d:f}else d=f;if((g|0)>=(c[d>>2]|0))break a;c[b+(a<<2)>>2]=d;c[d+4>>2]=a;b=c[22960]|0;if((e|0)>(h|0)){a=e;break a}a=e;d=c[22972]|0}while(0);c[b+(a<<2)>>2]=i;c[i+4>>2]=a;return}function sG(){var a=0,b=0,d=0,e=0;b=c[22972]|0;if(!b)a=0;else{e=c[22960]|0;d=e+4|0;a=c[d>>2]|0;c[d>>2]=c[e+(b<<2)>>2];b=b+-1|0;c[22972]=b;if(b)rG(1);oG()}return a|0}function tG(a,b){a=a|0;b=b|0;c[a>>2]=b;pG(c[a+4>>2]|0);oG();return}function uG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=c[b+16>>2]|0;k=(a[j+((c[e+12>>2]|0)*40|0)+36>>0]|0)!=(a[j+((c[e+16>>2]|0)*40|0)+36>>0]|0);l=~~((+h[d+64>>3]-+h[d+48>>3]+-3.0)*.5);m=~~((+h[d+56>>3]-+h[d+40>>3]+-3.0)*.5);i=(l|0)<(m|0)?l:m;n=c[d+4>>2]|0;a:do if((n|0)>0){b=0;do{f=c[d+8+(b<<2)>>2]|0;if((a[j+((c[f+12>>2]|0)*40|0)+36>>0]|0)==(a[j+((c[f+16>>2]|0)*40|0)+36>>0]|0))break a;g=f+8|0;p=c[g>>2]|0;c[g>>2]=p+1;if((p|0)>=(i|0)){c[g>>2]=0;h[f>>3]=+h[f>>3]+16384.0}b=b+1|0}while((b|0)<(n|0))}else b=0;while(0);if((b|0)<(n|0))do{f=c[d+8+(b<<2)>>2]|0;if(k|(f|0)==(e|0)?(p=(a[j+((c[f+12>>2]|0)*40|0)+36>>0]|0)!=0?l:m,o=f+8|0,i=c[o>>2]|0,c[o>>2]=i+1,(i|0)>=(p|0)):0){c[o>>2]=0;h[f>>3]=+h[f>>3]+16384.0}b=b+1|0}while((b|0)<(n|0));return}function vG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0;Q=i;i=i+256|0;z=Q+208|0;O=Q+200|0;N=Q+192|0;t=Q+160|0;s=Q+128|0;r=Q+96|0;q=Q+80|0;o=Q+32|0;A=Q+16|0;C=Q;u=Q+240|0;v=Q+48|0;P=yz(28)|0;d=vt(b)|0;B=P+4|0;c[B>>2]=d;d=yz(d*72|0)|0;D=P+12|0;c[D>>2]=d;w=v+8|0;h[w>>3]=1797693134862315708145274.0e284;h[v>>3]=1797693134862315708145274.0e284;y=v+24|0;h[y>>3]=-1797693134862315708145274.0e284;x=v+16|0;h[x>>3]=-1797693134862315708145274.0e284;e=gu(b)|0;if(!e){g=1797693134862315708145274.0e284;j=1797693134862315708145274.0e284;k=-1797693134862315708145274.0e284;l=-1797693134862315708145274.0e284}else{g=1797693134862315708145274.0e284;j=1797693134862315708145274.0e284;k=-1797693134862315708145274.0e284;l=-1797693134862315708145274.0e284;while(1){E=e+16|0;n=c[E>>2]|0;R=(+h[n+88>>3]+ +h[n+96>>3])*.5;R=R<1.0?1.0:R;p=+h[n+80>>3]*.5;p=p<1.0?1.0:p;U=+h[n+16>>3];T=U-R;R=U+R;U=+h[n+24>>3];S=U-p;p=U+p;h[v>>3]=g<T?g:T;h[w>>3]=j<S?j:S;h[x>>3]=k>R?k:R;h[y>>3]=l>p?l:p;h[d+40>>3]=T;h[d+48>>3]=S;h[d+56>>3]=R;h[d+64>>3]=p;c[d>>2]=c[d>>2]|1;c[(c[E>>2]|0)+112>>2]=d;e=hu(b,e)|0;if(!e)break;g=+h[v>>3];j=+h[w>>3];k=+h[x>>3];l=+h[y>>3];d=d+72|0}g=+h[v>>3];j=+h[w>>3];k=+h[x>>3];l=+h[y>>3]}h[v>>3]=g+-36.0;h[w>>3]=j+-36.0;h[x>>3]=k+36.0;h[y>>3]=l+36.0;E=c[D>>2]|0;n=c[B>>2]|0;c[z>>2]=c[v>>2];c[z+4>>2]=c[v+4>>2];c[z+8>>2]=c[v+8>>2];c[z+12>>2]=c[v+12>>2];c[z+16>>2]=c[v+16>>2];c[z+20>>2]=c[v+20>>2];c[z+24>>2]=c[v+24>>2];c[z+28>>2]=c[v+28>>2];n=AG(E,n,u,z)|0;if(c[15337]&1){e=c[D>>2]|0;b=c[B>>2]|0;f=c[u>>2]|0;g=+h[v>>3];j=+h[w>>3];k=+h[x>>3];l=+h[y>>3];m=c[24809]|0;rO(c[22973]|0,m)|0;c[o>>2]=10;c[o+4>>2]=10;c[o+8>>2]=~~(k+10.0-g);c[o+12>>2]=~~(l+10.0-j);pO(m,178936,o)|0;h[q>>3]=10.0-g;h[q+8>>3]=10.0-j;pO(m,178984,q)|0;AO(179001,18,1,m)|0;if((b|0)>0){d=0;do{S=+h[e+(d*72|0)+48>>3];T=+h[e+(d*72|0)+56>>3];U=+h[e+(d*72|0)+64>>3];h[r>>3]=+h[e+(d*72|0)+40>>3];h[r+8>>3]=S;h[r+16>>3]=T;h[r+24>>3]=U;pO(m,179020,r)|0;d=d+1|0}while((d|0)!=(b|0))}AO(179038,18,1,m)|0;if((f|0)>0){d=0;do{S=+h[n+(d<<5)+8>>3];T=+h[n+(d<<5)+16>>3];U=+h[n+(d<<5)+24>>3];h[s>>3]=+h[n+(d<<5)>>3];h[s+8>>3]=S;h[s+16>>3]=T;h[s+24>>3]=U;pO(m,179057,s)|0;d=d+1|0}while((d|0)!=(f|0))}AO(179075,18,1,m)|0;h[t>>3]=g;h[t+8>>3]=j;h[t+16>>3]=k;h[t+24>>3]=l;pO(m,179057,t)|0;rO(c[22974]|0,m)|0}d=yz((c[u>>2]|0)*72|0)|0;E=P+8|0;c[E>>2]=d;c[P>>2]=c[u>>2];e=c[u>>2]|0;if((e|0)>0?(u=d+40|0,c[u>>2]=c[n>>2],c[u+4>>2]=c[n+4>>2],c[u+8>>2]=c[n+8>>2],c[u+12>>2]=c[n+12>>2],c[u+16>>2]=c[n+16>>2],c[u+20>>2]=c[n+20>>2],c[u+24>>2]=c[n+24>>2],c[u+28>>2]=c[n+28>>2],(e|0)>1):0){d=1;do{u=(c[E>>2]|0)+(d*72|0)+40|0;t=n+(d<<5)|0;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];c[u+12>>2]=c[t+12>>2];c[u+16>>2]=c[t+16>>2];c[u+20>>2]=c[t+20>>2];c[u+24>>2]=c[t+24>>2];c[u+28>>2]=c[t+28>>2];d=d+1|0}while((d|0)<(e|0))}fQ(n);p=+h[v>>3];l=+h[w>>3];k=+h[x>>3];j=+h[y>>3];x=c[P>>2]|0;y=cE(x<<2|2)|0;v=hs(91900,c[13094]|0)|0;w=hs(91936,c[13094]|0)|0;x=yz(x<<7)|0;d=yz(c[P>>2]<<4)|0;if((c[P>>2]|0)>0){e=A+8|0;o=0;do{b=c[E>>2]|0;f=b+(o*72|0)|0;c[b+(o*72|0)+32>>2]=4;m=b+(o*72|0)+36|0;c[m>>2]=d+(o<<2<<2);n=b+(o*72|0)+40|0;g=+h[b+(o*72|0)+56>>3];if(g<k){h[A>>3]=g;h[e>>3]=+h[b+(o*72|0)+48>>3];c[z>>2]=c[A>>2];c[z+4>>2]=c[A+4>>2];c[z+8>>2]=c[A+8>>2];c[z+12>>2]=c[A+12>>2];u=xG(y,v,z,x,1)|0;c[u+20>>2]=f;c[c[m>>2]>>2]=u}g=+h[b+(o*72|0)+64>>3];if(g<j){h[A>>3]=+h[n>>3];h[e>>3]=g;c[z>>2]=c[A>>2];c[z+4>>2]=c[A+4>>2];c[z+8>>2]=c[A+8>>2];c[z+12>>2]=c[A+12>>2];u=xG(y,w,z,x,0)|0;c[u+20>>2]=f;c[(c[m>>2]|0)+4>>2]=u}if(+h[n>>3]>p){c[z>>2]=c[n>>2];c[z+4>>2]=c[n+4>>2];c[z+8>>2]=c[n+8>>2];c[z+12>>2]=c[n+12>>2];u=xG(y,v,z,x,1)|0;c[u+24>>2]=f;c[(c[m>>2]|0)+8>>2]=u}if(+h[b+(o*72|0)+48>>3]>l){c[z>>2]=c[n>>2];c[z+4>>2]=c[n+4>>2];c[z+8>>2]=c[n+8>>2];c[z+12>>2]=c[n+12>>2];u=xG(y,w,z,x,0)|0;c[u+24>>2]=f;c[(c[m>>2]|0)+12>>2]=u}o=o+1|0}while((o|0)<(c[P>>2]|0))}r=yz(c[y>>2]<<2)|0;if((c[B>>2]|0)>0){s=C+8|0;t=0;d=0;u=0;while(1){n=c[D>>2]|0;o=n+(t*72|0)|0;q=n+(t*72|0)+36|0;c[q>>2]=r+(u<<2);e=n+(t*72|0)+40|0;c[C>>2]=c[e>>2];c[C+4>>2]=c[e+4>>2];c[C+8>>2]=c[e+8>>2];c[C+12>>2]=c[e+12>>2];e=Jb[c[w>>2]&63](w,C,512)|0;a:do if(e){b=n+(t*72|0)+56|0;f=n+(t*72|0)+32|0;do{if(!(+h[e+8>>3]<+h[b>>3]))break a;z=c[e>>2]|0;A=c[f>>2]|0;c[f>>2]=A+1;c[(c[q>>2]|0)+(A<<2)>>2]=z;c[(c[e>>2]|0)+24>>2]=o;e=Jb[c[w>>2]&63](w,e,8)|0}while((e|0)!=0)}while(0);e=Jb[c[v>>2]&63](v,C,512)|0;m=n+(t*72|0)+64|0;b:do if(e){b=n+(t*72|0)+32|0;do{if(!(+h[e+16>>3]<+h[m>>3]))break b;z=c[e>>2]|0;A=c[b>>2]|0;c[b>>2]=A+1;c[(c[q>>2]|0)+(A<<2)>>2]=z;c[(c[e>>2]|0)+24>>2]=o;e=Jb[c[v>>2]&63](v,e,8)|0}while((e|0)!=0)}while(0);h[s>>3]=+h[m>>3];e=Jb[c[w>>2]&63](w,C,512)|0;b=n+(t*72|0)+56|0;f=n+(t*72|0)+32|0;c:do if(e)do{if(!(+h[e+8>>3]<+h[b>>3]))break c;z=c[e>>2]|0;A=c[f>>2]|0;c[f>>2]=A+1;c[(c[q>>2]|0)+(A<<2)>>2]=z;c[(c[e>>2]|0)+20>>2]=o;e=Jb[c[w>>2]&63](w,e,8)|0}while((e|0)!=0);while(0);h[C>>3]=+h[b>>3];h[s>>3]=+h[n+(t*72|0)+48>>3];e=Jb[c[v>>2]&63](v,C,512)|0;d:do if(e)do{if(!(+h[e+16>>3]<+h[m>>3]))break d;z=c[e>>2]|0;A=c[f>>2]|0;c[f>>2]=A+1;c[(c[q>>2]|0)+(A<<2)>>2]=z;c[(c[e>>2]|0)+20>>2]=o;e=Jb[c[v>>2]&63](v,e,8)|0}while((e|0)!=0);while(0);b=c[f>>2]|0;d=(b|0)>(d|0)?b:d;t=t+1|0;e=c[B>>2]|0;if((t|0)>=(e|0)){r=e;break}else u=b+u|0}if((r|0)>0){n=c[D>>2]|0;q=0;do{o=n+(q*72|0)|0;if((+h[n+(q*72|0)+64>>3]-+h[n+(q*72|0)+48>>3]+-3.0)*.5<2.0?(F=c[n+(q*72|0)+32>>2]|0,(F|0)>0):0){f=c[n+(q*72|0)+36>>2]|0;m=0;do{e=c[f+(m<<2)>>2]|0;e:do if(a[e+36>>0]|0){b=c[e+20>>2]|0;if((b|0)==(o|0)){e=c[e+24>>2]|0;c[e>>2]=c[e>>2]|8;e=c[c[e+36>>2]>>2]|0;if(!e)break;do{e=c[e+24>>2]|0;b=c[e>>2]|0;if(b&1)break e;c[e>>2]=b|8;e=c[c[e+36>>2]>>2]|0}while((e|0)!=0)}else{c[b>>2]=c[b>>2]|8;e=c[(c[b+36>>2]|0)+8>>2]|0;if(!e)break;do{e=c[e+20>>2]|0;b=c[e>>2]|0;if(b&1)break e;c[e>>2]=b|8;e=c[(c[e+36>>2]|0)+8>>2]|0}while((e|0)!=0)}}while(0);m=m+1|0}while((m|0)!=(F|0))}if((+h[n+(q*72|0)+56>>3]-+h[n+(q*72|0)+40>>3]+-3.0)*.5<2.0?(G=c[n+(q*72|0)+32>>2]|0,(G|0)>0):0){f=c[n+(q*72|0)+36>>2]|0;m=0;do{e=c[f+(m<<2)>>2]|0;f:do if(!(a[e+36>>0]|0)){b=c[e+20>>2]|0;if((b|0)==(o|0)){e=c[e+24>>2]|0;c[e>>2]=c[e>>2]|16;e=c[(c[e+36>>2]|0)+4>>2]|0;if(!e)break;do{e=c[e+24>>2]|0;b=c[e>>2]|0;if(b&1)break f;c[e>>2]=b|16;e=c[(c[e+36>>2]|0)+4>>2]|0}while((e|0)!=0)}else{c[b>>2]=c[b>>2]|16;e=c[(c[b+36>>2]|0)+12>>2]|0;if(!e)break;do{e=c[e+20>>2]|0;b=c[e>>2]|0;if(b&1)break f;c[e>>2]=b|16;e=c[(c[e+36>>2]|0)+12>>2]|0}while((e|0)!=0)}}while(0);m=m+1|0}while((m|0)!=(G|0))}q=q+1|0}while((q|0)!=(r|0))}}else d=0;G=c[y>>2]|0;n=y+16|0;F=c[n>>2]|0;c[F+(G*40|0)+32>>2]=G;G=G+1|0;c[F+(G*40|0)+32>>2]=G;bE(y,d);if((c[P>>2]|0)>0){m=0;do{f=c[E>>2]|0;d=f+(m*72|0)|0;j=+h[f+(m*72|0)+56>>3]-+h[f+(m*72|0)+40>>3];k=+h[f+(m*72|0)+64>>3]-+h[f+(m*72|0)+48>>3];g=(j+k)*.5+500.0;if((k+-3.0)*.5<2.0){G=(c[d>>2]&8|0)==0;l=G?16384.0:j;g=G?16384.0:g}else l=j;if((j+-3.0)*.5<2.0){G=(c[d>>2]&16|0)==0;k=G?16384.0:k;g=G?16384.0:g}b=f+(m*72|0)+36|0;d=c[b>>2]|0;e=c[d+8>>2]|0;if((e|0)!=0?(H=c[d+4>>2]|0,(H|0)!=0):0){G=eE(y,e,H,g)|0;F=f+(m*72|0)+4|0;d=c[F>>2]|0;c[F>>2]=d+1;c[f+(m*72|0)+8+(d<<2)>>2]=G;d=c[b>>2]|0}e=c[d+4>>2]|0;if((e|0)!=0?(I=c[d>>2]|0,(I|0)!=0):0){G=eE(y,e,I,g)|0;F=f+(m*72|0)+4|0;d=c[F>>2]|0;c[F>>2]=d+1;c[f+(m*72|0)+8+(d<<2)>>2]=G;d=c[b>>2]|0}e=c[d+8>>2]|0;if((e|0)!=0?(J=c[d+12>>2]|0,(J|0)!=0):0){G=eE(y,e,J,g)|0;F=f+(m*72|0)+4|0;d=c[F>>2]|0;c[F>>2]=d+1;c[f+(m*72|0)+8+(d<<2)>>2]=G;d=c[b>>2]|0}e=c[d+12>>2]|0;if((e|0)!=0?(K=c[d>>2]|0,(K|0)!=0):0){G=eE(y,e,K,g)|0;F=f+(m*72|0)+4|0;d=c[F>>2]|0;c[F>>2]=d+1;c[f+(m*72|0)+8+(d<<2)>>2]=G;d=c[b>>2]|0}e=c[d+4>>2]|0;if((e|0)!=0?(L=c[d+12>>2]|0,(L|0)!=0):0){G=eE(y,e,L,k)|0;F=f+(m*72|0)+4|0;d=c[F>>2]|0;c[F>>2]=d+1;c[f+(m*72|0)+8+(d<<2)>>2]=G;d=c[b>>2]|0}e=c[d+8>>2]|0;if((e|0)!=0?(M=c[d>>2]|0,(M|0)!=0):0){F=eE(y,e,M,l)|0;D=f+(m*72|0)+4|0;G=c[D>>2]|0;c[D>>2]=G+1;c[f+(m*72|0)+8+(G<<2)>>2]=F}m=m+1|0}while((m|0)<(c[P>>2]|0))}ds(v)|0;ds(w)|0;fQ(x);g:do if((c[y>>2]|0)>0){b=c[24809]|0;f=0;while(1){d=c[n>>2]|0;e=d+(f*40|0)+20|0;if((c[e>>2]|0)==0?(c[N>>2]=f,pO(b,179094,N)|0,(c[e>>2]|0)==0):0){d=98;break}d=d+(f*40|0)+24|0;if((c[d>>2]|0)==0?(c[O>>2]=f,pO(b,179146,O)|0,(c[d>>2]|0)==0):0){d=101;break}f=f+1|0;if((f|0)>=(c[y>>2]|0))break g}if((d|0)==98)Na(179116,179129,311,179136);else if((d|0)==101)Na(179168,179129,313,179136)}while(0);$D(y);c[P+16>>2]=y;i=Q;return P|0}function wG(a){a=a|0;var b=0,d=0;d=a+8|0;fQ(c[(c[d>>2]|0)+36>>2]|0);b=a+12|0;fQ(c[(c[b>>2]|0)+36>>2]|0);fQ(c[d>>2]|0);fQ(c[b>>2]|0);fE(c[a+16>>2]|0);ds(c[a+20>>2]|0)|0;ds(c[a+24>>2]|0)|0;fQ(a);return}function xG(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;h=Jb[c[d>>2]&63](d,e,512)|0;do if(!h){h=dE(b)|0;if(!f)Na(179507,179129,291,179514);else{b=c[h+32>>2]|0;i=f+(b<<5)|0;f=f+(b<<5)+8|0;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];c[f+12>>2]=c[e+12>>2];c[i>>2]=h;a[h+36>>0]=g;Jb[c[d>>2]&63](d,i,1)|0;break}}else i=h;while(0);return c[i>>2]|0}function yG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0;e=+h[b+8>>3];f=+h[c+8>>3];if(!(e>f))if(!(e<f)){f=+h[b>>3];e=+h[c>>3];if(f>e)a=1;else a=(f<e)<<31>>31}else a=-1;else a=1;return a|0}function zG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0;e=+h[b>>3];f=+h[c>>3];if(!(e>f))if(!(e<f)){f=+h[b+8>>3];e=+h[c+8>>3];if(f>e)a=1;else a=(f<e)<<31>>31}else a=-1;else a=1;return a|0}function AG(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0;u=i;i=i+32|0;m=u;t=b<<2;k=t+4|0;t=t+5|0;s=zz(t*56|0)|0;t=yz(t<<2)|0;n=k*5|1;p=zz(n*72|0)|0;r=n<<5;q=yz(r)|0;r=yz(r)|0;c[m>>2]=c[e>>2];c[m+4>>2]=c[e+4>>2];c[m+8>>2]=c[e+8>>2];c[m+12>>2]=c[e+12>>2];c[m+16>>2]=c[e+16>>2];c[m+20>>2]=c[e+20>>2];c[m+24>>2]=c[e+24>>2];c[m+28>>2]=c[e+28>>2];BG(a,b,m,s,0);ON(173);CG(k,t);IG(k,s,t,n,p)|0;o=DG(k,s,p,0,q)|0;c[m>>2]=c[e>>2];c[m+4>>2]=c[e+4>>2];c[m+8>>2]=c[e+8>>2];c[m+12>>2]=c[e+12>>2];c[m+16>>2]=c[e+16>>2];c[m+20>>2]=c[e+20>>2];c[m+24>>2]=c[e+24>>2];c[m+28>>2]=c[e+28>>2];BG(a,b,m,s,1);CG(k,t);IG(k,s,t,n,p)|0;k=DG(k,s,p,1,r)|0;n=yz(_(o<<5,k)|0)|0;if((k|0)>0){l=(o|0)>0;e=0;m=0;do{if(l){b=r+(m<<5)|0;f=r+(m<<5)+16|0;g=r+(m<<5)+8|0;j=r+(m<<5)+24|0;a=0;do{z=+h[b>>3];y=+h[q+(a<<5)>>3];y=z>y?z:y;z=+h[f>>3];x=+h[q+(a<<5)+16>>3];x=z<x?z:x;h[n+(e<<5)+16>>3]=x;h[n+(e<<5)>>3]=y;z=+h[g>>3];w=+h[q+(a<<5)+8>>3];w=z>w?z:w;z=+h[j>>3];v=+h[q+(a<<5)+24>>3];v=z<v?z:v;h[n+(e<<5)+24>>3]=v;h[n+(e<<5)+8>>3]=w;e=((y>=x|w>=v)&1^1)+e|0;a=a+1|0}while((a|0)!=(o|0))}m=m+1|0}while((m|0)!=(k|0))}else e=0;o=Bz(n,e<<5)|0;fQ(s);fQ(t);fQ(p);fQ(q);fQ(r);c[d>>2]=e;i=u;return o|0}function BG(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;w=i;i=i+64|0;v=w;j=+h[d>>3];l=+h[d+8>>3];m=+h[d+16>>3];g=+h[d+24>>3];h[v>>3]=j;s=v+8|0;h[s>>3]=l;t=v+32|0;h[t>>3]=m;u=v+40|0;h[u>>3]=g;o=v+16|0;h[o>>3]=m;p=v+24|0;h[p>>3]=l;q=v+48|0;h[q>>3]=j;r=v+56|0;h[r>>3]=g;n=(f|0)==0;if(!n){h[s>>3]=j;l=-l;h[v>>3]=l;h[p>>3]=m;h[o>>3]=l;h[u>>3]=m;m=-g;h[t>>3]=m;h[r>>3]=j;h[q>>3]=m}d=HG(e,1,v)|0;if((c|0)>0){f=0;do{x=b+(f*72|0)+40|0;a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];g=+h[k>>3];x=b+(f*72|0)+48|0;a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];j=+h[k>>3];x=b+(f*72|0)+56|0;a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];l=+h[k>>3];x=b+(f*72|0)+64|0;a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];m=+h[k>>3];h[v>>3]=g;h[s>>3]=j;h[t>>3]=l;h[u>>3]=m;h[o>>3]=g;h[p>>3]=m;h[q>>3]=l;h[r>>3]=j;if(!n){h[s>>3]=g;j=-j;h[v>>3]=j;h[p>>3]=g;m=-m;h[o>>3]=m;h[u>>3]=l;h[t>>3]=m;h[r>>3]=l;h[q>>3]=j}d=HG(e,d,v)|0;f=f+1|0}while((f|0)!=(c|0))}i=w;return}function CG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)>=0){d=0;while(1){c[b+(d<<2)>>2]=d;if((d|0)==(a|0))break;else d=d+1|0}if((a|0)>=1){a=a+1|0;e=1;do{d=~~(+(e|0)+ +(a-e|0)*+KN());if((d|0)!=(e|0)){g=b+(e<<2)|0;f=c[g>>2]|0;d=b+(d<<2)|0;c[g>>2]=c[d>>2];c[d>>2]=f}e=e+1|0}while((e|0)!=(a|0))}}return}function DG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0;j=(a*5|0)+1|0;o=yz(j<<2)|0;c[22993]=yz(j<<4)|0;c[22994]=yz((a*56|0)+56|0)|0;n=yz(a<<2)|0;c[22995]=n;if((a|0)>-1){g=0;a:do{i=c[d+(g*72|0)+4>>2]|0;do if((c[d+(g*72|0)+68>>2]|0)!=2?!((i|0)<1?1:(c[d+(g*72|0)>>2]|0)<1):0){if(!((c[d+(g*72|0)+40>>2]|0)<1?(c[d+(g*72|0)+44>>2]|0)<1:0)){if((c[d+(g*72|0)+48>>2]|0)>=1)break;if((c[d+(g*72|0)+52>>2]|0)>=1)break}l=+h[b+(i*56|0)+24>>3];m=+h[b+(i*56|0)+8>>3];if(l>m+1.0e-07)break a;if(!(l<m+-1.0e-07)?+h[b+(i*56|0)+16>>3]>+h[b+(i*56|0)>>3]:0)break a}while(0);g=g+1|0}while((g|0)<(j|0));if((a|0)<1)i=g;else{i=c[22993]|0;j=c[22994]|0;k=1;while(1){c[i+(k<<4)+8>>2]=c[b+(k*56|0)+48>>2];p=b+(k*56|0)+44|0;c[i+(k<<4)+4>>2]=c[p>>2];c[i+(k<<4)>>2]=k;q=j+(k*56|0)|0;r=b+(k*56|0)|0;c[q>>2]=c[r>>2];c[q+4>>2]=c[r+4>>2];c[q+8>>2]=c[r+8>>2];c[q+12>>2]=c[r+12>>2];c[j+(k*56|0)+16>>2]=c[p>>2];c[j+(k*56|0)+32>>2]=k;c[j+(k*56|0)+48>>2]=1;if((k|0)==(a|0)){i=g;break}else k=k+1|0}}}else i=0;c[22996]=a;c[22997]=0;c[n>>2]=1;g=c[d+(i*72|0)+40>>2]|0;if((g|0)<=0){g=c[d+(i*72|0)+48>>2]|0;if((g|0)>0)g=EG(o,f,0,b,d,0,i,g,e,2)|0;else g=0}else g=EG(o,f,0,b,d,0,i,g,e,1)|0;fQ(o);fQ(c[22993]|0);fQ(c[22994]|0);fQ(c[22995]|0);return g|0}function EG(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0;a:do if((i|0)>=1){B=(k|0)==0;z=j;A=i;while(1){w=f+(A*72|0)|0;j=a+(A<<2)|0;if(c[j>>2]|0)break a;c[j>>2]=1;u=f+(A*72|0)+8|0;s=f+(A*72|0)+16|0;o=+h[s>>3];v=f+(A*72|0)+24|0;m=f+(A*72|0)+32|0;n=+h[m>>3];if((o>n?(y=c[w>>2]|0,C=+h[e+(y*56|0)>>3],C==+h[e+(y*56|0)+16>>3]):0)?(y=c[f+(A*72|0)+4>>2]|0,F=+h[e+(y*56|0)>>3],F==+h[e+(y*56|0)+16>>3]):0){j=b+(d<<5)|0;if(B){h[j>>3]=C;q=o;o=F}else{h[j>>3]=n;q=-C;n=-F}h[b+(d<<5)+8>>3]=n;h[b+(d<<5)+16>>3]=o;h[b+(d<<5)+24>>3]=q;d=d+1|0}j=f+(A*72|0)+40|0;x=c[j>>2]|0;do if((x|0)<1?(H=f+(A*72|0)+44|0,(c[H>>2]|0)<1):0){j=f+(A*72|0)+48|0;m=f+(A*72|0)+52|0;if((c[j>>2]|0)>0?(I=c[m>>2]|0,(I|0)>0):0){i=c[f+(I*72|0)>>2]|0;l=c[w>>2]|0;if((I|0)==(z|0)){i=FG(g,l,i)|0;l=1;d=EG(a,b,d,e,f,g,c[m>>2]|0,A,k,1)|0;break}else{i=FG(g,i,l)|0;l=1;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,1)|0;j=m;break}}d=EG(a,b,d,e,f,g,x,A,k,2)|0;d=EG(a,b,d,e,f,g,c[H>>2]|0,A,k,2)|0;l=1;i=g;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,1)|0;j=m}else O=19;while(0);do if((O|0)==19){O=0;y=f+(A*72|0)+48|0;p=c[y>>2]|0;if((p|0)<1?(J=f+(A*72|0)+52|0,(c[J>>2]|0)<1):0){m=f+(A*72|0)+44|0;if((x|0)>0?(K=c[m>>2]|0,(K|0)>0):0){i=c[f+(A*72|0)+4>>2]|0;l=c[f+(x*72|0)+4>>2]|0;if((K|0)==(z|0)){i=FG(g,l,i)|0;l=2;d=EG(a,b,d,e,f,g,c[m>>2]|0,A,k,2)|0;break}else{i=FG(g,i,l)|0;l=2;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;j=m;break}}d=EG(a,b,d,e,f,g,x,A,k,2)|0;d=EG(a,b,d,e,f,g,c[m>>2]|0,A,k,2)|0;l=1;i=g;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;j=J;break}t=f+(A*72|0)+44|0;r=c[t>>2]|0;i=(r|0)>0;if((x|0)>0){if(i){if((p|0)>0?(L=f+(A*72|0)+52|0,M=c[L>>2]|0,(M|0)>0):0){m=c[f+(M*72|0)>>2]|0;i=c[f+(x*72|0)+4>>2]|0;if(!((l|0)==2&(M|0)==(z|0))?!((l|0)==1&(r|0)==(z|0)):0){z=FG(g,m,i)|0;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;l=1;i=z;d=EG(a,b,d,e,f,z,c[t>>2]|0,A,k,2)|0;j=L;break}z=FG(g,i,m)|0;d=EG(a,b,d,e,f,g,c[t>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[L>>2]|0,A,k,1)|0;l=1;i=z;d=EG(a,b,d,e,f,z,c[j>>2]|0,A,k,2)|0;j=y;break}i=c[w>>2]|0;if(+N(+(+h[m>>3]-+h[e+(i*56|0)+24>>3]))<=1.0e-07?+N(+(+h[v>>3]-+h[e+(i*56|0)+16>>3]))<=1.0e-07:0){m=c[f+(x*72|0)+4>>2]|0;i=c[e+(i*56|0)+44>>2]|0;if((l|0)==1&(x|0)==(z|0)){z=FG(g,i,m)|0;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,z,c[y>>2]|0,A,k,1)|0;l=1;i=z;d=EG(a,b,d,e,f,z,c[t>>2]|0,A,k,2)|0;j=f+(A*72|0)+52|0;break}else{i=FG(g,m,i)|0;d=EG(a,b,d,e,f,g,c[t>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;l=2;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+52>>2]|0,A,k,1)|0;break}}m=c[f+(A*72|0)+4>>2]|0;i=c[f+(x*72|0)+4>>2]|0;if((l|0)==1&(r|0)==(z|0)){z=FG(g,i,m)|0;d=EG(a,b,d,e,f,g,c[t>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,z,c[f+(A*72|0)+52>>2]|0,A,k,1)|0;l=2;i=z;d=EG(a,b,d,e,f,z,c[y>>2]|0,A,k,1)|0;break}else{i=FG(g,m,i)|0;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;l=2;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+52>>2]|0,A,k,1)|0;j=t;break}}}else if(!i)break a;if((p|0)>0?(D=f+(A*72|0)+52|0,E=c[D>>2]|0,(E|0)>0):0){m=c[w>>2]|0;if(+N(+(+h[s>>3]-+h[e+(m*56|0)+8>>3]))<=1.0e-07?+N(+(+h[u>>3]-+h[e+(m*56|0)>>3]))<=1.0e-07:0){i=c[f+(E*72|0)>>2]|0;if((l|0)==2&(p|0)==(z|0)){z=FG(g,i,m)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;d=EG(a,b,d,e,f,z,c[j>>2]|0,A,k,2)|0;l=1;i=z;d=EG(a,b,d,e,f,z,c[f+(A*72|0)+44>>2]|0,A,k,2)|0;j=D;break}else{i=FG(g,m,i)|0;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+44>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[D>>2]|0,A,k,1)|0;l=1;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;j=y;break}}i=c[f+(E*72|0)>>2]|0;m=c[e+((c[f+(A*72|0)+4>>2]|0)*56|0)+44>>2]|0;if((l|0)==2&(E|0)==(z|0)){z=FG(g,m,i)|0;d=EG(a,b,d,e,f,g,c[D>>2]|0,A,k,1)|0;d=EG(a,b,d,e,f,z,c[f+(A*72|0)+44>>2]|0,A,k,2)|0;l=1;i=z;d=EG(a,b,d,e,f,z,c[j>>2]|0,A,k,2)|0;j=y;break}else{i=FG(g,i,m)|0;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;l=1;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+44>>2]|0,A,k,2)|0;j=D;break}}n=+h[s>>3];p=c[w>>2]|0;if(((+N(+(n-+h[e+(p*56|0)+8>>3]))<=1.0e-07?+N(+(+h[u>>3]-+h[e+(p*56|0)>>3]))<=1.0e-07:0)?(G=c[f+(A*72|0)+4>>2]|0,+N(+(+h[m>>3]-+h[e+(G*56|0)+8>>3]))<=1.0e-07):0)?+N(+(+h[v>>3]-+h[e+(G*56|0)>>3]))<=1.0e-07:0)if((l|0)==1){z=FG(g,p,G)|0;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+44>>2]|0,A,k,2)|0;l=1;i=z;d=EG(a,b,d,e,f,z,c[f+(A*72|0)+52>>2]|0,A,k,1)|0;j=y;break}else{z=FG(g,G,p)|0;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+52>>2]|0,A,k,1)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;l=2;i=z;d=EG(a,b,d,e,f,z,c[j>>2]|0,A,k,2)|0;j=f+(A*72|0)+44|0;break}i=c[f+(A*72|0)+4>>2]|0;if(((+N(+(n-+h[e+(i*56|0)+24>>3]))<=1.0e-07?+N(+(+h[u>>3]-+h[e+(i*56|0)+16>>3]))<=1.0e-07:0)?+N(+(+h[m>>3]-+h[e+(p*56|0)+24>>3]))<=1.0e-07:0)?+N(+(+h[v>>3]-+h[e+(p*56|0)+16>>3]))<=1.0e-07:0){m=c[e+(i*56|0)+44>>2]|0;i=c[e+(p*56|0)+44>>2]|0;if((l|0)==1){z=FG(g,i,m)|0;d=EG(a,b,d,e,f,g,c[j>>2]|0,A,k,2)|0;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+44>>2]|0,A,k,2)|0;l=1;i=z;d=EG(a,b,d,e,f,z,c[f+(A*72|0)+52>>2]|0,A,k,1)|0;j=y;break}else{z=FG(g,m,i)|0;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+52>>2]|0,A,k,1)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;l=2;i=z;d=EG(a,b,d,e,f,z,c[j>>2]|0,A,k,2)|0;j=f+(A*72|0)+44|0;break}}d=EG(a,b,d,e,f,g,x,A,k,2)|0;d=EG(a,b,d,e,f,g,c[y>>2]|0,A,k,1)|0;l=1;i=g;d=EG(a,b,d,e,f,g,c[f+(A*72|0)+44>>2]|0,A,k,2)|0;j=f+(A*72|0)+52|0}while(0);j=c[j>>2]|0;if((j|0)<1)break;else{z=A;g=i;A=j}}}while(0);return d|0}function FG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,h=0.0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;n=(c[22997]|0)+1|0;c[22997]=n;o=c[22994]|0;l=o+(b*56|0)|0;m=o+(d*56|0)|0;g=-4.0;i=0;f=0;while(1){e=c[o+(b*56|0)+16+(i<<2)>>2]|0;if((e|0)>=1?(h=+GG(l,o+(e*56|0)|0,m),h>g):0){g=h;e=i}else e=f;i=i+1|0;if((i|0)==4){j=e;break}else f=e}g=-4.0;i=0;e=0;do{f=c[o+(d*56|0)+16+(i<<2)>>2]|0;if((f|0)>=1?(k=+GG(m,o+(f*56|0)|0,l),k>g):0){g=k;e=i}i=i+1|0}while((i|0)!=4);l=c[o+(b*56|0)+32+(j<<2)>>2]|0;i=c[o+(d*56|0)+32+(e<<2)>>2]|0;p=c[22996]|0;m=p+1|0;p=p+2|0;c[22996]=p;s=c[22993]|0;c[s+(m<<4)>>2]=b;c[s+(p<<4)>>2]=d;q=s+(l<<4)+4|0;r=s+(m<<4)+4|0;c[r>>2]=c[q>>2];c[s+(c[q>>2]<<4)+8>>2]=m;c[s+(m<<4)+8>>2]=p;c[s+(p<<4)+4>>2]=m;f=s+(i<<4)+8|0;c[s+(p<<4)+8>>2]=c[f>>2];c[s+(c[f>>2]<<4)+4>>2]=p;c[q>>2]=i;c[f>>2]=l;f=o+(b*56|0)+48|0;q=c[f>>2]|0;i=o+(d*56|0)+48|0;e=c[i>>2]|0;c[o+(b*56|0)+16+(j<<2)>>2]=d;c[o+(b*56|0)+32+(q<<2)>>2]=m;c[o+(b*56|0)+16+(q<<2)>>2]=c[s+(c[r>>2]<<4)>>2];c[o+(d*56|0)+32+(e<<2)>>2]=p;c[o+(d*56|0)+16+(e<<2)>>2]=b;c[f>>2]=(c[f>>2]|0)+1;c[i>>2]=(c[i>>2]|0)+1;d=c[22995]|0;c[d+(a<<2)>>2]=l;c[d+(n<<2)>>2]=m;return n|0}function GG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,i=0.0;g=+h[a>>3];i=+h[b>>3]-g;d=+h[a+8>>3];f=+h[b+8>>3]-d;g=+h[c>>3]-g;d=+h[c+8>>3]-d;e=i*g+f*d;if(!(i*d-f*g>=0.0))d=-e/+O(+(i*i+f*f))/+O(+(g*g+d*d))+-2.0;else d=e/+O(+(i*i+f*f))/+O(+(g*g+d*d));return +d}function HG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=b+3|0;f=b+1|0;g=b+2|0;h=a+(b*56|0)+44|0;i=a+(b*56|0)+48|0;j=a+(e*56|0)+44|0;k=a+(e*56|0)+48|0;l=b;m=0;while(1){do if((l|0)!=(b|0))if((l|0)==(e|0)){c[j>>2]=b;c[k>>2]=g;break}else{c[a+(l*56|0)+44>>2]=l+1;c[a+(l*56|0)+48>>2]=l+-1;break}else{c[h>>2]=f;c[i>>2]=e}while(0);c[a+(l*56|0)+32>>2]=0;o=a+((c[a+(l*56|0)+48>>2]|0)*56|0)+16|0;p=a+(l*56|0)|0;n=d+(m<<4)|0;c[p>>2]=c[n>>2];c[p+4>>2]=c[n+4>>2];c[p+8>>2]=c[n+8>>2];c[p+12>>2]=c[n+12>>2];sQ(o|0,n|0,16)|0;m=m+1|0;if((m|0)==4)break;else l=l+1|0}return b+4|0}function IG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c[22998]=e<<1;c[22999]=e;s=yz(e*80|0)|0;c[23e3]=1;c[23001]=1;tQ(f|0,0,e*72|0)|0;p=c[d+4>>2]|0;r=JG()|0;c[s+(r*40|0)>>2]=2;q=s+(r*40|0)+8|0;o=b+(p*56|0)|0;n=b+(p*56|0)+16|0;g=b+(p*56|0)+8|0;i=+h[g>>3];j=b+(p*56|0)+24|0;k=+h[j>>3];do if(!(i>k+1.0e-07)){if(!(+N(+(i-k))<=1.0e-07)){c[q>>2]=c[n>>2];c[q+4>>2]=c[n+4>>2];c[q+8>>2]=c[n+8>>2];c[q+12>>2]=c[n+12>>2];break}if(+h[o>>3]>+h[n>>3]+1.0e-07){c[q>>2]=c[o>>2];c[q+4>>2]=c[o+4>>2];c[q+8>>2]=c[o+8>>2];c[q+12>>2]=c[o+12>>2];break}else{c[q>>2]=c[n>>2];c[q+4>>2]=c[n+4>>2];c[q+8>>2]=c[n+8>>2];c[q+12>>2]=c[n+12>>2];break}}else{c[q>>2]=c[o>>2];c[q+4>>2]=c[o+4>>2];c[q+8>>2]=c[o+8>>2];c[q+12>>2]=c[o+12>>2]}while(0);l=JG()|0;c[s+(r*40|0)+36>>2]=l;c[s+(l*40|0)>>2]=3;c[s+(l*40|0)+28>>2]=r;m=JG()|0;c[s+(r*40|0)+32>>2]=m;c[s+(m*40|0)>>2]=2;e=s+(m*40|0)+8|0;k=+h[g>>3];i=+h[j>>3];do if(!(k<i+-1.0e-07)){if(!(+N(+(k-i))<=1.0e-07)){c[e>>2]=c[n>>2];c[e+4>>2]=c[n+4>>2];c[e+8>>2]=c[n+8>>2];c[e+12>>2]=c[n+12>>2];break}if(+h[o>>3]<+h[n>>3]){c[e>>2]=c[o>>2];c[e+4>>2]=c[o+4>>2];c[e+8>>2]=c[o+8>>2];c[e+12>>2]=c[o+12>>2];break}else{c[e>>2]=c[n>>2];c[e+4>>2]=c[n+4>>2];c[e+8>>2]=c[n+8>>2];c[e+12>>2]=c[n+12>>2];break}}else{c[e>>2]=c[o>>2];c[e+4>>2]=c[o+4>>2];c[e+8>>2]=c[o+8>>2];c[e+12>>2]=c[o+12>>2]}while(0);c[s+(m*40|0)+28>>2]=r;g=JG()|0;c[s+(m*40|0)+32>>2]=g;c[s+(g*40|0)>>2]=3;c[s+(g*40|0)+28>>2]=m;j=JG()|0;c[s+(m*40|0)+36>>2]=j;c[s+(j*40|0)>>2]=1;c[s+(j*40|0)+4>>2]=p;c[s+(j*40|0)+28>>2]=m;o=JG()|0;c[s+(j*40|0)+32>>2]=o;c[s+(o*40|0)>>2]=3;c[s+(o*40|0)+28>>2]=j;n=JG()|0;c[s+(j*40|0)+36>>2]=n;c[s+(n*40|0)>>2]=3;c[s+(n*40|0)+28>>2]=j;j=KG(f)|0;m=KG(f)|0;t=KG(f)|0;u=KG(f)|0;v=f+(j*72|0)+8|0;w=f+(m*72|0)+8|0;x=f+(u*72|0)+24|0;c[x>>2]=c[q>>2];c[x+4>>2]=c[q+4>>2];c[x+8>>2]=c[q+8>>2];c[x+12>>2]=c[q+12>>2];sQ(w|0,q|0,16)|0;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];c[v+12>>2]=c[w+12>>2];q=f+(j*72|0)+24|0;v=f+(m*72|0)+24|0;w=f+(t*72|0)+8|0;c[w>>2]=c[e>>2];c[w+4>>2]=c[e+4>>2];c[w+8>>2]=c[e+8>>2];c[w+12>>2]=c[e+12>>2];sQ(v|0,e|0,16)|0;c[q>>2]=c[v>>2];c[q+4>>2]=c[v+4>>2];c[q+8>>2]=c[v+8>>2];c[q+12>>2]=c[v+12>>2];h[f+(u*72|0)+16>>3]=1073741824.0;h[f+(u*72|0)+8>>3]=1073741824.0;h[f+(t*72|0)+32>>3]=-1073741824.0;h[f+(t*72|0)+24>>3]=-1073741824.0;c[f+(m*72|0)>>2]=p;c[f+(j*72|0)+4>>2]=p;c[f+(m*72|0)+40>>2]=u;c[f+(j*72|0)+40>>2]=u;c[f+(m*72|0)+48>>2]=t;c[f+(j*72|0)+48>>2]=t;c[f+(t*72|0)+40>>2]=j;c[f+(u*72|0)+48>>2]=j;c[f+(t*72|0)+44>>2]=m;c[f+(u*72|0)+52>>2]=m;c[f+(j*72|0)+56>>2]=o;c[f+(m*72|0)+56>>2]=n;c[f+(t*72|0)+56>>2]=g;c[f+(u*72|0)+56>>2]=l;c[f+(m*72|0)+68>>2]=1;c[f+(j*72|0)+68>>2]=1;c[f+(u*72|0)+68>>2]=1;c[f+(t*72|0)+68>>2]=1;c[s+(l*40|0)+24>>2]=u;c[s+(g*40|0)+24>>2]=t;c[s+(o*40|0)+24>>2]=j;c[s+(n*40|0)+24>>2]=m;c[b+(p*56|0)+32>>2]=1;n=(a|0)<1;m=a+1|0;if(!n){e=1;do{c[b+(e*56|0)+40>>2]=r;c[b+(e*56|0)+36>>2]=r;e=e+1|0}while((e|0)!=(m|0))}k=+(a|0);l=1;e=2;while(1){if(n)g=-1;else{g=0;i=k;while(1){i=+yN(i);if(!(i>=1.0))break;else g=g+1|0}}if((l|0)>(g|0))break;g=l+-1|0;if((l|0)>1){j=0;i=k;do{i=+yN(i);j=j+1|0}while((j|0)!=(g|0))}else i=k;j=~~+Z(+(k/i));while(1){g=0;i=k;do{i=+yN(i);g=g+1|0}while((g|0)!=(l|0));if((j|0)>=(~~+Z(+(k/i))|0))break;LG(c[d+(e<<2)>>2]|0,b,f,s);j=j+1|0;e=e+1|0}if(!n){g=1;do{if(!(c[b+(g*56|0)+32>>2]|0)){w=b+(g*56|0)|0;v=b+(g*56|0)+16|0;x=b+(g*56|0)+36|0;c[x>>2]=c[f+((MG(w,v,c[x>>2]|0,b,s)|0)*72|0)+56>>2];x=b+(g*56|0)+40|0;c[x>>2]=c[f+((MG(v,w,c[x>>2]|0,b,s)|0)*72|0)+56>>2]}g=g+1|0}while((g|0)!=(m|0))}l=l+1|0}if(!n){g=0;i=k;while(1){i=+yN(i);if(!(i>=1.0))break;else g=g+1|0}if((g|0)>0){j=0;i=k;do{i=+yN(i);j=j+1|0}while((j|0)!=(g|0))}else i=k}else i=k;g=~~+Z(+(k/i));if((g|0)<(a|0)){g=e+a-g|0;do{LG(c[d+(e<<2)>>2]|0,b,f,s);e=e+1|0}while((e|0)!=(g|0))}fQ(s);return c[23e3]|0}function JG(){var a=0;a=c[23001]|0;if((a|0)<(c[22998]|0)){c[23001]=a+1;return a|0}else{AO(179656,30,1,c[24809]|0)|0;Na(179560,179562,72,179687)}return 0}function KG(a){a=a|0;var b=0,d=0,e=0;e=i;i=i+16|0;d=e;b=c[23e3]|0;if((b|0)<(c[22999]|0)){c[a+(b*72|0)>>2]=-1;c[a+((c[23e3]|0)*72|0)+4>>2]=-1;c[a+((c[23e3]|0)*72|0)+68>>2]=1;d=c[23e3]|0;c[23e3]=d+1;i=e;return d|0}else{e=c[24809]|0;c[d>>2]=b;pO(e,179610,d)|0;Na(179560,179562,88,179648)}return 0}
function it(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;k=i;i=i+48|0;j=k;g=(c[b>>2]&3|0)==3;h=g?b+-48|0:b;g=g?b:b+48|0;d=c[g+40>>2]|0;f=c[h+40>>2]|0;if((c[d+24>>2]|0)==(a|0))d=d+28|0;else{c[j+16>>2]=d;d=c[a+40>>2]|0;d=Jb[c[d>>2]&63](d,j,4)|0}b=a+44|0;l=c[b>>2]|0;e=d+32|0;is(l,c[e>>2]|0)|0;Jb[c[l>>2]&63](l,h,2)|0;c[e>>2]=es(l)|0;e=a+48|0;l=c[e>>2]|0;d=d+24|0;is(l,c[d>>2]|0)|0;Jb[c[l>>2]&63](l,h,2)|0;c[d>>2]=es(l)|0;if((c[f+24>>2]|0)==(a|0))d=f+28|0;else{c[j+16>>2]=f;d=c[a+40>>2]|0;d=Jb[c[d>>2]&63](d,j,4)|0}l=c[b>>2]|0;a=d+28|0;is(l,c[a>>2]|0)|0;Jb[c[l>>2]&63](l,g,2)|0;c[a>>2]=es(l)|0;a=c[e>>2]|0;l=d+20|0;is(a,c[l>>2]|0)|0;Jb[c[a>>2]&63](a,g,2)|0;c[l>>2]=es(a)|0;i=k;return}function jt(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e;d=(c[d>>2]&3|0)==2?d:d+-48|0;g=c[d>>2]&3;h=c[((g|0)==3?d:d+48|0)+40>>2]|0;g=c[((g|0)==2?d:d+-48|0)+40>>2]|0;c[f>>2]=c[d>>2];c[f+4>>2]=c[d+4>>2];c[f+8>>2]=c[d+8>>2];c[f+12>>2]=c[d+12>>2];if(nt(b,h,g,f)|0){if((yu(b)|0)==(b|0)){if(a[b+24>>0]&64)Ps(d);Du(b,d);Su(d);h=d+8|0;Et(b,2,c[h>>2]|0,c[h+4>>2]|0)}if(!(Wv(b,d,59,0,0)|0))if((yu(b)|0)==(b|0)){bu(b,d);d=0}else d=0;else d=-1}else d=-1;i=e;return d|0}function kt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;h=i;i=i+16|0;e=h;g=lu(a,c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0,d)|0;f=lu(a,c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0,d)|0;do if((g|0)!=0&(f|0)!=0){c[e>>2]=c[b>>2];c[e+4>>2]=c[b+4>>2];c[e+8>>2]=c[b+8>>2];c[e+12>>2]=c[b+12>>2];e=nt(a,g,f,e)|0;f=(e|0)==0;if(!((d|0)!=0&f)){if(f){e=0;break}}else{pt(a,b);e=b}f=c[e>>2]&3;if((f|0)!=(c[b>>2]&3|0))e=(f|0)==3?e+-48|0:e+48|0}else e=0;while(0);i=h;return e|0}function lt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;g=(c[b+40>>2]|0)+8|0;f=c[g>>2]|0;g=c[g+4>>2]|0;e=(c[d+40>>2]|0)+8|0;a=c[e>>2]|0;e=c[e+4>>2]|0;do if(!(g>>>0<e>>>0|(g|0)==(e|0)&f>>>0<a>>>0))if(g>>>0>e>>>0|(g|0)==(e|0)&f>>>0>a>>>0)a=1;else{e=b+8|0;a=c[e>>2]|0;e=c[e+4>>2]|0;if(!((a|0)==0&(e|0)==0)?(i=d+8|0,h=c[i>>2]|0,i=c[i+4>>2]|0,!((h|0)==0&(i|0)==0)):0){if(e>>>0<i>>>0|(e|0)==(i|0)&a>>>0<h>>>0){a=-1;break}if(e>>>0>i>>>0|(e|0)==(i|0)&a>>>0>h>>>0){a=1;break}}a=0}else a=-1;while(0);return a|0}function mt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;a=c[b+40>>2]|0;f=c[d+40>>2]|0;if((a|0)==(f|0)){e=(c[b>>2]|0)>>>4;a=(c[d>>2]|0)>>>4;if(e>>>0>=a>>>0)if(e>>>0>a>>>0)a=1;else g=6;else a=-1}else{e=(c[a>>2]|0)>>>4;a=(c[f>>2]|0)>>>4;if(e>>>0>=a>>>0)if(e>>>0>a>>>0)a=1;else g=6;else a=-1}if((g|0)==6)a=0;return a|0}function nt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=i;i=i+96|0;f=h+48|0;g=h;do if((b|0)==0|(d|0)==0)d=0;else{c[g>>2]=c[e>>2];c[g+4>>2]=c[e+4>>2];c[g+8>>2]=c[e+8>>2];c[g+12>>2]=c[e+12>>2];c[g+40>>2]=b;if((c[d+24>>2]|0)!=(a|0)){c[f+16>>2]=d;d=c[a+40>>2]|0;d=Jb[c[d>>2]&63](d,f,4)|0;if(!d){d=0;break}}else d=d+28|0;f=a+48|0;a=d+20|0;is(c[f>>2]|0,c[a>>2]|0)|0;d=c[f>>2]|0;d=Jb[c[d>>2]&63](d,g,4)|0;c[a>>2]=es(c[f>>2]|0)|0}while(0);i=h;return d|0}function ot(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=i;i=i+32|0;g=h+16|0;f=h;if((At(b)|0)!=0?(c[f>>2]=0,c[f+4>>2]=0,c[f+8>>2]=0,c[f+12>>2]=0,c[g>>2]=c[f>>2],c[g+4>>2]=c[f+4>>2],c[g+8>>2]=c[f+8>>2],c[g+12>>2]=c[f+12>>2],(nt(b,d,e,g)|0)!=0):0){i=h;return 0}i=h;return (d|0)==(e|0)&(a[b+24>>0]&4)!=0&1^1|0}function pt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;s=i;i=i+48|0;g=s;q=c[b>>2]&3;p=(q|0)==2?b:b+-48|0;q=(q|0)==3?b:b+48|0;r=c[q+40>>2]|0;h=c[p+40>>2]|0;a:do if(a){j=r+24|0;k=r+28|0;l=h+24|0;m=h+28|0;n=g+16|0;o=g+16|0;do{c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];if(nt(a,r,h,g)|0)break a;if((c[j>>2]|0)==(a|0))d=k;else{c[o>>2]=r;d=c[a+40>>2]|0;d=Jb[c[d>>2]&63](d,g,4)|0}e=a+44|0;t=c[e>>2]|0;f=d+32|0;is(t,c[f>>2]|0)|0;Jb[c[t>>2]&63](t,p,1)|0;c[f>>2]=es(t)|0;f=a+48|0;t=c[f>>2]|0;d=d+24|0;is(t,c[d>>2]|0)|0;Jb[c[t>>2]&63](t,p,1)|0;c[d>>2]=es(t)|0;if((c[l>>2]|0)==(a|0))d=m;else{c[n>>2]=h;d=c[a+40>>2]|0;d=Jb[c[d>>2]&63](d,g,4)|0}e=c[e>>2]|0;t=d+28|0;is(e,c[t>>2]|0)|0;Jb[c[e>>2]&63](e,q,1)|0;c[t>>2]=es(e)|0;f=c[f>>2]|0;t=d+20|0;is(f,c[t>>2]|0)|0;Jb[c[f>>2]&63](f,q,1)|0;c[t>>2]=es(f)|0;a=uv(a)|0}while((a|0)!=0)}while(0);i=s;return}function qt(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;lu(b,d,1)|0;lu(b,e,1)|0;h=au(b,96)|0;i=h+48|0;l=tt(b,2)|0;j=c[i>>2]|0;k=c[h>>2]|0;m=h+8|0;c[m>>2]=f;c[m+4>>2]=g;m=h+56|0;c[m>>2]=f;c[m+4>>2]=g;g=l<<4;c[h>>2]=k&12|g|2;c[i>>2]=j&12|g|3;c[h+88>>2]=d;c[h+40>>2]=e;pt(b,h);if(a[b+24>>0]&64){Ou(h,c[13120]|0,16,0)|0;Os(b,h)}zu(b,h);return h|0}function rt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;l=m;f=(e|0)!=0;if(f){g=c[e>>2]|0;g=(g|0)==0?52828:g}else g=52828;h=Hb[c[g>>2]&63](e)|0;j=g+4|0;k=Qb[c[j>>2]&127](h,80)|0;c[k>>2]=g;c[k+12>>2]=h;if(f){f=c[e+4>>2]|0;c[k+4>>2]=(f|0)==0?52704:f;f=c[e+8>>2]|0;f=(f|0)==0?52804:f}else{c[k+4>>2]=52704;f=52804}c[k+8>>2]=f;a[k+52>>0]=1;f=Qb[c[j>>2]&127](h,72)|0;c[f>>2]=c[f>>2]&-4;j=f+64|0;c[j>>2]=k;h=f+24|0;d=c[d>>2]|0;c[h>>2]=d;a[h>>0]=d&255|8;c[f+60>>2]=f;d=Qb[c[c[k+4>>2]>>2]&127](f,e)|0;c[(c[j>>2]|0)+16>>2]=d;if(Ct(f,0,b,l,1)|0){d=l;l=c[d+4>>2]|0;b=f+8|0;c[b>>2]=c[d>>2];c[b+4>>2]=l}b=st(f)|0;Gt(b,0,b);i=m;return b|0}function st(b){b=b|0;var d=0,e=0,f=0;c[b+36>>2]=zv(b,52884,c[13098]|0)|0;c[b+40>>2]=zv(b,52848,c[13098]|0)|0;d=(yu(b)|0)==(b|0);c[b+44>>2]=zv(b,d?52492:52528,c[13098]|0)|0;d=(yu(b)|0)==(b|0);c[b+48>>2]=zv(b,d?52564:52600,c[13098]|0)|0;c[b+52>>2]=zv(b,52636,c[13098]|0)|0;d=uv(b)|0;if(!((d|0)!=0?(f=(c[d+64>>2]|0)+24|0,e=f,e=mQ(c[e>>2]|0,c[e+4>>2]|0,1,0)|0,f,c[f>>2]=e,c[f+4>>2]=C,c[b>>2]=e<<4|c[b>>2]&15,e=c[d+52>>2]|0,Jb[c[e>>2]&63](e,b,1)|0,(a[d+24>>0]&64)==0):0))Ks(b);zu(b,b);return b|0}function tt(a,b){a=a|0;b=b|0;var d=0;d=(c[a+64>>2]|0)+24+(b<<3)|0;b=d;b=mQ(c[b>>2]|0,c[b+4>>2]|0,1,0)|0;a=C;c[d>>2]=b;c[d+4>>2]=a;C=a;return b|0}function ut(b){b=b|0;var d=0,e=0,f=0,g=0;f=uv(b)|0;g=(f|0)==0;if(g?(d=b+64|0,(c[(c[c[d>>2]>>2]|0)+16>>2]|0)!=0):0){Du(b,b);g=b+8|0;Et(b,0,c[g>>2]|0,c[g+4>>2]|0);d=c[d>>2]|0;Db[c[(c[d>>2]|0)+16>>2]&127](c[d+12>>2]|0);d=0}else e=4;do if((e|0)==4){d=sv(b)|0;if(d)do{e=d;d=tv(d)|0;ut(e)|0}while((d|0)!=0);d=gu(b)|0;if(d)do{e=d;d=hu(b,d)|0;ou(b,e)|0}while((d|0)!=0);Tt(b);Du(b,b);if(((((Bv(b,c[b+40>>2]|0)|0)==0?(Bv(b,c[b+36>>2]|0)|0)==0:0)?(Bv(b,c[b+48>>2]|0)|0)==0:0)?(Bv(b,c[b+44>>2]|0)|0)==0:0)?(Bv(b,c[b+52>>2]|0)|0)==0:0){if((a[b+24>>0]&64)!=0?(Ls(b)|0)!=0:0){d=-1;break}Su(b);e=b+8|0;Et(b,0,c[e>>2]|0,c[e+4>>2]|0);if(!g){vv(f,b)|0;bu(f,b);d=0;break}f=b+64|0;d=c[f>>2]|0;e=c[d+48>>2]|0;if(e)do{Gu(b,c[e>>2]|0)|0;d=c[f>>2]|0;e=c[d+48>>2]|0}while((e|0)!=0);Db[c[(c[d+4>>2]|0)+20>>2]&127](c[d+16>>2]|0);if(!(Xu(b)|0)){d=c[f>>2]|0;g=c[d+12>>2]|0;f=(c[d>>2]|0)+12|0;Fb[c[f>>2]&63](g,b);Fb[c[f>>2]&63](g,d);d=0}else d=-1}else d=-1}while(0);return d|0}function vt(a){a=a|0;return js(c[a+40>>2]|0)|0}function wt(a){a=a|0;var b=0,c=0;b=gu(a)|0;if(!b)b=0;else{c=b;b=0;do{b=(xt(a,c,0,1)|0)+b|0;c=hu(a,c)|0}while((c|0)!=0)}return b|0}function xt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=bt(a,b)|0;if(f){if(!e)b=0;else{g=c[a+44>>2]|0;e=f+32|0;is(g,c[e>>2]|0)|0;b=js(g)|0;c[e>>2]=es(g)|0}if(d){a=c[a+44>>2]|0;d=f+28|0;is(a,c[d>>2]|0)|0;g=js(a)|0;c[d>>2]=es(a)|0;b=g+b|0}}else b=0;return b|0}function yt(b){b=b|0;return a[b+24>>0]&1|0}function zt(b){b=b|0;return (a[b+24>>0]&1^1)&255|0}function At(a){a=a|0;return (d[a+24>>0]|0)>>>1&1|0}function Bt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=b+8|0;e=d+8|0;e=lQ(c[a>>2]|0,c[a+4>>2]|0,c[e>>2]|0,c[e+4>>2]|0)|0;return ((e|0)==0?0:e>>31|1)|0}function Ct(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;i=(e|0)!=0;do if(i){if((a[e>>0]|0)!=37?(h=c[b+64>>2]|0,h=Ib[c[(c[h+4>>2]|0)+4>>2]&63](c[h+16>>2]|0,d,e,f,g)|0,(h|0)!=0):0)break;h=Ot(b,d,e,f)|0;if(!h)j=5}else j=5;while(0);if((j|0)==5)if(g){h=c[b+64>>2]|0;h=Ib[c[(c[h+4>>2]|0)+4>>2]&63](c[h+16>>2]|0,d,0,f,g)|0;if(i&(h|0)!=0){j=f;Pt(b,d,e,c[j>>2]|0,c[j+4>>2]|0)}}else h=0;return h|0}function Dt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=c[a+64>>2]|0;return Ub[c[(c[a+4>>2]|0)+8>>2]&127](c[a+16>>2]|0,b,d,e)|0}function Et(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;Rt(a,b,d,e)|0;a=c[a+64>>2]|0;Zb[c[(c[a+4>>2]|0)+12>>2]&31](c[a+16>>2]|0,b,d,e);return}function Ft(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;g=h;d=xu(a)|0;f=a+8|0;b=f;b=Qt(d,c[a>>2]&3,c[b>>2]|0,c[b+4>>2]|0)|0;do if(!b){b=c[d+64>>2]|0;d=c[(c[b+4>>2]|0)+16>>2]|0;if((d|0)!=0?(e=f,e=Ub[d&127](c[b+16>>2]|0,c[a>>2]&3,c[e>>2]|0,c[e+4>>2]|0)|0,(e|0)!=0):0){b=e;break}if((c[a>>2]&3|0)==2)b=0;else{a=f;f=c[a>>2]|0;a=c[a+4>>2]|0;c[g>>2]=37;b=g+8|0;c[b>>2]=f;c[b+4>>2]=a;DO(137238,137270,g)|0;b=137238}}while(0);i=h;return b|0}function Gt(a,b,d){a=a|0;b=b|0;d=d|0;a=c[a+64>>2]|0;Vb[c[(c[a+4>>2]|0)+24>>2]&127](c[a+16>>2]|0,b,d);return}function Ht(a,b){a=a|0;b=b|0;return a|0}function It(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;if(!d){b=33912;a=c[b+4>>2]|0;d=e;c[d>>2]=c[b>>2];c[d+4>>2]=a;d=33912;d=mQ(c[d>>2]|0,c[d+4>>2]|0,2,0)|0;e=33912;c[e>>2]=d;c[e+4>>2]=C}else{if(!f)f=Yu(a,d)|0;else f=Zu(a,d)|0;c[e>>2]=f;c[e+4>>2]=0}return 1}function Jt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return 0}function Kt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((c&1|0)==0&0==0)$u(a,c)|0;return}function Lt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ((c&1|0)==0&0==0?c:0)|0}function Mt(a){a=a|0;return}function Nt(a,b,c){a=a|0;b=b|0;c=c|0;return}function Ot(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=i;i=i+32|0;h=j;b=c[(c[a+64>>2]|0)+56+(((b|0)==3?2:b)<<2)>>2]|0;if(((b|0)!=0?(g=Yu(a,d)|0,(g|0)!=0):0)?(c[h+24>>2]=g,f=Jb[c[b>>2]&63](b,h,4)|0,(f|0)!=0):0){d=f+16|0;h=c[d+4>>2]|0;b=e;c[b>>2]=c[d>>2];c[b+4>>2]=h;b=1}else b=0;i=j;return b|0}function Pt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=au(a,32)|0;h=g+16|0;c[h>>2]=e;c[h+4>>2]=f;c[g+24>>2]=Zu(a,d)|0;b=(b|0)==3?2:b;d=a+64|0;e=c[d>>2]|0;f=c[e+56+(b<<2)>>2]|0;if(!f){f=zv(a,52732,c[13098]|0)|0;c[(c[d>>2]|0)+56+(b<<2)>>2]=f;e=c[d>>2]|0}e=c[e+68+(b<<2)>>2]|0;if(!e){e=zv(a,52768,c[13098]|0)|0;c[(c[d>>2]|0)+68+(b<<2)>>2]=e}Jb[c[f>>2]&63](f,g,1)|0;Jb[c[e>>2]&63](e,g,1)|0;return}function Qt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=i;i=i+32|0;g=h;a=c[(c[a+64>>2]|0)+68+(((b|0)==3?2:b)<<2)>>2]|0;if((a|0)!=0?(f=g+16|0,c[f>>2]=d,c[f+4>>2]=e,f=Jb[c[a>>2]&63](a,g,4)|0,(f|0)!=0):0)a=c[f+24>>2]|0;else a=0;i=h;return a|0}function Rt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;k=i;i=i+32|0;j=k;b=(b|0)==3?2:b;f=a+64|0;g=c[(c[f>>2]|0)+68+(b<<2)>>2]|0;if((g|0)!=0?(h=j+16|0,c[h>>2]=d,c[h+4>>2]=e,h=Jb[c[g>>2]&63](g,j,4)|0,(h|0)!=0):0){j=c[(c[f>>2]|0)+56+(b<<2)>>2]|0;Jb[c[j>>2]&63](j,h,2)|0;b=c[(c[f>>2]|0)+68+(b<<2)>>2]|0;Jb[c[b>>2]&63](b,h,2)|0;$u(a,c[h+24>>2]|0)|0;bu(a,h);b=1}else b=0;i=k;return b|0}function St(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;c[13175]=b;f=c[b+64>>2]|0;i=0;do{g=f+56+(i<<2)|0;d=c[g>>2]|0;if((d|0)!=0?(h=Jb[c[d>>2]&63](d,0,128)|0,(h|0)!=0):0){d=h;do{j=c[g>>2]|0;e=d;d=Jb[c[j>>2]&63](j,d,8)|0;if((a[c[e+24>>2]>>0]|0)==37){j=e+16|0;Rt(b,i,c[j>>2]|0,c[j+4>>2]|0)|0}}while((d|0)!=0)}i=i+1|0}while((i|0)!=3);return}function Tt(a){a=a|0;c[13175]=a;a=a+64|0;Ut((c[a>>2]|0)+56|0);Ut((c[a>>2]|0)+68|0);return}function Ut(a){a=a|0;var b=0,d=0;b=c[a>>2]|0;if(b){ds(b)|0;c[a>>2]=0}b=a+4|0;d=c[b>>2]|0;if(d){ds(d)|0;c[b>>2]=0}b=a+8|0;d=c[b>>2]|0;if(d){ds(d)|0;c[b>>2]=0}return}function Vt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;b=b+16|0;a=c[b>>2]|0;b=c[b+4>>2]|0;d=d+16|0;e=c[d>>2]|0;d=c[d+4>>2]|0;return (b>>>0>d>>>0|(b|0)==(d|0)&a>>>0>e>>>0?1:(b>>>0<d>>>0|(b|0)==(d|0)&a>>>0<e>>>0)<<31>>31)|0}function Wt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=c[b+24>>2]|0;e=c[d+24>>2]|0;return (a>>>0>e>>>0?1:(a>>>0<e>>>0)<<31>>31)|0}function Xt(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+32|0;e=b+12|0;d=b;c[13205]=c[13202];c[13206]=c[13203];c[e>>2]=a;c[e+4>>2]=eP(a)|0;c[e+8>>2]=0;c[d>>2]=52828;c[d+4>>2]=52704;c[d+8>>2]=52816;a=bw(e,d)|0;dv(0);i=b;return a|0}function Yt(a,b,c){a=a|0;b=b|0;c=c|0;if(!(mO(b,c,a)|0))b=0;else b=eP(b)|0;return b|0}function Zt(a,b){a=a|0;b=b|0;return rO(b,a)|0}function _t(a){a=a|0;return kO(a)|0}function $t(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((e|0)!=0?(h=b+8|0,f=c[h>>2]|0,(f|0)<(c[b+4>>2]|0)):0){i=c[b>>2]|0;g=a[i+f>>0]|0;b=0;f=i+(f+1)|0;while(1){a[d>>0]=g;b=b+1|0;if(!(g<<24>>24!=10&(b|0)<(e|0)))break;g=a[f>>0]|0;if(!(g<<24>>24))break;else{d=d+1|0;f=f+1|0}}c[h>>2]=(c[h>>2]|0)+b}else b=0;return b|0}function au(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+16|0;a=c[a+64>>2]|0;a=Qb[c[(c[a>>2]|0)+4>>2]&127](c[a+12>>2]|0,b)|0;if(!a)us(1,137276,d)|0;i=d;return a|0}function bu(a,b){a=a|0;b=b|0;if(b){a=c[a+64>>2]|0;Fb[c[(c[a>>2]|0)+12>>2]&63](c[a+12>>2]|0,b)}return}function cu(a){a=a|0;return 0}function du(a,b){a=a|0;b=b|0;a=eQ(b)|0;tQ(a|0,0,b|0)|0;return a|0}function eu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=hQ(b,d)|0;if(d>>>0>c>>>0)tQ(a+c|0,0,d-c|0)|0;return a|0}function fu(a,b){a=a|0;b=b|0;fQ(b);return}function gu(a){a=a|0;a=c[a+36>>2]|0;a=Jb[c[a>>2]&63](a,0,128)|0;if(!a)a=0;else a=c[a+16>>2]|0;return a|0}function hu(a,b){a=a|0;b=b|0;var d=0;b=bt(a,b)|0;if((b|0)!=0?(d=c[a+36>>2]|0,d=Jb[c[d>>2]&63](d,b,8)|0,(d|0)!=0):0)b=c[d+16>>2]|0;else b=0;return b|0}function iu(a){a=a|0;a=c[a+36>>2]|0;a=Jb[c[a>>2]&63](a,0,256)|0;if(!a)a=0;else a=c[a+16>>2]|0;return a|0}function ju(a,b){a=a|0;b=b|0;var d=0;b=bt(a,b)|0;if((b|0)!=0?(d=c[a+36>>2]|0,d=Jb[c[d>>2]&63](d,b,16)|0,(d|0)!=0):0)b=c[d+16>>2]|0;else b=0;return b|0}function ku(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=33928;c[f>>2]=b;c[f+4>>2]=d;c[13234]=33920;f=c[a+40>>2]|0;f=Jb[c[f>>2]&63](f,52920,4)|0;if(!f)f=0;else f=c[f+16>>2]|0;do if((e|0)!=0&(f|0)==0){f=yu(a)|0;if(((f|0)!=(a|0)?(g=33928,c[g>>2]=b,c[g+4>>2]=d,c[13234]=33920,g=c[f+40>>2]|0,g=Jb[c[g>>2]&63](g,52920,4)|0,(g|0)!=0):0)?(h=c[g+16>>2]|0,(h|0)!=0):0){lu(a,h,1)|0;f=h;break}if(!(Dt(a,1,b,d)|0))f=0;else{f=tt(a,1)|0;f=ru(a,b,d,f,C)|0;su(a,f);tu(a,f)}}while(0);return f|0}function lu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=yu(a)|0;if((e|0)==(c[b+24>>2]|0)){g=b+8|0;f=c[g+4>>2]|0;e=33928;c[e>>2]=c[g>>2];c[e+4>>2]=f;c[13234]=33920;e=c[a+40>>2]|0;e=Jb[c[e>>2]&63](e,52920,4)|0;if(!e)e=0;else e=c[e+16>>2]|0;if((d|0)!=0&(e|0)==0){e=uv(a)|0;if(!e)e=0;else{g=lu(e,b,d)|0;uu(a,g);return g|0}}}else e=0;return e|0}function mu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;m=i;i=i+16|0;k=m;f=yu(a)|0;do if(Ct(a,1,b,k,0)|0){o=k;n=c[o+4>>2]|0;g=33928;c[g>>2]=c[o>>2];c[g+4>>2]=n;c[13234]=33920;g=c[a+40>>2]|0;g=Jb[c[g>>2]&63](g,52920,4)|0;if((g|0)!=0?(e=c[g+16>>2]|0,(e|0)!=0):0)break;if((!((d|0)==0|(f|0)==(a|0))?(n=k,o=c[n+4>>2]|0,h=33928,c[h>>2]=c[n>>2],c[h+4>>2]=o,c[13234]=33920,h=c[f+40>>2]|0,h=Jb[c[h>>2]&63](h,52920,4)|0,(h|0)!=0):0)?(j=c[h+16>>2]|0,(j|0)!=0):0)e=lu(a,j,1)|0;else l=8}else l=8;while(0);if((l|0)==8)if((d|0)!=0?(Ct(a,1,b,k,1)|0)!=0:0){o=k;n=c[o>>2]|0;o=c[o+4>>2]|0;e=tt(a,1)|0;e=ru(a,n,o,e,C)|0;su(a,e);tu(a,e);Gt(a,1,e)}else e=0;i=m;return e|0}function nu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;c[13243]=b;d=ft(a,b)|0;if(d)do{e=d;d=gt(a,d,b)|0;it(a,e,0)}while((d|0)!=0);e=c[a+40>>2]|0;Jb[c[e>>2]&63](e,52956,2)|0;e=c[a+36>>2]|0;Jb[c[e>>2]&63](e,52956,2)|0;return}function ou(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;f=d+8|0;h=f;g=c[h+4>>2]|0;e=33928;c[e>>2]=c[h>>2];c[e+4>>2]=g;c[13234]=33920;e=c[b+40>>2]|0;e=Jb[c[e>>2]&63](e,52920,4)|0;if((e|0)!=0?(c[e+16>>2]|0)!=0:0){if((yu(b)|0)==(b|0)){e=ft(b,d)|0;if(e)do{h=e;e=gt(b,e,d)|0;jt(b,h)|0}while((e|0)!=0);if(a[b+24>>0]&64)Ns(d);Du(b,d);Su(d);h=f;Et(b,1,c[h>>2]|0,c[h+4>>2]|0)}if(!(Wv(b,d,60,0,0)|0))if((yu(b)|0)==(b|0)){bu(b,d);e=0}else e=0;else e=-1}else e=-1;return e|0}function pu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;b=(c[b+16>>2]|0)+8|0;a=c[b>>2]|0;b=c[b+4>>2]|0;d=(c[d+16>>2]|0)+8|0;e=c[d>>2]|0;d=c[d+4>>2]|0;return (b>>>0<d>>>0|(b|0)==(d|0)&a>>>0<e>>>0?-1:(b>>>0>d>>>0|(b|0)==(d|0)&a>>>0>e>>>0)&1)|0}function qu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=(c[c[b+16>>2]>>2]|0)>>>4;e=(c[c[d+16>>2]>>2]|0)>>>4;return (a>>>0<e>>>0?-1:a>>>0>e>>>0&1)|0}function ru(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0;g=au(b,64)|0;h=c[g>>2]|0;i=g+8|0;c[i>>2]=d;c[i+4>>2]=e;c[g>>2]=h&12|f<<4|1;c[g+24>>2]=yu(b)|0;if(a[(yu(b)|0)+24>>0]&64)Ou(g,c[13120]|0,16,0)|0;return g|0}function su(a,b){a=a|0;b=b|0;do{uu(a,b);a=uv(a)|0}while((a|0)!=0);return}function tu(b,c){b=b|0;c=c|0;if(a[(yu(b)|0)+24>>0]&64)Ms(b,c);zu(b,c);return}function uu(a,b){a=a|0;b=b|0;var d=0,e=0;d=a+40|0;js(c[d>>2]|0)|0;if((yu(a)|0)==(a|0))e=b+28|0;else e=au(a,36)|0;c[e+16>>2]=b;b=c[d>>2]|0;Jb[c[b>>2]&63](b,e,1)|0;b=c[a+36>>2]|0;Jb[c[b>>2]&63](b,e,1)|0;return}function vu(a,b,d){a=a|0;b=b|0;d=d|0;a=c[b+16>>2]|0;if((a+28|0)!=(b|0))bu(c[a+24>>2]|0,b);return}function wu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;f=h+8|0;e=h;d=c[b>>2]|0;do if(!(d&3))if((uv(b)|0)==(a|0)){d=c[b>>2]|0;g=5;break}else{us(1,137302,e)|0;d=-1;break}else g=5;while(0);a:do if((g|0)==5)switch(d&3|0){case 1:{d=ou(a,b)|0;break a}case 2:case 3:{d=jt(a,b)|0;break a}case 0:{d=ut(b)|0;break a}default:{us(1,137326,f)|0;d=0;break a}}while(0);i=h;return d|0}function xu(a){a=a|0;var b=0;b=i;i=i+16|0;switch(c[a>>2]&3|0){case 2:case 3:{a=c[(c[a+40>>2]|0)+24>>2]|0;break}case 1:{a=c[a+24>>2]|0;break}case 0:break;default:{us(1,137349,b)|0;a=0}}i=b;return a|0}function yu(a){a=a|0;var b=0;b=i;i=i+16|0;switch(c[a>>2]&3|0){case 2:case 3:{a=c[(c[a+40>>2]|0)+24>>2]|0;break}case 1:{a=c[a+24>>2]|0;break}case 0:{a=c[a+60>>2]|0;break}default:{us(1,137371,b)|0;a=0}}i=b;return a|0}function zu(b,d){b=b|0;d=d|0;var e=0;e=c[b+64>>2]|0;if(!(a[e+52>>0]|0))Ju(b,d,100,0);else Au(b,d,c[e+48>>2]|0);return}function Au(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;a:do if(d){Au(a,b,c[d+8>>2]|0);switch(c[b>>2]&3|0){case 0:{e=c[d>>2]|0;break}case 1:{e=(c[d>>2]|0)+12|0;break}case 2:{e=(c[d>>2]|0)+24|0;break}default:break a}e=c[e>>2]|0;if(e)Vb[e&127](a,b,c[d+4>>2]|0)}while(0);return}function Bu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;f=c[b+64>>2]|0;if(!(a[f+52>>0]|0))Ju(b,d,101,e);else Cu(b,d,e,c[f+48>>2]|0);return}function Cu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;a:do if(e){Cu(a,b,d,c[e+8>>2]|0);switch(c[b>>2]&3|0){case 0:{f=(c[e>>2]|0)+4|0;break}case 1:{f=(c[e>>2]|0)+16|0;break}case 2:{f=(c[e>>2]|0)+28|0;break}default:break a}f=c[f>>2]|0;if(f)Zb[f&31](a,b,c[e+4>>2]|0,d)}while(0);return}function Du(b,d){b=b|0;d=d|0;var e=0;e=c[b+64>>2]|0;if(!(a[e+52>>0]|0))Ju(b,d,102,0);else Eu(b,d,c[e+48>>2]|0);return}function Eu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;a:do if(d){Eu(a,b,c[d+8>>2]|0);switch(c[b>>2]&3|0){case 0:{e=(c[d>>2]|0)+8|0;break}case 1:{e=(c[d>>2]|0)+20|0;break}case 2:{e=(c[d>>2]|0)+32|0;break}default:break a}e=c[e>>2]|0;if(e)Vb[e&127](a,b,c[d+4>>2]|0)}while(0);return}function Fu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=au(a,12)|0;c[e>>2]=b;c[e+4>>2]=d;d=(c[a+64>>2]|0)+48|0;c[e+8>>2]=c[d>>2];c[d>>2]=e;return}function Gu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;e=(c[a+64>>2]|0)+48|0;d=c[e>>2]|0;a:do if(!d)d=-1;else{if((c[d>>2]|0)!=(b|0)){while(1){if(!d){d=-1;break a}f=d+8|0;e=c[f>>2]|0;if((c[e>>2]|0)==(b|0))break;else d=e}if(e)c[f>>2]=c[e+8>>2]}else c[e>>2]=c[d+8>>2];bu(a,d);d=0}while(0);return d|0}function Hu(a,b){a=a|0;b=b|0;var d=0;d=yu(a)|0;a:do if((d|0)==(yu(b)|0))switch(c[b>>2]&3|0){case 0:{while(1){if((b|0)==(a|0)){b=1;break a}b=uv(b)|0;if(!b){b=0;break}}break}case 1:{b=b+8|0;b=(ku(a,c[b>>2]|0,c[b+4>>2]|0,0)|0)!=0&1;break a}default:{b=(kt(a,b,0)|0)!=0&1;break a}}else b=0;while(0);return b|0}function Iu(a){a=a|0;return c[a>>2]&3|0}function Ju(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;k=i;i=i+48|0;f=k+32|0;j=k;h=Ou(a,137394,44,0)|0;a:do switch(d|0){case 100:{d=Ku(h,b,100)|0;f=b+8|0;g=c[f+4>>2]|0;h=j+8|0;c[h>>2]=c[f>>2];c[h+4>>2]=g;if(!(Jb[c[d>>2]&63](d,j,4)|0))Lu(d,a,b,e)|0;break}case 101:{g=Ku(h,b,100)|0;d=b+8|0;m=d;l=c[m+4>>2]|0;f=j+8|0;c[f>>2]=c[m>>2];c[f+4>>2]=l;if((Jb[c[g>>2]&63](g,j,4)|0)==0?(m=Ku(h,b,102)|0,f=d,g=c[f+4>>2]|0,l=j+8|0,c[l>>2]=c[f>>2],c[l+4>>2]=g,(Jb[c[m>>2]&63](m,j,4)|0)==0):0){f=Ku(h,b,101)|0;l=d;m=c[l+4>>2]|0;d=j+8|0;c[d>>2]=c[l>>2];c[d+4>>2]=m;d=Jb[c[f>>2]&63](f,j,4)|0;if(!d)d=Lu(f,a,b,e)|0;d=c[d+24>>2]|0;if(d)do{if((c[d>>2]|0)==(e|0))break a;d=c[d+4>>2]|0}while((d|0)!=0)}break}case 102:{d=Ku(h,b,100)|0;g=b+8|0;l=g;m=c[l+4>>2]|0;f=j+8|0;c[f>>2]=c[l>>2];c[f+4>>2]=m;f=Jb[c[d>>2]&63](d,j,4)|0;if(f)Jb[c[d>>2]&63](d,f,2)|0;f=Ku(h,b,101)|0;l=g;m=c[l+4>>2]|0;d=j+8|0;c[d>>2]=c[l>>2];c[d+4>>2]=m;d=Jb[c[f>>2]&63](f,j,4)|0;if(d)Jb[c[f>>2]&63](f,d,2)|0;d=Ku(h,b,102)|0;h=g;l=c[h+4>>2]|0;m=j+8|0;c[m>>2]=c[h>>2];c[m+4>>2]=l;if(!(Jb[c[d>>2]&63](d,j,4)|0))Lu(d,a,b,e)|0;break}default:us(1,137406,f)|0}while(0);i=k;return}function Ku(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;g=i;i=i+16|0;e=g;a:do switch(c[b>>2]&3|0){case 0:switch(d|0){case 100:{d=a+8|0;break a}case 101:{d=a+20|0;break a}case 102:{d=a+32|0;break a}default:{f=14;break a}}case 1:switch(d|0){case 100:{d=a+12|0;break a}case 101:{d=a+24|0;break a}case 102:{d=a+36|0;break a}default:{f=14;break a}}case 2:switch(d|0){case 100:{d=a+16|0;break a}case 101:{d=a+28|0;break a}case 102:{d=a+40|0;break a}default:{f=14;break a}}default:f=14}while(0);if((f|0)==14){us(1,137440,e)|0;d=0}a=c[d>>2]|0;if(!a){a=xu(b)|0;a=zv(a,52992,c[13098]|0)|0;c[d>>2]=a}i=g;return a|0}function Lu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=au(xu(d)|0,32)|0;c[f+20>>2]=d;h=d+8|0;g=c[h+4>>2]|0;d=f+8|0;c[d>>2]=c[h>>2];c[d+4>>2]=g;c[f+16>>2]=b;if(e){h=au(b,8)|0;c[f+24>>2]=h;c[h>>2]=e}Jb[c[a>>2]&63](a,f,1)|0;return f|0}function Mu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;a=c[b+24>>2]|0;d=b+16|0;if(a)do{e=a;a=c[a+4>>2]|0;bu(c[d>>2]|0,e)}while((a|0)!=0);bu(c[d>>2]|0,b);return}function Nu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+16|0;j=l;f=c[b+16>>2]|0;g=f;while(1){if(!g){f=0;break}h=c[g>>2]|0;if((h|0)==(d|0)){k=7;break}if((a[d>>0]|0)==(a[h>>0]|0)?(aP(d,h)|0)==0:0){k=7;break}g=c[g+4>>2]|0;if((g|0)==(f|0)){f=0;break}}do if((k|0)==7){if(!(c[b>>2]&4)){if((g|0)==(f|0)&(e|0)==0)break;Tu(b,g,e);f=g;break}if(e){if((f|0)!=(g|0)){us(1,137465,j)|0;f=g}}else f=g}while(0);i=l;return f|0}function Ou(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;g=xu(a)|0;f=Nu(a,b,0)|0;a:do if((d|0)!=0&(f|0)==0){f=au(g,d)|0;c[f>>2]=Zu(g,b)|0;switch(c[a>>2]&3|0){case 0:{Uu(a,f);break a}case 1:{Uu(a,f);break a}case 2:case 3:{Uu(a,f);break a}default:break a}}while(0);if(e)Nu(a,b,1)|0;return f|0}function Pu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=xu(a)|0;e=Nu(a,b,0)|0;if(!e)b=-1;else{f=a+16|0;g=c[f>>2]|0;d=g;do{b=d+4|0;d=c[b>>2]|0}while((d|0)!=(e|0));d=e+4|0;c[b>>2]=c[d>>2];b=c[a>>2]|0;switch(b&3|0){case 0:{if((g|0)==(e|0)?(h=c[d>>2]|0,h=(h|0)==(e|0)?0:h,c[f>>2]=h,c[a>>2]=b&-5,(b&2|0)!=0):0){g=a+48|0;c[a+64>>2]=h;c[g>>2]=c[g>>2]&-5}break}case 2:case 3:case 1:{Wv(yu(i)|0,a,61,e,0)|0;break}default:{}}$u(i,c[e>>2]|0)|0;bu(i,e);b=0}return b|0}function Qu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;g=(d|0)>-1;h=g?d:0-d|0;switch(b|0){case 0:{Ou(a,c,h,e)|0;if(!g?(f=sv(a)|0,(f|0)!=0):0)do{Qu(f,0,c,d,e);f=tv(f)|0}while((f|0)!=0);break}case 3:case 2:case 1:{f=gu(a)|0;if(f){d=(b|0)==1;do{if(!d){g=at(a,f)|0;if(g)do{Ou(g,c,h,e)|0;g=ct(a,g)|0}while((g|0)!=0)}else Ou(f,c,h,e)|0;f=hu(a,f)|0}while((f|0)!=0)}break}default:{}}return}function Ru(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;switch(b|0){case 0:{Wv(a,a,62,c,1)|0;break}case 3:case 2:case 1:{d=gu(a)|0;if(d){e=(b|0)==1;do{if(!e){b=at(a,d)|0;if(b)do{Pu(b,c)|0;b=ct(a,b)|0}while((b|0)!=0)}else Pu(d,c)|0;d=hu(a,d)|0}while((d|0)!=0)}break}default:{}}return}function Su(a){a=a|0;var b=0,d=0,e=0;d=xu(a)|0;b=a+16|0;a=c[b>>2]|0;if(a)do{e=a;a=c[a+4>>2]|0;$u(d,c[e>>2]|0)|0;bu(d,e)}while((a|0)!=(c[b>>2]|0));c[b>>2]=0;return}function Tu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;c[a+16>>2]=b;e=c[a>>2]|0;d=d<<2&4;c[a>>2]=e&-5|d;if(e&2){a=(e&3|0)==3?a+-48|0:a+48|0;c[a+16>>2]=b;c[a>>2]=c[a>>2]&-5|d}return}function Uu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=a+16|0;d=c[g>>2]|0;do if(d){e=d+4|0;f=c[e>>2]|0;if((f|0)==(d|0)){c[e>>2]=b;c[b+4>>2]=d;break}else{c[b+4>>2]=f;c[e>>2]=b;break}}else c[b+4>>2]=b;while(0);d=c[a>>2]|0;if((d&4|0)==0?(c[g>>2]=b,c[a>>2]=d&-5,(d&2|0)!=0):0){a=(d&3|0)==3?a+-48|0:a+48|0;c[a+16>>2]=b;c[a>>2]=c[a>>2]&-5}return}function Vu(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+16>>2]|0)==(d|0)){a=c[d+4>>2]|0;Tu(b,(a|0)==(d|0)?0:a,0)}return}function Wu(a,b,c){a=a|0;b=b|0;c=c|0;Pu(b,c)|0;return}function Xu(a){a=a|0;return Bv(a,cv(a)|0)|0}function Yu(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+32|0;e=d;a=cv(a)|0;c[e+16>>2]=b;a=Jb[c[a>>2]&63](a,e,4)|0;if(!a)a=0;else a=c[a+16>>2]|0;i=d;return a|0}function Zu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;f=i;i=i+32|0;d=f;if(!b)d=0;else{e=cv(a)|0;c[d+16>>2]=b;d=Jb[c[e>>2]&63](e,d,4)|0;if(!d){d=(eP(b)|0)+24|0;if(!a)d=eQ(d)|0;else d=au(a,d)|0;a=d+8|0;c[a>>2]=1;c[a+4>>2]=0;a=d+20|0;bP(a,b)|0;c[d+16>>2]=a;Jb[c[e>>2]&63](e,d,1)|0}else{b=d+8|0;e=b;e=mQ(c[e>>2]|0,c[e+4>>2]|0,1,0)|0;c[b>>2]=e;c[b+4>>2]=C}d=c[d+16>>2]|0}i=f;return d|0}function _u(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;f=i;i=i+32|0;d=f;if(!b)d=0;else{e=cv(a)|0;c[d+16>>2]=b;d=Jb[c[e>>2]&63](e,d,4)|0;if(!d){d=(eP(b)|0)+24|0;if(!a)d=eQ(d)|0;else d=au(a,d)|0;h=33984;g=c[h+4>>2]|0;a=d+8|0;c[a>>2]=c[h>>2]|1;c[a+4>>2]=g;a=d+20|0;bP(a,b)|0;c[d+16>>2]=a;Jb[c[e>>2]&63](e,d,1)|0}else{h=d+8|0;g=h;g=mQ(c[g>>2]|0,c[g+4>>2]|0,1,0)|0;c[h>>2]=g;c[h+4>>2]=C}d=c[d+16>>2]|0}i=f;return d|0}function $u(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;g=i;i=i+32|0;f=g;if((b|0)!=0?(d=cv(a)|0,c[f+16>>2]=b,e=Jb[c[d>>2]&63](d,f,4)|0,(e|0)!=0):0)if((c[e+16>>2]|0)==(b|0)?(b=e+8|0,h=b,h=mQ(c[h>>2]|0,c[h+4>>2]|0,-1,-1)|0,f=C,b,c[b>>2]=h,c[b+4>>2]=f,b=33992,!(((h|0)!=0|(f|0)!=0)&((c[b>>2]|0)!=0|(c[b+4>>2]|0)!=0))):0){Av(a,d,e)|0;d=0}else d=0;else d=-1;i=g;return d|0}function av(a){a=a|0;var b=0;if(!a)a=0;else{a=a+-12|0;b=33984;a=c[b>>2]&c[a>>2]}return a|0}function bv(a){a=a|0;var b=0,d=0,e=0;if(a){d=33984;a=a+-12|0;e=a;b=c[e+4>>2]|c[d+4>>2];c[a>>2]=c[e>>2]|c[d>>2];c[a+4>>2]=b}return}function cv(a){a=a|0;var b=0,d=0;if(!a)d=53028;else d=(c[a+64>>2]|0)+20|0;b=c[d>>2]|0;if(!b){b=zv(a,53032,c[13098]|0)|0;c[d>>2]=b;a=33984;c[a>>2]=-2147483648;c[a+4>>2]=0;a=33992;c[a>>2]=2147483647;c[a+4>>2]=-1}return b|0}function dv(a){a=a|0;c[13272]=a;c[13271]=1;return}function ev(a,b){a=a|0;b=b|0;c[13273]=a;c[13274]=b;c[13275]=0;return}function fv(){var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;A=i;i=i+2096|0;x=A+24|0;v=A+16|0;s=A;w=A+1072|0;u=A+48|0;y=A+32|0;if(!(c[13276]|0)){c[13276]=1;if(!(c[13277]|0))c[13277]=1;if(!(c[13267]|0))c[13267]=c[24810];if(!(c[13268]|0))c[13268]=c[24811];e=c[13278]|0;if(!((e|0)!=0?(g=c[13279]|0,f=c[e+(g<<2)>>2]|0,(f|0)!=0):0)){mv();r=gv(c[13267]|0,16384)|0;f=c[13279]|0;c[(c[13278]|0)+(f<<2)>>2]=r;r=c[13278]|0;e=r;g=f;f=c[r+(f<<2)>>2]|0}c[13280]=c[f+16>>2];r=c[f+8>>2]|0;c[13281]=r;c[13269]=r;c[13267]=c[c[e+(g<<2)>>2]>>2];a[137498]=a[r>>0]|0}a:while(1){e=c[13281]|0;a[e>>0]=a[137498]|0;f=e;g=(c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]|0)+(c[13277]|0)|0;b:while(1){j=e;while(1){e=c[53128+(d[j>>0]<<2)>>2]|0;if(b[103788+(g<<1)>>1]|0){c[13538]=g;c[13539]=j}c:while(1){h=e&255;while(1){e=(b[103974+(g<<1)>>1]|0)+h|0;if((b[104184+(e<<1)>>1]|0)==(g|0))break c;r=b[104720+(g<<1)>>1]|0;e=r<<16>>16;if(r<<16>>16>92){g=e;break}else g=e}e=c[54160+(h<<2)>>2]|0}g=b[104930+(e<<1)>>1]|0;e=j+1|0;if((b[103974+(g<<1)>>1]|0)==219){r=f;break}else j=e}d:while(1){q=r;e:while(1){f=b[103788+(g<<1)>>1]|0;if(!(f<<16>>16)){f=b[103788+(c[13538]<<1)>>1]|0;o=c[13539]|0}else{f=f<<16>>16;o=e}c[13269]=r;p=o;c[13270]=p-q;a[137498]=a[o>>0]|0;a[o>>0]=0;c[13281]=o;e=f;f:while(1){switch(e|0){case 1:{z=28;break a}case 12:{z=68;break a}case 13:{z=70;break a}case 14:{z=72;break a}case 15:{z=76;break a}case 16:{z=80;break a}case 17:{z=82;break a}case 18:{z=84;break a}case 19:{z=87;break a}case 20:{z=90;break a}case 21:{j=r;h=o;z=94;break a}case 23:{z=112;break a}case 33:{z=150;break a}case 39:case 38:case 37:case 36:{e=0;z=199;break a}case 2:{z=30;break b}case 3:{z=33;break b}case 4:{z=36;break b}case 5:{z=38;break b}case 6:{z=40;break b}case 7:{z=43;break b}case 8:{z=45;break b}case 9:{z=62;break b}case 10:{z=64;break b}case 11:{z=66;break b}case 22:{z=107;break b}case 24:{z=115;break b}case 25:{z=118;break b}case 26:{z=121;break b}case 27:{z=124;break b}case 28:{z=128;break b}case 29:{z=133;break b}case 30:{z=138;break b}case 31:{z=142;break b}case 32:{z=146;break b}case 34:{z=154;break b}case 0:break f;case 35:break;default:{z=198;break a}}g=c[13269]|0;a[o>>0]=a[137498]|0;e=c[13279]|0;f=c[13278]|0;h=c[f+(e<<2)>>2]|0;if(!(c[h+44>>2]|0)){c[13280]=c[h+16>>2];c[h>>2]=c[13267];f=c[13278]|0;c[(c[f+(e<<2)>>2]|0)+44>>2]=1;e=c[13279]|0;h=c[f+(e<<2)>>2]|0}j=c[13281]|0;k=c[13280]|0;l=c[h+4>>2]|0;n=c[13269]|0;m=n;if(j>>>0<=(l+k|0)>>>0){f=n;e=p;break e}if(j>>>0>(l+(k+1)|0)>>>0){z=168;break a}j=j-m|0;if(!(c[h+40>>2]|0)){k=(j|0)==1?1:2;h=m;j=n}else{m=j+-1|0;if((j|0)>1){f=l;h=0;e=n;while(1){a[f>>0]=a[e>>0]|0;h=h+1|0;if((h|0)>=(m|0))break;else{f=f+1|0;e=e+1|0}}f=c[13278]|0;h=c[f+(c[13279]<<2)>>2]|0}if((c[h+44>>2]|0)==2){c[13280]=0;c[h+16>>2]=0}else{f=c[h+12>>2]|0;e=f-m+-1|0;if(!e){k=c[13281]|0;do{e=h+4|0;j=c[e>>2]|0;if(!(c[h+20>>2]|0)){z=179;break a}n=f<<1;f=(n|0)==0?(f>>>3)+f|0:n;c[h+12>>2]=f;f=hQ(j,f+2|0)|0;c[e>>2]=f;if(!f){z=181;break a}k=f+(k-j)|0;c[13281]=k;h=c[(c[13278]|0)+(c[13279]<<2)>>2]|0;f=c[h+12>>2]|0;e=f-m+-1|0}while((e|0)==0)}n=Jb[c[c[(c[53092>>2]|0)+8>>2]>>2]&63](c[13274]|0,(c[h+4>>2]|0)+m|0,e>>>0>8192?8192:e)|0;c[13280]=n;f=c[13278]|0;c[(c[f+(c[13279]<<2)>>2]|0)+16>>2]=n}do if(!(c[13280]|0))if(!m){hv(c[13267]|0);f=c[13278]|0;k=1;break}else{c[(c[f+(c[13279]<<2)>>2]|0)+44>>2]=2;k=2;break}else k=0;while(0);e=c[13280]|0;h=e+m|0;f=c[f+(c[13279]<<2)>>2]|0;if(h>>>0>(c[f+12>>2]|0)>>>0){n=hQ(c[f+4>>2]|0,h+(e>>>1)|0)|0;e=c[13279]|0;c[(c[(c[13278]|0)+(e<<2)>>2]|0)+4>>2]=n;e=c[(c[(c[13278]|0)+(e<<2)>>2]|0)+4>>2]|0;if(!e){z=192;break a}h=c[13280]|0}else{h=e;e=c[f+4>>2]|0}f=h+m|0;c[13280]=f;a[e+f>>0]=0;a[(c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+4>>2]|0)+((c[13280]|0)+1)>>0]=0;e=c[13279]|0;f=c[13278]|0;j=c[(c[f+(e<<2)>>2]|0)+4>>2]|0;c[13269]=j;h=j}switch(k|0){case 0:{f=j;e=p;z=196;break d}case 2:{z=197;break e}case 1:break;default:continue a}c[13281]=h;e=(((c[13277]|0)+-1|0)/2|0)+36|0}a[o>>0]=a[137498]|0;e=c[13539]|0;g=c[13538]|0}if((z|0)==197){z=0;c[13281]=(c[(c[f+(e<<2)>>2]|0)+4>>2]|0)+(c[13280]|0);g=ov()|0;r=c[13269]|0;e=c[13281]|0;continue}c[13281]=f+(e-g+-1);g=ov()|0;if(b[103788+(g<<1)>>1]|0){r=c[13281]|0;c[13538]=g;c[13539]=r}e=(b[103974+(g<<1)>>1]|0)+1|0;if((b[104184+(e<<1)>>1]|0)!=(g|0)){f=g;do{r=b[104720+(f<<1)>>1]|0;f=r<<16>>16;e=(b[103974+(f<<1)>>1]|0)+1|0}while((b[104184+(e<<1)>>1]|0)!=r<<16>>16)}h=b[104930+(e<<1)>>1]|0;f=c[13269]|0;j=c[13281]|0;if(!(h<<16>>16==92|(e|0)==0)){e=j;z=166;break}else{r=f;e=j}}if((z|0)==166){z=0;e=e+1|0;c[13281]=e;g=h<<16>>16;continue}else if((z|0)==196){z=0;c[13281]=f+(e-g+-1);g=ov()|0;f=c[13269]|0;e=c[13281]|0;continue}}switch(z|0){case 30:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;c[13271]=(c[13271]|0)+1;continue a}case 33:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;c[13277]=3;continue a}case 36:{z=0;e=c[13270]|0;if(!e)continue a;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;continue a}case 38:{z=0;e=c[13270]|0;if(!e)continue a;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;continue a}case 40:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;c[13277]=1;continue a}case 43:{z=0;e=c[13270]|0;if(!e)continue a;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;continue a}case 45:{z=0;e=c[13270]|0;if(!e)f=c[13269]|0;else{f=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[f+(e+-1)>>0]|0)==10&1}g=f+1|0;r=(gP(g,137499,4)|0)==0;e=r?5:1;c[s>>2]=u;c[s+4>>2]=y;c[s+8>>2]=w;g=EO(r?f+5|0:g,137504,s)|0;if((g|0)>0?(c[13271]=(c[u>>2]|0)+-1,(g|0)>1):0){g=f+((c[w>>2]|0)+e)|0;f=g;g:while(1){e=a[f>>0]|0;switch(e<<24>>24){case 0:case 34:break g;default:{}}f=f+1|0}if((f|0)!=(g|0)&e<<24>>24==34){a[f>>0]=0;f=f-g|0;e=c[13589]|0;if((e|0)<(f|0)){if(!e)e=eQ(f+1|0)|0;else e=hQ(c[13590]|0,f+1|0)|0;c[13590]=e;c[13589]=f}else e=c[13590]|0;bP(e,g)|0;c[13272]=c[13590]}}continue a}case 62:{z=0;e=c[13270]|0;if(!e)continue a;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;continue a}case 64:{z=0;e=c[13270]|0;if(!e)continue a;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;continue a}case 66:{z=0;e=c[13270]|0;if(!e)continue a;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;continue a}case 107:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;c[13277]=5;e=c[13591]|0;if(!e){e=eQ(1024)|0;c[13591]=e;c[13592]=e+1024}c[13593]=e;a[e>>0]=0;continue a}case 115:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;nv(139728);continue a}case 118:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;nv(137610);continue a}case 121:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;c[13271]=(c[13271]|0)+1;continue a}case 124:{z=0;e=c[13270]|0;if(!e)e=c[13269]|0;else{r=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[r+(e+-1)>>0]|0)==10&1;e=r}nv(e);continue a}case 128:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;c[13277]=7;c[13594]=1;e=c[13591]|0;if(!e){e=eQ(1024)|0;c[13591]=e;c[13592]=e+1024}c[13593]=e;a[e>>0]=0;continue a}case 133:{z=0;e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;r=(c[13594]|0)+-1|0;c[13594]=r;if(!r){z=137;break a}nv(c[13269]|0);continue a}case 138:{z=0;e=c[13270]|0;if(!e)e=c[13269]|0;else{r=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[r+(e+-1)>>0]|0)==10&1;e=r}c[13594]=(c[13594]|0)+1;nv(e);continue a}case 142:{z=0;e=c[13270]|0;if(!e)e=c[13269]|0;else{r=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[r+(e+-1)>>0]|0)==10&1;e=r}nv(e);c[13271]=(c[13271]|0)+1;continue a}case 146:{z=0;e=c[13270]|0;if(!e)e=c[13269]|0;else{r=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[r+(e+-1)>>0]|0)==10&1;e=r}nv(e);continue a}case 154:{z=0;e=c[13270]|0;if(!e){e=c[13269]|0;f=0}else{f=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[f+(e+-1)>>0]|0)==10&1;e=f;f=c[13270]|0}AO(e,f,1,c[13268]|0)|0;continue a}}}switch(z|0){case 28:{e=c[13270]|0;if(!e){e=-1;z=199}else{c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;e=-1;z=199}break}case 68:{e=c[13270]|0;if(!e){e=259;z=199}else{c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;e=259;z=199}break}case 70:{e=c[13270]|0;if(!e){e=260;z=199}else{c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;e=260;z=199}break}case 72:{e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;if(!(c[13275]|0)){c[13275]=258;e=258;z=199}else{e=258;z=199}break}case 76:{e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;if(!(c[13275]|0)){c[13275]=261;e=261;z=199}else{e=261;z=199}break}case 80:{e=c[13270]|0;if(!e){e=263;z=199}else{c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;e=263;z=199}break}case 82:{e=c[13270]|0;if(!e){e=262;z=199}else{c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;e=262;z=199}break}case 84:{e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;e=(c[13275]|0)==261?264:45;z=199;break}case 87:{e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;e=(c[13275]|0)==258?264:45;z=199;break}case 90:{e=c[13270]|0;if(!e)e=c[13269]|0;else{z=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[z+(e+-1)>>0]|0)==10&1;e=z}c[13605]=Zu(c[13175]|0,e)|0;e=267;z=199;break}case 94:{e=c[13270]|0;if(!e){f=0;e=c[13269]|0}else{s=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[s+(e+-1)>>0]|0)==10&1;f=c[13270]|0;e=s}s=a[e+(f+-1)>>0]|0;g=s<<24>>24==46;h:do if(g|((s&255)+-48|0)>>>0<10){if(g?(t=f+-2|0,(t|0)>-1):0){f=t;while(1){if((a[e+f>>0]|0)==46){z=102;break h}if((f|0)>0)f=f+-1|0;else break}}}else z=102;while(0);if((z|0)==102){f=c[13272]|0;xs(y,1024,w);As(y,137521)|0;As(y,c[13269]|0)|0;c[v>>2]=c[13271];DO(u,137565,v)|0;As(y,u)|0;As(y,(f|0)==0?137515:f)|0;As(y,137582)|0;f=y+4|0;e=c[f>>2]|0;if(e>>>0>=(c[y+8>>2]|0)>>>0){ys(y,1)|0;e=c[f>>2]|0}a[e>>0]=0;z=c[y>>2]|0;c[f>>2]=z;c[x>>2]=z;us(0,137607,x)|0;Bs(y);z=(c[13270]|0)+-1|0;a[h>>0]=a[137498]|0;e=j+z|0;c[13281]=e;c[13269]=j;c[13270]=z;a[137498]=a[e>>0]|0;a[e>>0]=0;c[13281]=e;e=c[13269]|0}c[13605]=Zu(c[13175]|0,e)|0;e=267;z=199;break}case 112:{e=c[13270]|0;if(e)c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[(c[13269]|0)+(e+-1)>>0]|0)==10&1;c[13277]=1;c[13605]=Zu(c[13175]|0,c[13591]|0)|0;a[c[13591]>>0]=0;e=268;z=199;break}case 137:{c[13277]=1;c[13605]=_u(c[13175]|0,c[13591]|0)|0;a[c[13591]>>0]=0;e=268;z=199;break}case 150:{e=c[13270]|0;if(!e)e=c[13269]|0;else{z=c[13269]|0;c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]=(a[z+(e+-1)>>0]|0)==10&1;e=z}e=a[e>>0]|0;z=199;break}case 168:{pv(137613);break}case 179:{c[e>>2]=0;z=181;break}case 192:{pv(137713);break}case 198:{pv(137760);break}}if((z|0)==181)pv(137669);else if((z|0)==199){i=A;return e|0}return 0}function gv(a,b){a=a|0;b=b|0;var d=0;d=eQ(48)|0;if(!d)pv(137811);c[d+12>>2]=b;b=eQ(b+2|0)|0;c[d+4>>2]=b;if(!b)pv(137811);else{c[d+20>>2]=1;qv(d,a);return d|0}return 0}function hv(b){b=b|0;var d=0,e=0,f=0;d=c[13278]|0;if((d|0)!=0?(e=c[13279]|0,(c[d+(e<<2)>>2]|0)!=0):0)f=4;else{mv();d=gv(c[13267]|0,16384)|0;e=c[13279]|0;c[(c[13278]|0)+(e<<2)>>2]=d;d=c[13278]|0;if(!d)d=0;else f=4}if((f|0)==4)d=c[d+(e<<2)>>2]|0;qv(d,b);b=(c[13278]|0)+(c[13279]<<2)|0;f=c[b>>2]|0;c[13280]=c[f+16>>2];f=c[f+8>>2]|0;c[13281]=f;c[13269]=f;c[13267]=c[c[b>>2]>>2];a[137498]=a[f>>0]|0;return}function iv(b){b=b|0;var d=0,e=0;if(b){c[b+16>>2]=0;d=b+4|0;a[c[d>>2]>>0]=0;a[(c[d>>2]|0)+1>>0]=0;c[b+8>>2]=c[d>>2];c[b+28>>2]=1;c[b+44>>2]=0;d=c[13278]|0;if(!d)e=0;else e=c[d+(c[13279]<<2)>>2]|0;if((e|0)==(b|0)){e=d+(c[13279]<<2)|0;b=c[e>>2]|0;c[13280]=c[b+16>>2];b=c[b+8>>2]|0;c[13281]=b;c[13269]=b;c[13267]=c[c[e>>2]>>2];a[137498]=a[b>>0]|0}}return}function jv(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+2112|0;k=m+32|0;j=m+24|0;h=m+16|0;g=m+8|0;f=m;e=m+56|0;l=m+40|0;xs(l,1024,m+1080|0);d=c[13272]|0;if(d){As(l,d)|0;As(l,137856)|0}As(l,b)|0;c[f>>2]=c[13271];DO(e,137859,f)|0;As(l,e)|0;a:do if(!(a[c[13269]>>0]|0))switch(((c[13277]|0)+-1|0)/2|0|0){case 2:{c[g>>2]=16384;DO(e,137879,g)|0;As(l,e)|0;d=c[13591]|0;if(!(a[d>>0]|0))break a;j=eP(d)|0;As(l,137941)|0;if((j|0)>80)a[(c[13591]|0)+80>>0]=0;As(l,c[13591]|0)|0;break a}case 3:{c[h>>2]=16384;DO(e,137960,h)|0;As(l,e)|0;d=c[13591]|0;if(!(a[d>>0]|0))break a;j=eP(d)|0;As(l,138028)|0;if((j|0)>80)a[(c[13591]|0)+80>>0]=0;As(l,c[13591]|0)|0;break a}case 1:{c[j>>2]=16384;DO(e,138047,j)|0;As(l,e)|0;break a}default:break a}else{As(l,137871)|0;As(l,c[13269]|0)|0;e=l+4|0;d=c[e>>2]|0;if(d>>>0>=(c[l+8>>2]|0)>>>0){ys(l,1)|0;d=c[e>>2]|0}c[e>>2]=d+1;a[d>>0]=39}while(0);b=l+4|0;d=c[b>>2]|0;e=l+8|0;if(d>>>0>=(c[e>>2]|0)>>>0){ys(l,1)|0;d=c[b>>2]|0}c[b>>2]=d+1;a[d>>0]=10;d=c[b>>2]|0;if(d>>>0>=(c[e>>2]|0)>>>0){ys(l,1)|0;d=c[b>>2]|0}a[d>>0]=0;j=c[l>>2]|0;c[b>>2]=j;c[k>>2]=j;us(1,137607,k)|0;Bs(l);i=m;return}function kv(){var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;j=c[13269]|0;h=c[13281]|0;a[h>>0]=a[137498]|0;g=c[13278]|0;e=c[g+(c[13279]<<2)>>2]|0;b=c[e+4>>2]|0;if(h>>>0<(b+2|0)>>>0){l=(c[13280]|0)+2|0;f=c[e+12>>2]|0;d=b+(f+2)|0;b=b+l|0;if((l|0)>0){do{b=b+-1|0;d=d+-1|0;a[d>>0]=a[b>>0]|0;f=c[13278]|0;e=c[f+(c[13279]<<2)>>2]|0}while(b>>>0>(c[e+4>>2]|0)>>>0);g=f;f=c[e+12>>2]|0}d=d-b|0;b=h+d|0;c[13280]=f;c[e+16>>2]=f;if(b>>>0<((c[(c[g+(c[13279]<<2)>>2]|0)+4>>2]|0)+2|0)>>>0)pv(138106);else{i=j+d|0;k=b}}else{i=j;k=h}l=k+-1|0;a[l>>0]=64;c[13269]=i;a[137498]=a[l>>0]|0;c[13281]=l;return}function lv(){var a=0;a=c[13278]|0;if(!a)a=0;else a=c[a+(c[13279]<<2)>>2]|0;iv(a);return}function mv(){var a=0,b=0,d=0;b=c[13278]|0;do if(!b){a=eQ(4)|0;c[13278]=a;if(!a)pv(138142);else{c[a>>2]=0;c[13595]=1;c[13279]=0;break}}else{a=c[13595]|0;if((c[13279]|0)>>>0>=(a+-1|0)>>>0){d=a+8|0;a=hQ(b,d<<2)|0;c[13278]=a;if(!a)pv(138142);else{b=a+(c[13595]<<2)|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[b+24>>2]=0;c[b+28>>2]=0;c[13595]=d;break}}}while(0);return}function nv(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=c[13593]|0;if(d>>>0>(c[13591]|0)>>>0){d=d+-1|0;c[13593]=d}e=a[b>>0]|0;c[13593]=d+1;a[d>>0]=e;if(e<<24>>24){e=b;do{e=e+1|0;d=c[13593]|0;b=c[13592]|0;if(d>>>0>=b>>>0){h=c[13591]|0;f=h;g=b-f<<1;b=hQ(h,g)|0;c[13591]=b;c[13592]=b+g;d=b+(d-f)|0;c[13593]=d}h=a[e>>0]|0;c[13593]=d+1;a[d>>0]=h}while(h<<24>>24!=0)}return}function ov(){var d=0,e=0,f=0,g=0,h=0;d=(c[(c[(c[13278]|0)+(c[13279]<<2)>>2]|0)+28>>2]|0)+(c[13277]|0)|0;e=c[13269]|0;h=c[13281]|0;if(e>>>0<h>>>0)do{f=a[e>>0]|0;if(!(f<<24>>24))f=1;else f=c[53128+((f&255)<<2)>>2]|0;if(b[103788+(d<<1)>>1]|0){c[13538]=d;c[13539]=e}a:while(1){g=f&255;do{f=(b[103974+(d<<1)>>1]|0)+g|0;if((b[104184+(f<<1)>>1]|0)==(d|0)){d=f;break a}f=b[104720+(d<<1)>>1]|0;d=f<<16>>16}while(f<<16>>16<=92);f=c[54160+(g<<2)>>2]|0}d=b[104930+(d<<1)>>1]|0;e=e+1|0}while(e>>>0<h>>>0);return d|0}function pv(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;d=c[24809]|0;c[b>>2]=a;pO(d,138138,b)|0;yb(2)}function qv(a,b){a=a|0;b=b|0;var d=0,e=0;d=cN()|0;e=c[d>>2]|0;iv(a);c[a>>2]=b;c[a+40>>2]=1;b=c[13278]|0;if(!b)b=0;else b=c[b+(c[13279]<<2)>>2]|0;if((b|0)!=(a|0)){c[a+32>>2]=1;c[a+36>>2]=0}c[a+24>>2]=0;c[d>>2]=e;return}function rv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;h=i;i=i+80|0;g=h+8|0;f=h;if(!(((b|0)!=0?(Ct(a,0,b,f,0)|0)!=0:0)?(k=f,l=c[k>>2]|0,k=c[k+4>>2]|0,e=a+52|0,Cv(a,c[e>>2]|0,52636),j=g+8|0,c[j>>2]=l,c[j+4>>2]=k,e=c[e>>2]|0,e=Jb[c[e>>2]&63](e,g,4)|0,(e|0)!=0):0))if((d|0)!=0?(Ct(a,0,b,f,1)|0)!=0:0){e=f;e=wv(a,c[e>>2]|0,c[e+4>>2]|0)|0;Gt(a,0,e)}else e=0;i=h;return e|0}function sv(a){a=a|0;a=c[a+52>>2]|0;return Jb[c[a>>2]&63](a,0,128)|0}function tv(a){a=a|0;var b=0;b=c[a+56>>2]|0;if(!b)b=0;else{b=c[b+52>>2]|0;b=Jb[c[b>>2]&63](b,a,8)|0}return b|0}function uv(a){a=a|0;return c[a+56>>2]|0}function vv(a,b){a=a|0;b=b|0;a=c[a+52>>2]|0;return Jb[c[a>>2]&63](a,b,2)|0}function wv(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;g=i;i=i+80|0;f=g;h=b+52|0;Cv(b,c[h>>2]|0,52636);j=f+8|0;c[j>>2]=d;c[j+4>>2]=e;h=c[h>>2]|0;f=Jb[c[h>>2]&63](h,f,4)|0;if(!f){f=au(b,72)|0;c[f+64>>2]=c[b+64>>2];j=f+24|0;h=c[b+24>>2]|0;c[j>>2]=h;a[j>>0]=h&255&-9;c[f+56>>2]=b;c[f+60>>2]=c[b+60>>2];j=f+8|0;c[j>>2]=d;c[j+4>>2]=e;f=st(f)|0}i=g;return f|0}function xv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=c[13596]|0;e=(b|0)!=0;do if(!a)if(e){fQ(b);a=0;break}else{a=eQ(d)|0;break}else if(e){bu(a,b);a=0;break}else{a=au(a,d)|0;break}while(0);return a|0}function yv(a,b,d){a=a|0;b=b|0;d=d|0;a=c[13596]|0;if(!a)fQ(b);else bu(a,b);return}function zv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=b+28|0;f=c[e>>2]|0;c[e>>2]=7;c[13596]=a;d=hs(b,d)|0;c[e>>2]=f;c[13596]=0;return d|0}function Av(a,b,d){a=a|0;b=b|0;d=d|0;c[13596]=a;return Jb[c[b>>2]&63](b,d,2)|0}function Bv(a,b){a=a|0;b=b|0;var d=0,e=0;d=(ps(b,0,0)|0)+28|0;e=c[d>>2]|0;c[d>>2]=7;c[13596]=a;if(!(ds(b)|0)){c[d>>2]=e;c[13596]=0;d=0}else d=1;return d|0}function Cv(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)!=0?(ps(b,0,0)|0)!=(c|0):0)ps(b,c,0)|0;return}function Dv(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;if(!(av(b)|0))c=Hv(b,c)|0;else{a[c>>0]=60;d=c+1|0;e=a[b>>0]|0;if(!(e<<24>>24))e=c;else{f=d;while(1){b=b+1|0;a[f>>0]=e;d=f+1|0;e=a[b>>0]|0;if(!(e<<24>>24)){e=f;break}else f=d}}a[d>>0]=62;a[e+2>>0]=0}return c|0}function Ev(a){a=a|0;return Dv(a,Iv(a)|0)|0}function Fv(a,b){a=a|0;b=b|0;a=sv(a)|0;a:do if(!a)a=0;else while(1){if((Jv(a)|0)==0?(lu(a,b,0)|0)!=0:0){a=1;break a}a=tv(a)|0;if(!a){a=0;break}}while(0);return a|0}function Gv(b,d){b=b|0;d=d|0;var e=0,f=0;c[13597]=0;e=Qs(b,138192)|0;if(((e|0)!=0?((a[e>>0]|0)+-48|0)>>>0<10:0)?(f=SO(e,0,10)|0,(f|0)==0|(f|0)>59):0)c[13598]=f;Kv(b,1);if(((Lv(b,d,1)|0)!=-1?(Mv(b,d)|0)!=-1:0)?(Nv(b,d)|0)!=-1:0){c[13598]=128;e=Hb[c[(c[(c[b+64>>2]|0)+8>>2]|0)+8>>2]&63](d)|0}else e=-1;return e|0}function Hv(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;do if((b|0)!=0?(a[b>>0]|0)!=0:0){e=d+1|0;a[d>>0]=34;h=a[b>>0]|0;if(h<<24>>24){r=b;o=0;g=0;i=0;j=((h+-45&255)<2|((h&255)+-48|0)>>>0<10)&1;f=0;n=h;while(1){r=r+1|0;h=n&255;a:do if(n<<24>>24==34){a[e>>0]=92;l=i;m=j;f=1;k=e+1|0}else{if(!j){k=n<<24>>24>-1&(n<<24>>24!=95&(GM(h)|0)==0);l=i;m=0;f=k?1:f;k=e;break}switch(n<<24>>24){case 45:{k=(g|0)==0;l=i;m=k?j:0;f=k?f:1;k=e;break a}case 46:{k=(i|0)==0;l=i+1|0;m=k?j:0;f=k?f:1;k=e;break a}default:{k=(h+-48|0)>>>0<10;l=i;m=k?j:0;f=k?f:1;k=e;break a}}}while(0);e=k+1|0;a[k>>0]=n;j=n;n=a[r>>0]|0;g=g+1|0;b:do if(c[13598]|0){h=n&255;i=n<<24>>24!=0;c:do if(((o|0)!=0&i?(GM(j<<24>>24)|0)==0:0)?(p=a[k>>0]|0,p<<24>>24>=0):0){switch(p<<24>>24){case 45:case 46:case 92:break c;default:{}}if(!(n<<24>>24>-1&((n+-45&255)>1&(GM(h)|0)==0))){a[e>>0]=92;a[k+2>>0]=10;h=0;g=0;f=1;e=k+3|0;break b}}while(0);if(!((g|0)<(c[13598]|0)|i^1))if((GM(a[k>>0]|0)|0)==0?(q=a[k>>0]|0,q<<24>>24>=0):0){switch(q<<24>>24){case 45:case 46:case 92:{h=1;break b}default:{}}if(!(n<<24>>24>-1&((n+-45&255)>1&(GM(h)|0)==0))){a[e>>0]=92;a[k+2>>0]=10;h=o;g=0;f=1;e=k+3|0}else h=1}else h=1;else h=o}else h=o;while(0);if(!(n<<24>>24))break;else{o=h;i=l;j=m}}a[e>>0]=34;a[e+1>>0]=0;if(f)break;if((g|0)==1?((a[b>>0]|0)+-45&255)<2:0)break}else{a[e>>0]=34;a[d+2>>0]=0}if(((((YO(152523,b)|0)!=0?(YO(152532,b)|0)!=0:0)?(YO(138257,b)|0)!=0:0)?(YO(152567,b)|0)!=0:0)?(YO(152559,b)|0)!=0:0){r=(YO(152573,b)|0)==0;return (r?d:b)|0}}else d=138254;while(0);return d|0}function Iv(a){a=a|0;var b=0;b=((eP(a)|0)<<1)+2|0;b=b>>>0>1024?b:1024;a=c[13602]|0;if(b>>>0>(c[13601]|0)>>>0){if(!a)a=eQ(b)|0;else a=hQ(a,b)|0;c[13602]=a;c[13601]=b}return a|0}function Jv(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;g=Ft(b)|0;if((g|0)!=0?(a[g>>0]|0)!=37:0)d=0;else e=3;a:do if((e|0)==3){d=Hs(b)|0;if(((d|0)!=0?(f=Hs(uv(b)|0)|0,(f|0)!=0):0)?(h=js(c[(Hs(yu(b)|0)|0)+8>>2]|0)|0,(h|0)>0):0){g=c[d+12>>2]|0;d=f+12|0;f=0;do{e=c[g+(f<<2)>>2]|0;if(((e|0)!=0?(i=c[(c[d>>2]|0)+(f<<2)>>2]|0,(i|0)!=0):0)?(aP(e,i)|0)!=0:0){d=0;break a}f=f+1|0}while((f|0)<(h|0))}d=Ds(b,0)|0;if(d)if((js(c[d+8>>2]|0)|0)>0)d=0;else return (js(c[d+12>>2]|0)|0)<1|0;else d=1}while(0);return d|0}function Kv(a,b){a=a|0;b=b|0;var d=0,e=0;c[a>>2]=c[a>>2]&-9;d=sv(a)|0;if(d)do{Kv(d,0);d=tv(d)|0}while((d|0)!=0);if((b|0)!=0?(e=gu(a)|0,(e|0)!=0):0)do{c[e>>2]=c[e>>2]&-9;d=at(a,e)|0;if(d)do{c[d>>2]=c[d>>2]&-9;d=ct(a,d)|0}while((d|0)!=0);e=hu(a,e)|0}while((e|0)!=0);return}function Lv(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if((e|0)==0?(uv(b)|0)!=0:0){l=150857;m=0;j=181739}else{l=(a[b+24>>0]&1)==0?181739:138236;j=(At(b)|0)==0;c[13599]=Is(b,2,152537,0)|0;c[13600]=Is(b,2,152546,0)|0;m=1;j=j?181739:138239}f=Ft(b)|0;if((f|0)!=0?(a[f>>0]|0)!=37:0){k=1;i=143678}else{k=0;f=181739;i=181739}g=c[13597]|0;h=b+64|0;a:do if((g|0)>0)while(1){if((Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,196599)|0)==-1){f=-1;break a}if((g|0)>1)g=g+-1|0;else{n=10;break}}else n=10;while(0);do if((n|0)==10)if((Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,j)|0)!=-1){g=(k|0)==0;if(k|m){if((Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,l)|0)==-1){f=-1;break}if((Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,143666)|0)==-1){f=-1;break}}if(!g?(n=Dv(f,Iv(f)|0)|0,(Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,n)|0)==-1):0){f=-1;break}if((Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,i)|0)!=-1?(Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,138247)|0)!=-1:0){c[13597]=(c[13597]|0)+1;f=Ds(b,0)|0;if(f){if((Vv(b,d,152567,c[f+16>>2]|0,e)|0)==-1){f=-1;break}if((Vv(b,d,152523,c[f+8>>2]|0,e)|0)==-1){f=-1;break}if((Vv(b,d,152532,c[f+12>>2]|0,e)|0)==-1){f=-1;break}}c[b>>2]=c[b>>2]|8;f=0}else f=-1}else f=-1;while(0);return f|0}function Mv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a:do if((Ov(a,b)|0)!=-1){d=Ds(yu(a)|0,0)|0;e=gu(a)|0;if(!e)d=0;else{m=(d|0)==0;n=d+12|0;l=d+8|0;while(1){if(Pv(a,e,(c[e>>2]|0)>>>4,0)|0){if(m)d=0;else d=c[l>>2]|0;if((Qv(e,b,d)|0)==-1){d=-1;break a}}d=at(a,e)|0;if(d){g=e;do{h=d+-48|0;f=c[((c[d>>2]&3|0)==2?d:h)+40>>2]|0;if((g|0)!=(f|0)?(Pv(a,f,(c[e>>2]|0)>>>4,0)|0)!=0:0){if(m)f=0;else f=c[l>>2]|0;if((Qv(c[((c[d>>2]&3|0)==2?d:h)+40>>2]|0,b,f)|0)==-1){d=-1;break a}g=c[((c[d>>2]&3|0)==2?d:h)+40>>2]|0}f=sv(a)|0;b:do if(!f)o=19;else while(1){if((Jv(f)|0)==0?(kt(f,d,0)|0)!=0:0)break b;f=tv(f)|0;if(!f){o=19;break}}while(0);if((o|0)==19){o=0;if(m)j=0;else j=c[n>>2]|0;i=c[d>>2]&3;k=c[((i|0)==3?d:d+48|0)+40>>2]|0;h=c[((i|0)==2?d:h)+40>>2]|0;i=xu(k)|0;f=c[13597]|0;i=i+64|0;if((f|0)>0)while(1){if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,196599)|0)==-1){d=-1;break a}if((f|0)>1)f=f+-1|0;else break}if((Rv(k,b)|0)==-1){d=-1;break a}if((Sv(d,b,c[13599]|0)|0)==-1){d=-1;break a}k=(yt(xu(k)|0)|0)!=0;if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,k?142122:142127)|0)==-1){d=-1;break a}if((Rv(h,b)|0)==-1){d=-1;break a}if((Sv(d,b,c[13600]|0)|0)==-1){d=-1;break a}if(!(c[d>>2]&8)){if((Tv(d,b,j)|0)==-1){d=-1;break a}}else if((Uv(d,b,1)|0)==-1){d=-1;break a}if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,138203)|0)==-1){d=-1;break a}}d=ct(a,d)|0}while((d|0)!=0)}e=hu(a,e)|0;if(!e){d=0;break}}}}else d=-1;while(0);return d|0}function Nv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=c[13597]|0;d=g+-1|0;c[13597]=d;e=a+64|0;a:do if((g|0)>1){a=d;while(1){if((Qb[c[(c[(c[e>>2]|0)+8>>2]|0)+4>>2]&127](b,196599)|0)==-1){a=-1;break a}if((a|0)>1)a=a+-1|0;else{f=4;break}}}else f=4;while(0);if((f|0)==4)a=((Qb[c[(c[(c[e>>2]|0)+8>>2]|0)+4>>2]&127](b,152081)|0)==-1)<<31>>31;return a|0}function Ov(a,b){a=a|0;b=b|0;a=sv(a)|0;a:do if(!a)a=0;else while(1){if(!(Jv(a)|0)){if((Lv(a,b,0)|0)==-1){a=-1;break a}if((Mv(a,b)|0)==-1){a=-1;break a}if((Nv(a,b)|0)==-1){a=-1;break a}}else Ov(a,b)|0;a=tv(a)|0;if(!a){a=0;break}}while(0);return a|0}function Pv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;a:do if((Fv(a,b)|0)==0?!(0<e>>>0|(0==(e|0)?(c[b>>2]|0)>>>4>>>0<d>>>0:0)):0){f=dt(a,b)|0;if(f)do{if(0<e>>>0|(0==(e|0)?(c[c[f+40>>2]>>2]|0)>>>4>>>0<d>>>0:0)){f=0;break a}f=et(a,f)|0}while((f|0)!=0);if((dt(a,b)|0)==0?(at(a,b)|0)==0:0){f=1;break}f=Hs(b)|0;if((f|0)!=0?(h=f+8|0,g=c[h>>2]|0,g=Jb[c[g>>2]&63](g,0,128)|0,(g|0)!=0):0){d=f+12|0;f=g;while(1){if((c[(c[d>>2]|0)+(c[f+16>>2]<<2)>>2]|0)!=(c[f+12>>2]|0)){f=1;break a}g=c[h>>2]|0;f=Jb[c[g>>2]&63](g,f,8)|0;if(!f){f=0;break}}}else f=0}else f=0;while(0);return f|0}function Qv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;f=xu(a)|0;e=c[13597]|0;f=f+64|0;a:do if((e|0)>0)while(1){if((Qb[c[(c[(c[f>>2]|0)+8>>2]|0)+4>>2]&127](b,196599)|0)==-1){e=-1;break a}if((e|0)>1)e=e+-1|0;else{g=4;break}}else g=4;while(0);do if((g|0)==4)if((Rv(a,b)|0)==-1)e=-1;else{if((c[a>>2]&8|0)==0?(Tv(a,b,d)|0)==-1:0){e=-1;break}e=Qb[c[(c[(c[f>>2]|0)+8>>2]|0)+4>>2]&127](b,138203)|0}while(0);return e|0}function Rv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;j=i;i=i+32|0;g=j;f=j+8|0;d=Ft(a)|0;e=xu(a)|0;if(!d){k=a+8|0;d=c[k+4>>2]|0;a=g;c[a>>2]=c[k>>2];c[a+4>>2]=d;DO(f,138223,g)|0;if((Qb[c[(c[(c[e+64>>2]|0)+8>>2]|0)+4>>2]&127](b,f)|0)==-1)d=-1;else h=4}else{k=Dv(d,Iv(d)|0)|0;if((Qb[c[(c[(c[e+64>>2]|0)+8>>2]|0)+4>>2]&127](b,k)|0)==-1)d=-1;else h=4}if((h|0)==4)d=0;i=j;return d|0}function Sv(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;a:do if((e|0)!=0?(f=xu(b)|0,g=Rs(b,e)|0,(a[g>>0]|0)!=0):0){b=f+64|0;if((Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,151135)|0)==-1)f=-1;else{do if(av(g)|0){g=Dv(g,Iv(g)|0)|0;if((Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,g)|0)==-1){f=-1;break a}}else{f=_O(g,58)|0;if(!f){g=Hv(g,Iv(g)|0)|0;if((Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,g)|0)==-1){f=-1;break a}else break}a[f>>0]=0;g=Hv(g,Iv(g)|0)|0;if((Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,g)|0)==-1){f=-1;break a}if((Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,151135)|0)==-1){f=-1;break a}g=f+1|0;g=Hv(g,Iv(g)|0)|0;if((Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,g)|0)==-1){f=-1;break a}a[f>>0]=58}while(0);f=0}}else f=0;while(0);return f|0}function Tv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;a:do if(!(c[a>>2]&2)){e=0;l=4}else{switch(Uv(a,b,0)|0){case -1:{e=-1;break a}case 0:{e=0;l=4;break a}default:{}}e=1;l=4}while(0);b:do if((l|0)==4){f=Hs(a)|0;k=xu(a)|0;if((f|0)!=0?(g=Jb[c[d>>2]&63](d,0,128)|0,(g|0)!=0):0){j=f+12|0;i=k+64|0;do{do if(c[a>>2]&2){h=c[13599]|0;if((h|0)!=0?(c[g+16>>2]|0)==(c[h+16>>2]|0):0)break;h=c[13600]|0;if(!((h|0)!=0?(c[g+16>>2]|0)==(c[h+16>>2]|0):0))l=12}else l=12;while(0);if((l|0)==12){l=0;f=g+16|0;if((c[(c[j>>2]|0)+(c[f>>2]<<2)>>2]|0)!=(c[g+12>>2]|0)){h=e+1|0;if(e){if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,138218)|0)==-1){e=-1;break b}e=c[13597]|0;if((e|0)>0)while(1){if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,196599)|0)==-1){e=-1;break b}if((e|0)>1)e=e+-1|0;else break}}else{e=c[13597]|0;if((e|0)>0)while(1){if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,196599)|0)==-1){e=-1;break b}if((e|0)>1)e=e+-1|0;else break}if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,138215)|0)==-1){e=-1;break b}c[13597]=(c[13597]|0)+1}e=c[g+8>>2]|0;e=Dv(e,Iv(e)|0)|0;if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,e)|0)==-1){e=-1;break b}if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,138221)|0)==-1){e=-1;break b}f=c[(c[j>>2]|0)+(c[f>>2]<<2)>>2]|0;f=Dv(f,Iv(f)|0)|0;if((Qb[c[(c[(c[i>>2]|0)+8>>2]|0)+4>>2]&127](b,f)|0)==-1){e=-1;break b}else e=h}}g=Jb[c[d>>2]&63](d,g,8)|0}while((g|0)!=0)}if((e|0)>0){if((Qb[c[(c[(c[k+64>>2]|0)+8>>2]|0)+4>>2]&127](b,138213)|0)==-1){e=-1;break}c[13597]=(c[13597]|0)+-1}c[a>>2]=c[a>>2]|8;e=0}while(0);return e|0}function Uv(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=Ft(b)|0;b=xu(b)|0;if((f|0)!=0?(a[f>>0]|0)!=0:0){b=b+64|0;if((Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,138206)|0)!=-1?(f=Dv(f,Iv(f)|0)|0,(Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,f)|0)!=-1):0)if((e|0)!=0?(Qb[c[(c[(c[b>>2]|0)+8>>2]|0)+4>>2]&127](d,138213)|0)==-1:0)b=-1;else{b=1;g=7}else b=-1}else{b=0;g=7}return b|0}function Vv(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;m=(g|0)!=0;if(m)n=0;else n=ms(f,0)|0;g=Jb[c[f>>2]&63](f,0,128)|0;a:do if(g){k=(n|0)==0;l=b+64|0;h=0;j=g;while(1){i=j+12|0;o=c[i>>2]|0;if((o|0)!=0?(a[o>>0]|0)!=0:0)o=12;else o=7;do if((o|0)==7){o=0;if(!(a[j+22>>0]|0))if(!k){g=Jb[c[n>>2]&63](n,j,4)|0;p=c[g+12>>2]|0;if((p|0)!=0?(a[p>>0]|0)!=0:0){o=12;break}if(!(a[g+22>>0]|0))o=12;else g=h}else g=h;else o=12}while(0);if((o|0)==12){o=0;g=h+1|0;if(h){if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,138218)|0)==-1){g=-1;break a}h=c[13597]|0;if((h|0)>0)while(1){if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,196599)|0)==-1){g=-1;break a}if((h|0)>1)h=h+-1|0;else break}}else{h=c[13597]|0;if((h|0)>0)while(1){if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,196599)|0)==-1){g=-1;break a}if((h|0)>1)h=h+-1|0;else break}if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,e)|0)==-1){g=-1;break a}if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,138215)|0)==-1){g=-1;break a}c[13597]=(c[13597]|0)+1}p=c[j+8>>2]|0;p=Dv(p,Iv(p)|0)|0;if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,p)|0)==-1){g=-1;break a}if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,138221)|0)==-1){g=-1;break a}p=c[i>>2]|0;p=Dv(p,Iv(p)|0)|0;if((Qb[c[(c[(c[l>>2]|0)+8>>2]|0)+4>>2]&127](d,p)|0)==-1){g=-1;break a}}j=Jb[c[f>>2]&63](f,j,8)|0;if(!j)break;else h=g}if((g|0)>0){c[13597]=(c[13597]|0)+-1;h=b+64|0;if((g|0)>1){if((Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,196601)|0)==-1){g=-1;break}g=c[13597]|0;if((g|0)>0)while(1){if((Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,196599)|0)==-1){g=-1;break a}if((g|0)>1)g=g+-1|0;else break}}g=(Qb[c[(c[(c[h>>2]|0)+8>>2]|0)+4>>2]&127](d,138250)|0)==-1;if(m|g)g=g<<31>>31;else o=35}else o=34}else o=34;while(0);if((o|0)==34)if(m)g=0;else o=35;if((o|0)==35){ms(f,n)|0;g=0}return g|0}function Wv(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;k=i;i=i+16|0;h=k;g=c[b>>2]&3;switch(g|0){case 0:{h=83;j=5;break}case 1:{h=84;j=5;break}case 3:case 2:{h=85;j=5;break}default:{c[h>>2]=g;us(1,138264,h)|0;g=-1}}if((j|0)==5){g=Qb[h&127](a,b)|0;if(!g)g=-1;else{_v(a,g,d,e,h,f);g=0}}i=k;return g|0}function Xv(a,b){a=a|0;b=b|0;if((xu(b)|0)!=(a|0))b=kt(a,b,0)|0;return b|0}function Yv(a,b){a=a|0;b=b|0;if((xu(b)|0)!=(a|0))b=lu(a,b,0)|0;return b|0}function Zv(a,b){a=a|0;b=b|0;return a|0}function _v(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;i=(f|0)!=0;if(i)Vb[c&127](a,b,d);g=sv(a)|0;if(g)do{h=Qb[e&127](g,b)|0;if(h)_v(g,h,c,d,e,f);g=tv(g)|0}while((g|0)!=0);if(!i)Vb[c&127](a,b,d);return}function $v(){var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;A=i;i=i+2224|0;w=A+800|0;y=A+1824|0;f=A;c[13603]=0;c[13604]=-2;r=0;l=y;e=y;h=200;m=0;k=f;a:while(1){b[e>>1]=m;if((l+(h+-1<<1)|0)>>>0<=e>>>0){j=e-l>>1;e=j+1|0;if(h>>>0>9999){f=l;z=100;break}g=h<<1;g=g>>>0>1e4?1e4:g;f=eQ(g*6|3)|0;if(!f){f=l;z=100;break}rQ(f|0,l|0,e<<1|0)|0;h=f+((g>>>1&1073741823)<<2)|0;rQ(h|0,k|0,e<<2|0)|0;if((l|0)!=(y|0))fQ(l);if((g+-1|0)>(j|0)){u=f;e=f+(j<<1)|0;s=g;t=h;f=h+(j<<2)|0}else{e=1;z=102;break}}else{u=l;s=h;t=k}if((m|0)==6){e=0;f=u;z=101;break}q=a[138297+m>>0]|0;j=q<<24>>24;do if(q<<24>>24!=-18){g=c[13604]|0;if((g|0)==-2){g=fv()|0;c[13604]=g}if((g|0)>=1)if(g>>>0<269)h=d[138377+g>>0]|0;else h=2;else{c[13604]=0;h=0}g=h+j|0;if(g>>>0<=59?(d[138646+g>>0]|0)==(h|0):0){q=a[138706+g>>0]|0;g=q<<24>>24;if(q<<24>>24<1){g=0-g|0;z=23;break}else{c[13604]=-2;f=f+4|0;c[f>>2]=c[13605];j=(r|0)==0?0:r+-1|0;break}}else z=22}else z=22;while(0);if((z|0)==22){z=0;q=a[138766+m>>0]|0;g=q&255;if(!(q<<24>>24)){g=c[13604]|0;b:do switch(r|0){case 0:{c[13603]=(c[13603]|0)+1;jv(183367);break}case 3:if((g|0)<1)if(!g){e=1;f=u;z=101;break a}else break b;else{c[13604]=-2;break b}default:{}}while(0);if(m)do{if((e|0)==(u|0)){e=1;f=u;z=101;break a}f=f+-4|0;e=e+-2|0}while((b[e>>1]|0)!=0);f=f+4|0;c[f>>2]=c[13605];j=3;g=1}else z=23}do if((z|0)==23){z=0;o=d[138846+g>>0]|0;p=1-o|0;q=f+(p<<2)|0;n=c[q>>2]|0;c:do switch(g|0){case 2:{cw();kv();St(c[13606]|0);h=n;break}case 3:{if(!(c[13606]|0))h=n;else{cw();kv();St(c[13606]|0);ut(c[13606]|0)|0;c[13175]=0;c[13606]=0;h=n}break}case 6:{j=c[f>>2]|0;h=c[13606]|0;if(!h){a[54428]=(c[f+-8>>2]&255)<<1&2|c[f+-4>>2]&1|a[54428]&-12|8;h=c[13608]|0;c[w>>2]=c[13607];h=rt(j,w,h)|0;c[13606]=h}c[13175]=h;l=c[13609]|0;m=au(h,36)|0;c[m+32>>2]=l;c[m>>2]=h;c[13609]=m;$u(0,j)|0;h=n;break}case 7:{h=c[f>>2]|0;break}case 8:{h=0;break}case 9:{h=1;break}case 10:{h=0;break}case 11:{h=0;break}case 12:{h=1;break}case 21:{if(!(c[f+-4>>2]|0)){dw(1);j=c[13609]|0;h=c[j+8>>2]|0;if(!h)h=0;else{do{gw(c[h+4>>2]|0);h=c[h+12>>2]|0}while((h|0)!=0);h=c[13609]|0;j=h;h=c[h+8>>2]|0}fw(h);c[j+12>>2]=0;c[j+8>>2]=0;h=c[13609]|0;m=h+24|0;fw(c[m>>2]|0);c[h+28>>2]=0;c[m>>2]=0;m=c[13609]|0;h=m+16|0;fw(c[h>>2]|0);c[m+20>>2]=0;c[h>>2]=0;c[(c[13609]|0)+4>>2]=0;h=n;break c}dw(2);h=c[13609]|0;j=c[h+24>>2]|0;if(!j)k=0;else{l=a[138909]|0;k=0;do{if(((c[j>>2]|0)==267?(v=c[j+4>>2]|0,(a[v>>0]|0)==l<<24>>24):0)?(aP(v,138909)|0)==0:0)k=c[j+8>>2]|0;j=c[j+12>>2]|0}while((j|0)!=0)}l=c[h+16>>2]|0;j=l+12|0;m=c[j>>2]|0;if(m){do{h=l+4|0;if((c[l>>2]|0)==262){l=c[h>>2]|0;h=gu(l)|0;if(h)do{m=lu(c[c[13609]>>2]|0,h,0)|0;ew(m,0,c[j>>2]|0,k);h=hu(l,h)|0}while((h|0)!=0)}else{h=c[h>>2]|0;if((h|0)!=0?(ew(c[h+4>>2]|0,c[h+8>>2]|0,m,k),x=c[h+12>>2]|0,(x|0)!=0):0){h=x;do{ew(c[h+4>>2]|0,c[h+8>>2]|0,c[j>>2]|0,k);h=c[h+12>>2]|0}while((h|0)!=0)}}l=c[j>>2]|0;j=l+12|0;m=c[j>>2]|0}while((m|0)!=0);h=c[13609]|0}m=h+8|0;fw(c[m>>2]|0);c[h+12>>2]=0;c[m>>2]=0;h=c[13609]|0;m=h+16|0;fw(c[m>>2]|0);c[h+20>>2]=0;c[m>>2]=0;m=c[13609]|0;h=m+24|0;fw(c[h>>2]|0);c[m+28>>2]=0;c[h>>2]=0;c[(c[13609]|0)+4>>2]=0;h=n;break}case 24:{hw();h=n;break}case 25:{hw();h=n;break}case 26:{h=1;break}case 27:{h=0;break}case 30:{iw(c[f>>2]|0,0,0);h=n;break}case 31:{iw(c[f+-8>>2]|0,c[f>>2]|0,0);h=n;break}case 32:{iw(c[f+-16>>2]|0,c[f+-8>>2]|0,c[f>>2]|0);h=n;break}case 33:{jw(c[f+-8>>2]|0,c[f+-4>>2]|0);h=n;break}case 34:{jw(258,0);h=n;break}case 35:{h=258;break}case 36:{h=259;break}case 37:{h=260;break}case 38:{h=c[f+-4>>2]|0;break}case 39:{h=0;break}case 48:{kw(c[f+-8>>2]|0,c[f>>2]|0);h=n;break}case 49:{kw(c[f>>2]|0,0);h=n;break}case 51:{h=c[f>>2]|0;k=c[13609]|0;l=rv(c[k>>2]|0,h,1)|0;m=au(c[13606]|0,36)|0;c[m+32>>2]=k;c[m>>2]=l;c[13609]=m;$u(c[13606]|0,h)|0;h=n;break}case 52:{l=c[13609]|0;m=c[l>>2]|0;h=c[l+32>>2]|0;bu(c[13606]|0,l);c[13609]=h;c[h+4>>2]=m;h=n;break}case 53:{h=c[f>>2]|0;break}case 54:{h=0;break}case 55:{h=0;break}case 59:{h=c[f>>2]|0;break}case 60:{h=c[f>>2]|0;break}case 61:{h=c[f>>2]|0;break}case 62:{k=c[f+-8>>2]|0;l=c[f>>2]|0;h=eP(k)|0;h=h+1+(eP(l)|0)|0;if(h>>>0<1025)j=w;else j=eQ(h)|0;bP(j,k)|0;ZO(j,l)|0;h=Zu(c[13606]|0,j)|0;$u(c[13606]|0,k)|0;$u(c[13606]|0,l)|0;if((j|0)!=(w|0))fQ(j);break}default:h=n}while(0);e=e+(0-o<<1)|0;f=f+(p<<2)|0;c[q>>2]=h;g=(d[138913+g>>0]|0)+-24|0;q=b[e>>1]|0;h=q+(a[138976+g>>0]|0)|0;if(h>>>0<60?(d[138646+h>>0]|0)==(q|0):0){j=r;g=a[138706+h>>0]|0;break}j=r;g=a[139011+g>>0]|0}while(0);r=j;l=u;e=e+2|0;h=s;m=g;k=t}if((z|0)==100){jv(181722);e=2;z=101}if((z|0)==101)if((f|0)!=(y|0))z=102;if((z|0)==102)fQ(f);i=A;return e|0}function aw(a,b,d){a=a|0;b=b|0;d=d|0;c[13267]=b;c[13606]=a;c[13175]=0;a=(d|0)!=0?d:52688;c[13608]=a;ev(a,b);$v()|0;b=c[13175]|0;if(!b){lv();b=c[13175]|0}return b|0}function bw(a,b){a=a|0;b=b|0;return aw(0,a,b)|0}function cw(){var a=0,b=0,d=0;a=c[13609]|0;if(a)do{b=a+8|0;fw(c[b>>2]|0);c[a+12>>2]=0;c[b>>2]=0;b=c[13609]|0;d=b+24|0;fw(c[d>>2]|0);c[b+28>>2]=0;c[d>>2]=0;d=c[13609]|0;b=d+16|0;fw(c[b>>2]|0);c[d+20>>2]=0;c[b>>2]=0;b=c[13609]|0;a=c[b+32>>2]|0;bu(c[13606]|0,b);c[13609]=a}while((a|0)!=0);return}function dw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=c[(c[13609]|0)+24>>2]|0;if(d){g=(b|0)==2;do{e=d+4|0;f=c[e>>2]|0;if(!((g?(a[f>>0]|0)==(a[138909]|0):0)?(aP(f,138909)|0)==0:0)){h=Is(c[c[13609]>>2]|0,b,f,0)|0;c[e>>2]=h;if(!h)c[e>>2]=Is(c[c[13609]>>2]|0,b,f,181739)|0;c[d>>2]=266;$u(c[13606]|0,f)|0}d=c[d+12>>2]|0}while((d|0)!=0)}return}function ew(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=d+4|0;if((c[d>>2]|0)==262){d=c[f>>2]|0;f=gu(d)|0;if(f)do{lw(a,b,lu(c[c[13609]>>2]|0,f,0)|0,0,e);f=hu(d,f)|0}while((f|0)!=0)}else{f=c[f>>2]|0;if(f)do{d=lu(c[c[13609]>>2]|0,c[f+4>>2]|0,0)|0;lw(a,b,d,c[f+8>>2]|0,e);f=c[f+12>>2]|0}while((f|0)!=0)}return}function fw(a){a=a|0;var b=0;a:do if(a)while(1){b=a;a=c[a+12>>2]|0;switch(c[b>>2]|0){case 265:{fw(c[b+4>>2]|0);break}case 266:case 267:{$u(c[13606]|0,c[b+8>>2]|0)|0;break}default:{}}bu(c[13606]|0,b);if(!a)break a}while(0);return}function gw(a){a=a|0;var b=0,d=0;b=c[(c[13609]|0)+24>>2]|0;if(b)do{if((c[b>>2]|0)==266?(d=c[b+4>>2]|0,(d|0)!=0):0)Ts(a,d,c[b+8>>2]|0)|0;b=c[b+12>>2]|0}while((b|0)!=0);return}function hw(){var a=0,b=0,d=0,e=0;b=c[13609]|0;a=c[b+8>>2]|0;if(!a){a=c[b+4>>2]|0;if(!a){a=b;b=0}else{b=au(c[13606]|0,16)|0;c[b>>2]=262;c[b+4>>2]=a;c[b+8>>2]=0;a=c[13609]|0}c[a+4>>2]=0}else{b=au(c[13606]|0,16)|0;c[b>>2]=265;c[b+4>>2]=a;c[b+8>>2]=0;c[(c[13609]|0)+12>>2]=0;c[(c[13609]|0)+8>>2]=0}if(b){a=c[13609]|0;d=a+20|0;e=c[d>>2]|0;if(e)c[e+12>>2]=b;c[d>>2]=b;a=a+16|0;if(!(c[a>>2]|0))c[a>>2]=b}return}function iw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+1040|0;g=j;h=j+8|0;if(!d)e=b;else{e=eP(b)|0;e=e+2+(eP(d)|0)|0;if(e>>>0<1025)f=h;else f=eQ(e)|0;c[g>>2]=b;c[g+4>>2]=d;DO(f,139079,g)|0;e=Zu(c[13606]|0,f)|0;$u(c[13606]|0,b)|0;$u(c[13606]|0,d)|0;if((f|0)!=(h|0))fQ(f)}f=mu(c[c[13609]>>2]|0,a,1)|0;h=au(c[13606]|0,16)|0;c[h>>2]=259;c[h+4>>2]=f;c[h+8>>2]=e;e=c[13609]|0;f=e+12|0;g=c[f>>2]|0;if(g)c[g+12>>2]=h;c[f>>2]=h;e=e+8|0;if(!(c[e>>2]|0))c[e>>2]=h;$u(c[13606]|0,a)|0;i=j;return}function jw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;h=i;i=i+16|0;e=h+8|0;if(d)us(0,139046,h)|0;d=c[(c[13609]|0)+24>>2]|0;if(d)do{if(!(c[d+8>>2]|0))us(0,139046,e)|0;d=c[d+12>>2]|0}while((d|0)!=0);g=(b|0)==260?2:(b|0)==259&1;dw(g);d=c[13609]|0;b=c[d+24>>2]|0;if(!b){b=d;d=0}else{do{do if((c[b>>2]|0)!=267){e=c[b+4>>2]|0;f=c[d>>2]|0;if(!((a[e+21>>0]|0)!=0&(f|0)==(c[13606]|0))){e=Is(f,g,c[e+8>>2]|0,c[b+8>>2]|0)|0;d=c[13609]|0;if((c[d>>2]|0)!=(c[13606]|0))break}a[e+22>>0]=1}while(0);b=c[b+12>>2]|0}while((b|0)!=0);b=d;d=c[d+24>>2]|0}fw(d);c[b+28>>2]=0;c[b+24>>2]=0;i=h;return}function kw(a,b){a=a|0;b=b|0;var d=0,e=0;e=au(c[13606]|0,16)|0;c[e>>2]=267;c[e+4>>2]=a;c[e+8>>2]=b;a=c[13609]|0;b=a+28|0;d=c[b>>2]|0;if(d)c[d+12>>2]=e;c[b>>2]=e;a=a+24|0;if(!(c[a>>2]|0))c[a>>2]=e;return}function lw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;d=ht(c[c[13609]>>2]|0,a,d,f,1)|0;if(d){g=c[d>>2]&3;f=c[((g|0)==2?d:d+-48|0)+40>>2]|0;a=(f|0)==(a|0)?(c[((g|0)==3?d:d+48|0)+40>>2]|0)!=(f|0):0;mw(d,152537,a?e:b);mw(d,152546,a?b:e);gw(d)}return}function mw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if(d){e=Is(c[c[13609]>>2]|0,2,b,0)|0;if(!e)e=Is(c[c[13609]>>2]|0,2,b,181739)|0;Ts(a,e,d)|0}return}function nw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+128|0;m=n+16|0;l=n+8|0;g=n;h=n+20|0;d=c[b+76>>2]|0;f=c[b>>2]|0;if((d|0)!=0?(e=c[d>>2]|0,(e|0)!=0):0){Db[e&127](b);j=21}else j=4;do if((j|0)==4)if((c[b+40>>2]|0)==0?(k=b+36|0,(c[k>>2]|0)==0):0){if(!(a[f+13>>0]|0)){e=b+32|0;d=e;e=c[e>>2]|0}else{d=c[b+24>>2]|0;if(!d)a[h>>0]=0;else{c[g>>2]=d+1;DO(h,139085,g)|0}e=c[b+20>>2]|0;e=(e|0)!=0?e:139089;g=eP(e)|0;d=eP(h)|0;f=b+52|0;d=g+1+d+(eP(c[f>>2]|0)|0)|0;if((c[13610]|0)>>>0<(d+1|0)>>>0){d=d+11|0;c[13610]=d;d=hQ(c[13611]|0,d)|0;c[13611]=d}else d=c[13611]|0;bP(d,e)|0;ZO(c[13611]|0,h)|0;e=c[13611]|0;e=e+(eP(e)|0)|0;a[e>>0]=46;a[e+1>>0]=0;f=dP(c[f>>2]|0)|0;e=jP(f,58)|0;d=c[13611]|0;if(e)do{ZO(d,e+1|0)|0;d=c[13611]|0;d=d+(eP(d)|0)|0;a[d>>0]=46;a[d+1>>0]=0;a[e>>0]=0;e=jP(f,58)|0;d=c[13611]|0}while((e|0)!=0);ZO(d,f)|0;fQ(f);e=c[13611]|0;d=b+32|0;c[d>>2]=e}if(!e){c[k>>2]=c[24811];j=21;break}h=oO(e,146601)|0;c[k>>2]=h;if(!h){m=c[(c[b+12>>2]|0)+16>>2]|0;b=c[d>>2]|0;d=dN(c[(cN()|0)>>2]|0)|0;c[l>>2]=b;c[l+4>>2]=d;Fb[m&63](139099,l);d=1}else j=21}else j=21;while(0);if((j|0)==21)if(!(c[b+152>>2]&1024))d=0;else{Fb[c[(c[b+12>>2]|0)+16>>2]&63](139137,m);d=1}i=n;return d|0}function ow(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+32|0;h=o+16|0;n=o+8|0;f=o;a:do if((d|0)!=0&(e|0)!=0){if(c[b+152>>2]&1024){Fb[c[(c[b+12>>2]|0)+16>>2]&63](139137,f);yb(1)}f=c[(c[b>>2]|0)+104>>2]|0;do if(!f){k=b+40|0;j=c[k>>2]|0;if(!j){f=AO(d,1,e,c[b+36>>2]|0)|0;break}f=b+44|0;h=b+48|0;g=c[h>>2]|0;do if(((c[f>>2]|0)+-1-g|0)>>>0<e>>>0){g=e+4096+g&-4096;c[f>>2]=g;f=hQ(j,g)|0;c[k>>2]=f;if(!f){Fb[c[(c[b+12>>2]|0)+16>>2]&63](139155,n);yb(1)}else{l=f;m=c[h>>2]|0;break}}else{l=j;m=g}while(0);rQ(l+m|0,d|0,e|0)|0;g=(c[h>>2]|0)+e|0;c[h>>2]=g;a[(c[k>>2]|0)+g>>0]=0;g=e;break a}else f=Jb[f&63](b,d,e)|0;while(0);if((f|0)==(e|0))g=e;else{b=c[(c[b+12>>2]|0)+16>>2]|0;c[h>>2]=e;Fb[b&63](139182,h);yb(1)}}else g=0;while(0);i=o;return g|0}function pw(a,b){a=a|0;b=b|0;var c=0;c=eP(b)|0;b=(ow(a,b,c)|0)==(c|0);return (b?1:-1)|0}function qw(b,c){b=b|0;c=c|0;var d=0,e=0;d=i;i=i+16|0;e=d;a[e>>0]=c;b=(ow(b,e,1)|0)==1;i=d;return (b?c:-1)|0}function rw(b){b=b|0;var d=0;d=c[b+36>>2]|0;if(((d|0)!=0?(a[b+144>>0]|0)==0:0)?(c[(c[b>>2]|0)+104>>2]|0)==0:0)d=kO(d)|0;else d=0;return d|0}function sw(a){a=a|0;var b=0,d=0;b=c[a+76>>2]|0;if((b|0)!=0?(d=c[b+4>>2]|0,(d|0)!=0):0)Db[d&127](a);rw(a)|0;return}function tw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+16|0;d=c[b+76>>2]|0;if(c[b+152>>2]&1024){Fb[c[(c[b+12>>2]|0)+16>>2]&63](139207,k);yb(1)}if((d|0)!=0?(e=c[d+8>>2]|0,(e|0)!=0):0)Db[e&127](b);else j=6;if((((j|0)==6?(rw(b)|0,f=b+32|0,(c[f>>2]|0)!=0):0)?(g=b+36|0,h=c[g>>2]|0,(h|0)!=(c[24811]|0)):0)?(a[b+144>>0]|0)==0:0){if(h){iO(h)|0;c[g>>2]=0}c[f>>2]=0}i=k;return}function uw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=i;i=i+1056|0;f=j;h=j+24|0;g=j+8|0;c[g>>2]=d;e=JO(h,1024,b,g)|0;if((e|0)>=0){if((e|0)>1023){e=zz(e+1|0)|0;c[g>>2]=d;f=e;e=KO(e,b,g)|0}else f=h;ow(a,f,e)|0;if((f|0)!=(h|0))fQ(f)}else{c[f>>2]=dN(c[(cN()|0)>>2]|0)|0;us(1,139224,f)|0}i=j;return}function vw(a,b){a=a|0;b=+b;var d=0,e=0,f=0;d=i;i=i+16|0;e=d;f=yw(e,b)|0;ow(a,f,c[e>>2]|0)|0;i=d;return}function ww(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+16|0;e=d;f=yw(e,+h[b>>3])|0;ow(a,f,c[e>>2]|0)|0;ow(a,143678,1)|0;b=yw(e,+h[b+8>>3])|0;ow(a,b,c[e>>2]|0)|0;i=d;return}function xw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;g=i;i=i+16|0;e=g;c[e>>2]=c[b>>2];c[e+4>>2]=c[b+4>>2];c[e+8>>2]=c[b+8>>2];c[e+12>>2]=c[b+12>>2];ww(a,e);if((d|0)>1){f=1;do{ow(a,143678,1)|0;h=b+(f<<4)|0;c[e>>2]=c[h>>2];c[e+4>>2]=c[h+4>>2];c[e+8>>2]=c[h+8>>2];c[e+12>>2]=c[h+12>>2];ww(a,e);f=f+1|0}while((f|0)!=(d|0))}i=g;return}function yw(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;do if(d<-1.0e15){c[b>>2]=19;e=139258}else{if(d>1.0e15){c[b>>2]=18;e=139259;break}d=d*1.0e4;e=~~(d+(d<0.0?-.5:.5));if(!e){c[b>>2]=1;e=179560;break}k=(e|0)<0;h=k?0-e|0:e;j=4;e=139258;g=0;while(1){f=(h|0)%10|0;i=h;h=(h|0)/10|0;if(g<<24>>24==0&(f|0)==0)g=0;else{e=e+-1|0;a[e>>0]=f|48;g=1}if((j|0)==1)if(!(g<<24>>24))g=1;else{e=e+-1|0;a[e>>0]=46;g=1}if(!((i+9|0)>>>0>18|(j|0)>1))break;else j=j+-1|0}if(k){e=e+-1|0;a[e>>0]=45}c[b>>2]=139258-e}while(0);return e|0}function zw(a,b){a=a|0;b=b|0;var d=0;d=yz(392)|0;if(d){c[d>>2]=54448;c[d+16>>2]=25;c[d+32>>2]=a;c[d+36>>2]=b}return d|0}function Aw(a){a=a|0;var b=0,d=0,e=0,f=0;b=yz(392)|0;d=b;e=a;f=d+40|0;do{c[d>>2]=c[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));f=b+60|0;e=a+60|0;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];c[f+12>>2]=c[e+12>>2];c[f+16>>2]=c[e+16>>2];f=b+80|0;e=a+80|0;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];c[f+12>>2]=c[e+12>>2];c[f+16>>2]=c[e+16>>2];return b|0}function Bw(a){a=a|0;Hw(a);fQ(a);return}function Cw(a,b){a=a|0;b=b|0;var d=0,e=0;d=a+160|0;e=c[d>>2]|0;do if(!e){e=yz(632)|0;c[d>>2]=e;c[a+164>>2]=e;c[13615]=e;d=e}else{d=c[13615]|0;if(!d){c[13615]=e;d=e;break}if(!(c[d+4>>2]|0)){d=yz(632)|0;c[(c[13615]|0)+4>>2]=d;d=c[13615]|0}d=c[d+4>>2]|0;c[13615]=d}while(0);c[d+32>>2]=b;c[c[13615]>>2]=a;return}function Dw(a,b){a=a|0;b=b|0;var d=0,e=0;d=a+160|0;e=c[d>>2]|0;do if(!e){e=yz(632)|0;c[d>>2]=e;c[a+164>>2]=e;c[13616]=e;d=e}else{d=c[13616]|0;if(!d){c[13616]=e;d=e;break}if(!(c[d+4>>2]|0)){d=yz(632)|0;c[(c[13616]|0)+4>>2]=d;d=c[13616]|0}d=c[d+4>>2]|0;c[13616]=d}while(0);c[d+52>>2]=b;c[c[13616]>>2]=a;return (Jw(a,3,b)|0)!=0|0}function Ew(a){a=a|0;var b=0;b=c[a+160>>2]|0;c[a+164>>2]=b;return b|0}function Fw(a){a=a|0;var b=0,d=0,e=0;a=a+164|0;b=c[a>>2]|0;d=c[b+4>>2]|0;if((d|0)!=0?(e=d+52|0,(c[e>>2]|0)==0):0)c[e>>2]=c[b+52>>2];c[a>>2]=d;return d|0}function Gw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=a+8|0;if((c[e>>2]|0)>(b|0))e=c[a>>2]|0;else{f=b+10|0;c[e>>2]=f;e=Bz(c[a>>2]|0,f<<2)|0;c[a>>2]=e}c[e+(b<<2)>>2]=d;return}function Hw(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;g=a+160|0;b=c[g>>2]|0;if(b)do{f=b;b=c[b+4>>2]|0;d=f+604|0;e=c[d>>2]|0;if(e)fQ(e);c[d>>2]=0;c[f+612>>2]=0;c[f+608>>2]=0;d=f+592|0;e=c[d>>2]|0;if(e)fQ(e);c[d>>2]=0;c[f+600>>2]=0;c[f+596>>2]=0;d=c[f+584>>2]|0;if(d)fQ(d);d=c[f+588>>2]|0;if(d)fQ(d);fQ(f)}while((b|0)!=0);c[13616]=0;c[13615]=0;c[a+192>>2]=0;c[a+164>>2]=0;c[g>>2]=0;c[a+28>>2]=0;return}function Iw(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;m=i;i=i+128|0;k=m+64|0;l=m;hP(k,e,63)|0;j=_O(k,58)|0;if(j)a[j>>0]=0;j=b+60+(d<<2)|0;d=c[j>>2]|0;a:do if(d){b=j;while(1){hP(l,c[d+4>>2]|0,63)|0;j=_O(l,58)|0;if(j)a[j>>0]=0;d=(aP(k,l)|0)<1;j=c[b>>2]|0;if(d){d=b;break}d=c[j>>2]|0;if(!d)break a;else b=j}if(!j)j=d;else{b=d;while(1){hP(l,c[j+4>>2]|0,63)|0;j=_O(l,58)|0;if(j)a[j>>0]=0;if(aP(k,l)|0){j=b;break a}d=c[b>>2]|0;if((c[d+8>>2]|0)<=(f|0)){j=b;break a}j=c[d>>2]|0;if(!j){j=d;break}else b=d}}}while(0);l=zz(20)|0;c[l>>2]=c[j>>2];c[j>>2]=l;c[l+4>>2]=e;c[l+8>>2]=f;c[l+12>>2]=g;c[l+16>>2]=h;i=m;return 1}function Jw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=i;i=i+160|0;r=s+8|0;q=s;o=s+88|0;p=s+24|0;n=(d+-3|0)>>>0<2?0:d;hP(o,e,63)|0;e=_O(o,58)|0;if(e){f=e+1|0;a[e>>0]=0;e=_O(f,58)|0;if(!e)m=0;else{a[e>>0]=0;m=e+1|0}}else{f=0;m=0}e=b+60+(d<<2)|0;g=c[e>>2]|0;a:do if(g){j=(f|0)!=0;k=(m|0)==0;l=(n|0)==(d|0);b:while(1){hP(p,c[g+4>>2]|0,63)|0;g=_O(p,58)|0;if(!g)h=0;else{a[g>>0]=0;h=g+1|0}do if(!(aP(p,o)|0)){g=(h|0)!=0;if(j&g?(aP(h,f)|0)!=0:0)break;if(!k?(aP(m,c[(c[(c[e>>2]|0)+12>>2]|0)+8>>2]|0)|0)!=0:0)break;if(l|g^1)break b;if(Jw(b,n,h)|0)break b}while(0);e=c[e>>2]|0;g=c[e>>2]|0;if(!g){e=0;break a}}e=c[e>>2]|0;if(e){f=e+16|0;if((c[f>>2]|0)==0?(us(1,139332,q)|0,(c[f>>2]|0)==0):0){e=0;break}if((c[b+8>>2]|0)>0){q=c[24809]|0;o=c[e+4>>2]|0;p=c[(c[e+12>>2]|0)+8>>2]|0;c[r>>2]=c[54468+(d<<2)>>2];c[r+4>>2]=o;c[r+8>>2]=p;pO(q,139363,r)|0}}else e=0}else e=0;while(0);c[b+80+(d<<2)>>2]=e;i=s;return e|0}function Kw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;do if(!e)e=0;else{if(c[13622]|0){xs(54492,0,0);c[13622]=0}h=dP(e)|0;e=_O(h,58)|0;do if(e){a[e>>0]=0;b=b+60+(d<<2)|0;e=c[b>>2]|0;if(!e){fQ(h);e=1;i=19;break}else{d=e;e=1;g=b}do{f=dP(c[d+4>>2]|0)|0;d=_O(f,58)|0;if(d)a[d>>0]=0;if(!((a[h>>0]|0)!=0?(YO(h,f)|0)!=0:0)){e=c[13624]|0;if(e>>>0>=(c[13625]|0)>>>0){ys(54492,1)|0;e=c[13624]|0}c[13624]=e+1;a[e>>0]=32;As(54492,c[(c[g>>2]|0)+4>>2]|0)|0;e=c[13624]|0;if(e>>>0>=(c[13625]|0)>>>0){ys(54492,1)|0;e=c[13624]|0}c[13624]=e+1;a[e>>0]=58;As(54492,c[(c[(c[g>>2]|0)+12>>2]|0)+8>>2]|0)|0;e=0}fQ(f);g=c[g>>2]|0;d=c[g>>2]|0}while((d|0)!=0);fQ(h);if(e<<24>>24)i=19}else{fQ(h);e=1;b=b+60+(d<<2)|0;i=19}while(0);if((i|0)==19){d=c[b>>2]|0;if(!d){e=181739;break}else g=0;do{f=g;g=dP(c[d+4>>2]|0)|0;d=_O(g,58)|0;if(d)a[d>>0]=0;if(!((f|0)!=0?(YO(f,g)|0)==0:0)){e=c[13624]|0;if(e>>>0>=(c[13625]|0)>>>0){ys(54492,1)|0;e=c[13624]|0}c[13624]=e+1;a[e>>0]=32;As(54492,g)|0;e=0}b=c[b>>2]|0;d=c[b>>2]|0}while((d|0)!=0);if(e<<24>>24){e=181739;break}}e=c[13624]|0;if(e>>>0>=(c[13625]|0)>>>0){ys(54492,1)|0;e=c[13624]|0}a[e>>0]=0;e=c[13623]|0;c[13624]=e}while(0);return e|0}function Lw(b){b=b|0;var d=0;if(!b)Na(152225,139380,573,139394);if(!(a[b>>0]|0))Na(152230,139380,574,139394);d=c[13627]|0;if(!d)d=0;else d=Jb[c[d>>2]&63](d,b,512)|0;return d|0}function Mw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+16|0;k=l+8|0;j=l;if(!b)Na(152385,139380,589,139411);g=b+8|0;e=c[g>>2]|0;if(!e)Na(152388,139380,590,139411);if(!(a[e>>0]|0))Na(152397,139380,591,139411);h=b+20|0;f=c[h>>2]|0;do if(!f){d=zC(e)|0;if(!d){c[j>>2]=c[g>>2];us(0,139435,j)|0;d=0;break}j=oO(d,179987)|0;c[h>>2]=j;if(!j){c[k>>2]=dN(c[(cN()|0)>>2]|0)|0;c[k+4>>2]=d;us(0,139460,k)|0;d=0;break}d=c[13628]|0;if((d|0)>49){a[b+17>>0]=1;d=1;break}else{c[13628]=d+1;d=1;break}}else{vO(f,0,0)|0;if(!(c[h>>2]|0))Na(139481,139380,614,139411);else d=1}while(0);i=l;return d|0}function Nw(b){b=b|0;var d=0,e=0;if((a[b+17>>0]|0)!=0?(d=b+20|0,e=c[d>>2]|0,(e|0)!=0):0){iO(e)|0;c[d>>2]=0}return}function Ow(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0.0;if(!b){d=-1;e=-1}else{e=c[b+48>>2]|0;if(!e){f=+h[d>>3];g=+h[d+8>>3]}else{g=+(e|0);h[d+8>>3]=g;h[d>>3]=g;f=g}d=~~(+((c[b+40>>2]|0)*72|0)/f);e=~~(+((c[b+44>>2]|0)*72|0)/g)}c[a>>2]=d;c[a+4>>2]=e;return}function Pw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0;P=i;i=i+2432|0;D=P+2160|0;C=P+2152|0;B=P+2144|0;A=P+2136|0;z=P+2128|0;m=P+2120|0;n=P+2104|0;O=P+2096|0;J=P+2072|0;I=P+2056|0;F=P+1032|0;K=P+8|0;E=P;y=P+2408|0;x=P+2176|0;w=P+2208|0;if((e|0)!=0?(a[e>>0]|0)!=0:0){if(((c[13879]|0)==0?(f=c[13878]|0,(c[13629]|0)!=(f|0)):0)?(c[13629]=f,g=c[13627]|0,(g|0)!=0):0){ds(g)|0;c[13627]=0}L=+h[(c[(c[d+16>>2]|0)+8>>2]|0)+24>>3];L=!(L>=1.0)?96.0:L;if(!(c[13627]|0))c[13627]=hs(54520,c[13098]|0)|0;f=Lw(e)|0;do if(!f){f=yz(64)|0;if(!f){g=-1;f=-1}else{H=f+8|0;c[H>>2]=Zu(0,e)|0;if(!((Mw(f)|0)<<24>>24)){Qw(f);g=-1;f=-1;break}G=f+20|0;g=c[G>>2]|0;if(!g)Na(139481,139380,653,139487);a:do if((sO(J,1,20,g)|0)==20){g=0;while(1){if(!(UO(J,c[54556+(g<<4)>>2]|0,c[54556+(g<<4)+4>>2]|0)|0))break;g=g+1|0;if(g>>>0>=10){M=26;break a}}k=f+28|0;c[k>>2]=c[54556+(g<<4)+12>>2];d=c[54556+(g<<4)+8>>2]|0;l=f+24|0;c[l>>2]=d;b:do switch(g|0){case 7:{while(1){if(!(mO(w,200,c[G>>2]|0)|0)){M=24;break}if(!(UO(w,139504,4)|0)){M=21;break}}if((M|0)==21){c[k>>2]=143048;c[l>>2]=8;break b}else if((M|0)==24){g=c[l>>2]|0;M=27;break b}break}case 8:{if(!(UO(J+8|0,139509,4)|0)){c[k>>2]=139514;c[l>>2]=11;M=67}else{g=d;M=27}break}default:{g=d;M=27}}while(0);c:do if((M|0)==27)switch(g|0){case 0:{M=28;break a}case 11:{M=67;break c}case 8:break c;case 2:{c[f+48>>2]=0;vO(c[G>>2]|0,6,0)|0;if((Rw(c[G>>2]|0,2,J)|0)<<24>>24!=0?(Rw(c[G>>2]|0,2,I)|0)<<24>>24!=0:0){c[f+40>>2]=c[J>>2];c[f+44>>2]=c[I>>2]}break a}case 3:{c[f+48>>2]=0;vO(c[G>>2]|0,16,0)|0;if((Sw(c[G>>2]|0,4,J)|0)<<24>>24!=0?(Sw(c[G>>2]|0,4,I)|0)<<24>>24!=0:0){c[f+40>>2]=c[J>>2];c[f+44>>2]=c[I>>2]}break a}case 1:{c[f+48>>2]=0;vO(c[G>>2]|0,16,0)|0;if((((Rw(c[G>>2]|0,2,J)|0)<<24>>24!=0?(Rw(c[G>>2]|0,2,I)|0)<<24>>24!=0:0)?(Rw(c[G>>2]|0,2,F)|0)<<24>>24!=0:0)?(Rw(c[G>>2]|0,2,K)|0)<<24>>24!=0:0){c[f+40>>2]=c[J>>2]<<16|c[I>>2];c[f+44>>2]=c[F>>2]<<16|c[K>>2]}break a}case 4:{c[f+48>>2]=0;d:do if((Sw(c[G>>2]|0,1,J)|0)<<24>>24){while(1){d=c[J>>2]|0;if((d|0)!=255?(_O(139584,d)|0)==0:0){if((d|0)==192){M=48;break}g=c[G>>2]|0;if((d|0)==194){M=53;break}if(!((Sw(g,2,I)|0)<<24>>24))break d;vO(c[G>>2]|0,(c[I>>2]|0)+-2|0,1)|0}if(!((Sw(c[G>>2]|0,1,J)|0)<<24>>24))break d}if((M|0)==48){if(!((Sw(c[G>>2]|0,3,E)|0)<<24>>24))break;if(!((Sw(c[G>>2]|0,2,F)|0)<<24>>24))break;if(!((Sw(c[G>>2]|0,2,K)|0)<<24>>24))break;c[f+44>>2]=c[F>>2];c[f+40>>2]=c[K>>2];break}else if((M|0)==53){if(!((Sw(g,3,E)|0)<<24>>24))break;if(!((Sw(c[G>>2]|0,2,F)|0)<<24>>24))break;if(!((Sw(c[G>>2]|0,2,K)|0)<<24>>24))break;c[f+44>>2]=c[F>>2];c[f+40>>2]=c[K>>2];break}}while(0);break a}case 6:{c[f+48>>2]=72;vO(c[G>>2]|0,0,0)|0;e:do if(mO(K,1024,c[G>>2]|0)|0){while(1){g=lP(K,139596)|0;if((g|0)!=0?(c[n>>2]=J,c[n+4>>2]=I,c[n+8>>2]=F,c[n+12>>2]=E,(EO(g,145334,n)|0)==4):0)break;if(!(mO(K,1024,c[G>>2]|0)|0))break e}J=c[J>>2]|0;c[f+32>>2]=J;K=c[I>>2]|0;c[f+36>>2]=K;c[f+40>>2]=(c[F>>2]|0)-J;c[f+44>>2]=(c[E>>2]|0)-K}while(0);break a}case 5:{c[f+48>>2]=0;vO(c[G>>2]|0,0,0)|0;d=c[G>>2]|0;do{if(!(mO(F,1024,d)|0)){M=104;break}g=lP(F,139709)|0}while((g|0)==0);if((M|0)==104)break a;k=I+4|0;c[k>>2]=F;c[I>>2]=g+9;l=I+8|0;c[l>>2]=d;Uw(I);g=c[I>>2]|0;d=a[g>>0]|0;if(!(d<<24>>24)){k=c[k>>2]|0;if(!(mO(k,1024,c[l>>2]|0)|0))d=0;else{c[I>>2]=k;d=a[k>>0]|0;g=k}d=d&255}else d=d<<24>>24;if((((d|0)==91?(c[I>>2]=g+1,Vw(I,K),o=+QO(K,J),(c[J>>2]|0)!=(K|0)):0)?(Vw(I,K),p=+QO(K,J),(c[J>>2]|0)!=(K|0)):0)?(Vw(I,K),q=+QO(K,J),(c[J>>2]|0)!=(K|0)):0){Vw(I,K);j=+QO(K,J);if((c[J>>2]|0)==(K|0))break a;c[f+32>>2]=~~o;c[f+36>>2]=~~p;c[f+40>>2]=~~(q-o);c[f+44>>2]=~~(j-p);break a}break a}case 12:{c[f+48>>2]=0;vO(c[G>>2]|0,6,0)|0;if((Sw(c[G>>2]|0,1,J)|0)<<24>>24!=0?(Sw(c[G>>2]|0,1,I)|0)<<24>>24!=0:0){c[f+40>>2]=c[J>>2];c[f+44>>2]=c[I>>2]}break a}default:break a}while(0);if((M|0)==67){c[f+48>>2]=0;vO(c[G>>2]|0,15,0)|0;K=(lO(c[G>>2]|0)|0)==88;g=c[G>>2]|0;if(K){vO(g,24,0)|0;if((Rw(c[G>>2]|0,4,J)|0)<<24>>24!=0?(Rw(c[G>>2]|0,4,I)|0)<<24>>24!=0:0){c[f+40>>2]=c[J>>2];c[f+44>>2]=c[I>>2]}}else{vO(g,26,0)|0;if((Rw(c[G>>2]|0,2,J)|0)<<24>>24!=0?(Rw(c[G>>2]|0,2,I)|0)<<24>>24!=0:0){c[f+40>>2]=c[J>>2];c[f+44>>2]=c[I>>2]}}break}if(!(c[13679]|0)){if(PN(54720,139611,1)|0){c[m>>2]=139611;us(1,139638,m)|0}c[13679]=54720}vO(c[G>>2]|0,0,0)|0;f:do if(!(mO(w,200,c[G>>2]|0)|0)){d=0;g=0}else{r=x+12|0;s=x+20|0;t=x+8|0;u=x+16|0;v=x+4|0;d=0;k=0;g=0;l=0;do{if(k<<24>>24==0|l<<24>>24==0)e=w;else break f;g:while(1){m=k;n=l;h:while(1){if(RN(54720,e,4,x,0)|0){k=m;l=n;break g}while(1){a[e+(c[r>>2]|0)>>0]=0;a[e+(c[s>>2]|0)>>0]=0;l=e+(c[t>>2]|0)|0;k=e+(c[u>>2]|0)|0;e=e+((c[v>>2]|0)+1)|0;if(!(aP(l,182316)|0))break;if(!(aP(l,182248)|0)){l=n;break h}if((aP(l,139685)|0)==0?(c[D>>2]=I,c[D+4>>2]=F,c[D+8>>2]=K,c[D+12>>2]=E,(EO(k,139693,D)|0)==4):0){M=99;break g}if(RN(54720,e,4,x,0)|0){k=m;l=n;break g}}c[z>>2]=J;c[z+4>>2]=y;do if((EO(k,139675,z)|0)==2){g=Tw(+h[J>>3],y)|0;l=1}else{c[A>>2]=J;if((EO(k,142278,A)|0)!=1){l=n;break}g=Tw(+h[J>>3],139682)|0;l=1}while(0);if(!(m<<24>>24)){m=0;n=l}else{k=m;break g}}c[B>>2]=J;c[B+4>>2]=y;do if((EO(k,139675,B)|0)==2){d=Tw(+h[J>>3],y)|0;k=1}else{c[C>>2]=J;if((EO(k,142278,C)|0)!=1){k=m;break}d=Tw(+h[J>>3],139682)|0;k=1}while(0);if(!(l<<24>>24))l=0;else break}if((M|0)==99){M=0;d=~~(+h[E>>3]-+h[F>>3]+1.0)>>>0;k=1;g=~~(+h[K>>3]-+h[I>>3]+1.0)>>>0;l=1}}while((mO(w,200,c[G>>2]|0)|0)!=0)}while(0);c[f+48>>2]=0;c[f+40>>2]=g;c[f+44>>2]=d}else M=26;while(0);if((M|0)==26){c[f+28>>2]=139519;c[f+24>>2]=0;M=28}if((M|0)==28?(K=SA(c[H>>2]|0)|0,c[f+52>>2]=K,(K|0)==0):0){c[O>>2]=c[H>>2];us(0,139525,O)|0;Qw(f);g=-1;f=-1;break}if((a[f+17>>0]|0)!=0?(N=c[G>>2]|0,(N|0)!=0):0){iO(N)|0;c[G>>2]=0}M=c[13627]|0;Jb[c[M>>2]&63](M,f,1)|0;M=129}}else if((a[f+17>>0]|0)!=0?(k=f+20|0,l=c[k>>2]|0,(l|0)!=0):0){iO(l)|0;c[k>>2]=0;M=129}else M=129;while(0);if((M|0)==129){g=c[f+48>>2]|0;L=(g|0)==0?L:+(g|0);g=~~(+((c[f+40>>2]|0)*72|0)/L);f=~~(+((c[f+44>>2]|0)*72|0)/L)}c[b>>2]=g;c[b+4>>2]=f}else{c[b>>2]=-1;c[b+4>>2]=-1}i=P;return}function Qw(a){a=a|0;var b=0;b=c[a+8>>2]|0;if(b)$u(0,b)|0;fQ(a);return}function Rw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;c[d>>2]=0;a:do if(!b)e=1;else{f=0;while(1){e=lO(a)|0;if(jO(a)|0){e=0;break a}c[d>>2]=c[d>>2]|e<<(f<<3);f=f+1|0;if(f>>>0>=b>>>0){e=1;break}}}while(0);return e|0}function Sw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;c[d>>2]=0;a:do if(!b)e=1;else{f=0;while(1){e=lO(a)|0;if(jO(a)|0){e=0;break a}c[d>>2]=c[d>>2]<<8|e;f=f+1|0;if(f>>>0>=b>>>0){e=1;break}}}while(0);return e|0}function Tw(a,b){a=+a;b=b|0;do if(!(aP(b,139719)|0)){a=a*72.0;b=~~(a+(a>=0.0?.5:-.5))}else{if(!(aP(b,139722)|0)){a=a*72.0/96.0;b=~~(a+(a>=0.0?.5:-.5));break}if(!(aP(b,139725)|0)){a=a*72.0/6.0;b=~~(a+(a>=0.0?.5:-.5));break}if((aP(b,139682)|0)!=0?(aP(b,139728)|0)!=0:0){if(!(aP(b,139730)|0)){a=a*28.346456664;b=~~(a+(a>=0.0?.5:-.5));break}if(aP(b,139733)|0){b=0;break}a=a*2.8346456663999997;b=~~(a+(a>=0.0?.5:-.5));break}b=~~((a>=0.0?.5:-.5)+a)}while(0);return b|0}function Uw(b){b=b|0;var d=0;d=c[b>>2]|0;while(1){d=a[d>>0]|0;if(!(d<<24>>24))d=(Ww(b)|0)&255;else d=d<<24>>24;if(!((d&255)<<24>>24))break;if(!(KM(d&255)|0))break;d=(c[b>>2]|0)+1|0;c[b>>2]=d}return}function Vw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;Uw(b);f=c[b>>2]|0;e=0;while(1){f=a[f>>0]|0;if(!(f<<24>>24))f=(Ww(b)|0)&255;else f=f<<24>>24;g=f<<24>>24;if(!g)break;if(!((g|0)==46|(g+-48|0)>>>0<10))break;a[d+e>>0]=f;e=e+1|0;f=(c[b>>2]|0)+1|0;c[b>>2]=f;if((e|0)==1023){e=1023;break}}a[d+e>>0]=0;return}function Ww(b){b=b|0;var d=0;d=b+4|0;if(!(mO(c[d>>2]|0,1024,c[b+8>>2]|0)|0))d=0;else{d=c[d>>2]|0;c[b>>2]=d;d=a[d>>0]|0}return d|0}function Xw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;a=c[b+20>>2]|0;if(a)iO(a)|0;if((c[b+52>>2]|0)!=0?(e=c[b+60>>2]|0,(e|0)!=0):0)Db[e&127](b);fQ(b);return}function Yw(){var a=0;Is(0,1,151058,147411)|0;a=zw(0,1)|0;pF(a,0);return a|0}function Zw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0;p=i;i=i+304|0;o=p+24|0;n=p+8|0;f=p;m=p+40|0;if((TE(b,e)|0)!=999)if((UE(b,d)|0)==-1)e=-1;else{f=c[d+16>>2]|0;g=+h[f+16>>3];j=+h[f+24>>3];k=+h[f+32>>3];l=+h[f+40>>3];if(!(a[(c[f+8>>2]|0)+81>>0]|0)){c[o>>2]=~~(g+(g>=0.0?.5:-.5));c[o+4>>2]=~~(j+(j>=0.0?.5:-.5));c[o+8>>2]=~~(k+(k>=0.0?.5:-.5));c[o+12>>2]=~~(l+(l>=0.0?.5:-.5));DO(m,139835,o)|0}else{c[n>>2]=~~(j+(j>=0.0?.5:-.5));c[n+4>>2]=~~(g+(g>=0.0?.5:-.5));c[n+8>>2]=~~(l+(l>=0.0?.5:-.5));c[n+12>>2]=~~(k+(k>=0.0?.5:-.5));DO(m,139835,n)|0}Us(d,143742,m,181739)|0;e=0}else{o=Kw(b,1,e)|0;c[f>>2]=e;c[f+4>>2]=o;us(1,152306,f)|0;e=-1}i=p;return e|0}function _w(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=i;i=i+16|0;g=j;f=c[b+60>>2]|0;Dw(a,d)|0;b=c[a+164>>2]|0;c[b+56>>2]=hE(b,c[b+52>>2]|0)|0;if((Ou(f,178510,0,1)|0)!=0?(c[(c[f+16>>2]|0)+8>>2]|0)!=0:0)h=5;else if(!(c[b+152>>2]&67108864)){vs(139847,g);b=-1}else h=5;if((h|0)==5){c[b+36>>2]=e;if(!e){h=b+152|0;c[h>>2]=c[h>>2]|134217728}h=Ay(a,f)|0;jE(b);Hw(a);b=h}i=j;return b|0}function $w(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=i;i=i+16|0;g=j;f=c[b+60>>2]|0;Dw(a,d)|0;b=c[a+164>>2]|0;c[b+56>>2]=hE(b,c[b+52>>2]|0)|0;if((Ou(f,178510,0,1)|0)!=0?(c[(c[f+16>>2]|0)+8>>2]|0)!=0:0)h=5;else if(!(c[b+152>>2]&67108864)){vs(139847,g);b=-1}else h=5;if((h|0)==5){Cw(a,e);h=Ay(a,f)|0;jE(b);tw(b);Hw(a);b=h}i=j;return b|0}function ax(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;h=m+8|0;g=m;b=c[b+60>>2]|0;Dw(a,d)|0;k=c[a+164>>2]|0;c[k+56>>2]=hE(k,c[k+52>>2]|0)|0;if((Ou(b,178510,0,1)|0)!=0?(c[(c[b+16>>2]|0)+8>>2]|0)!=0:0)l=5;else if(!(c[k+152>>2]&67108864)){vs(139847,g);b=-1}else l=5;do if((l|0)==5){if((e|0)!=0?(j=eQ(4096)|0,c[e>>2]=j,(j|0)!=0):0){g=k+40|0;c[g>>2]=j;c[k+44>>2]=4096;d=k+48|0;c[d>>2]=0;b=Ay(a,b)|0;jE(k);if(!b){c[e>>2]=c[g>>2];c[f>>2]=c[d>>2]}Hw(a);break}us(1,139868,h)|0;b=-1}while(0);i=m;return b|0}function bx(a,b){a=a|0;b=b|0;oF(a,0,b);return}function cx(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0;E=i;i=i+4288|0;A=E+8|0;z=E;B=4;D=eQ(40)|0;c[D>>2]=0;w=E+4152|0;x=E+52|0;y=E+32|0;l=E+16|0;k=E+56|0;n=0;g=ia(22,b|0)|0;h=n;n=0;if((h|0)!=0&(o|0)!=0){j=qQ(c[h>>2]|0,D|0,B|0)|0;if(!j)Ra(h|0,o|0);C=o}else j=-1;a:do if((j|0)!=1){if(!g){c[d>>2]=0;g=0;break}n=0;p=ka(34,e|0,x|0,w|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)!=1){n=0;m=ia(21,40)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)!=1){c[l>>2]=k;c[l+4>>2]=k+4096;c[l+12>>2]=0;c[l+8>>2]=0;c[y>>2]=l;c[y+4>>2]=l;c[y+8>>2]=k;c[y+12>>2]=26;e=y+16|0;c[e>>2]=86;n=0;g=ia(23,b|0)|0;h=n;n=0;if((h|0)!=0&(o|0)!=0){j=qQ(c[h>>2]|0,D|0,B|0)|0;if(!j)Ra(h|0,o|0);C=o}else j=-1;if((j|0)!=1){if(g)do{a[(c[g+16>>2]|0)+157>>0]=0;n=0;g=ra(87,b|0,g|0)|0;h=n;n=0;if((h|0)!=0&(o|0)!=0){j=qQ(c[h>>2]|0,D|0,B|0)|0;if(!j)Ra(h|0,o|0);C=o}else j=-1;if((j|0)==1){v=m;u=p;g=C;m=12;break a}}while((g|0)!=0);D=nQ(54752,1,D|0,B|0)|0;B=C;n=0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)!=1){v=m;u=p;g=0;m=12}else{v=m;u=p;g=C;m=12}}else{v=m;u=p;g=C;m=12}}else{e=0;v=0;u=p;g=C;m=12}}else{e=0;v=0;u=p;g=C;m=12}}else{e=0;v=0;u=0;g=C;m=12}while(0);do if((m|0)==12){b:while(1){if(!g){n=0;j=ia(23,b|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue}c:do if(!j){j=0;t=0}else{q=u+(c[x>>2]|0)|0;g=86;m=0;p=0;l=0;while(1){n=0;g=ra(g|0,j|0,-1)|0;h=n;n=0;if((h|0)!=0&(o|0)!=0){k=qQ(c[h>>2]|0,D|0,B|0)|0;if(!k)Ra(h|0,o|0);C=o}else k=-1;if((k|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}if((g|0)==0?(a[(c[j+16>>2]|0)+119>>0]|0)==3:0){if(!p){n=0;c[z>>2]=m;ka(35,q|0,178484,z|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}n=0;k=ka(36,b|0,u|0,1)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}n=0;va(53,k|0,178510,280,1)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}c[v+(m<<2)>>2]=k;m=m+1|0;l=1}else k=p;n=0;va(54,b|0,j|0,k|0,y|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}}else k=p;n=0;j=ra(87,b|0,j|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}if(!j){j=m;t=l;break c}g=c[e>>2]|0;p=k}}while(0);n=0;k=ia(23,b|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue}if(!k){l=j;m=v;j=0;k=t}else{s=u+(c[x>>2]|0)|0;q=10;r=v;while(1){n=0;g=ra(c[e>>2]|0,k|0,-1)|0;h=n;n=0;if((h|0)!=0&(o|0)!=0){l=qQ(c[h>>2]|0,D|0,B|0)|0;if(!l)Ra(h|0,o|0);C=o}else l=-1;if((l|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}if(!g){n=0;c[A>>2]=j;ka(35,s|0,178484,A|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}n=0;p=ka(36,b|0,u|0,1)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}n=0;va(53,p|0,178510,280,1)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}n=0;va(54,b|0,k|0,p|0,y|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}if((j|0)==(q|0)){m=q<<1;n=0;l=ra(88,r|0,q<<3|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}g=m;h=l}else{g=q;h=r}c[h+(j<<2)>>2]=p;l=g;j=j+1|0;m=h}else{l=q;m=r}n=0;k=ra(87,b|0,k|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}if(!k){l=j;j=0;k=t;break}else{q=l;r=m}}}}else{l=0;m=v;j=1;k=0}n=0;ea(107,y|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue}if((u|0)!=(w|0)){n=0;ea(104,u|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue}}if(!j){n=0;g=ra(88,m|0,l<<2|0)|0;h=n;n=0;if((h|0)!=0&(o|0)!=0){j=qQ(c[h>>2]|0,D|0,B|0)|0;if(!j)Ra(h|0,o|0);C=o}else j=-1;if((j|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue}else{m=55;break}}c[d>>2]=0;if((l|0)>0){j=0;while(1){n=0;ia(24,c[m+(j<<2)>>2]|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12;continue b}j=j+1|0;if((j|0)==(l|0))break}}n=0;ea(104,m|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,D|0,B|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){s=u;t=v;m=e;g=C;u=s;v=t;e=m;m=12}else{m=53;break}}if((m|0)==53){g=0;break}else if((m|0)==55){c[d>>2]=l;a[f>>0]=k;break}}while(0);fQ(D|0);i=E;return g|0}function dx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;A=i;i=i+4272|0;x=A;y=4;z=eQ(40)|0;c[z>>2]=0;u=A+4144|0;v=A+44|0;w=A+24|0;k=A+8|0;j=A+48|0;n=0;f=ia(22,b|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,z|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;a:do if((h|0)!=1){if(!f){c[d>>2]=0;f=0;break}n=0;l=ka(34,e|0,v|0,u|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)!=1){n=0;m=ia(21,40)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)!=1){c[k>>2]=j;c[k+4>>2]=j+4096;c[k+12>>2]=0;c[k+8>>2]=0;c[w>>2]=k;c[w+4>>2]=k;c[w+8>>2]=j;c[w+12>>2]=26;e=w+16|0;c[e>>2]=86;n=0;f=ia(23,b|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,z|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)!=1){if(f)do{a[(c[f+16>>2]|0)+157>>0]=0;n=0;f=ra(87,b|0,f|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,z|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){t=m;s=l;f=C;r=e;q=m;l=12;break a}}while((f|0)!=0);z=nQ(54752,1,z|0,y|0)|0;y=C;n=0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)!=1){t=m;s=l;f=0;r=e;q=m;l=12}else{t=m;s=l;f=C;r=e;q=m;l=12}}else{t=m;s=l;f=C;r=e;q=m;l=12}}else{t=m;s=l;f=C;r=0;q=0;l=12}}else{t=0;s=l;f=C;r=0;q=0;l=12}}else{t=0;s=0;f=C;r=0;q=0;l=12}while(0);do if((l|0)==12){b:while(1){if(f){n=0;ea(107,w|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue}n=0;ea(104,t|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue}if((s|0)==(u|0)){l=18;break}n=0;ea(104,s|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue}else{l=17;break}}n=0;e=ia(23,b|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue}c:do if(!e){e=0;h=q}else{p=s+(c[v>>2]|0)|0;f=86;m=10;k=0;h=q;while(1){n=0;f=ra(f|0,e|0,-1)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,z|0,y|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue b}if(!f){n=0;c[x>>2]=k;ka(35,p|0,178484,x|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue b}n=0;l=ka(36,b|0,s|0,1)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue b}n=0;va(53,l|0,178510,280,1)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue b}n=0;va(54,b|0,e|0,l|0,w|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue b}if((k|0)==(m|0)){j=m<<1;n=0;h=ra(88,h|0,m<<3|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue b}f=j}else f=m;c[h+(k<<2)>>2]=l;j=f;k=k+1|0}else j=m;n=0;e=ra(87,b|0,e|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue b}if(!e){e=k;break c}f=c[r>>2]|0;m=j}}while(0);n=0;ea(107,w|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){g=qQ(c[f>>2]|0,z|0,y|0)|0;if(!g)Ra(f|0,o|0);C=o}else g=-1;if((g|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue}n=0;f=ra(88,h|0,e<<2|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,z|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12;continue}if((s|0)==(u|0)){l=40;break}n=0;ea(104,s|0);g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,z|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){k=q;m=r;p=s;l=t;f=C;q=k;r=m;s=p;t=l;l=12}else{l=39;break}}if((l|0)==17)l=18;else if((l|0)==39)l=40;if((l|0)==18){c[d>>2]=0;f=0;break}else if((l|0)==40){c[d>>2]=e;break}}while(0);fQ(z|0);i=A;return f|0}function ex(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;e=gu(a)|0;if(!e)d=0;else{d=0;do{f=at(b,e)|0;if(f)do{if(lu(a,c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0,0)|0){kt(a,f,1)|0;d=d+1|0}f=ct(b,f)|0}while((f|0)!=0);e=hu(a,e)|0}while((e|0)!=0)}return d|0}function fx(a){a=a|0;a=Nu(a,139905,0)|0;if(!a)Na(139910,139913,529,139922);else return c[a+8>>2]|0;return 0}function gx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;y=i;i=i+4320|0;f=y+4180|0;w=y+24|0;t=y+8|0;s=y;x=y+4184|0;v=y+4160|0;k=y+48|0;j=y+64|0;l=y+40|0;if(vt(b)|0){Qu(b,0,139931,-12,0);Qu(b,1,139943,16,0);u=ix(e,l,x)|0;c[f>>2]=c[13171];r=rt(139955,f,0)|0;nx(r,b);e=gu(b)|0;if(e)do{if(!(c[(Nu(e,139943,0)|0)+12>>2]|0)){q=mu(r,Ft(e)|0,1)|0;Ou(q,139943,16,1)|0;c[(c[q+16>>2]|0)+12>>2]=e;c[(Nu(e,139943,0)|0)+12>>2]=q}e=hu(b,e)|0}while((e|0)!=0);e=gu(b)|0;if(e)do{h=c[(Nu(e,139943,0)|0)+12>>2]|0;f=at(b,e)|0;if(f)do{g=c[(Nu(c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0,139943,0)|0)+12>>2]|0;do if((g|0)!=(h|0))if(g>>>0>h>>>0){ht(r,h,g,0,1)|0;break}else{ht(r,g,h,0,1)|0;break}while(0);f=ct(b,f)|0}while((f|0)!=0);e=hu(b,e)|0}while((e|0)!=0);q=zz((vt(r)|0)<<2)|0;c[k>>2]=j;c[k+4>>2]=j+4096;c[k+12>>2]=0;c[k+8>>2]=0;c[v>>2]=k;c[v+4>>2]=k;c[v+8>>2]=j;c[v+12>>2]=26;p=v+16|0;c[p>>2]=89;f=gu(r)|0;a:do if(!f)e=0;else{n=u+(c[l>>2]|0)|0;o=c[24809]|0;g=89;e=0;while(1){if(!(Qb[g&127](f,-1)|0)){c[s>>2]=e;DO(n,140869,s)|0;k=rv(r,u,1)|0;l=rv(b,u,1)|0;Ou(l,139931,12,0)|0;a[(Nu(l,139931,0)|0)+8>>0]=1;m=lx(r,f,k,v)|0;g=gu(k)|0;if(g)do{j=c[(c[g+16>>2]|0)+12>>2]|0;if((c[j>>2]&3|0)!=1){h=gu(j)|0;if(h)do{lu(l,h,1)|0;h=hu(j,h)|0}while((h|0)!=0)}else lu(l,j,1)|0;g=hu(k,g)|0}while((g|0)!=0);g=ex(l,c[l+60>>2]|0)|0;px(b,l,0);c[q+(e<<2)>>2]=l;wu(r,k)|0;if(a[142275]|0){c[t>>2]=e;c[t+4>>2]=m;c[t+8>>2]=g;pO(o,139958,t)|0}e=e+1|0}f=hu(r,f)|0;if(!f)break a;g=c[p>>2]|0}}while(0);if(a[142275]|0){t=c[24809]|0;o=vt(b)|0;p=wt(b)|0;s=Ft(b)|0;c[w>>2]=o;c[w+4>>2]=p;c[w+8>>2]=e;c[w+12>>2]=s;pO(t,139988,w)|0}ut(r)|0;Ru(b,0,139931);Ru(b,1,139943);mx(v);f=Bz(q,e<<2)|0;if((u|0)!=(x|0))fQ(u)}else{f=0;e=0}c[d>>2]=e;i=y;return f|0}function hx(a){a=a|0;return ex(a,c[a+60>>2]|0)|0}function ix(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;a:do if(!b)b=140121;else{f=b;b:while(1){g=f;f=f+1|0;g=a[g>>0]|0;switch(g<<24>>24){case 0:break a;case 95:continue b;default:{}}if(!(GM(g&255)|0)){b=140121;break a}}}while(0);g=eP(b)|0;f=g+25|0;if((f|0)>=129){e=zz(f)|0;if(!e)e=0;else h=6}else h=6;if((h|0)==6){bP(e,b)|0;c[d>>2]=g}return e|0}function jx(a,b){a=a|0;b=b|0;lu(b,a,1)|0;return}function kx(b,d){b=b|0;d=d|0;var e=0;b=(c[b+16>>2]|0)+157|0;e=a[b>>0]|0;if((d|0)>=0)a[b>>0]=d;return e|0}function lx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;qx(e,b);j=e+8|0;k=e+4|0;l=e+12|0;m=e+16|0;b=0;a:while(1){f=c[j>>2]|0;g=c[k>>2]|0;if((f|0)==(c[g>>2]|0)){if((g|0)==(c[e>>2]|0))break;f=c[g+8>>2]|0;c[k>>2]=f;f=c[f+4>>2]|0;c[j>>2]=f}i=f+-4|0;c[j>>2]=i;i=c[i>>2]|0;if(!i)break;b=b+1|0;f=c[l>>2]|0;if(f)Fb[f&63](i,d);f=ft(a,i)|0;if(!f)continue;while(1){h=c[f>>2]&3;g=c[((h|0)==3?f:f+48|0)+40>>2]|0;if((g|0)==(i|0))g=c[((h|0)==2?f:f+-48|0)+40>>2]|0;if(!(Qb[c[m>>2]&127](g,-1)|0))qx(e,g);f=gt(a,f,i)|0;if(!f)continue a}}return b|0}function mx(a){a=a|0;var b=0;a=c[(c[a>>2]|0)+12>>2]|0;if(a)do{b=a;a=c[a+12>>2]|0;fQ(c[b>>2]|0);fQ(b)}while((a|0)!=0);return}function nx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;h=i;i=i+16|0;g=h;b=sv(b)|0;if(b){f=c[24809]|0;do{if(!(gP(Ft(b)|0,149067,7)|0)){e=mu(a,Ft(b)|0,1)|0;Ou(e,139943,16,1)|0;c[(c[e+16>>2]|0)+12>>2]=b;d=gu(b)|0;if(d)do{if(c[(Nu(d,139943,0)|0)+12>>2]|0){l=Ft(d)|0;k=Ft(b)|0;j=Ft(c[(Nu(d,139943,0)|0)+12>>2]|0)|0;c[g>>2]=l;c[g+4>>2]=k;c[g+8>>2]=j;pO(f,140035,g)|0}c[(Nu(d,139943,0)|0)+12>>2]=e;d=hu(b,d)|0}while((d|0)!=0)}else nx(a,b);b=tv(b)|0}while((b|0)!=0)}i=h;return}function ox(b,d){b=b|0;d=d|0;var e=0;b=(c[b+16>>2]|0)+8|0;e=a[b>>0]|0;if((d|0)>=0)a[b>>0]=d;return e|0}function px(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;b=sv(b)|0;if(b){i=(e|0)!=0;h=(e|0)==0;do{if(!(a[(Nu(b,139931,0)|0)+8>>0]|0)){e=gu(b)|0;if(!e)e=0;else{f=0;do{g=mu(d,Ft(e)|0,0)|0;if(g){if(!f)f=rv(d,Ft(b)|0,1)|0;lu(f,g,1)|0}e=hu(b,e)|0}while((e|0)!=0);e=f}if(i&(e|0)==0)e=rv(d,Ft(b)|0,1)|0;if(e){ex(e,b)|0;Vs(b,e)|0;if(!(gP(Ft(e)|0,149067,7)|0))c[(Ou(e,139905,12,0)|0)+8>>2]=b;if(h)f=(gP(Ft(b)|0,149067,7)|0)==0;else f=1;px(b,e,f&1)}}b=tv(b)|0}while((b|0)!=0)}return}function qx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+16|0;k=l+8|0;f=l;g=a+8|0;h=a+4|0;d=c[h>>2]|0;if((c[g>>2]|0)==(c[d+4>>2]|0)){d=c[d+12>>2]|0;do if(!d){e=zz(16)|0;if(!e){us(1,140102,f)|0;Ra(54752,1)}c[e+8>>2]=c[h>>2];c[e+12>>2]=0;d=zz(4e6)|0;c[e>>2]=d;if(!d){us(1,140102,k)|0;Ra(54752,1)}else{c[e+4>>2]=d+4e6;c[(c[h>>2]|0)+12>>2]=e;j=e;break}}else j=d;while(0);c[h>>2]=j;c[g>>2]=c[j>>2]}Qb[c[a+16>>2]&127](b,1)|0;k=c[g>>2]|0;c[g>>2]=k+4;c[k>>2]=b;i=l;return}function rx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0.0;n=+h[a>>3];d=~~(n+(n>=0.0?.5:-.5));n=+h[a+8>>3];a=~~(n+(n>=0.0?.5:-.5));n=+h[b>>3];k=~~(n+(n>=0.0?.5:-.5));n=+h[b+8>>3];g=~~(n+(n>=0.0?.5:-.5));l=k-d|0;i=((l|0)>-1?l:0-l|0)<<1;l=l>>31|1;m=g-a|0;j=((m|0)>-1?m:0-m|0)<<1;m=m>>31|1;dA(c,d,a);if((i|0)>(j|0)){if((k|0)!=(d|0)){f=0-i|0;e=j-(i>>1)|0;b=a;while(1){a=(e|0)>-1;b=(a?m:0)+b|0;d=d+l|0;dA(c,d,b);if((d|0)==(k|0))break;else e=e+j+(a?f:0)|0}}}else if((g|0)!=(a|0)){f=0-j|0;e=i-(j>>1)|0;b=a;while(1){a=(e|0)>-1;d=(a?l:0)+d|0;b=b+m|0;dA(c,d,b);if((b|0)==(g|0))break;else e=e+i+(a?f:0)|0}}return}function sx(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0;fa=i;i=i+208|0;aa=fa+192|0;U=fa+144|0;q=fa+136|0;ea=fa+120|0;ca=fa+104|0;X=fa+96|0;Y=fa+80|0;w=fa+72|0;v=fa+32|0;V=fa+16|0;W=fa;ba=fa+176|0;p=fa+184|0;do if((b|0)<1)j=0;else{_=g+16|0;if((c[_>>2]|0)>>>0>=4){n=zz(b<<5)|0;j=0;do{da=c[e+(j<<2)>>2]|0;IC(da);ea=n+(j<<5)|0;da=(c[da+16>>2]|0)+16|0;c[ea>>2]=c[da>>2];c[ea+4>>2]=c[da+4>>2];c[ea+8>>2]=c[da+8>>2];c[ea+12>>2]=c[da+12>>2];c[ea+16>>2]=c[da+16>>2];c[ea+20>>2]=c[da+20>>2];c[ea+24>>2]=c[da+24>>2];c[ea+28>>2]=c[da+28>>2];j=j+1|0}while((j|0)!=(b|0));if((c[_>>2]|0)==4){m=g+28|0;if(c[m>>2]&2){j=g+24|0;c[j>>2]=yz(b<<2)|0;l=0;do{k=Qs(c[e+(l<<2)>>2]|0,140252)|0;if((k|0)!=0?(c[q>>2]=p,ea=(EO(k,178484,q)|0)>0,o=c[p>>2]|0,ea&(o|0)>-1):0)c[(c[j>>2]|0)+(l<<2)>>2]=o;l=l+1|0}while((l|0)!=(b|0))}j=Gx(b,n,g)|0;if(c[m>>2]&2)fQ(c[g+24>>2]|0)}else j=0;fQ(n);break}$=c[g+20>>2]|0;t=($|0)==0;da=c[24809]|0;n=0;l=0;m=0;k=0;r=0;u=0;while(1){s=c[e+(u<<2)>>2]|0;IC(s);if(!t?(a[$+u>>0]|0)!=0:0){p=c[s+16>>2]|0;I=+h[p+16>>3];j=~~(I+(I>=0.0?.5:-.5));I=+h[p+24>>3];q=~~(I+(I>=0.0?.5:-.5));I=+h[p+32>>3];o=~~(I+(I>=0.0?.5:-.5));I=+h[p+40>>3];p=~~(I+(I>=0.0?.5:-.5));if(!r){n=j;l=o;m=p;k=q}else{n=(j|0)<(n|0)?j:n;l=(o|0)>(l|0)?o:l;m=(p|0)>(m|0)?p:m;k=(q|0)<(k|0)?q:k}j=r+1|0}else j=r;if((d[142275]|0)>2){T=Ft(s)|0;S=c[s+16>>2]|0;ha=+h[S+16>>3];ga=+h[S+24>>3];x=+h[S+32>>3];I=+h[S+40>>3];c[v>>2]=T;h[v+8>>3]=ha;h[v+16>>3]=ga;h[v+24>>3]=x;h[v+32>>3]=I;pO(da,140126,v)|0}u=u+1|0;if((u|0)==(b|0))break;else r=j}T=zz(b<<5)|0;j=0;do{S=T+(j<<5)|0;R=(c[(c[e+(j<<2)>>2]|0)+16>>2]|0)+16|0;c[S>>2]=c[R>>2];c[S+4>>2]=c[R+4>>2];c[S+8>>2]=c[R+8>>2];c[S+12>>2]=c[R+12>>2];c[S+16>>2]=c[R+16>>2];c[S+20>>2]=c[R+20>>2];c[S+24>>2]=c[R+24>>2];c[S+28>>2]=c[R+28>>2];j=j+1|0}while((j|0)!=(b|0));R=g+8|0;S=Bx(b,T,c[R>>2]|0)|0;if(a[142275]|0){c[w>>2]=S;pO(da,140154,w)|0}if((S|0)>=1){O=($|0)!=0;if(O){N=(n+l|0)/2|0;M=(k+m|0)/2|0}else{N=0;M=0}P=ba+4|0;c[P>>2]=M;c[ba>>2]=N;Q=yz(b<<4)|0;E=g+12|0;F=(f|0)==0;G=V+8|0;H=U+4|0;I=+(S|0);J=W+8|0;L=0;do{C=c[e+(L<<2)>>2]|0;D=Q+(L<<4)|0;c[Q+(L<<4)+12>>2]=L;if((c[_>>2]|0)==3){A=(c[C+16>>2]|0)+16|0;B=c[R>>2]|0;K=Ft(C)|0;c[U>>2]=c[A>>2];c[U+4>>2]=c[A+4>>2];c[U+8>>2]=c[A+8>>2];c[U+12>>2]=c[A+12>>2];c[U+16>>2]=c[A+16>>2];c[U+20>>2]=c[A+20>>2];c[U+24>>2]=c[A+24>>2];c[U+28>>2]=c[A+28>>2];c[aa>>2]=c[ba>>2];c[aa+4>>2]=c[ba+4>>2];Cx(U,D,S,B,aa,K)}else{B=c[R>>2]|0;y=c[E>>2]|0;z=F?C:f;K=aA()|0;A=C+16|0;g=c[A>>2]|0;ha=+h[g+16>>3];w=N-~~(ha+(ha>=0.0?.5:-.5))|0;ha=+h[g+24>>3];g=M-~~(ha+(ha>=0.0?.5:-.5))|0;if((c[_>>2]|0)!=1){j=gu(C)|0;if(j){x=+(B|0);do{wC(W,j);ga=+h[W>>3];ha=+h[J>>3];q=~~(ga+(ga>=0.0?.5:-.5))+w|0;c[U>>2]=q;r=~~(ha+(ha>=0.0?.5:-.5))+g|0;c[H>>2]=r;n=c[j+16>>2]|0;m=~~(x+(+h[n+88>>3]+ +h[n+96>>3])*.5);n=~~(x+ +h[n+80>>3]*.5);k=q-m|0;l=r-n|0;m=m+q|0;n=n+r|0;if((k|0)>-1)k=(k|0)/(S|0)|0;else k=((k+1|0)/(S|0)|0)+-1|0;if((l|0)>-1)p=(l|0)/(S|0)|0;else p=((l+1|0)/(S|0)|0)+-1|0;if((m|0)>-1)o=(m|0)/(S|0)|0;else o=((m+1|0)/(S|0)|0)+-1|0;if((n|0)>-1)n=(n|0)/(S|0)|0;else n=((n+1|0)/(S|0)|0)+-1|0;if((k|0)<=(o|0)){m=(p|0)>(n|0);while(1){if(!m){l=p;while(1){dA(K,k,l);if((l|0)<(n|0))l=l+1|0;else break}}if((k|0)<(o|0))k=k+1|0;else break}}if((q|0)>-1)k=(q|0)/(S|0)|0;else k=((q+1|0)/(S|0)|0)+-1|0;c[U>>2]=k;if((r|0)>-1)k=(r|0)/(S|0)|0;else k=((r+1|0)/(S|0)|0)+-1|0;c[H>>2]=k;k=at(z,j)|0;if(k)do{c[aa>>2]=c[U>>2];c[aa+4>>2]=c[U+4>>2];Dx(k,aa,K,w,g,S,y);k=ct(z,k)|0}while((k|0)!=0);j=hu(C,j)|0}while((j|0)!=0)}}else{v=zz((vt(C)|0)<<2)|0;j=gu(C)|0;if(j){k=0;while(1){u=j+16|0;c[v+(k<<2)>>2]=c[(c[u>>2]|0)+112>>2];c[(c[u>>2]|0)+112>>2]=0;j=hu(C,j)|0;if(!j)break;else k=k+1|0}}j=c[A>>2]|0;if((c[j+180>>2]|0)>=1){r=w-B|0;s=g-B|0;t=w+B|0;u=g+B|0;q=1;while(1){p=c[(c[j+184>>2]|0)+(q<<2)>>2]|0;n=c[p+16>>2]|0;ha=+h[n+16>>3];k=~~(ha+(ha>=0.0?.5:-.5));ha=+h[n+24>>3];l=~~(ha+(ha>=0.0?.5:-.5));ha=+h[n+32>>3];m=~~(ha+(ha>=0.0?.5:-.5));ha=+h[n+40>>3];n=~~(ha+(ha>=0.0?.5:-.5));if((m|0)>(k|0)&(n|0)>(l|0)){j=k+r|0;k=l+s|0;l=t+m|0;m=u+n|0;if((j|0)>-1)j=(j|0)/(S|0)|0;else j=((j+1|0)/(S|0)|0)+-1|0;if((k|0)>-1)o=(k|0)/(S|0)|0;else o=((k+1|0)/(S|0)|0)+-1|0;if((l|0)>-1)n=(l|0)/(S|0)|0;else n=((l+1|0)/(S|0)|0)+-1|0;if((m|0)>-1)m=(m|0)/(S|0)|0;else m=((m+1|0)/(S|0)|0)+-1|0;if((j|0)<=(n|0)){l=(o|0)>(m|0);while(1){if(!l){k=o;while(1){dA(K,j,k);if((k|0)<(m|0))k=k+1|0;else break}}if((j|0)<(n|0))j=j+1|0;else break}}j=gu(p)|0;if(j)do{c[(c[j+16>>2]|0)+212>>2]=p;j=hu(p,j)|0}while((j|0)!=0);j=c[A>>2]|0}if((q|0)<(c[j+180>>2]|0))q=q+1|0;else break}}j=gu(C)|0;if(j){x=+(B|0);do{wC(V,j);ga=+h[V>>3];ha=+h[G>>3];q=~~(ga+(ga>=0.0?.5:-.5))+w|0;c[U>>2]=q;r=~~(ha+(ha>=0.0?.5:-.5))+g|0;c[H>>2]=r;l=j+16|0;k=c[l>>2]|0;do if(!(c[k+212>>2]|0)){m=~~(x+(+h[k+88>>3]+ +h[k+96>>3])*.5);n=~~(x+ +h[k+80>>3]*.5);k=q-m|0;l=r-n|0;m=m+q|0;n=n+r|0;if((k|0)>-1)k=(k|0)/(S|0)|0;else k=((k+1|0)/(S|0)|0)+-1|0;if((l|0)>-1)p=(l|0)/(S|0)|0;else p=((l+1|0)/(S|0)|0)+-1|0;if((m|0)>-1)o=(m|0)/(S|0)|0;else o=((m+1|0)/(S|0)|0)+-1|0;if((n|0)>-1)n=(n|0)/(S|0)|0;else n=((n+1|0)/(S|0)|0)+-1|0;if((k|0)<=(o|0)){m=(p|0)>(n|0);while(1){if(!m){l=p;while(1){dA(K,k,l);if((l|0)<(n|0))l=l+1|0;else break}}if((k|0)<(o|0))k=k+1|0;else break}}if((q|0)>-1)k=(q|0)/(S|0)|0;else k=((q+1|0)/(S|0)|0)+-1|0;c[U>>2]=k;if((r|0)>-1)k=(r|0)/(S|0)|0;else k=((r+1|0)/(S|0)|0)+-1|0;c[H>>2]=k;k=at(z,j)|0;if(!k)break;do{c[aa>>2]=c[U>>2];c[aa+4>>2]=c[U+4>>2];Dx(k,aa,K,w,g,S,y);k=ct(z,k)|0}while((k|0)!=0)}else{if((q|0)>-1)k=(q|0)/(S|0)|0;else k=((q+1|0)/(S|0)|0)+-1|0;c[U>>2]=k;if((r|0)>-1)k=(r|0)/(S|0)|0;else k=((r+1|0)/(S|0)|0)+-1|0;c[H>>2]=k;k=at(z,j)|0;if(!k)break;do{if((c[(c[l>>2]|0)+212>>2]|0)!=(c[(c[(c[((c[k>>2]&3|0)==2?k:k+-48|0)+40>>2]|0)+16>>2]|0)+212>>2]|0)){c[aa>>2]=c[U>>2];c[aa+4>>2]=c[U+4>>2];Dx(k,aa,K,w,g,S,y)}k=ct(z,k)|0}while((k|0)!=0)}while(0);j=hu(C,j)|0}while((j|0)!=0)}j=gu(C)|0;if(j){k=0;while(1){c[(c[j+16>>2]|0)+112>>2]=c[v+(k<<2)>>2];j=hu(C,j)|0;if(!j)break;else k=k+1|0}}fQ(v)}l=Q+(L<<4)+4|0;c[l>>2]=hA(K)|0;m=Q+(L<<4)+8|0;c[m>>2]=gA(K)|0;k=c[A>>2]|0;ha=+(B<<1|0);j=~~+Z(+((ha+(+h[k+32>>3]-+h[k+16>>3]))/I));k=~~+Z(+((ha+(+h[k+40>>3]-+h[k+24>>3]))/I));c[D>>2]=k+j;if((d[142275]|0)>2?(C=Ft(C)|0,D=c[m>>2]|0,c[Y>>2]=C,c[Y+4>>2]=D,c[Y+8>>2]=j,c[Y+12>>2]=k,pO(da,140170,Y)|0,(c[m>>2]|0)>0):0){j=0;do{C=c[l>>2]|0;D=c[C+(j<<3)+4>>2]|0;c[X>>2]=c[C+(j<<3)>>2];c[X+4>>2]=D;pO(da,140197,X)|0;j=j+1|0}while((j|0)<(c[m>>2]|0))}bA(K)}L=L+1|0}while((L|0)!=(b|0));q=yz(b<<2)|0;j=0;do{c[q+(j<<2)>>2]=Q+(j<<4);j=j+1|0}while((j|0)!=(b|0));PO(q,b,4,90);r=aA()|0;j=yz(b<<3)|0;if(O){p=0;do{if(a[$+p>>0]|0){m=c[q+(p<<2)>>2]|0;o=c[m+12>>2]|0;e=c[P>>2]|0;k=c[m+4>>2]|0;m=c[m+8>>2]|0;n=j+(o<<3)|0;c[n>>2]=0-(c[ba>>2]|0);o=j+(o<<3)+4|0;c[o>>2]=0-e;if((m|0)>0){l=0;while(1){c[aa>>2]=c[k>>2];c[aa+4>>2]=c[k+4>>2];cA(r,aa);l=l+1|0;if((l|0)==(m|0))break;else k=k+8|0}}if((d[142275]|0)>1){_=c[n>>2]|0;e=c[o>>2]|0;c[ca>>2]=m;c[ca+4>>2]=_;c[ca+8>>2]=e;pO(da,140211,ca)|0}}p=p+1|0}while((p|0)!=(b|0));k=0;do{if(!(a[$+k>>0]|0)){ca=c[q+(k<<2)>>2]|0;Fx(k,ca,r,j+(c[ca+12>>2]<<3)|0,S,c[R>>2]|0,T)}k=k+1|0}while((k|0)!=(b|0))}else{k=0;do{ca=c[q+(k<<2)>>2]|0;Fx(k,ca,r,j+(c[ca+12>>2]<<3)|0,S,c[R>>2]|0,T);k=k+1|0}while((k|0)!=(b|0))}fQ(q);k=0;do{fQ(c[Q+(k<<4)+4>>2]|0);k=k+1|0}while((k|0)!=(b|0));fQ(Q);bA(r);fQ(T);if((d[142275]|0)>1){k=0;do{ba=c[j+(k<<3)>>2]|0;ca=c[j+(k<<3)+4>>2]|0;c[ea>>2]=k;c[ea+4>>2]=ba;c[ea+8>>2]=ca;pO(da,140237,ea)|0;k=k+1|0}while((k|0)!=(b|0))}}else j=0}while(0);i=fa;return j|0}function tx(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;p=i;i=i+80|0;k=p+64|0;h=p+24|0;o=p+8|0;g=p;j=p+56|0;a:do if((b|0)<1)f=0;else{switch(c[f+16>>2]|0){case 4:{f=Gx(b,e,f)|0;break a}case 3:break;default:{f=0;break a}}m=f+8|0;n=Bx(b,e,c[m>>2]|0)|0;if(a[142275]|0){l=c[24809]|0;c[g>>2]=n;pO(l,140154,g)|0}if((n|0)>=1){c[j+4>>2]=0;c[j>>2]=0;l=yz(b<<4)|0;f=0;do{c[l+(f<<4)+12>>2]=f;q=e+(f<<5)|0;g=c[m>>2]|0;c[h>>2]=c[q>>2];c[h+4>>2]=c[q+4>>2];c[h+8>>2]=c[q+8>>2];c[h+12>>2]=c[q+12>>2];c[h+16>>2]=c[q+16>>2];c[h+20>>2]=c[q+20>>2];c[h+24>>2]=c[q+24>>2];c[h+28>>2]=c[q+28>>2];c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];Cx(h,l+(f<<4)|0,n,g,k,181739);f=f+1|0}while((f|0)!=(b|0));h=yz(b<<2)|0;f=0;do{c[h+(f<<2)>>2]=l+(f<<4);f=f+1|0}while((f|0)!=(b|0));PO(h,b,4,90);j=aA()|0;f=yz(b<<3)|0;g=0;do{q=c[h+(g<<2)>>2]|0;Fx(g,q,j,f+(c[q+12>>2]<<3)|0,n,c[m>>2]|0,e);g=g+1|0}while((g|0)!=(b|0));fQ(h);g=0;do{fQ(c[l+(g<<4)+4>>2]|0);g=g+1|0}while((g|0)!=(b|0));fQ(l);bA(j);if((d[142275]|0)>=2){g=c[24809]|0;h=0;do{e=c[f+(h<<3)>>2]|0;q=c[f+(h<<3)+4>>2]|0;c[o>>2]=h;c[o+4>>2]=e;c[o+8>>2]=q;pO(g,140237,o)|0;h=h+1|0}while((h|0)!=(b|0))}}else f=0}while(0);i=p;return f|0}function ux(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;if((a|0)<1)f=(a|0)>-1?a:0-a|0;else{z=(e|0)==0;u=(f|0)==0;y=0;do{v=c[b+(y<<2)>>2]|0;p=z?v:e;w=c[d+(y<<3)>>2]|0;x=c[d+(y<<3)+4>>2]|0;q=+(w|0);r=q/72.0;s=+(x|0);t=s/72.0;f=gu(v)|0;if(f)do{g=c[f+16>>2]|0;o=c[g+132>>2]|0;h[o>>3]=r+ +h[o>>3];o=o+8|0;h[o>>3]=t+ +h[o>>3];o=g+16|0;h[o>>3]=q+ +h[o>>3];o=g+24|0;h[o>>3]=s+ +h[o>>3];g=c[g+108>>2]|0;if(g){o=g+56|0;h[o>>3]=q+ +h[o>>3];o=g+64|0;h[o>>3]=s+ +h[o>>3]}if(!u?(A=at(p,f)|0,(A|0)!=0):0){o=A;do{i=c[o+16>>2]|0;g=c[i+96>>2]|0;if(g){n=g+56|0;h[n>>3]=q+ +h[n>>3];n=g+64|0;h[n>>3]=s+ +h[n>>3]}g=c[i+108>>2]|0;if(g){n=g+56|0;h[n>>3]=q+ +h[n>>3];n=g+64|0;h[n>>3]=s+ +h[n>>3]}g=c[i+100>>2]|0;if(g){n=g+56|0;h[n>>3]=q+ +h[n>>3];n=g+64|0;h[n>>3]=s+ +h[n>>3]}g=c[i+104>>2]|0;if(g){n=g+56|0;h[n>>3]=q+ +h[n>>3];n=g+64|0;h[n>>3]=s+ +h[n>>3]}g=c[i+8>>2]|0;if((g|0)!=0?(B=c[g+4>>2]|0,(B|0)>0):0){g=c[g>>2]|0;m=0;do{i=c[g+(m*48|0)>>2]|0;j=c[g+(m*48|0)+4>>2]|0;k=c[g+(m*48|0)+8>>2]|0;l=c[g+(m*48|0)+12>>2]|0;if((j|0)>0){n=0;do{C=i+(n<<4)|0;h[C>>3]=q+ +h[C>>3];C=i+(n<<4)+8|0;h[C>>3]=s+ +h[C>>3];n=n+1|0}while((n|0)!=(j|0))}if(k){C=g+(m*48|0)+16|0;h[C>>3]=q+ +h[C>>3];C=g+(m*48|0)+24|0;h[C>>3]=s+ +h[C>>3]}if(l){C=g+(m*48|0)+32|0;h[C>>3]=q+ +h[C>>3];C=g+(m*48|0)+40|0;h[C>>3]=s+ +h[C>>3]}m=m+1|0}while((m|0)!=(B|0))}o=ct(p,o)|0}while((o|0)!=0)}f=hu(v,f)|0}while((f|0)!=0);Hx(v,w,x);y=y+1|0}while((y|0)!=(a|0));f=0}return f|0}function vx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=sx(a,b,d,e)|0;if(!f)f=1;else{d=ux(a,b,f,d,c[e+12>>2]|0)|0;fQ(f);f=d}return f|0}function wx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0;q=vx(a,b,d,e)|0;if(!q){IC(d);m=c[d+16>>2]|0;n=m+16|0;g=+h[n>>3];o=m+24|0;i=+h[o>>3];p=m+32|0;f=+h[p>>3];m=m+40|0;j=+h[m>>3];if((a|0)>0){l=0;do{e=c[(c[b+(l<<2)>>2]|0)+16>>2]|0;k=c[e+180>>2]|0;if((k|0)>=1){d=c[e+184>>2]|0;e=1;while(1){s=c[(c[d+(e<<2)>>2]|0)+16>>2]|0;r=+h[s+16>>3];g=g<r?g:r;r=+h[s+24>>3];i=i<r?i:r;r=+h[s+32>>3];f=f>r?f:r;r=+h[s+40>>3];j=j>r?j:r;if((e|0)<(k|0))e=e+1|0;else break}}l=l+1|0}while((l|0)!=(a|0))}h[n>>3]=g;h[o>>3]=i;h[p>>3]=f;h[m>>3]=j}return q|0}function xx(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;h=i;i=i+16|0;g=h;if(!f)Na(140258,140264,1400,140271);e=Ax(b,e,e)|0;c[f+8>>2]=e;if(a[142275]|0){j=c[24809]|0;c[g>>2]=e;pO(j,140283,g)|0}c[f+12>>2]=0;c[f+20>>2]=0;yx(Qs(b,140296)|0,d,f)|0;i=h;return c[f+16>>2]|0}function yx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=i;i=i+64|0;s=v+40|0;r=v+32|0;u=v+24|0;t=v+16|0;l=v+8|0;n=v;k=v+48|0;m=v+44|0;if(!e)Na(140258,140264,1292,140305);p=e+28|0;c[p>>2]=0;q=e+16|0;c[q>>2]=d;o=e+4|0;c[o>>2]=0;c[e+24>>2]=0;a:do if((b|0)!=0?(j=a[b>>0]|0,j<<24>>24!=0):0)switch(j<<24>>24|0){case 97:{if(gP(b,140323,5)|0){if(gP(b,140329,6)|0)break a;c[q>>2]=5;c[l>>2]=k;n=(EO(b+5|0,140336,l)|0)>0;f=+g[k>>2];if(n&f>0.0){g[e>>2]=f;break a}else{g[e>>2]=1.0;break a}}c[q>>2]=4;d=b+5|0;b:do if((a[d>>0]|0)==95){d=b+6|0;j=a[d>>0]|0;if(j<<24>>24){k=0;while(1){switch(j<<24>>24|0){case 99:{k=k|1;c[p>>2]=k;break}case 105:{k=k|64;c[p>>2]=k;break}case 117:{k=k|2;c[p>>2]=k;break}case 116:{k=k|16;c[p>>2]=k;break}case 98:{k=k|32;c[p>>2]=k;break}case 108:{k=k|4;c[p>>2]=k;break}case 114:{k=k|8;c[p>>2]=k;break}default:break b}d=d+1|0;j=a[d>>0]|0;if(!(j<<24>>24))break b}}}while(0);c[n>>2]=m;n=(EO(d,178484,n)|0)>0;d=c[m>>2]|0;if(!(n&(d|0)>0))break a;c[o>>2]=d;break a}case 99:{if(j<<24>>24!=99)break a;if(aP(b,149067)|0)break a;c[q>>2]=1;break a}case 103:{if(j<<24>>24!=103)break a;if(aP(b,152567)|0)break a;c[q>>2]=3;break a}case 110:{if(j<<24>>24!=110)break a;if(aP(b,152523)|0)break a;c[q>>2]=2;break a}default:break a}while(0);if(a[142275]|0){d=c[24809]|0;AO(140339,11,1,d)|0;switch(c[q>>2]|0){case 1:{j=149067;break}case 2:{j=152523;break}case 3:{j=152567;break}case 4:{j=140323;break}case 5:{j=140329;break}default:j=140351}c[t>>2]=j;pO(d,140361,t)|0;if((c[q>>2]|0)==5){h[u>>3]=+g[e>>2];pO(d,140374,u)|0}c[r>>2]=c[o>>2];pO(d,140387,r)|0;c[s>>2]=c[p>>2];pO(d,140400,s)|0}i=v;return c[q>>2]|0}function zx(a,b,c){a=a|0;b=b|0;c=c|0;return yx(Qs(a,140296)|0,b,c)|0}function Ax(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=i;i=i+16|0;h=j;g=j+4|0;f=Qs(b,140413)|0;a:do if(f){c[h>>2]=g;h=(EO(f,178484,h)|0)==1;b=c[g>>2]|0;if(!(h&(b|0)>-1)){switch(a[f>>0]|0){case 84:case 116:break;default:{b=d;break a}}b=e}}else b=d;while(0);i=j;return b|0}function Bx(a,b,e){a=a|0;b=b|0;e=e|0;var f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0.0,p=0,q=0,r=0,s=0;s=i;i=i+96|0;q=s+80|0;r=s+48|0;p=s+8|0;n=s;o=+((a*100|0)+-1|0);if((a|0)>0){g=+(e<<1|0);f=0.0;l=0.0;e=0;do{k=g+(+h[b+(e<<5)+16>>3]-+h[b+(e<<5)>>3]);m=g+(+h[b+(e<<5)+24>>3]-+h[b+(e<<5)+8>>3]);f=f-(k+m);l=l-k*m;e=e+1|0}while((e|0)!=(a|0));m=f}else{m=0.0;l=0.0}k=m*m-o*4.0*l;if(!(k<0.0)){f=+O(+k);j=o*2.0;g=(f-m)/j;j=(-m-f)/j;e=~~g;e=(e|0)==0?1:e;if((d[142275]|0)>2){n=c[24809]|0;AO(140540,27,1,n)|0;h[p>>3]=o;h[p+8>>3]=m;h[p+16>>3]=l;h[p+24>>3]=k;h[p+32>>3]=f;pO(n,140568,p)|0;c[r>>2]=e;h[r+8>>3]=g;c[r+16>>2]=~~j;h[r+24>>3]=j;pO(n,140594,r)|0;h[q>>3]=l+(m*g+g*(o*g));h[q+8>>3]=l+(m*j+j*(o*j));pO(n,140616,q)|0}}else{h[n>>3]=k;us(1,140513,n)|0;e=-1}i=s;return e|0}function Cx(a,b,e,f,g,j){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0;w=i;i=i+32|0;v=w+16|0;t=w;o=+h[a>>3];r=+h[a+8>>3];q=+h[a+16>>3];p=+h[a+24>>3];s=aA()|0;k=c[g>>2]|0;a=k-f|0;l=c[g+4>>2]|0;g=l-f|0;k=f-~~(o+(o>=0.0?.5:-.5))+k+~~(q+(q>=0.0?.5:-.5))|0;l=f-~~(r+(r>=0.0?.5:-.5))+l+~~(p+(p>=0.0?.5:-.5))|0;if((a|0)>-1)a=(a|0)/(e|0)|0;else a=((a+1|0)/(e|0)|0)+-1|0;if((g|0)>-1)n=(g|0)/(e|0)|0;else n=((g+1|0)/(e|0)|0)+-1|0;if((k|0)>-1)m=(k|0)/(e|0)|0;else m=((k+1|0)/(e|0)|0)+-1|0;if((l|0)>-1)l=(l|0)/(e|0)|0;else l=((l+1|0)/(e|0)|0)+-1|0;if((a|0)<=(m|0)){k=(n|0)>(l|0);while(1){if(!k){g=n;while(1){dA(s,a,g);if((g|0)<(l|0))g=g+1|0;else break}}if((a|0)<(m|0))a=a+1|0;else break}}l=b+4|0;c[l>>2]=hA(s)|0;k=gA(s)|0;m=b+8|0;c[m>>2]=k;y=+(f<<1|0);x=+(e|0);g=~~+Z(+((y+(q-o))/x));a=~~+Z(+((y+(p-r))/x));c[b>>2]=a+g;if((d[142275]|0)>2?(u=c[24809]|0,c[t>>2]=j,c[t+4>>2]=k,c[t+8>>2]=g,c[t+12>>2]=a,pO(u,140170,t)|0,(c[m>>2]|0)>0):0){a=0;do{j=c[l>>2]|0;t=c[j+(a<<3)+4>>2]|0;c[v>>2]=c[j+(a<<3)>>2];c[v+4>>2]=t;pO(u,140197,v)|0;a=a+1|0}while((a|0)<(c[m>>2]|0))}bA(s);i=w;return}function Dx(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;z=i;i=i+112|0;w=z+96|0;y=z+80|0;t=z+16|0;u=z;x=z+64|0;v=z+48|0;n=z+32|0;h[x>>3]=+(c[b>>2]|0);r=x+8|0;h[r>>3]=+(c[b+4>>2]|0);if((j|0)!=0?(s=a+16|0,m=c[(c[s>>2]|0)+8>>2]|0,(m|0)!=0):0){if((c[m+4>>2]|0)>0){q=+(e|0);p=+(f|0);o=+(g|0);b=v+8|0;a=0;do{f=c[m>>2]|0;n=c[f+(a*48|0)>>2]|0;j=c[f+(a*48|0)+4>>2]|0;g=c[f+(a*48|0)+8>>2]|0;e=c[f+(a*48|0)+12>>2]|0;m=f+(a*48|0)+16|0;c[t>>2]=c[m>>2];c[t+4>>2]=c[m+4>>2];c[t+8>>2]=c[m+8>>2];c[t+12>>2]=c[m+12>>2];f=f+(a*48|0)+32|0;c[u>>2]=c[f>>2];c[u+4>>2]=c[f+4>>2];c[u+8>>2]=c[f+8>>2];c[u+12>>2]=c[f+12>>2];if(!g){c[x>>2]=c[n>>2];c[x+4>>2]=c[n+4>>2];c[x+8>>2]=c[n+8>>2];c[x+12>>2]=c[n+12>>2];m=n+16|0;c[v>>2]=c[m>>2];c[v+4>>2]=c[m+4>>2];c[v+8>>2]=c[m+8>>2];c[v+12>>2]=c[m+12>>2];m=2}else{c[x>>2]=c[t>>2];c[x+4>>2]=c[t+4>>2];c[x+8>>2]=c[t+8>>2];c[x+12>>2]=c[t+12>>2];c[v>>2]=c[n>>2];c[v+4>>2]=c[n+4>>2];c[v+8>>2]=c[n+8>>2];c[v+12>>2]=c[n+12>>2];m=1}k=q+ +h[x>>3];h[x>>3]=k;l=p+ +h[r>>3];h[r>>3]=l;if(!(k>=0.0))k=(k+1.0)/o+-1.0;else k=k/o;h[x>>3]=k;if(!(l>=0.0))k=(l+1.0)/o+-1.0;else k=l/o;h[r>>3]=k;k=q+ +h[v>>3];h[v>>3]=k;l=p+ +h[b>>3];h[b>>3]=l;if(!(k>=0.0))k=(k+1.0)/o+-1.0;else k=k/o;h[v>>3]=k;if(!(l>=0.0))k=(l+1.0)/o+-1.0;else k=l/o;h[b>>3]=k;c[y>>2]=c[x>>2];c[y+4>>2]=c[x+4>>2];c[y+8>>2]=c[x+8>>2];c[y+12>>2]=c[x+12>>2];c[w>>2]=c[v>>2];c[w+4>>2]=c[v+4>>2];c[w+8>>2]=c[v+8>>2];c[w+12>>2]=c[v+12>>2];rx(y,w,d);if((m|0)<(j|0))do{c[x>>2]=c[v>>2];c[x+4>>2]=c[v+4>>2];c[x+8>>2]=c[v+8>>2];c[x+12>>2]=c[v+12>>2];g=n+(m<<4)|0;c[v>>2]=c[g>>2];c[v+4>>2]=c[g+4>>2];c[v+8>>2]=c[g+8>>2];c[v+12>>2]=c[g+12>>2];k=q+ +h[v>>3];h[v>>3]=k;l=p+ +h[b>>3];h[b>>3]=l;if(!(k>=0.0))k=(k+1.0)/o+-1.0;else k=k/o;h[v>>3]=k;if(!(l>=0.0))k=(l+1.0)/o+-1.0;else k=l/o;h[b>>3]=k;c[y>>2]=c[x>>2];c[y+4>>2]=c[x+4>>2];c[y+8>>2]=c[x+8>>2];c[y+12>>2]=c[x+12>>2];c[w>>2]=c[v>>2];c[w+4>>2]=c[v+4>>2];c[w+8>>2]=c[v+8>>2];c[w+12>>2]=c[v+12>>2];rx(y,w,d);m=m+1|0}while((m|0)!=(j|0));if(e){c[x>>2]=c[v>>2];c[x+4>>2]=c[v+4>>2];c[x+8>>2]=c[v+8>>2];c[x+12>>2]=c[v+12>>2];c[v>>2]=c[u>>2];c[v+4>>2]=c[u+4>>2];c[v+8>>2]=c[u+8>>2];c[v+12>>2]=c[u+12>>2];k=q+ +h[v>>3];h[v>>3]=k;l=p+ +h[b>>3];h[b>>3]=l;if(!(k>=0.0))k=(k+1.0)/o+-1.0;else k=k/o;h[v>>3]=k;if(!(l>=0.0))k=(l+1.0)/o+-1.0;else k=l/o;h[b>>3]=k;c[y>>2]=c[x>>2];c[y+4>>2]=c[x+4>>2];c[y+8>>2]=c[x+8>>2];c[y+12>>2]=c[x+12>>2];c[w>>2]=c[v>>2];c[w+4>>2]=c[v+4>>2];c[w+8>>2]=c[v+8>>2];c[w+12>>2]=c[v+12>>2];rx(y,w,d)}a=a+1|0;m=c[(c[s>>2]|0)+8>>2]|0}while((a|0)<(c[m+4>>2]|0))}}else{wC(n,c[((c[a>>2]&3|0)==2?a:a+-48|0)+40>>2]|0);c[v>>2]=c[n>>2];c[v+4>>2]=c[n+4>>2];c[v+8>>2]=c[n+8>>2];c[v+12>>2]=c[n+12>>2];k=+(e|0)+ +h[v>>3];h[v>>3]=k;m=v+8|0;l=+(f|0)+ +h[m>>3];h[m>>3]=l;if(!(k>=0.0))k=(k+1.0)/+(g|0)+-1.0;else k=k/+(g|0);h[v>>3]=k;if(!(l>=0.0))k=(l+1.0)/+(g|0)+-1.0;else k=l/+(g|0);h[m>>3]=k;c[y>>2]=c[x>>2];c[y+4>>2]=c[x+4>>2];c[y+8>>2]=c[x+8>>2];c[y+12>>2]=c[x+12>>2];c[w>>2]=c[v>>2];c[w+4>>2]=c[v+4>>2];c[w+8>>2]=c[v+8>>2];c[w+12>>2]=c[v+12>>2];rx(y,w,d)}i=z;return}function Ex(a,b){a=a|0;b=b|0;return (c[c[b>>2]>>2]|0)-(c[c[a>>2]>>2]|0)|0}function Fx(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0.0,r=0.0;p=c[b+12>>2]|0;j=+h[i+(p<<5)>>3];k=+h[i+(p<<5)+8>>3];l=+h[i+(p<<5)+16>>3];m=+h[i+(p<<5)+24>>3];if(!((a|0)==0?(r=+(g<<1|0),q=+(f|0),(Kx((~~+Z(+((r+(l-j))/q))|0)/-2|0,(~~+Z(+((r+(m-k))/q))|0)/-2|0,b,d,e,f,i)|0)!=0):0))n=3;a:do if((n|0)==3?(Kx(0,0,b,d,e,f,i)|0)==0:0)if((~~+Z(+(l-j))|0)<(~~+Z(+(m-k))|0)){p=1;while(1){o=0-p|0;g=0;while(1){if(Kx(o,g,b,d,e,f,i)|0)break a;a=g+-1|0;if((a|0)>(o|0))g=a;else{n=g;break}}if((p|0)>(o|0)){g=o;do{if(Kx(g,a,b,d,e,f,i)|0)break a;g=g+1|0}while((g|0)<(p|0))}else g=o;if((n|0)<=(p|0))do{if(Kx(g,a,b,d,e,f,i)|0)break a;a=a+1|0}while((a|0)<(p|0));if((g|0)>(o|0))do{if(Kx(g,a,b,d,e,f,i)|0)break a;g=g+-1|0}while((g|0)>(o|0));if((a|0)>0)while(1){if(Kx(g,a,b,d,e,f,i)|0)break a;if((a|0)>1)a=a+-1|0;else break}p=p+1|0}}else{p=1;while(1){o=0-p|0;g=0;while(1){if(Kx(g,o,b,d,e,f,i)|0)break a;a=g+1|0;if((a|0)<(p|0))g=a;else{n=g;break}}if((p|0)>(o|0)){g=o;do{if(Kx(a,g,b,d,e,f,i)|0)break a;g=g+1|0}while((g|0)<(p|0))}else g=o;if((n|0)>=(o|0))do{if(Kx(a,g,b,d,e,f,i)|0)break a;a=a+-1|0}while((a|0)>(o|0));if((g|0)>(o|0))do{if(Kx(a,g,b,d,e,f,i)|0)break a;g=g+-1|0}while((g|0)>(o|0));if((a|0)<0)while(1){if(Kx(a,g,b,d,e,f,i)|0)break a;if((a|0)<-1)a=a+1|0;else break}p=p+1|0}}while(0);return}function Gx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=i;i=i+16|0;j=B;A=yz(b<<3)|0;g=c[e+4>>2]|0;r=e+28|0;f=(g|0)>0;do if(!(c[r>>2]&1))if(f){z=g;g=(b+-1+g|0)/(g|0)|0;q=1;break}else{g=~~+Z(+(+O(+(+(b|0)))));z=g;g=(b+-1+g|0)/(g|0)|0;q=1;break}else if(f){z=(b+-1+g|0)/(g|0)|0;q=0;break}else{g=~~+Z(+(+O(+(+(b|0)))));z=(b+-1+g|0)/(g|0)|0;q=0;break}while(0);if(a[142275]|0){y=c[24809]|0;c[j>>2]=(q|0)!=0?140418:140428;c[j+4>>2]=g;c[j+8>>2]=z;pO(y,140441,j)|0}w=yz((z<<3)+8|0)|0;x=yz((g<<3)+8|0)|0;y=yz(b*24|0)|0;p=(b|0)>0;if(p){k=+((c[e+8>>2]|0)>>>0);f=0;j=y;while(1){o=+h[d+(f<<5)+8>>3];n=+h[d+(f<<5)+24>>3];h[j>>3]=+h[d+(f<<5)+16>>3]-+h[d+(f<<5)>>3]+k;h[j+8>>3]=n-o+k;c[j+16>>2]=f;f=f+1|0;if((f|0)==(b|0))break;else j=j+24|0}j=yz(b<<2)|0;if(p){f=0;do{c[j+(f<<2)>>2]=y+(f*24|0);f=f+1|0}while((f|0)!=(b|0));v=j;u=j}else{v=j;u=j}}else{u=yz(b<<2)|0;v=u}f=c[e+24>>2]|0;if(!f){if(!(c[r>>2]&64))PO(v,b,4,92)}else{c[13727]=f;PO(v,b,4,91)}if(p){e=(q|0)==0;f=0;m=0;j=0;do{s=c[u+(m<<2)>>2]|0;t=w+(f<<3)|0;o=+h[t>>3];n=+h[s>>3];h[t>>3]=o>n?o:n;t=x+(j<<3)|0;n=+h[t>>3];o=+h[s+8>>3];h[t>>3]=n>o?n:o;if(e){j=j+1|0;t=(j|0)==(g|0);f=(t&1)+f|0;j=t?0:j}else{f=f+1|0;t=(f|0)==(z|0);f=t?0:f;j=(t&1)+j|0}m=m+1|0}while((m|0)!=(b|0))}if((z|0)>=0){f=0;l=0.0;while(1){t=w+(f<<3)|0;k=+h[t>>3];h[t>>3]=l;if((f|0)==(z|0))break;else{f=f+1|0;l=l+k}}}if((g|0)>0){k=0.0;f=g;do{t=f;f=f+-1|0;o=+h[x+(f<<3)>>3];h[x+(t<<3)>>3]=k;k=k+o}while((t|0)>1)}else k=0.0;h[x>>3]=k;if(p){t=(q|0)==0;r=c[r>>2]|0;m=(r&4|0)==0;p=(r&8|0)==0;q=(r&16|0)==0;r=(r&32|0)==0;f=0;s=0;j=0;do{e=c[(c[u+(s<<2)>>2]|0)+16>>2]|0;k=+h[d+(e<<5)>>3];l=+h[d+(e<<5)+8>>3];n=+h[d+(e<<5)+16>>3];o=+h[d+(e<<5)+24>>3];do if(m)if(p){c[A+(e<<3)>>2]=~~((+h[w+(f<<3)>>3]+ +h[w+(f+1<<3)>>3]-n-k)*.5);break}else{c[A+(e<<3)>>2]=~~(+h[w+(f+1<<3)>>3]-(n-k));break}else c[A+(e<<3)>>2]=~~+h[w+(f<<3)>>3];while(0);do if(q)if(r){c[A+(e<<3)+4>>2]=~~((+h[x+(j<<3)>>3]+ +h[x+(j+1<<3)>>3]-o-l)*.5);break}else{c[A+(e<<3)+4>>2]=~~+h[x+(j+1<<3)>>3];break}else c[A+(e<<3)+4>>2]=~~(+h[x+(j<<3)>>3]-(o-l));while(0);if(t){j=j+1|0;e=(j|0)==(g|0);f=(e&1)+f|0;j=e?0:j}else{f=f+1|0;e=(f|0)==(z|0);f=e?0:f;j=(e&1)+j|0}s=s+1|0}while((s|0)!=(b|0))}fQ(y);fQ(v);fQ(w);fQ(x);i=B;return A|0}function Hx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,i=0.0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0;j=b+16|0;b=c[j>>2]|0;o=b+16|0;m=b+24|0;f=b+32|0;b=b+40|0;g=+(d|0);l=g+ +h[f>>3];i=+(e|0);n=i+ +h[m>>3];k=i+ +h[b>>3];h[o>>3]=g+ +h[o>>3];h[m>>3]=n;h[f>>3]=l;h[b>>3]=k;b=c[j>>2]|0;f=c[b+12>>2]|0;if((f|0)!=0?(a[f+81>>0]|0)!=0:0){o=f+56|0;h[o>>3]=g+ +h[o>>3];o=f+64|0;h[o>>3]=i+ +h[o>>3]}if((c[b+180>>2]|0)>=1){f=1;while(1){Hx(c[(c[b+184>>2]|0)+(f<<2)>>2]|0,d,e);b=c[j>>2]|0;if((f|0)>=(c[b+180>>2]|0))break;else f=f+1|0}}return}function Ix(a,b){a=a|0;b=b|0;var d=0;d=c[13727]|0;a=c[d+(c[(c[a>>2]|0)+16>>2]<<2)>>2]|0;b=c[d+(c[(c[b>>2]|0)+16>>2]<<2)>>2]|0;return ((a|0)>(b|0)?1:((a|0)<(b|0))<<31>>31)|0}function Jx(a,b){a=a|0;b=b|0;var d=0.0,e=0.0;a=c[a>>2]|0;b=c[b>>2]|0;e=+h[a+8>>3]+ +h[a>>3];d=+h[b+8>>3]+ +h[b>>3];return (e<d?1:(e>d)<<31>>31)|0}function Kx(a,b,e,f,g,j,k){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;v=i;i=i+48|0;t=v+32|0;u=v;s=v+24|0;q=e+4|0;r=c[e+8>>2]|0;o=(r|0)>0;a:do if(o){l=s+4|0;m=c[q>>2]|0;n=0;while(1){w=m;x=c[w>>2]|0;w=c[w+4>>2]|0;y=s;c[y>>2]=x;c[y+4>>2]=w;c[s>>2]=x+a;c[l>>2]=w+b;c[t>>2]=c[s>>2];c[t+4>>2]=c[s+4>>2];if(eA(f,t)|0){l=0;break a}n=n+1|0;if((n|0)>=(r|0)){p=5;break}else m=m+8|0}}else p=5;while(0);if((p|0)==5){n=c[e+12>>2]|0;A=+h[k+(n<<5)>>3];z=+h[k+(n<<5)+8>>3];c[g>>2]=(_(j,a)|0)-~~(A+(A>=0.0?.5:-.5));n=g+4|0;c[n>>2]=(_(j,b)|0)-~~(z+(z>=0.0?.5:-.5));if(o){m=s+4|0;l=c[q>>2]|0;k=0;while(1){y=l;x=c[y>>2]|0;y=c[y+4>>2]|0;w=s;c[w>>2]=x;c[w+4>>2]=y;c[s>>2]=x+a;c[m>>2]=y+b;c[t>>2]=c[s>>2];c[t+4>>2]=c[s+4>>2];cA(f,t);k=k+1|0;if((k|0)==(r|0))break;else l=l+8|0}}if((d[142275]|0)>1){l=c[24809]|0;x=c[g>>2]|0;y=c[n>>2]|0;c[u>>2]=r;c[u+4>>2]=a;c[u+8>>2]=b;c[u+12>>2]=x;c[u+16>>2]=y;pO(l,140479,u)|0;l=1}else l=1}i=v;return l|0}function Lx(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;O=i;i=i+160|0;L=O+148|0;K=O+144|0;J=O+80|0;M=O;do if(b){if(!f){f=gQ(1,20)|0;c[f+4>>2]=e>>>0>80?e:80}e=c[f>>2]|0;N=c[f+4>>2]|0;if(!e){g=100;e=gQ(100,N)|0}else{g=e+100|0;I=hQ(c[f+8>>2]|0,_(g,N)|0)|0;tQ(I+(_(N,e)|0)|0,0,N*100|0)|0;e=I}n=M+8|0;o=(d|0)==0;p=M+72|0;q=d+4|0;r=d+8|0;s=J+8|0;t=M+8|0;u=d+24|0;v=M+8|0;w=d+40|0;x=d+20|0;y=d+12|0;z=M+16|0;A=M+24|0;B=M+32|0;C=M+40|0;D=d+16|0;E=M+16|0;F=d+28|0;G=d+32|0;H=d+36|0;I=d+44|0;k=g;a:while(1){while(1){g=b+1|0;if(!(KM(a[b>>0]|0)|0))break;else b=g}b:do switch(a[b>>0]|0){case 0:{g=11;break a}case 69:{c[M>>2]=0;b=Rx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[d>>2];break}case 101:{c[M>>2]=1;b=Rx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[d>>2];break}case 80:{c[M>>2]=2;b=Sx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[q>>2];break}case 112:{c[M>>2]=3;b=Sx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[q>>2];break}case 98:{c[M>>2]=4;b=Sx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[r>>2];break}case 66:{c[M>>2]=5;b=Sx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[r>>2];break}case 99:{b=Tx(g,K)|0;if(!b){g=84;break a}m=Px(c[K>>2]|0,J)|0;c[K>>2]=m;if(!m){g=84;break a}if(!(c[J>>2]|0)){c[M>>2]=9;c[t>>2]=c[s>>2];if(o)break b;c[p>>2]=c[u>>2];break b}else{c[M>>2]=14;g=v;l=J;m=g+64|0;do{c[g>>2]=c[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));if(o)break b;c[p>>2]=c[w>>2];break b}}case 67:{b=Tx(g,K)|0;if(!b){g=84;break a}m=Px(c[K>>2]|0,J)|0;c[K>>2]=m;if(!m){g=84;break a}if(!(c[J>>2]|0)){c[M>>2]=8;c[t>>2]=c[s>>2];if(o)break b;c[p>>2]=c[x>>2];break b}else{c[M>>2]=13;g=v;l=J;m=g+64|0;do{c[g>>2]=c[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));if(o)break b;c[p>>2]=c[w>>2];break b}}case 76:{c[M>>2]=6;b=Sx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[y>>2];break}case 84:{c[M>>2]=7;j=+QO(g,L);b=c[L>>2]|0;if((b|0)==(g|0)){g=48;break a}h[n>>3]=j;if(!b){g=84;break a}j=+QO(b,L);g=c[L>>2]|0;if((g|0)==(b|0)){g=51;break a}h[z>>3]=j;if(!g){g=84;break a}b=SO(g,L,10)|0;m=c[L>>2]|0;g=(m|0)==(g|0)?0:m;do if((b|0)>=0)if((b|0)>0){c[A>>2]=2;break}else{c[A>>2]=1;break}else c[A>>2]=0;while(0);if(!g){g=84;break a}j=+QO(g,L);b=c[L>>2]|0;if((b|0)==(g|0)){g=60;break a}h[B>>3]=j;if(!b){g=84;break a}b=Tx(b,C)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[D>>2];break}case 70:{c[M>>2]=10;j=+QO(g,L);b=c[L>>2]|0;if((b|0)==(g|0)){g=66;break a}h[n>>3]=j;if(!b){g=84;break a}b=Tx(b,E)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[F>>2];break}case 83:{c[M>>2]=11;b=Tx(g,n)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[G>>2];break}case 73:{c[M>>2]=12;b=Rx(g,n)|0;if(!b){g=84;break a}b=Tx(b,C)|0;if(!b){g=84;break a}if(!o)c[p>>2]=c[H>>2];break}case 116:{c[M>>2]=15;c[t>>2]=RO(g,L,10)|0;b=c[L>>2]|0;b=(b|0)==(g|0)?0:b;if(!b){g=84;break a}if(!o)c[p>>2]=c[I>>2];break}default:{g=84;break a}}while(0);g=c[f>>2]|0;if((g|0)==(k|0)){m=k<<1;e=hQ(e,_(m,N)|0)|0;g=_(k,N)|0;tQ(e+g|0,0,g|0)|0;g=c[f>>2]|0;k=m}g=e+(_(g,N)|0)|0;l=M;m=g+80|0;do{c[g>>2]=c[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));c[f>>2]=(c[f>>2]|0)+1}if((g|0)==11)b=e;else if((g|0)==48)g=84;else if((g|0)==51)g=84;else if((g|0)==60)g=84;else if((g|0)==66)g=84;if((g|0)==84){b=f+16|0;c[b>>2]=c[b>>2]|1;b=e}e=c[f>>2]|0;if(!e){fQ(b);fQ(f);f=0;break}else{c[f+8>>2]=hQ(b,_(e,N)|0)|0;break}}while(0);i=O;return f|0}function Mx(a,b,c){a=a|0;b=b|0;c=c|0;return Lx(a,b,c,0)|0}function Nx(a){a=a|0;return Lx(a,0,0,0)|0}function Ox(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=c[a+12>>2]|0;if(a){f=c[a+8>>2]|0;a:do if((c[a>>2]|0)>0){g=a+4|0;h=(b|0)==0;i=0;while(1){d=_(c[g>>2]|0,i)|0;e=f+d|0;if(!h)Db[b&127](e);switch(c[e>>2]|0){case 3:case 2:{fQ(c[f+(d+12)>>2]|0);break}case 5:case 4:{fQ(c[f+(d+12)>>2]|0);break}case 6:{fQ(c[f+(d+12)>>2]|0);break}case 7:{fQ(c[f+(d+40)>>2]|0);break}case 9:case 8:{fQ(c[f+(d+8)>>2]|0);break}case 14:case 13:{Qx(f+(d+8)|0);break}case 10:{fQ(c[f+(d+16)>>2]|0);break}case 11:{fQ(c[f+(d+8)>>2]|0);break}case 12:{fQ(c[f+(d+40)>>2]|0);break}default:{}}i=i+1|0;if((i|0)>=(c[a>>2]|0))break a}}while(0);fQ(f);fQ(a)}return}function Px(b,d){b=b|0;d=d|0;var e=0,f=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=i;i=i+16|0;r=s;e=a[b>>0]|0;a:do switch(e|0){case 91:{b=b+1|0;c[d>>2]=1;n=d+8|0;f=+QO(b,r);e=c[r>>2]|0;if((e|0)==(b|0)){b=0;break a}h[n>>3]=f;if(e){f=+QO(e,r);l=c[r>>2]|0;if((l|0)==(e|0)){b=0;break a}h[d+16>>3]=f;if(l){f=+QO(l,r);k=c[r>>2]|0;if((k|0)==(l|0)){b=0;break a}h[d+24>>3]=f;if(k){f=+QO(k,r);e=c[r>>2]|0;if((e|0)==(k|0)){b=0;break a}h[d+32>>3]=f;if((e|0)!=0?(o=d+40|0,m=SO(e,r,10)|0,c[o>>2]=m,j=c[r>>2]|0,!((j|0)==(e|0)|(j|0)==0)):0){l=gQ(m,8)|0;b:do if((m|0)>0){k=0;while(1){f=+QO(j,r);e=c[r>>2]|0;if((e|0)==(j|0)|(e|0)==0){e=19;break}g[l+(k<<3)>>2]=f;j=Tx(e,l+(k<<3)+4|0)|0;k=k+1|0;if(!j){e=21;break}if((k|0)>=(c[o>>2]|0))break b}if((e|0)==19){fQ(l);b=0;break a}else if((e|0)==21){fQ(l);b=0;break a}}while(0);c[n+36>>2]=l}else b=0}else b=0}else b=0}else b=0;break}case 40:{b=b+1|0;c[d>>2]=2;f=+QO(b,r);e=c[r>>2]|0;if((e|0)==(b|0)){b=0;break a}h[d+8>>3]=f;if(e){f=+QO(e,r);j=c[r>>2]|0;if((j|0)==(e|0)){b=0;break a}h[d+16>>3]=f;if(j){f=+QO(j,r);e=c[r>>2]|0;if((e|0)==(j|0)){b=0;break a}h[d+24>>3]=f;if(e){f=+QO(e,r);j=c[r>>2]|0;if((j|0)==(e|0)){b=0;break a}h[d+32>>3]=f;if(j){f=+QO(j,r);k=c[r>>2]|0;if((k|0)==(j|0)){b=0;break a}h[d+40>>3]=f;if(k){f=+QO(k,r);e=c[r>>2]|0;if((e|0)==(k|0)){b=0;break a}h[d+48>>3]=f;if((e|0)!=0?(q=d+56|0,n=SO(e,r,10)|0,c[q>>2]=n,p=c[r>>2]|0,!((p|0)==(e|0)|(p|0)==0)):0){l=gQ(n,8)|0;c:do if((n|0)>0){k=0;j=p;while(1){f=+QO(j,r);e=c[r>>2]|0;if((e|0)==(j|0)|(e|0)==0){e=46;break}g[l+(k<<3)>>2]=f;j=Tx(e,l+(k<<3)+4|0)|0;k=k+1|0;if(!j){e=48;break}if((k|0)>=(c[q>>2]|0))break c}if((e|0)==46){fQ(l);b=0;break a}else if((e|0)==48){fQ(l);b=0;break a}}while(0);c[d+60>>2]=l}else b=0}else b=0}else b=0}else b=0}else b=0}else b=0;break}case 47:case 35:{c[d>>2]=0;c[d+8>>2]=b;break}default:if(!(GM(e)|0))b=0;else{c[d>>2]=0;c[d+8>>2]=b}}while(0);i=s;return b|0}function Qx(a){a=a|0;var b=0,d=0;switch(c[a>>2]|0){case 1:{d=a+40|0;a=a+8+36|0;if((c[d>>2]|0)>0){b=0;do{fQ(c[(c[a>>2]|0)+(b<<3)+4>>2]|0);b=b+1|0}while((b|0)<(c[d>>2]|0))}fQ(c[a>>2]|0);break}case 2:{d=a+56|0;a=a+60|0;if((c[d>>2]|0)>0){b=0;do{fQ(c[(c[a>>2]|0)+(b<<3)+4>>2]|0);b=b+1|0}while((b|0)<(c[d>>2]|0))}fQ(c[a>>2]|0);break}default:{}}return}function Rx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;j=i;i=i+16|0;g=j;h[b>>3]=+QO(a,g);d=c[g>>2]|0;if(((d|0)!=(a|0)?(h[b+8>>3]=+QO(d,g),e=c[g>>2]|0,(d|0)!=(e|0)):0)?(h[b+16>>3]=+QO(e,g),f=c[g>>2]|0,(e|0)!=(f|0)):0){h[b+24>>3]=+QO(f,g);d=c[g>>2]|0;d=(f|0)==(d|0)?0:d}else d=0;i=j;return d|0}function Sx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0;k=i;i=i+16|0;d=k+4|0;g=k;e=SO(a,d,10)|0;d=c[d>>2]|0;a:do if((d|0)==(a|0)|(d|0)==0)d=0;else{j=gQ(e,24)|0;c[b>>2]=e;b:do if((e|0)>0){e=j;f=0;while(1){h[e>>3]=+QO(d,g);a=c[g>>2]|0;if((d|0)==(a|0)){a=5;break}h[e+8>>3]=+QO(a,g);d=c[g>>2]|0;if((a|0)==(d|0)){a=7;break}h[e+16>>3]=0.0;f=f+1|0;if((f|0)>=(c[b>>2]|0))break b;else e=e+24|0}if((a|0)==5){fQ(j);d=0;break a}else if((a|0)==7){fQ(j);d=0;break a}}while(0);c[b+4>>2]=j}while(0);i=k;return d|0}function Tx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;k=i;i=i+16|0;j=k;f=SO(b,j,10)|0;j=c[j>>2]|0;b=(j|0)==(b|0)?0:j;a:do if(!((f|0)<1|(b|0)==0)){do{j=a[b>>0]|0;e=j<<24>>24==0;b=b+1|0}while(j<<24>>24!=45&(e^1));if(!e){j=gQ(f+1|0,1)|0;b:do if((f|0)>0){h=f;g=j;while(1){f=a[b>>0]|0;if(!(f<<24>>24))break;e=g+1|0;a[g>>0]=f;b=b+1|0;if((h|0)>1){h=h+-1|0;g=e}else break b}fQ(j);b=0;break a}else e=j;while(0);a[e>>0]=0;c[d>>2]=j}else b=0}else b=0;while(0);i=k;return b|0}function Ux(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+16|0;k=l+4|0;j=l;c[d>>2]=0;c[e>>2]=(yt(xu(b)|0)|0)!=0&1;f=c[13953]|0;a:do if(f){f=Rs(b,f)|0;switch(a[f>>0]|0){case 110:{if(!(aP(f,176797)|0))f=54948;else break a;break}case 102:{if(!(aP(f,142148)|0))f=54912;else break a;break}case 98:{if(aP(f,142156)|0)if(!(aP(f,152238)|0))f=54936;else break a;else f=54924;break}default:break a}c[d>>2]=c[f+4>>2];c[e>>2]=c[f+8>>2]}while(0);f=c[13964]|0;if(((f|0)!=0?(c[e>>2]|0)==1:0)?(g=Rs(b,f)|0,(a[g>>0]|0)!=0):0)$x(g,e);f=c[13965]|0;if(((f|0)!=0?(c[d>>2]|0)==1:0)?(h=Rs(b,f)|0,(a[h>>0]|0)!=0):0)$x(h,d);if(a[(c[b+16>>2]|0)+153>>0]|0){g=b+-48|0;f=xu(c[((c[b>>2]&3|0)==2?b:g)+40>>2]|0)|0;h=c[b>>2]&3;Ux(ht(f,c[((h|0)==2?b:g)+40>>2]|0,c[((h|0)==3?b:b+48|0)+40>>2]|0,0,0)|0,k,j);c[e>>2]=c[k>>2]|c[e>>2];c[d>>2]=c[j>>2]|c[d>>2]}i=l;return}function Vx(a,b){a=a|0;b=b|0;var d=0.0,e=0,f=0,g=0;f=0;d=0.0;do{e=b>>(f<<3)&15;if((e|0)!=1)if((e|0)!=2)if((e|0)!=3)if((e|0)!=4)if((e|0)!=5)if((e|0)!=6)if((e|0)!=7){if((e|0)==8){e=34168;g=3}}else{e=34144;g=3}else{e=34120;g=3}else{e=34096;g=3}else{e=34072;g=3}else{e=34048;g=3}else{e=34024;g=3}else{e=34e3;g=3}if((g|0)==3){g=0;d=d+ +h[e+8>>3]}f=f+1|0}while((f|0)!=4);return +(d*10.0*+mC(a,c[13957]|0,1.0,0.0))}function Wx(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0,r=0,s=0;n=i;i=i+80|0;l=n+72|0;m=n+8|0;k=n;j=+Vx(a,g);j=j*j;h[k>>3]=j;c[f+12>>2]=g;f=f+32|0;a=e+3|0;g=b+(a<<4)|0;c[f>>2]=c[g>>2];c[f+4>>2]=c[g+4>>2];c[f+8>>2]=c[g+8>>2];c[f+12>>2]=c[g+12>>2];if((e|0)>(d|0)?(p=+h[b+(e<<4)>>3]-+h[g>>3],o=+h[b+(e<<4)+8>>3]-+h[b+(a<<4)+8>>3],p*p+o*o<j):0)e=e+-3|0;s=m+48|0;r=b+(e<<4)|0;c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];q=m+32|0;a=b+(e+1<<4)|0;c[q>>2]=c[a>>2];c[q+4>>2]=c[a+4>>2];c[q+8>>2]=c[a+8>>2];c[q+12>>2]=c[a+12>>2];g=m+16|0;d=b+(e+2<<4)|0;c[g>>2]=c[d>>2];c[g+4>>2]=c[d+4>>2];c[g+8>>2]=c[d+8>>2];c[g+12>>2]=c[d+12>>2];c[m>>2]=c[f>>2];c[m+4>>2]=c[f+4>>2];c[m+8>>2]=c[f+8>>2];c[m+12>>2]=c[f+12>>2];c[l>>2]=m;c[l+4>>2]=k;EB(l,93,m,1);c[r>>2]=c[s>>2];c[r+4>>2]=c[s+4>>2];c[r+8>>2]=c[s+8>>2];c[r+12>>2]=c[s+12>>2];c[a>>2]=c[q>>2];c[a+4>>2]=c[q+4>>2];c[a+8>>2]=c[q+8>>2];c[a+12>>2]=c[q+12>>2];c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];b=b+(e+3<<4)|0;c[b>>2]=c[m>>2];c[b+4>>2]=c[m+4>>2];c[b+8>>2]=c[m+8>>2];c[b+12>>2]=c[m+12>>2];i=n;return e|0}function Xx(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0,s=0;o=i;i=i+80|0;l=o+72|0;n=o+8|0;m=o;k=+Vx(a,g);k=k*k;h[m>>3]=k;c[f+8>>2]=g;g=f+16|0;a=b+(d<<4)|0;c[g>>2]=c[a>>2];c[g+4>>2]=c[a+4>>2];c[g+8>>2]=c[a+8>>2];c[g+12>>2]=c[a+12>>2];if(!((e|0)>(d|0)?(j=d+3|0,q=+h[a>>3]-+h[b+(j<<4)>>3],p=+h[b+(d<<4)+8>>3]-+h[b+(j<<4)+8>>3],q*q+p*p<k):0))j=d;d=b+(j+3<<4)|0;c[n>>2]=c[d>>2];c[n+4>>2]=c[d+4>>2];c[n+8>>2]=c[d+8>>2];c[n+12>>2]=c[d+12>>2];f=n+16|0;e=b+(j+2<<4)|0;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];c[f+12>>2]=c[e+12>>2];r=n+32|0;a=b+(j+1<<4)|0;c[r>>2]=c[a>>2];c[r+4>>2]=c[a+4>>2];c[r+8>>2]=c[a+8>>2];c[r+12>>2]=c[a+12>>2];s=n+48|0;c[s>>2]=c[g>>2];c[s+4>>2]=c[g+4>>2];c[s+8>>2]=c[g+8>>2];c[s+12>>2]=c[g+12>>2];c[l>>2]=s;c[l+4>>2]=m;EB(l,93,n,0);m=b+(j<<4)|0;c[m>>2]=c[s>>2];c[m+4>>2]=c[s+4>>2];c[m+8>>2]=c[s+8>>2];c[m+12>>2]=c[s+12>>2];c[a>>2]=c[r>>2];c[a+4>>2]=c[r+4>>2];c[a+8>>2]=c[r+8>>2];c[a+12>>2]=c[r+12>>2];c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];c[e+8>>2]=c[f+8>>2];c[e+12>>2]=c[f+12>>2];c[d>>2]=c[n>>2];c[d+4>>2]=c[n+4>>2];c[d+8>>2]=c[n+8>>2];c[d+12>>2]=c[n+12>>2];i=o;return j|0}function Yx(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0,s=0.0,t=0.0,u=0.0,v=0;r=(g|0)!=0;j=(i|0)!=0;if(!((e|0)==(d|0)&(r&j))){if(j){k=+Vx(a,i);l=+h[b+(e<<4)>>3];m=+h[b+(e<<4)+8>>3];q=e+3|0;j=b+(q<<4)|0;n=+h[j>>3];q=b+(q<<4)+8|0;o=+h[q>>3];t=l-n;u=m-o;u=+O(+(t*t+u*u))*.9;k=k>=u?u:k;do if(m==o)if(l<n){p=n-k;k=m;break}else{p=n+k;k=m;break}else if(m<o){p=l;k=o-k;break}else{p=l;k=o+k;break}while(0);v=e+1|0;h[b+(v<<4)>>3]=l;h[b+(v<<4)+8>>3]=m;e=b+(e+2<<4)|0;h[j>>3]=p;h[q>>3]=k;c[e>>2]=c[j>>2];c[e+4>>2]=c[j+4>>2];c[e+8>>2]=c[j+8>>2];c[e+12>>2]=c[j+12>>2];c[f+12>>2]=i;h[f+32>>3]=n;h[f+40>>3]=o}if(r){k=+Vx(a,g);j=b+(d<<4)|0;l=+h[j>>3];m=+h[b+(d<<4)+8>>3];v=d+3|0;n=+h[b+(v<<4)>>3];o=+h[b+(v<<4)+8>>3];t=l-n;u=m-o;u=+O(+(t*t+u*u))*.9;k=k>=u?u:k;do if(m==o)if(l<n){p=l+k;k=m;break}else{p=l-k;k=m;break}else if(m<o){p=l;k=m+k;break}else{p=l;k=m-k;break}while(0);e=d+1|0;v=b+(e<<4)|0;h[v>>3]=p;h[b+(e<<4)+8>>3]=k;c[j>>2]=c[v>>2];c[j+4>>2]=c[v+4>>2];c[j+8>>2]=c[v+8>>2];c[j+12>>2]=c[v+12>>2];v=d+2|0;h[b+(v<<4)>>3]=n;h[b+(v<<4)+8>>3]=o;c[f+8>>2]=g;h[f+16>>3]=l;h[f+24>>3]=m}}else{q=b+(e<<4)|0;s=+h[q>>3];t=+h[b+(e<<4)+8>>3];j=e+3|0;r=b+(j<<4)|0;u=+h[r>>3];j=b+(j<<4)+8|0;p=+h[j>>3];k=+Vx(a,g);o=+Vx(a,i);n=s-u;l=t-p;l=+O(+(n*n+l*l));v=!(k+o>=l);l=l/3.0;k=v?k:l;l=v?o:l;do if(t==p)if(s<u){o=s+k;m=t;n=u-l;k=t;break}else{o=s-k;m=t;n=u+l;k=t;break}else if(t<p){o=s;m=t+k;n=s;k=p-l;break}else{o=s;m=t-k;n=s;k=p+l;break}while(0);d=e+1|0;v=b+(d<<4)|0;h[v>>3]=o;h[b+(d<<4)+8>>3]=m;c[q>>2]=c[v>>2];c[q+4>>2]=c[v+4>>2];c[q+8>>2]=c[v+8>>2];c[q+12>>2]=c[v+12>>2];v=b+(e+2<<4)|0;h[r>>3]=n;h[j>>3]=k;c[v>>2]=c[r>>2];c[v+4>>2]=c[r+4>>2];c[v+8>>2]=c[r+8>>2];c[v+12>>2]=c[r+12>>2];c[f+12>>2]=i;h[f+32>>3]=s;h[f+40>>3]=t;c[f+8>>2]=g;h[f+16>>3]=u;h[f+24>>3]=p}return}function Zx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0;m=+h[b>>3];k=+h[c>>3]-m;l=+h[b+8>>3];j=+h[c+8>>3]-l;o=d*10.0/(+O(+(k*k+j*j))+.0001);k=o*(k+(k>=0.0?.0001:-.0001));j=o*(j+(j>=0.0?.0001:-.0001));o=k*.5;n=j*.5;i=m-n;f=l-o;n=m+n;l=o+l;o=k+i;m=j+f;k=k+n;j=j+l;g=o>k?o:k;g=n>g?n:g;d=m>j?m:j;d=l>d?l:d;k=o<k?o:k;k=n<k?n:k;j=m<j?m:j;j=l<j?l:j;h[a>>3]=i<k?i:k;h[a+8>>3]=f<j?f:j;h[a+16>>3]=i>g?i:g;h[a+24>>3]=f>d?f:d;return}function _x(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0;w=i;i=i+80|0;u=w+64|0;s=w+48|0;t=w+32|0;r=w+16|0;o=w;p=(c[a+16>>2]|0)+12|0;q=c[p>>2]|0;c[p>>2]=b;JE(a,c[(c[a>>2]|0)+336>>2]|0);RE(a,g);z=+h[e>>3]-+h[d>>3];k=e+8|0;x=+h[k>>3]-+h[d+8>>3];y=10.0/(+O(+(z*z+x*x))+.0001);h[e>>3]=y*(z+(z>=0.0?.0001:-.0001));h[k>>3]=y*(x+(x>=0.0?.0001:-.0001));k=t+8|0;l=r+8|0;n=0;do{b=j>>(n<<3);m=b&255;if(!m)break;c[t>>2]=c[e>>2];c[t+4>>2]=c[e+4>>2];c[t+8>>2]=c[e+8>>2];c[t+12>>2]=c[e+12>>2];c[r>>2]=c[d>>2];c[r+4>>2]=c[d+4>>2];c[r+8>>2]=c[d+8>>2];c[r+12>>2]=c[d+12>>2];b=b&15;if((b|0)!=1)if((b|0)!=2)if((b|0)!=3)if((b|0)!=4)if((b|0)!=5)if((b|0)!=6)if((b|0)!=7){if((b|0)==8){b=34168;v=4}}else{b=34144;v=4}else{b=34120;v=4}else{b=34096;v=4}else{b=34072;v=4}else{b=34048;v=4}else{b=34024;v=4}else{b=34e3;v=4}if((v|0)==4){v=0;z=+h[b+8>>3]*f;h[t>>3]=+h[t>>3]*z;h[k>>3]=z*+h[k>>3];b=c[b+16>>2]|0;c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];c[u+12>>2]=c[t+12>>2];Tb[b&15](a,s,u,f,g,m);h[r>>3]=+h[r>>3]+ +h[t>>3];h[l>>3]=+h[l>>3]+ +h[k>>3]};c[o>>2]=c[r>>2];c[o+4>>2]=c[r+4>>2];c[o+8>>2]=c[r+8>>2];c[o+12>>2]=c[r+12>>2];c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];n=n+1|0}while((n|0)<4);c[p>>2]=q;i=w;return}function $x(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;m=n;k=n+4|0;c[d>>2]=0;a:do if(a[b>>0]|0){l=0;b:while(1){h=(l|0)==3;j=(l|0)==0;while(1){c[k>>2]=0;e=jy(b,54972,k)|0;if((e|0)==(b|0)){e=b;while(1){f=jy(e,54988,k)|0;if((e|0)==(f|0))break;else e=f}g=jy(e,55036,k)|0}else g=e;e=c[k>>2]|0;if((e|0)!=0&(e&15|0)==0){b=g;g=14;break}if(!e)break b;f=(e|0)==8;if(!(h&f)){b=g;g=12;break}if(!(a[g>>0]|0))break a;else b=g}if((g|0)==12){if(j&f)if(!(a[b>>0]|0))break a;else e=8}else if((g|0)==14)e=e|1;c[d>>2]=c[d>>2]|e<<(l<<3);l=l+1|0;if(!((l|0)<4&(a[b>>0]|0)!=0))break a}c[m>>2]=b;us(0,140630,m)|0}while(0);i=n;return}function ay(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0;f=c[a>>2]|0;e=+h[b>>3]-+h[f>>3];d=+h[b+8>>3]-+h[f+8>>3];return e*e+d*d<=+h[c[a+4>>2]>>3]|0}function by(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;o=i;i=i+80|0;n=o;l=f>4.0?f*.25*.35:.35;k=+h[d+8>>3];m=l*k;j=+h[d>>3];l=l*j;f=+h[b>>3];j=j+f;e=+h[b+8>>3];k=k+e;d=n+64|0;if(!(g&32)){h[n+64>>3]=j;h[n+72>>3]=k;c[n>>2]=c[d>>2];c[n+4>>2]=c[d+4>>2];c[n+8>>2]=c[d+8>>2];c[n+12>>2]=c[d+12>>2];d=n+32|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];f=j;e=k}else{c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];c[n>>2]=c[b>>2];c[n+4>>2]=c[b+4>>2];c[n+8>>2]=c[b+8>>2];c[n+12>>2]=c[b+12>>2];h[n+32>>3]=j;h[n+40>>3]=k}h[n+16>>3]=m+f;h[n+24>>3]=e-l;h[n+48>>3]=f-m;h[n+56>>3]=l+e;do if(!(g&64))if(!(g&128)){LE(a,n+16|0,3,g>>>4&1^1);break}else{LE(a,n+32|0,3,g>>>4&1^1);break}else LE(a,n,3,g>>>4&1^1);while(0);i=o;return}function cy(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0.0,t=0,u=0;u=i;i=i+144|0;t=u;j=e*4.0;r=(g&32|0)==0;j=!(j<f)|r?.45:f/j*.45;if(!(f>1.0)|r)e=0.0;else e=(f+-1.0)*.05/e;o=+h[d+8>>3];q=-o;s=j*q;n=+h[d>>3];p=j*n;q=e*q;m=e*n;f=+h[b>>3];e=n+f;k=+h[b+8>>3];l=o+k;n=f+n*.5;o=o*.5+k;d=t+128|0;if(r){h[t+128>>3]=e;h[t+136>>3]=l;c[t>>2]=c[d>>2];c[t+4>>2]=c[d+4>>2];c[t+8>>2]=c[d+8>>2];c[t+12>>2]=c[d+12>>2];h[t+16>>3]=f-s;h[t+24>>3]=k-p;h[t+32>>3]=n-q;h[t+40>>3]=o-m;h[t+48>>3]=f;h[t+56>>3]=k;r=t+64|0;c[r>>2]=c[b>>2];c[r+4>>2]=c[b+4>>2];c[r+8>>2]=c[b+8>>2];c[r+12>>2]=c[b+12>>2];h[t+80>>3]=f;j=k;e=k}else{c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];c[t>>2]=c[b>>2];c[t+4>>2]=c[b+4>>2];c[t+8>>2]=c[b+8>>2];c[t+12>>2]=c[b+12>>2];h[t+16>>3]=e-s;h[t+24>>3]=l-p;h[t+32>>3]=n-q;h[t+40>>3]=o-m;h[t+48>>3]=e-q;h[t+56>>3]=l-m;h[t+64>>3]=e;h[t+72>>3]=l;h[t+80>>3]=q+e;f=e;j=l;e=m+l}h[t+88>>3]=e;h[t+96>>3]=q+n;h[t+104>>3]=m+o;h[t+112>>3]=s+f;h[t+120>>3]=p+j;do if(!(g&64))if(!(g&128)){LE(a,t,9,1);break}else{LE(a,t+48|0,6,1);break}else LE(a,t,6,1);while(0);i=u;return}function dy(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0,v=0.0,w=0.0;u=i;i=i+64|0;t=u;w=+h[d+8>>3];v=+h[d>>3];f=+h[b>>3];q=v+f;j=+h[b+8>>3];r=w+j;s=f+v*.2;e=w*.2+j;f=f+v*.6;j=w*.6+j;h[t>>3]=s-w;d=t+8|0;h[d>>3]=v+e;k=t+16|0;h[k>>3]=w+s;l=t+24|0;h[l>>3]=e-v;m=t+32|0;h[m>>3]=w+f;n=t+40|0;h[n>>3]=j-v;o=t+48|0;h[o>>3]=f-w;p=t+56|0;h[p>>3]=v+j;if(!(g&64)){if(g&128){h[k>>3]=s;h[l>>3]=e;h[m>>3]=f;h[n>>3]=j}}else{h[t>>3]=s;h[d>>3]=e;h[o>>3]=f;h[p>>3]=j}LE(a,t,4,1);c[t>>2]=c[b>>2];c[t+4>>2]=c[b+4>>2];c[t+8>>2]=c[b+8>>2];c[t+12>>2]=c[b+12>>2];h[k>>3]=q;h[l>>3]=r;OE(a,t,2);i=u;return}function ey(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;s=i;i=i+64|0;r=s;j=+h[d+8>>3];u=j*-.4;f=+h[d>>3];t=f*.4;w=+h[b>>3];q=w+f*.8;v=+h[b+8>>3];e=j*.8+v;f=f+w;j=j+v;h[r>>3]=u+w;d=r+8|0;h[d>>3]=t+v;k=r+16|0;h[k>>3]=w-u;l=r+24|0;h[l>>3]=v-t;m=r+32|0;h[m>>3]=q-u;n=r+40|0;h[n>>3]=e-t;o=r+48|0;h[o>>3]=u+q;p=r+56|0;h[p>>3]=t+e;if(!(g&64)){if(g&128){c[k>>2]=c[b>>2];c[k+4>>2]=c[b+4>>2];c[k+8>>2]=c[b+8>>2];c[k+12>>2]=c[b+12>>2];h[m>>3]=q;h[n>>3]=e}}else{c[r>>2]=c[b>>2];c[r+4>>2]=c[b+4>>2];c[r+8>>2]=c[b+8>>2];c[r+12>>2]=c[b+12>>2];h[o>>3]=q;h[p>>3]=e}LE(a,r,4,g>>>4&1^1);h[r>>3]=q;h[d>>3]=e;h[r+16>>3]=f;h[l>>3]=j;OE(a,r,2);i=s;return}function fy(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;k=i;i=i+80|0;j=k;o=+h[d+8>>3];l=-o/3.0;q=+h[d>>3];f=q/3.0;p=+h[b>>3];m=q*.5+p;n=+h[b+8>>3];e=o*.5+n;d=j+64|0;h[j+64>>3]=q+p;h[j+72>>3]=o+n;c[j>>2]=c[d>>2];c[j+4>>2]=c[d+4>>2];c[j+8>>2]=c[d+8>>2];c[j+12>>2]=c[d+12>>2];h[j+16>>3]=l+m;h[j+24>>3]=f+e;d=j+32|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];h[j+48>>3]=m-l;h[j+56>>3]=e-f;do if(!(g&64)){d=g>>>4&1^1;if(!(g&128)){LE(a,j,4,d);break}else{LE(a,j,3,d);break}}else LE(a,d,3,g>>>4&1^1);while(0);i=k;return}function gy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;var g=0,j=0,k=0.0;g=i;i=i+32|0;j=g;k=+h[c>>3];e=+h[c+8>>3];d=+O(+(k*k+e*e))*.5;k=k*.5+ +h[b>>3];h[j>>3]=k-d;e=+h[b+8>>3]+e*.5;h[j+8>>3]=e-d;h[j+16>>3]=d+k;h[j+24>>3]=d+e;KE(a,j,2,f>>>4&1^1);i=g;return}function hy(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+128|0;s=u+64|0;t=u+32|0;q=u+16|0;r=u;l=f>4.0?f*.5*.25:.5;p=+h[b>>3];j=+h[d>>3];e=+h[b+8>>3];m=+h[d+8>>3];f=l*m;l=l*j;c[t>>2]=c[b>>2];c[t+4>>2]=c[b+4>>2];c[t+8>>2]=c[b+8>>2];c[t+12>>2]=c[b+12>>2];h[t+16>>3]=p+j;h[t+24>>3]=e+m;h[s>>3]=l+(p-f);m=f+(l+e);h[s+8>>3]=m;h[s+48>>3]=l+(f+p);e=f+(e-l);h[s+56>>3]=e;j=f*-.95;n=l+(j+p);o=l*4.0/3.0;if(!(g&32)){f=f*4.0/3.0;k=e-f;j=l+(p-j)-o;f=m-f;e=n-o}else{f=f*4.0/3.0;k=f+e;j=o+(l+(p-j));f=m+f;e=o+n}h[s+16>>3]=e;h[s+24>>3]=f;h[s+32>>3]=j;h[s+40>>3]=k;OE(a,t,2);if(!(g&64)){if(g&128)xC(r,s,3,.5,s,0)}else xC(q,s,3,.5,0,s);NE(a,s,4,0,0,0);i=u;return}function iy(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var j=0;g=i;i=i+32|0;j=g;e=+h[b>>3]+ +h[d>>3];f=+h[b+8>>3]+ +h[d+8>>3];c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];h[j+16>>3]=e;h[j+24>>3]=f;OE(a,j,2);i=g;return}function jy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=c[b>>2]|0;a:do if(e){f=b;while(1){b=eP(e)|0;if(!(gP(a,e,b)|0)){e=f;break}f=f+8|0;e=c[f>>2]|0;if(!e)break a}c[d>>2]=c[d>>2]|c[e+4>>2];a=a+b|0}while(0);return a|0}function ky(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;g=j+8|0;f=j;d=Qs(b,140732)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0){e=d;h=5}else{d=Qs(b,140744)|0;if((d|0)!=0?(a[d>>0]|0)!=0:0){e=d;h=5}else d=0}if((h|0)==5){d=Mx(e,0,120)|0;if(!d){c[f>>2]=Ft(b)|0;us(0,140751,f)|0;c[g>>2]=e;us(3,140804,g)|0}}i=j;return d|0}function ly(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;g=i;i=i+16|0;f=yz(304)|0;if(!f)us(1,140812,g)|0;e=a+16|0;a=c[e>>2]|0;c[f>>2]=a;c[e>>2]=f;if(!a){c[f+144>>2]=3;c[f+148>>2]=0;h[f+152>>3]=1.0}else{b=f+16|0;d=a+16|0;e=b+40|0;do{c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));b=f+56|0;d=a+56|0;e=b+40|0;do{c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));c[f+144>>2]=c[a+144>>2];c[f+148>>2]=c[a+148>>2];h[f+152>>3]=+h[a+152>>3];c[f+136>>2]=c[a+136>>2];b=f+96|0;d=a+96|0;e=b+40|0;do{c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0))}i=g;return f|0}function my(a){a=a|0;var b=0;a=a+16|0;b=c[a>>2]|0;if(!b)Na(140838,140842,117,140849);else{fQ(c[b+212>>2]|0);fQ(c[b+208>>2]|0);fQ(c[b+216>>2]|0);fQ(c[b+220>>2]|0);fQ(c[b+224>>2]|0);fQ(c[b+228>>2]|0);fQ(c[b+232>>2]|0);fQ(c[b+236>>2]|0);fQ(c[b+240>>2]|0);fQ(c[b+244>>2]|0);fQ(c[b+248>>2]|0);fQ(c[b+252>>2]|0);fQ(c[b+256>>2]|0);fQ(c[b+272>>2]|0);fQ(c[b+284>>2]|0);fQ(c[b+280>>2]|0);c[a>>2]=c[b>>2];fQ(b);return}}function ny(d,e,f,g,h,i,j){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;l=c[d+16>>2]|0;k=c[d+152>>2]|0;if((e|0)!=0&(k&32768|0)!=0)c[l+192>>2]=e;if(((k&65536|0)!=0?(c[l+212>>2]=rz(i,j)|0,(f|0)!=0):0)?(a[f>>0]|0)!=0:0){c[l+208>>2]=rz(f,j)|0;d=1}else d=0;do if(k&4194304){if((g|0)!=0?(a[g>>0]|0)!=0:0){c[l+228>>2]=rz(g,j)|0;d=l+260|0;b[d>>1]=b[d>>1]|1;d=1;break}i=c[l+192>>2]|0;if(i){c[l+228>>2]=dP(i)|0;d=1}}while(0);if((h|0)!=0&(k&8388608|0)!=0?(a[h>>0]|0)!=0:0){c[l+244>>2]=rz(h,j)|0;d=1}return d|0}function oy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;k=i;i=i+80|0;j=k;h=k+8|0;g=c[(c[b>>2]|0)+168>>2]|0;f=c[(c[(c[g+16>>2]|0)+8>>2]|0)+92>>2]|0;By(b,e);b=Qs(d,182260)|0;if((b|0)!=0?(a[b>>0]|0)!=0:0){As(e,b)|0;f=e+4|0;b=c[f>>2]|0;if(b>>>0>=(c[e+8>>2]|0)>>>0){ys(e,1)|0;b=c[f>>2]|0}a[b>>0]=0;b=c[e>>2]|0;c[f>>2]=b}else{if((g|0)!=(d|0)&(f|0)!=0){As(e,f)|0;f=e+4|0;b=c[f>>2]|0;if(b>>>0>=(c[e+8>>2]|0)>>>0){ys(e,1)|0;b=c[f>>2]|0}c[f>>2]=b+1;a[b>>0]=95}switch(Iu(d)|0){case 0:{f=(c[d>>2]|0)>>>4;b=(g|0)==(d|0)?152567:140863;break}case 1:{f=(c[d>>2]|0)>>>4;b=152523;break}case 2:{f=(c[d>>2]|0)>>>4;b=152532;break}default:{f=0;b=0}}As(e,b)|0;c[j>>2]=f;DO(h,140869,j)|0;As(e,h)|0;f=e+4|0;b=c[f>>2]|0;if(b>>>0>=(c[e+8>>2]|0)>>>0){ys(e,1)|0;b=c[f>>2]|0}a[b>>0]=0;b=c[e>>2]|0;c[f>>2]=b}i=k;return b|0}function py(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0.0,r=0,s=0,t=0;t=i;i=i+48|0;s=t+16|0;e=t+32|0;r=t;q=+h[(c[a+16>>2]|0)+152>>3];p=Cy(d,0,e)|0;if((p+-1|0)>>>0>=2){f=+h[b+16>>3];m=(+h[b>>3]+f)*.5;h[r>>3]=m;j=+h[b+24>>3];n=(+h[b+8>>3]+j)*.5;h[r+8>>3]=n;m=f-m;n=j-n;o=q>.5;if(o)RE(a,.5);k=c[e>>2]|0;l=k+8|0;b=c[l>>2]|0;d=c[b>>2]|0;if(d){f=0.0;do{e=b+4|0;if(!(+g[e>>2]==0.0)){HE(a,d);if(!(c[b+12>>2]|0))j=6.283185307179586;else j=f+ +g[e>>2]*6.283185307179586;c[s>>2]=c[r>>2];c[s+4>>2]=c[r+4>>2];c[s+8>>2]=c[r+8>>2];c[s+12>>2]=c[r+12>>2];e=EF(s,m,n,f,j)|0;NE(a,c[e>>2]|0,c[e+4>>2]|0,0,0,1);zI(e);f=j}b=b+12|0;d=c[b>>2]|0}while((d|0)!=0)}if(o)RE(a,q);fQ(c[k+4>>2]|0);fQ(c[l>>2]|0);fQ(k)}i=t;return p|0}function qy(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,j=0.0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0.0,t=0,u=0;u=i;i=i+80|0;f=u+64|0;t=u;s=+h[(c[a+16>>2]|0)+152>>3];r=Cy(d,0,f)|0;if((r+-1|0)>>>0>=2){if(!e){c[t>>2]=c[b>>2];c[t+4>>2]=c[b+4>>2];c[t+8>>2]=c[b+8>>2];c[t+12>>2]=c[b+12>>2];q=t+16|0;p=b+16|0;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2];q=t+32|0;p=b+32|0;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2];q=t+48|0;p=b+48|0;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2]}else{q=b+32|0;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];q=t+16|0;p=b+48|0;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2];q=t+32|0;c[q>>2]=c[b>>2];c[q+4>>2]=c[b+4>>2];c[q+8>>2]=c[b+8>>2];c[q+12>>2]=c[b+12>>2];q=t+48|0;p=b+16|0;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];c[q+12>>2]=c[p+12>>2]}m=t+16|0;n=+h[m>>3];j=+h[t>>3];o=n-j;p=t+32|0;h[p>>3]=j;h[m>>3]=j;q=s>.5;if(q)RE(a,.5);f=c[f>>2]|0;k=f+8|0;b=c[k>>2]|0;d=c[b>>2]|0;if(d){l=t+48|0;do{e=b+4|0;if(!(+g[e>>2]==0.0)){HE(a,d);if(!(c[b+12>>2]|0))j=n;else j=+h[t>>3]+o*+g[e>>2];h[p>>3]=j;h[m>>3]=j;LE(a,t,4,1);j=+h[m>>3];h[l>>3]=j;h[t>>3]=j}b=b+12|0;d=c[b>>2]|0}while((d|0)!=0)}if(q)RE(a,s);fQ(c[f+4>>2]|0);fQ(c[k>>2]|0);fQ(f)}i=u;return r|0}function ry(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=c[a+16>>2]|0;e=c[a+152>>2]|0;if(e&4259840){f=e&131072;c[d+264>>2]=f>>>16^2;h=d+268|0;c[h>>2]=(f>>>16^2)+2;g=d+272|0;fQ(c[g>>2]|0);d=yz(c[h>>2]<<4)|0;c[g>>2]=d;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];g=d+16|0;b=b+16|0;c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];c[g+8>>2]=c[b+8>>2];c[g+12>>2]=c[b+12>>2];if(!(e&8192))kE(a,d,d,2)|0;if(!f)az(d)}return}function sy(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0;r=i;i=i+160|0;g=r+96|0;f=r+32|0;o=r+16|0;j=r;d=+h[b>>3];q=a+16|0;l=+h[q>>3];if(!(((((((((!(d>l)?(m=+h[a>>3],!(d<m)):0)?(n=+h[b+8>>3],e=+h[a+24>>3],!(n>e)):0)?(k=+h[a+8>>3],!(n<k)):0)?(n=+h[b+16>>3],!(n>l|n<m)):0)?(n=+h[b+24>>3],!(n>e|n<k)):0)?(n=+h[b+32>>3],!(n>l|n<m)):0)?(n=+h[b+40>>3],!(n>e|n<k)):0)?(n=+h[b+48>>3],!(n>l|n<m)):0)?(n=+h[b+56>>3],!(n>e|n<k)):0))p=11;do if((p|0)==11){s=b+48|0;p=b+16|0;c[o>>2]=c[b>>2];c[o+4>>2]=c[b+4>>2];c[o+8>>2]=c[b+8>>2];c[o+12>>2]=c[b+12>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];c[g>>2]=c[p>>2];c[g+4>>2]=c[p+4>>2];c[g+8>>2]=c[p+8>>2];c[g+12>>2]=c[p+12>>2];n=+ez(o,f,g);p=b+32|0;c[o>>2]=c[b>>2];c[o+4>>2]=c[b+4>>2];c[o+8>>2]=c[b+8>>2];c[o+12>>2]=c[b+12>>2];c[f>>2]=c[s>>2];c[f+4>>2]=c[s+4>>2];c[f+8>>2]=c[s+8>>2];c[f+12>>2]=c[s+12>>2];c[g>>2]=c[p>>2];c[g+4>>2]=c[p+4>>2];c[g+8>>2]=c[p+8>>2];c[g+12>>2]=c[p+12>>2];if(!(n<4.0&+ez(o,f,g)<4.0)){xC(j,b,3,.5,g,f);sy(a,g);sy(a,f);break}f=a+24|0;g=a+8|0;e=+h[q>>3];j=0;while(1){d=+h[b+(j<<4)>>3];if(!(d>e))if(d<+h[a>>3]){h[a>>3]=d;d=e}else d=e;else h[q>>3]=d;e=+h[b+(j<<4)+8>>3];if(!(e>+h[f>>3])){if(e<+h[g>>3])h[g>>3]=e}else h[f>>3]=e;j=j+1|0;if((j|0)==4)break;else e=d}}while(0);i=r;return}function ty(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;I=i;i=i+208|0;F=I+176|0;H=I+144|0;G=I+112|0;B=I+80|0;C=I+48|0;D=I+16|0;E=I;y=c[d+16>>2]|0;A=c[y+144>>2]|0;z=y+16|0;c[F>>2]=c[z>>2];c[F+4>>2]=c[z+4>>2];c[F+8>>2]=c[z+8>>2];c[F+12>>2]=c[z+12>>2];c[F+16>>2]=c[z+16>>2];c[F+20>>2]=c[z+20>>2];c[F+24>>2]=c[z+24>>2];c[F+28>>2]=c[z+28>>2];y=c[(c[y+8>>2]|0)+88>>2]|0;c[G>>2]=0;c[G+4>>2]=0;c[G+8>>2]=0;c[G+12>>2]=0;c[G+16>>2]=0;c[G+20>>2]=0;c[G+24>>2]=0;c[G+28>>2]=0;if(!y){c[b>>2]=c[F>>2];c[b+4>>2]=c[F+4>>2];c[b+8>>2]=c[F+8>>2];c[b+12>>2]=c[F+12>>2];c[b+16>>2]=c[F+16>>2];c[b+20>>2]=c[F+20>>2];c[b+24>>2]=c[F+24>>2];c[b+28>>2]=c[F+28>>2]}else{z=F+16|0;if(+h[F>>3]==+h[z>>3]?(e=F+8|0,f=F+24|0,+h[e>>3]==+h[f>>3]):0){h[e>>3]=1797693134862315708145274.0e284;h[F>>3]=1797693134862315708145274.0e284;h[f>>3]=-1797693134862315708145274.0e284;h[z>>3]=-1797693134862315708145274.0e284}a:do if((c[y>>2]|0)>0){q=F+24|0;r=F+8|0;s=H+16|0;t=H+24|0;u=A+144|0;v=y+12|0;d=0;e=0;g=0.0;w=0;x=c[y+8>>2]|0;while(1){c[H>>2]=c[G>>2];c[H+4>>2]=c[G+4>>2];c[H+8>>2]=c[G+8>>2];c[H+12>>2]=c[G+12>>2];c[H+16>>2]=c[G+16>>2];c[H+20>>2]=c[G+20>>2];c[H+24>>2]=c[G+24>>2];c[H+28>>2]=c[G+28>>2];switch(c[x>>2]|0){case 1:case 0:{n=+h[x+8>>3];o=+h[x+24>>3];l=n-o;j=+h[x+16>>3];p=+h[x+32>>3];m=j-p;o=n+o;p=j+p;h[x+80>>3]=l;h[x+88>>3]=m;h[x+96>>3]=o;h[x+104>>3]=p;j=+h[z>>3];if(l>j){h[z>>3]=l;j=l}k=+h[F>>3];if(l<k){h[F>>3]=l;k=l}l=+h[q>>3];if(m>l){h[q>>3]=m;l=m}n=+h[r>>3];if(m<n)h[r>>3]=m;else m=n;if(o>j)h[z>>3]=o;if(o<k)h[F>>3]=o;if(p>l)h[q>>3]=p;if(p<m)h[r>>3]=p;break}case 3:case 2:{f=x+80|0;J=x+8|0;Dy(B,c[J+4>>2]|0,c[J>>2]|0,F);c[f>>2]=c[B>>2];c[f+4>>2]=c[B+4>>2];c[f+8>>2]=c[B+8>>2];c[f+12>>2]=c[B+12>>2];c[f+16>>2]=c[B+16>>2];c[f+20>>2]=c[B+20>>2];c[f+24>>2]=c[B+24>>2];c[f+28>>2]=c[B+28>>2];break}case 5:case 4:{J=x+80|0;f=x+8|0;Dy(C,c[f+4>>2]|0,c[f>>2]|0,F);c[J>>2]=c[C>>2];c[J+4>>2]=c[C+4>>2];c[J+8>>2]=c[C+8>>2];c[J+12>>2]=c[C+12>>2];c[J+16>>2]=c[C+16>>2];c[J+20>>2]=c[C+20>>2];c[J+24>>2]=c[C+24>>2];c[J+28>>2]=c[C+28>>2];break}case 6:{J=x+80|0;f=x+8|0;Dy(D,c[f+4>>2]|0,c[f>>2]|0,F);c[J>>2]=c[D>>2];c[J+4>>2]=c[D+4>>2];c[J+8>>2]=c[D+8>>2];c[J+12>>2]=c[D+12>>2];c[J+16>>2]=c[D+16>>2];c[J+20>>2]=c[D+20>>2];c[J+24>>2]=c[D+24>>2];c[J+28>>2]=c[D+28>>2];break}case 7:{f=x+112|0;c[f>>2]=yz(56)|0;J=dP(c[x+40>>2]|0)|0;K=c[f>>2]|0;c[K>>2]=J;a[K+48>>0]=a[140873+(c[x+24>>2]|0)>>0]|0;c[H>>2]=e;h[s>>3]=g;c[t>>2]=c[t>>2]&-128|d&127;K=c[u>>2]|0;K=Jb[c[K>>2]&63](K,H,1)|0;J=c[f>>2]|0;c[J+4>>2]=K;$B(E,A,J);j=+h[x+8>>3];l=+h[x+16>>3];f=c[f>>2]|0;k=+h[f+32>>3];m=+h[f+40>>3];switch(a[f+48>>0]|0){case 108:{n=j;p=j+k;break}case 110:{p=k*.5;n=j-p;p=j+p;break}case 114:{n=j-k;p=j;break}default:{n=0.0;p=0.0}}o=l+ +h[f+16>>3];m=o-m;h[x+80>>3]=n;h[x+88>>3]=m;h[x+96>>3]=p;h[x+104>>3]=o;j=+h[z>>3];if(n>j){h[z>>3]=n;j=n}k=+h[F>>3];if(n<k){h[F>>3]=n;k=n}l=+h[q>>3];if(m>l){h[q>>3]=m;l=m}n=+h[r>>3];if(m<n)h[r>>3]=m;else m=n;if(p>j)h[z>>3]=p;if(p<k)h[F>>3]=p;if(o>l)h[q>>3]=o;if(o<m)h[r>>3]=o;if(!(c[v>>2]|0))c[v>>2]=108;break}case 10:{e=c[x+16>>2]|0;g=+h[x+8>>3];break}case 15:{d=c[x+8>>2]|0;break}default:{}}w=w+1|0;if((w|0)>=(c[y>>2]|0))break a;else x=x+120|0}}while(0);c[b>>2]=c[F>>2];c[b+4>>2]=c[F+4>>2];c[b+8>>2]=c[F+8>>2];c[b+12>>2]=c[F+12>>2];c[b+16>>2]=c[F+16>>2];c[b+20>>2]=c[F+20>>2];c[b+24>>2]=c[F+24>>2];c[b+28>>2]=c[F+28>>2]}i=I;return}
function Ui(d){d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=i;i=i+32|0;s=w+16|0;u=w;v=d+16|0;f=c[v>>2]|0;g=b[f+236>>1]|0;if(g<<16>>16<=(b[f+238>>1]|0)){g=g<<16>>16;while(1){c[(c[f+268>>2]|0)+(g<<2)>>2]=0;f=c[v>>2]|0;if((g|0)>=(b[f+238>>1]|0))break;else g=g+1|0}}Hh(d);f=gu(d)|0;if(f)do{r=c[f+16>>2]|0;g=(c[(c[v>>2]|0)+268>>2]|0)+(c[r+232>>2]<<2)|0;q=c[g>>2]|0;if(!((q|0)!=0?(c[(c[q+16>>2]|0)+236>>2]|0)<=(c[r+236>>2]|0):0))c[g>>2]=f;g=at(d,f)|0;if(g)do{j=g;while(1){h=c[(c[j+16>>2]|0)+172>>2]|0;if(!h)break;else j=h}h=c[j>>2]|0;o=j+-48|0;n=c[((h&3|0)==2?j:o)+40>>2]|0;m=c[n+16>>2]|0;l=c[m+232>>2]|0;k=c[g>>2]|0;r=g+-48|0;if((l|0)<(c[(c[(c[((k&3|0)==2?g:r)+40>>2]|0)+16>>2]|0)+232>>2]|0)){q=j;p=o;o=j;while(1){j=(c[(c[v>>2]|0)+268>>2]|0)+(l<<2)|0;l=c[j>>2]|0;if(!((l|0)!=0?(c[(c[l+16>>2]|0)+236>>2]|0)<=(c[m+236>>2]|0):0)){c[j>>2]=n;k=c[g>>2]|0;h=c[q>>2]|0}o=c[c[(c[(c[((h&3|0)==2?o:p)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0;h=c[o>>2]|0;p=o+-48|0;n=c[((h&3|0)==2?o:p)+40>>2]|0;m=c[n+16>>2]|0;j=c[m+232>>2]|0;if((j|0)<(c[(c[(c[((k&3|0)==2?g:r)+40>>2]|0)+16>>2]|0)+232>>2]|0)){l=j;q=o}else break}}g=ct(d,g)|0}while((g|0)!=0);f=hu(d,f)|0}while((f|0)!=0);f=c[v>>2]|0;g=b[f+236>>1]|0;a:do if(g<<16>>16>(b[f+238>>1]|0))e=f;else{h=f;f=g<<16>>16;while(1){h=c[(c[h+268>>2]|0)+(f<<2)>>2]|0;g=h+16|0;r=c[(c[g>>2]|0)+236>>2]|0;if((c[(c[(c[(c[(If(d)|0)+16>>2]|0)+196>>2]|0)+(f<<6)+4>>2]|0)+(r<<2)>>2]|0)!=(h|0))break;g=c[(c[(c[(If(d)|0)+16>>2]|0)+196>>2]|0)+(f<<6)+4>>2]|0;r=c[v>>2]|0;g=g+(c[(c[(c[(c[r+268>>2]|0)+(f<<2)>>2]|0)+16>>2]|0)+236>>2]<<2)|0;r=c[r+196>>2]|0;c[r+(f<<6)+4>>2]=g;if((c[r+(f<<6)>>2]|0)>0){g=c[g>>2]|0;b:do if(!g)g=-1;else{k=0;j=-1;while(1){h=c[g+16>>2]|0;c:do if(!(a[h+156>>0]|0))if(!(Hu(d,g)|0)){g=j;break b}else h=k;else{g=c[c[h+172>>2]>>2]|0;while(1){if(!g){h=j;break c}h=c[(c[g+16>>2]|0)+116>>2]|0;if(!h)break;else g=h}if(!(Hu(d,c[((c[g>>2]&3|0)==3?g:g+48|0)+40>>2]|0)|0))h=j;else{h=(Hu(d,c[((c[g>>2]&3|0)==2?g:g+-48|0)+40>>2]|0)|0)==0;h=h?j:k}}while(0);k=k+1|0;g=c[(c[v>>2]|0)+196>>2]|0;if((k|0)>=(c[g+(f<<6)>>2]|0)){g=h;break b}g=c[(c[g+(f<<6)+4>>2]|0)+(k<<2)>>2]|0;if(!g){g=h;break}else j=h}}while(0);if((g|0)==-1)t=35}else t=35;if((t|0)==35){t=0;c[s>>2]=Ft(d)|0;c[s+4>>2]=f;us(0,128027,s)|0;g=-1}h=c[v>>2]|0;c[(c[h+196>>2]|0)+(f<<6)>>2]=g+1;if((f|0)<(b[h+238>>1]|0))f=f+1|0;else{e=h;break a}}s=Ft(h)|0;t=c[(c[g>>2]|0)+236>>2]|0;c[u>>2]=s;c[u+4>>2]=t;c[u+8>>2]=f;us(1,127969,u)|0;Ra(50768,1)}while(0);if((c[e+180>>2]|0)>=1){f=1;while(1){Ui(c[(c[e+184>>2]|0)+(f<<2)>>2]|0);e=c[v>>2]|0;if((f|0)>=(c[e+180>>2]|0))break;else f=f+1|0}}i=w;return}function Vi(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;z=i;i=i+576|0;y=z;w=z+48|0;e=z+32|0;q=z+64|0;c[e>>2]=q;c[e+4>>2]=q+512;c[e+12>>2]=0;c[e+8>>2]=0;c[w>>2]=e;u=w+4|0;c[u>>2]=e;v=w+8|0;c[v>>2]=q;q=(a[128127]|0)+1<<24>>24;a[128127]=q<<24>>24==0?1:q;q=b+16|0;f=c[q>>2]|0;c[f+220>>2]=0;c[f+232>>2]=0;f=gu(b)|0;if(f){m=(d|0)>0;n=y+8|0;o=y+16|0;p=y+24|0;while(1){if(m?(s=c[f+16>>2]|0,t=c[s+212>>2]|0,(t|0)!=0):0){x=c[(c[(c[t+16>>2]|0)+268>>2]|0)+(c[s+232>>2]<<2)>>2]|0;e=7}else e=6;if((e|0)==6?(e=0,(f|0)==(sC(f)|0)):0){x=f;e=7}if((e|0)==7?(0,(a[(c[x+16>>2]|0)+157>>0]|0)!=(a[128127]|0)):0){c[(c[q>>2]|0)+192>>2]=0;c[12731]=0;Wi(w,x);a:while(1){e=c[v>>2]|0;d=c[u>>2]|0;if((e|0)==(c[d>>2]|0)){if((d|0)==(c[w>>2]|0))break;e=c[d+8>>2]|0;c[u>>2]=e;e=c[e+4>>2]|0;c[v>>2]=e}l=e+-4|0;c[v>>2]=l;l=c[l>>2]|0;if(!l)break;h=l+16|0;g=c[h>>2]|0;e=g+157|0;d=a[128127]|0;if((a[e>>0]|0)==d<<24>>24)continue;j=c[q>>2]|0;k=j+232|0;c[k>>2]=(c[k>>2]|0)+1;a[e>>0]=d;d=c[12731]|0;e=g+168|0;if(!d){c[e>>2]=0;c[j+192>>2]=l}else{c[e>>2]=d;c[(c[(c[12731]|0)+16>>2]|0)+164>>2]=l}c[12731]=l;h=c[h>>2]|0;c[h+164>>2]=0;g=h+180|0;k=c[g+4>>2]|0;j=y;c[j>>2]=c[g>>2];c[j+4>>2]=k;j=h+172|0;k=c[j+4>>2]|0;g=n;c[g>>2]=c[j>>2];c[g+4>>2]=k;g=h+188|0;k=c[g+4>>2]|0;j=o;c[j>>2]=c[g>>2];c[j+4>>2]=k;h=h+196|0;j=c[h+4>>2]|0;k=p;c[k>>2]=c[h>>2];c[k+4>>2]=j;k=3;while(1){e=c[y+(k<<3)>>2]|0;if((e|0)!=0?(j=c[y+(k<<3)+4>>2]|0,r=j+-1|0,(j|0)>0):0){h=e+(r<<2)|0;j=r;while(1){d=c[h>>2]|0;g=c[d>>2]&3;e=c[((g|0)==2?d:d+-48|0)+40>>2]|0;if((e|0)==(l|0))e=c[((g|0)==3?d:d+48|0)+40>>2]|0;if((a[(c[e+16>>2]|0)+157>>0]|0)!=(a[128127]|0)?(e|0)==(sC(e)|0):0)Wi(w,e);if((j|0)>0){h=h+-4|0;j=j+-1|0}else break}}if((k|0)>0)k=k+-1|0;else continue a}}d=c[q>>2]|0;l=d+220|0;g=c[l>>2]|0;e=g+1|0;c[l>>2]=e;d=c[d+216>>2]|0;if(!d)e=zz(e<<2)|0;else e=Bz(d,e<<2)|0;l=c[q>>2]|0;c[l+216>>2]=e;c[e+(g<<2)>>2]=c[l+192>>2]}f=hu(b,f)|0;if(!f)break}e=c[w>>2]|0}e=c[e+12>>2]|0;if(e)do{y=e;e=c[e+12>>2]|0;fQ(c[y>>2]|0);fQ(y)}while((e|0)!=0);i=z;return}function Wi(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+16|0;h=l+8|0;g=l;k=b+8|0;f=c[k>>2]|0;j=b+4|0;b=c[j>>2]|0;if((f|0)==(c[b+4>>2]|0)){f=c[b+12>>2]|0;if(!f){f=yz(16)|0;if(!f)us(1,140102,g)|0;c[f+8>>2]=c[j>>2];c[f+12>>2]=0;b=yz(4e6)|0;c[f>>2]=b;if(!b){us(1,128128,h)|0;b=c[f>>2]|0}c[f+4>>2]=b+4e6;c[(c[j>>2]|0)+12>>2]=f}c[j>>2]=f;f=c[f>>2]|0;c[k>>2]=f}a[(c[e+16>>2]|0)+157>>0]=(d[128127]|0)+1;c[k>>2]=f+4;c[f>>2]=e;i=l;return}function Xi(d){d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0;o=d+16|0;f=c[o>>2]|0;e=c[f+192>>2]|0;if(e){do{i=e+16|0;e=c[i>>2]|0;f=c[e+188>>2]|0;if((f|0)!=0?(j=c[f>>2]|0,(j|0)!=0):0){f=j;g=0;do{Yi(f);g=g+1|0;e=c[i>>2]|0;f=c[(c[e+188>>2]|0)+(g<<2)>>2]|0}while((f|0)!=0)}if((c[e+208>>2]|0)>0){g=0;do{f=c[(c[e+204>>2]|0)+(g<<2)>>2]|0;k=c[f>>2]&3;if((c[(c[(c[((k|0)==2?f:f+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)==(c[(c[(c[((k|0)==3?f:f+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)){Yi(f);e=c[i>>2]|0}g=g+1|0}while((g|0)<(c[e+208>>2]|0))}e=c[e+164>>2]|0}while((e|0)!=0);f=c[o>>2]|0}k=c[f+196>>2]|0;if(!((c[k+56>>2]|0)==0?(c[f+180>>2]|0)<=0:0))m=13;a:do if((m|0)==13?(n=c[k+4>>2]|0,l=c[n>>2]|0,(l|0)!=0):0){e=l;j=0;b:while(1){i=c[(c[e+16>>2]|0)+196>>2]|0;e=c[i>>2]|0;if(e){g=0;do{m=c[e+16>>2]|0;if((c[m+96>>2]|0)!=0?(a[m+113>>0]|0)==0:0)break b;g=g+1|0;e=c[i+(g<<2)>>2]|0}while((e|0)!=0)}j=j+1|0;e=c[n+(j<<2)>>2]|0;if(!e)break a}if(b[f+236>>1]|0)Na(128148,128167,190,128174);e=(b[f+238>>1]|0)+3|0;if(!k)e=zz(e<<6)|0;else e=Bz(k,e<<6)|0;e=e+64|0;n=c[o>>2]|0;c[n+196>>2]=e;n=b[n+238>>1]|0;f=n<<16>>16;if(n<<16>>16>-1){do{j=f;f=f+-1|0;i=e+(j<<6)|0;e=e+(f<<6)|0;g=i+64|0;do{c[i>>2]=c[e>>2];i=i+4|0;e=e+4|0}while((i|0)<(g|0));e=c[(c[o>>2]|0)+196>>2]|0}while((j|0)>0);f=-1}c[e+(f<<6)+8>>2]=0;c[e+(f<<6)>>2]=0;l=yz(8)|0;n=c[o>>2]|0;m=c[n+196>>2]|0;c[m+(f<<6)+12>>2]=l;c[m+(f<<6)+4>>2]=l;c[m+(f<<6)+56>>2]=0;h[m+(f<<6)+24>>3]=1.0;h[m+(f<<6)+16>>3]=1.0;h[m+(f<<6)+40>>3]=1.0;h[m+(f<<6)+32>>3]=1.0;n=n+236|0;b[n>>1]=(b[n>>1]|0)+-1<<16>>16}while(0);Gg(d);e=c[(c[o>>2]|0)+192>>2]|0;if(e){f=e;e=0;do{m=f+16|0;g=c[m>>2]|0;f=c[g+188>>2]|0;if(f){f=c[f>>2]|0;if(!f)f=g;else{k=0;do{i=c[f+16>>2]|0;j=c[i+96>>2]|0;do if(j){if(!(a[i+113>>0]|0)){Zi(f);g=c[m>>2]|0;e=1;break}if(!(c[(c[o>>2]|0)+116>>2]&1)){h[i+136>>3]=+h[j+24>>3];break}else{h[i+136>>3]=+h[j+32>>3];break}}while(0);k=k+1|0;f=c[(c[g+188>>2]|0)+(k<<2)>>2]|0}while((f|0)!=0);f=g}if((c[f+208>>2]|0)>0){l=0;do{k=c[(c[f+204>>2]|0)+(l<<2)>>2]|0;n=c[k>>2]&3;j=c[((n|0)==3?k:k+48|0)+40>>2]|0;n=c[((n|0)==2?k:k+-48|0)+40>>2]|0;do if(!((j|0)==(n|0)?1:(c[(c[j+16>>2]|0)+232>>2]|0)!=(c[(c[n+16>>2]|0)+232>>2]|0))){i=k;do{g=c[i+16>>2]|0;i=c[g+172>>2]|0}while((i|0)!=0);i=a[g+113>>0]|0;j=c[k+16>>2]|0;a[j+113>>0]=i;j=c[j+96>>2]|0;if(j)if(!(i<<24>>24)){Zi(k);f=c[m>>2]|0;e=1;break}else{q=+h[((c[(c[o>>2]|0)+116>>2]&1|0)==0?j+24|0:j+32|0)>>3];n=g+136|0;p=+h[n>>3];h[n>>3]=q>p?q:p;break}}while(0);l=l+1|0}while((l|0)<(c[f+208>>2]|0))}}else f=g;f=c[f+164>>2]|0}while((f|0)!=0);if(e){Dg(d);Hg(d)}else e=0}else e=0;return e|0}function Yi(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b>>2]&3;i=c[((d|0)==3?b:b+48|0)+40>>2]|0;e=c[i+16>>2]|0;f=c[e+236>>2]|0;d=c[(c[(c[((d|0)==2?b:b+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;h=(f|0)<(d|0);g=h?d:f;e=c[e+232>>2]|0;e=(c[(c[(If(i)|0)+16>>2]|0)+196>>2]|0)+(e<<6)+4|0;d=(h?f:d)+1|0;a:do if((d|0)<(g|0)){f=c[e>>2]|0;while(1){e=c[(c[f+(d<<2)>>2]|0)+16>>2]|0;switch(a[e+156>>0]|0){case 0:break a;case 1:{if(c[e+104>>2]|0)break a;break}default:{}}d=d+1|0;if((d|0)>=(g|0))break a}}while(0);if((d|0)==(g|0))do{i=c[b+16>>2]|0;a[i+113>>0]=1;b=c[i+172>>2]|0}while((b|0)!=0);return}function Zi(b){b=b|0;var d=0,e=0,f=0.0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;y=i;i=i+16|0;m=y;s=b+16|0;if(c[(c[s>>2]|0)+96>>2]|0){u=b+48|0;t=If(c[((c[b>>2]&3|0)==3?b:u)+40>>2]|0)|0;d=c[b>>2]&3;j=c[(c[((d|0)==3?b:u)+40>>2]|0)+16>>2]|0;r=c[j+232>>2]|0;x=r+-1|0;v=t+16|0;o=c[(c[v>>2]|0)+196>>2]|0;k=c[o+(x<<6)+4>>2]|0;o=c[o+(x<<6)>>2]|0;p=m+8|0;c[p>>2]=-1;c[m>>2]=-1;q=m+12|0;c[q>>2]=o;l=m+4|0;c[l>>2]=o;w=b+-48|0;j=c[j+236>>2]|0;d=c[(c[(c[((d|0)==2?b:w)+40>>2]|0)+16>>2]|0)+236>>2]|0;e=(j|0)>(d|0);g=e?j:d;j=e?d:j;d=o;e=-1;n=0;while(1){o=o+-1|0;if((n|0)>(o|0))break;_i(c[k+(n<<2)>>2]|0,m,j,g);if((n|0)!=(o|0))_i(c[k+(o<<2)>>2]|0,m,j,g);d=c[l>>2]|0;e=c[m>>2]|0;if((d-e|0)<2)break;else n=n+1|0}if((e|0)>(d|0))d=(c[q>>2]|0)+(c[p>>2]|0)|0;else d=e+d|0;l=(d+1|0)/2|0;d=c[v>>2]|0;g=c[d+196>>2]|0;k=c[g+(x<<6)+4>>2]|0;e=c[k>>2]|0;if(!e)f=+h[(c[(c[c[g+(r<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]+ +h[g+(r<<6)+24>>3]+ +(c[d+252>>2]|0);else f=+h[(c[e+16>>2]|0)+24>>3]-+h[g+(x<<6)+16>>3];j=~~f;d=c[g+(x<<6)>>2]|0;if(!k)e=zz((d<<2)+8|0)|0;else e=Bz(k,(d<<2)+8|0)|0;d=c[(c[v>>2]|0)+196>>2]|0;c[d+(x<<6)+4>>2]=e;d=c[d+(x<<6)>>2]|0;if((d|0)>(l|0))do{q=d;d=d+-1|0;r=c[e+(d<<2)>>2]|0;c[e+(q<<2)>>2]=r;r=(c[r+16>>2]|0)+236|0;c[r>>2]=(c[r>>2]|0)+1}while((d|0)>(l|0));g=xg(t)|0;d=e+(l<<2)|0;c[d>>2]=g;g=c[g+16>>2]|0;c[g+236>>2]=l;c[g+232>>2]=x;g=(c[(c[v>>2]|0)+196>>2]|0)+(x<<6)|0;r=(c[g>>2]|0)+1|0;c[g>>2]=r;c[e+(r<<2)>>2]=0;d=c[d>>2]|0;s=c[(c[s>>2]|0)+96>>2]|0;z=+h[s+24>>3];f=+h[s+32>>3];r=(c[(c[v>>2]|0)+116>>2]&1|0)==0;A=r?f:z;g=d+16|0;e=c[g>>2]|0;h[e+80>>3]=A;t=~~(A*.5);f=(r?z:f)*.5;h[e+96>>3]=f;h[e+88>>3]=f;c[e+104>>2]=s;h[e+24>>3]=+(t+j|0);e=tg(d,c[((c[b>>2]&3|0)==3?b:u)+40>>2]|0,b)|0;e=c[e+16>>2]|0;h[e+16>>3]=-+h[(c[g>>2]|0)+88>>3];h[e+56>>3]=+h[(c[(c[((c[b>>2]&3|0)==3?b:u)+40>>2]|0)+16>>2]|0)+96>>3];a[e+112>>0]=4;d=tg(d,c[((c[b>>2]&3|0)==2?b:w)+40>>2]|0,b)|0;g=c[g>>2]|0;d=c[d+16>>2]|0;h[d+16>>3]=+h[g+96>>3];h[d+56>>3]=+h[(c[(c[((c[b>>2]&3|0)==2?b:w)+40>>2]|0)+16>>2]|0)+88>>3];a[d+112>>0]=4;d=c[(c[v>>2]|0)+196>>2]|0;e=d+(x<<6)+16|0;f=+(t|0);if(+h[e>>3]<f)h[e>>3]=f;d=d+(x<<6)+24|0;if(+h[d>>3]<f)h[d>>3]=f;c[g+112>>2]=b}i=y;return}function _i(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=c[b+16>>2]|0;do if((a[b+156>>0]|0)==1){k=c[b+236>>2]|0;if(c[b+176>>2]|0){j=c[b+180>>2]|0;b=c[j>>2]|0;if(!b)break;else{h=b;i=0;g=0;b=0}do{l=c[(c[(c[((c[h>>2]&3|0)==2?h:h+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;m=(l|0)>(e|0);g=m?g:1;b=m?((l|0)<(f|0)?b:1):b;i=i+1|0;h=c[j+(i<<2)>>2]|0}while((h|0)!=0);if(g<<24>>24!=0&b<<24>>24==0)c[d>>2]=k+1;if(!(g<<24>>24==0&b<<24>>24!=0))break;c[d+4>>2]=k+-1;break}if((c[b+184>>2]|0)!=2)Na(128186,128167,63,128206);m=c[b+180>>2]|0;g=c[m>>2]|0;m=c[m+4>>2]|0;g=c[(c[(c[((c[g>>2]&3|0)==2?g:g+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;m=c[(c[(c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;l=(g|0)>(m|0);b=l?g:m;g=l?m:g;if((b|0)<=(e|0)){c[d>>2]=k;c[d+8>>2]=k;break}if((g|0)>=(f|0)){c[d+4>>2]=k;c[d+12>>2]=k;break}h=(g|0)<(e|0);i=(b|0)>(f|0);if(!(h&i)){if(!(!h?!((g|0)==(e|0)&(b|0)<(f|0)):0))c[d+8>>2]=k;if(!i?!((b|0)==(f|0)&(g|0)>(e|0)):0)break;c[d+12>>2]=k}}while(0);return}function $i(a){a=a|0;c[13880]=1;hj(a);c[13880]=0;return}function aj(a){a=a|0;c[13880]=2;hj(a);c[13880]=0;return}function bj(a){a=a|0;var b=0;Ou(a,178487,304,1)|0;EC(a);b=yz((e[(c[(xu(a)|0)+16>>2]|0)+176>>1]|0)<<3)|0;c[(c[a+16>>2]|0)+132>>2]=b;aD(a,c[(c[(xu(a)|0)+16>>2]|0)+116>>2]&1);return}function cj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0;u=i;i=i+64|0;l=u+48|0;o=u+40|0;m=u+24|0;k=u+8|0;t=u+56|0;p=u;do if((b|0)!=0?(r=e+16|0,s=c[(c[r>>2]|0)+132>>2]|0,j=Rs(e,b)|0,(a[j>>0]|0)!=0):0){a[t>>0]=0;b=s+8|0;if((c[13884]|0)>2?(c[k>>2]=s,c[k+4>>2]=b,c[k+8>>2]=s+16,c[k+12>>2]=t,(EO(j,128286,k)|0)>2):0){a[(c[r>>2]|0)+119>>0]=1;g=+h[4279];j=c[13884]|0;if(g>0.0){if((j|0)>0){h[s>>3]=+h[s>>3]/g;if((j|0)>1){b=1;do{q=s+(b<<3)|0;h[q>>3]=+h[q>>3]/+h[4279];b=b+1|0}while((b|0)<(j|0));q=9}else q=9}}else q=9;if((q|0)==9?(j|0)>3:0)Wj(e,f,3);if((a[t>>0]|0)!=33){if(!d){b=1;break}if(!((rC(Rs(e,d)|0)|0)<<24>>24)){b=1;break}}a[(c[r>>2]|0)+119>>0]=3;b=1;break}c[m>>2]=s;c[m+4>>2]=b;c[m+8>>2]=t;if((EO(j,143026,m)|0)<=1){c[l>>2]=Ft(e)|0;c[l+4>>2]=j;us(1,128300,l)|0;b=0;break}a[(c[r>>2]|0)+119>>0]=1;g=+h[4279];j=c[13884]|0;if(g>0.0){if((j|0)>0){h[s>>3]=+h[s>>3]/g;if((j|0)>1){b=1;do{q=s+(b<<3)|0;h[q>>3]=+h[q>>3]/+h[4279];b=b+1|0}while((b|0)<(j|0));q=20}else q=20}}else q=20;do if((q|0)==20?(j|0)>2:0){b=c[13933]|0;if(((b|0)!=0?(n=Rs(e,b)|0,(n|0)!=0):0)?(c[o>>2]=p,(EO(n,142278,o)|0)==1):0){v=+h[4279];g=+h[p>>3];h[s+16>>3]=v>0.0?g/v:g;Wj(e,f,3);break}Xj(e,f)}while(0);if((a[t>>0]|0)!=33){if(!d){b=1;break}if(!((rC(Rs(e,d)|0)|0)<<24>>24)){b=1;break}}a[(c[r>>2]|0)+119>>0]=3;b=1}else b=0;while(0);i=u;return b|0}function dj(a){a=a|0;var b=0,d=0;b=gu(a)|0;if(b)do{d=at(a,b)|0;if(d)do{$C(d);d=ct(a,d)|0}while((d|0)!=0);OC(b);b=hu(a,b)|0}while((b|0)!=0);if((c[13880]|0)!=0|(c[12812]|0)<0)Vj(a);if((yu(a)|0)!=(a|0))Ru(a,0,178510);return}function ej(b,e){b=b|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;K=i;i=i+144|0;D=K+112|0;B=K+96|0;A=K+88|0;E=K+72|0;C=K+56|0;o=K+48|0;y=K+128|0;F=K+40|0;G=K+32|0;z=K+124|0;x=K+120|0;I=K;m=Is(b,0,143708,0)|0;f=Is(b,0,143742,0)|0;J=BC(Qs(b,128344)|0,0)|0;if(!f)l=Is(b,0,143742,181739)|0;else l=f;Uj(b)|0;H=b+16|0;f=c[c[(c[H>>2]|0)+152>>2]>>2]|0;a:do if(!f)t=11;else{k=0;while(1){j=f+16|0;g=c[j>>2]|0;if(!(a[g+119>>0]|0)){if(gP(Ft(f)|0,149067,7)|0)break;g=c[j>>2]|0}g=c[g+108>>2]|0;if(g)ij(f,g,143704);k=k+1|0;f=c[(c[(c[H>>2]|0)+152>>2]|0)+(k<<2)>>2]|0;if(!f){t=11;break a}}J=Ft(f)|0;f=Ft(b)|0;c[o>>2]=J;c[o+4>>2]=f;us(1,128356,o)|0;f=-1}while(0);b:do if((t|0)==11){jj(b,m,l);if(wt(b)|0){w=Is(b,2,143694,0)|0;if(!((w|0)==0|(c[13880]|0)<2)?(n=gu(b)|0,(n|0)!=0):0){f=0;do{g=at(b,n)|0;if(g)do{j=Rs(g,w)|0;do if(a[j>>0]|0){Ux(g,z,x);k=0;r=0.0;s=0.0;v=1;l=j;j=0;p=0.0;q=0.0;c:while(1){c[C>>2]=F;c[C+4>>2]=G;c[C+8>>2]=y;if((EO(l,128393,C)|0)==2){l=l+(c[y>>2]|0)|0;u=1;p=+h[F>>3];q=+h[G>>3]}else u=j;c[E>>2]=F;c[E+4>>2]=G;c[E+8>>2]=y;if((EO(l,128405,E)|0)==2){t=1;r=+h[F>>3];s=+h[G>>3];l=l+(c[y>>2]|0)|0}else t=k;j=l;k=0;while(1){while(1)if(!(KM(d[j>>0]|0)|0))break;else j=j+1|0;m=a[j>>0]|0;d:do if(!(m<<24>>24))m=0;else{k=k+1|0;while(1){if(m<<24>>24==59|(KM(m&255)|0)!=0)break d;j=j+1|0;m=a[j>>0]|0;if(!(m<<24>>24)){m=0;break}}}while(0);if(!(KM(m&255)|0)){o=k;break}}if(!((o|0)>3&((o|0)%3|0|0)==1)){t=31;break}j=zz(o<<4)|0;if(o){m=o;k=j;while(1){c[B>>2]=F;c[B+4>>2]=G;c[B+8>>2]=y;if((EO(l,128476,B)|0)<2){t=35;break c}l=l+(c[y>>2]|0)|0;h[k>>3]=+h[F>>3];h[k+8>>3]=+h[G>>3];m=m+-1|0;if(!m)break;else k=k+16|0}}while(1){k=l+1|0;if(!(KM(a[l>>0]|0)|0))break;else l=k}m=(a[l>>0]|0)==0;l=m?l:k;v=m?0:v;k=GB(g,o)|0;if(u){c[k+8>>2]=c[z>>2];h[k+16>>3]=p;h[k+24>>3]=q}if(t){c[k+12>>2]=c[x>>2];h[k+32>>3]=r;h[k+40>>3]=s}if((o|0)>0){m=0;do{L=(c[k>>2]|0)+(m<<4)|0;M=j+(m<<4)|0;c[L>>2]=c[M>>2];c[L+4>>2]=c[M+4>>2];c[L+8>>2]=c[M+8>>2];c[L+12>>2]=c[M+12>>2];m=m+1|0}while((m|0)!=(o|0))}fQ(j);if(!v){t=48;break}else{k=t;j=u}}if((t|0)==31){_C(g);if(a[128418]|0){j=0;break}a[128418]=1;M=Ft(c[((c[g>>2]&3|0)==3?g:g+48|0)+40>>2]|0)|0;j=Ft(c[((c[g>>2]&3|0)==2?g:g+-48|0)+40>>2]|0)|0;c[A>>2]=M;c[A+4>>2]=j;us(0,128419,A)|0;j=0;break}else if((t|0)==35){if(!(a[128418]|0)){a[128418]=1;L=Ft(c[((c[g>>2]&3|0)==3?g:g+48|0)+40>>2]|0)|0;M=Ft(c[((c[g>>2]&3|0)==2?g:g+-48|0)+40>>2]|0)|0;c[D>>2]=L;c[D+4>>2]=M;us(0,128486,D)|0}fQ(j);_C(g);j=0;break}else if((t|0)==48){l=g+16|0;j=c[l>>2]|0;k=c[j+96>>2]|0;if(k){ij(g,k,143708);j=c[l>>2]|0}k=c[j+108>>2]|0;if(k){ij(g,k,143704);j=c[l>>2]|0}k=c[j+100>>2]|0;if(k){ij(g,k,143711);j=c[l>>2]|0}j=c[j+104>>2]|0;if(!j){j=1;break}ij(g,j,143719);j=1;break}}else j=0;while(0);f=j+f|0;g=ct(b,g)|0}while((g|0)!=0);n=hu(b,n)|0}while((n|0)!=0);if(f){l=(f|0)==(wt(b)|0);l=l?2:1}else l=0}else l=0}else l=2;f=c[(c[H>>2]|0)+8>>2]|0;if(!(c[f+88>>2]|0))f=0;else{c[f+84>>2]=0;f=1}j=(e|0)!=0;k=(f|0)!=0;if(!(k|j&(c[13880]|0)==1^1)?(Jl(b)|0)!=0:0){g=c[(c[H>>2]|0)+12>>2]|0;if(!g)g=1;else{a[g+81>>0]=0;g=1}}else g=0;IC(b);if(k){M=(c[H>>2]|0)+16|0;ty(I,b);c[M>>2]=c[I>>2];c[M+4>>2]=c[I+4>>2];c[M+8>>2]=c[I+8>>2];c[M+12>>2]=c[I+12>>2];c[M+16>>2]=c[I+16>>2];c[M+20>>2]=c[I+20>>2];c[M+24>>2]=c[I+24>>2];c[M+28>>2]=c[I+28>>2]}if(!j){c[13885]=1;g=gu(b)|0;if(!g)break;while(1){M=c[g+16>>2]|0;L=c[M+132>>2]|0;h[M+16>>3]=+h[L>>3]*72.0;h[M+24>>3]=+h[L+8>>3]*72.0;g=hu(b,g)|0;if(!g)break b}}do if(!(J<<24>>24!=0|k)){M=c[H>>2]|0;if(!(+h[M+16>>3]!=0.0)?!(+h[M+24>>3]!=0.0):0)break;zj(b)}while(0);if((l|0)!=0&(g|(xj(b)|0)<<24>>24!=0)){g=gu(b)|0;if(g)do{j=at(b,g)|0;if(j)do{_C(j);M=j+16|0;pz(c[(c[M>>2]|0)+96>>2]|0);pz(c[(c[M>>2]|0)+108>>2]|0);pz(c[(c[M>>2]|0)+100>>2]|0);pz(c[(c[M>>2]|0)+104>>2]|0);j=ct(b,j)|0}while((j|0)!=0);g=hu(b,g)|0}while((g|0)!=0)}else if((l|0)==2){c[13885]=1;break}wj(b,0)}while(0);i=K;return f|0}function fj(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+48|0;m=o+8|0;l=o;k=o+16|0;j=o+12|0;g=Qs(b,128534)|0;do if((g|0)!=0?(h=a[g>>0]|0,h<<24>>24!=0):0){if(!(HM(h&255)|0))if(((d[g>>0]|0)+-48|0)>>>0<10)e=g;else n=8;else{if(!(gP(g,128540,4)|0)){e=0;break}if(!(gP(g,147429,7)|0)){e=1;break}h=(gP(g,128545,6)|0)==0;g=h?g+6|0:g;if(h)e=g;else n=8}if((n|0)==8)if((e|0)==2)e=g;else break;if(!(((d[e>>0]|0)+-48|0)>>>0<10?(c[l>>2]=j,(EO(e,140869,l)|0)>=1):0)){n=rP()|0;n=(tb(0)|0)^n;c[j>>2]=n;c[m>>2]=n;DO(k,140869,m)|0;Ss(b,128534,k)|0}c[f>>2]=c[j>>2];e=2}while(0);i=o;return e|0}function gj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0.0;n=i;i=i+16|0;m=n+4|0;c[m>>2]=1;f=fj(b,e,m)|0;if((f|0)!=2&(c[12813]|0)!=0)us(0,128552,n)|0;if((f|0)==1?(k=+(d|0),l=6.283185307179586/k,g=gu(b)|0,(g|0)!=0):0){j=0.0;e=g;while(1){p=k*+Q(+j);g=c[e+16>>2]|0;o=c[g+132>>2]|0;h[o>>3]=p;h[o+8>>3]=k*+R(+j);a[g+119>>0]=1;if((c[13884]|0)>2)Xj(e,d);e=hu(b,e)|0;if(!e)break;else j=l+j}}ON(c[m>>2]|0);i=n;return f|0}function hj(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0;s=i;i=i+112|0;j=s+56|0;g=s+48|0;f=s+40|0;e=s+32|0;d=s+24|0;p=s+72|0;m=s;r=s+64|0;n=s+104|0;q=+h[4279];do if(c[13880]|0){h[4279]=72.0;kj(b);lj(b);if((ej(b,1)|0)<0){us(3,128600,d)|0;break}else{rA(b,0);k=46;break}}else{o=BC(Qs(b,128344)|0,0)|0;h[4279]=+nC(b);kj(b);d=Qs(b,128628)|0;a:do if(!d)l=1;else{switch(a[d>>0]|0){case 0:{l=1;break a}case 75:{if(!(aP(d,128633)|0)){l=0;break a}break}case 109:{if(!(aP(d,128636)|0)){l=1;break a}break}case 104:{if(!(aP(d,128642)|0)){l=2;break a}break}default:{}}l=Ft(b)|0;c[e>>2]=d;c[e+4>>2]=l;us(0,128647,e)|0;l=1}while(0);Gl(b,m,0)|0;d=Qs(b,128708)|0;b:do if(!d)g=0;else{switch(a[d>>0]|0){case 0:{g=0;break b}case 99:{if(!(aP(d,128714)|0)){g=1;break b}break}case 115:{if(!(aP(d,128722)|0)){g=2;break b}if(!(aP(d,128729)|0)){g=0;break b}break}case 109:{if(!(aP(d,128739)|0)){if(Is(b,2,133275,0)|0){g=3;break b}c[f>>2]=Ft(b)|0;us(0,128743,f)|0;us(3,128806,g)|0;g=0;break b}break}default:{}}g=Ft(b)|0;c[j>>2]=d;c[j+4>>2]=g;us(0,128863,j)|0;g=0}while(0);j=zx(b,0,p)|0;d=Ax(b,-1,8)|0;c[12812]=d;e=(d|0)<0;do if(!j){if((l|0)!=0&e){c[12812]=8;c[p+16>>2]=2;k=26;break}c[p+16>>2]=2;if((d|0)<=-1){mj(b,l,g);Hl(b,m)|0;lj(b);if(!(o<<24>>24)){yj(b);break}else{IC(b);wj(b,1);break}}else k=26}else if(e){c[12812]=8;k=26}else k=26;while(0);if((k|0)==26){j=cx(b,r,128925,n)|0;do if((c[r>>2]|0)>1){e=o<<24>>24==0;f=0;do{d=c[j+(f<<2)>>2]|0;hx(d)|0;mj(d,l,g);Hl(d,m)|0;YC(d,2);if(e)yj(d);else{IC(d);wj(d,1)}f=f+1|0;d=c[r>>2]|0}while((f|0)<(d|0));if(!(a[n>>0]|0))e=0;else{e=yz(d)|0;a[e>>0]=1;d=c[r>>2]|0}c[p+8>>2]=c[12812];c[p+20>>2]=e;c[p+12>>2]=1;vx(d,j,b,p)|0;if(e)fQ(e)}else{mj(b,l,g);Hl(b,m)|0;if(!(o<<24>>24)){yj(b);break}else{IC(b);wj(b,1);break}}while(0);IC(b);lj(b);if((c[r>>2]|0)>0){d=0;do{p=c[j+(d<<2)>>2]|0;Vj(p);Pu(p,178510)|0;wu(b,p)|0;d=d+1|0}while((d|0)<(c[r>>2]|0))}fQ(j)}rA(b,o<<24>>24==0&1);k=46}while(0);if((k|0)==46)h[4279]=q;i=s;return}function ij(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0.0;k=i;i=i+32|0;f=k+16|0;g=k+8|0;j=k;e=Qs(b,e)|0;if((e|0)!=0?(c[f>>2]=g,c[f+4>>2]=j,(EO(e,147421,f)|0)==2):0){l=+h[j>>3];h[d+56>>3]=+h[g>>3];h[d+64>>3]=l;a[d+81>>0]=1}i=k;return}function jj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0;m=i;i=i+32|0;j=m+16|0;k=m+8|0;l=m;g=b+16|0;if(((d|0)!=0?(c[(c[g>>2]|0)+12>>2]|0)!=0:0)?(n=Rs(b,d)|0,c[j>>2]=k,c[j+4>>2]=l,(EO(n,147421,j)|0)==2):0){n=c[(c[g>>2]|0)+12>>2]|0;o=+h[l>>3];h[n+56>>3]=+h[k>>3];h[n+64>>3]=o;a[(c[(c[g>>2]|0)+12>>2]|0)+81>>0]=1}if((e|0)!=0?(f=sv(b)|0,(f|0)!=0):0)do{pj(f,b,d,e);f=tv(f)|0}while((f|0)!=0);i=m;return}function kj(a){a=a|0;var d=0,e=0,f=0,g=0,i=0.0;YC(a,2);d=lC(a,Is(a,0,131951,0)|0,2,2)|0;e=(lC(a,Is(a,0,131957,0)|0,d,2)|0)&65535;b[(c[(yu(a)|0)+16>>2]|0)+176>>1]=e;e=c[(c[a+60>>2]|0)+16>>2]|0;g=e+176|0;f=b[g>>1]|0;f=(f&65535)<10?f:10;b[g>>1]=f;f=f&65535;c[13884]=f;b[e+178>>1]=(d|0)<(f|0)?d:f;e=vt(a)|0;c[12813]=Is(a,1,143694,0)|0;f=Is(a,1,130441,0)|0;d=gu(a)|0;if(d)do{bj(d);cj(c[12813]|0,f,d,e)|0;d=hu(a,d)|0}while((d|0)!=0);d=gu(a)|0;if(d)do{e=at(a,d)|0;if(e)do{Ou(e,178780,176,1)|0;FC(e)|0;i=+mC(e,c[13936]|0,1.0,1.0);h[(c[e+16>>2]|0)+128>>3]=i;e=ct(a,e)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0);return}function lj(a){a=a|0;var b=0,d=0,e=0,f=0;f=i;i=i+1040|0;e=f;d=f+8|0;if((c[13884]|0)>2&(c[13933]|0)!=0?(b=gu(a)|0,(b|0)!=0):0)do{h[e>>3]=+h[(c[(c[b+16>>2]|0)+132>>2]|0)+16>>3]*72.0;DO(d,142278,e)|0;Ts(b,c[13933]|0,d)|0;b=hu(a,b)|0}while((b|0)!=0);i=f;return}function mj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;x=i;i=i+112|0;q=x+88|0;n=x+80|0;m=x+72|0;j=x+64|0;g=x+56|0;u=x+48|0;s=x+32|0;r=x+8|0;p=x;t=x+108|0;v=x+104|0;f=Qs(b,131843)|0;do if(!f)if((d|0)==1){c[13883]=200;break}else{c[13883]=(vt(b)|0)*100;break}else c[13883]=NO(f)|0;while(0);w=Tj(b,d)|0;do if(!((w|0)<2|(c[13883]|0)<0)){if(!d){switch(e|0){case 2:{f=nj(b,w,t,0,2,0)|0;g=rn(f,w)|0;if((w|0)>0){j=c[(c[b+16>>2]|0)+160>>2]|0;m=0;do{k=c[g+(m<<2)>>2]|0;l=c[j+(m<<2)>>2]|0;n=0;do{h[l+(n<<3)>>3]=+(c[k+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(w|0));m=m+1|0}while((m|0)!=(w|0))}fQ(c[g>>2]|0);fQ(g);vm(f);break}case 1:{if(!(_l(b,w)|0)){c[g>>2]=Ft(b)|0;us(0,129122,g)|0;us(3,134146,j)|0;us(3,129174,m)|0;us(3,129246,n)|0;ik(b,w)}break}default:{ik(b,w);if((e|0)==3?(k=gu(b)|0,(k|0)!=0):0){l=b+16|0;do{f=at(b,k)|0;if(f)do{j=c[f>>2]&3;g=(c[c[((j|0)==3?f:f+48|0)+40>>2]>>2]|0)>>>4;j=(c[c[((j|0)==2?f:f+-48|0)+40>>2]>>2]|0)>>>4;if((g|0)!=(j|0)){o=+h[(c[f+16>>2]|0)+136>>3];v=c[(c[l>>2]|0)+160>>2]|0;h[(c[v+(j<<2)>>2]|0)+(g<<3)>>3]=o;h[(c[v+(g<<2)>>2]|0)+(j<<3)>>3]=o}f=ct(b,f)|0}while((f|0)!=0);k=hu(b,k)|0}while((k|0)!=0)}}}Zj(b,w);_j(b,w);if(a[142275]|0){v=c[24809]|0;u=c[13883]|0;o=+h[4280];c[q>>2]=e;c[q+4>>2]=u;h[q+8>>3]=o;pO(v,129284,q)|0;fC()}$j(b,w);break}j=c[13884]|0;q=(d|0)==2;g=gj(b,w,q?0:2)|0;f=lC(b,Is(b,0,128935,0)|0,2,0)|0;if((f|0)==0|(f|0)>2){c[p>>2]=128935;us(0,128944,p)|0;f=2}k=(g|0)==0;m=k?f|4:f;p=zz(j<<2)|0;f=zz(_(w<<3,j)|0)|0;c[p>>2]=f;g=c[13884]|0;if(((g|0)>1?(c[p+4>>2]=f+(w<<3),(g|0)>2):0)?(c[p+8>>2]=f+(w<<1<<3),(g|0)!=3):0){f=3;do{c[p+(f<<2)>>2]=(c[p>>2]|0)+((_(f,w)|0)<<3);f=f+1|0}while((f|0)!=(g|0))}if(a[142275]|0){n=c[24809]|0;j=c[13883]|0;o=+h[4280];c[r>>2]=e;c[r+4>>2]=k&1;c[r+8>>2]=m&3;c[r+12>>2]=j;h[r+16>>3]=o;pO(n,128990,r)|0;AO(129047,15,1,n)|0;fC();AO(129063,13,1,n)|0}n=nj(b,w,t,d,e,v)|0;if(a[142275]|0){r=c[24809]|0;o=+gC();c[s>>2]=w;h[s+8>>3]=o;pO(r,129077,s)|0}if((d|0)!=1){o=+mC(b,Is(b,0,129096,0)|0,0.0,-1797693134862315708145274.0e284);if(q){f=cm(n,w,c[t>>2]|0,p,c[v>>2]|0,c[13884]|0,m,e,c[13883]|0,o)|0;g=22}else g=24}else{f=Oj(n,w,c[t>>2]|0,p,c[v>>2]|0,c[13884]|0,m,e,c[13883]|0)|0;g=22}if((g|0)==22)if((f|0)<0)us(3,129106,u)|0;else g=24;if((g|0)==24?(l=gu(b)|0,(l|0)!=0):0)do{f=c[l+16>>2]|0;j=c[f+120>>2]|0;k=c[13884]|0;if((k|0)>0){f=c[f+132>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[(c[p+(g<<2)>>2]|0)+(j<<3)>>3];g=g+1|0}while((g|0)!=(k|0))}l=hu(b,l)|0}while((l|0)!=0);vm(n);fQ(c[p>>2]|0);fQ(p);fQ(c[v>>2]|0)}while(0);i=x;return}function nj(b,d,e,f,i,j){b=b|0;d=d|0;e=e|0;f=f|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0;l=wt(b)|0;K=iA()|0;if((i|0)==2){i=0;m=0}else{i=Is(b,2,133275,0)|0;m=(c[13936]|0)!=0&1}C=(f&-2|0)==2;I=zz(d*20|0)|0;J=zz(d<<2)|0;l=(l<<1)+d<<2;n=zz(l)|0;H=(i|0)!=0;B=C|H;if(B)o=zz(l)|0;else o=0;G=(m|0)!=0;if(G)m=zz(l)|0;else m=0;if(C)i=zz(l)|0;else i=0;l=gu(b)|0;a:do if(!l){F=m;k=o;E=0}else{A=0;q=0;while(1){jA(K);if((c[(c[l+16>>2]|0)+120>>2]|0)!=(A|0))break;c[J+(A<<2)>>2]=l;p=n+4|0;z=I+(A*20|0)+4|0;c[z>>2]=n;s=B?o+4|0:o;y=I+(A*20|0)+8|0;c[y>>2]=B?o:0;r=G?m+4|0:m;x=I+(A*20|0)+12|0;c[x>>2]=G?m:0;o=C?i+4|0:i;c[I+(A*20|0)+16>>2]=C?i:0;m=ft(b,l)|0;if(!m){n=p;i=o;m=r;o=s;p=1}else{v=p;i=o;w=m;m=r;o=s;p=1;u=1;while(1){r=c[w>>2]&3;t=w+-48|0;n=c[((r|0)==2?w:t)+40>>2]|0;s=w+48|0;r=c[((r|0)==3?w:s)+40>>2]|0;do if((n|0)==(r|0)){n=v;r=u}else{r=c[(c[r+16>>2]|0)+120>>2]|0;n=c[(c[n+16>>2]|0)+120>>2]|0;L=(r|0)>(n|0);n=lA(K,L?n:r,L?r:n,u)|0;if((n|0)!=(u|0)){if(G){L=(c[x>>2]|0)+(n<<2)|0;g[L>>2]=+h[(c[w+16>>2]|0)+128>>3]+ +g[L>>2]}if(!H){n=v;r=u;break}n=(c[y>>2]|0)+(n<<2)|0;N=+h[(c[w+16>>2]|0)+136>>3];M=+(~~+g[n>>2]|0);g[n>>2]=N>M?N:M;n=v;r=u;break}r=c[w>>2]&3;n=c[((r|0)==3?w:s)+40>>2]|0;if((n|0)==(l|0))r=c[((r|0)==2?w:t)+40>>2]|0;else r=n;q=q+1|0;s=u+1|0;n=v+4|0;c[v>>2]=c[(c[r+16>>2]|0)+120>>2];if(G){g[m>>2]=+h[(c[w+16>>2]|0)+128>>3];m=m+4|0}if(H){r=o+4|0;g[o>>2]=+h[(c[w+16>>2]|0)+136>>3];if(C){o=r;D=27}else o=r}else if(C){g[o>>2]=1.0;o=o+4|0;D=27}b:do if((D|0)==27){D=0;r=Qs(w,142794)|0;do if(r){if(gP(r,176797,4)|0)break;g[i>>2]=0.0;i=i+4|0;break b}while(0);g[i>>2]=(l|0)==(c[((c[w>>2]&3|0)==2?w:t)+40>>2]|0)?1.0:-1.0;i=i+4|0}while(0);p=p+1|0;r=s}while(0);w=gt(b,w,l)|0;if(!w)break;else{v=n;u=r}}}c[I+(A*20|0)>>2]=p;c[c[z>>2]>>2]=A;l=hu(b,l)|0;if(!l){F=m;k=o;E=q;break a}else A=A+1|0}Na(129323,129338,819,129350)}while(0);if(C&(d|0)>0){i=0;do{L=c[(c[J+(i<<2)>>2]|0)+16>>2]|0;a[L+157>>0]=0;a[L+158>>0]=0;i=i+1|0}while((i|0)!=(d|0));i=0;do{if(!(a[(c[(c[J+(i<<2)>>2]|0)+16>>2]|0)+157>>0]|0))oj(I,i,f,J);i=i+1|0}while((i|0)!=(d|0))}o=(E|0)/2|0;if((o|0)!=(wt(b)|0)){i=(o<<1)+d<<2;l=Bz(c[I+4>>2]|0,i)|0;if(H)k=Bz(c[I+8>>2]|0,i)|0;if(G)i=Bz(c[I+12>>2]|0,i)|0;else i=F;if((d|0)>0){n=0;while(1){m=c[I+(n*20|0)>>2]|0;c[I+(n*20|0)+4>>2]=l;if(H){c[I+(n*20|0)+8>>2]=k;k=k+(m<<2)|0}if(G){c[I+(n*20|0)+12>>2]=i;i=i+(m<<2)|0}n=n+1|0;if((n|0)==(d|0))break;else l=l+(m<<2)|0}}}c[e>>2]=o;if(!j)fQ(J);else c[j>>2]=J;kA(K);return I|0}function oj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0;r=(c[f+(d<<2)>>2]|0)+16|0;h=c[r>>2]|0;a[h+157>>0]=1;a[h+158>>0]=1;q=b+(d*20|0)|0;i=c[q>>2]|0;do if((i|0)>1){n=b+(d*20|0)+16|0;o=b+(d*20|0)+4|0;p=(e|0)==3?-1.0:1.0;h=i;m=1;a:while(1){i=(c[n>>2]|0)+(m<<2)|0;do if(!(+g[i>>2]==1.0)){l=c[(c[o>>2]|0)+(m<<2)>>2]|0;j=c[(c[f+(l<<2)>>2]|0)+16>>2]|0;if(!(a[j+158>>0]|0)){if(a[j+157>>0]|0)break;oj(b,l,e,f);h=c[q>>2]|0;break}g[i>>2]=p;k=c[b+(l*20|0)>>2]|0;b:do if((k|0)>1){j=c[b+(l*20|0)+4>>2]|0;i=1;do{if((c[j+(i<<2)>>2]|0)==(d|0))break b;i=i+1|0}while((i|0)<(k|0))}else i=1;while(0);if((i|0)>=(k|0)){h=10;break a}g[(c[b+(l*20|0)+16>>2]|0)+(i<<2)>>2]=-1.0}while(0);m=m+1|0;if((m|0)>=(h|0)){h=15;break}}if((h|0)==10)Na(129364,129338,721,129384);else if((h|0)==15){s=c[r>>2]|0;break}}else s=h;while(0);a[s+158>>0]=0;return}function pj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0;q=i;i=i+80|0;g=q+64|0;o=q+32|0;l=q;do if(!(gP(Ft(a)|0,149067,7)|0)){r=Rs(a,e)|0;j=o+8|0;k=o+24|0;c[g>>2]=o;c[g+4>>2]=j;c[g+8>>2]=o+16;c[g+12>>2]=k;if((EO(r,129393,g)|0)!=4){p=10;break}n=+h[j>>3];m=+h[k>>3];if(n>m){h[j>>3]=m;h[k>>3]=n};c[l>>2]=c[o>>2];c[l+4>>2]=c[o+4>>2];c[l+8>>2]=c[o+8>>2];c[l+12>>2]=c[o+12>>2];c[l+16>>2]=c[o+16>>2];c[l+20>>2]=c[o+20>>2];c[l+24>>2]=c[o+24>>2];c[l+28>>2]=c[o+28>>2];Ou(a,178510,280,1)|0;k=(c[a+16>>2]|0)+16|0;c[k>>2]=c[l>>2];c[k+4>>2]=c[l+4>>2];c[k+8>>2]=c[l+8>>2];c[k+12>>2]=c[l+12>>2];c[k+16>>2]=c[l+16>>2];c[k+20>>2]=c[l+20>>2];c[k+24>>2]=c[l+24>>2];c[k+28>>2]=c[l+28>>2];k=b+16|0;j=c[k>>2]|0;r=j+180|0;g=c[r>>2]|0;l=g+1|0;c[r>>2]=l;j=c[j+184>>2]|0;if(!j)g=yz((g<<2)+8|0)|0;else g=Az(j,g+2|0,4,l)|0;c[(c[k>>2]|0)+184>>2]=g;c[g+(l<<2)>>2]=a;iz(a);jj(a,d,e)}else p=10;while(0);if((p|0)==10?(f=sv(a)|0,(f|0)!=0):0)do{pj(f,b,d,e);f=tv(f)|0}while((f|0)!=0);i=q;return}function qj(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0.0;m=i;i=i+16|0;h=m;g=e+16|0;j=b[(c[g>>2]|0)+168>>1]|0;l=j<<16>>16;if(j<<16>>16!=1&(a[142277]|0)==0){k=zz(l<<2)|0;h=j<<16>>16>0;if(h){g=0;while(1){c[k+(g<<2)>>2]=e;g=g+1|0;if((g|0)==(l|0))break;else e=c[(c[e+16>>2]|0)+172>>2]|0}n=+(f|0);MB(d,k,0,l,n,n,51292);if(h){h=0;do{e=c[k+(h<<2)>>2]|0;g=e+16|0;if(c[(c[g>>2]|0)+96>>2]|0){f=xu(c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0)|0;HC(f,c[(c[g>>2]|0)+96>>2]|0)}NB(e);h=h+1|0}while((h|0)!=(l|0))}}else{n=+(f|0);MB(d,k,0,l,n,n,51292)}fQ(k)}else{c[h>>2]=e;n=+(f|0);MB(d,h,0,1,n,n,51292);if(c[(c[g>>2]|0)+96>>2]|0){l=xu(c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0)|0;HC(l,c[(c[g>>2]|0)+96>>2]|0)}NB(e)}i=m;return}function rj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0;G=i;i=i+96|0;s=G+32|0;j=G;a:do switch(QA(b)|0){case 3:case 1:{f=yz(8)|0;t=b+16|0;b=c[t>>2]|0;r=c[b+12>>2]|0;do if(!(e<<24>>24)){b=c[r+8>>2]|0;if((b|0)>2){q=0.0;j=1;E=+g[d>>2];F=+g[d+4>>2];s=c[r+44>>2]|0;break}else{q=+KN()*.01;j=0;E=0.0;F=0.0;b=8;s=0;break}}else if(!(c[r+40>>2]&2048)){F=+h[b+88>>3];E=-F;q=+h[b+80>>3];p=q*-.5;h[s>>3]=E;h[s+8>>3]=p;h[s+16>>3]=F;h[s+24>>3]=p;q=q*.5;h[s+32>>3]=F;h[s+40>>3]=q;h[s+48>>3]=E;h[s+56>>3]=q;q=0.0;j=1;E=0.0;F=0.0;b=4;break}else{GC(j,r);E=+h[j>>3];p=+h[j+8>>3];F=+h[j+16>>3];q=+h[j+24>>3];h[s>>3]=E;h[s+8>>3]=p;h[s+16>>3]=F;h[s+24>>3]=p;h[s+32>>3]=F;h[s+40>>3]=q;h[s+48>>3]=E;h[s+56>>3]=q;q=0.0;j=1;E=0.0;F=0.0;b=4;break}while(0);c[f+4>>2]=b;D=yz(b<<4)|0;c[f>>2]=D;if((b|0)>0){A=(j|0)==0;p=+(b|0);B=d+8|0;C=d+4|0;y=c[t>>2]|0;j=y+16|0;e=y+24|0;r=(b|0)==4;n=-E;o=-F;t=y+88|0;u=y+96|0;v=y+80|0;w=y+88|0;x=y+96|0;y=y+80|0;z=0;do{do if(A){l=q+ +(z|0)*6.283185307179586/p;k=+Q(+l);l=+R(+l);if(!(a[B>>0]|0)){m=k*+g[d>>2]*(+h[t>>3]+ +h[u>>3])*.5;k=+h[v>>3]*(l*+g[C>>2])*.5;break}else{m=k*(+h[w>>3]+ +h[x>>3]+ +g[d>>2])*.5;k=l*(+h[y>>3]+ +g[C>>2])*.5;break}}else{if(!(a[B>>0]|0)){m=E*+h[s+(z<<4)>>3];k=F*+h[s+(z<<4)+8>>3];break}if(!r){m=+h[s+(z<<4)>>3];l=+h[s+(z<<4)+8>>3];k=+O(+(m*m+l*l));m=m*(E/k+1.0);k=l*(F/k+1.0);break}switch(z|0){case 0:{k=E;l=F;break}case 1:{k=n;l=F;break}case 2:{k=n;l=o;break}case 3:{k=E;l=o;break}default:{k=0.0;l=0.0}}m=k+ +h[s+(z<<4)>>3];k=l+ +h[s+(z<<4)+8>>3]}while(0);H=b-z+-1|0;h[D+(H<<4)>>3]=m+ +h[j>>3];h[D+(H<<4)+8>>3]=k+ +h[e>>3];z=z+1|0}while((z|0)!=(b|0))}break}case 2:{H=b+16|0;f=c[(c[H>>2]|0)+12>>2]|0;k=+h[f+16>>3];l=+h[f+24>>3];m=+h[f+32>>3];n=+h[f+40>>3];f=yz(8)|0;c[f+4>>2]=4;b=yz(64)|0;c[f>>2]=b;H=c[H>>2]|0;o=+h[H+16>>3];p=+h[H+24>>3];q=+g[d>>2];if(!(a[d+8>>0]|0)){D=d+4|0;F=p+l*+g[D>>2];h[b>>3]=o+k*q;h[b+8>>3]=F;H=c[f>>2]|0;F=p+n*+g[D>>2];h[H+16>>3]=o+k*+g[d>>2];h[H+24>>3]=F;H=c[f>>2]|0;F=p+n*+g[D>>2];h[H+32>>3]=o+m*+g[d>>2];h[H+40>>3]=F;H=c[f>>2]|0;F=p+l*+g[D>>2];h[H+48>>3]=o+m*+g[d>>2];h[H+56>>3]=F;break a}else{D=d+4|0;F=p+(l-+g[D>>2]);h[b>>3]=o+(k-q);h[b+8>>3]=F;H=c[f>>2]|0;F=p+(n+ +g[D>>2]);h[H+16>>3]=o+(k-+g[d>>2]);h[H+24>>3]=F;H=c[f>>2]|0;F=p+(n+ +g[D>>2]);h[H+32>>3]=o+(m+ +g[d>>2]);h[H+40>>3]=F;H=c[f>>2]|0;F=p+(l-+g[D>>2]);h[H+48>>3]=o+(m+ +g[d>>2]);h[H+56>>3]=F;break a}}case 4:{b=b+16|0;f=yz(8)|0;c[f+4>>2]=4;j=yz(64)|0;c[f>>2]=j;H=c[b>>2]|0;k=+h[H+16>>3];l=+h[H+24>>3];m=-+h[H+88>>3];n=+h[H+80>>3];o=+g[d>>2];if(!(a[d+8>>0]|0)){C=d+4|0;F=l-n*+g[C>>2];h[j>>3]=k+o*m;h[j+8>>3]=F;H=c[f>>2]|0;D=c[b>>2]|0;F=l+ +h[D+80>>3]*+g[C>>2];h[H+16>>3]=k-+h[D+88>>3]*+g[d>>2];h[H+24>>3]=F;H=c[f>>2]|0;D=c[b>>2]|0;F=l+ +h[D+80>>3]*+g[C>>2];h[H+32>>3]=k+ +h[D+96>>3]*+g[d>>2];h[H+40>>3]=F;H=c[f>>2]|0;D=c[b>>2]|0;F=l-+h[D+80>>3]*+g[C>>2];h[H+48>>3]=k+ +h[D+96>>3]*+g[d>>2];h[H+56>>3]=F;break a}else{C=d+4|0;F=l+(-n-+g[C>>2]);h[j>>3]=k+(m-o);h[j+8>>3]=F;H=c[f>>2]|0;D=c[b>>2]|0;F=l+(+h[D+80>>3]+ +g[C>>2]);h[H+16>>3]=k+(-+h[D+88>>3]-+g[d>>2]);h[H+24>>3]=F;H=c[f>>2]|0;D=c[b>>2]|0;F=l+(+h[D+80>>3]+ +g[C>>2]);h[H+32>>3]=k+(+h[D+96>>3]+ +g[d>>2]);h[H+40>>3]=F;H=c[f>>2]|0;D=c[b>>2]|0;F=l+(-+h[D+80>>3]-+g[C>>2]);h[H+48>>3]=k+(+h[D+96>>3]+ +g[d>>2]);h[H+56>>3]=F;break a}}default:f=0}while(0);i=G;return f|0}function sj(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0;q=i;i=i+80|0;p=q+56|0;n=q+40|0;l=q+32|0;m=q+16|0;o=q;j=c[d>>2]&3;g=(c[((j|0)==3?d:d+48|0)+40>>2]|0)+16|0;v=c[g>>2]|0;u=c[d+16>>2]|0;w=u+16|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];s=+h[k>>3];w=u+24|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];t=+h[k>>3];w=v+16|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];r=+h[k>>3];v=v+24|0;a[k>>0]=a[v>>0];a[k+1>>0]=a[v+1>>0];a[k+2>>0]=a[v+2>>0];a[k+3>>0]=a[v+3>>0];a[k+4>>0]=a[v+4>>0];a[k+5>>0]=a[v+5>>0];a[k+6>>0]=a[v+6>>0];a[k+7>>0]=a[v+7>>0];t=t+ +h[k>>3];h[m>>3]=s+r;h[m+8>>3]=t;j=(c[((j|0)==2?d:d+-48|0)+40>>2]|0)+16|0;d=c[j>>2]|0;v=u+56|0;a[k>>0]=a[v>>0];a[k+1>>0]=a[v+1>>0];a[k+2>>0]=a[v+2>>0];a[k+3>>0]=a[v+3>>0];a[k+4>>0]=a[v+4>>0];a[k+5>>0]=a[v+5>>0];a[k+6>>0]=a[v+6>>0];a[k+7>>0]=a[v+7>>0];t=+h[k>>3];u=u+64|0;a[k>>0]=a[u>>0];a[k+1>>0]=a[u+1>>0];a[k+2>>0]=a[u+2>>0];a[k+3>>0]=a[u+3>>0];a[k+4>>0]=a[u+4>>0];a[k+5>>0]=a[u+5>>0];a[k+6>>0]=a[u+6>>0];a[k+7>>0]=a[u+7>>0];r=+h[k>>3];u=d+16|0;a[k>>0]=a[u>>0];a[k+1>>0]=a[u+1>>0];a[k+2>>0]=a[u+2>>0];a[k+3>>0]=a[u+3>>0];a[k+4>>0]=a[u+4>>0];a[k+5>>0]=a[u+5>>0];a[k+6>>0]=a[u+6>>0];a[k+7>>0]=a[u+7>>0];s=+h[k>>3];d=d+24|0;a[k>>0]=a[d>>0];a[k+1>>0]=a[d+1>>0];a[k+2>>0]=a[d+2>>0];a[k+3>>0]=a[d+3>>0];a[k+4>>0]=a[d+4>>0];a[k+5>>0]=a[d+5>>0];a[k+6>>0]=a[d+6>>0];a[k+7>>0]=a[d+7>>0];r=r+ +h[k>>3];h[o>>3]=t+s;h[o+8>>3]=r;if(!f){g=-1111;j=-1111}else{g=c[(c[g>>2]|0)+288>>2]|0;j=c[(c[j>>2]|0)+288>>2]|0};c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];c[n+8>>2]=c[m+8>>2];c[n+12>>2]=c[m+12>>2];c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];jI(e,n,g,p,j,l)|0;u=l;v=c[u+4>>2]|0;w=b;c[w>>2]=c[u>>2];c[w+4>>2]=v;i=q;return}function tj(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;F=i;i=i+128|0;D=F+104|0;B=F+88|0;y=F+24|0;x=F+16|0;u=F+80|0;E=F+120|0;w=F+48|0;A=F+32|0;C=F;q=(c[b+16>>2]|0)+144|0;p=c[q>>2]|0;q=c[q+4>>2]|0;o=u;c[o>>2]=p;c[o+4>>2]=q;o=p;c[A>>2]=c[o>>2];c[A+4>>2]=c[o+4>>2];c[A+8>>2]=c[o+8>>2];c[A+12>>2]=c[o+12>>2];q=p+(q+-1<<4)|0;c[C>>2]=c[q>>2];c[C+4>>2]=c[q+4>>2];c[C+8>>2]=c[q+8>>2];c[C+12>>2]=c[q+12>>2];if(g<<24>>24)if((f|0)>0){j=0;g=-1111;h=-1111;do{if((g|0)==-1111){g=c[e+(j<<2)>>2]|0;c[B>>2]=c[g>>2];c[B+4>>2]=c[g+4>>2];c[D>>2]=c[A>>2];c[D+4>>2]=c[A+4>>2];c[D+8>>2]=c[A+8>>2];c[D+12>>2]=c[A+12>>2];g=(kI(B,D)|0)==0;g=g?-1111:j}if((h|0)==-1111){h=c[e+(j<<2)>>2]|0;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[D>>2]=c[C>>2];c[D+4>>2]=c[C+4>>2];c[D+8>>2]=c[C+8>>2];c[D+12>>2]=c[C+12>>2];h=(kI(B,D)|0)==0;h=h?-1111:j}j=j+1|0}while((j|0)!=(f|0));p=g;q=8}else q=9;else{p=-1111;h=-1111;q=8}if((q|0)==8)if((f|0)>0){j=0;g=0;do{if(!((j|0)==(p|0)|(j|0)==(h|0)))g=(c[(c[e+(j<<2)>>2]|0)+4>>2]|0)+g|0;j=j+1|0}while((j|0)!=(f|0));o=g;n=zz(o<<5)|0;g=0;m=0;do{if(!((m|0)==(p|0)|(m|0)==(h|0))?(r=e+(m<<2)|0,s=c[r>>2]|0,t=c[s+4>>2]|0,(t|0)>0):0){k=t;l=s;j=0;do{G=n+(g<<5)|0;H=(c[l>>2]|0)+(j<<4)|0;j=j+1|0;c[G>>2]=c[H>>2];c[G+4>>2]=c[H+4>>2];c[G+8>>2]=c[H+8>>2];c[G+12>>2]=c[H+12>>2];G=n+(g<<5)+16|0;H=(c[c[r>>2]>>2]|0)+(((j|0)<(k|0)?j:0)<<4)|0;c[G>>2]=c[H>>2];c[G+4>>2]=c[H+4>>2];c[G+8>>2]=c[H+8>>2];c[G+12>>2]=c[H+12>>2];g=g+1|0;l=c[r>>2]|0;k=c[l+4>>2]|0}while((j|0)<(k|0))}m=m+1|0}while((m|0)!=(f|0));if((g|0)==(o|0)){z=n;v=o}else Na(129409,129416,77,129431)}else q=9;if((q|0)==9){z=zz(0)|0;v=0};c[w>>2]=0;c[w+4>>2]=0;c[w+8>>2]=0;c[w+12>>2]=0;c[w+16>>2]=0;c[w+20>>2]=0;c[w+24>>2]=0;c[w+28>>2]=0;c[D>>2]=c[u>>2];c[D+4>>2]=c[u+4>>2];if((lI(z,v,D,w,E)|0)<0){G=Ft(c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0)|0;H=Ft(c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0)|0;c[x>>2]=G;c[x+4>>2]=H;us(1,129445,x)|0}else{if((d[142275]|0)>1){h=c[24809]|0;G=Ft(c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0)|0;g=b+-48|0;H=Ft(c[((c[b>>2]&3|0)==2?b:g)+40>>2]|0)|0;c[y>>2]=G;c[y+4>>2]=H;pO(h,129493,y)|0;h=b}else{g=b+-48|0;h=b}HB(b,c[((c[h>>2]&3|0)==2?b:g)+40>>2]|0,c[E>>2]|0,c[E+4>>2]|0,51292);fQ(z);c[B>>2]=c[A>>2];c[B+4>>2]=c[A+4>>2];c[B+8>>2]=c[A+8>>2];c[B+12>>2]=c[A+12>>2];c[D>>2]=c[C>>2];c[D+4>>2]=c[C+4>>2];c[D+8>>2]=c[C+8>>2];c[D+12>>2]=c[C+12>>2];QB(a,b,B,D)}i=F;return}function uj(a,d,e){a=a|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;D=i;i=i+96|0;B=D;C=D+76|0;f=D+64|0;Ll(f,a);c[C>>2]=c[f>>2];c[C+4>>2]=c[f+4>>2];c[C+8>>2]=c[f+8>>2];f=gu(a)|0;if(f)do{g=at(a,f)|0;if(g)do{VA(g);g=ct(a,g)|0}while((g|0)!=0);f=hu(a,f)|0}while((f|0)!=0);s=hs(51256,c[13094]|0)|0;f=gu(a)|0;if(f){t=B+8|0;u=B+16|0;v=B+24|0;w=B+32|0;x=B+40|0;y=B+48|0;z=B+56|0;do{g=at(a,f)|0;if(g)do{if((c[13880]|0)>1?(A=c[g+16>>2]|0,(c[A+8>>2]|0)!=0):0){m=A+168|0;b[m>>1]=(b[m>>1]|0)+1<<16>>16}else{k=c[g>>2]&3;m=c[((k|0)==3?g:g+48|0)+40>>2]|0;k=c[((k|0)==2?g:g+-48|0)+40>>2]|0;do if(m>>>0>=k>>>0){j=g+16|0;if(m>>>0>k>>>0){E=c[j>>2]|0;j=k;k=m;q=+h[E+16>>3];r=+h[E+24>>3];n=+h[E+56>>3];l=+h[E+64>>3];break}E=c[j>>2]|0;n=+h[E+56>>3];l=+h[E+64>>3];o=+h[E+16>>3];p=+h[E+24>>3];if(!(o<n))if(!(o>n))if(p<l){j=m;k=m;q=n;r=l;n=o;l=p}else{E=p>l;j=m;k=m;q=o;r=p;n=E?n:o;l=E?l:p}else{j=m;k=m;q=o;r=p}else{j=m;k=m;q=n;r=l;n=o;l=p}}else{E=c[g+16>>2]|0;j=m;q=+h[E+56>>3];r=+h[E+64>>3];n=+h[E+16>>3];l=+h[E+24>>3]}while(0);c[t>>2]=j;h[u>>3]=n;h[v>>3]=l;c[w>>2]=k;h[x>>3]=q;h[y>>3]=r;c[z>>2]=g;j=c[(Jb[c[s>>2]&63](s,B,1)|0)+56>>2]|0;if((j|0)!=(g|0)){E=c[j+16>>2]|0;m=E+168|0;b[m>>1]=(b[m>>1]|0)+1<<16>>16;E=E+172|0;c[(c[g+16>>2]|0)+172>>2]=c[E>>2];c[E>>2]=g}}g=ct(a,g)|0}while((g|0)!=0);f=hu(a,f)|0}while((f|0)!=0)}ds(s)|0;if(!(Jb[d&63](a,C,e)|0)){c[13885]=1;f=0}else f=1;i=D;return f|0}function vj(a,b){a=a|0;b=b|0;return uj(a,24,b)|0}function wj(a,b){a=a|0;b=b|0;var d=0;d=(e[(c[a+16>>2]|0)+136>>1]|0)&14;if(b<<24>>24)xj(a)|0;if(d)uj(a,24,d)|0;return}function xj(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0;a:do if((c[b+60>>2]|0)==(b|0)?(d=b+16|0,e=c[d>>2]|0,(c[(c[e+8>>2]|0)+84>>2]|0)!=0):0){if(!(+h[e+16>>3]!=0.0)?!(+h[e+24>>3]!=0.0):0){j=e;e=0}else{zj(b);j=c[d>>2]|0;e=1}k=(c[j+116>>2]&1|0)==0;if(!k){r=j+32|0;y=+h[r>>3];s=j+40|0;h[r>>3]=+h[s>>3];h[s>>3]=y}d=c[j+8>>2]|0;b:do switch(c[d+84>>2]|0){case 2:{f=+h[d+64>>3];if(f<=0.0)break a;g=f/+h[j+32>>3];f=+h[d+72>>3]/+h[j+40>>3];if(g<1.0|f<1.0)if(g<f){i=1.0;f=f/g;break b}else{i=g/f;f=1.0;break b}else i=g;break}case 5:{f=+h[d+64>>3];if(f<=0.0)break a;g=f/+h[j+32>>3];f=+h[d+72>>3]/+h[j+40>>3];if(!(g>1.0&f>1.0))break a;f=g<f?g:f;i=f;break}case 1:{g=+h[d+16>>3];f=+h[j+40>>3]/+h[j+32>>3];if(f<g){i=1.0;f=g/f;break b}else{i=f/g;f=1.0;break b}}default:break a}while(0);y=k?f:i;x=k?i:f;if((c[13880]|0)>1?(l=gu(b)|0,(l|0)!=0):0){v=x+-1.0;w=y+-1.0;do{d=at(b,l)|0;if(d)do{s=c[d+16>>2]|0;e=c[s+8>>2]|0;if(e){q=c[d>>2]&3;r=c[(c[(c[((q|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0)+132>>2]|0;i=v*+h[r>>3]*72.0;g=w*+h[r+8>>3]*72.0;q=c[(c[(c[((q|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+132>>2]|0;t=v*+h[q>>3]*72.0;u=w*+h[q+8>>3]*72.0;q=c[e+4>>2]|0;if((q|0)>0){r=q+-1|0;m=c[e>>2]|0;n=0;while(1){e=c[m+4>>2]|0;if((e|0)>0){j=(n|0)==(r|0);k=e+-1|0;o=0;p=c[m>>2]|0;while(1){do if(o|n){f=+h[p>>3];if(j&(o|0)==(k|0)){h[p>>3]=i+f;z=p+8|0;h[z>>3]=g+ +h[z>>3];break}else{h[p>>3]=x*f;z=p+8|0;h[z>>3]=y*+h[z>>3];break}}else{h[p>>3]=t+ +h[p>>3];z=p+8|0;h[z>>3]=u+ +h[z>>3]}while(0);o=o+1|0;if((o|0)==(e|0))break;else p=p+16|0}}if(c[m+8>>2]|0){z=m+16|0;h[z>>3]=t+ +h[z>>3];z=m+24|0;h[z>>3]=u+ +h[z>>3]}if(c[m+12>>2]|0){z=m+32|0;h[z>>3]=i+ +h[z>>3];z=m+40|0;h[z>>3]=g+ +h[z>>3]}n=n+1|0;if((n|0)==(q|0))break;else m=m+48|0}}e=c[s+96>>2]|0;if((e|0)!=0?(a[e+81>>0]|0)!=0:0){z=e+56|0;h[z>>3]=x*+h[z>>3];z=e+64|0;h[z>>3]=y*+h[z>>3]}e=c[s+100>>2]|0;if((e|0)!=0?(a[e+81>>0]|0)!=0:0){z=e+56|0;h[z>>3]=i+ +h[z>>3];z=e+64|0;h[z>>3]=g+ +h[z>>3]}e=c[s+104>>2]|0;if((e|0)!=0?(a[e+81>>0]|0)!=0:0){z=e+56|0;h[z>>3]=t+ +h[z>>3];z=e+64|0;h[z>>3]=u+ +h[z>>3]}}d=ct(b,d)|0}while((d|0)!=0);l=hu(b,l)|0}while((l|0)!=0)}d=gu(b)|0;if(d)do{z=c[(c[d+16>>2]|0)+132>>2]|0;h[z>>3]=x*+h[z>>3];z=z+8|0;h[z>>3]=y*+h[z>>3];d=hu(b,d)|0}while((d|0)!=0);Bj(b,x,y);e=1}else e=0;while(0);d=gu(b)|0;if(d)do{z=c[d+16>>2]|0;s=c[z+132>>2]|0;h[z+16>>3]=+h[s>>3]*72.0;h[z+24>>3]=+h[s+8>>3]*72.0;d=hu(b,d)|0}while((d|0)!=0);return e|0}function yj(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0.0,j=0,k=0;j=i;i=i+16|0;d=j;IC(a);e=a+16|0;b=c[e>>2]|0;f=+h[b+16>>3]/72.0;g=+h[b+24>>3]/72.0;b=gu(a)|0;if(b)do{k=c[(c[b+16>>2]|0)+132>>2]|0;h[k>>3]=+h[k>>3]-f;k=k+8|0;h[k>>3]=+h[k>>3]-g;b=hu(a,b)|0}while((b|0)!=0);k=(c[e>>2]|0)+16|0;c[d>>2]=c[k>>2];c[d+4>>2]=c[k+4>>2];c[d+8>>2]=c[k+8>>2];c[d+12>>2]=c[k+12>>2];Cj(a,d);wj(a,1);i=j;return}function zj(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;v=i;i=i+32|0;u=v+16|0;t=v;s=(c[b+16>>2]|0)+16|0;c[t>>2]=c[s>>2];c[t+4>>2]=c[s+4>>2];c[t+8>>2]=c[s+8>>2];c[t+12>>2]=c[s+12>>2];g=+h[t>>3];j=g/72.0;s=t+8|0;k=+h[s>>3];l=k/72.0;d=gu(b)|0;if(d)do{e=c[d+16>>2]|0;r=c[e+132>>2]|0;h[r>>3]=+h[r>>3]-j;r=r+8|0;h[r>>3]=+h[r>>3]-l;e=c[e+108>>2]|0;if((e|0)!=0?(a[e+81>>0]|0)!=0:0){r=e+56|0;h[r>>3]=+h[r>>3]-g;r=e+64|0;h[r>>3]=+h[r>>3]-k}d=hu(b,d)|0}while((d|0)!=0);d=gu(b)|0;if(d)do{e=at(b,d)|0;if(e)do{r=c[e+16>>2]|0;f=c[r+8>>2]|0;if(f){g=+h[t>>3];j=+h[s>>3];q=c[f+4>>2]|0;if((q|0)>0){m=c[f>>2]|0;n=0;while(1){f=c[m+4>>2]|0;if((f|0)>0){o=0;p=c[m>>2]|0;while(1){h[p>>3]=+h[p>>3]-g;w=p+8|0;h[w>>3]=+h[w>>3]-j;o=o+1|0;if((o|0)==(f|0))break;else p=p+16|0}}if(c[m+8>>2]|0){w=m+16|0;h[w>>3]=+h[w>>3]-g;w=m+24|0;h[w>>3]=+h[w>>3]-j}if(c[m+12>>2]|0){w=m+32|0;h[w>>3]=+h[w>>3]-g;w=m+40|0;h[w>>3]=+h[w>>3]-j}n=n+1|0;if((n|0)==(q|0))break;else m=m+48|0}}f=c[r+96>>2]|0;if((f|0)!=0?(a[f+81>>0]|0)!=0:0){w=f+56|0;h[w>>3]=+h[w>>3]-g;w=f+64|0;h[w>>3]=+h[w>>3]-j}f=c[r+108>>2]|0;if((f|0)!=0?(a[f+81>>0]|0)!=0:0){w=f+56|0;h[w>>3]=+h[w>>3]-g;w=f+64|0;h[w>>3]=+h[w>>3]-j}f=c[r+100>>2]|0;if((f|0)!=0?(a[f+81>>0]|0)!=0:0){w=f+56|0;h[w>>3]=+h[w>>3]-g;w=f+64|0;h[w>>3]=+h[w>>3]-j}f=c[r+104>>2]|0;if((f|0)!=0?(a[f+81>>0]|0)!=0:0){w=f+56|0;h[w>>3]=+h[w>>3]-g;w=f+64|0;h[w>>3]=+h[w>>3]-j}}e=ct(b,e)|0}while((e|0)!=0);d=hu(b,d)|0}while((d|0)!=0);c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];c[u+12>>2]=c[t+12>>2];Dj(b,u);i=v;return}function Aj(e,f,j){e=e|0;f=f|0;j=j|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0,U=0;P=i;i=i+160|0;L=P+136|0;J=P+120|0;N=P+112|0;u=P+104|0;s=P+88|0;r=P+80|0;M=P+152|0;H=P+72|0;I=P+48|0;K=P+16|0;v=P+64|0;F=P+32|0;G=P;l=(c[13880]|0)>1&1;do if((j|0)>5){t=yz((vt(e)|0)<<2)|0;m=gu(e)|0;if(!m)n=0;else{q=(j|0)==8&1;n=0;do{o=rj(m,f,q)|0;p=(c[m+16>>2]|0)+288|0;if(!o)c[p>>2]=-1111;else{c[p>>2]=n;c[t+(n<<2)>>2]=o;n=n+1|0}m=hu(e,m)|0}while((m|0)!=0)}if(t){o=zn(t,n)|0;m=(j|0)==8;if(o){if(m){C=1;E=n;D=t;B=0;break}C=1;E=n;D=t;B=hI(t,n)|0;break}if(m){us(0,129507,r)|0;C=1;E=n;o=0;D=t;B=0;break}else{Q=+g[f+4>>2];h[s>>3]=+g[f>>2];h[s+8>>3]=Q;us(0,129585,s)|0;C=1;E=n;o=0;D=t;B=0;break}}else{C=0;E=n;o=0;D=0;B=0}}else{C=0;E=0;o=0;D=0;B=0}while(0);if(a[142275]|0){m=c[24809]|0;if(!((j|0)==8&(o|0)!=0))if(!B)n=129694;else n=(j|0)==10?149632:129667;else n=129677;c[u>>2]=n;pO(m,129708,u)|0}A=(B|0)!=0;if(A){m=gu(e)|0;if(m)do{n=at(e,m)|0;if(n)do{z=(c[n+16>>2]|0)+144|0;sj(v,n,B,1,0,0);x=v;y=c[x+4>>2]|0;c[z>>2]=c[x>>2];c[z+4>>2]=y;n=ct(e,n)|0}while((n|0)!=0);m=hu(e,m)|0}while((m|0)!=0)}else if((j|0)==8&(o|0)!=0){vD(e,0);l=1}m=gu(e)|0;if(!m)l=0;else{t=(l|0)==0;u=e+60|0;v=(j|0)==10;w=c[24809]|0;x=M+4|0;y=F+8|0;z=G+8|0;l=0;do{n=at(e,m)|0;if(n){s=m+16|0;do{q=c[((c[n>>2]&3|0)==2?n:n+-48|0)+40>>2]|0;o=n+16|0;p=c[o>>2]|0;if(!t?(c[p+8>>2]|0)!=0:0){r=c[s>>2]|0;f=p+16|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];R=+h[k>>3];f=p+24|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];S=+h[k>>3];f=r+16|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];Q=+h[k>>3];r=r+24|0;a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];S=S+ +h[k>>3];h[F>>3]=R+Q;h[y>>3]=S;r=c[q+16>>2]|0;f=c[o>>2]|0;q=f+56|0;a[k>>0]=a[q>>0];a[k+1>>0]=a[q+1>>0];a[k+2>>0]=a[q+2>>0];a[k+3>>0]=a[q+3>>0];a[k+4>>0]=a[q+4>>0];a[k+5>>0]=a[q+5>>0];a[k+6>>0]=a[q+6>>0];a[k+7>>0]=a[q+7>>0];S=+h[k>>3];f=f+64|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];Q=+h[k>>3];f=r+16|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];R=+h[k>>3];r=r+24|0;a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];Q=Q+ +h[k>>3];h[G>>3]=S+R;h[z>>3]=Q;c[J>>2]=c[F>>2];c[J+4>>2]=c[F+4>>2];c[J+8>>2]=c[F+8>>2];c[J+12>>2]=c[F+12>>2];c[L>>2]=c[G>>2];c[L+4>>2]=c[G+4>>2];c[L+8>>2]=c[G+8>>2];c[L+12>>2]=c[G+12>>2];QB(e,n,J,L)}else O=34;do if((O|0)==34){O=0;r=b[p+168>>1]|0;o=r<<16>>16;if(r<<16>>16){if((m|0)==(q|0)){if(!l){l=yz(96)|0;c[l+84>>2]=yz(((vt(e)|0)<<5)+11520|0)|0}qj(l,n,c[(c[(c[u>>2]|0)+16>>2]|0)+248>>2]|0);break}if(!A){JA(e,n,j,51292);break}f=(a[142277]|0)!=0?1:o;if((f|0)>0){q=n;r=0;while(1){if(v){tj(e,q,D,E,1);o=q+16|0}else{o=q+16|0;p=(c[o>>2]|0)+144|0;T=c[p>>2]|0;p=c[p+4>>2]|0;U=H;c[U>>2]=T;c[U+4>>2]=p;U=T;c[I>>2]=c[U>>2];c[I+4>>2]=c[U+4>>2];c[I+8>>2]=c[U+8>>2];c[I+12>>2]=c[U+12>>2];p=T+(p+-1<<4)|0;c[K>>2]=c[p>>2];c[K+4>>2]=c[p+4>>2];c[K+8>>2]=c[p+8>>2];c[K+12>>2]=c[p+12>>2];c[L>>2]=c[H>>2];c[L+4>>2]=c[H+4>>2];AI(L,M);if((d[142275]|0)>1){T=Ft(c[((c[q>>2]&3|0)==3?q:q+48|0)+40>>2]|0)|0;p=q+-48|0;U=Ft(c[((c[q>>2]&3|0)==2?q:p)+40>>2]|0)|0;c[N>>2]=T;c[N+4>>2]=U;pO(w,129733,N)|0}else p=q+-48|0;HB(q,c[((c[q>>2]&3|0)==2?q:p)+40>>2]|0,c[M>>2]|0,c[x>>2]|0,51292);c[J>>2]=c[I>>2];c[J+4>>2]=c[I+4>>2];c[J+8>>2]=c[I+8>>2];c[J+12>>2]=c[I+12>>2];c[L>>2]=c[K>>2];c[L+4>>2]=c[K+4>>2];c[L+8>>2]=c[K+8>>2];c[L+12>>2]=c[K+12>>2];QB(e,q,J,L)}r=r+1|0;if((r|0)==(f|0))break;else q=c[(c[o>>2]|0)+172>>2]|0}}}}while(0);n=ct(e,n)|0}while((n|0)!=0)}m=hu(e,m)|0}while((m|0)!=0)}if(A)iI(B);if(l){fQ(c[l+84>>2]|0);fQ(l)}if(C){if((E|0)>0){l=0;do{fQ(c[D+(l<<2)>>2]|0);l=l+1|0}while((l|0)!=(E|0))}fQ(D)}i=P;return 0}function Bj(b,d,e){b=b|0;d=+d;e=+e;var f=0,g=0,i=0;g=b+16|0;b=c[g>>2]|0;f=b+32|0;h[f>>3]=+h[f>>3]*d;f=b+40|0;h[f>>3]=+h[f>>3]*e;f=b+16|0;h[f>>3]=+h[f>>3]*d;f=b+24|0;h[f>>3]=+h[f>>3]*e;f=c[b+12>>2]|0;if((f|0)!=0?(a[f+81>>0]|0)!=0:0){i=f+56|0;h[i>>3]=+h[i>>3]*d;f=f+64|0;h[f>>3]=+h[f>>3]*e}if((c[b+180>>2]|0)>=1){f=1;while(1){Bj(c[(c[b+184>>2]|0)+(f<<2)>>2]|0,d,e);b=c[g>>2]|0;if((f|0)>=(c[b+180>>2]|0))break;else f=f+1|0}}return}function Cj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0.0,k=0.0;g=i;i=i+16|0;f=g;e=a+16|0;a=c[e>>2]|0;if((c[a+180>>2]|0)>=1){d=1;while(1){a=c[(c[a+184>>2]|0)+(d<<2)>>2]|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2];c[f+12>>2]=c[b+12>>2];Cj(a,f);a=c[e>>2]|0;if((d|0)<(c[a+180>>2]|0))d=d+1|0;else break}}k=+h[b>>3];f=a+32|0;h[f>>3]=+h[f>>3]-k;j=+h[b+8>>3];b=a+40|0;h[b>>3]=+h[b>>3]-j;b=a+16|0;h[b>>3]=+h[b>>3]-k;b=a+24|0;h[b>>3]=+h[b>>3]-j;i=g;return}function Dj(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0.0,j=0,k=0,l=0,m=0;l=i;i=i+16|0;k=l;g=+h[d>>3];j=b+16|0;b=c[j>>2]|0;e=b+32|0;h[e>>3]=+h[e>>3]-g;f=+h[d+8>>3];e=b+40|0;h[e>>3]=+h[e>>3]-f;e=b+16|0;h[e>>3]=+h[e>>3]-g;e=b+24|0;h[e>>3]=+h[e>>3]-f;e=c[b+12>>2]|0;if((e|0)!=0?(a[e+81>>0]|0)!=0:0){m=e+56|0;h[m>>3]=+h[m>>3]-g;e=e+64|0;h[e>>3]=+h[e>>3]-f}if((c[b+180>>2]|0)>=1){e=1;while(1){m=c[(c[b+184>>2]|0)+(e<<2)>>2]|0;c[k>>2]=c[d>>2];c[k+4>>2]=c[d+4>>2];c[k+8>>2]=c[d+8>>2];c[k+12>>2]=c[d+12>>2];Dj(m,k);b=c[j>>2]|0;if((e|0)>=(c[b+180>>2]|0))break;else e=e+1|0}}i=l;return}function Ej(a,d,e){a=a|0;d=d|0;e=e|0;var f=0,g=0;a=yz(64)|0;e=a+8|0;f=d+8|0;g=e+48|0;do{c[e>>2]=c[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));d=c[d+56>>2]|0;c[a+56>>2]=d;b[(c[d+16>>2]|0)+168>>1]=1;return a|0}function Fj(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function Gj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=c[b>>2]|0;e=c[d>>2]|0;if(a>>>0<=e>>>0)if(a>>>0>=e>>>0){a=c[b+24>>2]|0;e=c[d+24>>2]|0;if(a>>>0<=e>>>0)if(a>>>0>=e>>>0){a=~~(+h[b+8>>3]-+h[d+8>>3]);if(!a){a=~~(+h[b+16>>3]-+h[d+16>>3]);if(!a){a=~~(+h[b+32>>3]-+h[d+32>>3]);if(!a)a=~~(+h[b+40>>3]-+h[d+40>>3])}}}else a=-1;else a=1}else a=-1;else a=1;return a|0}function Hj(a){a=a|0;return 0}function Ij(a){a=a|0;return 0}function Jj(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0;if((d|0)>0){o=(e|0)>2;p=0;i=0;k=c[f>>2]|0;n=c[f+4>>2]|0;while(1){b=c[(c[g+(p<<2)>>2]|0)+16>>2]|0;l=a[b+119>>0]|0;if(!(l<<24>>24)){j=k+8|0;h[k>>3]=+KN();k=n+8|0;h[n>>3]=+KN();if(o){b=2;do{q=+KN();h[(c[f+(b<<2)>>2]|0)+(p<<3)>>3]=q;b=b+1|0}while((b|0)!=(e|0));b=k}else b=k}else{j=c[b+132>>2]|0;m=k+8|0;h[k>>3]=+h[j>>3];b=n+8|0;h[n>>3]=+h[j+8>>3];if(o){k=2;j=j+16|0;while(1){h[(c[f+(k<<2)>>2]|0)+(p<<3)>>3]=+h[j>>3];k=k+1|0;if((k|0)==(e|0))break;else j=j+8|0}}i=(l&255)>1?1:i;j=m}p=p+1|0;if((p|0)==(d|0))break;else{k=j;n=b}}}else i=0;if((e|0)>0){b=0;do{Qn(d,c[f+(b<<2)>>2]|0);b=b+1|0}while((b|0)!=(e|0))}return i|0}function Kj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0;d=yz(((_(b+1|0,b)|0)/2|0)<<2)|0;n=Rj(b,b,0.0)|0;o=Rj(b,b,0.0)|0;e=(b|0)>0;if(!(c[a+8>>2]|0)){if(e){k=0;do{e=c[a+(k*20|0)>>2]|0;if((e|0)>1){f=c[a+(k*20|0)+4>>2]|0;i=c[n+(k<<2)>>2]|0;j=1;do{l=c[f+(j<<2)>>2]|0;h[(c[n+(l<<2)>>2]|0)+(k<<3)>>3]=-1.0;h[i+(l<<3)>>3]=-1.0;j=j+1|0}while((j|0)<(e|0))}k=k+1|0}while((k|0)!=(b|0))}}else if(e){l=0;do{e=c[a+(l*20|0)>>2]|0;if((e|0)>1){f=c[a+(l*20|0)+4>>2]|0;i=c[a+(l*20|0)+8>>2]|0;j=c[n+(l<<2)>>2]|0;k=1;do{p=c[f+(k<<2)>>2]|0;m=-1.0/+g[i+(k<<2)>>2];h[(c[n+(p<<2)>>2]|0)+(l<<3)>>3]=m;h[j+(p<<3)>>3]=m;k=k+1|0}while((k|0)<(e|0))}l=l+1|0}while((l|0)!=(b|0))}if(Zl(b,n,o)|0){if((b|0)>0){f=0;j=0;k=b;while(1){e=o+(j<<2)|0;i=f;l=j;while(1){if((j|0)==(l|0))m=0.0;else{p=c[e>>2]|0;m=+h[p+(j<<3)>>3]+ +h[(c[o+(l<<2)>>2]|0)+(l<<3)>>3]-+h[p+(l<<3)>>3]*2.0}g[d+(i<<2)>>2]=m;l=l+1|0;if((l|0)==(b|0))break;else i=i+1|0}j=j+1|0;if((j|0)==(b|0))break;else{f=f+k|0;k=k+-1|0}}}}else{fQ(d);d=0}Sj(n);Sj(o);return d|0}function Lj(b,d){b=b|0;d=d|0;var e=0,f=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;s=i;i=i+16|0;r=s;if(c[b+8>>2]|0){e=Pj(b,d)|0;if((d|0)>0){f=0.0;p=0;q=0;do{q=q+p|0;o=c[b+(p*20|0)>>2]|0;if((o|0)>1){l=c[b+(p*20|0)+4>>2]|0;m=(_(p,d)|0)-q|0;n=b+(p*20|0)+8|0;k=1;do{j=c[l+(k<<2)>>2]|0;if((j|0)>=(p|0)){j=e+(m+j<<2)|0;t=+g[(c[n>>2]|0)+(k<<2)>>2];f=f+ +N(+(+g[j>>2]-t));g[j>>2]=t}k=k+1|0}while((k|0)<(o|0))}p=p+1|0}while((p|0)!=(d|0))}else f=0.0;if(a[142275]|0){q=c[24809]|0;h[r>>3]=f;pO(q,129749,r)|0}}else e=0;i=s;return e|0}function Mj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;f=n;d=yz(((_(b+1|0,b)|0)/2|0)<<2)|0;e=yz(b<<2)|0;Xl(f,b);if((b|0)>0){h=0;k=0;l=b;while(1){Wl(k,a,b,e,f);j=h;m=k;while(1){g[d+(j<<2)>>2]=+(c[e+(m<<2)>>2]|0);m=m+1|0;if((m|0)==(b|0))break;else j=j+1|0}k=k+1|0;if((k|0)==(b|0))break;else{h=h+l|0;l=l+-1|0}}}fQ(e);Yl(f);i=n;return d|0}function Nj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;r=a+8|0;d=c[r>>2]|0;s=(b|0)>0;if(s){f=0;e=0;do{e=(c[a+(f*20|0)>>2]|0)+e|0;f=f+1|0}while((f|0)!=(b|0));e=e<<2}else e=0;f=yz(e)|0;e=b<<2;q=yz(e)|0;if(s)tQ(q|0,0,e|0)|0;if(!(c[r>>2]|0)){if(s){l=0;while(1){c[a+(l*20|0)+8>>2]=f;on(a,l,q);e=a+(l*20|0)|0;h=c[e>>2]|0;if((h|0)>=2){i=a+(l*20|0)+4|0;j=+(h+-1|0);k=1;do{p=c[(c[i>>2]|0)+(k<<2)>>2]|0;t=j+ +((c[a+(p*20|0)>>2]|0)+-1|0);g[f+(k<<2)>>2]=t-+((nn(a,l,p,q)|0)<<1|0);k=k+1|0}while((k|0)!=(h|0))}pn(a,l,q);l=l+1|0;if((l|0)==(b|0))break;else f=f+(c[e>>2]<<2)|0}}f=Mj(a,b)|0}else{if(s){p=0;while(1){on(a,p,q);o=a+(p*20|0)|0;k=c[o>>2]|0;if((k|0)<2)e=a+(p*20|0)+8|0;else{l=a+(p*20|0)+4|0;m=k+-2|0;e=a+(p*20|0)+8|0;n=1;do{h=c[(c[l>>2]|0)+(n<<2)>>2]|0;i=m+(c[a+(h*20|0)>>2]|0)|0;t=+(i-((nn(a,p,h,q)|0)<<1)|0);j=+g[(c[e>>2]|0)+(n<<2)>>2];if(t>j)j=+(i-((nn(a,p,h,q)|0)<<1)|0);g[f+(n<<2)>>2]=j;n=n+1|0}while((n|0)!=(k|0))}pn(a,p,q);c[e>>2]=f;p=p+1|0;if((p|0)==(b|0))break;else f=f+(c[o>>2]<<2)|0}}f=Pj(a,b)|0}fQ(q);fQ(c[r>>2]|0);c[r>>2]=0;if(!((d|0)==0|s^1)){e=0;do{c[a+(e*20|0)+8>>2]=d;d=d+(c[a+(e*20|0)>>2]<<2)|0;e=e+1|0}while((e|0)!=(b|0))}return f|0}function Oj(b,e,f,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;ga=i;i=i+112|0;fa=ga+56|0;ea=ga+48|0;ca=ga+40|0;$=ga+32|0;Z=ga+24|0;q=ga+16|0;p=ga+8|0;f=ga;s=ga+104|0;X=ga+88|0;P=ga+84|0;Y=ga+80|0;r=m&4;ba=m&3;a:do if((o|0)<0)f=0;else{if(a[142275]|0)fC();V=(n|0)==2;b:do if(V){if(a[142275]|0)AO(134072,24,1,c[24809]|0)|0;n=Nj(b,e)|0;aa=14}else{switch(n|0){case 1:{n=Kj(b,e)|0;if(n)break b;us(0,134097,f)|0;us(3,134146,p)|0;aa=15;break b}case 3:break;default:{aa=15;break b}}if(a[142275]|0)AO(134199,21,1,c[24809]|0)|0;n=Lj(b,e)|0;aa=14}while(0);if((aa|0)==14)if(!n)aa=15;do if((aa|0)==15){if(a[142275]|0)AO(134221,26,1,c[24809]|0)|0;if(!(c[b+8>>2]|0)){n=Mj(b,e)|0;break}else{n=Pj(b,e)|0;break}}while(0);if(a[142275]|0){da=c[24809]|0;h[q>>3]=+gC();pO(da,134248,q)|0;AO(134260,25,1,da)|0;fC()}da=(e|0)>1;do if(da&(r|0)!=0){f=V&1;T=(e|0)>50?50:e;U=zz(T<<2)|0;M=e<<3;m=zz(_(T,M)|0)|0;K=(T|0)>0;if(K){p=(e|0)<50?e:50;q=0;do{c[U+(q<<2)>>2]=m+((_(q,e)|0)<<3);q=q+1|0}while((q|0)!=(p|0))}G=T<<1;G=(G|0)>50?G:50;G=(G|0)>(e|0)?e:G;c[s>>2]=0;Hm(b,e,G,s,f);Im(c[s>>2]|0,e,G);uo(c[s>>2]|0,G,e,U,T);fQ(c[c[s>>2]>>2]|0);fQ(c[s>>2]|0);G=e<<2;R=zz(G)|0;W=(e|0)>0;if(W)tQ(R|0,-1,G|0)|0;Xl(X,e);Q=c[b+8>>2]|0;if(V)sn(b,e);I=zz(G)|0;S=zz(160)|0;f=zz(e*160|0)|0;J=zz(160)|0;m=0;do{c[J+(m<<2)>>2]=f+((_(m,e)|0)<<2);m=m+1|0}while((m|0)!=40);m=(MN()|0)%(e|0)|0;c[R+(m<<2)>>2]=0;c[S>>2]=m;f=c[J>>2]|0;if(V)wm(m,b,e,f);else Wl(m,b,e,f,X);if(W){q=c[J>>2]|0;r=0;s=0;f=m;while(1){m=c[q+(r<<2)>>2]|0;c[I+(r<<2)>>2]=m;p=(m|0)>(s|0);f=p?r:f;r=r+1|0;if((r|0)==(e|0)){t=1;break}else s=p?m:s}}else{t=1;f=m}do{c[R+(f<<2)>>2]=t;c[S+(t<<2)>>2]=f;s=J+(t<<2)|0;m=c[s>>2]|0;if(V)wm(f,b,e,m);else Wl(f,b,e,m,X);if(W){r=0;q=0;while(1){p=I+(r<<2)|0;aa=c[p>>2]|0;m=c[(c[s>>2]|0)+(r<<2)>>2]|0;m=(aa|0)<(m|0)?aa:m;c[p>>2]=m;do if((m|0)<=(q|0))if((m|0)==(q|0)){if((MN()|0)%(r+1|0)|0){m=q;break}m=c[p>>2]|0;f=r}else m=q;else f=r;while(0);r=r+1|0;if((r|0)==(e|0))break;else q=m}}t=t+1|0}while((t|0)!=40);if(W)tQ(I|0,-1,G|0)|0;F=zz(G)|0;L=zz(e<<4)|0;if(W){D=e+-1|0;E=D<<2;p=0;s=0;f=0;B=0;C=0;while(1){m=R+(s<<2)|0;if((c[m>>2]|0)>-1){t=L+(s<<4)+4|0;c[t>>2]=zz(E)|0;w=zz(E)|0;c[L+(s<<4)+8>>2]=w;c[L+(s<<4)>>2]=D;a[L+(s<<4)+12>>0]=1;u=c[m>>2]|0;if((s|0)>0){m=c[t>>2]|0;q=c[J+(u<<2)>>2]|0;r=0;do{c[m+(r<<2)>>2]=r;c[w+(r<<2)>>2]=c[q+(r<<2)>>2];r=r+1|0}while((r|0)!=(s|0))}v=s+1|0;if((v|0)<(e|0)){t=c[t>>2]|0;r=c[J+(u<<2)>>2]|0;m=s;q=v;while(1){c[t+(m<<2)>>2]=q;c[w+(m<<2)>>2]=c[r+(q<<2)>>2];m=q+1|0;if((m|0)==(e|0)){t=D;s=v;q=B;m=C;break}else{aa=q;q=m;m=aa}}}else{t=D;s=v;q=B;m=C}}else{if((p|0)<40){q=zz(G)|0;m=1;p=e;r=zz(G)|0}else{m=0;q=B;r=C}a[L+(s<<4)+12>>0]=m;c[L+(s<<4)+4>>2]=q;c[L+(s<<4)+8>>2]=r;c[L+(s<<4)>>2]=40;m=0;do{c[q+(m<<2)>>2]=c[S+(m<<2)>>2];c[r+(m<<2)>>2]=c[(c[J+(m<<2)>>2]|0)+(s<<2)>>2];m=m+1|0}while((m|0)!=40);t=40;p=p+-40|0;s=s+1|0;q=q+160|0;m=r+160|0}f=t+f|0;if((s|0)==(e|0))break;else{B=q;C=m}}}else f=0;fQ(I);fQ(F);if(J){fQ(c[J>>2]|0);fQ(J)}G=zz(e*20|0)|0;m=f+e<<2;f=zz(m)|0;m=zz(m)|0;if(W){u=(ba|0)==2;t=0;while(1){c[G+(t*20|0)+4>>2]=f;c[G+(t*20|0)+8>>2]=m;p=c[L+(t<<4)>>2]|0;s=G+(t*20|0)|0;c[s>>2]=p+1;r=c[L+(t<<4)+8>>2]|0;p=(p|0)>0;do if(u){if(!p){x=0.0;break}p=c[L+(t<<4)+4>>2]|0;x=0.0;q=1;do{aa=q+-1|0;c[f+(q<<2)>>2]=c[p+(aa<<2)>>2];H=+(c[r+(aa<<2)>>2]|0);H=-1.0/(H*H);g[m+(q<<2)>>2]=H;x=x-H;q=q+1|0}while((q|0)<(c[s>>2]|0))}else{if(!p){x=0.0;break}p=c[L+(t<<4)+4>>2]|0;x=0.0;q=1;do{aa=q+-1|0;c[f+(q<<2)>>2]=c[p+(aa<<2)>>2];H=-1.0/+(c[r+(aa<<2)>>2]|0);g[m+(q<<2)>>2]=H;x=x-H;q=q+1|0}while((q|0)<(c[s>>2]|0))}while(0);c[f>>2]=t;g[m>>2]=x;p=c[s>>2]|0;t=t+1|0;if((t|0)==(e|0))break;else{f=f+(p<<2)|0;m=m+(p<<2)|0}}}F=zz(l<<2)|0;p=T<<3;f=zz(_(p,l)|0)|0;c[F>>2]=f;if((l|0)>1){c[F+4>>2]=f+(T<<3);if((l|0)!=2){c[F+8>>2]=f+(T<<1<<3);if((l|0)==3)aa=81;else{f=3;do{c[F+(f<<2)>>2]=(c[F>>2]|0)+((_(f,T)|0)<<3);f=f+1|0}while((f|0)!=(l|0));aa=81}}else aa=82}else aa=81;if((aa|0)==81)if((l|0)>0)aa=82;else E=0;if((aa|0)==82){f=(e|0)<50?-8-(M^-8)|0:400;m=0;do{if(K)tQ(c[F+(m<<2)>>2]|0,0,f|0)|0;m=m+1|0}while((m|0)!=(l|0));do if((l|0)==2){h[c[F>>2]>>3]=1.0;f=F+4|0;if((vo(U,T,e,c[f>>2]|0)|0)<<24>>24){f=0;break}f=c[f>>2]|0;if(K)tQ(f|0,0,((e|0)<50?-8-(e<<3^-8)|0:400)|0)|0;h[f+8>>3]=1.0;f=0}else{f=0;do{h[(c[F+(f<<2)>>2]|0)+(f<<3)>>3]=1.0;f=f+1|0}while((f|0)!=(l|0));f=0}while(0);do{_n(U,e,T,c[F+(f<<2)>>2]|0,c[j+(f<<2)>>2]|0);f=f+1|0}while((f|0)!=(l|0));E=1}c[P>>2]=0;c[Y>>2]=0;Pn(G,U,e,T,P);Nn(U,c[P>>2]|0,T,e,T,Y);fQ(c[c[P>>2]>>2]|0);fQ(c[P>>2]|0);D=zz(M)|0;C=zz(p)|0;m=0;x=+Qj(j,L,l,e,ba);c:do{if(E){B=0;do{if(W){u=j+(B<<2)|0;w=0;do{v=D+(w<<3)|0;h[v>>3]=0.0;p=c[L+(w<<4)+8>>2]|0;q=c[G+(w*20|0)+4>>2]|0;r=c[G+(w*20|0)+8>>2]|0;s=G+(w*20|0)|0;if((c[s>>2]|0)>1){y=0.0;t=1;do{f=c[q+(t<<2)>>2]|0;z=+un(j,l,w,f);if(z>1.0e-30){H=-(+g[r+(t<<2)>>2]*+(c[p+(t+-1<<2)>>2]|0))/z;h[v>>3]=+h[v>>3]+H*+h[(c[u>>2]|0)+(f<<3)>>3];y=y-H}t=t+1|0}while((t|0)<(c[s>>2]|0));z=+h[v>>3]}else{z=0.0;y=0.0}h[v>>3]=z+y*+h[(c[u>>2]|0)+(w<<3)>>3];w=w+1|0}while((w|0)!=(e|0))}Mn(U,T,e,D,C);f=F+(B<<2)|0;if(am(c[Y>>2]|0,c[f>>2]|0,C,T,.001,T,0)|0){m=-1;break c}_n(U,e,T,c[f>>2]|0,c[j+(B<<2)>>2]|0);B=B+1|0}while((B|0)<(l|0))}if(!(m&1)){H=+Qj(j,L,l,e,ba);x=+N(+(H-x))/(H+1.0e-10);f=x<+h[4280]&1;x=H}else f=0;m=m+1|0}while((m|0)<50&f<<24>>24==0);fQ(C);fQ(D);if(V)tn(b,e,Q);if(W){f=0;do{if(a[L+(f<<4)+12>>0]|0){fQ(c[L+(f<<4)+4>>2]|0);fQ(c[L+(f<<4)+8>>2]|0)}f=f+1|0}while((f|0)!=(e|0))}fQ(L);fQ(c[G+4>>2]|0);fQ(c[G+8>>2]|0);fQ(G);fQ(R);fQ(S);fQ(c[F>>2]|0);fQ(F);f=c[Y>>2]|0;if(f){fQ(c[f>>2]|0);fQ(c[Y>>2]|0)}fQ(c[U>>2]|0);fQ(U);Yl(X);if((m|0)<0){u=0;t=0;s=0;r=0;q=0;f=-1;p=0;n=0;m=0;break}if(E)q=0;else{C=0;aa=130;break}do{do if(W){f=c[j+(q<<2)>>2]|0;m=0;x=1.0;do{H=+N(+(+h[f+(m<<3)>>3]));x=H>x?H:x;m=m+1|0}while((m|0)!=(e|0));if(!W){aa=124;break}f=c[j+(q<<2)>>2]|0;m=0;do{Y=f+(m<<3)|0;h[Y>>3]=+h[Y>>3]/x;m=m+1|0}while((m|0)!=(e|0));if(!W){aa=124;break}m=j+(q<<2)|0;p=0;do{H=(+KN()+-.5)*1.0e-06;f=c[m>>2]|0;Y=f+(p<<3)|0;h[Y>>3]=+h[Y>>3]+H;p=p+1|0}while((p|0)!=(e|0))}else aa=124;while(0);if((aa|0)==124){aa=0;f=c[j+(q<<2)>>2]|0}Qn(e,f);q=q+1|0}while((q|0)!=(l|0));C=0;aa=130}else{C=Jj(0,e,l,j,k)|0;aa=130}while(0);d:do if((aa|0)==130){if(a[142275]|0){Y=c[24809]|0;h[Z>>3]=+gC();pO(Y,134286,Z)|0}if((e|0)==1|(o|0)==0){f=0;break a}if(a[142275]|0){Z=c[24809]|0;h[$>>3]=+gC();pO(Z,134248,$)|0;AO(129771,26,1,Z)|0;fC()}v=l<<2;R=yz(v)|0;B=e<<2;w=_(B,l)|0;q=yz(w)|0;Q=(l|0)>0;if(Q){f=(e|0)>0;r=0;do{m=_(r,e)|0;c[R+(r<<2)>>2]=q+(m<<2);if(f){p=c[j+(r<<2)>>2]|0;s=0;do{g[q+(m+s<<2)>>2]=+h[p+(s<<3)>>3];s=s+1|0}while((s|0)!=(e|0))}r=r+1|0}while((r|0)!=(l|0))}do if(!ba){if(!da){K=(_(e+1|0,e)|0)/2|0;P=0;x=0.0;break}r=e+-1|0;x=0.0;f=0;s=0;t=e;while(1){m=f+1|0;if((e-s|0)>1){p=1;while(1){x=x+ +g[n+(m<<2)>>2];p=p+1|0;if((p|0)==(t|0))break;else m=m+1|0}f=f+t|0}else f=m;s=s+1|0;if((s|0)==(r|0)){aa=150;break}else t=t+-1|0}}else{x=+(e|0)*+(e+-1|0)*.5;aa=150}while(0);if((aa|0)==150){f=(_(e+1|0,e)|0)/2|0;if((ba|0)==2){lo(f,n);K=f;P=1}else{K=f;P=0}}mo(K,n);J=e<<3;s=yz(J)|0;tQ(s|0,0,J|0)|0;if(da){r=e+-1|0;p=0;t=0;u=e;while(1){f=p+1|0;if((e-t|0)>1){y=0.0;m=1;while(1){H=+g[n+(f<<2)>>2];y=y+H;ba=s+(m+t<<3)|0;h[ba>>3]=+h[ba>>3]-H;m=m+1|0;if((m|0)==(u|0))break;else f=f+1|0}f=p+u|0}else y=0.0;ba=s+(t<<3)|0;h[ba>>3]=+h[ba>>3]-y;t=t+1|0;if((t|0)==(r|0))break;else{p=f;u=u+-1|0}}}M=(e|0)>0;if(M){f=0;m=0;p=e;while(1){g[n+(f<<2)>>2]=+h[s+(m<<3)>>3];m=m+1|0;if((m|0)==(e|0))break;else{f=p+f|0;p=p+-1|0}}}L=yz(v)|0;f=yz(w)|0;c[L>>2]=f;if((l|0)>1?(c[L+4>>2]=f+(e<<2),(l|0)!=2):0){f=2;do{c[L+(f<<2)>>2]=(c[L>>2]|0)+((_(f,e)|0)<<2);f=f+1|0}while((f|0)!=(l|0))}m=yz(B)|0;r=yz(B)|0;p=yz(K<<2)|0;if(a[142275]|0){ba=c[24809]|0;h[ca>>3]=+gC();pO(ba,134248,ca)|0;AO(129798,15,1,ba)|0;fC()}if((o|0)>0){I=c[24809]|0;F=(C|0)==0;G=e+-1|0;H=x+0.0;f=0;z=1797693134862315708145274.0e284;while(1){tQ(s|0,0,J|0)|0;if(P)no(K,n,p);if(da){t=0;D=0;E=G;while(1){C=(E|0)>1?E:1;v=e-D|0;B=v+-1|0;jo(B,0.0,r);if(Q){u=D+1|0;w=0;do{ca=R+(w<<2)|0;jo(B,+g[(c[ca>>2]|0)+(D<<2)>>2],m);eo(B,m,-1.0,(c[ca>>2]|0)+(u<<2)|0);lo(B,m);co(B,m,r,r);w=w+1|0}while((w|0)!=(l|0))}oo(B,r);w=(v|0)>1;if(w){v=0;do{u=r+(v<<2)|0;A=+g[u>>2];if(A>=3402823466385288598117041.0e14|A<0.0)g[u>>2]=0.0;v=v+1|0}while((v|0)<(B|0))}t=t+1|0;do if(P){if(!w){y=0.0;break}u=D+1|0;v=t;y=0.0;w=0;while(1){ca=p+(v<<2)|0;A=+g[r+(w<<2)>>2]*+g[ca>>2];g[ca>>2]=A;y=y+A;ca=s+(u+w<<3)|0;h[ca>>3]=+h[ca>>3]-A;w=w+1|0;if((w|0)>=(B|0))break;else v=v+1|0}t=t+C|0}else{if(!w){y=0.0;break}u=D+1|0;v=t;y=0.0;w=0;while(1){A=+g[r+(w<<2)>>2];g[p+(v<<2)>>2]=A;y=y+A;ca=s+(u+w<<3)|0;h[ca>>3]=+h[ca>>3]-A;w=w+1|0;if((w|0)>=(B|0))break;else v=v+1|0}t=t+C|0}while(0);ca=s+(D<<3)|0;h[ca>>3]=+h[ca>>3]-y;D=D+1|0;if((D|0)==(G|0))break;else E=E+-1|0}}if(M){t=0;u=0;v=e;while(1){g[p+(t<<2)>>2]=+h[s+(u<<3)>>3];u=u+1|0;if((u|0)==(e|0))break;else{t=v+t|0;v=v+-1|0}}}do if(Q){t=0;do{ao(p,e,c[R+(t<<2)>>2]|0,c[L+(t<<2)>>2]|0);t=t+1|0}while((t|0)!=(l|0));if(Q){t=0;y=0.0}else{y=H;aa=195;break}do{y=y+ +ho(e,c[R+(t<<2)>>2]|0,c[L+(t<<2)>>2]|0);t=t+1|0}while((t|0)!=(l|0));y=x+y*2.0;if(Q)t=0;else{aa=195;break}do{ca=R+(t<<2)|0;ao(n,e,c[ca>>2]|0,m);y=y-+ho(e,c[ca>>2]|0,m);t=t+1|0}while((t|0)!=(l|0));A=z-y;A=(A>=0.0?A:-A)/z;z=+h[4280];if(Q)v=0;else break;do{u=R+(v<<2)|0;t=c[u>>2]|0;do if(F){if((bm(n,t,c[L+(v<<2)>>2]|0,e,.001,e)|0)<0){u=L;t=R;f=-1;break d}}else{go(e,t,m);if((bm(n,m,c[L+(v<<2)>>2]|0,e,.001,e)|0)<0){u=L;t=R;f=-1;break d}if(M)t=0;else break;do{if((d[(c[(c[k+(t<<2)>>2]|0)+16>>2]|0)+119>>0]|0)<=1)c[(c[u>>2]|0)+(t<<2)>>2]=c[m+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0))}while(0);v=v+1|0}while((v|0)<(l|0))}else{y=H;aa=195}while(0);if((aa|0)==195){aa=0;A=z-y;A=(A>=0.0?A:-A)/z;z=+h[4280]}do if((a[142275]|0)!=0&((f|0)%5|0|0)==0){h[ea>>3]=y;pO(I,130098,ea)|0;if((f+5|0)%50|0)break;qO(10,I)|0}while(0);f=f+1|0;if((f|0)<(o|0)&(!(y<z)&!(A<z)))z=y;else break}}else f=0;if(a[142275]|0){F=c[24809]|0;if(da){C=e+-1|0;B=0;D=0;E=e;x=0.0;while(1){t=B+1|0;if((e-D|0)>1){w=1;while(1){u=w+D|0;if(Q){y=0.0;v=0;do{k=c[R+(v<<2)>>2]|0;H=+g[k+(D<<2)>>2]-+g[k+(u<<2)>>2];y=y+H*H;v=v+1|0}while((v|0)!=(l|0))}else y=0.0;y=+O(+y);z=+g[n+(t<<2)>>2];if(P){y=1.0/+O(+z)-y;y=y*y}else{y=1.0/z-y;y=y*y}x=x+z*y;w=w+1|0;if((w|0)==(E|0))break;else t=t+1|0}t=B+E|0}D=D+1|0;if((D|0)==(C|0))break;else{B=t;E=E+-1|0}}}else x=0.0;H=+gC();h[fa>>3]=x;c[fa+8>>2]=f;h[fa+16>>3]=H;pO(F,129814,fa)|0}if(Q){v=0;do{if(M){t=c[R+(v<<2)>>2]|0;u=c[j+(v<<2)>>2]|0;w=0;do{h[u+(w<<3)>>3]=+g[t+(w<<2)>>2];w=w+1|0}while((w|0)!=(e|0))}v=v+1|0}while((v|0)!=(l|0));u=L;t=R}else{u=L;t=R}}while(0);fQ(q);fQ(t);fQ(n);if(u){fQ(c[u>>2]|0);fQ(u)}fQ(m);fQ(r);fQ(s);fQ(p)}while(0);i=ga;return f|0}function Pj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;f=m;d=yz(((_(b+1|0,b)|0)/2|0)<<2)|0;e=yz(b<<2)|0;Xl(f,b);if((b|0)>0){g=0;j=0;k=b;while(1){xm(j,a,b,e);h=g;l=j;while(1){c[d+(h<<2)>>2]=c[e+(l<<2)>>2];l=l+1|0;if((l|0)==(b|0))break;else h=h+1|0}j=j+1|0;if((j|0)==(b|0))break;else{g=g+k|0;k=k+-1|0}}}fQ(e);Yl(f);i=m;return d|0}function Qj(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0;i=(e|0)>0;if((f|0)==2)if(i){o=(d|0)>0;p=0;g=0.0;do{k=c[b+(p<<4)>>2]|0;if((k|0)>0){l=c[b+(p<<4)+4>>2]|0;m=b+(p<<4)+8|0;n=0;do{i=c[l+(n<<2)>>2]|0;if((i|0)>(p|0)){if(o){j=0.0;f=0;do{r=c[a+(f<<2)>>2]|0;q=+h[r+(p<<3)>>3]-+h[r+(i<<3)>>3];j=j+q*q;f=f+1|0}while((f|0)!=(d|0))}else j=0.0;j=+O(+j);q=+(c[(c[m>>2]|0)+(n<<2)>>2]|0);j=q-j;g=g+j*j/(q*q)}n=n+1|0}while((n|0)<(k|0))}p=p+1|0}while((p|0)!=(e|0))}else g=0.0;else if(i){o=(d|0)>0;p=0;g=0.0;do{k=c[b+(p<<4)>>2]|0;if((k|0)>0){l=c[b+(p<<4)+4>>2]|0;m=b+(p<<4)+8|0;n=0;do{i=c[l+(n<<2)>>2]|0;if((i|0)>(p|0)){if(o){j=0.0;f=0;do{r=c[a+(f<<2)>>2]|0;q=+h[r+(p<<3)>>3]-+h[r+(i<<3)>>3];j=j+q*q;f=f+1|0}while((f|0)!=(d|0))}else j=0.0;j=+O(+j);q=+(c[(c[m>>2]|0)+(n<<2)>>2]|0);j=q-j;g=g+j*j/q}n=n+1|0}while((n|0)<(k|0))}p=p+1|0}while((p|0)!=(e|0))}else g=0.0;return +g}function Rj(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0;i=yz(a<<2)|0;e=yz(_(a<<3,b)|0)|0;if((a|0)>0){j=(b|0)>0;f=0;do{c[i+(f<<2)>>2]=e;if(j){g=0;do{h[e+(g<<3)>>3]=d;g=g+1|0}while((g|0)!=(b|0))}e=e+(b<<3)|0;f=f+1|0}while((f|0)!=(a|0))}return i|0}function Sj(a){a=a|0;if(a){fQ(c[a>>2]|0);fQ(a)}return}function Tj(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;p=i;i=i+16|0;e=p;n=p+12|0;m=p+8|0;if(a[142275]|0){o=c[24809]|0;k=Ft(b)|0;l=vt(b)|0;c[e>>2]=k;c[e+4>>2]=l;pO(o,129852,e)|0}a:do if((a[142276]|0)!=0?(j=gu(b)|0,(j|0)!=0):0){l=b+60|0;while(1){e=hu(b,j)|0;switch(kk(b,j,m)|0){case 0:{wu(c[l>>2]|0,j)|0;break}case 1:{wu(c[l>>2]|0,j)|0;j=c[m>>2]|0;b:while(1){c:while(1){if(!j)break b;switch(kk(b,j,n)|0){case 0:{k=13;break c}case 1:{k=16;break c}default:j=0}}if((k|0)==13){if((e|0)==(j|0))e=hu(b,e)|0;wu(c[l>>2]|0,j)|0;j=0;continue}else if((k|0)==16){if((e|0)==(j|0))e=hu(b,e)|0;wu(c[l>>2]|0,j)|0;j=c[n>>2]|0;continue}}break}default:{}}if(!e)break a;else j=e}}while(0);o=vt(b)|0;m=wt(b)|0;l=Is(b,2,133275,0)|0;if(!d){h[4280]=+(o|0)*.0001;gz(b,150229,34240);e=Qs(c[b+60>>2]|0,129881)|0;if(!e)f=.99;else f=+MO(e);h[4282]=f;e=yz((o<<2)+4|0)|0;j=b+16|0;c[(c[j>>2]|0)+152>>2]=e;e=gu(b)|0;if(!e)f=0.0;else{k=0;f=0.0;while(1){c[(c[(c[j>>2]|0)+152>>2]|0)+(k<<2)>>2]=e;n=c[e+16>>2]|0;c[n+120>>2]=k;c[n+124>>2]=-1;f=f+ +lk(b,e,l);e=hu(b,e)|0;if(!e)break;else k=k+1|0}}}else{h[4280]=.0001;gz(b,150229,34240);e=gu(b)|0;if(!e)f=0.0;else{j=0;f=0.0;while(1){c[(c[e+16>>2]|0)+120>>2]=j;f=f+ +lk(b,e,l);e=hu(b,e)|0;if(!e)break;else j=j+1|0}}}e=Qs(b,129889)|0;if((e|0)!=0?(a[e>>0]|0)!=0:0){f=+h[4280];g=+MO(e);if(!(f>g))f=g}else f=f/((m|0)<1?1.0:+(m|0))*+O(+(+(o|0)))+1.0;h[4281]=f;if(!(c[13880]|d)){e=Rj(o,o,f)|0;b=b+16|0;c[(c[b>>2]|0)+160>>2]=e;e=Rj(o,o,1.0)|0;c[(c[b>>2]|0)+164>>2]=e;e=Rj(o,c[13884]|0,1.0)|0;c[(c[b>>2]|0)+168>>2]=e;e=c[13884]|0;n=(o<<2)+4|0;d=yz(n)|0;if((o|0)>0){m=e<<3;e=(e|0)>0;k=0;do{j=d+(k<<2)|0;c[j>>2]=yz(n)|0;l=0;do{q=yz(m)|0;c[(c[j>>2]|0)+(l<<2)>>2]=q;if(e)tQ(c[(c[j>>2]|0)+(l<<2)>>2]|0,0,m|0)|0;l=l+1|0}while((l|0)!=(o|0));c[(c[j>>2]|0)+(o<<2)>>2]=0;k=k+1|0}while((k|0)!=(o|0));e=o}else e=0;c[d+(e<<2)>>2]=0;c[(c[b>>2]|0)+172>>2]=d}i=p;return o|0}function Uj(a){a=a|0;return Tj(a,0)|0}function Vj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;g=a+16|0;fQ(c[(c[g>>2]|0)+152>>2]|0);if(!(c[13880]|0)){Sj(c[(c[g>>2]|0)+160>>2]|0);Sj(c[(c[g>>2]|0)+164>>2]|0);Sj(c[(c[g>>2]|0)+168>>2]|0);a=c[g>>2]|0;h=c[a+172>>2]|0;if(h){a=c[h>>2]|0;if(a){e=h;f=0;do{b=c[a>>2]|0;if(b){d=0;do{fQ(b);d=d+1|0;a=c[e>>2]|0;b=c[a+(d<<2)>>2]|0}while((b|0)!=0)}fQ(a);f=f+1|0;e=h+(f<<2)|0;a=c[e>>2]|0}while((a|0)!=0)}fQ(h);a=c[g>>2]|0}c[a+172>>2]=0}return}function Wj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0;if((c[13884]|0)>(d|0)){e=+(b|0);b=a+16|0;do{f=e*+KN();h[(c[(c[b>>2]|0)+132>>2]|0)+(d<<3)>>3]=f;d=d+1|0}while((d|0)<(c[13884]|0))}return}function Xj(a,b){a=a|0;b=b|0;Wj(a,b,2);return}function Yj(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0;e=+(b|0);f=e*+KN();d=a+16|0;h[c[(c[d>>2]|0)+132>>2]>>3]=f;e=e*+KN();h[(c[(c[d>>2]|0)+132>>2]|0)+8>>3]=e;if((c[13884]|0)>2)Wj(a,b,2);return}function Zj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;g=i;i=i+16|0;e=g;if(a[142275]|0)AO(129901,26,1,c[24809]|0)|0;d=gj(b,d,2)|0;if((d|0)!=1){if(!(c[12826]|d)){us(0,129928,e)|0;c[12826]=1}f=b+16|0;b=c[f>>2]|0;d=c[c[b+152>>2]>>2]|0;if(d){e=0;do{if(!(a[(c[d+16>>2]|0)+119>>0]|0)){Yj(d,1);b=c[f>>2]|0}e=e+1|0;d=c[(c[b+152>>2]|0)+(e<<2)>>2]|0}while((d|0)!=0)}}i=g;return}function _j(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;A=i;i=i+96|0;z=A+80|0;y=A;if(a[142275]|0){AO(129977,25,1,c[24809]|0)|0;fC()}o=b+16|0;l=c[o>>2]|0;k=c[l+164>>2]|0;l=c[l+160>>2]|0;x=(d|0)>0;if(x){m=0;do{if((m|0)>0){f=l+(m<<2)|0;g=k+(m<<2)|0;n=0;do{j=+h[(c[f>>2]|0)+(n<<3)>>3];j=1.0/(j*j);e=c[(c[o>>2]|0)+152>>2]|0;e=ht(b,c[e+(m<<2)>>2]|0,c[e+(n<<2)>>2]|0,0,0)|0;if(e)j=j*+h[(c[e+16>>2]|0)+128>>3];h[(c[k+(n<<2)>>2]|0)+(m<<3)>>3]=j;h[(c[g>>2]|0)+(n<<3)>>3]=j;n=n+1|0}while((n|0)!=(m|0))}m=m+1|0}while((m|0)!=(d|0));if(x){f=c[13884]|0;e=(f|0)>0;f=f<<3;g=0;do{if(e)tQ(c[(c[(c[o>>2]|0)+168>>2]|0)+(g<<2)>>2]|0,0,f|0)|0;g=g+1|0}while((g|0)!=(d|0))}}e=c[o>>2]|0;p=c[e+152>>2]|0;f=c[p>>2]|0;if(f){q=c[13884]|0;r=(q|0)>0;s=e+164|0;t=e+160|0;u=e+172|0;o=e+168|0;n=0;do{if(x){b=f+16|0;m=0;do{if((n|0)!=(m|0)?(v=c[(c[b>>2]|0)+132>>2]|0,w=c[(c[(c[p+(m<<2)>>2]|0)+16>>2]|0)+132>>2]|0,r):0){j=0.0;e=0;do{B=+h[v+(e<<3)>>3]-+h[w+(e<<3)>>3];h[y+(e<<3)>>3]=B;j=j+B*B;e=e+1|0}while((e|0)!=(q|0));j=+O(+j);if(r){e=(c[(c[s>>2]|0)+(n<<2)>>2]|0)+(m<<3)|0;f=(c[(c[t>>2]|0)+(n<<2)>>2]|0)+(m<<3)|0;g=c[(c[(c[u>>2]|0)+(n<<2)>>2]|0)+(m<<2)>>2]|0;k=c[(c[o>>2]|0)+(n<<2)>>2]|0;l=0;do{B=+h[y+(l<<3)>>3];B=+h[e>>3]*(B-B*+h[f>>3]/j);h[g+(l<<3)>>3]=B;C=k+(l<<3)|0;h[C>>3]=B+ +h[C>>3];l=l+1|0}while((l|0)!=(q|0))}}m=m+1|0}while((m|0)!=(d|0))}n=n+1|0;f=c[p+(n<<2)>>2]|0}while((f|0)!=0)}if(a[142275]|0){C=c[24809]|0;h[z>>3]=+gC();pO(C,130003,z)|0}i=A;return}function $j(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0;k=i;i=i+32|0;j=k+24|0;g=k+8|0;f=k;l=+h[4280];h[4168]=l*l;e=ak(b,d)|0;if(e)do{bk(b,d,e);e=ak(b,d)|0}while((e|0)!=0);if(!(a[142275]|0))e=b+16|0;else{m=c[24809]|0;h[f>>3]=+mk(b,d);pO(m,130013,f)|0;e=b+16|0;d=c[(c[e>>2]|0)+156>>2]|0;f=(d|0)==(c[13883]|0)?130027:181739;l=+gC();c[g>>2]=d;c[g+4>>2]=f;h[g+8>>3]=l;pO(m,130029,g)|0}e=c[(c[e>>2]|0)+156>>2]|0;if((e|0)==(c[13883]|0)){m=Ft(b)|0;c[j>>2]=e;c[j+4>>2]=m;us(0,130056,j)|0}i=k;return}function ak(b,e){b=b|0;e=e|0;var f=0.0,g=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0;u=i;i=i+16|0;t=u;r=(c[12827]|0)+1|0;c[12827]=r;b=c[b+16>>2]|0;if((c[b+156>>2]|0)<(c[13883]|0)){if((e|0)>0){o=c[b+152>>2]|0;p=c[13884]|0;q=(p|0)>0;m=b+168|0;k=0;n=0;l=0.0;while(1){b=c[o+(n<<2)>>2]|0;if((d[(c[b+16>>2]|0)+119>>0]|0)<=1){if(q){g=c[(c[m>>2]|0)+(n<<2)>>2]|0;j=0;f=0.0;do{v=+h[g+(j<<3)>>3];f=f+v*v;j=j+1|0}while((j|0)!=(p|0))}else f=0.0;if(!(f>l)){b=k;f=l}}else{b=k;f=l}n=n+1|0;if((n|0)==(e|0))break;else{k=b;l=f}}}else{b=0;f=0.0}if(!(f<+h[4168])){if((a[142275]|0)!=0&((r|0)%100|0|0)==0?(s=c[24809]|0,h[t>>3]=+O(+f),pO(s,130098,t)|0,((c[12827]|0)%1e3|0|0)==0):0)qO(10,s)|0}else b=0}else b=0;i=u;return b|0}function bk(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;m=n;k=d+16|0;l=c[(c[k>>2]|0)+120>>2]|0;f=c[12828]|0;if(!f){f=c[13884]|0;f=zz(_(f<<3,f)|0)|0}else{j=c[13884]|0;f=Bz(f,_(j<<3,j)|0)|0}c[12828]=f;dk(a,b,l,f);f=c[13884]|0;if((f|0)>0){g=c[(c[(c[a+16>>2]|0)+168>>2]|0)+(l<<2)>>2]|0;j=0;do{h[33352+(j<<3)>>3]=-+h[g+(j<<3)>>3];j=j+1|0}while((j|0)<(f|0))}Ro(c[12828]|0,33432,33352,f);if((c[13884]|0)>0){f=0;do{e=+h[4282];e=e+ +KN()*((1.0-e)*2.0);j=33432+(f<<3)|0;e=+h[j>>3]*e;h[j>>3]=e;j=(c[(c[k>>2]|0)+132>>2]|0)+(f<<3)|0;h[j>>3]=+h[j>>3]+e;f=f+1|0}while((f|0)<(c[13884]|0))}k=(c[a+16>>2]|0)+156|0;c[k>>2]=(c[k>>2]|0)+1;ck(a,b,l);if(DC()|0){f=c[13884]|0;if((f|0)>0){g=0;e=0.0;do{e=e+ +N(+(+h[33432+(g<<3)>>3]));g=g+1|0}while((g|0)<(f|0))}else e=0.0;e=+O(+e);b=c[24809]|0;c[m>>2]=Ft(d)|0;h[m+8>>3]=e;pO(b,130104,m)|0}i=n;return}function ck(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0.0,A=0;w=i;i=i+80|0;v=w;r=a+16|0;a=c[r>>2]|0;e=c[(c[a+152>>2]|0)+(d<<2)>>2]|0;f=c[13884]|0;if((f|0)>0)tQ(c[(c[a+168>>2]|0)+(d<<2)>>2]|0,0,((f|0)>1?f<<3:8)|0)|0;if((b|0)>0){n=e+16|0;o=c[13884]|0;p=(o|0)>0;q=0;do{if((q|0)!=(d|0)?(s=c[r>>2]|0,t=c[(c[n>>2]|0)+132>>2]|0,u=c[(c[(c[(c[s+152>>2]|0)+(q<<2)>>2]|0)+16>>2]|0)+132>>2]|0,p):0){g=0.0;a=0;do{x=+h[t+(a<<3)>>3]-+h[u+(a<<3)>>3];h[v+(a<<3)>>3]=x;g=g+x*x;a=a+1|0}while((a|0)!=(o|0));g=+O(+g);if(p){k=c[s+172>>2]|0;a=c[(c[k+(d<<2)>>2]|0)+(q<<2)>>2]|0;e=(c[(c[s+164>>2]|0)+(d<<2)>>2]|0)+(q<<3)|0;f=(c[(c[s+160>>2]|0)+(d<<2)>>2]|0)+(q<<3)|0;l=c[s+168>>2]|0;j=c[l+(d<<2)>>2]|0;k=c[(c[k+(q<<2)>>2]|0)+(d<<2)>>2]|0;l=c[l+(q<<2)>>2]|0;m=0;do{A=a+(m<<3)|0;x=+h[v+(m<<3)>>3];x=+h[e>>3]*(x-x*+h[f>>3]/g);h[A>>3]=x;y=j+(m<<3)|0;h[y>>3]=x+ +h[y>>3];y=k+(m<<3)|0;x=+h[y>>3];z=-+h[A>>3];h[y>>3]=z;y=l+(m<<3)|0;h[y>>3]=z-x+ +h[y>>3];m=m+1|0}while((m|0)!=(o|0))}}q=q+1|0}while((q|0)!=(b|0))}i=w;return}function dk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;x=i;i=i+80|0;w=x;u=a+16|0;m=c[u>>2]|0;j=c[m+164>>2]|0;k=c[m+160>>2]|0;m=c[(c[m+152>>2]|0)+(d<<2)>>2]|0;a=c[13884]|0;if((a|0)>0){f=a<<3;g=0;do{tQ(e+((_(a,g)|0)<<3)|0,0,f|0)|0;g=g+1|0}while((g|0)<(a|0))}v=c[13884]|0;if((b|0)>0){t=(v|0)>0;s=j+(d<<2)|0;r=k+(d<<2)|0;k=m+16|0;m=0;do{if((m|0)!=(d|0)){if(t){a=c[(c[k>>2]|0)+132>>2]|0;f=c[(c[(c[(c[(c[u>>2]|0)+152>>2]|0)+(m<<2)>>2]|0)+16>>2]|0)+132>>2]|0;g=0;l=0.0;do{q=+h[a+(g<<3)>>3]-+h[f+(g<<3)>>3];h[w+(g<<3)>>3]=q;l=l+q*q;g=g+1|0}while((g|0)<(v|0))}else l=0.0;p=+O(+l);p=1.0/(p*(p*p));if(t){f=(c[s>>2]|0)+(m<<3)|0;g=(c[r>>2]|0)+(m<<3)|0;j=0;do{o=+h[f>>3];n=+h[g>>3];q=+h[w+(j<<3)>>3];if((j|0)>0){a=0;do{y=e+((_(v,a)|0)+j<<3)|0;h[y>>3]=+h[y>>3]+p*(o*n*q*+h[w+(a<<3)>>3]);a=a+1|0;o=+h[f>>3];n=+h[g>>3]}while((a|0)!=(j|0))}y=e+((_(v,j)|0)+j<<3)|0;h[y>>3]=+h[y>>3]+o*(1.0-p*(n*(l-q*q)));j=j+1|0}while((j|0)!=(v|0))}}m=m+1|0}while((m|0)!=(b|0))}if((v|0)>1){f=1;do{a=_(v,f)|0;g=0;do{h[e+(a+g<<3)>>3]=+h[e+((_(v,g)|0)+f<<3)>>3];g=g+1|0}while((g|0)!=(f|0));f=f+1|0}while((f|0)<(v|0))}i=x;return}function ek(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0;k=a+16|0;d=c[k>>2]|0;b=c[d+124>>2]|0;a:do if((b|0)>0?(j=b+-1|0,f=(j|0)/2|0,e=(c[12829]|0)+(f<<2)|0,i=c[e>>2]|0,g=i+16|0,!(+h[(c[g>>2]|0)+136>>3]<=+h[d+136>>3])):0){d=j;while(1){c[e>>2]=a;c[(c[k>>2]|0)+124>>2]=f;c[(c[12829]|0)+(b<<2)>>2]=i;c[(c[g>>2]|0)+124>>2]=b;if((d|0)<=1)break a;d=f+-1|0;b=(d|0)/2|0;e=(c[12829]|0)+(b<<2)|0;i=c[e>>2]|0;g=i+16|0;if(+h[(c[g>>2]|0)+136>>3]<=+h[(c[k>>2]|0)+136>>3])break;else{j=f;f=b;b=j}}}while(0);return}function fk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0;j=a+16|0;e=c[(c[j>>2]|0)+124>>2]|0;d=e<<1|1;b=c[12830]|0;a:do if((d|0)<(b|0))while(1){g=d+1|0;i=c[12829]|0;if((g|0)<(b|0)){f=c[i+(g<<2)>>2]|0;b=c[i+(d<<2)>>2]|0;if(+h[(c[f+16>>2]|0)+136>>3]<+h[(c[b+16>>2]|0)+136>>3]){b=f;f=g}else k=5}else{b=c[i+(d<<2)>>2]|0;k=5}if((k|0)==5){k=0;f=d}d=b+16|0;if(+h[(c[j>>2]|0)+136>>3]<=+h[(c[d>>2]|0)+136>>3])break a;c[i+(f<<2)>>2]=a;c[(c[j>>2]|0)+124>>2]=f;c[(c[12829]|0)+(e<<2)>>2]=b;c[(c[d>>2]|0)+124>>2]=e;d=f<<1|1;b=c[12830]|0;if((d|0)>=(b|0))break;else e=f}while(0);return}function gk(a){a=a|0;var b=0,d=0;b=(c[a+16>>2]|0)+124|0;if((c[b>>2]|0)>=0)Na(130113,130133,643,130141);d=c[12830]|0;c[12830]=d+1;c[b>>2]=d;c[(c[12829]|0)+(d<<2)>>2]=a;if((d|0)>0)ek(a);return}function hk(){var a=0,b=0,d=0,e=0;b=c[12830]|0;if(!b)a=0;else{e=c[12829]|0;a=c[e>>2]|0;d=b+-1|0;c[12830]=d;b=c[e+(d<<2)>>2]|0;c[e>>2]=b;c[(c[b+16>>2]|0)+124>>2]=0;if((d|0)>1)fk(b);c[(c[a+16>>2]|0)+124>>2]=-1}return a|0}function ik(b,d){b=b|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;c[12829]=yz((d<<2)+4|0)|0;if(a[142275]|0){AO(130155,28,1,c[24809]|0)|0;fC()}d=gu(b)|0;if(d)do{jk(b,d);d=hu(b,d)|0}while((d|0)!=0);if(a[142275]|0){b=c[24809]|0;h[e>>3]=+gC();pO(b,130003,e)|0}fQ(c[12829]|0);i=f;return}function jk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0,l=0;l=a+16|0;f=c[(c[l>>2]|0)+152>>2]|0;d=c[f>>2]|0;if(d){e=0;do{h[(c[d+16>>2]|0)+136>>3]=+h[4281];e=e+1|0;d=c[f+(e<<2)>>2]|0}while((d|0)!=0)}c[12831]=b;d=c[b+16>>2]|0;h[d+136>>3]=0.0;c[d+128>>2]=0;gk(b);d=hk()|0;if(d)do{e=c[12831]|0;if((d|0)!=(e|0)){k=c[d+16>>2]|0;g=+h[k+136>>3];j=c[(c[e+16>>2]|0)+120>>2]|0;k=c[k+120>>2]|0;i=c[(c[l>>2]|0)+160>>2]|0;h[(c[i+(k<<2)>>2]|0)+(j<<3)>>3]=g;h[(c[i+(j<<2)>>2]|0)+(k<<3)>>3]=g}e=ft(a,d)|0;if(e){k=d+16|0;do{f=c[e>>2]&3;b=c[((f|0)==3?e:e+48|0)+40>>2]|0;if((b|0)==(d|0))b=c[((f|0)==2?e:e+-48|0)+40>>2]|0;f=c[k>>2]|0;g=+h[f+136>>3]+ +h[(c[e+16>>2]|0)+136>>3];i=c[b+16>>2]|0;j=i+136|0;do if(+h[j>>3]>g){h[j>>3]=g;if((c[i+124>>2]|0)>-1){ek(b);break}else{c[i+128>>2]=(c[f+128>>2]|0)+1;gk(b);break}}while(0);e=gt(a,e,d)|0}while((e|0)!=0)}d=hk()|0}while((d|0)!=0);return}function kk(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;f=ft(a,b)|0;a:do if(!f)e=0;else{e=0;g=0;do{h=c[f>>2]&3;j=c[((h|0)==2?f:f+-48|0)+40>>2]|0;h=c[((h|0)==3?f:f+48|0)+40>>2]|0;do if((j|0)!=(h|0)){i=(h|0)==(b|0);if((e|0)!=1){g=i?j:h;c[d>>2]=g;e=e+1|0;break}if(!((j|0)==(g|0)&i)?!((j|0)==(b|0)&(h|0)==(g|0)):0){e=2;break a}else e=1}while(0);f=gt(a,f,b)|0}while((f|0)!=0)}while(0);return e|0}function lk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+48|0;p=r+24|0;o=r+16|0;n=r+8|0;m=r;d=at(b,d)|0;if(!d)f=0.0;else{j=(e|0)==0;f=0.0;do{do if(!j?(k=Rs(d,e)|0,(a[k>>0]|0)!=0):0){c[n>>2]=m;if(((EO(k,142278,n)|0)>=1?(l=+h[m>>3],!(l<0.0)):0)?l!=0.0|(c[13880]|0)!=0:0){g=l;break}c[o>>2]=k;us(0,130184,o)|0;c[p>>2]=Ft(b)|0;h[p+8>>3]=1.0;us(3,130202,p)|0;q=9}else q=9;while(0);if((q|0)==9){q=0;h[m>>3]=1.0;g=1.0}h[(c[d+16>>2]|0)+136>>3]=g;f=f+ +h[m>>3];d=ct(b,d)|0}while((d|0)!=0)}i=r;return +f}function mk(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;if((b|0)>1){r=c[a+16>>2]|0;m=c[r+152>>2]|0;n=c[13884]|0;o=(n|0)>0;p=b+-1|0;q=r+164|0;r=r+160|0;d=0.0;s=0;do{a=s;s=s+1|0;if((s|0)<(b|0)){k=c[(c[q>>2]|0)+(a<<2)>>2]|0;l=c[(c[r>>2]|0)+(a<<2)>>2]|0;j=(c[m+(a<<2)>>2]|0)+16|0;i=s;do{if(o){a=c[(c[j>>2]|0)+132>>2]|0;f=c[(c[(c[m+(i<<2)>>2]|0)+16>>2]|0)+132>>2]|0;g=0;e=0.0;do{t=+h[a+(g<<3)>>3]-+h[f+(g<<3)>>3];e=e+t*t;g=g+1|0}while((g|0)!=(n|0))}else e=0.0;t=+h[l+(i<<3)>>3];d=d+ +h[k+(i<<3)>>3]*(e+t*t-t*2.0*+O(+e));i=i+1|0}while((i|0)!=(b|0))}}while((s|0)!=(p|0))}else d=0.0;return +d}function nk(a){a=a|0;var d=0,e=0,f=0,g=0,i=0.0;YC(a,2);e=a+16|0;b[(c[e>>2]|0)+176>>1]=2;c[13884]=2;d=vt(a)|0;f=yz(d*56|0)|0;d=yz((d<<2)+4|0)|0;c[(c[e>>2]|0)+152>>2]=d;d=gu(a)|0;if(d){g=0;while(1){bj(d);c[(c[d+16>>2]|0)+112>>2]=f+(g*56|0);c[(c[(c[e>>2]|0)+152>>2]|0)+(g<<2)>>2]=d;d=hu(a,d)|0;if(!d)break;else g=g+1|0}}d=gu(a)|0;if(d)do{e=at(a,d)|0;if(e)do{Ou(e,178780,176,1)|0;FC(e)|0;i=+mC(e,c[13936]|0,1.0,0.0);h[(c[e+16>>2]|0)+128>>3]=i;e=ct(a,e)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0);return}function ok(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+80|0;m=u+32|0;j=u+24|0;g=u+16|0;l=u;t=u+72|0;r=u+40|0;if(vt(b)|0){nk(b);e=Qs(b,136511)|0;if(e)if(a[e>>0]|0){d=mu(b,e,0)|0;if(!d){c[g>>2]=e;us(0,130229,g)|0;us(3,130269,j)|0;d=0;s=1}else s=0}else{d=0;s=1}else{d=0;s=0}n=Is(b,1,136511,0)|0;o=(n|0)!=0;e=Qs(b,181959)|0;if(((e|0)!=0?(a[e>>0]|0)!=0:0)?(k=l+8|0,c[m>>2]=l,c[m+4>>2]=k,(EO(e,147421,m)|0)==1):0)h[k>>3]=+h[l>>3];if(vt(b)|0){m=dx(b,t,0)|0;if((c[t>>2]|0)==1){g=(d|0)!=0;do if(g)f=d;else{if(o?(f=qk(b,n)|0,(f|0)!=0):0)break;f=0}while(0);e=To(b,f)|0;if(!((f|0)!=0|o^1))Ts(e,n,178793)|0;r=(gu(b)|0)+16|0;fQ(c[(c[r>>2]|0)+112>>2]|0);c[(c[r>>2]|0)+112>>2]=0;Jl(b)|0;yj(b);d=(s|0)==0|g?d:e}else{xx(b,2,8,r)|0;c[r+12>>2]=0;if((c[t>>2]|0)>0){l=(s|0)==0;j=0;do{f=c[m+(j<<2)>>2]|0;e=(d|0)!=0;if(e?(Hu(f,d)|0)!=0:0)k=d;else q=23;do if((q|0)==23){q=0;if(o?(p=qk(f,n)|0,(p|0)!=0):0){k=p;break}k=0}while(0);hx(f)|0;g=To(f,k)|0;d=l|e?d:g;if(o?(k|0)==0|(k|0)==(d|0):0)Ts(g,n,178793)|0;Jl(f)|0;j=j+1|0}while((j|0)<(c[t>>2]|0))}q=(gu(b)|0)+16|0;fQ(c[(c[q>>2]|0)+112>>2]|0);c[(c[q>>2]|0)+112>>2]=0;wx(c[t>>2]|0,m,b,r)|0;yj(b)}if((c[t>>2]|0)>0){e=0;do{wu(b,c[m+(e<<2)>>2]|0)|0;e=e+1|0}while((e|0)<(c[t>>2]|0))}fQ(m)}if(s)Ss(b,136511,Ft(d)|0)|0;tA(b)}i=u;return}function pk(a){a=a|0;var b=0,d=0;b=gu(a)|0;if(b){do{d=at(a,b)|0;if(d)do{$C(d);d=ct(a,d)|0}while((d|0)!=0);OC(b);b=hu(a,b)|0}while((b|0)!=0);fQ(c[(c[a+16>>2]|0)+152>>2]|0);if((yu(a)|0)!=(a|0))Ru(a,0,178510)}return}function qk(a,b){a=a|0;b=b|0;var c=0;c=gu(a)|0;a:do if(!c)c=0;else while(1){if((rC(Rs(c,b)|0)|0)<<24>>24)break a;c=hu(a,c)|0;if(!c){c=0;break}}while(0);return c|0}function rk(a){a=a|0;var d=0,e=0,f=0,g=0,h=0;c[13901]=Is(a,1,151064,151070)|0;YC(a,2);f=a+16|0;b[(c[f>>2]|0)+176>>1]=2;c[13884]=2;tk(a,0);g=yz((vt(a)|0)<<2)|0;d=yz(((vt(a)|0)<<2)+4|0)|0;c[(c[f>>2]|0)+152>>2]=d;d=gu(a)|0;if(d){h=0;do{Ou(d,178487,304,1)|0;c[(c[d+16>>2]|0)+112>>2]=g+(h<<2);c[(c[(c[f>>2]|0)+152>>2]|0)+(h<<2)>>2]=d;h=h+1|0;Ss(d,151064,151070)|0;e=at(a,d)|0;if(e)do{Ou(e,178780,304,1)|0;e=ct(a,e)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0)}if(!((vt(a)|0)==0?(c[(c[f>>2]|0)+180>>2]|0)==0:0)){Xo(a);tA(a)}return}function sk(a){a=a|0;var b=0,d=0;b=gu(a)|0;if(b){fQ(c[(c[b+16>>2]|0)+112>>2]|0);do{d=at(a,b)|0;if(d)do{$C(d);d=ct(a,d)|0}while((d|0)!=0);OC(b);b=hu(a,b)|0}while((b|0)!=0);fQ(c[(c[a+16>>2]|0)+152>>2]|0);if((yu(a)|0)!=(a|0))Ru(a,0,178510)}return}function tk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+16|0;n=o;k=(b|0)==0;if(k){c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;b=n}d=sv(a)|0;if(d){h=b+8|0;j=b+4|0;do{if(!(gP(Ft(d)|0,149067,7)|0)){Ou(d,178510,280,1)|0;f=(c[h>>2]|0)+1|0;c[h>>2]=f;e=c[j>>2]|0;if((f|0)<(e|0)){g=c[b>>2]|0;e=f}else{g=e+10|0;c[j>>2]=g;g=Bz(c[b>>2]|0,g<<2)|0;c[b>>2]=g;e=c[h>>2]|0}c[g+(e<<2)>>2]=d;tk(d,0)}else tk(d,b);d=tv(d)|0}while((d|0)!=0)}if(k?(l=c[n+8>>2]|0,m=a+16|0,c[(c[m>>2]|0)+180>>2]=l,(l|0)!=0):0){n=Bz(c[n>>2]|0,(l<<2)+4|0)|0;c[(c[m>>2]|0)+184>>2]=n}i=o;return}function uk(a){a=a|0;var d=0,f=0,g=0;YC(a,2);g=a+16|0;b[(c[g>>2]|0)+176>>1]=2;c[13884]=2;d=gu(a)|0;if(d)do{bj(d);d=hu(a,d)|0}while((d|0)!=0);d=gu(a)|0;if(d)do{f=at(a,d)|0;if(f)do{Ou(f,178780,176,1)|0;FC(f)|0;f=ct(a,f)|0}while((f|0)!=0);d=hu(a,d)|0}while((d|0)!=0);wk(a,0);xk(a,0);yk(a,0);d=c[g>>2]|0;if(!(c[(c[d+8>>2]|0)+84>>2]|0)){d=(e[d+136>>1]|0)&14;if(d)vj(a,d)|0}else{d=gu(a)|0;if(d)do{f=c[d+16>>2]|0;g=c[f+132>>2]|0;h[g>>3]=+h[f+16>>3]/72.0;h[g+8>>3]=+h[f+24>>3]/72.0;d=hu(a,d)|0}while((d|0)!=0);wj(a,1)}tA(a);return}function vk(a){a=a|0;var b=0;b=gu(a)|0;if(b)do{OC(b);b=hu(a,b)|0}while((b|0)!=0);zk(a);return}function wk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+16|0;n=o;k=(b|0)==0;if(k){c[n>>2]=0;c[n+4>>2]=0;c[n+8>>2]=0;b=n}d=sv(a)|0;if(d){h=b+8|0;j=b+4|0;do{if(!(gP(Ft(d)|0,149067,7)|0)){Ou(d,178510,280,1)|0;iz(d);f=(c[h>>2]|0)+1|0;c[h>>2]=f;e=c[j>>2]|0;if((f|0)<(e|0)){g=c[b>>2]|0;e=f}else{g=e+10|0;c[j>>2]=g;g=Bz(c[b>>2]|0,g<<2)|0;c[b>>2]=g;e=c[h>>2]|0}c[g+(e<<2)>>2]=d;wk(d,0)}else wk(d,b);d=tv(d)|0}while((d|0)!=0)}if(k?(l=c[n+8>>2]|0,m=a+16|0,c[(c[m>>2]|0)+180>>2]=l,(l|0)!=0):0){n=Bz(c[n>>2]|0,(l<<2)+4|0)|0;c[(c[m>>2]|0)+184>>2]=n}i=o;return}function xk(b,e){b=b|0;e=e|0;var f=0.0,g=0.0,j=0.0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;P=i;i=i+256|0;O=P+184|0;M=P+160|0;L=P+120|0;K=P+80|0;D=P+56|0;E=P+16|0;u=P+8|0;l=P;H=P+224|0;q=c[b+60>>2]|0;if((d[142275]|0)>1){Ak(e);N=c[24809]|0;c[l>>2]=Ft(b)|0;pO(N,130567,l)|0}N=b+16|0;l=c[N>>2]|0;if((c[l+180>>2]|0)<1)n=0;else{p=e+1|0;o=1;n=0;while(1){J=c[(c[l+184>>2]|0)+(o<<2)>>2]|0;xk(J,p);n=(vt(J)|0)+n|0;l=c[N>>2]|0;if((o|0)>=(c[l+180>>2]|0))break;else o=o+1|0}}F=vt(b)|0;A=F-n|0;l=c[N>>2]|0;G=c[l+180>>2]|0;B=G+A|0;C=(B|0)==0;if(C?(c[l+12>>2]|0)==0:0){O=l+16|0;c[O>>2]=0;c[O+4>>2]=0;c[O+8>>2]=0;c[O+12>>2]=0;h[l+40>>3]=18.0;h[l+32>>3]=18.0}else{l=H+16|0;do if((xx(b,4,4,H)|0)>>>0>=3)if((c[l>>2]|0)==4?(c[H+28>>2]&2|0)!=0:0){l=Is(q,0,140252,0)|0;o=Is(q,1,140252,0)|0;if((l|0)!=0|(o|0)!=0){c[H+24>>2]=yz(B<<2)|0;break}else{c[u>>2]=Ft(b)|0;us(0,130358,u)|0;l=0;o=0;break}}else{l=0;o=0}else{c[l>>2]=3;l=0;o=0}while(0);I=yz(B<<5)|0;J=yz(B<<2)|0;p=c[N>>2]|0;if((c[p+180>>2]|0)<1)l=0;else{w=H+24|0;x=(l|0)!=0;u=1;v=0;while(1){p=c[(c[p+184>>2]|0)+(u<<2)>>2]|0;q=I+(v<<5)|0;Q=(c[p+16>>2]|0)+16|0;c[q>>2]=c[Q>>2];c[q+4>>2]=c[Q+4>>2];c[q+8>>2]=c[Q+8>>2];c[q+12>>2]=c[Q+12>>2];c[q+16>>2]=c[Q+16>>2];c[q+20>>2]=c[Q+20>>2];c[q+24>>2]=c[Q+24>>2];c[q+28>>2]=c[Q+28>>2];if(x&(c[w>>2]|0)!=0){Q=lC(p,l,0,0)|0;c[(c[w>>2]|0)+(v<<2)>>2]=Q}q=v+1|0;c[J+(v<<2)>>2]=p;p=c[N>>2]|0;if((u|0)>=(c[p+180>>2]|0)){l=q;break}else{u=u+1|0;v=q}}}if((A|0)>0?(r=gu(b)|0,(r|0)!=0):0){u=H+24|0;v=(o|0)!=0;do{p=c[r+16>>2]|0;q=p+112|0;if(!(c[q>>2]|0)){c[q>>2]=b;y=+h[p+88>>3]+ +h[p+96>>3];z=+h[p+80>>3];Q=I+(l<<5)|0;c[Q>>2]=0;c[Q+4>>2]=0;c[Q+8>>2]=0;c[Q+12>>2]=0;h[I+(l<<5)+16>>3]=y;h[I+(l<<5)+24>>3]=z;if(v&(c[u>>2]|0)!=0){Q=lC(r,o,0,0)|0;c[(c[u>>2]|0)+(l<<2)>>2]=Q}c[J+(l<<2)>>2]=r;l=l+1|0}r=hu(b,r)|0}while((r|0)!=0)}v=tx(B,I,H)|0;l=c[H+24>>2]|0;if(l)fQ(l);u=(B|0)>0;if(u){p=c[24809]|0;q=F+G-n|0;f=2147483647.0;j=2147483647.0;s=-2147483647.0;g=-2147483647.0;r=0;do{t=+(c[v+(r<<3)>>2]|0);z=+(c[v+(r<<3)+4>>2]|0);m=t+ +h[I+(r<<5)>>3];t=t+ +h[I+(r<<5)+16>>3];y=z+ +h[I+(r<<5)+8>>3];z=z+ +h[I+(r<<5)+24>>3];f=f<m?f:m;j=j<y?j:y;s=s>t?s:t;g=g>z?g:z;l=c[J+(r<<2)>>2]|0;o=l+16|0;if((r|0)<(c[(c[N>>2]|0)+180>>2]|0)){Q=c[o>>2]|0;h[Q+16>>3]=m;h[Q+24>>3]=y;h[Q+32>>3]=t;h[Q+40>>3]=z;if((d[142275]|0)>1){Ak(e);c[E>>2]=Ft(l)|0;h[E+8>>3]=m;h[E+16>>3]=y;h[E+24>>3]=t;h[E+32>>3]=z;pO(p,130337,E)|0}}else{Q=c[o>>2]|0;h[Q+16>>3]=(m+t)*.5;h[Q+24>>3]=(y+z)*.5;if((d[142275]|0)>1){Ak(e);Q=Ft(l)|0;B=c[o>>2]|0;y=+h[B+16>>3];z=+h[B+24>>3];c[D>>2]=Q;h[D+8>>3]=y;h[D+16>>3]=z;pO(p,130325,D)|0}}r=r+1|0}while((r|0)!=(q|0))}else{g=-2147483647.0;s=-2147483647.0;j=2147483647.0;f=2147483647.0}o=c[N>>2]|0;l=c[o+12>>2]|0;if(l){t=+h[l+24>>3];if(C){s=t;m=0.0;g=+h[l+32>>3];j=0.0}else m=f;f=t-(s-m);if(f>0.0){z=f*.5;m=m-z;s=s+z}}else m=f;if((e|0)>0)f=+((c[H+8>>2]|0)>>>0)*.5;else f=0.0;z=m-f;t=s+f;y=j-(f+ +h[o+56>>3]);s=g+(f+ +h[o+88>>3]);if((d[142275]|0)>1){Ak(e);Q=c[24809]|0;c[K>>2]=Ft(b)|0;h[K+8>>3]=z;h[K+16>>3]=y;h[K+24>>3]=t;h[K+32>>3]=s;pO(Q,130337,K)|0}if(u){q=c[24809]|0;n=F+G-n|0;p=0;do{o=c[J+(p<<2)>>2]|0;l=o+16|0;if((p|0)<(c[(c[N>>2]|0)+180>>2]|0)){Q=c[l>>2]|0;G=Q+16|0;H=Q+24|0;K=Q+32|0;Q=Q+40|0;f=+h[G>>3]-z;g=+h[H>>3]-y;j=+h[K>>3]-z;m=+h[Q>>3]-y;h[G>>3]=f;h[H>>3]=g;h[K>>3]=j;h[Q>>3]=m;if((d[142275]|0)>1){Ak(e);c[L>>2]=Ft(o)|0;h[L+8>>3]=f;h[L+16>>3]=g;h[L+24>>3]=j;h[L+32>>3]=m;pO(q,130337,L)|0}}else{Q=c[l>>2]|0;K=Q+16|0;a[k>>0]=a[K>>0];a[k+1>>0]=a[K+1>>0];a[k+2>>0]=a[K+2>>0];a[k+3>>0]=a[K+3>>0];a[k+4>>0]=a[K+4>>0];a[k+5>>0]=a[K+5>>0];a[k+6>>0]=a[K+6>>0];a[k+7>>0]=a[K+7>>0];j=+h[k>>3];Q=Q+24|0;a[k>>0]=a[Q>>0];a[k+1>>0]=a[Q+1>>0];a[k+2>>0]=a[Q+2>>0];a[k+3>>0]=a[Q+3>>0];a[k+4>>0]=a[Q+4>>0];a[k+5>>0]=a[Q+5>>0];a[k+6>>0]=a[Q+6>>0];a[k+7>>0]=a[Q+7>>0];m=+h[k>>3]-y;h[K>>3]=j-z;h[Q>>3]=m;if((d[142275]|0)>1){Ak(e);Q=Ft(o)|0;K=c[l>>2]|0;j=+h[K+16>>3];m=+h[K+24>>3];c[M>>2]=Q;h[M+8>>3]=j;h[M+16>>3]=m;pO(q,130325,M)|0}}p=p+1|0}while((p|0)!=(n|0))}m=t-z;j=s-y;g=z-z;f=y-y;Q=c[N>>2]|0;h[Q+16>>3]=g;h[Q+24>>3]=f;h[Q+32>>3]=m;h[Q+40>>3]=j;if((d[142275]|0)>1){Ak(e);Q=c[24809]|0;c[O>>2]=Ft(b)|0;h[O+8>>3]=g;h[O+16>>3]=f;h[O+24>>3]=m;h[O+32>>3]=j;pO(Q,130337,O)|0}fQ(I);fQ(J);fQ(v)}i=P;return}function yk(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0;u=i;i=i+80|0;t=u+32|0;k=u+8|0;e=u;q=a+16|0;p=c[q>>2]|0;r=+h[p+16>>3];s=+h[p+24>>3];if((d[142275]|0)>1){Ak(b);p=c[24809]|0;c[e>>2]=Ft(a)|0;pO(p,130310,e)|0}p=(b|0)!=0;if(p?(f=gu(a)|0,(f|0)!=0):0){j=c[24809]|0;do{e=f+16|0;g=c[e>>2]|0;if((c[g+112>>2]|0)==(a|0)?(v=g+16|0,h[v>>3]=r+ +h[v>>3],g=g+24|0,h[g>>3]=s+ +h[g>>3],(d[142275]|0)>1):0){Ak(b);v=Ft(f)|0;g=c[e>>2]|0;n=+h[g+16>>3];o=+h[g+24>>3];c[k>>2]=v;h[k+8>>3]=n;h[k+16>>3]=o;pO(j,130325,k)|0}f=hu(a,f)|0}while((f|0)!=0)}e=c[q>>2]|0;if((c[e+180>>2]|0)>=1){a=c[24809]|0;k=b+1|0;j=1;while(1){g=c[(c[e+184>>2]|0)+(j<<2)>>2]|0;if(p){f=g+16|0;e=c[f>>2]|0;l=r+ +h[e+16>>3];m=s+ +h[e+24>>3];n=r+ +h[e+32>>3];o=s+ +h[e+40>>3];if((d[142275]|0)>1){Ak(b);c[t>>2]=Ft(g)|0;h[t+8>>3]=l;h[t+16>>3]=m;h[t+24>>3]=n;h[t+32>>3]=o;pO(a,130337,t)|0;e=c[f>>2]|0}h[e+16>>3]=l;h[e+24>>3]=m;h[e+32>>3]=n;h[e+40>>3]=o}yk(g,k);e=c[q>>2]|0;if((j|0)>=(c[e+180>>2]|0))break;else j=j+1|0}}i=u;return}function zk(a){a=a|0;var b=0,d=0,e=0;d=a+16|0;b=c[d>>2]|0;a=b+184|0;if((c[b+180>>2]|0)>=1){b=1;while(1){e=c[(c[a>>2]|0)+(b<<2)>>2]|0;pz(c[(c[e+16>>2]|0)+12>>2]|0);zk(e);e=c[d>>2]|0;a=e+184|0;if((b|0)<(c[e+180>>2]|0))b=b+1|0;else break}}fQ(c[a>>2]|0);return}function Ak(a){a=a|0;var b=0;if((a|0)>0){b=c[24809]|0;while(1){AO(130355,2,1,b)|0;if((a|0)>1)a=a+-1|0;else break}}return}function Bk(b){b=b|0;var d=0,f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+32|0;t=u+16|0;s=u;r=u+24|0;Qu(b,1,178487,304,1);LC(b)|0;d=yz(((vt(b)|0)<<2)+4|0)|0;p=b+16|0;c[(c[p>>2]|0)+152>>2]=d;d=gu(b)|0;if(d){f=0;while(1){EC(d);n=yz(e[(c[(xu(d)|0)+16>>2]|0)+176>>1]<<3)|0;o=d+16|0;c[(c[o>>2]|0)+132>>2]=n;aD(d,c[(c[(xu(d)|0)+16>>2]|0)+116>>2]&1);c[(c[(c[p>>2]|0)+152>>2]|0)+(f<<2)>>2]=d;c[(c[o>>2]|0)+120>>2]=f;d=hu(b,d)|0;if(!d)break;else f=f+1|0}}g=Is(b,2,133275,0)|0;d=gu(b)|0;if(d)do{f=at(b,d)|0;if(f)do{Ou(f,178780,176,1)|0;j=+mC(f,c[13936]|0,1.0,0.0);o=f+16|0;h[(c[o>>2]|0)+128>>3]=j;j=+mC(f,g,+h[(c[13875]|0)+32>>3],0.0);h[(c[o>>2]|0)+136>>3]=j;FC(f)|0;f=ct(b,f)|0}while((f|0)!=0);d=hu(b,d)|0}while((d|0)!=0);o=Is(b,1,143694,0)|0;if((o|0)!=0?(q=Is(b,1,130441,0)|0,k=c[c[(c[p>>2]|0)+152>>2]>>2]|0,(k|0)!=0):0){m=(q|0)==0;n=c[24809]|0;l=0;do{d=Rs(k,o)|0;do if(a[d>>0]|0){b=k+16|0;f=c[(c[b>>2]|0)+132>>2]|0;a[r>>0]=0;g=f+8|0;c[s>>2]=f;c[s+4>>2]=g;c[s+8>>2]=r;if((EO(d,143026,s)|0)<=1){c[t>>2]=Ft(k)|0;c[t+4>>2]=d;pO(n,130445,t)|0;break}j=+h[4279];if(j>0.0){h[f>>3]=+h[f>>3]/j;h[g>>3]=+h[g>>3]/+h[4279]}d=c[b>>2]|0;a[d+119>>0]=1;if((a[r>>0]|0)!=33){if(m)break;if(!((rC(Rs(k,q)|0)|0)<<24>>24))break;d=c[b>>2]|0}a[d+119>>0]=3}while(0);l=l+1|0;k=c[(c[(c[p>>2]|0)+152>>2]|0)+(l<<2)>>2]|0}while((k|0)!=0)}i=u;return}function Ck(a){a=a|0;var b=0,d=0;b=gu(a)|0;if(b)do{d=at(a,b)|0;if(d)do{$C(d);d=ct(a,d)|0}while((d|0)!=0);OC(b);b=hu(a,b)|0}while((b|0)!=0);Dk(a);a=a+16|0;fQ(c[(c[a>>2]|0)+152>>2]|0);fQ(c[(c[a>>2]|0)+140>>2]|0);return}function Dk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;g=a+16|0;f=c[g>>2]|0;b=f+184|0;if((c[f+180>>2]|0)>=1){f=1;while(1){e=c[(c[b>>2]|0)+(f<<2)>>2]|0;b=e+16|0;pz(c[(c[b>>2]|0)+12>>2]|0);d=c[(c[b>>2]|0)+140>>2]|0;if(d){fQ(c[d>>2]|0);fQ(c[(c[b>>2]|0)+140>>2]|0)}Dk(e);e=c[g>>2]|0;b=e+184|0;if((f|0)<(c[e+180>>2]|0))f=f+1|0;else break}}fQ(c[b>>2]|0);if((yu(a)|0)!=(a|0))Pu(a,178510)|0;return}function Ek(a,b){a=a|0;b=b|0;c[b+4>>2]=Is(a,0,130497,0)|0;c[b+8>>2]=Is(a,0,182316,0)|0;c[b+12>>2]=Is(a,0,182248,0)|0;c[b>>2]=a;c[b+16>>2]=0;c[b+36>>2]=xx(a,2,4,b+20|0)|0;return}function Fk(a){a=a|0;var d=0,e=0;YC(a,2);d=yz(56)|0;e=a+16|0;c[(c[e>>2]|0)+140>>2]=d;d=(lC(a,Is(a,0,131957,0)|0,2,2)|0)&65535;d=(d&65535)<10?d:10;b[(c[e>>2]|0)+176>>1]=d;c[13884]=d&65535;Ik(a,0,a);Qk(a);Bk(a);return}function Gk(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0;f=i;i=i+64|0;d=f;Ek(b,d);Jk(b,d);d=gu(b)|0;if(d)do{e=c[d+16>>2]|0;if(a[e+118>>0]|0){m=c[(c[(c[e+212>>2]|0)+16>>2]|0)+140>>2]|0;l=+h[m+24>>3]-+h[m+8>>3];k=+h[m+32>>3]-+h[m+16>>3];o=l*.5;n=k*.5;j=o*72.0;g=n*72.0;m=c[e+132>>2]|0;h[m>>3]=o;h[m+8>>3]=n;h[e+32>>3]=l;h[e+40>>3]=k;h[e+96>>3]=j;h[e+88>>3]=j;h[e+80>>3]=k*72.0;e=c[(c[e+12>>2]|0)+44>>2]|0;h[e>>3]=j;h[e+8>>3]=g;k=-j;h[e+16>>3]=k;h[e+24>>3]=g;h[e+32>>3]=k;g=-g;h[e+40>>3]=g;h[e+48>>3]=j;h[e+56>>3]=g}d=hu(b,d)|0}while((d|0)!=0);Kk(b,b);Lk(b);i=f;return}function Hk(a){a=a|0;var d=0,e=0,f=0.0,g=0,j=0,k=0,l=0.0,m=0,p=0,q=0,r=0,s=0;s=i;i=i+16|0;m=s;q=4;p=eQ(40)|0;c[p>>2]=0;l=+h[4279];n=0;f=+ma(1,a|0);d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)!=1){h[4279]=f;n=0;ea(102,a|0);d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)!=1){p=nQ(51328,1,p|0,q|0)|0;q=C;n=0;d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)!=1)d=0;else d=C}else d=C}else d=C;a:while(1){if(d)break;n=0;ea(103,a|0);d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)==1){d=C;continue}n=0;ia(20,a|0)|0;d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)==1){d=C;continue}k=a+16|0;e=b[(c[k>>2]|0)+136>>1]|0;if(e&14){d=e&14;if(d>>>0>8){if((d|0)==12){n=0;e=ka(25,a|0,26,10)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){j=qQ(c[g>>2]|0,p|0,q|0)|0;if(!j)Ra(g|0,o|0);C=o}else j=-1;if((j|0)==1){d=C;continue}if(!e)d=12;else{c[13880]=2;e=b[(c[k>>2]|0)+136>>1]|0;r=14}}else r=14;do if((r|0)==14){r=0;if(!(e&1)){n=0;ra(67,a|0,d|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){g=qQ(c[e>>2]|0,p|0,q|0)|0;if(!g)Ra(e|0,o|0);C=o}else g=-1;if((g|0)==1){d=C;continue a}break}else{n=0;ka(23,0,130504,m|0)|0;d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)==1){d=C;continue a}d=2;break}}while(0);c[13880]=0}if((c[13885]|0)<1){n=0;ra(67,a|0,d|0)|0;d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)==1){d=C;continue}}}n=0;ga(22,a|0,0);d=n;n=0;if((d|0)!=0&(o|0)!=0){e=qQ(c[d>>2]|0,p|0,q|0)|0;if(!e)Ra(d|0,o|0);C=o}else e=-1;if((e|0)==1)d=C;else{r=24;break}}if((r|0)==24)h[4279]=l;fQ(p|0);i=s;return}function Ik(a,d,e){a=a|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+16|0;q=r;n=(d|0)==0;if(n){c[q>>2]=0;c[q+4>>2]=0;c[q+8>>2]=0;d=q}f=sv(a)|0;if(f){k=e+16|0;l=d+8|0;m=d+4|0;do{if(!(gP(Ft(f)|0,149067,7)|0)){Ou(f,178510,280,1)|0;h=yz(56)|0;j=c[f+16>>2]|0;c[j+140>>2]=h;g=c[k>>2]|0;b[j+176>>1]=b[g+176>>1]|0;c[h+44>>2]=(c[(c[g+140>>2]|0)+44>>2]|0)+1;c[h+48>>2]=e;h=(c[l>>2]|0)+1|0;c[l>>2]=h;g=c[m>>2]|0;if((h|0)<(g|0)){j=c[d>>2]|0;g=h}else{j=g+10|0;c[m>>2]=j;j=Bz(c[d>>2]|0,j<<2)|0;c[d>>2]=j;g=c[l>>2]|0}c[j+(g<<2)>>2]=f;Ik(f,0,f)}else Ik(f,d,e);f=tv(f)|0}while((f|0)!=0)}if(n?(o=c[q+8>>2]|0,p=a+16|0,c[(c[p>>2]|0)+180>>2]=o,(o|0)!=0):0){e=Bz(c[q>>2]|0,(o<<2)+4|0)|0;c[(c[p>>2]|0)+184>>2]=e}i=r;return}function Jk(e,f){e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;R=i;i=i+304|0;x=R+160|0;Q=R+152|0;E=R+128|0;D=R+104|0;B=R+88|0;z=R+80|0;A=R+56|0;k=R+48|0;g=R+40|0;y=R+300|0;j=R+200|0;L=R+196|0;K=R+192|0;J=R;if(a[142275]|0){P=c[24809]|0;c[g>>2]=Ft(e)|0;pO(P,130567,g)|0}g=gu(e)|0;if(g)do{c[(c[g+16>>2]|0)+164>>2]=0;g=hu(e,g)|0}while((g|0)!=0);O=f+16|0;P=c[O>>2]|0;c[O>>2]=P+1;c[x>>2]=P;DO(j,130578,x)|0;if((d[142275]|0)>1){P=c[24809]|0;O=Ft(e)|0;c[k>>2]=j;c[k+4>>2]=O;pO(P,130585,k)|0};c[x>>2]=c[13169];P=rt(131938,x,0)|0;Ou(P,178510,280,1)|0;N=yz(56)|0;O=P+16|0;g=c[O>>2]|0;c[g+140>>2]=N;N=e+16|0;b[g+176>>1]=b[(c[N>>2]|0)+176>>1]|0;Mk(e,P,133289);Mk(e,P,133436);Mk(e,P,131994);g=c[N>>2]|0;if((c[g+180>>2]|0)<1)g=0;else{r=f+4|0;s=x+8|0;t=x+16|0;w=x+24|0;j=g;q=1;k=0;while(1){l=c[(c[j+184>>2]|0)+(q<<2)>>2]|0;iz(l);m=Nk(P,Ft(l)|0)|0;p=m+16|0;j=c[p>>2]|0;c[j+212>>2]=l;g=k+1|0;c[j+120>>2]=k;j=c[r>>2]|0;if(!j){n=-1797693134862315708145274.0e284;o=1797693134862315708145274.0e284;u=-1797693134862315708145274.0e284;v=1797693134862315708145274.0e284}else{k=Rs(l,j)|0;do if(!(a[k>>0]|0)){n=-1797693134862315708145274.0e284;u=-1797693134862315708145274.0e284;o=1797693134862315708145274.0e284;v=1797693134862315708145274.0e284}else{if((c[f>>2]|0)!=(l|0)){j=Rs(uv(l)|0,j)|0;if((j|0)==(k|0)){n=-1797693134862315708145274.0e284;u=-1797693134862315708145274.0e284;o=1797693134862315708145274.0e284;v=1797693134862315708145274.0e284;break}if(!(aP(k,j)|0)){n=-1797693134862315708145274.0e284;u=-1797693134862315708145274.0e284;o=1797693134862315708145274.0e284;v=1797693134862315708145274.0e284;break}}a[y>>0]=0;c[A>>2]=x;c[A+4>>2]=s;c[A+8>>2]=t;c[A+12>>2]=w;c[A+16>>2]=y;if((EO(k,130608,A)|0)<=3){c[z>>2]=Ft(l)|0;c[z+4>>2]=k;us(0,130626,z)|0;n=-1797693134862315708145274.0e284;u=-1797693134862315708145274.0e284;o=1797693134862315708145274.0e284;v=1797693134862315708145274.0e284;break}n=+h[4279];if(n>0.0){h[x>>3]=+h[x>>3]/n;h[s>>3]=+h[s>>3]/n;h[t>>3]=+h[t>>3]/n;h[w>>3]=+h[w>>3]/n}j=a[y>>0]|0;do if(j<<24>>24!=33){k=(c[p>>2]|0)+119|0;if(j<<24>>24==63){a[k>>0]=2;break}else{a[k>>0]=1;break}}else a[(c[p>>2]|0)+119>>0]=3;while(0);n=+h[w>>3];u=+h[t>>3];o=+h[s>>3];v=+h[x>>3]}while(0)}j=gu(l)|0;if(j)do{c[(c[j+16>>2]|0)+164>>2]=m;j=hu(l,j)|0}while((j|0)!=0);j=c[p>>2]|0;if(a[j+119>>0]|0){I=c[j+132>>2]|0;h[I>>3]=(u+v)*.5;h[I+8>>3]=(n+o)*.5}j=c[N>>2]|0;if((q|0)>=(c[j+180>>2]|0))break;else{q=q+1|0;k=g}}}j=gu(e)|0;a:do if(!j)C=g;else{m=j;while(1){j=m+16|0;k=c[j>>2]|0;if(!(c[k+164>>2]|0)){l=k+212|0;I=c[l>>2]|0;if((I|0)!=0?(I|0)!=(c[(c[(c[N>>2]|0)+140>>2]|0)+48>>2]|0):0){g=m;break}c[l>>2]=e;if(!(a[k+118>>0]|0)){k=Nk(P,Ft(m)|0)|0;j=c[j>>2]|0;c[j+164>>2]=k;k=c[k+16>>2]|0;c[k+120>>2]=g;h[k+32>>3]=+h[j+32>>3];h[k+40>>3]=+h[j+40>>3];h[k+88>>3]=+h[j+88>>3];h[k+96>>3]=+h[j+96>>3];h[k+80>>3]=+h[j+80>>3];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];l=a[j+119>>0]|0;if(l<<24>>24){H=c[j+132>>2]|0;I=c[k+132>>2]|0;h[I>>3]=+h[H>>3];h[I+8>>3]=+h[H+8>>3];a[k+119>>0]=l}c[(c[k+112>>2]|0)+8>>2]=m;g=g+1|0}}m=hu(e,m)|0;if(!m){C=g;break a}}G=Ft(g)|0;H=Ft(e)|0;I=Ft(c[(c[j>>2]|0)+212>>2]|0)|0;c[B>>2]=G;c[B+4>>2]=H;c[B+8>>2]=I;us(1,130669,B)|0;Ra(51328,1)}while(0);g=gu(e)|0;if(g)do{p=c[(c[g+16>>2]|0)+164>>2]|0;j=at(e,g)|0;if(j){q=p+16|0;do{k=c[(c[(c[((c[j>>2]&3|0)==2?j:j+-48|0)+40>>2]|0)+16>>2]|0)+164>>2]|0;if((k|0)!=(p|0)){if(k>>>0>p>>>0)m=ht(P,p,k,0,1)|0;else m=ht(P,k,p,0,1)|0;Ou(m,178780,176,1)|0;l=c[j+16>>2]|0;I=c[m+16>>2]|0;h[I+136>>3]=+h[l+136>>3];h[I+128>>3]=+h[l+128>>3];k=c[(c[k+16>>2]|0)+112>>2]|0;l=k+4|0;c[l>>2]=(c[l>>2]|0)+1;l=c[(c[q>>2]|0)+112>>2]|0;H=l+4|0;c[H>>2]=(c[H>>2]|0)+1;if(!(c[I+172>>2]|0)){c[k>>2]=(c[k>>2]|0)+1;c[l>>2]=(c[l>>2]|0)+1}Ok(m,j)}j=ct(e,j)|0}while((j|0)!=0)}g=hu(e,g)|0}while((g|0)!=0);g=c[(c[N>>2]|0)+140>>2]|0;k=c[g>>2]|0;if(k){l=yz((c[g+4>>2]<<4)+16|0)|0;j=c[O>>2]|0;c[c[j+140>>2]>>2]=l;g=c[k>>2]|0;if(!g)g=0;else{s=g;j=C;g=0;do{r=c[(c[(c[k+4>>2]|0)+16>>2]|0)+164>>2]|0;if(r){p=c[s>>2]&3;m=c[((p|0)==2?s:s+-48|0)+40>>2]|0;p=c[((p|0)==3?s:s+48|0)+40>>2]|0;q=eP(Ft(e)|0)|0;I=eP(Ft(m)|0)|0;I=(q+8+I+(eP(Ft(p)|0)|0)|0)>999;q=Ft(e)|0;if(I){G=Ft(p)|0;I=Ft(m)|0;H=(c[s>>2]|0)>>>4;c[D>>2]=q;c[D+4>>2]=G;c[D+8>>2]=I;I=D+16|0;c[I>>2]=H;c[I+4>>2]=0;DO(130738,131739,D)|0}else{G=c[(c[p+16>>2]|0)+120>>2]|0;I=c[(c[m+16>>2]|0)+120>>2]|0;H=(c[s>>2]|0)>>>4;c[E>>2]=q;c[E+4>>2]=G;c[E+8>>2]=I;I=E+16|0;c[I>>2]=H;c[I+4>>2]=0;DO(130738,131758,E)|0}m=Nk(P,130738)|0;p=m+16|0;c[(c[p>>2]|0)+120>>2]=j;if(m>>>0>r>>>0)q=ht(P,r,m,0,1)|0;else q=ht(P,m,r,0,1)|0;Ou(q,178780,176,1)|0;H=c[k>>2]|0;G=c[H+16>>2]|0;I=c[q+16>>2]|0;h[I+136>>3]=+h[G+136>>3];h[I+128>>3]=+h[G+128>>3];Ok(q,H);H=c[(c[p>>2]|0)+112>>2]|0;I=H+4|0;c[I>>2]=(c[I>>2]|0)+1;I=c[(c[r+16>>2]|0)+112>>2]|0;G=I+4|0;c[G>>2]=(c[G>>2]|0)+1;c[H>>2]=(c[H>>2]|0)+1;c[I>>2]=(c[I>>2]|0)+1;c[l+4>>2]=m;h[l+8>>3]=+h[k+8>>3];c[l>>2]=q;j=j+1|0;l=l+16|0;g=g+1|0}k=k+16|0;s=c[k>>2]|0}while((s|0)!=0);j=c[O>>2]|0}c[(c[j+140>>2]|0)+4>>2]=g}I=hp(P,L,K)|0;g=c[I>>2]|0;b:do if(g){H=I;c:while(1){H=H+4|0;Rk(g,J);j=gu(g)|0;if(j)do{E=j;j=hu(g,j)|0;F=E+16|0;k=c[F>>2]|0;G=c[k+212>>2]|0;k=c[k+112>>2]|0;if(!G){if(!(c[k+8>>2]|0))wu(g,E)|0}else{B=c[k+4>>2]|0;if(!B)k=G+16|0;else{C=yz((B<<4)+16|0)|0;r=c[c[(c[F>>2]|0)+112>>2]>>2]|0;D=yz((r*24|0)+24|0)|0;k=ft(g,E)|0;if(!k)k=0;else{l=0;do{p=c[k>>2]&3;m=c[((p|0)==2?k:k+-48|0)+40>>2]|0;if((m|0)==(E|0))m=c[((p|0)==3?k:k+48|0)+40>>2]|0;z=c[(c[m+16>>2]|0)+132>>2]|0;A=c[(c[F>>2]|0)+132>>2]|0;u=+h[z>>3]-+h[A>>3];v=+h[z+8>>3]-+h[A+8>>3];c[D+(l*24|0)>>2]=k;h[D+(l*24|0)+8>>3]=+W(+v,+u);h[D+(l*24|0)+16>>3]=u*u+v*v;l=l+1|0;k=gt(g,k,E)|0}while((k|0)!=0);k=l}if((k|0)!=(r|0)){g=77;break c}PO(D,r,24,68);if((r|0)>1){q=r+-1|0;p=0;while(1){m=D+(p*24|0)+8|0;u=+h[m>>3];k=p+1|0;do if((k|0)<(r|0)){l=k;do{if(!(+h[D+(l*24|0)+8>>3]==u))break;l=l+1|0}while((l|0)<(r|0));if((l|0)==(k|0))break;if((l|0)==(r|0))n=3.141592653589793;else n=+h[D+(l*24|0)+8>>3];o=(n-u)/+(l-p|0);o=o>.03490658503988659?.03490658503988659:o;if((l|0)<=(p|0)){k=p;break}h[m>>3]=u+0.0;n=0.0;do{n=o+n;A=D+(k*24|0)+8|0;h[A>>3]=+h[A>>3]+n;k=k+1|0}while((k|0)!=(l|0));k=l}while(0);if((k|0)<(q|0))p=k;else break}}k=c[D>>2]|0;if(!k)k=0;else{z=D+8|0;A=D;y=k;k=0;do{q=A;A=A+24|0;l=y;y=c[A>>2]|0;x=(y|0)==0;if(x)o=+h[z>>3]+6.283185307179586;else o=+h[q+32>>3];s=c[l+16>>2]|0;r=b[s+168>>1]|0;w=r<<16>>16;m=c[l>>2]&3;p=c[((m|0)==2?l:l+-48|0)+40>>2]|0;if((p|0)==(E|0))p=c[((m|0)==3?l:l+48|0)+40>>2]|0;n=+h[q+8>>3];o=(o-n)/+(r<<16>>16);o=o>.03490658503988659?.03490658503988659:o;if(p>>>0>E>>>0){l=k;t=1}else{n=n+ +(w+-1|0)*o;o=-o;l=k+-1+w|0;t=-1}if(r<<16>>16>0){s=c[s+172>>2]|0;q=l;r=0;while(1){m=c[s>>2]|0;c[C+(q<<4)>>2]=m;p=c[m>>2]&3;l=c[((p|0)==3?m:m+48|0)+40>>2]|0;if((c[(c[l+16>>2]|0)+164>>2]|0)!=(E|0))l=c[((p|0)==2?m:m+-48|0)+40>>2]|0;c[C+(q<<4)+4>>2]=l;h[C+(q<<4)+8>>3]=n;r=r+1|0;if((r|0)==(w|0))break;else{n=o+n;s=s+4|0;q=q+t|0}}}k=w+k|0}while(!x)}if((k|0)!=(B|0)){g=106;break c}k=G+16|0;E=c[(c[k>>2]|0)+140>>2]|0;c[E>>2]=C;c[E+4>>2]=B;fQ(D)}Jk(G,f);E=c[(c[k>>2]|0)+140>>2]|0;u=+h[E+24>>3];G=c[F>>2]|0;h[G+32>>3]=u;v=+h[E+32>>3];h[G+40>>3]=v;u=u*72.0*.5;h[G+88>>3]=u;h[G+96>>3]=u;h[G+80>>3]=v*72.0}}while((j|0)!=0);if((vt(g)|0)>1){if((c[f>>2]|0)==(e|0))Fl(g)|0;Xk(g,J)}g=c[H>>2]|0;if(!g)break b}if((g|0)==77)Na(131781,131790,642,131799);else if((g|0)==106)Na(131811,131790,766,131821)}while(0);g=c[L>>2]|0;if((g|0)>1){if(!(c[K>>2]|0))j=0;else{j=yz(g)|0;a[j>>0]=1;g=c[L>>2]|0}c[f+40>>2]=j;g=sx(g,I,0,f+20|0)|0;if(j)fQ(j)}else if((g|0)==1){IC(c[I>>2]|0);g=0}else g=0;k=c[L>>2]|0;s=(c[f>>2]|0)==(e|0);w=(k|0)!=0;if(w){p=c[(c[I>>2]|0)+16>>2]|0;v=+h[p+16>>3];j=~~(v+(v>=0.0?.5:-.5));v=+h[p+24>>3];l=~~(v+(v>=0.0?.5:-.5));v=+h[p+32>>3];m=~~(v+(v>=0.0?.5:-.5));v=+h[p+40>>3];p=~~(v+(v>=0.0?.5:-.5));if((k|0)>1){r=c[g>>2]|0;k=c[g+4>>2]|0;j=r+j|0;l=k+l|0;r=r+m|0;p=k+p|0;m=I+4|0;k=c[m>>2]|0;if(!k)k=0;else{q=g;do{f=q;q=q+8|0;L=c[k+16>>2]|0;n=+h[L+16>>3];o=+h[L+24>>3];u=+h[L+32>>3];v=+h[L+40>>3];L=c[q>>2]|0;f=c[f+12>>2]|0;J=~~(n+(n>=0.0?.5:-.5))+L|0;K=~~(o+(o>=0.0?.5:-.5))+f|0;L=~~(u+(u>=0.0?.5:-.5))+L|0;f=~~(v+(v>=0.0?.5:-.5))+f|0;j=(j|0)<(J|0)?j:J;l=(l|0)<(K|0)?l:K;r=(r|0)>(L|0)?r:L;p=(p|0)>(f|0)?p:f;m=m+4|0;k=c[m>>2]|0}while((k|0)!=0);k=0}}else{r=m;k=0}}else{p=c[f+12>>2]|0;r=lC(e,c[f+8>>2]|0,54,3)|0;j=0;l=0;p=lC(e,p,36,3)|0;k=1}q=c[N>>2]|0;m=c[q+12>>2]|0;if(m){v=+h[m+24>>3];k=~~(v+(v>=0.0?.5:-.5))+(j-r)|0;if((k|0)>0){k=(k|0)/2|0;j=j-k|0;r=k+r|0;k=0}else k=0}if(s|(k|0)!=0){k=q;m=0}else{m=lC(P,c[13898]|0,8,0)|0;k=c[N>>2]|0}t=m-j|0;s=~~(+h[k+56>>3]+ +(m-l|0));r=m+r+t|0;q=~~(+(p|0)+(+h[k+88>>3]+ +(s+m|0)));if(w?(M=c[I>>2]|0,(M|0)!=0):0){m=M;p=I;j=g;do{p=p+4|0;if(!j){k=t;l=s;j=0}else{k=(c[j>>2]|0)+t|0;l=(c[j+4>>2]|0)+s|0;j=j+8|0}o=+(k|0)/72.0;n=+(l|0)/72.0;k=gu(m)|0;if(k)do{M=c[(c[k+16>>2]|0)+132>>2]|0;h[M>>3]=o+ +h[M>>3];M=M+8|0;h[M>>3]=n+ +h[M>>3];k=hu(m,k)|0}while((k|0)!=0);m=c[p>>2]|0}while((m|0)!=0)}M=c[(c[O>>2]|0)+140>>2]|0;f=M+8|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;h[M+24>>3]=+(r|0)/72.0;h[M+32>>3]=+(q|0)/72.0;fQ(g);g=gu(P)|0;if(g)do{k=c[g+16>>2]|0;j=c[k+212>>2]|0;if(!j){j=c[(c[k+112>>2]|0)+8>>2]|0;if(j){f=c[k+132>>2]|0;M=c[(c[j+16>>2]|0)+132>>2]|0;h[M>>3]=+h[f>>3];h[M+8>>3]=+h[f+8>>3]}}else{f=c[k+132>>2]|0;o=+h[k+32>>3];n=+h[f>>3]-o*.5;M=c[(c[j+16>>2]|0)+140>>2]|0;h[M+8>>3]=n;v=+h[k+40>>3];u=+h[f+8>>3]-v*.5;h[M+16>>3]=u;h[M+24>>3]=n+o;h[M+32>>3]=u+v}g=hu(P,g)|0}while((g|0)!=0);g=(c[(c[N>>2]|0)+140>>2]|0)+8|0;N=(c[(c[O>>2]|0)+140>>2]|0)+8|0;c[g>>2]=c[N>>2];c[g+4>>2]=c[N+4>>2];c[g+8>>2]=c[N+8>>2];c[g+12>>2]=c[N+12>>2];c[g+16>>2]=c[N+16>>2];c[g+20>>2]=c[N+20>>2];c[g+24>>2]=c[N+24>>2];c[g+28>>2]=c[N+28>>2];g=c[I>>2]|0;if(g){j=I;do{j=j+4|0;fQ(c[(c[g+16>>2]|0)+140>>2]|0);Pu(g,178510)|0;g=c[j>>2]|0}while((g|0)!=0)}g=c[(c[O>>2]|0)+140>>2]|0;j=c[g>>2]|0;if(j){fQ(j);g=c[(c[O>>2]|0)+140>>2]|0}fQ(g);Pu(P,178510)|0;g=gu(P)|0;if(g)do{k=g;g=hu(P,g)|0;j=at(P,k)|0;if(j)do{fQ(c[(c[j+16>>2]|0)+172>>2]|0);Pu(j,178780)|0;j=ct(P,j)|0}while((j|0)!=0);O=k+16|0;fQ(c[(c[O>>2]|0)+112>>2]|0);fQ(c[(c[O>>2]|0)+132>>2]|0);Pu(k,178487)|0}while((g|0)!=0);ut(P)|0;fQ(I);if(a[142275]|0){P=c[24809]|0;c[Q>>2]=Ft(e)|0;pO(P,131835,Q)|0}i=R;return}function Kk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0;f=a+16|0;d=c[f>>2]|0;j=c[d+140>>2]|0;g=+h[j+8>>3];i=+h[j+16>>3];j=(a|0)!=(b|0);if(j){d=gu(a)|0;if(d)do{e=c[d+16>>2]|0;if((c[e+212>>2]|0)==(a|0)){e=c[e+132>>2]|0;h[e>>3]=g+ +h[e>>3];e=e+8|0;h[e>>3]=i+ +h[e>>3]}d=hu(a,d)|0}while((d|0)!=0);d=c[f>>2]|0}if((c[d+180>>2]|0)>=1){e=1;while(1){d=c[(c[d+184>>2]|0)+(e<<2)>>2]|0;if(j){a=c[(c[d+16>>2]|0)+140>>2]|0;p=a+8|0;n=a+16|0;l=a+24|0;a=a+32|0;o=i+ +h[n>>3];m=g+ +h[l>>3];k=i+ +h[a>>3];h[p>>3]=g+ +h[p>>3];h[n>>3]=o;h[l>>3]=m;h[a>>3]=k}Kk(d,b);d=c[f>>2]|0;if((e|0)>=(c[d+180>>2]|0))break;else e=e+1|0}}return}function Lk(a){a=a|0;var b=0,d=0,e=0.0,f=0.0,g=0.0;d=a+16|0;a=c[d>>2]|0;b=c[a+140>>2]|0;g=+h[b+16>>3]*72.0;f=+h[b+24>>3]*72.0;e=+h[b+32>>3]*72.0;h[a+16>>3]=+h[b+8>>3]*72.0;h[a+24>>3]=g;h[a+32>>3]=f;h[a+40>>3]=e;a=c[d>>2]|0;if((c[a+180>>2]|0)>=1){b=1;while(1){Lk(c[(c[a+184>>2]|0)+(b<<2)>>2]|0);a=c[d>>2]|0;if((b|0)>=(c[a+180>>2]|0))break;else b=b+1|0}}return}function Mk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Is(a,0,c,0)|0;do if(d){d=Rs(a,d)|0;a=Is(b,0,c,0)|0;if(!a){Is(b,0,c,d)|0;break}else{Ts(b,a,d)|0;break}}while(0);return}function Nk(a,b){a=a|0;b=b|0;var d=0,f=0;b=mu(a,b,1)|0;Ou(b,178487,304,1)|0;f=yz(32)|0;d=b+16|0;c[(c[d>>2]|0)+112>>2]=f;a=zz((e[(c[a+16>>2]|0)+176>>1]|0)<<3)|0;c[(c[d>>2]|0)+132>>2]=a;return b|0}function Ok(a,d){a=a|0;d=d|0;var e=0,f=0,g=0;g=a+16|0;f=c[g>>2]|0;a=b[f+168>>1]|0;f=c[f+172>>2]|0;if(!f){a=a<<16>>16;e=a;a=zz((a<<2)+4|0)|0}else{a=a<<16>>16;e=a;a=Bz(f,(a<<2)+4|0)|0}c[a+(e<<2)>>2]=d;d=c[g>>2]|0;c[d+172>>2]=a;d=d+168|0;b[d>>1]=(b[d>>1]|0)+1<<16>>16;return}function Pk(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;c=+h[a+8>>3];d=+h[b+8>>3];if(!(c>d))if(!(c<d)){d=+h[a+16>>3];c=+h[b+16>>3];if(d>c)a=1;else a=(d<c)<<31>>31}else a=-1;else a=1;return a|0}function Qk(a){a=a|0;var b=0.0,d=0.0,e=0,f=0;e=i;i=i+16|0;f=c[13875]|0;c[8378]=c[f>>2];c[8379]=c[f+4>>2];c[8381]=c[f+8>>2];c[8383]=c[f+12>>2];h[4197]=0.0;h[4192]=+h[f+16>>3];h[4193]=+h[f+24>>3];c[8382]=lC(a,Is(a,0,131843,0)|0,600,0)|0;b=+mC(a,Is(a,0,131994,0)|0,.3,0.0);h[4194]=b;f=c[13875]|0;h[f+32>>3]=b;b=+h[f+40>>3];if(b==-1.0)b=+mC(a,Is(a,0,131851,0)|0,-1.0,0.0);h[4195]=b;c[8380]=1;f=fj(a,2,33520)|0;c[8392]=f;if(!f){us(0,131854,e)|0;c[8380]=2}c[8408]=(_(c[8382]|0,c[8383]|0)|0)/100|0;d=+h[4194];h[4199]=d*d;if(c[8378]|0){b=+h[4197];if(b<=0.0){b=d*3.0;h[4197]=b}h[4198]=b*b}i=e;return}function Rk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0.0;n=b+16|0;w=c[c[(c[n>>2]|0)+140>>2]>>2]|0;g=+h[4195];if(g==-1.0){x=vt(b)|0;k=+h[4194];g=+h[4193]*k*+O(+(+(x|0)))/5.0;h[4195]=g;x=1}else{k=+h[4194];x=0}i=c[8408]|0;j=c[8382]|0;l=j-i|0;h[d+8>>3]=g*+(l|0)/+(j|0);h[d+16>>3]=k;h[d+24>>3]=+h[4192];c[d>>2]=l;f=c[8381]|0;do if((f|0)>-1){if((f|0)<=(i|0)){c[8409]=f;c[d+32>>2]=0;break}if((f|0)<=(j|0)){c[8409]=i;c[d+32>>2]=f-i}}else{c[8409]=i;c[d+32>>2]=l}while(0);t=vt(b)|0;t=t-(c[(c[(c[n>>2]|0)+140>>2]|0)+4>>2]|0)|0;f=gu(b)|0;if(!f){i=0;j=0;l=0;n=0;q=0}else{d=0;j=0;l=0;n=0;q=0;while(1){i=c[f+16>>2]|0;if(!(a[i+119>>0]|0))i=d;else{i=c[i+132>>2]|0;g=+h[i>>3];k=+h[i+8>>3];if(!q){j=~~g;n=~~k;i=j;l=n}else{o=+(d|0);s=+(n|0);p=+(j|0);r=+(l|0);i=~~(g<o?g:o);j=~~(g>p?g:p);l=~~(k>r?k:r);n=~~(k<s?k:s)}q=q+1|0}f=hu(b,f)|0;if(!f)break;else d=i}}p=+h[4194]*(+O(+(+(t|0)))+1.0)*.5*1.2;h[4201]=p;h[4200]=p;if((q|0)!=1)if((q|0)>1){r=+(i+j|0)*.5;s=+(n+l|0)*.5;o=+(j-i|0)*1.2;k=+(l-n|0)*1.2;m=p*(p*4.0);g=k*o/m;do if(!(g>=1.0)){if(g>0.0){p=+O(+g)*2.0;g=o/p;h[4200]=g;k=k/p;h[4201]=k;break}if(o>0.0){g=o*.5;h[4200]=g;k=m/o*.5;h[4201]=k;break}if(k>0.0){g=m/k*.5;h[4200]=g;k=k*.5;h[4201]=k}else{k=p;g=p}}else{g=o*.5;h[4200]=g;k=k*.5;h[4201]=k}while(0);o=+W(+k,+g);p=g/+Q(+o);h[4200]=p;g=k/+R(+o);h[4201]=g;k=p}else{k=p;g=p;r=0.0;s=0.0}else{k=p;g=p;r=+(i|0);s=+(n|0)}h[4202]=k*k;h[4203]=g*g;if((c[8392]|0)==2)f=c[8380]|0;else{f=rP()|0;f=(tb(0)|0)^f}ON(f);a:do if(!w){f=gu(b)|0;i=(f|0)==0;if(!q){if(i)break;while(1){p=+h[4200];p=p*(+KN()*2.0+-1.0);v=f+16|0;h[c[(c[v>>2]|0)+132>>2]>>3]=p;p=+h[4201];p=p*(+KN()*2.0+-1.0);h[(c[(c[v>>2]|0)+132>>2]|0)+8>>3]=p;f=hu(b,f)|0;if(!f)break a}}if(!i)do{i=f+16|0;j=c[i>>2]|0;if(!(a[j+119>>0]|0)){p=+h[4200];p=p*(+KN()*2.0+-1.0);h[c[(c[i>>2]|0)+132>>2]>>3]=p;p=+h[4201];p=p*(+KN()*2.0+-1.0);h[(c[(c[i>>2]|0)+132>>2]|0)+8>>3]=p}else{v=c[j+132>>2]|0;h[v>>3]=+h[v>>3]-r;v=v+8|0;h[v>>3]=+h[v>>3]-s}f=hu(b,f)|0}while((f|0)!=0)}else{if(c[w>>2]|0){f=w;do{d=f+8|0;p=r+ +h[4200]*+Q(+(+h[d>>3]));t=c[(c[f+4>>2]|0)+16>>2]|0;q=c[t+132>>2]|0;h[q>>3]=p;h[q+8>>3]=s+ +h[4201]*+R(+(+h[d>>3]));a[t+119>>0]=1;f=f+16|0}while((c[f>>2]|0)!=0)}f=gu(b)|0;if(f){m=r*.1;o=s*.1;do{d=f+16|0;i=c[d>>2]|0;if(!((c[(c[i+112>>2]|0)+8>>2]|0)==0?(c[i+212>>2]|0)==0:0))v=39;do if((v|0)==39){v=0;if(a[i+119>>0]|0){t=c[i+132>>2]|0;h[t>>3]=+h[t>>3]-r;t=t+8|0;h[t>>3]=+h[t>>3]-s;break}i=ft(b,f)|0;do if(i){n=0;k=0.0;g=0.0;while(1){l=c[i>>2]&3;j=c[((l|0)==2?i:i+-48|0)+40>>2]|0;l=c[((l|0)==3?i:i+48|0)+40>>2]|0;do if((j|0)!=(l|0)?(u=c[((j|0)==(f|0)?l:j)+16>>2]|0,(a[u+119>>0]|0)!=0):0){j=c[u+132>>2]|0;if(!n){l=1;k=+h[j>>3];g=+h[j+8>>3];break}else{y=+(n|0);l=n+1|0;p=+(l|0);k=(y*k+ +h[j>>3])/p;g=(g*y+ +h[j+8>>3])/p;break}}else l=n;while(0);i=gt(b,i,f)|0;if(!i){i=l;break}else n=l}if((i|0)>1){i=c[d>>2]|0;t=c[i+132>>2]|0;h[t>>3]=k;h[t+8>>3]=g;break}if((i|0)==1){i=c[d>>2]|0;t=c[i+132>>2]|0;h[t>>3]=m+k*.98;h[t+8>>3]=o+g*.9}else v=52}else v=52;while(0);if((v|0)==52){v=0;y=+KN()*6.283185307179586;p=+KN()*.9;k=p*+h[4200]*+Q(+y);i=c[d>>2]|0;t=c[i+132>>2]|0;h[t>>3]=k;h[t+8>>3]=p*+h[4201]*+R(+y)}a[i+119>>0]=1}while(0);f=hu(b,f)|0}while((f|0)!=0)}}while(0);if(!(c[8378]|0)){f=c[8409]|0;if((f|0)>0){l=0;do{v=c[8382]|0;g=+h[4195]*+(v-l|0)/+(v|0);if(!(g<=0.0)){f=gu(b)|0;if(f)do{v=(c[(c[f+16>>2]|0)+112>>2]|0)+16|0;c[v>>2]=0;c[v+4>>2]=0;c[v+8>>2]=0;c[v+12>>2]=0;f=hu(b,f)|0}while((f|0)!=0);f=gu(b)|0;if(f)do{i=hu(b,f)|0;if(i){j=f+16|0;do{u=c[(c[i+16>>2]|0)+132>>2]|0;v=c[(c[j>>2]|0)+132>>2]|0;p=+h[u>>3]-+h[v>>3];y=+h[u+8>>3]-+h[v+8>>3];Vk(f,i,p,y,p*p+y*y);i=hu(b,i)|0}while((i|0)!=0)}i=at(b,f)|0;if(i)do{j=c[((c[i>>2]&3|0)==2?i:i+-48|0)+40>>2]|0;if((f|0)!=(j|0))Sk(f,j,i);i=ct(b,i)|0}while((i|0)!=0);f=hu(b,f)|0}while((f|0)!=0);Uk(b,g,w);f=c[8409]|0}l=l+1|0}while((l|0)<(f|0))}}else{n=jp(vt(b)|0)|0;kp(n,vt(b)|0);f=c[8409]|0;if((f|0)>0){l=0;do{v=c[8382]|0;g=+h[4195]*+(v-l|0)/+(v|0);if(!(g<=0.0)){lp(n);f=gu(b)|0;if(f)do{v=c[f+16>>2]|0;u=(c[v+112>>2]|0)+16|0;c[u>>2]=0;c[u+4>>2]=0;c[u+8>>2]=0;c[u+12>>2]=0;v=c[v+132>>2]|0;y=+h[4197];u=~~+M(+(+h[v>>3]/y));np(n,u,~~+M(+(+h[v+8>>3]/y)),f);f=hu(b,f)|0}while((f|0)!=0);f=gu(b)|0;if(f)do{i=at(b,f)|0;if(i)do{j=c[((c[i>>2]&3|0)==2?i:i+-48|0)+40>>2]|0;if((f|0)!=(j|0))Sk(f,j,i);i=ct(b,i)|0}while((i|0)!=0);f=hu(b,f)|0}while((f|0)!=0);op(n,27);Uk(b,g,w);f=c[8409]|0}l=l+1|0}while((l|0)<(f|0))}mp(n)}if(s!=0.0|r!=0.0?(e=gu(b)|0,(e|0)!=0):0)do{w=c[(c[e+16>>2]|0)+132>>2]|0;h[w>>3]=r+ +h[w>>3];w=w+8|0;h[w>>3]=s+ +h[w>>3];e=hu(b,e)|0}while((e|0)!=0);if(x)h[4195]=-1.0;return}function Sk(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0;k=b+16|0;l=c[(c[k>>2]|0)+132>>2]|0;b=a+16|0;a=c[(c[b>>2]|0)+132>>2]|0;f=+h[l>>3]-+h[a>>3];g=+h[l+8>>3]-+h[a+8>>3];e=f*f+g*g;if(e==0.0){do{f=+(5-((MN()|0)%10|0)|0);g=+(5-((MN()|0)%10|0)|0);e=f*f+g*g}while(e==0.0);j=g}else j=g;i=+O(+e);l=c[d+16>>2]|0;e=+h[l+128>>3];g=+h[l+136>>3];if(!(c[8379]|0))e=i*e/g;else e=e*(i-g)/i;i=f*e;l=c[(c[k>>2]|0)+112>>2]|0;k=l+16|0;h[k>>3]=+h[k>>3]-i;j=j*e;l=l+24|0;h[l>>3]=+h[l>>3]-j;l=c[(c[b>>2]|0)+112>>2]|0;k=l+16|0;h[k>>3]=i+ +h[k>>3];l=l+24|0;h[l>>3]=j+ +h[l>>3];return}function Tk(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0,n=0;f=c[b+8>>2]|0;g=c[b>>2]|0;a=c[b+4>>2]|0;if(f){b=f;do{e=f;do{if((b|0)!=(e|0)){l=c[b>>2]|0;k=c[e>>2]|0;n=c[(c[k+16>>2]|0)+132>>2]|0;m=c[(c[l+16>>2]|0)+132>>2]|0;j=+h[n>>3]-+h[m>>3];i=+h[n+8>>3]-+h[m+8>>3];Vk(l,k,j,i,j*j+i*i)}e=c[e+4>>2]|0}while((e|0)!=0);b=c[b+4>>2]|0}while((b|0)!=0)}m=g+-1|0;l=a+-1|0;Wk(d,m,l,f);Wk(d,m,a,f);n=a+1|0;Wk(d,m,n,f);Wk(d,g,l,f);Wk(d,g,n,f);m=g+1|0;Wk(d,m,l,f);Wk(d,m,a,f);Wk(d,m,n,f);return 0}function Uk(b,d,e){b=b|0;d=+d;e=e|0;var f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0.0;o=d*d;f=gu(b)|0;if(f){n=(e|0)==0;do{m=c[f+16>>2]|0;do if(!(a[m+119>>0]&2)){e=c[m+112>>2]|0;g=+h[e+16>>3];j=+h[e+24>>3];i=g*g+j*j;l=c[m+132>>2]|0;if(i<o){k=g+ +h[l>>3];i=j+ +h[l+8>>3]}else{i=d/+O(+i);k=g*i+ +h[l>>3];i=j*i+ +h[l+8>>3]}if(n){h[l>>3]=k;h[l+8>>3]=i;break}g=+O(+(k*k/+h[4202]+i*i/+h[4203]));if((c[e+8>>2]|0)==0?(c[m+212>>2]|0)==0:0){h[l>>3]=k/g;h[l+8>>3]=i/g;break}if(!(g>=1.0)){h[l>>3]=k;h[l+8>>3]=i;break}else{h[l>>3]=k*.95/g;h[l+8>>3]=i*.95/g;break}}while(0);f=hu(b,f)|0}while((f|0)!=0)}return}function Vk(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=+f;var g=0.0,i=0,j=0;if(f==0.0){do{d=+(5-((MN()|0)%10|0)|0);e=+(5-((MN()|0)%10|0)|0);f=d*d+e*e}while(f==0.0);g=d}else g=d;if(!(c[8379]|0))d=+h[4199]/f;else{d=+O(+f);d=+h[4199]/(f*d)}j=c[a+16>>2]|0;a=c[j+112>>2]|0;if(((c[a+8>>2]|0)==0?(c[j+212>>2]|0)==0:0)?(i=c[b+16>>2]|0,(c[(c[i+112>>2]|0)+8>>2]|0)==0):0)d=(c[i+212>>2]|0)==0?d*10.0:d;f=g*d;j=c[(c[b+16>>2]|0)+112>>2]|0;b=j+16|0;h[b>>3]=f+ +h[b>>3];g=e*d;j=j+24|0;h[j>>3]=g+ +h[j>>3];j=a+16|0;h[j>>3]=+h[j>>3]-f;j=a+24|0;h[j>>3]=+h[j>>3]-g;return}function Wk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,i=0.0,j=0,k=0,l=0,m=0;a=pp(a,b,d)|0;if((e|0)!=0&(a|0)!=0){k=a+8|0;do{d=c[e>>2]|0;a=c[k>>2]|0;if(a){j=d+16|0;do{b=c[a>>2]|0;m=c[(c[b+16>>2]|0)+132>>2]|0;l=c[(c[j>>2]|0)+132>>2]|0;f=+h[m>>3]-+h[l>>3];g=+h[m+8>>3]-+h[l+8>>3];i=f*f+g*g;if(i<+h[4198])Vk(d,b,f,g,i);a=c[a+4>>2]|0}while((a|0)!=0)}e=c[e+4>>2]|0}while((e|0)!=0)}return}function Xk(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,P=0.0;L=i;i=i+32|0;j=L;k=L+8|0;e=Qs(b,133289)|0;if(a[142275]|0)AO(131898,8,1,c[24809]|0)|0;if(!((e|0)!=0?(a[e>>0]|0)!=0:0))e=131907;f=_O(e,58)|0;do if(!f){I=e;H=0}else{if((f|0)!=(e|0)?((a[e>>0]|0)+-48|0)>>>0>=10:0){I=e;H=0;break}H=NO(e)|0;I=f+1|0;H=(H|0)<0?0:H}while(0);if(a[142275]|0){D=c[24809]|0;c[j>>2]=H;c[j+4>>2]=I;pO(D,131915,j)|0}a:do if(!H)K=56;else{o=vt(b)|0;n=wt(b)|0;Kl(k,b);c[12871]=c[k>>2];c[12872]=c[k+4>>2];c[12873]=c[k+8>>2];if(a[51492]|0){g[12871]=+g[12871]/72.0;g[12872]=+g[12872]/72.0}f=gu(b)|0;b:do if(f){e=0;do{j=hu(b,f)|0;if(j)do{e=(Yk(f,j)|0)+e|0;j=hu(b,j)|0}while((j|0)!=0);f=hu(b,f)|0}while((f|0)!=0);if(e){D=c[d>>2]|0;E=+h[d+8>>3];F=+h[d+16>>3];G=+h[d+24>>3];z=c[d+32>>2]|0;if((H|0)<=0){K=56;break a}A=G>0.0;B=E==0.0;C=+(o|0);y=+(n|0);u=+(_(o+-1|0,o)|0);v=(z|0)>0;w=+(D|0);x=F;t=0;while(1){h[4205]=x;c[8412]=D;h[4207]=E;c[8416]=z;if(A)h[4209]=G;l=x*x;h[4210]=l;if(B){m=x*+O(+C)/5.0;h[4207]=m}else m=E;r=l*+h[4209];h[4211]=r;h[4212]=y*r*2.0/u;c:do if(v?(J=m*w/w,!(J<=0.0)):0){r=J;s=0;do{e=gu(b)|0;if(e)do{o=(c[(c[e+16>>2]|0)+112>>2]|0)+16|0;c[o>>2]=0;c[o+4>>2]=0;c[o+8>>2]=0;c[o+12>>2]=0;e=hu(b,e)|0}while((e|0)!=0);e=gu(b)|0;if(!e)break b;else{o=e;e=0}do{f=hu(b,o)|0;if(f){d=o+16|0;do{n=f+16|0;k=c[n>>2]|0;N=c[k+132>>2]|0;j=c[d>>2]|0;M=c[j+132>>2]|0;l=+h[N>>3]-+h[M>>3];p=+h[N+8>>3]-+h[M+8>>3];m=l*l+p*p;if(m==0.0){do{l=+(5-((MN()|0)%10|0)|0);p=+(5-((MN()|0)%10|0)|0);m=l*l+p*p}while(m==0.0);k=c[n>>2]|0;j=c[d>>2]|0}N=Yk(o,f)|0;q=((N|0)==0?+h[4212]:+h[4211])/m;m=l*q;M=c[k+112>>2]|0;n=M+16|0;h[n>>3]=m+ +h[n>>3];q=p*q;M=M+24|0;h[M>>3]=q+ +h[M>>3];M=c[j+112>>2]|0;n=M+16|0;h[n>>3]=+h[n>>3]-m;M=M+24|0;h[M>>3]=+h[M>>3]-q;e=N+e|0;f=hu(b,f)|0}while((f|0)!=0)}f=at(b,o)|0;if(f){k=o+16|0;do{j=c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0;if(!(Yk(o,j)|0)){M=c[j+16>>2]|0;n=c[M+132>>2]|0;N=c[k>>2]|0;d=c[N+132>>2]|0;p=+h[n>>3]-+h[d>>3];m=+h[n+8>>3]-+h[d+8>>3];l=+O(+(p*p+m*m));q=+Zk(o);q=q+ +Zk(j);P=l-q;q=P*P/(l*(+h[4205]+q));p=p*q;M=c[M+112>>2]|0;d=M+16|0;h[d>>3]=+h[d>>3]-p;q=m*q;M=M+24|0;h[M>>3]=+h[M>>3]-q;N=c[N+112>>2]|0;M=N+16|0;h[M>>3]=p+ +h[M>>3];N=N+24|0;h[N>>3]=q+ +h[N>>3]}f=ct(b,f)|0}while((f|0)!=0)}o=hu(b,o)|0}while((o|0)!=0);if(!e)break b;q=r*r;f=gu(b)|0;if(f)do{j=c[f+16>>2]|0;do if((a[j+119>>0]|0)!=3){N=c[j+112>>2]|0;l=+h[N+16>>3];m=+h[N+24>>3];p=l*l+m*m;j=c[j+132>>2]|0;if(p<q){h[j>>3]=l+ +h[j>>3];N=j+8|0;h[N>>3]=m+ +h[N>>3];break}else{P=+O(+p);h[j>>3]=r*l/P+ +h[j>>3];N=j+8|0;h[N>>3]=r*m/P+ +h[N>>3];break}}while(0);f=hu(b,f)|0}while((f|0)!=0);s=s+1|0;if((s|0)>=(c[8416]|0))break c;N=c[8412]|0;r=+h[4207]*+(N-s|0)/+(N|0)}while(!(r<=0.0))}while(0);t=t+1|0;if(!((t|0)<(H|0)&(e|0)!=0))break;else x=F+x}if(!e)break a;else{K=56;break a}}}while(0)}while(0);if((K|0)==56)Il(b,I)|0;i=L;return}function Yk(b,d){b=b|0;d=d|0;var e=0.0,f=0.0,i=0.0,j=0,k=0.0,l=0;j=c[d+16>>2]|0;l=c[j+132>>2]|0;d=c[b+16>>2]|0;b=c[d+132>>2]|0;i=+h[l>>3]-+h[b>>3];k=+h[l+8>>3]-+h[b+8>>3];k=k<0.0?-k:k;b=(a[51492]|0)==0;e=+h[d+32>>3];if(b){f=+g[12871];e=e*f*.5;f=+h[j+32>>3]*f*.5}else{f=+g[12871];e=e*.5+f;f=+h[j+32>>3]*.5+f}if(!((i<0.0?-i:i)<=e+f))d=0;else{e=+h[d+40>>3];if(b){i=+g[12872];f=e*i*.5;e=+h[j+40>>3]*i*.5}else{i=+g[12872];f=e*.5+i;e=+h[j+40>>3]*.5+i}d=k<=f+e}return d&1|0}function Zk(b){b=b|0;var d=0.0,e=0.0;b=c[b+16>>2]|0;d=+h[b+32>>3];if(!(a[51492]|0)){e=d*+g[12871]*.5;d=+h[b+40>>3]*+g[12872]*.5}else{e=d*.5+ +g[12871];d=+h[b+40>>3]*.5+ +g[12872]}return +(+O(+(e*e+d*d)))}function _k(a){a=a|0;var d=0,e=0,f=0,g=0,i=0.0;YC(a,2);e=a+16|0;b[(c[e>>2]|0)+176>>1]=2;c[13884]=2;f=yz((vt(a)|0)<<2)|0;d=yz(((vt(a)|0)<<2)+4|0)|0;c[(c[e>>2]|0)+152>>2]=d;d=gu(a)|0;if(d){g=0;while(1){bj(d);c[(c[d+16>>2]|0)+112>>2]=f+(g<<2);c[(c[(c[e>>2]|0)+152>>2]|0)+(g<<2)>>2]=d;d=hu(a,d)|0;if(!d)break;else g=g+1|0}}d=gu(a)|0;if(d)do{e=at(a,d)|0;if(e)do{Ou(e,178780,176,1)|0;FC(e)|0;i=+mC(e,c[13936]|0,1.0,0.0);h[(c[e+16>>2]|0)+128>>3]=i;e=ct(a,e)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0);return}function $k(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;l=n+4|0;m=n;c[l>>2]=c[13171];l=rt(131938,l,0)|0;Ou(l,131946,280,1)|0;c[(c[a+16>>2]|0)+140>>2]=l;d=gu(a)|0;if(d)do{e=d+16|0;if(!(c[c[(c[e>>2]|0)+112>>2]>>2]|0)){k=mu(l,Ft(d)|0,1)|0;Ou(k,178487,304,1)|0;g=yz(40)|0;j=k+16|0;c[(c[j>>2]|0)+112>>2]=g;g=yz(c[13884]<<3)|0;j=c[j>>2]|0;c[j+132>>2]=g;g=c[e>>2]|0;h[j+88>>3]=+h[g+88>>3];h[j+96>>3]=+h[g+96>>3];h[j+80>>3]=+h[g+80>>3];c[c[j+112>>2]>>2]=d;c[c[(c[e>>2]|0)+112>>2]>>2]=k}d=hu(a,d)|0}while((d|0)!=0);d=gu(a)|0;if(d)do{e=at(a,d)|0;if(e)do{g=c[e>>2]&3;f=c[c[(c[(c[((g|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+112>>2]>>2]|0;g=c[c[(c[(c[((g|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+112>>2]>>2]|0;if((f|0)!=(g|0))Ou(ht(l,f,g,0,1)|0,178780,176,1)|0;e=ct(a,e)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0);k=dx(l,m,0)|0;if((c[m>>2]|0)>0){j=0;do{g=c[k+(j<<2)>>2]|0;d=gu(g)|0;if(d)do{e=at(a,c[c[(c[d+16>>2]|0)+112>>2]>>2]|0)|0;if(e)do{f=c[c[(c[(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+112>>2]>>2]|0;if((d|0)!=(f|0)){f=ht(l,d,f,0,1)|0;Ou(f,178780,176,1)|0;kt(g,f,1)|0}e=ct(a,e)|0}while((e|0)!=0);d=hu(g,d)|0}while((d|0)!=0);j=j+1|0}while((j|0)<(c[m>>2]|0))}d=gu(l)|0;if(d)do{e=at(l,d)|0;if(e)do{a=yz(8)|0;c[(c[e+16>>2]|0)+120>>2]=a;e=ct(l,e)|0}while((e|0)!=0);d=hu(l,d)|0}while((d|0)!=0);c[b>>2]=c[m>>2];i=n;return k|0}function al(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;j=i;i=i+48|0;b=j+32|0;g=j;if(vt(a)|0){h=$k(a,b)|0;f=c[b>>2]|0;b=c[h>>2]|0;do if((f|0)!=1){b=c[b+60>>2]|0;xx(a,2,8,g)|0;d=(f|0)>0;if(d)e=0;else{wx(f,h,b,g)|0;break}do{k=c[h+(e<<2)>>2]|0;oq(k,a);Jl(k)|0;e=e+1|0}while((e|0)<(f|0));wx(f,h,b,g)|0;if(d){b=0;do{dl(c[h+(b<<2)>>2]|0);b=b+1|0}while((b|0)<(f|0))}}else{oq(b,a);dl(c[h>>2]|0);Jl(a)|0}while(0);fQ(h)}i=j;return}function bl(a){a=a|0;if(vt(a)|0){_k(a);al(a);fQ(c[(c[(gu(a)|0)+16>>2]|0)+112>>2]|0);yj(a);tA(a)}return}function cl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;d=gu(a)|0;if(d){g=a+16|0;f=c[(c[g>>2]|0)+140>>2]|0;b=gu(f)|0;if(b)do{e=at(f,b)|0;if(e)do{fQ(c[(c[e+16>>2]|0)+120>>2]|0);e=ct(f,e)|0}while((e|0)!=0);e=b+16|0;fQ(c[(c[e>>2]|0)+112>>2]|0);fQ(c[(c[e>>2]|0)+132>>2]|0);b=hu(f,b)|0}while((b|0)!=0);ut(f)|0;do{b=at(a,d)|0;if(b)do{$C(b);b=ct(a,b)|0}while((b|0)!=0);OC(d);d=hu(a,d)|0}while((d|0)!=0);fQ(c[(c[g>>2]|0)+152>>2]|0);if((yu(a)|0)!=(a|0))Ru(a,0,178510)}return}function dl(a){a=a|0;var b=0,d=0,e=0;b=gu(a)|0;if(b)do{d=c[b+16>>2]|0;e=c[d+132>>2]|0;d=c[(c[(c[c[d+112>>2]>>2]|0)+16>>2]|0)+132>>2]|0;h[d>>3]=+h[e>>3];h[d+8>>3]=+h[e+8>>3];b=hu(a,b)|0}while((b|0)!=0);return}function el(d){d=d|0;var f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0;u=i;i=i+128|0;r=u+56|0;n=u+48|0;k=u+16|0;p=u+24|0;t=u+116|0;q=u;m=u+104|0;s=u+72|0;YC(d,2);f=lC(d,Is(d,0,131951,0)|0,2,2)|0;o=(lC(d,Is(d,0,131957,0)|0,f,2)|0)&65535;b[(c[(yu(d)|0)+16>>2]|0)+176>>1]=o;if((e[(c[(yu(d)|0)+16>>2]|0)+176>>1]|0)<10)j=b[(c[(yu(d)|0)+16>>2]|0)+176>>1]|0;else j=10;b[(c[(yu(d)|0)+16>>2]|0)+176>>1]=j;o=j&65535;c[13884]=o;b[(c[(yu(d)|0)+16>>2]|0)+178>>1]=(f|0)<(o|0)?f:o;f=gu(d)|0;if(f)do{bj(f);f=hu(d,f)|0}while((f|0)!=0);f=gu(d)|0;if(f)do{j=at(d,f)|0;if(j)do{Ou(j,178780,176,1)|0;FC(j)|0;j=ct(d,j)|0}while((j|0)!=0);f=hu(d,f)|0}while((f|0)!=0);l=(c[13884]|0)==2;j=l&1;if(vt(d)|0){o=hl()|0;f=o+108|0;c[r>>2]=c[f>>2];if((fj(d,2,r)|0)!=2)us(0,131961,k)|0;c[f>>2]=c[r>>2];h[o+24>>3]=+mC(d,Is(d,0,131994,0)|0,-1.0,0.0);h[o>>3]=-+mC(d,Is(d,0,131996,0)|0,1.0001234,0.0);c[o+40>>2]=lC(d,Is(d,0,132011,0)|0,2147483647,0)|0;f=Is(d,0,132018,0)|0;do if(f){f=Rs(d,f)|0;k=a[f>>0]|0;if((k+-48|0)>>>0<10){f=NO(f)|0;f=(f|0)<5?f:0;break}if(HM(k)|0)if(YO(f,132028)|0)if(YO(f,132037)|0)if(YO(f,176797)|0)if(!(YO(f,132048)|0))f=3;else{f=(YO(f,132059)|0)==0;f=f?4:0}else f=0;else f=1;else f=2;else f=0}else f=0;while(0);c[o+120>>2]=f;f=Is(d,0,132066,0)|0;do if(f){f=Rs(d,f)|0;k=a[f>>0]|0;if((k+-48|0)>>>0<10){f=NO(f)|0;f=f>>>0<3?f:1;break}if(HM(k)|0)if((YO(f,176797)|0)!=0?(YO(f,178372)|0)!=0:0)if(((YO(f,140666)|0)!=0?(YO(f,149038)|0)!=0:0)?(YO(f,149043)|0)!=0:0){f=(YO(f,132075)|0)==0;f=f?2:1}else f=1;else f=0;else f=1}else f=1;while(0);c[o+132>>2]=f;c[o+136>>2]=0;c[o+112>>2]=(BC(Qs(d,132080)|0,0)|0)&255;c[o+128>>2]=(BC(Qs(d,132089)|0,1)|0)&255;h[o+152>>3]=+mC(d,Is(d,0,132104,0)|0,0.0,-1797693134862315708145274.0e284);f=lC(d,Is(d,0,132113,0)|0,0,0)|0;k=o+160|0;c[k>>2]=f;if((f|0)>4){c[n>>2]=f;us(0,132126,n)|0;c[k>>2]=0}Gl(d,p,0)|0;do if(l&(c[p>>2]|0)==18){c[o+124>>2]=c[p+8>>2];h[o+144>>3]=+h[p+16>>3];Kl(m,d);if(!(a[m+8>>0]|0)){h[q>>3]=.05555555555555555;h[q+8>>3]=.05555555555555555;j=0;break}else{v=+g[m+4>>2];h[q>>3]=+g[m>>2]/72.0;h[q+8>>3]=v/72.0;j=0;break}}else c[o+124>>2]=-1;while(0);if(a[142275]|0)jl(o);l=dx(d,t,0)|0;if((c[t>>2]|0)==1){c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];c[r+12>>2]=c[q+12>>2];gl(d,o,r);if(j)Hl(d,p)|0;yj(d)}else{xx(d,2,8,s)|0;c[s+12>>2]=1;f=c[t>>2]|0;if((f|0)>0){j=(j|0)==0;k=0;do{f=c[l+(k<<2)>>2]|0;hx(f)|0;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];c[r+12>>2]=c[q+12>>2];gl(f,o,r);if(!j)Hl(f,p)|0;YC(f,2);yj(f);k=k+1|0;f=c[t>>2]|0}while((k|0)<(f|0))}wx(f,l,d,s)|0}if((c[t>>2]|0)>0){f=0;do{wu(d,c[l+(f<<2)>>2]|0)|0;f=f+1|0}while((f|0)<(c[t>>2]|0))}fQ(l);il(o)}tA(d);i=u;return}function fl(a){a=a|0;var b=0,c=0;b=gu(a)|0;if(b)do{c=at(a,b)|0;if(c)do{$C(c);c=ct(a,c)|0}while((c|0)!=0);OC(b);b=hu(a,b)|0}while((b|0)!=0);return}function gl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+48|0;g=u;s=u+32|0;o=u+28|0;n=u+24|0;t=u+20|0;r=u+16|0;c[n>>2]=0;c[t>>2]=0;c[r>>2]=0;l=d+136|0;f=c[13884]|0;if((c[l>>2]|0)==1)q=El(b,f,r)|0;else q=El(b,f,0)|0;do if((c[d+124>>2]|0)>-1)if((c[d+160>>2]|0)>0){c[g>>2]=c[e>>2];c[g+4>>2]=c[e+4>>2];c[g+8>>2]=c[e+8>>2];c[g+12>>2]=c[e+12>>2];p=Dl(b,g,n,t)|0;break}else{c[g>>2]=c[e>>2];c[g+4>>2]=c[e+4>>2];c[g+8>>2]=c[e+8>>2];c[g+12>>2]=c[e+12>>2];p=Dl(b,g,0,0)|0;break}else p=0;while(0);k=c[13884]|0;k=yz(_(k<<3,vt(b)|0)|0)|0;if((Is(b,1,143694,0)|0)!=0?(j=gu(b)|0,(j|0)!=0):0)do{f=c[j+16>>2]|0;e=c[f+120>>2]|0;if((a[f+119>>0]|0)!=0?(m=c[13884]|0,(m|0)>0):0){g=c[f+132>>2]|0;f=_(m,e)|0;e=0;do{h[k+(e+f<<3)>>3]=+h[g+(e<<3)>>3];e=e+1|0}while((e|0)!=(m|0))}j=hu(b,j)|0}while((j|0)!=0);c[s>>2]=k;switch(c[l>>2]|0){case 1:case 0:{wl(c[13884]|0,q,c[r>>2]|0,d,0,p,k,c[n>>2]|0,c[t>>2]|0,o);break}case 5:{Cl(c[13884]|0,q,k,o);break}case 4:{f=c[r>>2]|0;if(!f)f=Zp(q)|0;else f=Np(f,0)|0;c[r>>2]=f;zl(c[13884]|0,q,f,s,1,200,.001,o);break}default:{}}f=gu(b)|0;if(f)do{j=c[s>>2]|0;k=c[13884]|0;e=c[f+16>>2]|0;l=_(c[e+120>>2]|0,k)|0;if((k|0)>0){e=c[e+132>>2]|0;g=0;do{h[e+(g<<3)>>3]=+h[j+(g+l<<3)>>3];g=g+1|0}while((g|0)<(k|0))}f=hu(b,f)|0}while((f|0)!=0);fQ(p);fQ(c[s>>2]|0);Hp(q);f=c[r>>2]|0;if(f)Hp(f);f=c[t>>2]|0;if(f)fQ(f);i=u;return}function hl(){var a=0,b=0;a=zz(168)|0;h[a>>3]=-1.0001234;h[a+8>>3]=1.0;c[a+16>>2]=1;h[a+24>>3]=-1.0;h[a+32>>3]=.2;c[a+40>>2]=0;c[a+44>>2]=4;c[a+48>>2]=1;c[a+52>>2]=45;c[a+56>>2]=10;h[a+64>>3]=.6;h[a+72>>3]=.001;c[a+80>>2]=500;h[a+88>>3]=.9;h[a+96>>3]=.1;c[a+104>>2]=1;c[a+108>>2]=123;b=a+112|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[a+128>>2]=1;c[a+132>>2]=3;c[a+136>>2]=0;h[a+144>>3]=-4.0;h[a+152>>3]=0.0;c[a+160>>2]=0;return a|0}function il(a){a=a|0;fQ(a);return}function jl(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=i;i=i+176|0;d=b+160|0;f=b+152|0;g=b+128|0;l=b+112|0;k=b+88|0;m=b+64|0;n=b+56|0;o=b+40|0;q=b+24|0;p=b+16|0;r=b;e=c[24809]|0;AO(132160,27,1,e)|0;j=+h[a+8>>3];h[r>>3]=+h[a>>3];h[r+8>>3]=j;pO(e,132188,r)|0;r=c[a+108>>2]|0;c[p>>2]=c[a+16>>2];c[p+4>>2]=r;pO(e,132239,p)|0;j=+h[a+32>>3];h[q>>3]=+h[a+24>>3];h[q+8>>3]=j;pO(e,132266,q)|0;q=c[a+44>>2]|0;p=c[a+48>>2]|0;c[o>>2]=c[a+40>>2];c[o+4>>2]=q;c[o+8>>2]=p;pO(e,132289,o)|0;o=c[a+56>>2]|0;c[n>>2]=c[a+52>>2];c[n+4>>2]=o;pO(e,132340,n)|0;j=+h[a+72>>3];n=c[a+80>>2]|0;h[m>>3]=+h[a+64>>3];h[m+8>>3]=j;c[m+16>>2]=n;pO(e,132373,m)|0;j=+h[a+96>>3];m=c[a+104>>2]|0;h[k>>3]=+h[a+88>>3];h[k+8>>3]=j;c[k+16>>2]=m;pO(e,132431,k)|0;k=c[a+116>>2]|0;j=+h[a+152>>3];c[l>>2]=c[a+112>>2];c[l+4>>2]=k;h[l+8>>3]=j;pO(e,132477,l)|0;l=c[a+124>>2]|0;k=c[a+128>>2]|0;j=+h[a+144>>3];c[g>>2]=c[51496+(c[a+120>>2]<<2)>>2];c[g+4>>2]=l;c[g+8>>2]=k;h[g+16>>3]=j;pO(e,132530,g)|0;g=c[51540+(c[a+136>>2]<<2)>>2]|0;c[f>>2]=c[51524+(c[a+132>>2]<<2)>>2];c[f+4>>2]=g;pO(e,132595,f)|0;c[d>>2]=c[a+160>>2];pO(e,132625,d)|0;i=b;return}function kl(a,b){a=a|0;b=+b;var d=0,e=0,f=0;e=c[a>>2]|0;h[a+8+(e<<3)>>3]=b;f=a+176|0;a:do switch(c[f>>2]|0){case 0:{d=c[a>>2]|0;if((d|0)==20){c[f>>2]=-1;c[a>>2]=19;break a}else{c[f>>2]=1;c[a>>2]=(d|0)>19?20:d+1|0;break a}}case 1:{d=c[a>>2]|0;if((d|0)<20?+h[a+8+(e+-1<<3)>>3]>b:0){c[a>>2]=d+1;break a}else{c[a>>2]=d+-1;c[f>>2]=-1;break a}}default:{d=c[a>>2]|0;if((d|0)>0?+h[a+8+(e+1<<3)>>3]>b:0){c[a>>2]=d+-1;break a}else{c[a>>2]=d+1;c[f>>2]=1;break a}}}while(0);return}function ll(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,g=0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0;o=c[a+20>>2]|0;p=c[a+24>>2]|0;l=c[a>>2]|0;q=c[o+(l<<2)>>2]|0;if(!q)e=1.0;else{if((l|0)>0){m=(b|0)>0;k=c[o>>2]|0;e=0.0;n=0;do{a=n;n=n+1|0;g=k;k=c[o+(n<<2)>>2]|0;if((g|0)<(k|0)){j=_(a,b)|0;do{if(m){i=+h[d+((_(c[p+(g<<2)>>2]|0,b)|0)<<3)>>3];f=0.0;a=0;do{r=+h[d+(a+j<<3)>>3]-i;f=f+r*r;a=a+1|0}while((a|0)!=(b|0))}else f=0.0;e=e+ +O(+f);g=g+1|0}while((g|0)<(k|0))}}while((n|0)<(l|0))}else e=0.0;e=e/+(q|0)}return +e}function ml(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,i=0;i=_(d,b)|0;d=_(c,b)|0;g=+h[a+(i<<3)>>3]-+h[a+(d<<3)>>3];f=+h[a+(i+1<<3)>>3]-+h[a+(d+1<<3)>>3];do if(!((g>=0.0?g:-g)<=(f>=0.0?f:-f)*1.0e-05)){e=+V(+(f/g));if(g>0.0){if(!(f<0.0))break;e=e+6.283185307179586;break}else{if(!(g<0.0))break;e=e+3.141592653589793;break}}else e=f>0.0?1.5707963267948966:4.71238898038469;while(0);return +e}function nl(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;d=+h[a>>3];c=+h[b>>3];return (d>c?1:(d<c)<<31>>31)|0}function ol(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0.0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0;ca=i;i=i+80|0;$=ca+32|0;Z=ca;q=+h[e>>3];m=e+24|0;n=+h[m>>3];p=e+32|0;l=+h[p>>3];X=+h[e+72>>3];Y=c[e+80>>2]|0;U=+h[e+88>>3];s=+h[e+96>>3];r=c[e+104>>2]|0;aa=e+56|0;k=c[aa>>2]|0;do if(!((d|0)==0|(Y|0)<1)?(V=c[d+4>>2]|0,!((b|0)<1|(V|0)<1)):0){W=c[d>>2]|0;ba=zz(184)|0;c[ba>>2]=k;c[ba+176>>2]=0;c[j>>2]=0;if((W|0)!=(V|0)){c[j>>2]=-100;fQ(ba);c[aa>>2]=k;break}W=Ip(d,1)|0;R=c[W+20>>2]|0;S=c[W+24>>2]|0;if((c[e+16>>2]|0)!=0?(LN(c[e+108>>2]|0),o=_(V,b)|0,(o|0)>0):0){k=0;do{h[g+(k<<3)>>3]=+dq();k=k+1|0}while((k|0)!=(o|0))}if(n<0.0){n=+ll(W,b,g);h[m>>3]=n}if(l<0.0){h[p>>3]=.2;l=.2}if(q>=0.0){h[e>>3]=-1.0;q=-1.0}M=+P(+n,+(1.0-q));F=+P(+l,+((2.0-q)/3.0))/n;G=_(V,b<<3)|0;N=zz(G)|0;Q=zz(G)|0;H=e+116|0;I=e+64|0;J=(V|0)>0;K=c[24809]|0;L=W+8|0;z=(r|0)==0;A=Z+8|0;B=Z+16|0;C=(b|0)>0;D=0.0;E=0;l=s;while(1){E=E+1|0;rQ(N|0,g|0,G|0)|0;k=c[ba>>2]|0;if(!(c[H>>2]|0))y=xp(b,V,k,g,0)|0;else y=xp(b,V,k,g,f)|0;wp(y,Q,g,+h[I>>3],q,M,Z,j);if(J){o=c[R>>2]|0;x=0;while(1){u=_(x,b)|0;w=x;x=x+1|0;v=R+(x<<2)|0;m=c[v>>2]|0;if((o|0)<(m|0))do{r=S+(o<<2)|0;p=c[r>>2]|0;if((p|0)!=(w|0)){s=+lq(g,b,w,p);if(C){m=_(c[r>>2]|0,b)|0;p=0;do{da=p+u|0;r=Q+(da<<3)|0;h[r>>3]=+h[r>>3]-s*(F*(+h[g+(da<<3)>>3]-+h[g+(m+p<<3)>>3]));p=p+1|0}while((p|0)!=(b|0))}m=c[v>>2]|0}o=o+1|0}while((o|0)<(m|0));if((x|0)==(V|0))break;else o=m}if(J){s=0.0;p=0;do{o=_(p,b)|0;if(C){t=0.0;m=0;do{ea=+h[Q+(m+o<<3)>>3];t=t+ea*ea;m=m+1|0}while((m|0)!=(b|0))}else t=0.0;t=+O(+t);s=s+t;if(t>0.0){if(C){m=0;do{da=Q+(m+o<<3)|0;h[da>>3]=+h[da>>3]/t;m=m+1|0}while((m|0)!=(b|0));T=33}}else T=33;if((T|0)==33?(T=0,C):0){m=0;do{x=m+o|0;da=g+(x<<3)|0;h[da>>3]=+h[da>>3]+l*+h[Q+(x<<3)>>3];m=m+1|0}while((m|0)!=(b|0))}p=p+1|0}while((p|0)!=(V|0))}else s=0.0}else s=0.0;if(!y){if(a[142275]|0){da=c[L>>2]|0;c[$>>2]=E;h[$+8>>3]=l;h[$+16>>3]=s;c[$+24>>2]=da;h[$+32>>3]=n;pO(K,132652,$)|0}}else{zp(y);kl(ba,+h[Z>>3]+ +h[A>>3]*.85+ +h[B>>3]*3.3)}do if(!z){if(s>=D){l=U*l;break}if(!(D*.95<s))l=l*.99/U}else l=U*l;while(0);if(!((E|0)<(Y|0)&l>X))break;else D=s}if(c[e+112>>2]|0)xl(b,W,g);fQ(ba);c[aa>>2]=k;if(N)fQ(N);if((W|0)!=(d|0))Hp(W);if(Q)fQ(Q)}while(0);i=ca;return}function pl(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0;p=+h[d>>3];m=d+24|0;l=+h[m>>3];o=d+32|0;k=+h[o>>3];W=+h[d+72>>3];X=c[d+80>>2]|0;T=+h[d+88>>3];s=+h[d+96>>3];r=c[d+104>>2]|0;i=c[d+56>>2]|0;AO(132751,32,1,c[24809]|0)|0;if(!((b|0)==0|(X|0)<1)?(U=c[b>>2]|0,j=c[b+4>>2]|0,!((a|0)<1|(j|0)<1)):0){q=a<<3;V=zz(_(q,j)|0)|0;if((j|0)<(c[d+52>>2]|0)){N=0;Q=0;R=0}else{N=zz(184)|0;c[N>>2]=i;c[N+176>>2]=0;N=zz(a*80|0)|0;Q=zz(80)|0;R=zz(80)|0}c[g>>2]=0;if((U|0)==(j|0)){K=Ip(b,1)|0;L=c[K+20>>2]|0;M=c[K+24>>2]|0;if((c[d+16>>2]|0)!=0?(LN(c[d+108>>2]|0),n=_(U,a)|0,(n|0)>0):0){i=0;do{h[f+(i<<3)>>3]=+dq();i=i+1|0}while((i|0)!=(n|0))}if(l<0.0){l=+ll(K,a,f);h[m>>3]=l}if(k<0.0){h[o>>3]=.2;k=.2}if(p>=0.0){h[d>>3]=-1.0;p=-1.0}I=1.0-p;J=+P(+l,+I);G=+P(+k,+((2.0-p)/3.0))/l;H=zz(q)|0;C=_(U,q)|0;D=zz(C)|0;u=_(U,a)|0;E=(u|0)>0;F=(U|0)>0;y=(r|0)==0;z=(a|0)>0;A=d+116|0;B=(e|0)!=0;t=p==-1.0;u=u<<3;v=a<<3;w=0.0;x=0;k=s;while(1){if(E)tQ(V|0,0,u|0)|0;x=x+1|0;rQ(D|0,f|0,C|0)|0;if(F){o=0;do{if(z)tQ(H|0,0,v|0)|0;n=_(o,a)|0;if(B&(c[A>>2]|0)!=0){g=0;do{do if((g|0)!=(o|0)){l=+kq(f,a,o,g);if(!z)break;i=e+(g<<3)|0;j=_(g,a)|0;p=l*l;m=0;do{s=J*+h[i>>3]*(+h[f+(m+n<<3)>>3]-+h[f+(m+j<<3)>>3]);if(t){r=H+(m<<3)|0;h[r>>3]=s/p+ +h[r>>3]}else{s=s/+P(+l,+I);r=H+(m<<3)|0;h[r>>3]=s+ +h[r>>3]}m=m+1|0}while((m|0)!=(a|0))}while(0);g=g+1|0}while((g|0)!=(U|0))}else{j=0;do{do if((j|0)!=(o|0)){l=+kq(f,a,o,j);if(!z)break;i=_(j,a)|0;p=l*l;g=0;do{s=J*(+h[f+(g+n<<3)>>3]-+h[f+(g+i<<3)>>3]);if(t){r=H+(g<<3)|0;h[r>>3]=s/p+ +h[r>>3]}else{s=s/+P(+l,+I);r=H+(g<<3)|0;h[r>>3]=s+ +h[r>>3]}g=g+1|0}while((g|0)!=(a|0))}while(0);j=j+1|0}while((j|0)!=(U|0))}if(z){i=_(o,a)|0;j=0;do{r=V+(j+i<<3)|0;h[r>>3]=+h[H+(j<<3)>>3]+ +h[r>>3];j=j+1|0}while((j|0)!=(a|0))}o=o+1|0}while((o|0)!=(U|0));if(F){r=0;do{if(z)tQ(H|0,0,v|0)|0;j=c[L+(r<<2)>>2]|0;q=r;r=r+1|0;n=L+(r<<2)|0;i=c[n>>2]|0;if((j|0)<(i|0)){o=_(q,a)|0;do{m=M+(j<<2)|0;g=c[m>>2]|0;if((g|0)!=(q|0)){l=+lq(f,a,q,g);if(z){i=_(c[m>>2]|0,a)|0;g=0;do{m=H+(g<<3)|0;h[m>>3]=+h[m>>3]-l*(G*(+h[f+(g+o<<3)>>3]-+h[f+(i+g<<3)>>3]));g=g+1|0}while((g|0)!=(a|0))}i=c[n>>2]|0}j=j+1|0}while((j|0)<(i|0))}if(z){i=_(q,a)|0;j=0;do{q=V+(j+i<<3)|0;h[q>>3]=+h[H+(j<<3)>>3]+ +h[q>>3];j=j+1|0}while((j|0)!=(a|0))}}while((r|0)!=(U|0));if(F){l=0.0;g=0;do{if(z){i=_(g,a)|0;j=0;do{h[H+(j<<3)>>3]=+h[V+(j+i<<3)>>3];j=j+1|0}while((j|0)!=(a|0));if(z){p=0.0;i=0;do{s=+h[H+(i<<3)>>3];p=p+s*s;i=i+1|0}while((i|0)!=(a|0))}else p=0.0}else p=0.0;p=+O(+p);l=l+p;do if(p>0.0){if(z)i=0;else break;do{S=H+(i<<3)|0;h[S>>3]=+h[S>>3]/p;i=i+1|0}while((i|0)!=(a|0));S=66}else S=66;while(0);do if((S|0)==66){S=0;if(!z)break;i=_(g,a)|0;j=0;do{r=f+(j+i<<3)|0;h[r>>3]=+h[r>>3]+k*+h[H+(j<<3)>>3];j=j+1|0}while((j|0)!=(a|0))}while(0);g=g+1|0}while((g|0)!=(U|0))}else l=0.0}else l=0.0}else l=0.0;do if(!y){if(l>=w){k=T*k;break}if(!(w*.95<l))k=k*.99/T}else k=T*k;while(0);if(!((x|0)<(X|0)&k>W))break;else w=l}if(c[d+112>>2]|0)xl(a,K,f);if(D)fQ(D);if((K|0)!=(b|0))Hp(K);if(H)fQ(H)}else c[g>>2]=-100;if(N)fQ(N);if(Q)fQ(Q);if(R)fQ(R);fQ(V)}return}function ql(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Y=0,Z=0,$=0.0,aa=0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;na=i;i=i+32|0;ea=na+24|0;fa=na+20|0;ka=na+16|0;la=na+12|0;ma=na+8|0;da=na;r=+h[d>>3];k=d+24|0;o=+h[k>>3];q=d+32|0;n=+h[q>>3];ba=+h[d+72>>3];ca=c[d+80>>2]|0;$=+h[d+88>>3];t=+h[d+96>>3];s=c[d+104>>2]|0;c[ea>>2]=0;c[fa>>2]=10;c[ka>>2]=0;c[la>>2]=0;c[ma>>2]=0;h[da>>3]=0.0;ha=d+56|0;m=c[ha>>2]|0;if(!((b|0)==0|(ca|0)<1)?(aa=c[b>>2]|0,j=c[b+4>>2]|0,!((a|0)<1|(j|0)<1)):0){if((j|0)<(c[d+52>>2]|0)){ga=0;ia=0}else{ia=zz(184)|0;c[ia>>2]=m;c[ia+176>>2]=0;ga=c[fa>>2]|0;c[ka>>2]=zz(_(a<<3,ga)|0)|0;ga=ga<<3;c[la>>2]=zz(ga)|0;c[ma>>2]=zz(ga)|0;ga=1}c[g>>2]=0;a:do if((aa|0)==(j|0)){l=Ip(b,1)|0;Y=c[l+20>>2]|0;Z=c[l+24>>2]|0;if((c[d+16>>2]|0)!=0?(LN(c[d+108>>2]|0),p=_(aa,a)|0,(p|0)>0):0){j=0;do{h[f+(j<<3)>>3]=+dq();j=j+1|0}while((j|0)!=(p|0))}if(o<0.0){o=+ll(l,a,f);h[k>>3]=o}if(n<0.0){h[q>>3]=.2;n=.2}if(r>=0.0){h[d>>3]=-1.0;r=-1.0}W=1.0-r;X=+P(+o,+W);R=+P(+n,+((2.0-r)/3.0))/o;S=a<<3;k=zz(S)|0;S=_(aa,S)|0;j=zz(S)|0;T=(ga|0)!=0;U=d+116|0;V=(aa|0)>0;L=(s|0)==0;M=+(aa|0);N=(a|0)>0;Q=d+64|0;G=r==-1.0;H=(e|0)!=0;I=a<<3;J=0.0;K=0;p=0;n=t;while(1){K=K+1|0;rQ(j|0,f|0,S|0)|0;do if(T){p=c[ia>>2]|0;if(!(c[U>>2]|0)){m=p;p=xp(a,aa,p,f,0)|0;break}else{m=p;p=xp(a,aa,p,f,e)|0;break}}while(0);if(V){D=0.0;r=0.0;F=0;o=0.0;while(1){if(N)tQ(k|0,0,I|0)|0;s=c[Y+(F<<2)>>2]|0;E=F;F=F+1|0;y=Y+(F<<2)|0;q=c[y>>2]|0;if((s|0)<(q|0)){z=_(E,a)|0;do{x=Z+(s<<2)|0;v=c[x>>2]|0;if((v|0)!=(E|0)){t=+lq(f,a,E,v);if(N){q=_(c[x>>2]|0,a)|0;v=0;do{C=k+(v<<3)|0;h[C>>3]=+h[C>>3]-t*(R*(+h[f+(v+z<<3)>>3]-+h[f+(q+v<<3)>>3]));v=v+1|0}while((v|0)!=(a|0))}q=c[y>>2]|0}s=s+1|0}while((s|0)<(q|0))}do if(!T){y=_(E,a)|0;if(H&(c[U>>2]|0)!=0){v=0;do{do if((v|0)!=(E|0)){t=+kq(f,a,E,v);if(!N)break;q=e+(v<<3)|0;s=_(v,a)|0;u=t*t;x=0;do{w=X*+h[q>>3]*(+h[f+(x+y<<3)>>3]-+h[f+(x+s<<3)>>3]);if(G){C=k+(x<<3)|0;h[C>>3]=w/u+ +h[C>>3]}else{w=w/+P(+t,+W);C=k+(x<<3)|0;h[C>>3]=w+ +h[C>>3]}x=x+1|0}while((x|0)!=(a|0))}while(0);v=v+1|0}while((v|0)!=(aa|0))}else{s=0;do{do if((s|0)!=(E|0)){t=+kq(f,a,E,s);if(!N)break;q=_(s,a)|0;u=t*t;v=0;do{w=X*(+h[f+(v+y<<3)>>3]-+h[f+(v+q<<3)>>3]);if(G){C=k+(v<<3)|0;h[C>>3]=w/u+ +h[C>>3]}else{w=w/+P(+t,+W);C=k+(v<<3)|0;h[C>>3]=w+ +h[C>>3]}v=v+1|0}while((v|0)!=(a|0))}while(0);s=s+1|0}while((s|0)!=(aa|0))}}else{C=_(E,a)|0;vp(p,+h[Q>>3],f+(C<<3)|0,E,ea,fa,ka,la,ma,da,g);r=r+ +h[da>>3];B=c[ea>>2]|0;o=o+ +(B|0);if(c[g>>2]|0){ja=81;break a}if((B|0)<=0)break;q=c[ma>>2]|0;s=c[la>>2]|0;v=c[ka>>2]|0;z=0;do{t=+h[q+(z<<3)>>3];t=t>1.0e-15?t:1.0e-15;if(N){x=s+(z<<3)|0;y=_(z,a)|0;u=t*t;A=0;do{w=X*+h[x>>3]*(+h[f+(A+C<<3)>>3]-+h[v+(A+y<<3)>>3]);if(G){oa=k+(A<<3)|0;h[oa>>3]=w/u+ +h[oa>>3]}else{w=w/+P(+t,+W);oa=k+(A<<3)|0;h[oa>>3]=w+ +h[oa>>3]}A=A+1|0}while((A|0)!=(a|0))}z=z+1|0}while((z|0)<(B|0))}while(0);if(N){t=0.0;q=0;do{w=+h[k+(q<<3)>>3];t=t+w*w;q=q+1|0}while((q|0)!=(a|0))}else t=0.0;u=+O(+t);t=D+u;do if(u>0.0){if(N)q=0;else break;do{oa=k+(q<<3)|0;h[oa>>3]=+h[oa>>3]/u;q=q+1|0}while((q|0)!=(a|0));ja=65}else ja=65;while(0);do if((ja|0)==65){ja=0;if(!N)break;q=_(E,a)|0;s=0;do{oa=f+(s+q<<3)|0;h[oa>>3]=+h[oa>>3]+n*+h[k+(s<<3)>>3];s=s+1|0}while((s|0)!=(a|0))}while(0);if((F|0)>=(aa|0))break;else D=t}}else{t=0.0;r=0.0;o=0.0}if(p){zp(p);kl(ia,r/M+o/M*5.0)}do if(!L){if(t>=J){n=$*n;break}if(!(J*.95<t))n=n*.99/$}else n=$*n;while(0);if(!((K|0)<(ca|0)&n>ba))break;else J=t}if(!(c[d+112>>2]|0))ja=80;else{xl(a,l,f);ja=80}}else{c[g>>2]=-100;l=b;k=0;j=0;ja=80}while(0);if((ja|0)==80)if(ga)ja=81;if((ja|0)==81){fQ(ia);c[ha>>2]=m}if(j)fQ(j);if((l|0)!=(b|0))Hp(l);if(k)fQ(k);j=c[ka>>2]|0;if(j)fQ(j);j=c[la>>2]|0;if(j)fQ(j);j=c[ma>>2]|0;if(j)fQ(j)}i=na;return}function rl(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;k=k|0;var l=0,m=0.0,n=0,o=0.0,p=0.0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;la=i;i=i+64|0;y=la+24|0;q=la+8|0;ha=la+48|0;ia=la+44|0;fa=la+40|0;ja=la+36|0;ka=la+32|0;ga=la;z=+h[e>>3];x=e+32|0;A=+h[x>>3];ca=+h[e+72>>3];da=c[e+80>>2]|0;ea=+h[e+88>>3];D=+h[e+96>>3];C=c[e+104>>2]|0;c[ha>>2]=0;c[ia>>2]=10;c[fa>>2]=0;c[ja>>2]=0;c[ka>>2]=0;h[ga>>3]=0.0;if(!((b|0)==0|(da|0)<1)?(ba=c[b>>2]|0,l=c[b+4>>2]|0,!((a|0)<1|(l|0)<1)):0){if((c[e+132>>2]|0)!=0?(l|0)>=(c[e+52>>2]|0):0){c[fa>>2]=zz(a*80|0)|0;c[ja>>2]=zz(80)|0;c[ka>>2]=zz(80)|0;B=1}else B=0;c[k>>2]=0;if((ba|0)==(l|0)){$=Ip(b,1)|0;if(!d){l=$;Y=0}else{l=d;Y=c[d+28>>2]|0}Z=c[l+24>>2]|0;X=c[l+20>>2]|0;if(j<0.0){if(!Y){m=1.0;l=c[X+(ba<<2)>>2]|0}else{if((ba|0)>0){d=c[X>>2]|0;m=0.0;n=0;do{n=n+1|0;l=d;d=c[X+(n<<2)>>2]|0;if((l|0)<(d|0))do{m=m+ +h[Y+(l<<3)>>3];l=l+1|0}while((l|0)!=(d|0))}while((n|0)!=(ba|0))}else m=0.0;l=c[X+(ba<<2)>>2]|0;m=m/+(l|0)}W=+(l|0);I=+(ba|0);W=W/(I*I-W)*j/+P(+m,+(z+1.0));V=c[24809]|0;h[q>>3]=m;h[q+8>>3]=W;pO(V,132784,q)|0}else W=j;if((c[e+16>>2]|0)!=0?(AO(132806,24,1,c[24809]|0)|0,LN(c[e+108>>2]|0),r=_(ba,a)|0,(r|0)>0):0){l=0;do{h[g+(l<<3)>>3]=+dq();l=l+1|0}while((l|0)!=(r|0))}V=(ba|0)>0;if(V){u=(Y|0)==0;v=(a|0)>0;o=1.0;d=c[X>>2]|0;w=0;j=0.0;m=0.0;while(1){r=w;w=w+1|0;q=X+(w<<2)|0;l=c[q>>2]|0;if((d|0)<(l|0)){n=l;while(1){l=c[Z+(d<<2)>>2]|0;if((l|0)==(r|0))l=n;else{p=+kq(g,a,r,l);if(u)t=o;else t=+h[Y+(d<<3)>>3];o=1.0/(t*t);if(v){s=p*(t*o);o=p*(p*o);l=0;do{m=s+m;j=o+j;l=l+1|0}while((l|0)!=(a|0))}o=t;l=c[q>>2]|0}d=d+1|0;if((d|0)>=(l|0))break;else n=l}}if((w|0)==(ba|0))break;else d=l}}else{j=0.0;m=0.0}m=m/j;l=_(ba,a)|0;if((l|0)>0){d=0;do{U=g+(d<<3)|0;h[U>>3]=m*+h[U>>3];d=d+1|0}while((d|0)!=(l|0))}U=c[24809]|0;h[y>>3]=m;pO(U,132831,y)|0;if(A<0.0)h[x>>3]=.2;if(!(z>=0.0))m=z;else{h[e>>3]=-1.0;m=-1.0}T=a<<3;S=zz(T)|0;T=_(ba,T)|0;U=zz(T)|0;Q=(B|0)!=0;R=e+116|0;K=(C|0)==0;L=(a|0)>0;M=e+64|0;N=m==-1.0;A=1.0-m;E=(f|0)!=0;F=(Y|0)==0;G=e+8|0;H=a<<3;I=0.0;m=1.0;J=0;l=0;j=D;a:while(1){J=J+1|0;rQ(U|0,g|0,T|0)|0;do if(Q)if(!(c[R>>2]|0)){l=xp(a,ba,10,g,0)|0;break}else{l=xp(a,ba,10,g,f)|0;break}while(0);if(V){z=0.0;C=0;while(1){if(L)tQ(S|0,0,H|0)|0;d=c[X+(C<<2)>>2]|0;B=C;C=C+1|0;v=X+(C<<2)|0;if((d|0)<(c[v>>2]|0)){w=_(B,a)|0;do{u=Z+(d<<2)|0;n=c[u>>2]|0;do if((n|0)!=(B|0)){t=+kq(g,a,B,n);if(!F)m=+h[Y+(d<<3)>>3];o=+h[G>>3];b:do if(o==2.0){o=1.0/(m*(m*m));if(!L)break;n=_(c[u>>2]|0,a)|0;p=t-m;q=0;do{y=S+(q<<3)|0;h[y>>3]=-(p*(p*(o*(+h[g+(q+w<<3)>>3]-+h[g+(n+q<<3)>>3]))))/t+ +h[y>>3];q=q+1|0}while((q|0)!=(a|0))}else{if(o==1.0){o=1.0/(m*m);if(!L)break;n=_(c[u>>2]|0,a)|0;p=t-m;q=0;while(1){y=S+(q<<3)|0;h[y>>3]=-(p*(o*(+h[g+(q+w<<3)>>3]-+h[g+(n+q<<3)>>3])))/t+ +h[y>>3];q=q+1|0;if((q|0)==(a|0))break b}}p=1.0/+P(+m,+(o+1.0));if(!L)break;q=_(c[u>>2]|0,a)|0;s=t-m;n=0;while(1){D=-(p*(+h[g+(n+w<<3)>>3]-+h[g+(q+n<<3)>>3])*+P(+s,+o))/t;y=S+(n<<3)|0;h[y>>3]=D+ +h[y>>3];n=n+1|0;if((n|0)==(a|0))break b;o=+h[G>>3]}}while(0);if(E&(c[R>>2]|0)!=0){if(!L)break;r=f+(d<<3)|0;n=_(c[u>>2]|0,a)|0;o=t*t;q=0;do{p=W*+h[r>>3]*(+h[g+(q+w<<3)>>3]-+h[g+(n+q<<3)>>3]);if(N){y=S+(q<<3)|0;h[y>>3]=+h[y>>3]-p/o}else{D=p/+P(+t,+A);y=S+(q<<3)|0;h[y>>3]=+h[y>>3]-D}q=q+1|0}while((q|0)!=(a|0))}else{if(!L)break;n=_(c[u>>2]|0,a)|0;o=t*t;q=0;do{p=W*(+h[g+(q+w<<3)>>3]-+h[g+(n+q<<3)>>3]);if(N){y=S+(q<<3)|0;h[y>>3]=+h[y>>3]-p/o}else{D=p/+P(+t,+A);y=S+(q<<3)|0;h[y>>3]=+h[y>>3]-D}q=q+1|0}while((q|0)!=(a|0))}}while(0);d=d+1|0}while((d|0)<(c[v>>2]|0))}do if(!Q){u=_(B,a)|0;if(E&(c[R>>2]|0)!=0){q=0;do{do if((q|0)!=(B|0)){o=+kq(g,a,B,q);if(!L)break;d=f+(q<<3)|0;n=_(q,a)|0;p=o*o;r=0;do{s=W*+h[d>>3]*(+h[g+(r+u<<3)>>3]-+h[g+(r+n<<3)>>3]);if(N){y=S+(r<<3)|0;h[y>>3]=s/p+ +h[y>>3]}else{D=s/+P(+o,+A);y=S+(r<<3)|0;h[y>>3]=D+ +h[y>>3]}r=r+1|0}while((r|0)!=(a|0))}while(0);q=q+1|0}while((q|0)!=(ba|0))}else{n=0;do{do if((n|0)!=(B|0)){o=+kq(g,a,B,n);if(!L)break;d=_(n,a)|0;p=o*o;q=0;do{s=W*(+h[g+(q+u<<3)>>3]-+h[g+(q+d<<3)>>3]);if(N){y=S+(q<<3)|0;h[y>>3]=s/p+ +h[y>>3]}else{D=s/+P(+o,+A);y=S+(q<<3)|0;h[y>>3]=D+ +h[y>>3]}q=q+1|0}while((q|0)!=(a|0))}while(0);n=n+1|0}while((n|0)!=(ba|0))}}else{d=_(B,a)|0;vp(l,+h[M>>3],g+(d<<3)|0,B,ha,ia,fa,ja,ka,ga,k);n=c[ha>>2]|0;if(c[k>>2]|0)break a;if((n|0)<=0)break;q=c[ka>>2]|0;r=c[ja>>2]|0;u=c[fa>>2]|0;x=0;do{o=+h[q+(x<<3)>>3];o=o>1.0e-15?o:1.0e-15;if(L){v=r+(x<<3)|0;w=_(x,a)|0;p=o*o;y=0;do{s=W*+h[v>>3]*(+h[g+(y+d<<3)>>3]-+h[u+(y+w<<3)>>3]);if(N){ma=S+(y<<3)|0;h[ma>>3]=s/p+ +h[ma>>3]}else{D=s/+P(+o,+A);ma=S+(y<<3)|0;h[ma>>3]=D+ +h[ma>>3]}y=y+1|0}while((y|0)!=(a|0))}x=x+1|0}while((x|0)<(n|0))}while(0);if(L){o=0.0;d=0;do{D=+h[S+(d<<3)>>3];o=o+D*D;d=d+1|0}while((d|0)!=(a|0))}else o=0.0;p=+O(+o);o=z+p;do if(p>0.0){if(L)d=0;else break;do{ma=S+(d<<3)|0;h[ma>>3]=+h[ma>>3]/p;d=d+1|0}while((d|0)!=(a|0));aa=113}else aa=113;while(0);do if((aa|0)==113){aa=0;if(!L)break;d=_(B,a)|0;n=0;do{ma=g+(n+d<<3)|0;h[ma>>3]=+h[ma>>3]+j*+h[S+(n<<3)>>3];n=n+1|0}while((n|0)!=(a|0))}while(0);if((C|0)>=(ba|0))break;else z=o}}else o=0.0;if(l)zp(l);do if(K)j=ea*j;else{if(o>=I){j=ea*j;break}if(I*.95<o)break;j=j*.99/ea}while(0);if(!((J|0)<(da|0)&j>ca)){aa=126;break}else I=o}if((aa|0)==126?(c[e+112>>2]|0)!=0:0)xl(a,$,g);if(U)fQ(U);if(($|0)!=(b|0))Hp($);if(S)fQ(S)}else c[k>>2]=-100;l=c[fa>>2]|0;if(l)fQ(l);l=c[ja>>2]|0;if(l)fQ(l);l=c[ka>>2]|0;if(l)fQ(l)}i=la;return}function sl(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0,Q=0,R=0,S=0.0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0.0,ba=0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;ka=i;i=i+32|0;ga=ka+24|0;ha=ka+20|0;ea=ka+16|0;ia=ka+12|0;ja=ka+8|0;fa=ka;q=+h[e>>3];n=e+24|0;m=+h[n>>3];p=e+32|0;l=+h[p>>3];ca=+h[e+72>>3];da=c[e+80>>2]|0;aa=+h[e+88>>3];t=+h[e+96>>3];s=c[e+104>>2]|0;c[ga>>2]=0;c[ha>>2]=10;c[ea>>2]=0;c[ia>>2]=0;c[ja>>2]=0;h[fa>>3]=0.0;if(!((b|0)==0|(da|0)<1)?(ba=c[b>>2]|0,k=c[b+4>>2]|0,!((a|0)<1|(k|0)<1)):0){if((k|0)<(c[e+52>>2]|0))r=0;else{c[ea>>2]=zz(a*80|0)|0;c[ia>>2]=zz(80)|0;c[ja>>2]=zz(80)|0;r=1}c[j>>2]=0;if((ba|0)==(k|0)){V=Ip(b,1)|0;W=c[V+20>>2]|0;X=c[V+24>>2]|0;Y=c[d+20>>2]|0;Z=c[d+24>>2]|0;U=c[d+28>>2]|0;if((c[e+16>>2]|0)!=0?(LN(c[e+108>>2]|0),o=_(ba,a)|0,(o|0)>0):0){k=0;do{h[g+(k<<3)>>3]=+dq();k=k+1|0}while((k|0)!=(o|0))}if(m<0.0){m=+ll(V,a,g);h[n>>3]=m}if(l<0.0){h[p>>3]=.2;l=.2}if(q>=0.0){h[e>>3]=-1.0;q=-1.0}S=1.0-q;T=+P(+m,+S);M=+P(+l,+((2.0-q)/3.0))/m;Q=a<<3;N=zz(Q)|0;Q=_(ba,Q)|0;R=zz(Q)|0;J=(r|0)!=0;K=e+116|0;L=(ba|0)>0;G=(s|0)==0;H=(a|0)>0;I=e+64|0;A=q==-1.0;B=(f|0)!=0;C=M*.2;D=a<<3;E=0.0;F=0;k=0;l=t;a:while(1){F=F+1|0;rQ(R|0,g|0,Q|0)|0;do if(J)if(!(c[K>>2]|0)){k=xp(a,ba,10,g,0)|0;break}else{k=xp(a,ba,10,g,f)|0;break}while(0);if(L){m=0.0;z=0;do{if(H)tQ(N|0,0,D|0)|0;n=c[W+(z<<2)>>2]|0;y=z;z=z+1|0;r=W+(z<<2)|0;d=c[r>>2]|0;if((n|0)<(d|0)){s=_(y,a)|0;do{p=X+(n<<2)|0;o=c[p>>2]|0;if((o|0)!=(y|0)){q=+lq(g,a,y,o);if(H){d=_(c[p>>2]|0,a)|0;o=0;do{x=N+(o<<3)|0;h[x>>3]=+h[x>>3]-q*(M*(+h[g+(o+s<<3)>>3]-+h[g+(d+o<<3)>>3]));o=o+1|0}while((o|0)!=(a|0))}d=c[r>>2]|0}n=n+1|0}while((n|0)<(d|0))}n=c[Y+(y<<2)>>2]|0;s=Y+(z<<2)|0;d=c[s>>2]|0;if((n|0)<(d|0)){v=_(y,a)|0;do{p=Z+(n<<2)|0;o=c[p>>2]|0;if((o|0)!=(y|0)){q=+kq(g,a,y,o);if(H){r=U+(n<<3)|0;d=_(c[p>>2]|0,a)|0;o=0;do{t=+h[r>>3];u=q-t;u=u*(u*(C*(+h[g+(o+v<<3)>>3]-+h[g+(d+o<<3)>>3])))/q;x=N+(o<<3)|0;h[x>>3]=+h[x>>3]+(q<t?u:-u);o=o+1|0}while((o|0)!=(a|0))}d=c[s>>2]|0}n=n+1|0}while((n|0)<(d|0))}do if(!J){r=_(y,a)|0;if(B&(c[K>>2]|0)!=0){o=0;do{do if((o|0)!=(y|0)){q=+kq(g,a,y,o);if(!H)break;d=f+(o<<3)|0;n=_(o,a)|0;t=q*q;p=0;do{u=T*+h[d>>3]*(+h[g+(p+r<<3)>>3]-+h[g+(p+n<<3)>>3]);if(A){x=N+(p<<3)|0;h[x>>3]=u/t+ +h[x>>3]}else{u=u/+P(+q,+S);x=N+(p<<3)|0;h[x>>3]=u+ +h[x>>3]}p=p+1|0}while((p|0)!=(a|0))}while(0);o=o+1|0}while((o|0)!=(ba|0))}else{n=0;do{do if((n|0)!=(y|0)){q=+kq(g,a,y,n);if(!H)break;d=_(n,a)|0;t=q*q;o=0;do{u=T*(+h[g+(o+r<<3)>>3]-+h[g+(o+d<<3)>>3]);if(A){x=N+(o<<3)|0;h[x>>3]=u/t+ +h[x>>3]}else{u=u/+P(+q,+S);x=N+(o<<3)|0;h[x>>3]=u+ +h[x>>3]}o=o+1|0}while((o|0)!=(a|0))}while(0);n=n+1|0}while((n|0)!=(ba|0))}}else{d=_(y,a)|0;vp(k,+h[I>>3],g+(d<<3)|0,y,ga,ha,ea,ia,ja,fa,j);n=c[ga>>2]|0;if(c[j>>2]|0)break a;if((n|0)<=0)break;o=c[ja>>2]|0;p=c[ia>>2]|0;r=c[ea>>2]|0;w=0;do{q=+h[o+(w<<3)>>3];q=q>1.0e-15?q:1.0e-15;if(H){s=p+(w<<3)|0;v=_(w,a)|0;t=q*q;x=0;do{u=T*+h[s>>3]*(+h[g+(x+d<<3)>>3]-+h[r+(x+v<<3)>>3]);if(A){la=N+(x<<3)|0;h[la>>3]=u/t+ +h[la>>3]}else{u=u/+P(+q,+S);la=N+(x<<3)|0;h[la>>3]=u+ +h[la>>3]}x=x+1|0}while((x|0)!=(a|0))}w=w+1|0}while((w|0)<(n|0))}while(0);if(H){q=0.0;d=0;do{u=+h[N+(d<<3)>>3];q=q+u*u;d=d+1|0}while((d|0)!=(a|0))}else q=0.0;q=+O(+q);m=m+q;do if(q>0.0){if(H)d=0;else break;do{la=N+(d<<3)|0;h[la>>3]=+h[la>>3]/q;d=d+1|0}while((d|0)!=(a|0));$=73}else $=73;while(0);do if(($|0)==73){$=0;if(!H)break;d=_(y,a)|0;n=0;do{la=g+(n+d<<3)|0;h[la>>3]=+h[la>>3]+l*+h[N+(n<<3)>>3];n=n+1|0}while((n|0)!=(a|0))}while(0)}while((z|0)<(ba|0))}else m=0.0;if(k)zp(k);do if(!G){if(m>=E){l=aa*l;break}if(!(E*.95<m))l=l*.99/aa}else l=aa*l;while(0);if(!((F|0)<(da|0)&l>ca)){$=86;break}else E=m}if(($|0)==86?(c[e+112>>2]|0)!=0:0)xl(a,V,g);if(R)fQ(R);if((V|0)!=(b|0))Hp(V);if(N)fQ(N)}else c[j>>2]=-100;k=c[ea>>2]|0;if(k)fQ(k);k=c[ia>>2]|0;if(k)fQ(k);k=c[ja>>2]|0;if(k)fQ(k)}i=ka;return}
function tl(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0;o=c[b+20>>2]|0;p=c[b+24>>2]|0;r=zz(a<<3)|0;k=c[b>>2]|0;if((k|0)>0){l=(a|0)>0;m=a<<3;n=0;do{if(l)tQ(r|0,0,m|0)|0;b=c[o+(n<<2)>>2]|0;j=n;n=n+1|0;i=c[o+(n<<2)>>2]|0;if((b|0)<(i|0)){g=b;b=0;do{e=c[p+(g<<2)>>2]|0;if((e|0)!=(j|0)){b=b+1|0;if(l){e=_(e,a)|0;f=0;do{s=r+(f<<3)|0;h[s>>3]=+h[d+(e+f<<3)>>3]+ +h[s>>3];f=f+1|0}while((f|0)!=(a|0))}}g=g+1|0}while((g|0)<(i|0));if((b|0)>0?(q=.5/+(b|0),l):0){b=_(j,a)|0;e=0;do{s=d+(e+b<<3)|0;h[s>>3]=+h[s>>3]*.5+q*+h[r+(e<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}}}while((n|0)<(k|0))}fQ(r);return}function ul(a){a=a|0;var b=0.0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0;i=c[a+20>>2]|0;j=c[a+24>>2]|0;k=c[a>>2]|0;a=k+1|0;l=zz(a<<2)|0;if((k|0)>-1?(tQ(l|0,0,((a|0)>1?a<<2:4)|0)|0,(k|0)>0):0){h=0;a=0;do{e=c[i+(h<<2)>>2]|0;g=h;h=h+1|0;f=c[i+(h<<2)>>2]|0;if((e|0)<(f|0)){d=0;do{d=((g|0)!=(c[j+(e<<2)>>2]|0)&1)+d|0;e=e+1|0}while((e|0)<(f|0))}else d=0;f=l+(d<<2)|0;g=(c[f>>2]|0)+1|0;c[f>>2]=g;a=(a|0)>(g|0)?a:g}while((h|0)!=(k|0));b=+(a|0)*.8}else b=0.0;m=+(c[l+4>>2]|0);if(m>b?m>+(k|0)*.3:0)a=1;else a=0;fQ(l);return a|0}function vl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0.0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0;p=i;i=i+48|0;n=p+16|0;k=p;e=_(b,b)|0;if(e)tQ(n|0,0,((e|0)>1?e<<3:8)|0)|0;m=(b|0)>0;if(m)tQ(k|0,0,b<<3|0)|0;o=(a|0)>0;if(o){g=0;do{if(m){e=_(g,b)|0;j=0;do{l=k+(j<<3)|0;h[l>>3]=+h[c+(j+e<<3)>>3]+ +h[l>>3];j=j+1|0}while((j|0)!=(b|0))}g=g+1|0}while((g|0)!=(a|0))}if(m){d=+(a|0);e=0;do{l=k+(e<<3)|0;h[l>>3]=+h[l>>3]/d;e=e+1|0}while((e|0)!=(b|0))}if(o){g=0;do{if(m){e=_(g,b)|0;j=0;do{l=c+(j+e<<3)|0;h[l>>3]=+h[l>>3]-+h[k+(j<<3)>>3];j=j+1|0}while((j|0)!=(b|0))}g=g+1|0}while((g|0)!=(a|0));if(o){j=0;do{if(m){e=_(j,b)|0;k=0;do{d=+h[c+(k+e<<3)>>3];g=_(k,b)|0;l=0;do{q=n+(l+g<<3)|0;h[q>>3]=+h[q>>3]+d*+h[c+(l+e<<3)>>3];l=l+1|0}while((l|0)!=(b|0));k=k+1|0}while((k|0)!=(b|0))}j=j+1|0}while((j|0)!=(a|0))}}d=+h[n+8>>3];if(d==0.0)d=0.0;else{r=+h[n>>3];f=+h[n+24>>3];d=-(f-r-+O(+(f*f+(d*(d*4.0)+r*r-r*2.0*f))))/(d*2.0)}f=+O(+(d*d+1.0));d=d/f;f=1.0/f;if(o){e=0;do{q=_(e,b)|0;o=c+(q<<3)|0;r=+h[o>>3];q=c+(q+1<<3)|0;s=+h[q>>3];h[o>>3]=d*r+f*s;h[q>>3]=d*s-f*r;e=e+1|0}while((e|0)!=(a|0))}i=p;return}function wl(b,d,e,f,g,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0.0,$=0.0;X=i;i=i+208|0;L=X+200|0;K=X+192|0;M=X+184|0;N=X+168|0;U=X;rQ(U|0,f|0,168)|0;c[n>>2]=0;do if((d|0)!=0?(S=c[d+4>>2]|0,!((b|0)<1|(S|0)<1)):0){if((Kp(d,0)|0)!=0?(c[d+16>>2]|0)==1:0){if((c[f+136>>2]|0)==1)o=Op(e)|0;else o=e;W=Op(d)|0;T=o}else u=5;do if((u|0)==5)if((c[f+136>>2]|0)==1){W=Np(d,0)|0;T=Np(e,0)|0;break}else{W=Zp(d)|0;T=e;break}while(0);V=f+160|0;o=c[V>>2]|0;if((o|0)==3){if((l|0)<=0)u=87}else if(!((l|0)>0&(o|0)==4))u=87;if((u|0)==87){O=pq(c[f+44>>2]|0,c[f+48>>2]|0)|0;c[O+16>>2]=c[f+40>>2];P=tq(W,T,g,O)|0;s=uq(P)|0;if(!(c[s+32>>2]|0))o=k;else o=zz(_(b<<3,c[s+4>>2]|0)|0)|0;p=ul(W)|0;if(+h[f>>3]==-1.0001234)h[f>>3]=(p|0)==0?-1.0:-1.8;y=f+136|0;z=f+24|0;M=(b|0)>0;A=f+16|0;B=f+104|0;C=f+96|0;G=b<<3;D=f+132|0;E=c[24809]|0;F=f+80|0;while(1){a:do switch(c[y>>2]|0){case 0:{switch(c[D>>2]|0){case 0:{pl(b,c[s+8>>2]|0,f,c[s+24>>2]|0,o,n);break a}case 2:{p=s+8|0;u=100;break}case 3:{p=s+8|0;t=c[p>>2]|0;if((c[t>>2]|0)>1e4)if(!(a[142275]|0))u=100;else{c[K>>2]=1e4;pO(E,132859,K)|0;u=100}else u=101;break}default:{t=c[s+8>>2]|0;u=101}}if((u|0)==100){ol(b,c[p>>2]|0,f,c[s+24>>2]|0,o,n);break a}else if((u|0)==101){ql(b,t,f,c[s+24>>2]|0,o,n);break a}break}case 1:{h[C>>3]=1.0;c[B>>2]=1;x=(c[s+28>>2]|0)==0;q=x?.5:.05;c[F>>2]=x?500:100;x=(c[s+32>>2]|0)==0;p=s+8|0;t=s+12|0;u=s+24|0;rl(b,c[p>>2]|0,c[t>>2]|0,f,c[u>>2]|0,o,q,n);if(x){c[A>>2]=0;h[C>>3]=.05;c[B>>2]=0;rl(b,c[p>>2]|0,c[t>>2]|0,f,c[u>>2]|0,o,q*.5,n);rl(b,c[p>>2]|0,c[t>>2]|0,f,c[u>>2]|0,o,q*.125,n);rl(b,c[p>>2]|0,c[t>>2]|0,f,c[u>>2]|0,o,q*.03125,n)}break}default:{}}while(0);w=c[s+32>>2]|0;if(!w){u=120;break}if(c[n>>2]|0){u=106;break}u=c[s+16>>2]|0;p=c[s+40>>2]|0;if(!(c[w+32>>2]|0))x=k;else x=zz(_(G,c[w+4>>2]|0)|0)|0;s=c[w+8>>2]|0;t=c[w+20>>2]|0;q=+h[z>>3]*.001;c[N>>2]=x;Sp(u,0,o,0,N,0,b);if((p+-1|0)>>>0<6?(tl(b,s,c[N>>2]|0),H=c[t>>2]|0,I=c[t+20>>2]|0,J=c[t+24>>2]|0,(H|0)>0):0){p=c[I>>2]|0;v=0;do{s=p+1|0;v=v+1|0;u=I+(v<<2)|0;p=c[u>>2]|0;if((s|0)<(p|0))do{if(M){p=J+(s<<2)|0;t=0;do{r=q*(+dq()+-.5);Y=(_(c[p>>2]|0,b)|0)+t|0;Y=(c[N>>2]|0)+(Y<<3)|0;h[Y>>3]=r+ +h[Y>>3];t=t+1|0}while((t|0)!=(b|0));p=c[u>>2]|0}s=s+1|0}while((s|0)<(p|0))}while((v|0)!=(H|0))}fQ(o);c[A>>2]=0;h[z>>3]=+h[z>>3]*.75;c[B>>2]=0;h[C>>3]=((c[(c[w+28>>2]|0)+40>>2]|0)+-9|0)>>>0<2?1.0:.1;s=w;o=x}if((u|0)==106)fQ(o);else if((u|0)==120){Qq(b,W,f,g,k,n);if(a[142275]|0){c[L>>2]=c[f+124>>2];pO(E,132922,L)|0}if((b|0)==2)vl(S,2,k);r=+h[f+152>>3];if(r!=0.0){if(M)tQ(N|0,0,G|0)|0;t=(S|0)>0;if(t){p=0;do{if(M){o=_(p,b)|0;s=0;do{Y=N+(s<<3)|0;h[Y>>3]=+h[k+(s+o<<3)>>3]+ +h[Y>>3];s=s+1|0}while((s|0)!=(b|0))}p=p+1|0}while((p|0)!=(S|0))}if(M){q=+(S|0);o=0;do{Y=N+(o<<3)|0;h[Y>>3]=+h[Y>>3]/q;o=o+1|0}while((o|0)!=(b|0))}if(t){p=0;do{if(M){o=_(p,b)|0;s=0;do{Y=k+(s+o<<3)|0;h[Y>>3]=+h[Y>>3]-+h[N+(s<<3)>>3];s=s+1|0}while((s|0)!=(b|0))}p=p+1|0}while((p|0)!=(S|0))}r=r*-.017453277777777776;q=+Q(+r);r=+R(+r);if(t){o=0;do{Y=_(o,b)|0;n=k+(Y<<3)|0;Z=+h[n>>3];Y=k+(Y+1<<3)|0;$=+h[Y>>3];h[n>>3]=q*Z+r*$;h[Y>>3]=q*$-r*Z;o=o+1|0}while((o|0)!=(S|0))}}to(b,W,k,j,c[f+124>>2]|0,+h[f+144>>3],c[V>>2]|0,l,m)}rQ(f|0,U|0,168)|0;if((W|0)!=(d|0))Hp(W);if(!((T|0)==0|(T|0)==(e|0)))Hp(T);qq(O);rq(P);break}J=b<<3;g=zz(_(J,c[W>>2]|0)|0)|0;K=W+20|0;F=c[K>>2]|0;L=W+24|0;G=c[L>>2]|0;H=zz(c[W>>2]<<2)|0;o=c[W>>2]|0;if((o|0)>0){p=0;do{c[H+(p<<2)>>2]=1;p=p+1|0;o=c[W>>2]|0}while((p|0)<(o|0))}I=(l|0)>0;if(I){o=0;do{c[H+(c[m+(o<<2)>>2]<<2)>>2]=-1;o=o+1|0}while((o|0)!=(l|0));o=c[W>>2]|0}if((o|0)>0){t=0;s=0;do{p=H+(t<<2)|0;if((c[p>>2]|0)>0){c[p>>2]=s;o=c[W>>2]|0;s=s+1|0}t=t+1|0}while((t|0)<(o|0));if((o|0)>0){z=0;p=0;while(1){if((c[H+(z<<2)>>2]|0)>=0){u=c[F+(z<<2)>>2]|0;t=z+1|0;y=c[F+(t<<2)>>2]|0;if((u|0)<(y|0))do{v=c[G+(u<<2)>>2]|0;if((c[H+(v<<2)>>2]|0)<=-1){w=c[F+(v<<2)>>2]|0;x=c[F+(v+1<<2)>>2]|0;if((w|0)<(x|0))do{v=c[G+(w<<2)>>2]|0;if((v|0)!=(z|0))p=((c[H+(v<<2)>>2]|0)>>>31^1)+p|0;w=w+1|0}while((w|0)!=(x|0))}else p=p+1|0;u=u+1|0}while((u|0)!=(y|0))}else t=z+1|0;if((t|0)<(o|0))z=t;else break}if((p|0)>0){p=p<<2;t=zz(p)|0;p=zz(p)|0;o=c[W>>2]|0}else{t=0;p=0}if((o|0)>0){E=c[24809]|0;D=0;u=0;while(1){C=H+(D<<2)|0;if((c[C>>2]|0)>=0){w=c[F+(D<<2)>>2]|0;v=D+1|0;B=F+(v<<2)|0;if((w|0)<(c[B>>2]|0)){do{o=G+(w<<2)|0;x=c[o>>2]|0;if((c[H+(x<<2)>>2]|0)<=-1){o=c[F+(x<<2)>>2]|0;A=F+(x+1<<2)|0;if((o|0)<(c[A>>2]|0))do{y=G+(o<<2)|0;x=c[y>>2]|0;do if((x|0)!=(D|0)){if((c[H+(x<<2)>>2]|0)<=-1)break;c[t+(u<<2)>>2]=c[C>>2];z=u+1|0;c[p+(u<<2)>>2]=c[H+(c[y>>2]<<2)>>2];x=c[C>>2]|0;u=c[H+(c[y>>2]<<2)>>2]|0;if((x|0)!=68)if((u|0)==68)u=68;else{u=z;break}c[M>>2]=x;c[M+4>>2]=u;pO(E,132852,M)|0;u=z}while(0);o=o+1|0}while((o|0)<(c[A>>2]|0))}else{c[t+(u<<2)>>2]=c[C>>2];c[p+(u<<2)>>2]=c[H+(c[o>>2]<<2)>>2];u=u+1|0}w=w+1|0}while((w|0)<(c[B>>2]|0));o=c[W>>2]|0}}else v=D+1|0;if((v|0)<(o|0))D=v;else{o=u;break}}}else o=0}else{t=0;p=0;o=0}}else{s=0;t=0;p=0;o=0}A=Rp(o,s,s,t,p,0,8,8)|0;fQ(t);fQ(p);fQ(H);wl(b,A,0,f,0,0,g,0,0,n);z=zz(c[W>>2]<<2)|0;o=c[W>>2]|0;if((o|0)>0){p=0;do{c[z+(p<<2)>>2]=1;p=p+1|0;o=c[W>>2]|0}while((p|0)<(o|0))}if(I){p=0;do{o=c[m+(p<<2)>>2]|0;if((o|0)>-1?(o|0)<(c[W>>2]|0):0)c[z+(o<<2)>>2]=-1;p=p+1|0}while((p|0)!=(l|0));o=c[W>>2]|0}if((o|0)>0){t=0;s=0;while(1){p=z+(t<<2)|0;if((c[p>>2]|0)>-1){c[p>>2]=s;o=c[W>>2]|0;p=s+1|0}else p=s;t=t+1|0;if((t|0)>=(o|0))break;else s=p}if((o|0)>0){u=0;do{p=c[z+(u<<2)>>2]|0;if((p|0)>=0){p=_(p,b)|0;s=_(u,b)|0;t=0;do{h[k+(t+s<<3)>>3]=+h[g+(t+p<<3)>>3];t=t+1|0}while((t|0)!=(b|0))}u=u+1|0}while((u|0)!=(o|0))}}if(I){w=c[K>>2]|0;x=(b|0)>0;y=0;do{v=c[m+(y<<2)>>2]|0;u=v+1|0;t=w+(u<<2)|0;o=c[t>>2]|0;p=w+(v<<2)|0;s=c[p>>2]|0;q=+(o-s|0);if(x){tQ(k+((_(v,b)|0)<<3)|0,0,J|0)|0;s=c[p>>2]|0;o=c[t>>2]|0}if((s|0)<(o|0)){t=c[(c[K>>2]|0)+(u<<2)>>2]|0;u=_(v,b)|0;do{if(x){o=_(c[(c[L>>2]|0)+(s<<2)>>2]|0,b)|0;p=0;do{Y=k+(p+u<<3)|0;h[Y>>3]=+h[k+(p+o<<3)>>3]+ +h[Y>>3];p=p+1|0}while((p|0)!=(b|0))}s=s+1|0}while((s|0)<(t|0))}if(x){o=_(v,b)|0;p=0;do{Y=k+(p+o<<3)|0;h[Y>>3]=+h[Y>>3]/q;p=p+1|0}while((p|0)!=(b|0))}y=y+1|0}while((y|0)!=(l|0))}fQ(z);to(b,W,k,j,c[f+124>>2]|0,+h[f+144>>3],c[V>>2]|0,l,m);Hp(A);fQ(g);if((W|0)!=(d|0))Hp(W)}while(0);i=X;return}function xl(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;s=c[b>>2]|0;t=c[b+20>>2]|0;r=c[b+24>>2]|0;w=zz(s<<2)|0;e=zz(80)|0;b=zz(40)|0;if((s|0)>0){tQ(w|0,0,s<<2|0)|0;i=10;k=10;f=0;while(1){g=c[t+(f<<2)>>2]|0;if((((c[t+(f+1<<2)>>2]|0)-g|0)==1?(c[w+(f<<2)>>2]|0)==0:0)?(u=c[r+(g<<2)>>2]|0,v=w+(u<<2)|0,(c[v>>2]|0)==0):0){c[v>>2]=1;f=c[t+(u<<2)>>2]|0;q=t+(u+1<<2)|0;if((f|0)<(c[q>>2]|0)){o=k;j=0.0;p=f;g=0;f=0;do{l=r+(p<<2)|0;k=c[l>>2]|0;if(((c[t+(k+1<<2)>>2]|0)-(c[t+(k<<2)>>2]|0)|0)==1){c[w+(k<<2)>>2]=1;if((i|0)<=(f|0)){k=f+10|0;i=k;b=Bz(b,k<<2)|0}j=j+ +lq(d,a,u,c[l>>2]|0);c[b+(f<<2)>>2]=c[l>>2];f=f+1|0}else{if((o|0)<=(g|0)){o=g+10|0;e=Bz(e,o<<3)|0;k=c[l>>2]|0}h[e+(g<<3)>>3]=+ml(d,a,u,k);g=g+1|0}p=p+1|0}while((p|0)<(c[q>>2]|0));n=j/+(f|0);if((g|0)>0)PO(e,g,8,69);m=(f|0)>1?6.283185307179586/+(f+-1|0):0.0;if((f|0)>0){k=_(u,a)|0;g=d+(k<<3)|0;k=d+(k+1<<3)|0;j=0.0;l=0;while(1){x=n*+Q(+j);q=_(c[b+(l<<2)>>2]|0,a)|0;h[d+(q<<3)>>3]=x+ +h[g>>3];x=n*+R(+j);h[d+(q+1<<3)>>3]=x+ +h[k>>3];l=l+1|0;if((l|0)==(f|0)){g=o;break}else j=m+j}}else{g=o;f=0}}else{g=k;f=0}}else g=k;f=f+1|0;if((f|0)>=(s|0))break;else k=g}}fQ(w);fQ(e);fQ(b);return}function yl(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;i=i|0;var j=0,k=0,l=0,m=0;m=(Kp(b,0)|0)==0;j=(c[b+16>>2]|0)==1;if(m)if(j)j=Op(Ip(b,0)|0)|0;else k=5;else if(j)j=b;else k=5;if((k|0)==5)j=Zp(b)|0;m=Op(j)|0;c[i>>2]=0;k=c[m>>2]|0;if(!d){zz(_(a<<3,k)|0)|0;xb()}j=c[d>>2]|0;if(!e)l=Iq(m,a,0.0,j,0,1)|0;else l=Iq(m,a,0.0,j,2,1)|0;if(!l)c[i>>2]=-1;else{h[l+40>>3]=.1;c[l+24>>2]=5;+Kq(l,a,c[d>>2]|0,f,g);e=_(k,a)|0;if((e|0)>0){a=l+32|0;j=c[d>>2]|0;k=0;do{d=j+(k<<3)|0;h[d>>3]=+h[d>>3]/+h[a>>3];k=k+1|0}while((k|0)!=(e|0))}Jq(l)}if((m|0)!=(b|0))Hp(m);return}function zl(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;yl(a,c,d,e,f,g,h);return}function Al(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;u=c[b>>2]|0;v=c[b+20>>2]|0;w=c[b+24>>2]|0;x=c[b+28>>2]|0;if(!(Kp(b,0)|0))Na(136577,133169,37,133186);a=zz(56)|0;t=a+20|0;c[t>>2]=0;c[a+24>>2]=2;c[a+12>>2]=0;s=zz(16)|0;c[t>>2]=s;h[s>>3]=e;h[s+8>>3]=f;c[a+16>>2]=104;h[a+40>>3]=.01;c[a+48>>2]=~~+O(+(+(c[b>>2]|0)));s=b+8|0;t=a+4|0;c[t>>2]=Jp(u,u,(c[s>>2]|0)+u|0,1,1)|0;s=Jp(u,u,(c[s>>2]|0)+u|0,1,1)|0;c[a+8>>2]=s;t=c[t>>2]|0;l=c[t+28>>2]|0;m=c[s+28>>2]|0;if((s|0)==0|(t|0)==0){Hq(a);a=0}else{n=c[t+20>>2]|0;o=c[t+24>>2]|0;p=c[s+20>>2]|0;q=c[s+24>>2]|0;c[p>>2]=0;c[n>>2]=0;if((u|0)>0){r=0;g=0;do{b=c[v+(r<<2)>>2]|0;k=r;r=r+1|0;j=v+(r<<2)|0;d=c[j>>2]|0;if((b|0)<(d|0)){e=0.0;f=0.0;do{i=c[w+(b<<2)>>2]|0;if((i|0)!=(k|0)){y=+h[x+(b<<3)>>3];y=y>=0.0?y:-y;y=y>.01?y:.01;c[o+(g<<2)>>2]=i;c[q+(g<<2)>>2]=i;i=l+(g<<3)|0;h[i>>3]=-1.0;h[m+(g<<3)>>3]=-y;d=c[j>>2]|0;e=e-y;f=f+ +h[i>>3];g=g+1|0}b=b+1|0}while((b|0)<(d|0))}else{e=0.0;f=0.0}c[o+(g<<2)>>2]=k;c[q+(g<<2)>>2]=k;h[l+(g<<3)>>3]=-f;h[m+(g<<3)>>3]=-e;g=g+1|0;c[n+(r<<2)>>2]=g;c[p+(r<<2)>>2]=g}while((r|0)!=(u|0))}else g=0;c[t+8>>2]=g;c[s+8>>2]=g}return a|0}function Bl(a,b){a=a|0;b=+b;var d=0,e=0,f=0,g=0;if((c[a+16>>2]|0)==1)d=Ip(a,0)|0;else d=Zp(a)|0;a=c[d+28>>2]|0;if(b!=1.0?(f=c[d+8>>2]|0,(f|0)>0):0){e=0;do{g=a+(e<<3)|0;h[g>>3]=+h[g>>3]*b;e=e+1|0}while((e|0)<(f|0))}return d|0}function Cl(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0;k=c[b>>2]|0;c[e>>2]=0;m=_(k,a)|0;l=(m|0)>0;if(l){e=0;do{h[d+(e<<3)>>3]=+dq()*100.0;e=e+1|0}while((e|0)!=(m|0))}if((k|0)>1){j=(a|0)>0;f=1;e=1;do{a:do if(j){g=_(f,a)|0;i=0;do{o=+h[d+(i<<3)>>3]-+h[d+(i+g<<3)>>3];i=i+1|0;if((o>=0.0?o:-o)>1.0e-16){f=k;e=0;break a}}while((i|0)<(a|0))}while(0);f=f+1|0}while((f|0)<(k|0));if(e)n=11}else n=11;if((n|0)==11?(LN(1),l):0){e=0;do{h[d+(e<<3)>>3]=+dq()*100.0;e=e+1|0}while((e|0)!=(m|0))}e=Bl(b,1.0)|0;if(!(Kp(e,0)|0))Na(133212,133169,164,133248);else{n=Al(0,e,0,101.0e5,100.0,0)|0;+Lq(n,a,d,300,.001);Hq(n);n=Al(0,e,0,101.0e3,100.0,0)|0;+Lq(n,a,d,300,.001);Hq(n);n=Al(0,e,0,1010.0,100.0,0)|0;+Lq(n,a,d,300,.001);Hq(n);n=Al(0,e,0,10.1,100.0,0)|0;+Lq(n,a,d,300,.001);Hq(n);nq(0.0,0.0,490.0,700.0,c[b>>2]|0,a,d);Hp(e);return}}function Dl(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0;k=zz((vt(a)|0)<<4)|0;f=gu(a)|0;g=(e|0)!=0;if(f){j=+h[b>>3];i=+h[b+8>>3];b=0;do{if(g)b=((gP(Ft(f)|0,133263,11)|0)==0&1)+b|0;m=c[f+16>>2]|0;l=c[m+120>>2]<<1;h[k+(l<<3)>>3]=+h[m+32>>3]*.5+j;h[k+((l|1)<<3)>>3]=+h[m+40>>3]*.5+i;f=hu(a,f)|0}while((f|0)!=0);if(g&(b|0)!=0){g=zz(b<<2)|0;b=gu(a)|0;if(!b)b=0;else{f=b;b=0;do{if(!(gP(Ft(f)|0,133263,11)|0)){c[g+(b<<2)>>2]=c[(c[f+16>>2]|0)+120>>2];b=b+1|0}f=hu(a,f)|0}while((f|0)!=0)}c[e>>2]=g;c[d>>2]=b}}return k|0}function El(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;y=i;i=i+32|0;v=y+16|0;u=y+8|0;t=y;if(a){w=vt(a)|0;x=wt(a)|0;b=gu(a)|0;if(b){e=0;while(1){c[(c[b+16>>2]|0)+120>>2]=e;b=hu(a,b)|0;if(!b)break;else e=e+1|0}}q=x<<2;p=zz(q)|0;q=zz(q)|0;b=x<<3;r=zz(b)|0;m=Is(a,2,142776,0)|0;s=(d|0)!=0;if(s){n=Is(a,2,133275,0)|0;o=yz(b)|0}else{n=0;o=0}b=gu(a)|0;if(b){k=(m|0)==0;l=(n|0)==0;e=0;do{j=c[(c[b+16>>2]|0)+120>>2]|0;f=at(a,b)|0;if(f)do{c[p+(e<<2)>>2]=j;c[q+(e<<2)>>2]=c[(c[(c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0)+16>>2]|0)+120>>2];if(!k?(z=Rs(f,m)|0,c[u>>2]=t,(EO(z,142278,u)|0)==1):0)g=+h[t>>3];else{h[t>>3]=1.0;g=1.0}h[r+(e<<3)>>3]=g;if(!l){z=Rs(f,n)|0;c[v>>2]=t;if((EO(z,142278,v)|0)==1)g=+h[t>>3];else{h[t>>3]=1.0;g=1.0}h[o+(e<<3)>>3]=g}e=e+1|0;f=ct(a,f)|0}while((f|0)!=0);b=hu(a,b)|0}while((b|0)!=0)}b=Rp(x,w,w,p,q,r,1,8)|0;if(s)c[d>>2]=Rp(x,w,w,p,q,o,1,8)|0;fQ(p);fQ(q);fQ(r);if(o)fQ(o)}else b=0;i=y;return b|0}function Fl(b){b=b|0;var d=0,e=0.0,f=0,g=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0.0;o=i;i=i+16|0;f=o;d=Qs(b,133279)|0;a:do if((d|0)!=0?(a[d>>0]|0)!=0:0){e=+QO(d,f);if((c[f>>2]|0)==(d|0))if(!((rC(d)|0)<<24>>24)){n=9;break}else e=0.0;else{if(e>180.0)do e=e+-360.0;while(e>180.0);if(e<=-180.0)do e=e+360.0;while(e<=-180.0)}m=e/180.0*3.141592653589793;d=c[(c[(gu(b)|0)+16>>2]|0)+132>>2]|0;e=+h[d>>3];j=+h[d+8>>3];d=gu(b)|0;if(d)do{g=c[(c[d+16>>2]|0)+132>>2]|0;h[g>>3]=+h[g>>3]-e;g=g+8|0;h[g>>3]=+h[g>>3]-j;d=hu(b,d)|0}while((d|0)!=0);d=(e!=0.0|j!=0.0)&1;f=gu(b)|0;if(f){g=f;while(1){f=at(b,g)|0;if(f)break;g=hu(b,g)|0;if(!g)break a}p=c[f>>2]&3;g=c[(c[(c[((p|0)==2?f:f+-48|0)+40>>2]|0)+16>>2]|0)+132>>2]|0;f=c[(c[(c[((p|0)==3?f:f+48|0)+40>>2]|0)+16>>2]|0)+132>>2]|0;k=+h[f+8>>3];l=+h[f>>3];e=m-+W(+(+h[g+8>>3]-k),+(+h[g>>3]-l));if(e!=0.0){j=+Q(+e);e=+R(+e);d=gu(b)|0;if(!d)d=1;else{do{g=c[(c[d+16>>2]|0)+132>>2]|0;q=+h[g>>3]-l;p=g+8|0;m=+h[p>>3]-k;h[g>>3]=l+(j*q-e*m);h[p>>3]=k+(e*q+j*m);d=hu(b,d)|0}while((d|0)!=0);d=1}}}}else n=9;while(0);if((n|0)==9)d=0;i=o;return d|0}function Gl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Qs(a,133289)|0;return Ml(a,(d|0)==0?((c|0)!=0?c:181739):d,b)|0}function Hl(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0;G=i;i=i+80|0;F=G+72|0;E=G+64|0;A=G+56|0;q=G+48|0;p=G+40|0;l=G+24|0;j=G+16|0;t=G;a:do if((vt(b)|0)>=2){n=Fl(b)|0;e=Qs(b,181959)|0;do if(((e|0)!=0?(m=t+8|0,c[j>>2]=t,c[j+4>>2]=m,f=EO(e,147421,j)|0,(f|0)!=0):0)?(r=+h[t>>3],!(+N(+r)<1.0e-09)):0){if((f|0)!=1){o=+h[m>>3];if(+N(+o)<1.0e-09){e=0;break}}else{h[m>>3]=r;o=r}if(!(r==1.0&o==1.0)){if(a[142275]|0){D=c[24809]|0;h[l>>3]=r;h[l+8>>3]=o;pO(D,133297,l)|0}e=gu(b)|0;if(!e)e=1;else{do{D=c[(c[e+16>>2]|0)+132>>2]|0;h[D>>3]=+h[t>>3]*+h[D>>3];D=D+8|0;h[D>>3]=+h[m>>3]*+h[D>>3];e=hu(b,e)|0}while((e|0)!=0);e=1}}else e=0}else e=0;while(0);e=e+n|0;f=c[d>>2]|0;if(f){if(a[142275]|0){f=c[24809]|0;C=Ft(b)|0;D=c[d+4>>2]|0;c[p>>2]=C;c[p+4>>2]=D;pO(f,133320,p)|0;f=c[d>>2]|0}if(f>>>0>2){switch(f|0){case 3:{f=em(b,1)|0;break}case 4:{f=em(b,0)|0;break}case 6:case 5:{f=0;break}case 10:case 9:case 7:case 8:case 14:case 13:case 11:case 12:{dm(b,f)|0;f=0;break}case 15:{f=em(b,-1)|0;break}default:{c[q>>2]=c[d+4>>2];us(0,133343,q)|0;f=0}}e=f+e|0;break}c[12983]=vt(b)|0;Jm();c[12998]=zz((c[12983]|0)*96|0)|0;j=gu(b)|0;l=c[12998]|0;Kl(t,b);o=+g[t>>2];r=+g[t+4>>2];n=(a[t+8>>0]|0)==0;r=n?r:r/72.0;o=n?o:o/72.0;n=n?1:2;f=c[12983]|0;b:do if((f|0)>0){m=0;while(1){D=c[(c[j+16>>2]|0)+132>>2]|0;h[l+8>>3]=+h[D>>3];h[l+16>>3]=+h[D+8>>3];if(Eb[n&3](l+40|0,j,o,r)|0)break;c[l+24>>2]=m;c[l+28>>2]=1;c[l>>2]=j;c[l+88>>2]=0;j=hu(b,j)|0;m=m+1|0;f=c[12983]|0;if((m|0)>=(f|0))break b;else l=l+96|0}fQ(c[12998]|0);c[12998]=0;Nl();fQ(c[12893]|0);c[12893]=0;break a}while(0);j=c[12998]|0;s=+h[j+8>>3];r=+h[j+16>>3];u=s+ +h[j+40>>3];o=r+ +h[j+48>>3];s=s+ +h[j+56>>3];r=r+ +h[j+64>>3];if((f|0)>1){l=1;while(1){x=+h[j+104>>3];z=+h[j+112>>3];v=x+ +h[j+136>>3];w=z+ +h[j+144>>3];x=x+ +h[j+152>>3];z=z+ +h[j+160>>3];u=v<u?v:u;o=w<o?w:o;s=x>s?x:s;r=z>r?z:r;l=l+1|0;if((l|0)==(f|0))break;else j=j+96|0}}f=Qs(b,133371)|0;if((f|0)!=0?(a[f>>0]|0)!=0:0)h[4213]=+MO(f);w=+h[4213];x=(r-o)*w;w=(s-u)*w;v=u-w;z=o-x;w=s+w;x=r+x;h[4225]=v;h[4224]=w;h[4223]=z;h[4222]=x;h[4214]=v;h[4216]=v;h[4218]=w;h[4220]=w;h[4221]=x;h[4217]=x;h[4219]=z;h[4215]=z;D=(c[d>>2]|0)==2;m=Ol(0)|0;f=(m|0)==0;if(D)if(!f){Pl();f=0;do{j=c[12983]|0;if((j|0)>0){l=0;m=c[12998]|0;while(1){F=m+8|0;h[F>>3]=+h[F>>3]*1.05;F=m+16|0;h[F>>3]=+h[F>>3]*1.05;l=l+1|0;if((l|0)==(j|0))break;else m=m+96|0}}f=f+1|0}while((Ol(f)|0)!=0);if(!(a[142275]|0))y=62;else{y=c[24809]|0;c[A>>2]=f;pO(y,133383,A)|0;y=62}}else f=0;else if(f)f=0;else{Pl();Ql(0);So(0,1);l=0;f=0;j=0;while(1){D=c[12998]|0;C=D+8|0;u=+Km(C,33712);r=+Km(C,33728);s=+Km(C,33744);o=+Km(C,33760);if((c[12983]|0)>1){B=D;C=1;t=D;q=D;p=D;n=D;while(1){b=B+104|0;B=B+96|0;z=+Km(b,33712);A=z<u;n=A?B:n;x=+Km(b,33744);y=x<s;p=y?B:p;w=+Km(b,33728);d=w<r;q=d?B:q;v=+Km(b,33760);b=v<o;t=b?B:t;C=C+1|0;if((C|0)>=(c[12983]|0))break;else{o=b?v:o;r=d?w:r;s=y?x:s;u=A?z:u}}}else{t=D;q=D;p=D;n=D}ln(n+8|0,+h[4214],+h[4215]);ln(p+8|0,+h[4218],+h[4219]);ln(q+8|0,+h[4216],+h[4217]);ln(t+8|0,+h[4220],+h[4221]);b=c[12983]|0;if((b|0)>0){d=(c[12894]|0)==0;y=0;t=D;while(1){if(!(d?(c[t+32>>2]|0)==0:0)){n=c[t+88>>2]|0;p=c[n>>2]|0;q=c[p>>2]|0;if(!q){s=0.0;r=0.0;o=0.0}else{D=n+8|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];x=+h[k>>3];D=n+16|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];w=+h[k>>3];D=p+8|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];v=+h[k>>3];D=p+16|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];u=+h[k>>3];s=0.0;r=0.0;o=0.0;do{D=q+8|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];I=v;v=+h[k>>3];D=q+16|0;a[k>>0]=a[D>>0];a[k+1>>0]=a[D+1>>0];a[k+2>>0]=a[D+2>>0];a[k+3>>0]=a[D+3>>0];a[k+4>>0]=a[D+4>>0];a[k+5>>0]=a[D+5>>0];a[k+6>>0]=a[D+6>>0];a[k+7>>0]=a[D+7>>0];H=u;u=+h[k>>3];z=+N(+((w-H)*v+(x*(H-u)+I*(u-w))))*.5;s=s+z*((x+I+v)/3.0);r=r+z*((w+H+u)/3.0);o=o+z;q=c[q>>2]|0}while((q|0)!=0)}h[t+8>>3]=s/o;h[t+16>>3]=r/o}y=y+1|0;if((y|0)==(b|0))break;else t=t+96|0}}j=j+1|0;n=Ol(j)|0;if(!n)break;l=(n|0)<(m|0)?0:l+1|0;c[12894]=1;if(l){z=+h[4224];H=+h[4222];v=+h[4225];w=+h[4223];I=(H-w)*.05;x=(z-v)*.05;z=z+x;H=H+I;x=v-x;I=w-I;h[4225]=x;h[4224]=z;h[4223]=I;h[4222]=H;h[4214]=x;h[4216]=x;h[4218]=z;h[4220]=z;h[4221]=H;h[4217]=H;h[4219]=I;h[4215]=I;f=f+1|0}Ql(1);So(0,1);m=n}if(a[142275]|0){D=c[24809]|0;c[E>>2]=j;pO(D,133383,E)|0;c[F>>2]=f;pO(D,133410,F)|0}Vm();Ym();Jo();Dm();y=62}if((y|0)==62){f=c[12983]|0;if((f|0)>0){j=0;l=c[12998]|0;while(1){F=c[(c[(c[l>>2]|0)+16>>2]|0)+132>>2]|0;h[F>>3]=+h[l+8>>3];h[F+8>>3]=+h[l+16>>3];j=j+1|0;if((j|0)==(f|0)){f=1;break}else l=l+96|0}}else f=1}Nl();fQ(c[12893]|0);c[12893]=0;e=f+e|0}}else e=0;while(0);i=G;return e|0}function Il(a,b){a=a|0;b=b|0;var c=0,d=0;d=i;i=i+32|0;c=d;if((vt(a)|0)<2)a=0;else{Ml(a,b,c)|0;a=Hl(a,c)|0}i=d;return a|0}function Jl(a){a=a|0;return Il(a,Qs(a,133289)|0)|0}function Kl(b,e){b=b|0;e=e|0;var f=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;m=i;i=i+48|0;l=m;k=m+24|0;f=Qs(e,133436)|0;if(!((f|0)!=0?(Sl(f,k,1.0,0.0)|0)!=0:0))j=3;do if((j|0)==3){f=Qs(e,133440)|0;if((f|0)!=0?(Sl(f,k,.800000011920929,4.0)|0)!=0:0)break;g[k+4>>2]=4.0;g[k>>2]=4.0;a[k+8>>0]=1}while(0);if(a[142275]|0){j=c[24809]|0;o=+g[k>>2];n=+g[k+4>>2];c[l>>2]=d[k+8>>0];h[l+8>>3]=o;h[l+16>>3]=n;pO(j,133445,l)|0};c[b>>2]=c[k>>2];c[b+4>>2]=c[k+4>>2];c[b+8>>2]=c[k+8>>2];i=m;return}function Ll(b,e){b=b|0;e=e|0;var f=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;m=i;i=i+48|0;l=m;k=m+24|0;f=Qs(e,133440)|0;if(!((f|0)!=0?(Sl(f,k,1.0,0.0)|0)!=0:0))j=3;do if((j|0)==3){f=Qs(e,133436)|0;if((f|0)!=0?(Sl(f,k,1.25,3.200000047683716)|0)!=0:0)break;g[k+4>>2]=3.200000047683716;g[k>>2]=3.200000047683716;a[k+8>>0]=1}while(0);if(a[142275]|0){j=c[24809]|0;o=+g[k>>2];n=+g[k+4>>2];c[l>>2]=d[k+8>>0];h[l+8>>3]=o;h[l+16>>3]=n;pO(j,133478,l)|0};c[b>>2]=c[k>>2];c[b+4>>2]=c[k+4>>2];c[b+8>>2]=c[k+8>>2];i=m;return}function Ml(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0;o=i;i=i+32|0;m=o+16|0;l=o+8|0;k=o;do if((d|0)!=0?(a[d>>0]|0)!=0:0){g=133536;j=51604;while(1){if(!(fP(d,g,c[j+8>>2]|0)|0)){f=j;n=5;break}f=j+16|0;g=c[j+20>>2]|0;if(!g)break;else j=f}if((n|0)==5){if(!(c[f+12>>2]|0)){c[k>>2]=g;us(0,133544,k)|0;f=51604}k=c[f>>2]|0;c[e>>2]=k;c[e+4>>2]=c[f+12>>2];if((k|0)==18)Vl(b,d+(c[f+8>>2]|0)|0,e)}if(!(c[f+4>>2]|0)){f=BC(d,63)|0;if(f<<24>>24!=63)if(!(f<<24>>24))f=e;else{c[e>>2]=0;c[e+4>>2]=176797;break}else{c[l>>2]=d;us(0,133586,l)|0;f=e}c[f>>2]=1;c[e+4>>2]=133633}}else n=3;while(0);if((n|0)==3){c[e>>2]=0;c[e+4>>2]=176797}if(a[142275]|0){n=c[24809]|0;l=c[e+8>>2]|0;p=+h[e+16>>3];c[m>>2]=c[e+4>>2];c[m+4>>2]=l;h[m+8>>3]=p;pO(n,133641,m)|0}i=o;return e|0}function Nl(){var a=0,b=0;if((c[12983]|0)>0){a=0;b=c[12998]|0;while(1){xo(b+40|0);a=a+1|0;if((a|0)>=(c[12983]|0))break;else b=b+96|0}}wo();kn();fQ(c[12998]|0);return}function Ol(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+48|0;p=r+24|0;o=r+8|0;q=r;f=c[12998]|0;if((c[12983]|0)>0){e=0;do{c[f+(e*96|0)+32>>2]=0;e=e+1|0;b=c[12983]|0}while((e|0)<(b|0));if((b|0)>1){e=b;b=0;n=0;do{g=f;f=f+96|0;n=n+1|0;if((n|0)<(e|0)){k=g+8|0;l=g+40|0;m=g+32|0;h=n;j=f;while(1){e=g+104|0;c[o>>2]=c[k>>2];c[o+4>>2]=c[k+4>>2];c[o+8>>2]=c[k+8>>2];c[o+12>>2]=c[k+12>>2];c[p>>2]=c[e>>2];c[p+4>>2]=c[e+4>>2];c[p+8>>2]=c[e+8>>2];c[p+12>>2]=c[e+12>>2];if(Ao(o,l,p,g+136|0)|0){c[m>>2]=1;c[g+128>>2]=1;b=b+1|0}h=h+1|0;e=c[12983]|0;if((h|0)>=(e|0))break;else{g=j;j=j+96|0}}}}while((n|0)<(e+-1|0))}else b=0}else b=0;if((d[142275]|0)>1){p=c[24809]|0;c[q>>2]=a;c[q+4>>2]=b;pO(p,133517,q)|0}i=r;return b|0}function Pl(){var a=0,b=0,d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0.0,r=0;Tl();a=c[12893]|0;k=c[12896]|0;if(a>>>0<k>>>0){n=c[12998]|0;do{g=a;i=a+4|0;a:do if((i>>>0<k>>>0?(p=c[i>>2]|0,q=+h[p>>3],r=c[a>>2]|0,l=+h[r>>3],!(q!=l)):0)?(m=+h[r+8>>3],!(+h[p+8>>3]!=m)):0){b=a+8|0;b:do if(b>>>0<k>>>0){f=2;while(1){d=c[b>>2]|0;if(!(+h[d>>3]==l)){d=f;j=b;break b}if(!(+h[d+8>>3]==m)){d=f;j=b;break b}d=f+1|0;b=b+4|0;if(b>>>0<k>>>0)f=d;else{j=b;break}}}else{d=2;j=b}while(0);if(j>>>0<k>>>0?(o=c[j>>2]|0,+h[o+8>>3]==m):0){e=(+h[o>>3]-l)/+(d|0);if(i>>>0>=j>>>0){a=j;break}d=(j+-4+~g|0)>>>2;h[p>>3]=e+q;if(!d){a=j;break}a=a+8|0;b=1;while(1){i=b;b=b+1|0;g=c[a>>2]|0;h[g>>3]=e*+(b|0)+ +h[g>>3];if((i|0)==(d|0)){a=j;break a}else a=a+4|0}}if(i>>>0<j>>>0){d=r;f=p;e=l;b=i;while(1){g=c[d+16>>2]|0;i=c[f+16>>2]|0;h[f>>3]=e+(+h[n+(g*96|0)+56>>3]-+h[n+(g*96|0)+40>>3]+(+h[n+(i*96|0)+56>>3]-+h[n+(i*96|0)+40>>3]))*.5;a=a+4|0;b=b+4|0;if(b>>>0>=j>>>0){a=j;break a}i=c[a>>2]|0;d=i;f=c[b>>2]|0;e=+h[i>>3]}}else a=j}else a=i;while(0)}while(a>>>0<k>>>0)}return}function Ql(a){a=a|0;var b=0.0,d=0.0,e=0.0,f=0.0,g=0,i=0,j=0,k=0;if(a)Tl();i=c[12893]|0;j=c[i>>2]|0;b=+h[j>>3];h[4228]=b;d=+h[j>>3];h[4229]=d;k=c[12983]|0;if((k|0)>1){g=1;do{a=c[i+(g<<2)>>2]|0;f=+h[a>>3];if(f<b){h[4228]=f;e=+h[a>>3];b=f}else e=f;if(e>d){h[4229]=e;d=e}g=g+1|0}while((g|0)<(k|0))}f=+h[j+8>>3];h[4230]=f;e=+h[(c[i+(k+-1<<2)>>2]|0)+8>>3];h[4231]=e;h[4233]=e-f;h[4232]=d-b;return}function Rl(){var a=0;a=c[12895]|0;if(a>>>0<(c[12896]|0)>>>0){c[12895]=a+4;a=c[a>>2]|0}else a=0;return a|0}function Sl(b,d,e,f){b=b|0;d=d|0;e=+e;f=+f;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0;o=i;i=i+16|0;k=o;l=o+12|0;m=o+8|0;while(1){h=b+1|0;if(!(KM(a[b>>0]|0)|0))break;else b=h}p=(a[b>>0]|0)==43;j=d+8|0;a[j>>0]=p&1;c[k>>2]=l;c[k+4>>2]=m;switch(EO(p?h:b,133511,k)|0){case 0:{b=0;break}case 1:{c[m>>2]=c[l>>2];n=5;break}default:n=5}do if((n|0)==5){if(!(a[j>>0]|0)){g[d>>2]=+g[l>>2]/e+1.0;g[d+4>>2]=+g[m>>2]/e+1.0;b=1;break}if(e>1.0){q=+g[l>>2]/e;g[d>>2]=q>f?f:q;e=+g[m>>2]/e;g[d+4>>2]=e>f?f:e;b=1;break}if(e<1.0){q=+g[l>>2]/e;g[d>>2]=q<f?f:q;q=+g[m>>2]/e;g[d+4>>2]=q<f?f:q;b=1;break}else{c[d>>2]=c[l>>2];c[d+4>>2]=c[m>>2];b=1;break}}while(0);i=o;return b|0}function Tl(){var a=0,b=0,d=0,e=0;a=c[12893]|0;if(!a){d=zz(c[12983]<<2)|0;c[12893]=d;c[12896]=d+(c[12983]<<2)}else d=a;b=c[12998]|0;kn();a=c[12983]|0;if((a|0)>0){e=0;while(1){c[d>>2]=b+8;c[b+88>>2]=0;c[b+28>>2]=1;e=e+1|0;a=c[12983]|0;if((e|0)>=(a|0))break;else{b=b+96|0;d=d+4|0}}}PO(c[12893]|0,a,4,70);c[12895]=c[12893];return}function Ul(a,b){a=a|0;b=b|0;var d=0.0,e=0.0;a=c[a>>2]|0;b=c[b>>2]|0;d=+h[a+8>>3];e=+h[b+8>>3];if(!(d<e))if(!(d>e)){e=+h[a>>3];d=+h[b>>3];if(e<d)a=-1;else a=e>d&1}else a=1;else a=-1;return a|0}function Vl(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e;g=e+4|0;c[f>>2]=g;f=(EO(b,178484,f)|0)>0;b=c[g>>2]|0;c[d+8>>2]=f&(b|0)>-1?b:1e3;h[d+16>>3]=+mC(a,Is(a,0,133677,0)|0,-4.0,-1.0e10);i=e;return}function Wl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=(d|0)>0;if(s)tQ(e|0,-1,d<<2|0)|0;c[e+(a<<2)>>2]=0;r=c[f>>2]|0;c[r>>2]=a;p=f+12|0;c[p>>2]=0;q=f+8|0;c[q>>2]=1;o=f+4|0;if(!(c[b+8>>2]|0)){a=0;h=1;while(1){f=a+1|0;c[p>>2]=f;i=c[r+(a<<2)>>2]|0;a=c[e+(i<<2)>>2]|0;l=b+(i*20|0)|0;if((c[l>>2]|0)>1){f=c[b+(i*20|0)+4>>2]|0;h=a+1|0;k=1;do{i=c[f+(k<<2)>>2]|0;j=e+(i<<2)|0;if((c[j>>2]|0)<0?(c[j>>2]=h,m=c[q>>2]|0,(m|0)<(c[o>>2]|0)):0){c[q>>2]=m+1;c[r+(m<<2)>>2]=i}k=k+1|0}while((k|0)<(c[l>>2]|0));f=c[p>>2]|0;h=c[q>>2]|0}if((f|0)<(h|0))a=f;else break}}else{a=0;h=1;while(1){f=a+1|0;c[p>>2]=f;i=c[r+(a<<2)>>2]|0;a=c[e+(i<<2)>>2]|0;l=b+(i*20|0)|0;if((c[l>>2]|0)>1){k=c[b+(i*20|0)+4>>2]|0;f=b+(i*20|0)+8|0;j=1;do{h=c[k+(j<<2)>>2]|0;i=e+(h<<2)|0;if((c[i>>2]|0)<0?(c[i>>2]=~~+g[(c[f>>2]|0)+(j<<2)>>2]+a,n=c[q>>2]|0,(n|0)<(c[o>>2]|0)):0){c[q>>2]=n+1;c[r+(n<<2)>>2]=h}j=j+1|0}while((j|0)<(c[l>>2]|0));f=c[p>>2]|0;h=c[q>>2]|0}if((f|0)<(h|0))a=f;else break}}if(s){a=a+10|0;h=0;do{f=e+(h<<2)|0;if((c[f>>2]|0)<0)c[f>>2]=a;h=h+1|0}while((h|0)!=(d|0))}return}function Xl(a,b){a=a|0;b=b|0;c[a>>2]=zz(b<<2)|0;c[a+4>>2]=b;c[a+8>>2]=0;c[a+12>>2]=0;return}function Yl(a){a=a|0;fQ(c[a>>2]|0);return}function Zl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0.0,g=0,i=0,j=0;if(a[142275]|0)AO(133998,25,1,c[24809]|0)|0;if((b|0)>0){j=0;do{i=d+(j<<2)|0;g=0;f=0.0;do{if((j|0)!=(g|0))f=f+ +h[(c[i>>2]|0)+(g<<3)>>3];g=g+1|0}while((g|0)!=(b|0));h[(c[i>>2]|0)+(j<<3)>>3]=-f;j=j+1|0}while((j|0)!=(b|0))}return Fn(d,e,b+-1|0)|0}function _l(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0;k=Rj(b,b,0.0)|0;l=Rj(b,b,0.0)|0;d=gu(a)|0;if(d)do{e=ft(a,d)|0;if(e)do{g=c[e>>2]&3;f=(c[c[((g|0)==3?e:e+48|0)+40>>2]>>2]|0)>>>4;g=(c[c[((g|0)==2?e:e+-48|0)+40>>2]>>2]|0)>>>4;if((f|0)!=(g|0)){m=-1.0/+h[(c[e+16>>2]|0)+136>>3];h[(c[k+(g<<2)>>2]|0)+(f<<3)>>3]=m;h[(c[k+(f<<2)>>2]|0)+(g<<3)>>3]=m}e=gt(a,e,d)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0);j=Zl(b,k,l)|0;if((j|0)!=0&(b|0)>0){d=c[(c[a+16>>2]|0)+160>>2]|0;a=0;do{e=c[l+(a<<2)>>2]|0;f=e+(a<<3)|0;g=c[d+(a<<2)>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f>>3]+ +h[(c[l+(i<<2)>>2]|0)+(i<<3)>>3]-+h[e+(i<<3)>>3]*2.0;i=i+1|0}while((i|0)!=(b|0));a=a+1|0}while((a|0)!=(b|0))}Sj(k);Sj(l);return j|0}function $l(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;var g=0.0,h=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+16|0;k=r;q=d<<3;l=zz(q)|0;m=zz(q)|0;n=zz(q)|0;o=zz(q)|0;p=zz(q)|0;q=zz(q)|0;Xn(d,c,q);Qn(d,q);Qn(d,b);Sn(a,d,b,o);Un(d,q,o,l);Xn(d,l,m);g=+Yn(d,l,l);a:do if((f|0)>0){c=f+-1|0;j=0;while(1){if(!(+Zn(d,l)>e)){c=0;break a}Sn(a,d,m,n);h=+Yn(d,m,n);if(h==0.0){c=0;break a}h=g/h;Wn(d,m,h,p);Vn(d,b,p,b);if((j|0)<(c|0)){Wn(d,n,h,n);Un(d,l,n,l);h=+Yn(d,l,l);if(g==0.0)break;Wn(d,m,h/g,m);Vn(d,l,m,m);g=h}j=j+1|0;if((j|0)>=(f|0)){c=0;break a}}us(1,134024,k)|0;c=1}else c=0;while(0);fQ(l);fQ(m);fQ(n);fQ(o);fQ(p);fQ(q);i=r;return c|0}function am(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;var h=0.0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+16|0;k=r;q=d<<3;l=zz(q)|0;m=zz(q)|0;n=zz(q)|0;o=zz(q)|0;p=zz(q)|0;q=zz(q)|0;Xn(d,c,q);if(g<<24>>24){Qn(d,q);Qn(d,b)}Tn(a,d,b,o);Un(d,q,o,l);Xn(d,l,m);h=+Yn(d,l,l);a:do if((f|0)>0){c=f+-1|0;g=0;while(1){if(!(+Zn(d,l)>e)){c=0;break a}Tn(a,d,m,n);j=+Yn(d,m,n);if(j==0.0){c=0;break a}j=h/j;Wn(d,m,j,p);Vn(d,b,p,b);if((g|0)<(c|0)){Wn(d,n,j,n);Un(d,l,n,l);j=+Yn(d,l,l);if(h==0.0)break;Wn(d,m,j/h,m);Vn(d,l,m,m);h=j}g=g+1|0;if((g|0)>=(f|0)){c=0;break a}}us(1,134024,k)|0;c=1}else c=0;while(0);fQ(l);fQ(m);fQ(n);fQ(o);fQ(p);fQ(q);i=r;return c|0}function bm(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;var g=0.0,h=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+16|0;k=p;o=d<<2;l=yz(o)|0;m=yz(o)|0;n=yz(o)|0;o=yz(o)|0;$n(d,b);$n(d,c);ao(a,d,b,o);$n(d,o);bo(d,c,o,l);go(d,l,m);g=+ho(d,l,l);a:do if((f|0)>0){c=f+-1|0;j=0;while(1){if(!(+ko(d,l)>e)){c=0;break a}$n(d,m);$n(d,b);$n(d,l);ao(a,d,m,n);$n(d,n);h=+ho(d,m,n);if(h==0.0){c=0;break a}h=g/h;eo(d,b,h,m);if((j|0)<(c|0)){eo(d,l,-h,n);h=+ho(d,l,l);if(g==0.0)break;fo(d,m,h/g,m);co(d,l,m,m);g=h}j=j+1|0;if((j|0)>=(f|0)){c=0;break a}}us(1,134024,k)|0;c=1}else c=0;while(0);fQ(l);fQ(m);fQ(n);fQ(o);i=p;return c|0}function cm(b,d,e,f,j,k,l,m,n,o){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=+o;var p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0;T=i;i=i+48|0;I=T+24|0;E=T+16|0;D=T+8|0;C=T;R=T+40|0;Q=T+36|0;J=T+32|0;v=l&4;c[R>>2]=0;c[Q>>2]=0;a:do if((c[b+16>>2]|0)!=0?(P=(d|0)>0,P):0){p=0;u=0;do{s=c[b+(u*20|0)>>2]|0;if((s|0)>1){t=b+(u*20|0)+16|0;q=1;do{if(!(p<<24>>24))p=+g[(c[t>>2]|0)+(q<<2)>>2]!=0.0;else p=1;p=p&1;q=q+1|0}while((q|0)<(s|0))}u=u+1|0}while((u|0)!=(d|0));if(p<<24>>24){A=(v|0)!=0;if(A){t=f+4|0;if((k|0)>2){p=k+-1|0;if((Oj(b,d,e,t,j,p,l,m,15)|0)<0){p=-1;break}if(P){s=c[t>>2]|0;p=c[f+(p<<2)>>2]|0;q=0;do{h[p+(q<<3)>>3]=+h[s+(q<<3)>>3];q=q+1|0}while((q|0)!=(d|0))}}z=c[f>>2]|0;x=c[t>>2]|0;if((so(b,d,x,d)|0)==0?(er(b,d,.01,.1,x,R,Q,J)|0)==0:0){y=c[J>>2]|0;if((y|0)<1){p=Oj(b,d,e,f,j,k,l,m,n)|0;break}if(o>0.0){s=c[Q>>2]|0;t=c[R>>2]|0;u=y+-1|0;w=0.0;e=0;do{p=c[s+(e<<2)>>2]|0;q=c[t+(p<<2)>>2]|0;r=+h[x+(q<<3)>>3];G=o-(w+r-+h[x+(c[t+(p+-1<<2)>>2]<<3)>>3]);w=w+(G<0.0?0.0:G);if((e|0)<(u|0))v=c[s+(e+1<<2)>>2]|0;else v=d;if((p|0)<(v|0)?(h[x+(q<<3)>>3]=w+r,B=p+1|0,(B|0)!=(v|0)):0){p=B;do{O=c[t+(p<<2)>>2]|0;h[x+(O<<3)>>3]=w+ +h[x+(O<<3)>>3];p=p+1|0}while((p|0)!=(v|0))}e=e+1|0}while((e|0)<(y|0))}if((k|0)==2?(Po(b,d,x,z,+h[4280])|0)!=0:0){p=-1;q=0}else S=32}else{p=-1;q=0}}else{Jj(b,d,k,f,j)|0;if(!(er(b,d,.01,.1,0,R,Q,J)|0))S=32;else{p=-1;q=0}}b:do if((S|0)==32){if((d|0)==1){p=0;break a}O=zz(c[J>>2]<<2)|0;if(!n){p=0;break a}if(a[142275]|0)fC();switch(m|0){case 2:{if(a[142275]|0)AO(134072,24,1,c[24809]|0)|0;p=Nj(b,d)|0;S=45;break}case 1:{p=Kj(b,d)|0;if(!p){us(0,134097,C)|0;us(3,134146,D)|0;S=46}else M=p;break}case 3:{if(a[142275]|0)AO(134199,21,1,c[24809]|0)|0;p=Lj(b,d)|0;S=45;break}default:S=46}if((S|0)==45)if(!p)S=46;else M=p;if((S|0)==46){if(a[142275]|0)AO(134221,26,1,c[24809]|0)|0;M=Mj(b,d)|0}if(a[142275]|0){L=c[24809]|0;h[E>>3]=+gC();pO(L,134248,E)|0;AO(134260,25,1,L)|0;fC()}K=d+-1|0;y=(_(K,d)|0)/2|0;L=y+d|0;e=(L|0)>0;if(!A?(H=(k|0)>0,H):0){s=0;r=1.0;do{if(P){p=c[f+(s<<2)>>2]|0;q=0;do{G=+N(+(+h[p+(q<<3)>>3]));r=G>r?G:r;q=q+1|0}while((q|0)!=(d|0))}s=s+1|0}while((s|0)!=(k|0));if(H){r=10.0/r;q=0;do{if(P){p=c[f+(q<<2)>>2]|0;s=0;do{H=p+(s<<3)|0;h[H>>3]=r*+h[H>>3];s=s+1|0}while((s|0)!=(d|0))}q=q+1|0}while((q|0)!=(k|0))}}if(o>0.0){w=+(y|0);if((d|0)>1){p=0;u=0;v=d;r=0.0;while(1){t=u;u=u+1|0;q=p+1|0;if((u|0)<(d|0)){s=u;while(1){G=+un(f,k,t,s);r=r+G/+g[M+(q<<2)>>2];s=s+1|0;if((s|0)==(d|0))break;else q=q+1|0}p=p+v|0}else p=q;if((u|0)==(K|0))break;else v=v+-1|0}}else r=0.0;if(e){r=r/w;p=0;do{H=M+(p<<2)|0;g[H>>2]=r*+g[H>>2];p=p+1|0}while((p|0)!=(L|0))}}E=(k|0)>0;if(E){p=0;do{Qn(d,c[f+(p<<2)>>2]|0);p=p+1|0}while((p|0)!=(k|0))}p=c[f+4>>2]|0;r=+h[p>>3];if(P?(h[p>>3]=r-r,(d|0)!=1):0){q=1;do{h[p+(q<<3)>>3]=+h[p+(q<<3)>>3]-r;q=q+1|0}while((q|0)!=(d|0))}v=k<<2;H=zz(v)|0;x=d<<2;e=_(x,k)|0;p=zz(e)|0;if(E){t=0;do{q=_(t,d)|0;c[H+(t<<2)>>2]=p+(q<<2);if(P){s=c[f+(t<<2)>>2]|0;u=0;do{g[p+(q+u<<2)>>2]=+h[s+(u<<3)>>3];u=u+1|0}while((u|0)!=(d|0))}t=t+1|0}while((t|0)!=(k|0))}w=+(y|0);if(a[142275]|0){b=c[24809]|0;h[I>>3]=+gC();pO(b,134286,I)|0}lo(L,M);mo(L,M);b=zz(d<<3)|0;io(d,0.0,b);D=(d|0)>1;if(D){s=0;t=0;u=d;while(1){p=s+1|0;if((d-t|0)>1){r=0.0;q=1;while(1){G=+g[M+(p<<2)>>2];r=r+G;I=b+(q+t<<3)|0;h[I>>3]=+h[I>>3]-G;q=q+1|0;if((q|0)==(u|0))break;else p=p+1|0}p=s+u|0}else r=0.0;I=b+(t<<3)|0;h[I>>3]=+h[I>>3]-r;t=t+1|0;if((t|0)==(K|0))break;else{s=p;u=u+-1|0}}}if(P){p=0;q=0;s=d;while(1){g[M+(p<<2)>>2]=+h[b+(q<<3)>>3];q=q+1|0;if((q|0)==(d|0))break;else{p=s+p|0;s=s+-1|0}}}C=zz(v)|0;p=zz(e)|0;c[C>>2]=p;do if((k|0)>1){c[C+4>>2]=p+(d<<2);if((k|0)==2)break;else p=2;do{c[C+(p<<2)>>2]=(c[C>>2]|0)+((_(p,d)|0)<<2);p=p+1|0}while((p|0)!=(k|0))}while(0);m=zz(x)|0;A=zz(x)|0;B=zz(L<<2)|0;q=Fo(M,d)|0;l=Io(M,d,c[R>>2]|0,c[Q>>2]|0,c[J>>2]|0)|0;if((n|0)>0){j=C+4|0;G=w+0.0;p=0;F=1797693134862315708145274.0e284;while(1){io(d,0.0,b);no(L,M,B);if(D){s=0;y=0;z=K;while(1){x=(z|0)>1?z:1;u=d-y|0;e=u+-1|0;jo(d,0.0,A);if(E){t=y+1|0;v=0;do{J=H+(v<<2)|0;jo(e,+g[(c[J>>2]|0)+(y<<2)>>2],m);eo(e,m,-1.0,(c[J>>2]|0)+(t<<2)|0);lo(e,m);co(e,m,A,A);v=v+1|0}while((v|0)!=(k|0))}oo(e,A);v=(u|0)>1;do if(v){u=0;do{t=A+(u<<2)|0;r=+g[t>>2];if(r>=3402823466385288598117041.0e14|r<0.0)g[t>>2]=0.0;u=u+1|0}while((u|0)<(e|0));s=s+1|0;if(!v){S=104;break}t=y+1|0;u=s;r=0.0;v=0;while(1){J=B+(u<<2)|0;U=+g[A+(v<<2)>>2]*+g[J>>2];g[J>>2]=U;r=r+U;J=b+(t+v<<3)|0;h[J>>3]=+h[J>>3]-U;v=v+1|0;if((v|0)>=(e|0))break;else u=u+1|0}s=s+x|0}else{s=s+1|0;S=104}while(0);if((S|0)==104){S=0;t=y+1|0;r=0.0}J=b+(y<<3)|0;h[J>>3]=+h[J>>3]-r;if((t|0)==(K|0))break;else{y=t;z=z+-1|0}}}if(P){s=0;t=0;u=d;while(1){g[B+(s<<2)>>2]=+h[b+(t<<3)>>3];t=t+1|0;if((t|0)==(d|0))break;else{s=u+s|0;u=u+-1|0}}}do if(E){s=0;do{ao(B,d,c[H+(s<<2)>>2]|0,c[C+(s<<2)>>2]|0);s=s+1|0}while((s|0)!=(k|0));if(E){s=0;r=0.0}else{r=G;break}do{r=r+ +ho(d,c[H+(s<<2)>>2]|0,c[C+(s<<2)>>2]|0);s=s+1|0}while((s|0)!=(k|0));r=w+r*2.0;if(E)s=0;else break;do{J=H+(s<<2)|0;ao(M,d,c[J>>2]|0,m);r=r-+ho(d,c[J>>2]|0,m);s=s+1|0}while((s|0)!=(k|0))}else r=G;while(0);U=+N(+(r-F))/+N(+(F+1.0e-10));if(U<+h[4280])t=1;else t=(p|0)>1&r>F;if(E){s=0;do{if((s|0)!=1){if(bm(M,c[H+(s<<2)>>2]|0,c[C+(s<<2)>>2]|0,d,.001,d)|0){p=-1;break b}}else Go(l,c[j>>2]|0,H,k,1,15,O,o)|0;s=s+1|0}while((s|0)<(k|0))}p=p+1|0;if((p|0)<(n|0)&(t^1))F=r;else break}}else p=0;fQ(O);Ho(l);if(H){if(E){u=0;do{if(P){s=c[H+(u<<2)>>2]|0;t=c[f+(u<<2)>>2]|0;v=0;do{h[t+(v<<3)>>3]=+g[s+(v<<2)>>2];v=v+1|0}while((v|0)!=(d|0))}u=u+1|0}while((u|0)!=(k|0))}fQ(c[H>>2]|0);fQ(H)}if(C){fQ(c[C>>2]|0);fQ(C)}fQ(m);fQ(A);fQ(b);fQ(M);fQ(B)}while(0);fQ(c[R>>2]|0);fQ(c[Q>>2]|0);if(q){fQ(c[q>>2]|0);fQ(q)}}else S=10}else S=10;while(0);if((S|0)==10)p=Oj(b,d,e,f,j,k,l,m,n)|0;i=T;return p|0}function dm(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0;A=i;i=i+16|0;e=A;y=vt(b)|0;z=zz(y*48|0)|0;Kl(e,b);v=+g[e>>2];w=+g[e+4>>2];e=a[e+8>>0]|0;f=gu(b)|0;if(f){p=e<<24>>24==0;t=v*5.0;u=w*5.0;o=z;while(1){s=c[f+16>>2]|0;n=c[s+132>>2]|0;k=+h[n>>3]*10.0*72.0;m=~~(k+(k>=0.0?.5:-.5));k=+h[n+8>>3]*10.0*72.0;n=~~(k+(k>=0.0?.5:-.5));k=+h[s+32>>3];l=+h[s+40>>3];if(p){k=t*k*72.0;l=u*l*72.0;e=~~(l+(l>=0.0?.5:-.5));j=~~(k+(k>=0.0?.5:-.5))}else{k=k*.5*72.0;l=l*.5*72.0;e=~~((w+ +(~~(l+(l>=0.0?.5:-.5))|0))*10.0);j=~~((v+ +(~~(k+(k>=0.0?.5:-.5))|0))*10.0)}c[o+12>>2]=m;c[o+16>>2]=n;c[o+20>>2]=f;c[o+32>>2]=m-j;c[o+36>>2]=n-e;c[o+40>>2]=j+m;c[o+44>>2]=e+n;f=hu(b,f)|0;if(!f)break;else o=o+48|0}}m=y+-1|0;a:do if((y|0)>1){r=0;s=z;b:while(1){e=s;s=s+48|0;r=r+1|0;if((r|0)<(y|0)){n=c[e+32>>2]|0;o=e+40|0;p=e+36|0;q=e+44|0;f=r;j=s;while(1){if((((n|0)<=(c[e+88>>2]|0)?(c[e+80>>2]|0)<=(c[o>>2]|0):0)?(c[p>>2]|0)<=(c[e+92>>2]|0):0)?(c[e+84>>2]|0)<=(c[q>>2]|0):0)break b;f=f+1|0;if((f|0)>=(y|0))break;else{e=j;j=j+48|0}}}if((r|0)>=(m|0)){e=0;break a}}switch(d|0){case 9:{gm(b,z,y,71,1);im(b,z,y,72,1);break}case 10:{im(b,z,y,72,1);gm(b,z,y,71,1);break}case 7:{gm(b,z,y,73,1);im(b,z,y,72,1);x=20;break}case 8:{x=20;break}case 13:{x=21;break}case 14:{im(b,z,y,72,0);gm(b,z,y,71,0);break}case 12:{im(b,z,y,74,0);gm(b,z,y,71,0);break}default:{gm(b,z,y,73,0);im(b,z,y,72,0)}}if((x|0)==20){im(b,z,y,74,1);gm(b,z,y,71,1);x=21}if((x|0)==21){gm(b,z,y,71,0);im(b,z,y,72,0)}if((y|0)>0){e=0;f=z;while(1){d=c[f+16>>2]|0;x=c[(c[(c[f+20>>2]|0)+16>>2]|0)+132>>2]|0;h[x>>3]=+(c[f+12>>2]|0)/72.0/10.0;h[x+8>>3]=+(d|0)/72.0/10.0;e=e+1|0;if((e|0)==(y|0)){e=1;break}else f=f+48|0}}else e=1}else e=0;while(0);fQ(z);i=A;return e|0}function em(b,d){b=b|0;d=d|0;var e=0,f=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0;H=i;i=i+48|0;D=H+8|0;y=H;n=H+24|0;F=vt(b)|0;G=zz(F*72|0)|0;Kl(n,b);k=+g[n>>2];l=+g[n+4>>2];n=(a[n+8>>0]|0)!=0;e=gu(b)|0;if(e){p=n?k/72.0:k;o=n?l/72.0:l;m=G;while(1){f=c[e+16>>2]|0;k=+h[f+32>>3];if(n){l=o+ +h[f+40>>3]*.5;k=p+k*.5}else{l=o*+h[f+40>>3]*.5;k=p*k*.5}B=c[f+132>>2]|0;J=+h[B>>3];h[m>>3]=J;I=+h[B+8>>3];h[m+8>>3]=I;h[m+16>>3]=J-k;h[m+24>>3]=I-l;h[m+32>>3]=k+J;h[m+40>>3]=l+I;h[m+48>>3]=k;h[m+56>>3]=l;c[m+64>>2]=e;e=hu(b,e)|0;if(!e)break;else m=m+72|0}}a:do if((d|0)>=0){e=zz((F<<4)+16|0)|0;if((F|0)>0){m=0;A=0;B=G;f=F;do{z=B;B=B+72|0;A=A+1|0;if((A|0)<(F|0)){r=z+16|0;t=z+32|0;u=z+24|0;v=z+40|0;w=z+8|0;x=z+56|0;y=z+48|0;n=z;b=A;q=B;while(1){if(((+h[r>>3]<=+h[n+104>>3]?+h[n+88>>3]<=+h[t>>3]:0)?+h[u>>3]<=+h[n+112>>3]:0)?+h[n+96>>3]<=+h[v>>3]:0){if((m|0)==(f|0)){f=m+F|0;e=Bz(e,(f<<4)+16|0)|0}k=+h[z>>3];l=+h[n+72>>3];if(!(k==l)){k=(+h[y>>3]+ +h[n+120>>3])/+N(+(k-l));if(k<1.0)k=1.0}else k=s;l=+h[w>>3];o=+h[n+80>>3];if(!(l==o)){l=(+h[x>>3]+ +h[n+128>>3])/+N(+(l-o));if(l<1.0)l=1.0}else l=s;m=m+1|0;h[e+(m<<4)>>3]=k;h[e+(m<<4)+8>>3]=l}b=b+1|0;if((b|0)==(F|0))break;else{n=q;q=q+72|0}}}}while((A|0)!=(F|0))}else m=0;f=(m<<4)+16|0;b=Bz(e,f)|0;if(!m){fQ(b);fQ(G);e=0;break}do if(d)if((m|0)<1){C=0.0;j=0.0}else{e=b;f=1;j=0.0;while(1){E=e;e=e+16|0;I=+h[e>>3];J=+h[E+24>>3];J=I<J?I:J;j=J>j?J:j;if((f|0)==(m|0)){C=j;break}else f=f+1|0}}else{h[b>>3]=1.0;h[b+8>>3]=s;PO(b+16|0,m,16,75);n=zz(f)|0;h[n+(m<<4)>>3]=+h[b+(m<<4)>>3];h[n+(m<<4)+8>>3]=1.0;if((m|0)>0){k=1.0;e=m;do{E=e;e=e+-1|0;h[n+(e<<4)>>3]=+h[b+(e<<4)>>3];J=+h[b+(E<<4)+8>>3];k=J>k?J:k;h[n+(e<<4)+8>>3]=k}while((E|0)>1);if((m|0)>=0){e=0;k=s;f=0;while(1){J=+h[n+(f<<4)>>3]*+h[n+(f<<4)+8>>3];E=J<k;e=E?f:e;k=E?J:k;if((f|0)==(m|0))break;else f=f+1|0}if(k<s){C=+h[n+(e<<4)>>3];j=+h[n+(e<<4)+8>>3];break}}}Na(134311,134331,832,134344)}while(0);fQ(b);if(!(a[142275]|0)){k=C;E=58}else{E=c[24809]|0;h[D>>3]=C;h[D+8>>3]=j;pO(E,134359,D)|0;k=C;E=58}}else{b:do if((F|0)>0){if((F|0)>1){w=G+72|0;x=1;u=G;j=0.0;while(1){p=+h[u+16>>3];f=u+8|0;m=u+56|0;n=u+48|0;b=u+32|0;q=u+24|0;r=u+40|0;e=u;t=x;v=w;while(1){if(((p<=+h[e+104>>3]?+h[e+88>>3]<=+h[b>>3]:0)?+h[q>>3]<=+h[e+112>>3]:0)?+h[e+96>>3]<=+h[r>>3]:0)break b;k=+h[u>>3];l=+h[e+72>>3];if(k==l)o=s;else o=(+h[n>>3]+ +h[e+120>>3])/+N(+(k-l));k=+h[f>>3];l=+h[e+80>>3];if(k==l)k=s;else k=(+h[m>>3]+ +h[e+128>>3])/+N(+(k-l));J=k<o?k:o;j=J>j?J:j;t=t+1|0;if((t|0)>=(F|0))break;else{e=v;v=v+72|0}}x=x+1|0;if((x|0)>=(F|0))break;else{u=w;w=w+72|0}}}else j=0.0;if(!(j==0.0)){if(!(a[142275]|0)){k=j;E=58;break a}E=c[24809]|0;h[y>>3]=j;pO(E,134297,y)|0;k=j;E=58;break a}}while(0);fQ(G);e=0}while(0);if((E|0)==58){if((F|0)>0){e=0;f=G;while(1){E=c[(c[(c[f+64>>2]|0)+16>>2]|0)+132>>2]|0;h[E>>3]=k*+h[f>>3];h[E+8>>3]=j*+h[f+8>>3];e=e+1|0;if((e|0)==(F|0))break;else f=f+72|0}}fQ(G);e=1}i=H;return e|0}function fm(a,b){a=a|0;b=b|0;if((c[a+36>>2]|0)>(c[b+44>>2]|0))a=0;else a=(c[b+36>>2]|0)<=(c[a+44>>2]|0);return a&1|0}function gm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;j=hs(51876,c[13095]|0)|0;i=(d|0)>0;if(i){g=0;h=b;while(1){c[h+8>>2]=c[h+12>>2];Jb[c[j>>2]&63](j,h,1)|0;g=g+1|0;if((g|0)==(d|0))break;else h=h+48|0}}if(!f)g=om(a,j,e,76)|0;else g=nm(j,e,76)|0;Dz(g,2,2147483647)|0;if(i){a=0;while(1){i=b+12|0;f=c[(c[(c[b+24>>2]|0)+16>>2]|0)+232>>2]|0;h=f-(c[i>>2]|0)|0;c[i>>2]=f;i=b+32|0;c[i>>2]=(c[i>>2]|0)+h;i=b+40|0;c[i>>2]=(c[i>>2]|0)+h;a=a+1|0;if((a|0)==(d|0))break;else b=b+48|0}}pm(g);ds(j)|0;return}function hm(a,b){a=a|0;b=b|0;if((c[a+32>>2]|0)>(c[b+40>>2]|0))a=0;else a=(c[b+32>>2]|0)<=(c[a+40>>2]|0);return a&1|0}function im(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;j=hs(51876,c[13095]|0)|0;i=(d|0)>0;if(i){g=0;h=b;while(1){c[h+8>>2]=c[h+16>>2];Jb[c[j>>2]&63](j,h,1)|0;g=g+1|0;if((g|0)==(d|0))break;else h=h+48|0}}if(!f)g=om(a,j,e,77)|0;else g=nm(j,e,77)|0;Dz(g,2,2147483647)|0;if(i){a=0;while(1){i=b+16|0;f=c[(c[(c[b+24>>2]|0)+16>>2]|0)+232>>2]|0;h=f-(c[i>>2]|0)|0;c[i>>2]=f;i=b+36|0;c[i>>2]=(c[i>>2]|0)+h;i=b+44|0;c[i>>2]=(c[i>>2]|0)+h;a=a+1|0;if((a|0)==(d|0))break;else b=b+48|0}}pm(g);ds(j)|0;return}function jm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+36>>2]|0;g=c[b+44>>2]|0;if((d|0)<=(g|0)?(h=c[b+36>>2]|0,i=c[a+44>>2]|0,(h|0)<=(i|0)):0){e=c[a+40>>2]|0;f=c[b+32>>2]|0;if((e|0)<(f|0))d=1;else{j=c[b+16>>2]|0;k=c[a+16>>2]|0;d=(((e-f-(c[a+32>>2]|0)+(c[b+40>>2]|0)|0)/2|0)-(c[b+12>>2]|0)+(c[a+12>>2]|0)|0)<=(((i-d+g-h|0)/2|0)+((j|0)<(k|0)?j-k|0:k-j|0)|0)&1}}else d=0;return d|0}function km(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[a+32>>2]|0;g=c[b+40>>2]|0;if((d|0)<=(g|0)?(h=c[b+32>>2]|0,i=c[a+40>>2]|0,(h|0)<=(i|0)):0){e=c[a+44>>2]|0;f=c[b+36>>2]|0;if((e|0)<(f|0))d=1;else{j=c[b+12>>2]|0;k=c[a+12>>2]|0;d=(((e-(c[a+36>>2]|0)+(c[b+44>>2]|0)-f|0)/2|0)-(c[b+16>>2]|0)+(c[a+16>>2]|0)|0)<=(((i-(h+d)+g|0)/2|0)+((j|0)<(k|0)?j-k|0:k-j|0)|0)&1}}else d=0;return d|0}function lm(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;c=+h[a>>3];d=+h[b>>3];if(!(c<d))if(!(c>d)){d=+h[a+8>>3];c=+h[b+8>>3];if(d<c)a=-1;else a=d>c&1}else a=1;else a=-1;return a|0}function mm(a,b){a=a|0;b=b|0;return ((c[a+12>>2]|0)-(c[a+4>>2]|0)+(c[b+12>>2]|0)-(c[b+4>>2]|0)|0)/2|0|0}function nm(a,d,e){a=a|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;y=i;i=i+16|0;v=y;c[v>>2]=c[13169];x=rt(134376,v,0)|0;Ou(x,178510,280,1)|0;f=fs(a)|0;if(!f)g=0;else{g=0;h=-2147483647;do{u=h;h=c[f+8>>2]|0;g=((u|0)!=(h|0)&1)+g|0;f=c[f>>2]|0}while((f|0)!=0)}f=fs(a)|0;if(!f)f=0;else{t=x+16|0;u=(g<<3)+-4|0;m=0;p=0;j=0;k=-2147483647;s=f;f=0;n=0;while(1){r=c[s+8>>2]|0;if((k|0)!=(r|0)){q=mu(x,Ft(c[s+20>>2]|0)|0,1)|0;Ou(q,178487,304,1)|0;o=q+16|0;h=c[o>>2]|0;c[h+112>>2]=s;if(!n){c[(c[t>>2]|0)+192>>2]=q;n=q}else c[(c[m+16>>2]|0)+164>>2]=q;c[h+176>>2]=0;l=p+1|0;m=yz(l<<2)|0;c[(c[o>>2]|0)+172>>2]=m;if(!f){m=q;j=q;k=r;f=q;h=n}else{j=f+16|0;c[(c[j>>2]|0)+184>>2]=0;if((f|0)==(n|0)){p=yz(u)|0;c[(c[j>>2]|0)+180>>2]=p}else{p=yz(g-p<<2)|0;c[(c[j>>2]|0)+180>>2]=p}k=ht(x,f,q,0,1)|0;Ou(k,178780,176,1)|0;h=c[k+16>>2]|0;b[h+170>>1]=10;c[h+156>>2]=1;h=c[j>>2]|0;f=c[h+180>>2]|0;h=c[h+184>>2]|0;if(!f)f=zz((h<<2)+8|0)|0;else f=Bz(f,(h<<2)+8|0)|0;p=c[j>>2]|0;c[p+180>>2]=f;p=p+184|0;h=c[p>>2]|0;c[p>>2]=h+1;c[f+(h<<2)>>2]=k;h=c[j>>2]|0;c[(c[h+180>>2]|0)+(c[h+184>>2]<<2)>>2]=0;h=c[o>>2]|0;f=c[h+172>>2]|0;h=c[h+176>>2]|0;if(!f)f=zz((h<<2)+8|0)|0;else f=Bz(f,(h<<2)+8|0)|0;j=c[o>>2]|0;c[j+172>>2]=f;j=j+176|0;m=c[j>>2]|0;c[j>>2]=m+1;c[f+(m<<2)>>2]=k;m=c[o>>2]|0;c[(c[m+172>>2]|0)+(c[m+176>>2]<<2)>>2]=0;m=q;j=q;k=r;f=q;h=n}}else{l=p;h=n}c[s+24>>2]=j;s=c[s>>2]|0;if(!s)break;else{p=l;n=h}}}r=f+16|0;c[(c[r>>2]|0)+184>>2]=0;f=yz(4)|0;c[(c[r>>2]|0)+180>>2]=f;c[v>>2]=c[13169];r=rt(134410,v,0)|0;f=fs(a)|0;if(f)do{v=mu(r,Ft(c[f+20>>2]|0)|0,1)|0;Ou(v,178487,304,1)|0;c[f+28>>2]=v;c[(c[v+16>>2]|0)+112>>2]=f;f=c[f>>2]|0}while((f|0)!=0);g=fs(a)|0;a:do if(g){f=0;h=-2147483647;do{j=c[g+8>>2]|0;b:do if((h|0)==(j|0))if(!f)f=0;else w=29;else{f=c[g>>2]|0;if(!f)break a;while(1){if((c[f+8>>2]|0)!=(j|0)){h=j;w=29;break b}f=c[f>>2]|0;if(!f)break a}}while(0);if((w|0)==29){w=0;j=g+28|0;k=f;do{if(Qb[d&127](g,k)|0)ht(r,c[j>>2]|0,c[k+28>>2]|0,0,1)|0;k=c[k>>2]|0}while((k|0)!=0)}g=c[g>>2]|0}while((g|0)!=0)}while(0);f=gu(r)|0;if(f)do{g=c[(c[f+16>>2]|0)+112>>2]|0;q=c[g+24>>2]|0;h=at(r,f)|0;if(h){o=g+32|0;p=q+16|0;do{k=c[(c[(c[((c[h>>2]&3|0)==2?h:h+-48|0)+40>>2]|0)+16>>2]|0)+112>>2]|0;n=Qb[e&127](o,k+32|0)|0;k=c[k+24>>2]|0;l=ht(x,q,k,0,1)|0;Ou(l,178780,176,1)|0;m=l+16|0;g=c[m>>2]|0;c[g+156>>2]=1;j=b[g+170>>1]|0;if((j&65535|0)<(n|0)){if(!(j<<16>>16)){j=c[p>>2]|0;g=c[j+180>>2]|0;j=c[j+184>>2]|0;if(!g)g=zz((j<<2)+8|0)|0;else g=Bz(g,(j<<2)+8|0)|0;d=c[p>>2]|0;c[d+180>>2]=g;d=d+184|0;j=c[d>>2]|0;c[d>>2]=j+1;c[g+(j<<2)>>2]=l;j=c[p>>2]|0;c[(c[j+180>>2]|0)+(c[j+184>>2]<<2)>>2]=0;k=k+16|0;j=c[k>>2]|0;g=c[j+172>>2]|0;j=c[j+176>>2]|0;if(!g)g=zz((j<<2)+8|0)|0;else g=Bz(g,(j<<2)+8|0)|0;w=c[k>>2]|0;c[w+172>>2]=g;w=w+176|0;d=c[w>>2]|0;c[w>>2]=d+1;c[g+(d<<2)>>2]=l;g=c[k>>2]|0;c[(c[g+172>>2]|0)+(c[g+176>>2]<<2)>>2]=0;g=c[m>>2]|0}b[g+170>>1]=n}h=ct(r,h)|0}while((h|0)!=0)}f=hu(r,f)|0}while((f|0)!=0);ut(r)|0;i=y;return x|0}function om(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;q=i;i=i+16|0;p=q;c[p>>2]=c[13169];p=rt(134376,p,0)|0;Ou(p,178510,280,1)|0;g=fs(d)|0;if(g){j=p+16|0;k=0;do{h=k;k=mu(p,Ft(c[g+20>>2]|0)|0,1)|0;Ou(k,178487,304,1)|0;o=k+16|0;m=c[o>>2]|0;c[m+112>>2]=g;c[g+24>>2]=k;c[m+176>>2]=0;m=yz(4)|0;n=c[o>>2]|0;c[n+172>>2]=m;c[n+184>>2]=0;n=yz(4)|0;c[(c[o>>2]|0)+180>>2]=n;if(!h)c[(c[j>>2]|0)+192>>2]=k;else c[(c[h+16>>2]|0)+164>>2]=k;g=c[g>>2]|0}while((g|0)!=0)}g=fs(d)|0;a:do if(g){b:while(1){h=c[g>>2]|0;if(!h)g=h;else{m=g+32|0;n=g+24|0;o=g+20|0;do{if(Qb[e&127](g,h)|0){j=Qb[f&127](m,h+32|0)|0;k=ht(p,c[n>>2]|0,c[h+24>>2]|0,0,1)|0;Ou(k,178780,176,1)|0;if((j|0)>=65536)break b;l=k+16|0;r=c[l>>2]|0;b[r+170>>1]=j;c[r+156>>2]=1;if((k|0)!=0?(ht(a,c[o>>2]|0,c[h+20>>2]|0,0,0)|0)!=0:0)c[(c[l>>2]|0)+156>>2]=100}h=c[h>>2]|0}while((h|0)!=0);g=c[g>>2]|0}if(!g)break a}Na(134379,134331,254,134395)}while(0);g=fs(d)|0;if(g)do{h=c[g+24>>2]|0;j=at(p,h)|0;if(j){m=h+16|0;do{k=c[m>>2]|0;h=c[k+180>>2]|0;k=c[k+184>>2]|0;if(!h)h=zz((k<<2)+8|0)|0;else h=Bz(h,(k<<2)+8|0)|0;k=c[m>>2]|0;c[k+180>>2]=h;k=k+184|0;l=c[k>>2]|0;c[k>>2]=l+1;c[h+(l<<2)>>2]=j;l=c[m>>2]|0;c[(c[l+180>>2]|0)+(c[l+184>>2]<<2)>>2]=0;l=j+-48|0;k=c[(c[((c[j>>2]&3|0)==2?j:l)+40>>2]|0)+16>>2]|0;h=c[k+172>>2]|0;k=c[k+176>>2]|0;if(!h)h=zz((k<<2)+8|0)|0;else h=Bz(h,(k<<2)+8|0)|0;c[(c[(c[((c[j>>2]&3|0)==2?j:l)+40>>2]|0)+16>>2]|0)+172>>2]=h;d=(c[(c[((c[j>>2]&3|0)==2?j:l)+40>>2]|0)+16>>2]|0)+176|0;r=c[d>>2]|0;c[d>>2]=r+1;c[(c[(c[(c[((c[j>>2]&3|0)==2?j:l)+40>>2]|0)+16>>2]|0)+172>>2]|0)+(r<<2)>>2]=j;r=c[(c[((c[j>>2]&3|0)==2?j:l)+40>>2]|0)+16>>2]|0;c[(c[r+172>>2]|0)+(c[r+176>>2]<<2)>>2]=0;j=ct(p,j)|0}while((j|0)!=0)}g=c[g>>2]|0}while((g|0)!=0);i=q;return p|0}function pm(a){a=a|0;var b=0,d=0,e=0,f=0;b=gu(a)|0;if(b)do{e=b+16|0;d=c[e>>2]|0;f=c[d+172>>2]|0;if(f){fQ(f);d=c[e>>2]|0}d=c[d+180>>2]|0;if(d)fQ(d);b=hu(a,b)|0}while((b|0)!=0);ut(a)|0;return}function qm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;return (c[b>>2]|0)-(c[d>>2]|0)|0}function rm(a,b){a=a|0;b=b|0;return ((c[a+8>>2]|0)-(c[a>>2]|0)+(c[b+8>>2]|0)-(c[b>>2]|0)|0)/2|0|0}function sm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;b=i;i=i+16|0;a=b;c[a>>2]=134413;us(1,134491,a)|0;i=b;return 0}function tm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;b=i;i=i+16|0;a=b;a:do switch(d|0){case 2:{e=zz(16)|0;f=zz(24)|0;c[f+8>>2]=0;c[f+4>>2]=e;c[f>>2]=2;c[e>>2]=0;c[e+4>>2]=1;d=e+8|0;c[f+16>>2]=d;c[f+20>>2]=0;c[f+12>>2]=2;c[d>>2]=1;c[e+12>>2]=0;break}case 1:{e=zz(4)|0;f=zz(12)|0;c[f+8>>2]=0;c[f+4>>2]=e;c[f>>2]=1;c[e>>2]=0;break}default:{c[a>>2]=134413;us(1,134463,a)|0;a=(d|0)>0;if(!e){if(!a){f=0;break a}xb()}else{if(!a){f=0;break a}xb()}}}while(0);i=b;return f|0}function um(a){a=a|0;var b=0;if(a){b=c[a+4>>2]|0;if(b)fQ(b);b=c[a+8>>2]|0;if(b)fQ(b);fQ(a)}return}function vm(a){a=a|0;var b=0;if(a){b=c[a+4>>2]|0;if(b)fQ(b);b=c[a+8>>2]|0;if(b)fQ(b);b=c[a+16>>2]|0;if(b)fQ(b);fQ(a)}return}function wm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+16|0;o=p+8|0;m=p;l=hQ(c[12978]|0,d<<2)|0;c[12978]=l;n=(d|0)>0;if(n){f=0;do{c[e+(f<<2)>>2]=2147483647;f=f+1|0}while((f|0)!=(d|0))}c[e+(a<<2)>>2]=0;j=b+(a*20|0)|0;if((c[j>>2]|0)>1){f=c[b+(a*20|0)+8>>2]|0;h=c[b+(a*20|0)+4>>2]|0;k=1;do{c[e+(c[h+(k<<2)>>2]<<2)>>2]=~~+g[f+(k<<2)>>2];k=k+1|0}while((k|0)<(c[j>>2]|0))}ym(o,a,l,e,d);a:do if(!((zm(o,m,c[12978]|0,e)|0)<<24>>24))j=-2147483639;else{f=-2147483639;while(1){h=c[m>>2]|0;l=c[e+(h<<2)>>2]|0;if((l|0)==2147483647){j=f;break a}j=b+(h*20|0)|0;if((c[j>>2]|0)>1){k=b+(h*20|0)+4|0;f=b+(h*20|0)+8|0;h=1;do{Am(o,c[(c[k>>2]|0)+(h<<2)>>2]|0,~~+g[(c[f>>2]|0)+(h<<2)>>2]+l|0,c[12978]|0,e);h=h+1|0}while((h|0)<(c[j>>2]|0))}f=l+10|0;if(!((zm(o,m,c[12978]|0,e)|0)<<24>>24)){j=f;break}}}while(0);if(n){h=0;do{f=e+(h<<2)|0;if((c[f>>2]|0)==2147483647)c[f>>2]=j;h=h+1|0}while((h|0)!=(d|0))}f=c[o>>2]|0;if(f)fQ(f);i=p;return}function xm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,h=0,j=0,k=0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+16|0;t=u;s=zz(d<<2)|0;l=(d|0)>0;if(l){f=0;do{g[e+(f<<2)>>2]=3402823466385288598117041.0e14;f=f+1|0}while((f|0)!=(d|0))}g[e+(a<<2)>>2]=0.0;j=c[b+(a*20|0)>>2]|0;if((j|0)>1){f=c[b+(a*20|0)+8>>2]|0;h=c[b+(a*20|0)+4>>2]|0;k=1;do{c[e+(c[h+(k<<2)>>2]<<2)>>2]=c[f+(k<<2)>>2];k=k+1|0}while((k|0)<(j|0))}f=d+-1|0;q=zz(f<<2)|0;c[t>>2]=q;r=t+4|0;c[r>>2]=f;if(l){h=0;j=0;do{if((j|0)!=(a|0)){c[q+(h<<2)>>2]=j;c[s+(j<<2)>>2]=h;h=h+1|0}j=j+1|0}while((j|0)!=(d|0))}if((f|0)>-2){h=(f|0)/2|0;while(1){Bm(t,h,s,e);if((h|0)>0)h=h+-1|0;else break}if(!f)h=25;else h=16}else h=16;a:do if((h|0)==16)while(1){h=c[q>>2]|0;f=c[q+(f+-1<<2)>>2]|0;c[q>>2]=f;c[s+(f<<2)>>2]=0;f=(c[r>>2]|0)+-1|0;c[r>>2]=f;Bm(t,0,s,e);o=+g[e+(h<<2)>>2];if(o==3402823466385288598117041.0e14){h=26;break a}p=b+(h*20|0)|0;j=c[p>>2]|0;if((j|0)>1){n=c[b+(h*20|0)+4>>2]|0;a=c[b+(h*20|0)+8>>2]|0;f=j;d=1;do{l=c[n+(d<<2)>>2]|0;m=o+ +g[a+(d<<2)>>2];h=e+(l<<2)|0;if(!(+g[h>>2]<=m)){k=s+(l<<2)|0;f=c[k>>2]|0;g[h>>2]=m;b:do if((f|0)>0)while(1){h=(f|0)/2|0;j=c[q+(h<<2)>>2]|0;if(!(+g[e+(j<<2)>>2]>m))break b;c[q+(f<<2)>>2]=j;c[s+(j<<2)>>2]=f;if((f|0)>1)f=h;else{f=h;break}}while(0);c[q+(f<<2)>>2]=l;c[k>>2]=f;f=c[p>>2]|0}d=d+1|0}while((d|0)<(f|0));f=c[r>>2]|0}if(!f){h=25;break}else h=16}while(0);if((h|0)==25?(q|0)!=0:0)h=26;if((h|0)==26)fQ(q);fQ(s);i=u;return}function ym(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((f|0)!=1){h=zz((f<<2)+-4|0)|0;c[a>>2]=h;g=f+-1|0;c[a+4>>2]=g;if((f|0)>0)i=4}else{c[a>>2]=0;c[a+4>>2]=f+-1;h=0;g=0;i=4}if((i|0)==4){i=0;j=0;do{if((j|0)!=(b|0)){c[h+(i<<2)>>2]=j;c[d+(j<<2)>>2]=i;i=i+1|0}j=j+1|0}while((j|0)!=(f|0))}if((g|0)>-2){g=(g|0)/2|0;while(1){Cm(a,g,d,e);if((g|0)>0)g=g+-1|0;else break}}return}function zm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=a+4|0;if(!(c[f>>2]|0))f=0;else{g=c[a>>2]|0;c[b>>2]=c[g>>2];b=c[g+((c[f>>2]|0)+-1<<2)>>2]|0;c[g>>2]=b;c[d+(b<<2)>>2]=0;c[f>>2]=(c[f>>2]|0)+-1;Cm(a,0,d,e);f=1}return f|0}function Am(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;h=f+(b<<2)|0;if((c[h>>2]|0)>(d|0)){j=e+(b<<2)|0;g=c[j>>2]|0;c[h>>2]=d;i=c[a>>2]|0;a:do if((g|0)>0)while(1){h=(g|0)/2|0;a=c[i+(h<<2)>>2]|0;if((c[f+(a<<2)>>2]|0)<=(d|0))break a;c[i+(g<<2)>>2]=a;c[e+(a<<2)>>2]=g;if((g|0)>1)g=h;else{g=h;break}}while(0);c[i+(g<<2)>>2]=b;c[j>>2]=g}return}function Bm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,h=0,i=0,j=0,k=0;j=a+4|0;while(1){h=b<<1;f=h|1;i=c[j>>2]|0;if(!((h|0)<(i|0)?(k=c[a>>2]|0,+g[e+(c[k+(h<<2)>>2]<<2)>>2]<+g[e+(c[k+(b<<2)>>2]<<2)>>2]):0))h=b;if(!((f|0)<(i|0)?(k=c[a>>2]|0,+g[e+(c[k+(f<<2)>>2]<<2)>>2]<+g[e+(c[k+(h<<2)>>2]<<2)>>2]):0))f=h;if((f|0)==(b|0))break;k=c[a>>2]|0;i=k+(f<<2)|0;h=c[i>>2]|0;k=k+(b<<2)|0;c[i>>2]=c[k>>2];c[k>>2]=h;c[d+(c[i>>2]<<2)>>2]=f;c[d+(c[k>>2]<<2)>>2]=b;b=f}return}function Cm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;i=a+4|0;while(1){f=b<<1;g=f|1;h=c[i>>2]|0;if(!((f|0)<(h|0)?(j=c[a>>2]|0,(c[e+(c[j+(f<<2)>>2]<<2)>>2]|0)<(c[e+(c[j+(b<<2)>>2]<<2)>>2]|0)):0))f=b;if((g|0)<(h|0)){j=c[a>>2]|0;f=(c[e+(c[j+(g<<2)>>2]<<2)>>2]|0)<(c[e+(c[j+(f<<2)>>2]<<2)>>2]|0)?g:f}if((f|0)==(b|0))break;j=c[a>>2]|0;h=j+(f<<2)|0;g=c[h>>2]|0;j=j+(b<<2)|0;c[h>>2]=c[j>>2];c[j>>2]=g;c[d+(c[h>>2]<<2)>>2]=f;c[d+(c[j>>2]<<2)>>2]=b;b=f}return}function Dm(){po(51916,48);c[12982]=0;return}function Em(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0.0,g=0,i=0.0;g=qo(51916)|0;c[g+32>>2]=a;c[g+36>>2]=b;Oo(a);Oo(b);c[g+24>>2]=0;c[g+28>>2]=0;i=+h[a>>3];f=+h[b>>3]-i;e=+h[a+8>>3];d=+h[b+8>>3]-e;e=i*f+e*d+(f*f+d*d)*.5;a=g+16|0;h[a>>3]=e;if((f>0.0?f:-f)>(d>0.0?d:-d)){h[g>>3]=1.0;h[g+8>>3]=d/f;d=f}else{h[g+8>>3]=1.0;h[g>>3]=f/d}h[a>>3]=e/d;c[g+40>>2]=c[12982];c[12982]=(c[12982]|0)+1;return g|0}function Fm(a){a=a|0;var b=0,d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0;m=+h[a>>3];a:do if(m==1.0){if(!(+h[a+8>>3]>=0.0)){d=c[a+28>>2]|0;b=c[a+24>>2]|0;if(!b)n=9;else n=5}else{d=c[a+24>>2]|0;b=c[a+28>>2]|0;if(!b)n=9;else n=5}do if((n|0)==5){e=+h[b+8>>3];if(e>+h[4222])break a;f=+h[4223];if(!(e>=f)){g=f;k=+h[a+16>>3]-f*+h[a+8>>3];i=f;break}else{g=f;k=+h[b>>3];i=e;break}}else if((n|0)==9){i=+h[4223];g=i;k=+h[a+16>>3]-i*+h[a+8>>3]}while(0);do if(d){e=+h[d+8>>3];if(e<g)break a;f=+h[4222];if(!(e<=f)){g=+h[a+16>>3]-f*+h[a+8>>3];e=f;break}else{g=+h[d>>3];break}}else{e=+h[4222];g=+h[a+16>>3]-e*+h[a+8>>3]}while(0);j=+h[4224];b=k>j;d=g>j;l=+h[4225];if(!(b&d|k<l&g<l)){if(b){f=j;i=(+h[a+16>>3]-j)/+h[a+8>>3]}else f=k;if(f<l){f=l;i=(+h[a+16>>3]-l)/+h[a+8>>3]}if(d){g=j;e=(+h[a+16>>3]-j)/+h[a+8>>3]}if(g<l){g=l;e=(+h[a+16>>3]-l)/+h[a+8>>3];n=46}else n=46}}else{d=c[a+28>>2]|0;b=c[a+24>>2]|0;do if(b){e=+h[b>>3];if(e>+h[4224])break a;f=+h[4225];if(!(e>=f)){g=f;l=f;i=+h[a+16>>3]-m*f;break}else{g=f;l=e;i=+h[b+8>>3];break}}else{i=+h[4225];g=i;l=i;i=+h[a+16>>3]-m*i}while(0);do if(d){e=+h[d>>3];if(e<g)break a;f=+h[4224];if(!(e<=f)){g=f;k=+h[a+16>>3]-f*m;break}else{g=e;k=+h[d+8>>3];break}}else{k=+h[4224];g=k;k=+h[a+16>>3]-k*m}while(0);j=+h[4222];b=i>j;d=k>j;e=+h[4223];if(!(b&d|i<e&k<e)){if(b){f=(+h[a+16>>3]-j)/m;i=j}else f=l;if(i<e){f=(+h[a+16>>3]-e)/m;i=e}if(d)g=(+h[a+16>>3]-j)/m;else j=k;if(j<e){g=(+h[a+16>>3]-e)/m;n=46}else{e=j;n=46}}}while(0);if((n|0)==46){n=a+32|0;ln(c[n>>2]|0,f,i);ln(c[n>>2]|0,g,e);a=a+36|0;ln(c[a>>2]|0,f,i);ln(c[a>>2]|0,g,e)}return}function Gm(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24+(b<<2)>>2]=d;Oo(d);if(c[a+24+(1-b<<2)>>2]|0){Fm(a);No(c[a+32>>2]|0);No(c[a+36>>2]|0);ro(a,51916)}return}function Hm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;s=i;i=i+16|0;r=s;p=b<<2;h=zz(_(p,d)|0)|0;g=c[e>>2]|0;p=zz(p)|0;q=c[a+8>>2]|0;if(g){fQ(c[g>>2]|0);fQ(g)}o=zz(d<<2)|0;c[e>>2]=o;if((d|0)>0){g=0;do{c[o+(g<<2)>>2]=h+((_(g,b)|0)<<2);g=g+1|0}while((g|0)!=(d|0))}n=(f|0)!=0;if(n)sn(a,b);e=(MN()|0)%(b|0)|0;Xl(r,b);g=c[o>>2]|0;if(n)wm(e,a,b,g);else Wl(e,a,b,g,r);m=(b|0)>0;if(m){f=c[o>>2]|0;j=0;k=0;g=e;while(1){e=c[f+(j<<2)>>2]|0;c[p+(j<<2)>>2]=e;h=(e|0)>(k|0);g=h?j:g;j=j+1|0;if((j|0)==(b|0))break;else k=h?e:k}}else g=e;if((d|0)>1){l=1;do{e=o+(l<<2)|0;h=c[e>>2]|0;if(n)wm(g,a,b,h);else Wl(g,a,b,h,r);if(m){f=c[e>>2]|0;j=0;k=0;while(1){h=p+(j<<2)|0;t=c[h>>2]|0;e=c[f+(j<<2)>>2]|0;e=(t|0)<(e|0)?t:e;c[h>>2]=e;h=(e|0)>(k|0);g=h?j:g;j=j+1|0;if((j|0)==(b|0))break;else k=h?e:k}}l=l+1|0}while((l|0)!=(d|0))}fQ(p);if(n)tn(a,b,q);i=s;return}function Im(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0,g=0,h=0,i=0,j=0.0,k=0,l=0;if((d|0)>0){i=(b|0)>0;j=+(b|0);k=0;do{if(i){f=c[a+(k<<2)>>2]|0;g=0;e=0.0;do{e=e+ +(c[f+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(b|0));if(i){f=~~(e/j);g=c[a+(k<<2)>>2]|0;h=0;do{l=g+(h<<2)|0;c[l>>2]=(c[l>>2]|0)-f;h=h+1|0}while((h|0)!=(b|0))}}k=k+1|0}while((k|0)!=(d|0))}return}function Jm(){c[12984]=~~+O(+(+((c[12983]|0)+4|0)));return}function Km(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;d=+h[a>>3]-+h[b>>3];c=+h[a+8>>3]-+h[b+8>>3];return +(d*d+c*c)}function Lm(a,b,c){a=a|0;b=b|0;c=c|0;h[a>>3]=+h[b>>3]-+h[c>>3];h[a+8>>3]=+h[b+8>>3]-+h[c+8>>3];return}function Mm(a,b,c){a=a|0;b=b|0;c=c|0;h[a>>3]=+h[b>>3]+ +h[c>>3];h[a+8>>3]=+h[b+8>>3]+ +h[c+8>>3];return}function Nm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0;e=+h[b+8>>3];d=+h[b>>3];return +((+h[a+8>>3]-e)*(+h[c>>3]-d)-(+h[c+8>>3]-e)*(+h[a>>3]-d))}function Om(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0;e=+h[b+8>>3];d=+h[b>>3];return (+h[a+8>>3]-e)*(+h[c>>3]-d)-(+h[c+8>>3]-e)*(+h[a>>3]-d)>0.0|0}function Pm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;m=+h[a>>3];n=+h[d+8>>3];o=+h[c+8>>3];p=m*(n-o);q=+h[b>>3];l=+h[d>>3];k=+h[b+8>>3];i=+h[a+8>>3];j=k-i;f=+h[c>>3];g=f*(i-k)+(p+q*(o-n)+l*j);if(g==0.0)d=0;else{n=(l*(o-i)+(p+f*(i-n)))/g;p=-(f*j+(m*(o-k)+q*(i-o)))/g;h[e>>3]=m+(q-m)*n;h[e+8>>3]=i+n*j;d=p<=1.0&(n>=0.0&n<=1.0&p>=0.0)&1}return d|0}function Qm(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,i=0.0;c[a+20>>2]=b;Oo(b);f=a+24|0;h[f>>3]=+h[b+8>>3]+d;e=Xm(a)|0;e=(c[12985]|0)+(e*40|0)+32|0;g=c[e>>2]|0;a:do if(g){i=+h[f>>3];do{d=+h[g+24>>3];if(!(i>d)){if(!(i==d))break a;if(!(+h[b>>3]>+h[c[g+20>>2]>>3]))break a}e=g+32|0;g=c[e>>2]|0}while((g|0)!=0)}while(0);c[a+32>>2]=c[e>>2];c[e>>2]=a;c[12986]=(c[12986]|0)+1;return}function Rm(a){a=a|0;var b=0,d=0,e=0;e=a+20|0;if(c[e>>2]|0){d=Xm(a)|0;d=(c[12985]|0)+(d*40|0)|0;do{b=d+32|0;d=c[b>>2]|0}while((d|0)!=(a|0));c[b>>2]=c[a+32>>2];c[12986]=(c[12986]|0)+-1;No(c[e>>2]|0);c[e>>2]=0}return}function Sm(){return (c[12986]|0)==0|0}function Tm(a){a=a|0;var b=0,d=0,e=0,f=0.0;d=c[12987]|0;e=c[12985]|0;b=c[e+(d*40|0)+32>>2]|0;if(!b){b=d;while(1){d=b+1|0;b=c[e+(d*40|0)+32>>2]|0;if(!b)b=d;else break}c[12987]=d}f=+h[b+24>>3];h[a>>3]=+h[c[b+20>>2]>>3];h[a+8>>3]=f;return}function Um(){var a=0,b=0;b=(c[12985]|0)+((c[12987]|0)*40|0)+32|0;a=c[b>>2]|0;c[b>>2]=c[a+32>>2];c[12986]=(c[12986]|0)+-1;return a|0}function Vm(){fQ(c[12985]|0);c[12985]=0;return}function Wm(){var a=0,b=0,d=0;c[12986]=0;c[12987]=0;b=c[12984]|0;d=b<<2;c[12988]=d;a=c[12985]|0;if(!a){a=zz(b*160|0)|0;c[12985]=a;d=c[12988]|0}if((d|0)>0?(c[a+32>>2]=0,(d|0)>1):0){a=1;do{c[(c[12985]|0)+(a*40|0)+32>>2]=0;a=a+1|0}while((a|0)<(d|0))}return}function Xm(a){a=a|0;var b=0.0,d=0,e=0.0;d=c[12988]|0;e=+(d|0);b=(+h[a+24>>3]-+h[4230])/+h[4233]*e;do if(!(b<0.0))if(!(b>=e)){a=~~b;break}else{a=d+-1|0;break}else a=0;while(0);if((a|0)<(c[12987]|0))c[12987]=a;return a|0}function Ym(){po(51964,40);fQ(c[12994]|0);c[12994]=0;return}function Zm(){var b=0,d=0,e=0;po(51964,40);d=c[12984]|0;e=d<<1;c[12995]=e;b=c[12994]|0;if(!b){b=zz(d<<3)|0;c[12994]=b;e=c[12995]|0}if((e|0)>0?(c[b>>2]=0,(e|0)>1):0){b=1;do{c[(c[12994]|0)+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(e|0))}e=qo(51964)|0;c[e+8>>2]=0;a[e+16>>0]=0;c[e+32>>2]=0;c[e+20>>2]=0;c[e+12>>2]=0;c[12989]=e;e=qo(51964)|0;c[e+8>>2]=0;a[e+16>>0]=0;c[e+32>>2]=0;c[e+20>>2]=0;c[e+12>>2]=0;c[12990]=e;c[c[12989]>>2]=0;c[(c[12989]|0)+4>>2]=c[12990];c[c[12990]>>2]=c[12989];c[(c[12990]|0)+4>>2]=0;c[c[12994]>>2]=c[12989];c[(c[12994]|0)+((c[12995]|0)+-1<<2)>>2]=c[12990];return}function _m(b,d){b=b|0;d=d|0;var e=0;e=qo(51964)|0;c[e+8>>2]=b;a[e+16>>0]=d;c[e+32>>2]=0;c[e+20>>2]=0;c[e+12>>2]=0;return e|0}function $m(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0.0;i=c[b+8>>2]|0;j=c[d+8>>2]|0;do if((!((i|0)==0|(j|0)==0)?(e=c[i+36>>2]|0,o=c[j+36>>2]|0,(e|0)!=(o|0)):0)?(k=+h[i>>3],f=+h[j+8>>3],g=+h[i+8>>3],l=+h[j>>3],m=k*f-g*l,!(m>-1.0e-10&m<1.0e-10)):0){p=+h[i+16>>3];q=+h[j+16>>3];n=(f*p-g*q)/m;k=(k*q-l*p)/m;f=+h[e+8>>3];g=+h[o+8>>3];do if(!(f<g)){if(f==g?+h[e>>3]<+h[o>>3]:0)break;e=o;b=d}while(0);b=a[b+16>>0]|0;if(!(n>=+h[e>>3])){if(b<<24>>24==1){b=0;break}}else if(!(b<<24>>24)){b=0;break}b=Ko()|0;c[b+20>>2]=0;h[b>>3]=n;h[b+8>>3]=k}else b=0;while(0);return b|0}function an(b,d){b=b|0;d=d|0;var e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0,p=0;n=c[b+8>>2]|0;g=c[n+36>>2]|0;l=+h[d>>3];o=+h[g>>3];m=l>o;p=a[b+16>>0]|0;if(m)if(!(p<<24>>24))b=1;else f=4;else if(p<<24>>24==1)b=0;else f=4;if((f|0)==4){e=+h[n>>3];do if(e==1.0){e=+h[d+8>>3];i=e-+h[g+8>>3];j=l-o;k=+h[n+8>>3];d=k<0.0;if(!(d&1&(m&1^1)|m&k>=0.0&1)){b=d^l+e*k>+h[n+16>>3];if(!b){b=b&1;break}}else{b=i>=k*j;if(b){b=b&1;break}}o=o-+h[c[n+32>>2]>>3];b=(j*j-i*i)*k<i*o*(k*k+(j*2.0/o+1.0))&1;if(d)b=b^1}else{j=+h[n+16>>3]-e*l;k=+h[d+8>>3]-j;l=l-o;o=j-+h[g+8>>3];b=k*k>l*l+o*o&1}while(0);b=p<<24>>24==0?b:(b|0)==0&1}return b|0}function bn(a,b){a=a|0;b=b|0;c[b>>2]=a;a=a+4|0;c[b+4>>2]=c[a>>2];c[c[a>>2]>>2]=b;c[a>>2]=b;return}function cn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;g=c[12995]|0;b=~~((+h[a>>3]-+h[4228])/+h[4232]*+(g|0));b=(b|0)<0?0:b;g=(b|0)<(g|0)?b:g+-1|0;b=jn(g)|0;if(!b){b=jn(g+-1|0)|0;a:do if(!b){d=1;do{b=jn(d+g|0)|0;if(b)break a;d=d+1|0;b=jn(g-d|0)|0}while((b|0)==0)}else d=1;while(0);c[12996]=(c[12996]|0)+d}c[12997]=(c[12997]|0)+1;e=c[12989]|0;d=c[12990]|0;b:do if((b|0)==(e|0))f=9;else{if((b|0)!=(d|0)?(an(b,a)|0)!=0:0){f=9;break}do{b=c[b>>2]|0;if((b|0)==(e|0)){b=e;break b}}while((an(b,a)|0)==0)}while(0);if((f|0)==9){while(1){b=c[b+4>>2]|0;if((b|0)==(d|0))break;if(!(an(b,a)|0))break;else f=9}b=c[b>>2]|0}if((g|0)>0?(g|0)<((c[12995]|0)+-1|0):0){d=(c[12994]|0)+(g<<2)|0;e=c[d>>2]|0;if(e){f=e+12|0;c[f>>2]=(c[f>>2]|0)+-1}c[d>>2]=b;g=(c[(c[12994]|0)+(g<<2)>>2]|0)+12|0;c[g>>2]=(c[g>>2]|0)+1}return b|0}function dn(a){a=a|0;var b=0,d=0;b=a+4|0;d=c[a>>2]|0;c[d+4>>2]=c[b>>2];c[c[b>>2]>>2]=d;c[a+8>>2]=-2;return}function en(a){a=a|0;return c[a+4>>2]|0}function fn(a){a=a|0;return c[a>>2]|0}function gn(b){b=b|0;var d=0;d=c[b+8>>2]|0;if(!d)d=52188;else d=(a[b+16>>0]|0)==0?d+32|0:d+36|0;return c[d>>2]|0}function hn(b){b=b|0;var d=0;d=c[b+8>>2]|0;if(!d)d=52188;else d=(a[b+16>>0]|0)==0?d+36|0:d+32|0;return c[d>>2]|0}function jn(a){a=a|0;var b=0,d=0;if((a|0)>-1&(c[12995]|0)>(a|0)?(d=(c[12994]|0)+(a<<2)|0,b=c[d>>2]|0,(b|0)!=0):0){if((c[b+8>>2]|0)==(-2|0)){c[d>>2]=0;d=b+12|0;a=(c[d>>2]|0)+-1|0;c[d>>2]=a;if(!a){ro(b,51964);b=0}else b=0}}else b=0;return b|0}function kn(){po(51996,24);return}function ln(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,j=0,k=0;k=i;i=i+32|0;j=k;e=(c[12998]|0)+((c[a+16>>2]|0)*96|0)+88|0;f=c[e>>2]|0;h[j+8>>3]=b;h[j+16>>3]=d;g=mn(a,j,f)|0;do if(g){if((g|0)<0){j=qo(51996)|0;h[j+8>>3]=b;h[j+16>>3]=d;c[j>>2]=f;c[e>>2]=j;break}while(1){e=c[f>>2]|0;g=mn(a,j,e)|0;if((g|0)>0)f=e;else break}if(g){j=qo(51996)|0;h[j+8>>3]=b;h[j+16>>3]=d;c[f>>2]=j;c[j>>2]=e}}while(0);i=k;return}function mn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0;do if(c){d=+h[b+8>>3];i=+h[c+8>>3];e=+h[b+16>>3];f=+h[c+16>>3];if(!(d==i&e==f)){k=+h[a>>3];j=d-k;d=+h[a+8>>3];g=e-d;i=i-k;d=f-d;if(!(j>=0.0)){if(i>=0.0){b=1;break}e=d/i;d=g/j;if(d<e){b=-1;break}if(d>e){b=1;break}b=j>i?-1:1;break}if(!(i<0.0)){b=i>0.0;if(!(j>0.0)){if(b){b=!(g<=0.0)?1:-1;break}if(g<d){b=!(d<=0.0)?-1:1;break}else{b=!(g<=0.0)?1:-1;break}}else{if(!b){b=d>0.0?-1:1;break}e=d/i;d=g/j;if(d<e){b=-1;break}if(d>e){b=1;break}b=j<i?-1:1;break}}else b=-1}else b=0}else b=-1;while(0);return b|0}function nn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[a+(d*20|0)>>2]|0;if((f|0)>1){a=c[a+(d*20|0)+4>>2]|0;d=1;b=0;do{b=((c[e+(c[a+(d<<2)>>2]<<2)>>2]|0)>0&1)+b|0;d=d+1|0}while((d|0)<(f|0))}else b=0;return b|0}function on(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a+(b*20|0)|0;if((c[e>>2]|0)>1){a=c[a+(b*20|0)+4>>2]|0;b=1;do{c[d+(c[a+(b<<2)>>2]<<2)>>2]=1;b=b+1|0}while((b|0)<(c[e>>2]|0))}return}function pn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a+(b*20|0)|0;if((c[e>>2]|0)>1){a=c[a+(b*20|0)+4>>2]|0;b=1;do{c[d+(c[a+(b<<2)>>2]<<2)>>2]=0;b=b+1|0}while((b|0)<(c[e>>2]|0))}return}function qn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;g=h;if(!(c[a+8>>2]|0)){d=b<<2;e=zz(_(d,b)|0)|0;d=zz(d)|0;if((b|0)>0){f=0;do{c[d+(f<<2)>>2]=e+((_(f,b)|0)<<2);f=f+1|0}while((f|0)!=(b|0));Xl(g,b);e=0;do{Wl(e,a,b,c[d+(e<<2)>>2]|0,g);e=e+1|0}while((e|0)!=(b|0))}else Xl(g,b);Yl(g)}else d=xn(a,b)|0;i=h;return d|0}function rn(a,b){a=a|0;b=b|0;var d=0,e=0;e=c[a+8>>2]|0;sn(a,b);d=xn(a,b)|0;tn(a,b,e);return d|0}function sn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=zz(b<<2)|0;f=(b|0)>0;if(f){e=0;d=0;do{d=(c[a+(e*20|0)>>2]|0)+d|0;e=e+1|0}while((e|0)!=(b|0));d=zz(d<<2)|0;if(f){tQ(p|0,0,b<<2|0)|0;o=0;n=d;while(1){c[a+(o*20|0)+8>>2]=n;m=a+(o*20|0)|0;d=c[m>>2]|0;if((d|0)>1){e=c[a+(o*20|0)+4>>2]|0;f=1;do{c[p+(c[e+(f<<2)>>2]<<2)>>2]=1;f=f+1|0;d=c[m>>2]|0}while((f|0)<(d|0));if((d|0)>=2){i=c[a+(o*20|0)+4>>2]|0;j=d+-2|0;l=1;do{e=c[i+(l<<2)>>2]|0;k=c[a+(e*20|0)>>2]|0;if((k|0)>1){f=c[a+(e*20|0)+4>>2]|0;h=1;e=0;do{e=((c[p+(c[f+(h<<2)>>2]<<2)>>2]|0)>0&1)+e|0;h=h+1|0}while((h|0)!=(k|0))}else e=0;g[n+(l<<2)>>2]=+(j+k-(e<<1)|0);l=l+1|0}while((l|0)!=(d|0));if((d|0)>1){e=c[a+(o*20|0)+4>>2]|0;f=1;do{c[p+(c[e+(f<<2)>>2]<<2)>>2]=0;f=f+1|0;d=c[m>>2]|0}while((f|0)<(d|0))}}}o=o+1|0;if((o|0)==(b|0))break;else n=n+(d<<2)|0}}}else zz(0)|0;fQ(p);return}function tn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;f=a+8|0;fQ(c[f>>2]|0);c[f>>2]=0;if((d|0)!=0&(b|0)>0){f=0;while(1){c[a+(f*20|0)+8>>2]=d;e=f+1|0;if((e|0)==(b|0))break;else{d=d+(c[a+(f*20|0)>>2]<<2)|0;f=e}}}return}function un(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0,i=0.0,j=0;if((b|0)>0){g=0;f=0.0;do{j=c[a+(g<<2)>>2]|0;i=+h[j+(d<<3)>>3]-+h[j+(e<<3)>>3];f=f+i*i;g=g+1|0}while((g|0)!=(b|0))}else f=0.0;return +(+O(+f))}function vn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;if((e|0)>(d|0)){c[13002]=a;PO(b+(d<<2)|0,1-d+e|0,4,78)}return}function wn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0.0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0;n=e+1|0;do{if((d|0)>=(e|0))break;k=MN()|0;f=d+1|0;k=b+(((((MN()|0)<<16|k)>>>0)%((n-d|0)>>>0)|0)+d<<2)|0;l=c[k>>2]|0;m=b+(d<<2)|0;c[k>>2]=c[m>>2];c[m>>2]=l;g=+h[a+(l<<3)>>3];if((f|0)<(e|0)){i=e;do{a:do if((f|0)<(i|0))do{if(!(+h[a+(c[b+(f<<2)>>2]<<3)>>3]<=g))break a;f=f+1|0}while((f|0)<(i|0));while(0);b:do if((f|0)<(i|0)){while(1){j=b+(i<<2)|0;k=c[j>>2]|0;if(!(+h[a+(k<<3)>>3]>g))break;i=i+-1|0;if((f|0)>=(i|0))break b}p=b+(f<<2)|0;o=c[p>>2]|0;c[p>>2]=k;c[j>>2]=o;f=f+1|0;i=i+-1|0}while(0)}while((f|0)<(i|0))}p=((+h[a+(c[b+(f<<2)>>2]<<3)>>3]>g)<<31>>31)+f|0;j=b+(p<<2)|0;c[m>>2]=c[j>>2];c[j>>2]=l;j=p+-1|0;wn(a,b,d,j);k=d;d=p+1|0;wn(a,b,d,e);if((j|0)>(k|0)){g=+h[a+(c[m>>2]<<3)>>3];i=k;f=1;do{i=i+1|0;q=g;g=+h[a+(c[b+(i<<2)>>2]<<3)>>3];f=q>g?0:f}while((i|0)<(j|0)&(f|0)!=0);if(!f)wn(a,b,k,j)}if((d|0)>=(e|0))break;g=+h[a+(c[b+(d<<2)>>2]<<3)>>3];i=d;f=1;do{i=i+1|0;q=g;g=+h[a+(c[b+(i<<2)>>2]<<3)>>3];f=q>g?0:f}while((i|0)<(e|0)&(f|0)!=0)}while((f|0)==0);return}function xn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=b<<2;d=zz(_(g,b)|0)|0;g=zz(g)|0;e=(b|0)>0;if(e){f=0;do{c[g+(f<<2)>>2]=d+((_(f,b)|0)<<2);f=f+1|0}while((f|0)!=(b|0));if(e){d=0;do{wm(d,a,b,c[g+(d<<2)>>2]|0);d=d+1|0}while((d|0)!=(b|0))}}return g|0}function yn(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0;f=c[13002]|0;e=+g[f+(c[a>>2]<<2)>>2];d=+g[f+(c[b>>2]<<2)>>2];return (e<d?-1:e>d&1)|0}function zn(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,j=0,k=0.0,l=0,m=0.0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0,da=0,fa=0,ha=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;qa=i;i=i+96|0;T=qa+56|0;U=qa+88|0;ha=qa+48|0;fa=qa+32|0;na=4;oa=eQ(40)|0;c[oa>>2]=0;da=qa+16|0;la=qa+8|0;ma=qa;ca=qa+72|0;n=0;V=ia(21,b*40|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;do if((f|0)!=1){u=(b|0)>0;if(u){e=0;l=0;do{l=(c[(c[a+(e<<2)>>2]|0)+4>>2]|0)+l|0;e=e+1|0}while((e|0)!=(b|0));n=0;s=ia(21,l*24|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){S=0;g=0;Q=u;R=V;e=C;l=0;break}if(u){q=0;f=0;while(1){j=V+(q*40|0)|0;c[j>>2]=s+(f*24|0);p=a+(q<<2)|0;e=c[p>>2]|0;if((c[e+4>>2]|0)>0){t=1797693134862315708145274.0e284;r=-1797693134862315708145274.0e284;m=1797693134862315708145274.0e284;k=-1797693134862315708145274.0e284;g=0;do{S=c[e>>2]|0;E=+h[S+(g<<4)>>3];F=+h[S+(g<<4)+8>>3];t=t<E?t:E;m=m<F?m:F;k=k>E?k:E;r=r>F?r:F;h[s+(f*24|0)>>3]=E;h[s+(f*24|0)+8>>3]=F;c[s+(f*24|0)+16>>2]=j;c[s+(f*24|0)+20>>2]=0;f=f+1|0;g=g+1|0;e=c[p>>2]|0}while((g|0)<(c[e+4>>2]|0));e=f}else{t=1797693134862315708145274.0e284;r=-1797693134862315708145274.0e284;m=1797693134862315708145274.0e284;k=-1797693134862315708145274.0e284;e=f}c[V+(q*40|0)+4>>2]=s+((e+-1|0)*24|0);h[V+(q*40|0)+8>>3]=t;h[V+(q*40|0)+16>>3]=m;h[V+(q*40|0)+24>>3]=k;h[V+(q*40|0)+32>>3]=r;q=q+1|0;if((q|0)==(b|0)){j=s;g=s;break}else f=e}}else{j=s;g=s}}else{n=0;g=ia(21,0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){S=0;g=0;Q=u;R=V;e=C;l=0;break}j=g;l=0}oa=nQ(52012,1,oa|0,na|0)|0;na=C;n=0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){S=j;Q=u;R=V;e=C}else{S=j;Q=u;R=V;e=0}}else{S=0;g=0;Q=0;R=0;e=C;l=0}while(0);a:while(1){if(e){n=0;ea(104,V|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}n=0;ea(104,S|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}else{pa=16;break}}n=0;P=ia(21,l<<2|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}if((l|0)>0){e=0;do{c[P+(e<<2)>>2]=g+(e*24|0);e=e+1|0}while((e|0)!=(l|0));n=0;Aa(28,P|0,l|0,4,79);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}L=ca+8|0;M=ca+4|0;f=0;q=0;j=0;O=0;b:while(1){N=P+(O<<2)|0;K=c[N>>2]|0;e=c[K+16>>2]|0;if((K|0)==(c[e>>2]|0))p=c[e+4>>2]|0;else p=K+-24|0;J=K+8|0;e=p;H=f;I=0;G=p;while(1){k=+h[K>>3]-+h[e>>3];if(!(k!=0.0)){k=+h[J>>3]-+h[e+8>>3];if(k==0.0)f=H;else pa=28}else pa=28;do if((pa|0)==28){pa=0;if(k>0.0){p=G+20|0;e=c[p>>2]|0;if(!e){pa=78;break b}do if((q|0)!=1){if((e|0)==(H|0)){f=c[H+4>>2]|0;c[f+8>>2]=0;s=j;break}if((e|0)==(j|0)){s=c[j+8>>2]|0;c[s+4>>2]=0;f=H;break}else{f=e+4|0;s=c[e+8>>2]|0;c[s+4>>2]=c[f>>2];c[(c[f>>2]|0)+8>>2]=s;f=H;s=j;break}}else{f=0;s=0}while(0);n=0;ea(104,e|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){j=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!j)Ra(e|0,o|0);C=o}else j=-1;if((j|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}c[p>>2]=0;q=q+-1|0;j=s;break}if((q|0)>0){u=G+8|0;v=G+16|0;w=G+24|0;x=0;y=H;while(1){z=c[y>>2]|0;n=0;wa(57,z|0,G|0,ca|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}e=c[L>>2]|0;c:do if((e|0)<=0){do if((e|0)<0){n=0;wa(57,G|0,z|0,ca|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}e=c[L>>2]|0;if((e|0)>0)break c;if((e|0)<0)e=3;else{e=c[ca>>2]|0;n=0;e=ka(28,G|0,z|0,((e|0)>-1?e:0-e|0)|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){p=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!p)Ra(f|0,o|0);C=o}else p=-1;if((p|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}}n=0;e=ja(4,z|0,G|0,la|0,ma|0,e|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){p=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!p)Ra(f|0,o|0);C=o}else p=-1;if((p|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}if(e)break;break c}else{e=c[ca>>2]|0;if((e|0)==(c[M>>2]|0)){n=0;s=ka(28,z|0,G|0,0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}n=0;e=ka(28,z|0,G|0,1)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){p=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!p)Ra(f|0,o|0);C=o}else p=-1;if((p|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}e=((s|0)>(e|0)?s:e)<<1}else{n=0;e=ka(28,z|0,G|0,((e|0)>-1?e:0-e|0)|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){p=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!p)Ra(f|0,o|0);C=o}else p=-1;if((p|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}}n=0;e=ja(4,z|0,G|0,la|0,ma|0,e|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){p=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!p)Ra(f|0,o|0);C=o}else p=-1;if((p|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}if(e)break;break c}while(0);D=+h[la>>3];E=+h[ma>>3];F=+h[z>>3];e=c[z+16>>2]|0;if((c[e+4>>2]|0)==(z|0))e=c[e>>2]|0;else e=z+24|0;B=+h[e>>3];r=+h[e+8>>3];t=+h[G>>3];A=+h[u>>3];e=c[v>>2]|0;if((c[e+4>>2]|0)==(G|0))e=c[e>>2]|0;else e=w;m=+h[e>>3];k=+h[e+8>>3];if(F!=B&t!=m){pa=61;break b}do if(F==B){if(F==D?+h[z+8>>3]==E:0)break;if(!(B==D&r==E)){pa=61;break b}}while(0);do if(t==m){if(t==D&A==E)break;if(!(m==D&k==E)){pa=61;break b}}while(0)}while(0);x=x+1|0;if((x|0)>=(q|0))break;else y=c[y+4>>2]|0}}n=0;p=ia(21,12)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}if(!q){c[p+8>>2]=0;f=p}else{c[j+4>>2]=p;c[p+8>>2]=j;f=H}c[p>>2]=G;c[p+4>>2]=0;c[G+20>>2]=p;q=q+1|0;j=p}while(0);p=c[N>>2]|0;e=c[p+16>>2]|0;if((p|0)==(c[e+4>>2]|0))e=c[e>>2]|0;else e=p+24|0;I=I+1|0;if((I|0)>=2)break;else{H=f;G=p}}O=O+1|0;if((O|0)>=(l|0)){e=0;break}}if((pa|0)==78){pa=0;n=0;ka(23,1,134537,ha|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}n=0;ga(24,52012,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){P=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!P)Ra(e|0,o|0);C=o};L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}do if((pa|0)==61){pa=0;if((d[142275]|0)<=1){f=H;e=1;break}e=c[24809]|0;n=0;h[fa>>3]=D;h[fa+8>>3]=E;ka(29,e|0,134509,fa|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}n=0;ga(23,1,z|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}n=0;ga(23,2,G|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}f=H;e=1}while(0);if((q|0)>0){s=0;p=f;while(1){f=p;p=c[p+4>>2]|0;n=0;ea(104,f|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){j=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!j)Ra(f|0,o|0);C=o}else j=-1;if((j|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}s=s+1|0;if((s|0)==(q|0))break}}n=0;ea(104,P|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){j=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!j)Ra(f|0,o|0);C=o}else j=-1;if((j|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}if(!e)pa=102}else{n=0;Aa(28,P|0,l|0,4,79);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}n=0;ea(104,P|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,oa|0,na|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}pa=102}if((pa|0)==102){pa=0;d:do if(Q?(W=c[a>>2]|0,P=c[W>>2]|0,c[da>>2]=c[P>>2],c[da+4>>2]=c[P+4>>2],c[da+8>>2]=c[P+8>>2],c[da+12>>2]=c[P+12>>2],(b|0)>1):0){y=W;z=1;e=0;while(1){v=R+(e*40|0)+8|0;w=R+(e*40|0)+24|0;x=R+(e*40|0)+32|0;s=R+(e*40|0)+16|0;u=z;while(1){e=c[a+(u<<2)>>2]|0;m=+h[v>>3];r=+h[R+(u*40|0)+24>>3];f=!(m<=r);k=+h[R+(u*40|0)+8>>3];if((((!(f|!(m>=k))?(X=+h[s>>3],Y=+h[R+(u*40|0)+32>>3],X<=Y):0)?(Z=+h[R+(u*40|0)+16>>3],X>=Z):0)?(F=+h[w>>3],!(!(F<=r)|!(F>=k))):0)?(F=+h[x>>3],!(!(F<=Y)|!(F>=Z))):0){n=0;c[U>>2]=c[e>>2];c[U+4>>2]=c[e+4>>2];c[T>>2]=c[da>>2];c[T+4>>2]=c[da+4>>2];c[T+8>>2]=c[da+8>>2];c[T+12>>2]=c[da+12>>2];j=ra(80,U|0,T|0)|0;p=n;n=0;if((p|0)!=0&(o|0)!=0){q=qQ(c[p>>2]|0,oa|0,na|0)|0;if(!q)Ra(p|0,o|0);C=o}else q=-1;if((q|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}if(j){e=1;break d}}else pa=113;if(((((pa|0)==113?(pa=0,_=+h[w>>3],!(!(k>=m)|!(k<=_))):0)?($=+h[R+(u*40|0)+16>>3],aa=+h[x>>3],$<=aa):0)?(ba=+h[s>>3],!(f|!(r<=_)|!($>=ba))):0)?(F=+h[R+(u*40|0)+32>>3],!(!(F<=aa)|!(F>=ba))):0){e=c[e>>2]|0;n=0;c[U>>2]=c[y>>2];c[U+4>>2]=c[y+4>>2];c[T>>2]=c[e>>2];c[T+4>>2]=c[e+4>>2];c[T+8>>2]=c[e+8>>2];c[T+12>>2]=c[e+12>>2];e=ra(80,U|0,T|0)|0;f=n;n=0;if((f|0)!=0&(o|0)!=0){j=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!j)Ra(f|0,o|0);C=o}else j=-1;if((j|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue a}if(e){e=1;break d}}u=u+1|0;if((u|0)>=(b|0))break}y=c[a+(z<<2)>>2]|0;e=c[y>>2]|0;c[da>>2]=c[e>>2];c[da+4>>2]=c[e+4>>2];c[da+8>>2]=c[e+8>>2];c[da+12>>2]=c[e+12>>2];e=z+1|0;if((e|0)>=(b|0)){e=0;break}else{P=z;z=e;e=P}}}else e=0;while(0)}n=0;ea(104,V|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){j=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!j)Ra(f|0,o|0);C=o}else j=-1;if((j|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P;continue}n=0;ea(104,S|0);f=n;n=0;if((f|0)!=0&(o|0)!=0){j=qQ(c[f>>2]|0,oa|0,na|0)|0;if(!j)Ra(f|0,o|0);C=o}else j=-1;if((j|0)==1){L=l;M=R;N=Q;O=g;P=S;e=C;l=L;R=M;Q=N;g=O;S=P}else{pa=123;break}}if((pa|0)==16)e=0;else if((pa|0)==123)e=(e|0)==0&1;fQ(oa|0);i=qa;return e|0}function An(a,b){a=a|0;b=b|0;var d=0.0,e=0;e=c[a>>2]|0;a=c[b>>2]|0;d=+h[e>>3]-+h[a>>3];if(!(d!=0.0)){d=+h[e+8>>3]-+h[a+8>>3];if(d==0.0)a=0;else a=d>0.0?1:-1}else a=d>0.0?1:-1;return a|0}function Bn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0;i=+h[a>>3];j=+h[a+8>>3];e=c[a+16>>2]|0;if((c[e+4>>2]|0)==(a|0)){a=c[e>>2]|0;e=a}else{e=a+24|0;a=a+24|0}g=+h[e>>3]-i;f=+h[a+8>>3]-j;e=c[b+16>>2]|0;if((c[e+4>>2]|0)==(b|0)){a=c[e>>2]|0;e=a}else{e=b+24|0;a=b+24|0}k=+h[e>>3]-i;l=+h[a+8>>3]-j;j=g*(+h[b+8>>3]-j)-f*(+h[b>>3]-i);b=j==0.0?0:j>0.0?1:-1;c[d>>2]=b;j=g*l-f*k;a=j==0.0?0:j>0.0?1:-1;c[d+4>>2]=a;c[d+8>>2]=_(a,b)|0;return}function Cn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0;k=+h[a>>3];l=+h[a+8>>3];e=c[a+16>>2]|0;if((c[e+4>>2]|0)==(a|0))e=c[e>>2]|0;else e=a+24|0;j=+h[e>>3];i=+h[e+8>>3];do if(d){e=c[b+16>>2]|0;if((c[e+4>>2]|0)==(b|0)){e=c[e>>2]|0;break}else{e=b+24|0;break}}else e=b;while(0);g=+h[e>>3];f=+h[e+8>>3];e=k==g;if(!(k==j))if(e|g==j)e=0;else e=(k<g?g<j:j<g)?1:-1;else{if(e)if(l==f|f==i)e=1;else e=l<f?f<i:i<f;else e=0;e=e&1}return e|0}function Dn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0;a:do if((f|0)<1)g=0;else{q=+h[a>>3];r=+h[a+8>>3];g=c[a+16>>2]|0;if((c[g+4>>2]|0)==(a|0))g=c[g>>2]|0;else g=a+24|0;j=+h[g>>3];i=+h[g+8>>3];o=+h[b>>3];p=+h[b+8>>3];g=c[b+16>>2]|0;if((c[g+4>>2]|0)==(b|0))g=c[g>>2]|0;else g=b+24|0;m=+h[g>>3];n=+h[g+8>>3];switch(f|0){case 3:{if(q==j){h[d>>3]=q;h[e>>3]=n+(q-m)*((p-n)/(o-m));g=1;break a}if(o==m){h[d>>3]=o;h[e>>3]=i+(o-j)*((r-i)/(q-j));g=1;break a}else{m=(p-n)/(o-m);n=(r-i)/(q-j);p=p-o*m;q=r-q*n;r=m-n;h[d>>3]=(q-p)/r;h[e>>3]=(m*q-n*p)/r;g=1;break a}}case 2:{if((Cn(a,b,0)|0)==-1)if((Cn(b,a,1)|0)==-1){b=(Cn(b,a,0)|0)==-1;k=o;l=p;j=b?j:q;i=b?i:r}else{k=o;l=p;j=m;i=n}else if((Cn(a,b,1)|0)!=-1)if((Cn(b,a,0)|0)==-1){k=q;l=r}else{g=0;break a}else{k=m;l=n;j=o;i=p}h[d>>3]=(j+k)*.5;h[e>>3]=(i+l)*.5;g=1;break a}case 1:if((q-j)*(p-r)==(r-i)*(o-q)){h[d>>3]=o;h[e>>3]=p;g=1;break a}else{h[d>>3]=m;h[e>>3]=n;g=1;break a}default:{g=1;break a}}}while(0);return g|0}function En(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0;l=i;i=i+48|0;k=l;f=c[24809]|0;g=+h[b>>3];j=+h[b+8>>3];d=c[b+16>>2]|0;if((c[d+4>>2]|0)==(b|0)){d=c[d>>2]|0;e=d}else{e=b+24|0;d=b+24|0}n=+h[e>>3];m=+h[d+8>>3];c[k>>2]=a;h[k+8>>3]=g;h[k+16>>3]=j;h[k+24>>3]=n;h[k+32>>3]=m;pO(f,134566,k)|0;i=l;return}function Fn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0.0,j=0;do if(fr(a,d)|0){a=yz(d<<3)|0;e=(d|0)>0;if(!e){fQ(a);a=1;break}f=d<<3;g=0;do{tQ(a|0,0,f|0)|0;h[a+(g<<3)>>3]=1.0;gr(c[b+(g<<2)>>2]|0,a,d);g=g+1|0}while((g|0)!=(d|0));fQ(a);if(e){e=0;do{if((e|0)>0){a=c[b+(e<<2)>>2]|0;f=0;do{j=a+(f<<3)|0;i=+h[j>>3];g=(c[b+(f<<2)>>2]|0)+(e<<3)|0;h[j>>3]=+h[g>>3];h[g>>3]=i;f=f+1|0}while((f|0)!=(e|0))}e=e+1|0}while((e|0)!=(d|0));a=1}else a=1}else a=0;while(0);return a|0}function Gn(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;w=b<<3;v=zz(w)|0;w=zz(w)|0;x=b*30|0;y=(d|0)<(b|0)?d:b;a:do if((y|0)>0){u=(b|0)==0;t=(g|0)==0|(b|0)<1;g=0;while(1){s=c[e+(g<<2)>>2]|0;r=(g|0)>0;do{if(!t){j=0;do{h[s+(j<<3)>>3]=+((MN()|0)%100|0|0);j=j+1|0}while((j|0)!=(b|0))}if(r){o=0;do{if(!u){j=c[e+(o<<2)>>2]|0;l=j;m=s;n=b;i=0.0;while(1){i=i+ +h[l>>3]*+h[m>>3];n=n+-1|0;if(!n)break;else{l=l+8|0;m=m+8|0}}m=s;l=b;while(1){h[m>>3]=+h[m>>3]-i*+h[j>>3];l=l+-1|0;if(!l)break;else{m=m+8|0;j=j+8|0}}}o=o+1|0}while((o|0)!=(g|0))}if(u)i=0.0;else{j=s;l=b;i=0.0;while(1){k=+h[j>>3];i=i+k*k;l=l+-1|0;if(!l)break;else j=j+8|0}}i=+O(+i)}while(i<1.0e-10);i=1.0/i;if(u)p=0;else{j=s;l=b;while(1){h[j>>3]=i*+h[j>>3];l=l+-1|0;if(!l){p=0;break}else j=j+8|0}}while(1){q=p+1|0;if(u)Mn(a,0,0,s,v);else{j=w;l=s;m=b;while(1){h[j>>3]=+h[l>>3];m=m+-1|0;if(!m)break;else{j=j+8|0;l=l+8|0}}Mn(a,b,b,s,v);j=s;l=v;m=b;while(1){h[j>>3]=+h[l>>3];m=m+-1|0;if(!m)break;else{j=j+8|0;l=l+8|0}}}if(r){o=0;do{if(!u){j=c[e+(o<<2)>>2]|0;l=j;m=s;n=b;i=0.0;while(1){i=i+ +h[l>>3]*+h[m>>3];n=n+-1|0;if(!n)break;else{l=l+8|0;m=m+8|0}}m=s;l=b;while(1){h[m>>3]=+h[m>>3]-i*+h[j>>3];l=l+-1|0;if(!l)break;else{m=m+8|0;j=j+8|0}}}o=o+1|0}while((o|0)!=(g|0))}if(u)i=0.0;else{j=s;l=b;i=0.0;while(1){k=+h[j>>3];i=i+k*k;l=l+-1|0;if(!l)break;else j=j+8|0}}k=+O(+i);if(!((p|0)<(x|0)&!(k<1.0e-10))){t=q;break a}i=1.0/k;if(u)i=0.0;else{j=s;l=b;while(1){h[j>>3]=i*+h[j>>3];l=l+-1|0;if(!l){j=s;l=w;m=b;i=0.0;break}else j=j+8|0}while(1){i=i+ +h[j>>3]*+h[l>>3];m=m+-1|0;if(!m)break;else{j=j+8|0;l=l+8|0}}}if(+N(+i)<.999)p=q;else{j=q;break}}h[f+(g<<3)>>3]=k*i;g=g+1|0;if((g|0)>=(y|0)){t=j;break}}}else{g=0;t=0}while(0);if((g|0)<(y|0)){q=(b|0)>0;r=(b|0)==0;s=(d|0)<(b|0)?d:b;do{p=c[e+(g<<2)>>2]|0;if(q){j=0;do{h[p+(j<<3)>>3]=+((MN()|0)%100|0|0);j=j+1|0}while((j|0)!=(b|0))}if((g|0)>0){o=0;do{if(!r){j=c[e+(o<<2)>>2]|0;l=j;m=p;n=b;i=0.0;while(1){i=i+ +h[l>>3]*+h[m>>3];n=n+-1|0;if(!n)break;else{l=l+8|0;m=m+8|0}}m=p;l=b;while(1){h[m>>3]=+h[m>>3]-i*+h[j>>3];l=l+-1|0;if(!l)break;else{m=m+8|0;j=j+8|0}}}o=o+1|0}while((o|0)!=(g|0))}if(!r){j=p;l=b;i=0.0;while(1){k=+h[j>>3];i=i+k*k;l=l+-1|0;if(!l)break;else j=j+8|0}i=1.0/+O(+i);j=p;l=b;while(1){h[j>>3]=i*+h[j>>3];l=l+-1|0;if(!l)break;else j=j+8|0}}h[f+(g<<3)>>3]=0.0;g=g+1|0}while((g|0)!=(s|0))}r=y+-1|0;if((y|0)>1){s=(b|0)==0;o=(d|0)<(b|0)?d:b;q=0;do{p=f+(q<<3)|0;l=q;q=q+1|0;if((q|0)<(y|0)){j=q;i=+h[p>>3];g=l;do{k=+h[f+(j<<3)>>3];d=i<k;g=d?j:g;i=d?k:i;j=j+1|0}while((j|0)!=(o|0));if((g|0)!=(l|0)){if(!s){l=c[e+(l<<2)>>2]|0;j=v;m=l;n=b;while(1){h[j>>3]=+h[m>>3];n=n+-1|0;if(!n)break;else{j=j+8|0;m=m+8|0}}j=c[e+(g<<2)>>2]|0;m=j;n=b;while(1){h[l>>3]=+h[m>>3];n=n+-1|0;if(!n){l=v;m=b;break}else{l=l+8|0;m=m+8|0}}while(1){h[j>>3]=+h[l>>3];m=m+-1|0;if(!m)break;else{j=j+8|0;l=l+8|0}}}h[f+(g<<3)>>3]=+h[p>>3];h[p>>3]=i}}}while((q|0)<(r|0))}fQ(v);fQ(w);return (t|0)<=(x|0)|0}function Hn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0;c=1-b+c|0;if(!c)e=0.0;else{f=a+(b<<3)|0;a=d+(b<<3)|0;e=0.0;while(1){e=e+ +h[f>>3]*+h[a>>3];c=c+-1|0;if(!c)break;else{f=f+8|0;a=a+8|0}}}return +e}function In(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var f=0;c=1-b+c|0;if(c){f=a+(b<<3)|0;a=e+(b<<3)|0;while(1){h[f>>3]=+h[f>>3]+ +h[a>>3]*d;c=c+-1|0;if(!c)break;else{f=f+8|0;a=a+8|0}}}return}function Jn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0;c=1-b+c|0;if(!c)d=0.0;else{b=a+(b<<3)|0;d=0.0;while(1){e=+h[b>>3];d=d+e*e;c=c+-1|0;if(!c)break;else b=b+8|0}}return +(+O(+d))}function Kn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var f=0;c=1-b+c|0;if(c){f=a+(b<<3)|0;a=e+(b<<3)|0;while(1){h[f>>3]=+h[a>>3]*d;c=c+-1|0;if(!c)break;else{f=f+8|0;a=a+8|0}}}return}function Ln(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;c=1-b+c|0;if(c){e=a+(b<<3)|0;a=d+(b<<3)|0;while(1){h[e>>3]=+h[a>>3];c=c+-1|0;if(!c)break;else{e=e+8|0;a=a+8|0}}}return}function Mn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0,k=0,l=0;if((b|0)>0){k=(d|0)>0;l=0;do{if(k){i=c[a+(l<<2)>>2]|0;j=0;g=0.0;do{g=g+ +h[i+(j<<3)>>3]*+h[e+(j<<3)>>3];j=j+1|0}while((j|0)!=(d|0))}else g=0.0;h[f+(l<<3)>>3]=g;l=l+1|0}while((l|0)!=(b|0))}return}function Nn(a,b,d,e,f,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0;j=c[i>>2]|0;if(!j){r=d<<2;j=eQ(_(r,f)|0)|0;r=eQ(r)|0;c[i>>2]=r}else{r=d<<2;q=hQ(c[j>>2]|0,_(r,f)|0)|0;r=hQ(j,r)|0;c[i>>2]=r;j=q}i=(d|0)>0;if(i){k=0;while(1){c[r+(k<<2)>>2]=j;k=k+1|0;if((k|0)==(d|0))break;else j=j+(f<<2)|0}if(i){k=(f|0)>0;m=(e|0)>0;p=0;do{if(k){n=c[r+(p<<2)>>2]|0;o=a+(p<<2)|0;q=0;do{if(m){j=c[o>>2]|0;i=0;l=0.0;do{l=l+ +h[j+(i<<3)>>3]*+g[(c[b+(i<<2)>>2]|0)+(q<<2)>>2];i=i+1|0}while((i|0)!=(e|0))}else l=0.0;g[n+(q<<2)>>2]=l;q=q+1|0}while((q|0)!=(f|0))}p=p+1|0}while((p|0)!=(d|0))}}return}function On(a,b,d,e,f,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0;j=c[i>>2]|0;if(!j){j=eQ(_(d<<3,f)|0)|0;r=eQ(d<<2)|0;c[i>>2]=r}else{q=hQ(c[j>>2]|0,_(d<<3,f)|0)|0;r=hQ(j,d<<2)|0;c[i>>2]=r;j=q}i=(d|0)>0;if(i){k=0;while(1){c[r+(k<<2)>>2]=j;k=k+1|0;if((k|0)==(d|0))break;else j=j+(f<<3)|0}if(i){k=(f|0)>0;m=(e|0)>0;p=0;do{if(k){n=c[r+(p<<2)>>2]|0;o=a+(p<<2)|0;q=0;do{if(m){j=c[o>>2]|0;i=0;l=0.0;do{l=l+ +h[j+(i<<3)>>3]*+g[(c[b+(i<<2)>>2]|0)+(q<<2)>>2];i=i+1|0}while((i|0)!=(e|0))}else l=0.0;h[n+(q<<3)>>3]=l;q=q+1|0}while((q|0)!=(f|0))}p=p+1|0}while((p|0)!=(d|0))}}return}function Pn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=c[f>>2]|0;if(!i){i=eQ(_(d*20|0,e)|0)|0;s=eQ(d<<2)|0;c[f>>2]=s}else{r=hQ(c[i>>2]|0,_(d*20|0,e)|0)|0;s=hQ(i,d<<2)|0;c[f>>2]=s;i=r}f=(d|0)>0;if(f){j=0;while(1){c[s+(j<<2)>>2]=i;j=j+1|0;if((j|0)==(d|0))break;else i=i+(e<<2)|0}if(f){j=(e|0)>0;q=0;do{l=c[a+(q*20|0)+4>>2]|0;m=c[a+(q*20|0)+8>>2]|0;n=c[a+(q*20|0)>>2]|0;if(j){o=(n|0)>0;p=c[s+(q<<2)>>2]|0;r=0;do{if(o){i=c[b+(r<<2)>>2]|0;f=0;k=0.0;do{k=k+ +g[m+(f<<2)>>2]*+h[i+(c[l+(f<<2)>>2]<<3)>>3];f=f+1|0}while((f|0)!=(n|0))}else k=0.0;g[p+(r<<2)>>2]=k;r=r+1|0}while((r|0)!=(e|0))}q=q+1|0}while((q|0)!=(d|0))}}return}function Qn(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,f=0;f=(a|0)==0;if(!f){d=a;e=b;c=0.0;while(1){c=c+ +h[e>>3];d=d+-1|0;if(!d)break;else e=e+8|0}c=c/+(a|0);if(!f)while(1){h[b>>3]=+h[b>>3]-c;a=a+-1|0;if(!a)break;else b=b+8|0}}return}function Rn(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0;if((a|0)>0){d=0;do{h[b+(d<<3)>>3]=+((MN()|0)%500|0|0);d=d+1|0}while((d|0)!=(a|0))}if(a){d=a;e=b;c=0.0;while(1){c=c+ +h[e>>3];d=d+-1|0;if(!d)break;else e=e+8|0}c=c/+(a|0);d=b;while(1){h[d>>3]=+h[d>>3]-c;a=a+-1|0;if(!a)break;else d=d+8|0}}return}function Sn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,i=0,j=0,k=0,l=0,m=0;if((b|0)>0){m=0;do{i=c[a+(m*20|0)>>2]|0;if((i|0)>0){j=c[a+(m*20|0)+8>>2]|0;k=c[a+(m*20|0)+4>>2]|0;l=0;f=0.0;do{f=f+ +g[j+(l<<2)>>2]*+h[d+(c[k+(l<<2)>>2]<<3)>>3];l=l+1|0}while((l|0)<(i|0))}else f=0.0;h[e+(m<<3)>>3]=f;m=m+1|0}while((m|0)!=(b|0))}return}function Tn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,i=0,j=0,k=0;if((b|0)>0){k=0;do{i=c[a+(k<<2)>>2]|0;j=0;f=0.0;do{f=f+ +g[i+(j<<2)>>2]*+h[d+(j<<3)>>3];j=j+1|0}while((j|0)!=(b|0));h[e+(k<<3)>>3]=f;k=k+1|0}while((k|0)!=(b|0))}return}function Un(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if((a|0)>0){e=0;do{h[d+(e<<3)>>3]=+h[b+(e<<3)>>3]-+h[c+(e<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}return}function Vn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if((a|0)>0){e=0;do{h[d+(e<<3)>>3]=+h[b+(e<<3)>>3]+ +h[c+(e<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}return}function Wn(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;if((a|0)>0){e=0;do{h[d+(e<<3)>>3]=+h[b+(e<<3)>>3]*c;e=e+1|0}while((e|0)!=(a|0))}return}function Xn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((a|0)>0){d=0;do{h[c+(d<<3)>>3]=+h[b+(d<<3)>>3];d=d+1|0}while((d|0)!=(a|0))}return}function Yn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;if((a|0)>0){e=0;d=0.0;do{d=d+ +h[b+(e<<3)>>3]*+h[c+(e<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}else d=0.0;return +d}function Zn(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0.0;if((a|0)>0){d=0;c=-1.e+50;do{e=+N(+(+h[b+(d<<3)>>3]));c=e>c?e:c;d=d+1|0}while((d|0)!=(a|0))}else c=-1.e+50;return +c}function _n(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0,k=0;if((b|0)>0){j=(d|0)>0;k=0;do{if(j){i=0;g=0.0;do{g=g+ +h[(c[a+(i<<2)>>2]|0)+(k<<3)>>3]*+h[e+(i<<3)>>3];i=i+1|0}while((i|0)!=(d|0))}else g=0.0;h[f+(k<<3)>>3]=g;k=k+1|0}while((k|0)!=(b|0))}return}function $n(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,f=0;f=(a|0)==0;if(!f){d=a;e=b;c=0.0;while(1){c=c+ +g[e>>2];d=d+-1|0;if(!d)break;else e=e+4|0}c=c/+(a|0);if(!f)while(1){g[b>>2]=+g[b>>2]-c;a=a+-1|0;if(!a)break;else b=b+4|0}}return}function ao(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0;if((b|0)>0){tQ(d|0,0,b<<2|0)|0;k=0;f=0;m=b;while(1){j=+g[c+(k<<2)>>2];e=j*+g[a+(f<<2)>>2]+0.0;l=k;k=k+1|0;h=f+1|0;if((k|0)<(b|0)){i=k;while(1){o=+g[a+(h<<2)>>2];e=e+o*+g[c+(i<<2)>>2];n=d+(i<<2)|0;g[n>>2]=j*o+ +g[n>>2];i=i+1|0;if((i|0)==(b|0))break;else h=h+1|0}f=f+m|0}else f=h;n=d+(l<<2)|0;g[n>>2]=e+ +g[n>>2];if((k|0)==(b|0))break;else m=m+-1|0}}return}function bo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if((a|0)>0){e=0;do{g[d+(e<<2)>>2]=+g[b+(e<<2)>>2]-+g[c+(e<<2)>>2];e=e+1|0}while((e|0)!=(a|0))}return}function co(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if((a|0)>0){e=0;do{g[d+(e<<2)>>2]=+g[b+(e<<2)>>2]+ +g[c+(e<<2)>>2];e=e+1|0}while((e|0)!=(a|0))}return}function eo(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,f=0;if((a|0)>0){e=0;do{f=b+(e<<2)|0;g[f>>2]=+g[f>>2]+ +g[d+(e<<2)>>2]*c;e=e+1|0}while((e|0)!=(a|0))}return}function fo(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;if((a|0)>0){e=0;do{g[d+(e<<2)>>2]=+g[b+(e<<2)>>2]*c;e=e+1|0}while((e|0)!=(a|0))}return}function go(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((a|0)>0){e=0;do{c[d+(e<<2)>>2]=c[b+(e<<2)>>2];e=e+1|0}while((e|0)!=(a|0))}return}function ho(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;if((a|0)>0){e=0;d=0.0;do{d=d+ +g[b+(e<<2)>>2]*+g[c+(e<<2)>>2];e=e+1|0}while((e|0)!=(a|0))}else d=0.0;return +d}function io(a,b,c){a=a|0;b=+b;c=c|0;var d=0;if((a|0)>0){d=0;do{h[c+(d<<3)>>3]=b;d=d+1|0}while((d|0)!=(a|0))}return}function jo(a,b,c){a=a|0;b=+b;c=c|0;var d=0;if((a|0)>0){d=0;do{g[c+(d<<2)>>2]=b;d=d+1|0}while((d|0)!=(a|0))}return}function ko(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0.0;if((a|0)>0){d=0;c=-1000000015047466219876688.0e6;do{e=+N(+(+g[b+(d<<2)>>2]));c=e>c?e:c;d=d+1|0}while((d|0)!=(a|0))}else c=-1000000015047466219876688.0e6;return +c}function lo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;if((a|0)>0){c=0;do{d=b+(c<<2)|0;e=+g[d>>2];g[d>>2]=e*e;c=c+1|0}while((c|0)!=(a|0))}return}function mo(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0;if((a|0)>0){e=0;do{c=b+(e<<2)|0;d=+g[c>>2];if(d!=0.0)g[c>>2]=1.0/d;e=e+1|0}while((e|0)!=(a|0))}return}function no(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;if((a|0)>0){e=0;do{d=+g[b+(e<<2)>>2];if(d>=0.0)g[c+(e<<2)>>2]=+O(+d);e=e+1|0}while((e|0)!=(a|0))}return}function oo(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0;if((a|0)>0){e=0;do{c=b+(e<<2)|0;d=+g[c>>2];if(d>0.0)g[c>>2]=1.0/+O(+d);e=e+1|0}while((e|0)!=(a|0))}return}function po(a,b){a=a|0;b=b|0;var d=0,e=0;c[a>>2]=0;if(b&3)if(!(4%(b>>>0)|0))b=4;else{a:do if((b|0)==4)d=4;else{e=4;d=b;while(1){while(1){if((e|0)<=(d|0))break;e=e-d|0;if((e|0)==(d|0))break a}d=d-e|0;if((e|0)==(d|0)){d=e;break}}}while(0);b=_(4/(d>>>0)|0,b)|0}c[a+8>>2]=b;d=a+4|0;b=c[d>>2]|0;if(b)do{a=b;b=c[b>>2]|0;fQ(c[a+4>>2]|0);fQ(a)}while((b|0)!=0);c[d>>2]=0;return}function qo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=c[a>>2]|0;if(!b){e=c[a+8>>2]|0;i=zz(8)|0;f=zz(_(c[12984]|0,e)|0)|0;c[i+4>>2]=f;g=c[12984]|0;if((g|0)>0){d=c[a>>2]|0;h=0;while(1){b=f+(_(h,e)|0)|0;c[b>>2]=d;h=h+1|0;if((h|0)>=(g|0))break;else d=b}c[a>>2]=b}else b=c[a>>2]|0;h=a+4|0;c[i>>2]=c[h>>2];c[h>>2]=i}c[a>>2]=c[b>>2];return b|0}function ro(a,b){a=a|0;b=b|0;c[a>>2]=c[b>>2];c[b>>2]=a;return}function so(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=yz(b<<3)|0;q=a+8|0;f=c[q>>2]|0;r=(b|0)>0;if(r){n=(c[a+16>>2]|0)==0;o=0;do{if(!n){l=c[a+(o*20|0)>>2]|0;if((l|0)>1){i=c[a+(o*20|0)+8>>2]|0;j=c[a+(o*20|0)+16>>2]|0;k=0.0;m=1;do{k=k+ +g[i+(m<<2)>>2]*+g[j+(m<<2)>>2];m=m+1|0}while((m|0)!=(l|0))}else k=0.0;h[s+(o<<3)>>3]=k}o=o+1|0}while((o|0)!=(b|0));Rn(b,d);if(r){j=0;i=0;do{i=(c[a+(j*20|0)>>2]|0)+i|0;j=j+1|0}while((j|0)!=(b|0));i=zz(i<<2)|0;if(r){m=0;while(1){c[a+(m*20|0)+8>>2]=i;j=c[a+(m*20|0)>>2]|0;g[i>>2]=+(1-j|0);if((j|0)>1){l=1;do{g[i+(l<<2)>>2]=1.0;l=l+1|0}while((l|0)<(j|0))}m=m+1|0;if((m|0)==(b|0))break;else i=i+(j<<2)|0}}}else p=12}else{Rn(b,d);p=12}if((p|0)==12)zz(0)|0;j=($l(a,d,s,b,.001,e)|0)>>>31;fQ(c[q>>2]|0);if(r){i=0;do{c[a+(i*20|0)+8>>2]=f;f=f+(c[a+(i*20|0)>>2]<<2)|0;i=i+1|0}while((i|0)!=(b|0))}fQ(s);return j|0}function to(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;j=j|0;k=k|0;b=i;i=i+16|0;if(!(c[13042]|0)){c[13042]=1;us(1,134602,b)|0}i=b;return}function uo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=zz(f<<2)|0;t=(f|0)>0;i=b<<3;if(t){g=0;do{c[v+(g<<2)>>2]=zz(i)|0;g=g+1|0}while((g|0)!=(f|0))}u=zz(f<<3)|0;s=zz(b<<2)|0;g=zz(_(i,b)|0)|0;r=(b|0)>0;if(r){i=0;while(1){c[s+(i<<2)>>2]=g;i=i+1|0;if((i|0)==(b|0))break;else g=g+(b<<3)|0}if(r){l=(d|0)>0;o=0;p=1;while(1){m=c[s+(o<<2)>>2]|0;n=a+(o<<2)|0;q=0;do{if(l){g=c[n>>2]|0;i=c[a+(q<<2)>>2]|0;k=0;j=0.0;do{j=j+ +(_(c[i+(k<<2)>>2]|0,c[g+(k<<2)>>2]|0)|0);k=k+1|0}while((k|0)!=(d|0))}else j=0.0;h[(c[s+(q<<2)>>2]|0)+(o<<3)>>3]=j;h[m+(q<<3)>>3]=j;q=q+1|0}while((q|0)!=(p|0));o=o+1|0;if((o|0)==(b|0))break;else p=p+1|0}}}Gn(s,b,f,v,u,1)|0;if(t){k=(d|0)>0;o=0;do{if(k){l=c[e+(o<<2)>>2]|0;m=v+(o<<2)|0;n=0;do{if(r){g=c[m>>2]|0;i=0;j=0.0;do{j=j+ +(c[(c[a+(i<<2)>>2]|0)+(n<<2)>>2]|0)*+h[g+(i<<3)>>3];i=i+1|0}while((i|0)!=(b|0))}else j=0.0;h[l+(n<<3)>>3]=j;n=n+1|0}while((n|0)!=(d|0))}o=o+1|0}while((o|0)!=(f|0));if(t){g=0;do{fQ(c[v+(g<<2)>>2]|0);g=g+1|0}while((g|0)!=(f|0))}}fQ(v);fQ(u);fQ(c[s>>2]|0);fQ(s);return}function vo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+32|0;g=f+20|0;k=f+16|0;j=f+12|0;h=f+8|0;c[g>>2]=e;c[j>>2]=0;c[h>>2]=0;br(c[a>>2]|0,d,d<<2,k);Pn(c[k>>2]|0,a,d,b,j);On(a,c[j>>2]|0,b,d,b,h);fQ(c[c[j>>2]>>2]|0);fQ(c[j>>2]|0);e=(Gn(c[h>>2]|0,b,1,g,f,1)|0)&255;i=f;return e|0}function wo(){c[13043]=0;fQ(c[13044]|0);fQ(c[13045]|0);fQ(c[13046]|0);c[13044]=0;c[13045]=0;c[13046]=0;return}function xo(a){a=a|0;fQ(c[a+36>>2]|0);return}function yo(b,d,e,f){b=b|0;d=d|0;e=+e;f=+f;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0;o=i;i=i+16|0;k=o;n=o+4|0;g=d+16|0;j=c[g>>2]|0;a:do if(!(c[j+212>>2]|0))switch(QA(d)|0){case 1:{g=c[g>>2]|0;k=c[g+12>>2]|0;m=c[k+8>>2]|0;c[n>>2]=m;g=c[c[g+8>>2]>>2]|0;switch(a[g>>0]|0){case 98:{if(!(aP(g,151070)|0)){c[b+40>>2]=1;l=14}else l=10;break}case 112:{if((aP(g,146603)|0)==0?(Bo(c[k+44>>2]|0,m)|0)!=0:0){c[b+40>>2]=1;l=14}else l=10;break}default:l=10}do if((l|0)==10){if((m|0)<3?(c[k>>2]|0)!=0:0){c[b+40>>2]=2;break}c[b+40>>2]=0;l=14}while(0);if((l|0)==14?(m|0)>2:0){j=zz(m<<4)|0;k=c[k+44>>2]|0;if((c[b+40>>2]|0)==1){p=e;h[j>>3]=p+ +h[k>>3]/72.0;e=f;h[j+8>>3]=e+ +h[k+8>>3]/72.0;h[j+16>>3]=+h[k+16>>3]/72.0-p;h[j+24>>3]=e+ +h[k+24>>3]/72.0;h[j+32>>3]=+h[k+32>>3]/72.0-p;h[j+40>>3]=+h[k+40>>3]/72.0-e;h[j+48>>3]=p+ +h[k+48>>3]/72.0;h[j+56>>3]=+h[k+56>>3]/72.0-e;l=23;break a}g=0;while(1){r=+h[k+(g<<4)>>3];q=+h[k+(g<<4)+8>>3];p=+O(+(r*r+q*q));h[j+(g<<4)>>3]=r*(e/p+1.0)/72.0;h[j+(g<<4)+8>>3]=q*(f/p+1.0)/72.0;g=g+1|0;if((g|0)>=(m|0)){l=23;break a}}}j=Co(d,n,e,f)|0;l=23;break a}case 2:{c[n>>2]=4;j=zz(64)|0;l=c[(c[g>>2]|0)+12>>2]|0;p=+h[l+32>>3];r=+h[l+40>>3];q=-e+ +(~~+h[l+16>>3]|0)/72.0;s=-f+ +(~~+h[l+24>>3]|0)/72.0;h[j>>3]=q;h[j+8>>3]=s;p=e+ +(~~p|0)/72.0;h[j+16>>3]=p;h[j+24>>3]=s;r=f+ +(~~r|0)/72.0;h[j+32>>3]=p;h[j+40>>3]=r;h[j+48>>3]=q;h[j+56>>3]=r;c[b+40>>2]=1;l=23;break a}case 3:{c[b+40>>2]=2;j=Co(d,n,e,f)|0;l=23;break a}default:{c[k>>2]=c[c[(c[g>>2]|0)+8>>2]>>2];us(1,134665,k)|0;g=1;break a}}else{c[n>>2]=4;r=e+ +h[j+32>>3]*.5;s=f+ +h[j+40>>3]*.5;c[b+40>>2]=1;j=zz(64)|0;h[j>>3]=r;h[j+8>>3]=s;q=-r;h[j+16>>3]=q;h[j+24>>3]=s;h[j+32>>3]=q;s=-s;h[j+40>>3]=s;h[j+48>>3]=r;h[j+56>>3]=s;l=23}while(0);if((l|0)==23){c[b+36>>2]=j;g=c[n>>2]|0;c[b+32>>2]=g;Do(j,g,b,b+16|0);if((g|0)>(c[13043]|0)){c[13043]=g;g=0}else g=0}i=o;return g|0}function zo(b,d,e,f){b=b|0;d=d|0;e=+e;f=+f;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0;q=i;i=i+16|0;j=q;p=q+4|0;o=d+16|0;g=c[o>>2]|0;a:do if(!(c[g+212>>2]|0))switch(QA(d)|0){case 1:{m=c[(c[o>>2]|0)+12>>2]|0;n=m+8|0;l=c[n>>2]|0;c[p>>2]=l;if((l|0)>2){j=zz(l<<4)|0;g=c[m+44>>2]|0;k=0;do{h[j+(k<<4)>>3]=+h[g+(k<<4)>>3]/72.0;h[j+(k<<4)+8>>3]=+h[g+(k<<4)+8>>3]/72.0;k=k+1|0}while((k|0)<(l|0))}else j=Co(d,p,0.0,0.0)|0;g=c[c[(c[o>>2]|0)+8>>2]>>2]|0;switch(a[g>>0]|0){case 98:{if(!(aP(g,151070)|0)){c[b+40>>2]=1;l=j;k=21;break a}break}case 112:{if((aP(g,146603)|0)==0?(Bo(j,c[p>>2]|0)|0)!=0:0){c[b+40>>2]=1;l=j;k=21;break a}break}default:{}}if((c[n>>2]|0)<3?(c[m>>2]|0)!=0:0){c[b+40>>2]=2;l=j;k=21;break a}c[b+40>>2]=0;l=j;k=21;break a}case 2:{c[p>>2]=4;l=zz(64)|0;k=c[(c[o>>2]|0)+12>>2]|0;t=+h[k+32>>3];r=+h[k+40>>3];s=+h[k+16>>3]/72.0;u=+h[k+24>>3]/72.0;h[l>>3]=s;h[l+8>>3]=u;t=t/72.0;h[l+16>>3]=t;h[l+24>>3]=u;r=r/72.0;h[l+32>>3]=t;h[l+40>>3]=r;h[l+48>>3]=s;h[l+56>>3]=r;c[b+40>>2]=1;k=21;break a}case 3:{c[b+40>>2]=2;l=Co(d,p,0.0,0.0)|0;k=21;break a}default:{c[j>>2]=c[c[(c[o>>2]|0)+8>>2]>>2];us(1,134701,j)|0;g=1;break a}}else{c[p>>2]=4;t=+h[g+32>>3]*.5;u=+h[g+40>>3]*.5;c[b+40>>2]=1;l=zz(64)|0;h[l>>3]=t;h[l+8>>3]=u;s=-t;h[l+16>>3]=s;h[l+24>>3]=u;h[l+32>>3]=s;u=-u;h[l+40>>3]=u;h[l+48>>3]=t;h[l+56>>3]=u;k=21}while(0);if((k|0)==21){k=c[p>>2]|0;if((e!=1.0|f!=1.0)&(k|0)>0){g=l;j=0;while(1){h[g>>3]=e*+h[g>>3];p=g+8|0;h[p>>3]=f*+h[p>>3];j=j+1|0;if((j|0)==(k|0))break;else g=g+16|0}}c[b+36>>2]=l;c[b+32>>2]=k;Do(l,k,b,b+16|0);if((k|0)>(c[13043]|0)){c[13043]=k;g=0}else g=0}i=q;return g|0}function Ao(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0;O=i;i=i+176|0;J=O+160|0;A=O+144|0;z=O+128|0;y=O+112|0;C=O+32|0;D=O+16|0;E=O;N=O+96|0;M=O+80|0;I=O+64|0;H=O+48|0;c[A>>2]=c[b>>2];c[A+4>>2]=c[b+4>>2];c[A+8>>2]=c[b+8>>2];c[A+12>>2]=c[b+12>>2];c[J>>2]=c[d>>2];c[J+4>>2]=c[d+4>>2];c[J+8>>2]=c[d+8>>2];c[J+12>>2]=c[d+12>>2];Mm(N,A,J);g=d+16|0;c[A>>2]=c[b>>2];c[A+4>>2]=c[b+4>>2];c[A+8>>2]=c[b+8>>2];c[A+12>>2]=c[b+12>>2];c[J>>2]=c[g>>2];c[J+4>>2]=c[g+4>>2];c[J+8>>2]=c[g+8>>2];c[J+12>>2]=c[g+12>>2];Mm(M,A,J);c[A>>2]=c[e>>2];c[A+4>>2]=c[e+4>>2];c[A+8>>2]=c[e+8>>2];c[A+12>>2]=c[e+12>>2];c[J>>2]=c[f>>2];c[J+4>>2]=c[f+4>>2];c[J+8>>2]=c[f+8>>2];c[J+12>>2]=c[f+12>>2];Mm(I,A,J);j=f+16|0;c[A>>2]=c[e>>2];c[A+4>>2]=c[e+4>>2];c[A+8>>2]=c[e+8>>2];c[A+12>>2]=c[e+12>>2];c[J>>2]=c[j>>2];c[J+4>>2]=c[j+4>>2];c[J+8>>2]=c[j+8>>2];c[J+12>>2]=c[j+12>>2];Mm(H,A,J);do if(((+h[N>>3]<=+h[H>>3]?+h[I>>3]<=+h[M>>3]:0)?(L=N+8|0,F=H+8|0,+h[L>>3]<=+h[F>>3]):0)?(G=I+8|0,K=M+8|0,+h[G>>3]<=+h[K>>3]):0){l=c[d+40>>2]|0;if((l&1|0)!=0?(c[f+40>>2]&1|0)!=0:0){g=1;break}if((l&2|0)!=0?(c[f+40>>2]&2|0)!=0:0){n=+h[g>>3]-+h[d>>3]+ +h[j>>3]-+h[f>>3];P=+h[b>>3]-+h[e>>3];m=+h[b+8>>3]-+h[e+8>>3];g=!(P*P+m*m>n*n*.25)&1;break}if(!(c[13044]|0)){c[13044]=zz(c[13043]<<4)|0;c[13045]=zz(c[13043]<<4)|0}B=d+32|0;x=c[B>>2]|0;n=+h[b>>3];m=+h[b+8>>3];if((x|0)>0){g=c[d+36>>2]|0;j=c[13044]|0;l=0;while(1){h[j>>3]=n+ +h[g>>3];h[j+8>>3]=m+ +h[g+8>>3];l=l+1|0;if((l|0)==(x|0))break;else{g=g+16|0;j=j+16|0}}}w=f+32|0;v=c[w>>2]|0;n=+h[e>>3];m=+h[e+8>>3];u=c[13045]|0;if((v|0)>0){g=c[f+36>>2]|0;j=u;l=0;while(1){h[j>>3]=n+ +h[g>>3];h[j+8>>3]=m+ +h[g+8>>3];l=l+1|0;if((l|0)==(v|0))break;else{g=g+16|0;j=j+16|0}}}q=c[13044]|0;r=x+-1|0;s=v+-1|0;t=x<<1;p=v<<1;g=0;j=0;l=0;b=0;while(1){Q=q+(g<<4)|0;R=q+(((r+g|0)%(x|0)|0)<<4)|0;c[A>>2]=c[Q>>2];c[A+4>>2]=c[Q+4>>2];c[A+8>>2]=c[Q+8>>2];c[A+12>>2]=c[Q+12>>2];c[J>>2]=c[R>>2];c[J+4>>2]=c[R+4>>2];c[J+8>>2]=c[R+8>>2];c[J+12>>2]=c[R+12>>2];Lm(C,A,J);o=u+(l<<4)|0;f=u+(((s+l|0)%(v|0)|0)<<4)|0;c[A>>2]=c[o>>2];c[A+4>>2]=c[o+4>>2];c[A+8>>2]=c[o+8>>2];c[A+12>>2]=c[o+12>>2];c[J>>2]=c[f>>2];c[J+4>>2]=c[f+4>>2];c[J+8>>2]=c[f+8>>2];c[J+12>>2]=c[f+12>>2];Lm(D,A,J);c[z>>2]=c[8452];c[z+4>>2]=c[8453];c[z+8>>2]=c[8454];c[z+12>>2]=c[8455];c[A>>2]=c[C>>2];c[A+4>>2]=c[C+4>>2];c[A+8>>2]=c[C+8>>2];c[A+12>>2]=c[C+12>>2];c[J>>2]=c[D>>2];c[J+4>>2]=c[D+4>>2];c[J+8>>2]=c[D+8>>2];c[J+12>>2]=c[D+12>>2];m=+Nm(z,A,J);c[z>>2]=c[R>>2];c[z+4>>2]=c[R+4>>2];c[z+8>>2]=c[R+8>>2];c[z+12>>2]=c[R+12>>2];c[A>>2]=c[Q>>2];c[A+4>>2]=c[Q+4>>2];c[A+8>>2]=c[Q+8>>2];c[A+12>>2]=c[Q+12>>2];c[J>>2]=c[o>>2];c[J+4>>2]=c[o+4>>2];c[J+8>>2]=c[o+8>>2];c[J+12>>2]=c[o+12>>2];d=Om(z,A,J)|0;c[z>>2]=c[f>>2];c[z+4>>2]=c[f+4>>2];c[z+8>>2]=c[f+8>>2];c[z+12>>2]=c[f+12>>2];c[A>>2]=c[o>>2];c[A+4>>2]=c[o+4>>2];c[A+8>>2]=c[o+8>>2];c[A+12>>2]=c[o+12>>2];c[J>>2]=c[Q>>2];c[J+4>>2]=c[Q+4>>2];c[J+8>>2]=c[Q+8>>2];c[J+12>>2]=c[Q+12>>2];e=Om(z,A,J)|0;c[y>>2]=c[R>>2];c[y+4>>2]=c[R+4>>2];c[y+8>>2]=c[R+8>>2];c[y+12>>2]=c[R+12>>2];c[z>>2]=c[Q>>2];c[z+4>>2]=c[Q+4>>2];c[z+8>>2]=c[Q+8>>2];c[z+12>>2]=c[Q+12>>2];c[A>>2]=c[f>>2];c[A+4>>2]=c[f+4>>2];c[A+8>>2]=c[f+8>>2];c[A+12>>2]=c[f+12>>2];c[J>>2]=c[o>>2];c[J+4>>2]=c[o+4>>2];c[J+8>>2]=c[o+8>>2];c[J+12>>2]=c[o+12>>2];if(Pm(y,z,A,J,E)|0){j=34;break}f=(d|0)==0;o=(e|0)==0;do if(m!=0.0|(e|d|0)!=0)if(!(m>=0.0))if(o){g=(g+1|0)%(x|0)|0;j=j+1|0;break}else{l=(l+1|0)%(v|0)|0;b=b+1|0;break}else if(f){l=(l+1|0)%(v|0)|0;b=b+1|0;break}else{g=(g+1|0)%(x|0)|0;j=j+1|0;break}else{g=(g+1|0)%(x|0)|0;j=j+1|0}while(0);if(!((b|0)<(p|0)&((j|0)<(t|0)&((b|0)<(v|0)|(j|0)<(x|0))))){j=30;break}}do if((j|0)==30){g=c[13044]|0;a[k>>0]=a[g>>0];a[k+1>>0]=a[g+1>>0];a[k+2>>0]=a[g+2>>0];a[k+3>>0]=a[g+3>>0];a[k+4>>0]=a[g+4>>0];a[k+5>>0]=a[g+5>>0];a[k+6>>0]=a[g+6>>0];a[k+7>>0]=a[g+7>>0];n=+h[k>>3];R=g+8|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];P=+h[k>>3];if(!((n<=+h[H>>3]?!(n>=+h[I>>3]):1)|!(P<=+h[F>>3])|!(P>=+h[G>>3]))?(Q=c[13045]|0,R=c[w>>2]|0,c[J>>2]=c[g>>2],c[J+4>>2]=c[g+4>>2],c[J+8>>2]=c[g+8>>2],c[J+12>>2]=c[g+12>>2],(Eo(Q,R,J)|0)!=0):0){g=1;break}g=c[13045]|0;a[k>>0]=a[g>>0];a[k+1>>0]=a[g+1>>0];a[k+2>>0]=a[g+2>>0];a[k+3>>0]=a[g+3>>0];a[k+4>>0]=a[g+4>>0];a[k+5>>0]=a[g+5>>0];a[k+6>>0]=a[g+6>>0];a[k+7>>0]=a[g+7>>0];n=+h[k>>3];R=g+8|0;a[k>>0]=a[R>>0];a[k+1>>0]=a[R+1>>0];a[k+2>>0]=a[R+2>>0];a[k+3>>0]=a[R+3>>0];a[k+4>>0]=a[R+4>>0];a[k+5>>0]=a[R+5>>0];a[k+6>>0]=a[R+6>>0];a[k+7>>0]=a[R+7>>0];P=+h[k>>3];if((n<=+h[M>>3]?!(n>=+h[N>>3]):1)|!(P<=+h[K>>3])|!(P>=+h[L>>3]))g=0;else{Q=c[13044]|0;R=c[B>>2]|0;c[J>>2]=c[g>>2];c[J+4>>2]=c[g+4>>2];c[J+8>>2]=c[g+8>>2];c[J+12>>2]=c[g+12>>2];g=(Eo(Q,R,J)|0)!=0}}else if((j|0)==34)g=1;while(0);g=g&1}else g=0;while(0);i=O;return g|0}function Bo(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;do if((b|0)==4){c=+h[a+8>>3];b=a+16|0;d=+h[a+24>>3];if(c==d){if(+h[a+40>>3]==+h[a+56>>3]?+h[a>>3]==+h[a+48>>3]:0)b=+h[b>>3]==+h[a+32>>3];else b=0;b=b&1;break}if((+h[a>>3]==+h[b>>3]?+h[a+32>>3]==+h[a+48>>3]:0)?c==+h[a+56>>3]:0)b=d==+h[a+40>>3];else b=0;b=b&1}else b=0;while(0);return b|0}function Co(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0.0,i=0.0,j=0,k=0;f=Qs(a,143776)|0;if(!f)f=0;else f=NO(f)|0;j=(f|0)<3?20:f;k=zz(j<<4)|0;if((j|0)>0){f=c[a+16>>2]|0;g=d+ +h[f+32>>3]*.5;i=+(j|0);d=e+ +h[f+40>>3]*.5;f=0;do{e=+(f|0)/i*3.141592653589793*2.0;h[k+(f<<4)>>3]=g*+Q(+e);h[k+(f<<4)+8>>3]=+R(+e)*d;f=f+1|0}while((f|0)!=(j|0))}c[b>>2]=j;return k|0}function Do(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0;e=+h[a>>3];j=+h[a+8>>3];if((b|0)>1){k=1;i=e;g=e;f=j;e=j;do{m=a;a=a+16|0;l=+h[a>>3];g=l<g?l:g;j=+h[m+24>>3];e=j<e?j:e;i=l>i?l:i;f=j>f?j:f;k=k+1|0}while((k|0)!=(b|0))}else{i=e;g=e;f=j;e=j}h[c>>3]=g;h[c+8>>3]=e;h[d>>3]=i;h[d+8>>3]=f;return}function Eo(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0;e=c[13046]|0;if(!e){e=zz(c[13043]<<4)|0;c[13046]=e}i=(b|0)>0;a:do if(i){g=+h[d>>3];f=+h[d+8>>3];d=0;do{h[e+(d<<4)>>3]=+h[a+(d<<4)>>3]-g;h[e+(d<<4)+8>>3]=+h[a+(d<<4)+8>>3]-f;d=d+1|0}while((d|0)!=(b|0));if(i){a=b+-1|0;f=0.0;k=0;while(1){d=(a+k|0)%(b|0)|0;g=+h[e+(k<<4)+8>>3];i=g==0.0;if(i?+h[e+(d<<4)+8>>3]==0.0:0){if(+h[e+(k<<4)>>3]*+h[e+(d<<4)>>3]<0.0){e=1;break a}}else l=11;do if((l|0)==11){l=0;j=+h[e+(d<<4)+8>>3];if(!(g>=0.0)|!(j<=0.0)?!(j>=0.0)|!(g<=0.0):0)break;g=(+h[e+(k<<4)>>3]*j-+h[e+(d<<4)>>3]*g)/(j-g);if(g==0.0){e=1;break a}if(g>0.0)if(j==0.0|i){f=f+.5;break}else{f=f+1.0;break}}while(0);k=k+1|0;if((k|0)>=(b|0)){l=19;break}}}else{f=0.0;l=19}}else{f=0.0;l=19}while(0);if((l|0)==19)e=((~~f|0)%2|0|0)==1&1;return e|0}function Fo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;j=zz(b<<2)|0;h=_(b,b)|0;i=zz(h<<2)|0;c[j>>2]=i;jo(h,0.0,i);if((b|0)>1){d=1;do{c[j+(d<<2)>>2]=(c[j>>2]|0)+((_(d,b)|0)<<2);d=d+1|0}while((d|0)!=(b|0))}if((b|0)>0){g=0;h=b;i=0;while(1){f=c[j+(g<<2)>>2]|0;d=c[a+(i<<2)>>2]|0;c[f+(g<<2)>>2]=d;c[f+(g<<2)>>2]=d;d=g+1|0;if((d|0)!=(b|0)){e=i;do{e=e+1|0;k=c[j+(d<<2)>>2]|0;l=c[a+(e<<2)>>2]|0;c[f+(d<<2)>>2]=l;c[k+(g<<2)>>2]=l;d=d+1|0}while((d|0)!=(b|0))}i=i+h|0;g=g+1|0;if((g|0)==(b|0))break;else h=h+-1|0}}return j|0}function Go(a,b,d,e,f,h,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;i=i|0;j=+j;var k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0;J=c[d+(f<<2)>>2]|0;M=c[a+4>>2]|0;O=c[a>>2]|0;P=c[a+48>>2]|0;Q=c[a+52>>2]|0;K=c[a+56>>2]|0;if((h|0)>=1){L=(M|0)>0;if(L){l=0;d=-1;k=-1.0e9;f=0;while(1){if((l|0)<(f|0))e=f;else{d=d+1|0;if((d|0)==(K|0))f=M;else f=c[Q+(d<<2)>>2]|0;if((l|0)>0)k=+g[J+(c[P+(l+-1<<2)>>2]<<2)>>2]+j;else k=-1.0e9;vn(J,P,l,f+-1|0);e=f}f=J+(c[P+(l<<2)>>2]<<2)|0;if(+g[f>>2]<k)g[f>>2]=k;l=l+1|0;if((l|0)==(M|0))break;else f=e}}E=c[a+28>>2]|0;F=c[a+32>>2]|0;G=c[a+36>>2]|0;H=c[a+12>>2]|0;I=c[a+16>>2]|0;if(L){l=0;d=-1;f=0;while(1){if((l|0)>=(f|0)){d=d+1|0;if((d|0)==(K|0)){e=K;f=M}else{e=d;f=c[Q+(d<<2)>>2]|0}}else e=d;c[I+(c[P+(l<<2)>>2]<<2)>>2]=e;l=l+1|0;if((l|0)==(M|0))break;else d=e}}B=c[a+40>>2]|0;if((h|0)>0){C=(K|0)>0;D=F+(M+-1<<2)|0;d=0;do{a:do if(L){f=1;e=0;k=-1.0e9;while(1){while(1){q=c[P+(e<<2)>>2]|0;x=+g[J+(q<<2)>>2];g[B+(q<<2)>>2]=0.0;l=e+1|0;b:do if((l|0)<(M|0)){a=c[I+(e<<2)>>2]|0;n=e;p=l;o=x;while(1){l=a;a=c[I+(p<<2)>>2]|0;o=(a|0)>(l|0)?o+j:o;l=c[P+(p<<2)>>2]|0;m=+g[J+(l<<2)>>2];if(+N(+(m-o))>1.0e-09){w=1;A=n;l=p;break b}g[B+(l<<2)>>2]=m-x;l=p+1|0;if((l|0)>=(M|0)){w=0;A=p;break}else{n=p;p=l}}}else{w=0;A=e}while(0);z=(e|0)<(l|0);if(z){s=q;a=e;while(1){p=c[O+(s<<2)>>2]|0;n=0;m=-+g[b+(s<<2)>>2];do{if((n|0)!=(s|0))m=m+ +g[p+(n<<2)>>2]*+g[J+(n<<2)>>2];n=n+1|0}while((n|0)!=(M|0));g[E+(s<<2)>>2]=m/-+g[p+(s<<2)>>2]-+g[B+(s<<2)>>2];a=a+1|0;if((a|0)==(l|0))break;s=c[P+(a<<2)>>2]|0}if(z){a=0;p=e;while(1){n=c[I+(q<<2)>>2]|0;if((n|0)==(K|0))u=l;else{u=c[Q+(n<<2)>>2]|0;u=(l|0)<(u|0)?l:u}s=(p|0)<(u|0);if(s){n=p;while(1){if(+g[E+(q<<2)>>2]<x){c[H+(a<<2)>>2]=q;a=a+1|0}n=n+1|0;if((n|0)==(u|0))break;q=c[P+(n<<2)>>2]|0}if(s){q=p;do{n=c[P+(q<<2)>>2]|0;if(+g[E+(n<<2)>>2]==x){c[H+(a<<2)>>2]=n;a=a+1|0}q=q+1|0}while((q|0)!=(u|0));if(s)do{n=c[P+(p<<2)>>2]|0;if(+g[E+(n<<2)>>2]>x){c[H+(a<<2)>>2]=n;a=a+1|0}p=p+1|0}while((p|0)!=(u|0))}}if((u|0)>=(l|0))break;q=c[P+(u<<2)>>2]|0;p=u}q=(a|0)>0;if(q){o=0.0;r=0.0;u=0;while(1){s=c[H+(u<<2)>>2]|0;p=c[O+(s<<2)>>2]|0;if((u|0)>0){n=0;m=0.0;do{m=m-+g[p+(c[H+(n<<2)>>2]<<2)>>2];n=n+1|0}while((n|0)!=(u|0))}else m=0.0;m=m*2.0;n=p+(s<<2)|0;t=+g[n>>2];r=(x*m+(r*o-t*+g[E+(s<<2)>>2]))/(m+(o-t));g[F+(u<<2)>>2]=r;u=u+1|0;if((u|0)==(a|0))break;else o=o+(m-+g[n>>2])}}else q=0}else{q=0;a=0}}else{q=0;a=0}s=(a|0)==(M|0);if(s)g[D>>2]=x;y=a+-1|0;if(q){o=0.0;r=0.0;v=y;while(1){u=c[H+(v<<2)>>2]|0;p=c[O+(u<<2)>>2]|0;n=v+1|0;if((n|0)<(a|0)){m=0.0;do{m=m-+g[p+(c[H+(n<<2)>>2]<<2)>>2];n=n+1|0}while((n|0)!=(a|0))}else m=0.0;m=m*2.0;n=p+(u<<2)|0;t=+g[n>>2];r=(x*m+(r*o-t*+g[E+(u<<2)>>2]))/(m+(o-t));g[G+(v<<2)>>2]=r;if((v|0)<=0)break;else{o=o+(m-+g[n>>2]);v=v+-1|0}}}if(s)g[G>>2]=x;if(q){n=-1;q=0;r=0.0;while(1){m=+g[G+(q<<2)>>2];if((q|0)>0)o=+g[F+(q+-1<<2)>>2];else o=m;do if(m<o){p=o>x;if(m<x){m=p?x:o;o=m;break}if(!p)break;o=m}while(0);m=+(a-q|0)*+N(+(m-x))+ +(q|0)*+N(+(o-x));p=m>r;n=p?q:n;q=q+1|0;if((q|0)==(a|0))break;else r=p?m:r}if((n|0)>-1){v=z;u=y;q=A;s=l;break}}if(w?(c[I+(c[P+(l<<2)>>2]<<2)>>2]|0)>(c[I+(c[P+(A<<2)>>2]<<2)>>2]|0):0)k=+g[J+(c[H+(y<<2)>>2]<<2)>>2]+j;else k=+g[J+(c[H+(y<<2)>>2]<<2)>>2];if((l|0)<(M|0))e=l;else{e=f;break a}}r=+g[G+(n<<2)>>2];p=(n|0)>0;if(p)t=+g[F+(n+-1<<2)>>2];else t=r;do if(w){A=c[P+(s<<2)>>2]|0;m=+g[J+(A<<2)>>2];o=+g[B+(c[H+(u<<2)>>2]<<2)>>2];if((c[I+(A<<2)>>2]|0)>(c[I+(c[P+(q<<2)>>2]<<2)>>2]|0)){m=m-j-o;break}else{m=m-o;break}}else m=1.0e9;while(0);m=r<m?r:m;k=t>k?t:k;do if(m<k){l=k>x;if(m<x){m=l?x:k;o=m;break}if(l)o=m;else o=k}else o=k;while(0);if(p){l=0;do{A=c[H+(l<<2)>>2]|0;g[J+(A<<2)>>2]=o+ +g[B+(A<<2)>>2];l=l+1|0}while((l|0)!=(n|0));l=n}else l=n;if((n|0)<(a|0))do{A=c[H+(l<<2)>>2]|0;g[J+(A<<2)>>2]=m+ +g[B+(A<<2)>>2];l=l+1|0}while((l|0)!=(a|0));if(w?(c[I+(c[P+(s<<2)>>2]<<2)>>2]|0)>(c[I+(c[P+(q<<2)>>2]<<2)>>2]|0):0)k=+g[J+(c[H+(u<<2)>>2]<<2)>>2]+j;else k=+g[J+(c[H+(u<<2)>>2]<<2)>>2];if(v){l=e;do{c[P+(l<<2)>>2]=c[H+(l-e<<2)>>2];l=l+1|0}while((l|0)!=(s|0))}if(f<<24>>24!=0?+N(+(o-x))<.01:0)f=+N(+(m-x))<.01;else f=0;f=f&1;if((s|0)<(M|0))e=s;else{e=f;break}}}else e=1;while(0);$n(M,J);if(C){f=0;do{c[i+(f<<2)>>2]=c[J+(c[P+((c[Q+(f<<2)>>2]|0)+-1<<2)>>2]<<2)>>2];f=f+1|0}while((f|0)!=(K|0))}d=d+1|0}while(e<<24>>24==0&(d|0)<(h|0))}else d=0}else d=0;return d|0}function Ho(a){a=a|0;fQ(c[c[a>>2]>>2]|0);fQ(c[a>>2]|0);fQ(c[a+8>>2]|0);fQ(c[a+28>>2]|0);fQ(c[a+32>>2]|0);fQ(c[a+36>>2]|0);fQ(c[a+40>>2]|0);fQ(c[a+12>>2]|0);fQ(c[a+16>>2]|0);fQ(c[a+20>>2]|0);fQ(c[a+24>>2]|0);fQ(a);return}function Io(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;l=zz(60)|0;c[l>>2]=0;m=l+4|0;c[m>>2]=b;c[l+48>>2]=d;c[l+52>>2]=e;c[l+56>>2]=f;c[l>>2]=Fo(a,b)|0;j=b<<2;k=zz(j)|0;c[l+8>>2]=k;b=c[m>>2]|0;if((b|0)>0){i=0;a=-1;g=0;while(1){if((i|0)>=(g|0)){a=a+1|0;if((a|0)==(f|0)){h=f;g=b}else{h=a;g=c[e+(a<<2)>>2]|0}}else h=a;c[k+(c[d+(i<<2)>>2]<<2)>>2]=h;i=i+1|0;b=c[m>>2]|0;if((i|0)>=(b|0))break;else a=h}}c[l+28>>2]=zz(j)|0;c[l+32>>2]=zz(j)|0;c[l+36>>2]=zz(j)|0;c[l+40>>2]=zz(j)|0;c[l+12>>2]=zz(j)|0;c[l+16>>2]=zz(j)|0;c[l+20>>2]=zz(j)|0;c[l+24>>2]=zz(j)|0;return l|0}function Jo(){po(52192,24);c[13051]=0;return}function Ko(){return qo(52192)|0}function Lo(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;d=+h[a>>3]-+h[b>>3];c=+h[a+8>>3]-+h[b+8>>3];return +(+O(+(d*d+c*c)))}function Mo(a){a=a|0;c[a+16>>2]=c[13051];c[13051]=(c[13051]|0)+1;return}function No(a){a=a|0;var b=0,d=0;d=a+20|0;b=(c[d>>2]|0)+-1|0;c[d>>2]=b;if(!b)ro(a,52192);return}function Oo(a){a=a|0;a=a+20|0;c[a>>2]=(c[a>>2]|0)+1;return}function Po(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;var i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0;q=b<<2;C=zz(q)|0;x=b<<3;D=zz(x)|0;B=qn(a,b)|0;A=(b|0)>0;if(A){i=0;do{a=c[B+(i<<2)>>2]|0;j=0;do{z=a+(j<<2)|0;c[z>>2]=c[z>>2]<<8;j=j+1|0}while((j|0)!=(b|0));i=i+1|0}while((i|0)!=(b|0))}if(!d)Na(134734,134742,283,134756);z=zz(x)|0;if(A){a=0;do{h[z+(a<<3)>>3]=+h[d+(a<<3)>>3];a=a+1|0}while((a|0)!=(b|0));Qo(z,b);i=(b|0)>1;if(i){n=1;l=0.0;k=0.0;do{a=c[B+(n<<2)>>2]|0;m=+h[d+(n<<3)>>3];j=0;do{y=c[a+(j<<2)>>2]|0;p=+N(+(m-+h[d+(j<<3)>>3]));l=l+1.0/+(y|0)*p;k=k+p*(p*(1.0/+(_(y,y)|0)));j=j+1|0}while((j|0)!=(n|0));n=n+1|0}while((n|0)!=(b|0))}else{i=0;l=0.0;k=0.0}k=l/k;if(A){a=0;do{y=d+(a<<3)|0;h[y>>3]=k*+h[y>>3];a=a+1|0}while((a|0)!=(b|0));y=i}else y=i}else{Qo(z,b);k=r;y=0}o=_(b,b)|0;v=o<<2;a=zz(v)|0;w=zz(q)|0;if(A){i=0;do{c[w+(i<<2)>>2]=a+((_(i,b)|0)<<2);i=i+1|0}while((i|0)!=(b|0));a=zz(q)|0;p=+(b|0);n=0;l=0.0;do{i=c[B+(n<<2)>>2]|0;j=0;m=0.0;do{E=+(c[i+(j<<2)>>2]|0);E=E*E;l=l+E;m=m+E;j=j+1|0}while((j|0)!=(b|0));g[a+(n<<2)>>2]=m/p;n=n+1|0}while((n|0)!=(b|0));l=l/+(o|0);o=0;q=1;while(1){i=c[B+(o<<2)>>2]|0;j=a+(o<<2)|0;n=c[w+(o<<2)>>2]|0;s=0;do{E=+(c[i+(s<<2)>>2]|0);E=+g[a+(s<<2)>>2]+(+g[j>>2]-E*E)-l;g[n+(s<<2)>>2]=E;g[(c[w+(s<<2)>>2]|0)+(o<<2)>>2]=E;s=s+1|0}while((s|0)!=(q|0));o=o+1|0;if((o|0)==(b|0))break;else q=q+1|0}}else a=zz(q)|0;fQ(a);t=zz(8)|0;u=zz(x)|0;if(A){a=0;do{h[u+(a<<3)>>3]=+h[d+(a<<3)>>3];a=a+1|0}while((a|0)!=(b|0))}Qo(u,b);s=zz(x)|0;q=zz(x)|0;p=1.0-f;if(A){o=b+-1|0;n=(u|0)==0;a=0;while(1){if((a|0)<(b|0)){h[e+(a<<3)>>3]=+((MN()|0)%100|0|0);a=a+1|0;continue}if(!n)In(e,0,o,-+Hn(u,0,o,e),u);l=+Jn(e,0,o);if(l<1.0e-10)a=0;else break}Kn(e,0,o,1.0/l,e);while(1){Ln(q,0,o,e);j=0;do{a=c[w+(j<<2)>>2]|0;i=0;l=0.0;do{l=l+ +g[a+(i<<2)>>2]*+h[e+(i<<3)>>3];i=i+1|0}while((i|0)!=(b|0));h[s+(j<<3)>>3]=l;j=j+1|0}while((j|0)!=(b|0));if(!n)In(s,0,o,-+Hn(s,0,o,u),u);Ln(e,0,o,s);m=+Jn(e,0,o);if(m<1.0e-10){i=45;break}Kn(e,0,o,1.0/m,e);l=+Hn(e,0,o,q);if(!(+N(+l)<p)){i=44;break}}if((i|0)==44)h[t>>3]=m*l;else if((i|0)==45){a=(b|0)<1?b:1;i=0;do{j=0;do{h[e+(j<<3)>>3]=+((MN()|0)%100|0|0);j=j+1|0}while((j|0)!=(b|0));Kn(e,0,o,1.0/+Jn(e,0,o),e);h[t+(i<<3)>>3]=0.0;i=i+1|0}while((i|0)!=(a|0))}fQ(s);fQ(q);a=0;do{E=+O(+(+N(+(+h[t>>3]))));x=e+(a<<3)|0;h[x>>3]=E*+h[x>>3];a=a+1|0}while((a|0)!=(b|0))}else{fQ(s);fQ(q)}fQ(c[w>>2]|0);fQ(w);fQ(t);fQ(u);j=zz(v)|0;if(A){o=0;do{n=_(o,b)|0;c[C+(o<<2)>>2]=j+(n<<2);a=B+(o<<2)|0;l=0.0;i=0;do{if((i|0)!=(o|0)){E=+(c[(c[a>>2]|0)+(i<<2)>>2]|0);E=-1.0/(E*E);g[j+(n+i<<2)>>2]=E;l=l-E}i=i+1|0}while((i|0)!=(b|0));g[j+(n+o<<2)>>2]=l;o=o+1|0}while((o|0)!=(b|0))}if(y){n=1;do{m=+h[d+(n<<3)>>3];i=c[B+(n<<2)>>2]|0;o=0;do{j=i+(o<<2)|0;E=+(c[j>>2]|0);l=m-+h[d+(o<<3)>>3];l=E*E-l*l;if(l>0.0)a=~~+O(+l);else a=0;c[(c[B+(o<<2)>>2]|0)+(n<<2)>>2]=a;c[j>>2]=a;o=o+1|0}while((o|0)!=(n|0));n=n+1|0}while((n|0)!=(b|0))}if(A){n=0;do{p=+h[e+(n<<3)>>3];a=D+(n<<3)|0;h[a>>3]=0.0;i=B+(n<<2)|0;j=C+(n<<2)|0;l=0.0;o=0;do{do if((o|0)!=(n|0)){m=+(c[(c[i>>2]|0)+(o<<2)>>2]|0)*+g[(c[j>>2]|0)+(o<<2)>>2];if(!(p>=+h[e+(o<<3)>>3])){l=l+m;h[a>>3]=l;break}else{l=l+-m;h[a>>3]=l;break}}while(0);o=o+1|0}while((o|0)!=(b|0));n=n+1|0}while((n|0)!=(b|0))}q=A^1;s=0;while(1){a=am(C,e,D,b,f,b,1)|0;if((a|0)<0|q){i=88;break}else{a=1;o=0}do{p=+h[e+(o<<3)>>3];i=B+(o<<2)|0;j=C+(o<<2)|0;l=0.0;n=0;do{do if((n|0)!=(o|0)){m=+(c[(c[i>>2]|0)+(n<<2)>>2]|0)*+g[(c[j>>2]|0)+(n<<2)>>2];if(!(p>=+h[e+(n<<3)>>3])){l=l+m;break}else{l=l+-m;break}}while(0);n=n+1|0}while((n|0)!=(b|0));i=D+(o<<3)|0;E=+h[i>>3];if(l!=E?+N(+(1.0-l/E))>1.0e-05:0){h[i>>3]=l;a=0}o=o+1|0}while((o|0)!=(b|0));s=s+1|0;if(!(a<<24>>24==0&(s|0)<200)){i=74;break}}if((i|0)==74)if(A){a=0;do{A=d+(a<<3)|0;h[A>>3]=+h[A>>3]/k;A=e+(a<<3)|0;h[A>>3]=+h[A>>3]/k;a=a+1|0}while((a|0)!=(b|0));a=0}else a=0;else if((i|0)==88)a=a>>>31;fQ(c[B>>2]|0);fQ(B);fQ(c[C>>2]|0);fQ(C);fQ(z);fQ(D);return a|0}function Qo(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0;e=(b|0)>0;if(e){c=0.0;d=0;do{c=c+ +h[a+(d<<3)>>3];d=d+1|0}while((d|0)!=(b|0));c=c/+(b|0);if(e){d=0;do{e=a+(d<<3)|0;h[e>>3]=+h[e>>3]-c;d=d+1|0}while((d|0)!=(b|0))}}b=b+-1|0;Kn(a,0,b,1.0/+Jn(a,0,b),a);return}function Ro(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0.0,g=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;u=_(d,d)|0;v=zz(u<<3)|0;w=zz(d<<3)|0;s=(d|0)>0;if(s){e=0;do{h[w+(e<<3)>>3]=+h[c+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0))}t=(u|0)==0;if(!t){e=0;do{h[v+(e<<3)>>3]=+h[a+(e<<3)>>3];e=e+1|0}while((e|0)<(u|0))}r=d+-1|0;q=(d|0)>1;a:do if(q){j=0;e=0;while(1){i=(j|0)<(d|0);if(i){f=0.0;g=j}else{m=29;break a}do{l=+N(+(+h[a+((_(g,d)|0)+j<<3)>>3]));p=l<f;e=p?e:g;f=p?f:l;g=g+1|0}while((g|0)!=(d|0));p=e;if(f<1.0e-10){m=29;break a}if(i){e=_(p,d)|0;g=_(j,d)|0;i=j;do{n=a+(i+e<<3)|0;l=+h[n>>3];o=a+(i+g<<3)|0;h[n>>3]=+h[o>>3];h[o>>3]=l;i=i+1|0}while((i|0)!=(d|0))}o=c+(p<<3)|0;f=+h[o>>3];n=c+(j<<3)|0;h[o>>3]=+h[n>>3];h[n>>3]=f;o=j;j=j+1|0;b:do if((j|0)<(d|0)){k=_(o,d)|0;m=a+(k+o<<3)|0;e=j;while(1){i=_(e,d)|0;l=+h[a+(i+o<<3)>>3]/+h[m>>3];g=c+(e<<3)|0;h[g>>3]=+h[g>>3]-l*f;if(s){g=0;do{x=a+(g+i<<3)|0;h[x>>3]=+h[x>>3]-l*+h[a+(g+k<<3)>>3];g=g+1|0}while((g|0)!=(d|0))}e=e+1|0;if((e|0)==(d|0))break b;f=+h[n>>3]}}while(0);if((j|0)<(r|0))e=p;else{m=19;break}}}else m=19;while(0);if((m|0)==19){f=+h[a+(u+-1<<3)>>3];if(+N(+f)<1.0e-10)m=29;else{h[b+(r<<3)>>3]=+h[c+(r<<3)>>3]/f;if(q){k=0;do{e=d-k|0;g=e+-2|0;f=+h[c+(g<<3)>>3];i=b+(g<<3)|0;h[i>>3]=f;j=_(g,d)|0;e=e+-1|0;do{f=f-+h[a+(e+j<<3)>>3]*+h[b+(e<<3)>>3];h[i>>3]=f;e=e+1|0}while((e|0)<(d|0));h[i>>3]=f/+h[a+(j+g<<3)>>3];k=k+1|0}while((k|0)!=(r|0))}if(s){e=0;do{h[c+(e<<3)>>3]=+h[w+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0))}if(!t){e=0;do{h[a+(e<<3)>>3]=+h[v+(e<<3)>>3];e=e+1|0}while((e|0)<(u|0))}fQ(v);fQ(w)}}if((m|0)==29){BO(134771)|0;fQ(v);fQ(w)}return}function So(b,d){b=b|0;d=d|0;var e=0.0,f=0.0,g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;s=i;i=i+16|0;p=s;Dm();Jo();Wm();c[13047]=Sb[d&3]()|0;Zm();q=p+8|0;e=0.0;f=0.0;r=Sb[d&3]()|0;a:while(1){n=(r|0)==0;o=r+8|0;while(1){if(!(Sm()|0)){Tm(p);m=+h[p>>3];f=+h[q>>3]}else m=e;if(!n){if(Sm()|0){e=m;break}e=+h[o>>3];if(e<f){e=m;break}if(e==f?+h[r>>3]<m:0){e=m;break}}if(Sm()|0)break a;l=Um()|0;b=fn(l)|0;t=en(l)|0;g=en(t)|0;k=gn(l)|0;u=hn(t)|0;j=c[l+20>>2]|0;Mo(j);Gm(c[l+8>>2]|0,a[l+16>>0]|0,j);Gm(c[t+8>>2]|0,a[t+16>>0]|0,j);dn(l);Rm(t);dn(t);t=+h[k+8>>3]>+h[u+8>>3];l=t?u:k;u=Em(l,t?k:u)|0;k=_m(u,t&1)|0;bn(b,k);Gm(u,t&1^1,j);No(j);j=$m(b,k)|0;if(j){Rm(b);Qm(b,j,+Lo(j,l))}b=$m(k,g)|0;if(!b){e=m;continue}Qm(k,b,+Lo(b,l));e=m}b=cn(r)|0;k=en(b)|0;g=Em(hn(b)|0,r)|0;l=_m(g,0)|0;bn(b,l);j=$m(b,l)|0;if(j){Rm(b);Qm(b,j,+Lo(j,r))}g=_m(g,1)|0;bn(l,g);b=$m(g,k)|0;if(b)Qm(g,b,+Lo(b,r));r=Sb[d&3]()|0}b=en(c[12989]|0)|0;if((b|0)!=(c[12990]|0))do{Fm(c[b+8>>2]|0);b=en(b)|0}while((b|0)!=(c[12990]|0));i=s;return}function To(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;E=i;i=i+32|0;D=E+16|0;z=E+8|0;y=E;B=E+24|0;do if((vt(b)|0)==1){b=c[(c[(gu(b)|0)+16>>2]|0)+132>>2]|0;c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0}else{e=vt(b)|0;f=gu(b)|0;if(f){p=_(e,e)|0;do{o=f+16|0;e=c[(c[o>>2]|0)+112>>2]|0;w=e+24|0;c[w>>2]=p;c[w+4>>2]=0;h[e+48>>3]=10.0;e=ft(b,f)|0;a:do if(!e)x=12;else{j=0;while(1){m=c[e>>2]&3;l=c[((m|0)==3?e:e+48|0)+40>>2]|0;if((l|0)==(f|0))l=c[((m|0)==2?e:e+-48|0)+40>>2]|0;if((l|0)!=(f|0))if(j){if((j|0)!=(l|0))break}else j=l;e=gt(b,e,f)|0;if(!e){x=12;break a}}w=c[(c[o>>2]|0)+112>>2]|0;c[w>>2]=p;c[w+4>>2]=0}while(0);if((x|0)==12){x=0;w=c[(c[o>>2]|0)+112>>2]|0;c[w>>2]=0;c[w+4>>2]=0}f=hu(b,f)|0}while((f|0)!=0)}if(!d){w=(vt(b)|0)<3;d=gu(b)|0;if(!w){if(d)do{w=c[(c[d+16>>2]|0)+112>>2]|0;if((c[w>>2]|0)==0&(c[w+4>>2]|0)==0)Uo(b,d,0);d=hu(b,d)|0}while((d|0)!=0);e=gu(b)|0;if(!e)d=0;else{d=0;l=0;while(1){w=c[(c[e+16>>2]|0)+112>>2]|0;f=c[w>>2]|0;w=c[w+4>>2]|0;j=((l|0)<0)<<31>>31;j=w>>>0>j>>>0|(w|0)==(j|0)&f>>>0>l>>>0;d=j?e:d;e=hu(b,e)|0;if(!e)break;else l=j?f:l}}}}w=d+16|0;t=c[(c[w>>2]|0)+112>>2]|0;e=t+24|0;v=c[e>>2]|0;c[e>>2]=0;c[e+4>>2]=0;c[t+32>>2]=0;t=Is(b,2,142776,0)|0;e=yz(8)|0;c[e>>2]=d;b:do if(e){u=(t|0)==0;j=e;l=e;f=e;while(1){s=c[j>>2]|0;e=c[j+4>>2]|0;fQ(l);if(!s)break b;f=(e|0)==0?0:f;r=s+16|0;j=c[(c[(c[r>>2]|0)+112>>2]|0)+24>>2]|0;l=ft(b,s)|0;if(l){p=mQ(0,j|0,0,1)|0;p=oQ(p|0,C|0,32)|0;q=C;o=l;do{if(!((!u?(a[(Rs(o,t)|0)>>0]|0)==48:0)?(aP(Rs(o,t)|0,179560)|0)==0:0))x=32;do if((x|0)==32){x=0;j=c[o>>2]&3;l=c[((j|0)==3?o:o+48|0)+40>>2]|0;if((l|0)==(s|0))l=c[((j|0)==2?o:o+-48|0)+40>>2]|0;j=c[(c[l+16>>2]|0)+112>>2]|0;m=j+24|0;F=m;G=c[F+4>>2]|0;if(q>>>0<G>>>0|((q|0)==(G|0)?p>>>0<(c[F>>2]|0)>>>0:0)){G=m;c[G>>2]=p;c[G+4>>2]=q;c[j+32>>2]=s;j=(c[(c[r>>2]|0)+112>>2]|0)+16|0;G=j;G=mQ(c[G>>2]|0,c[G+4>>2]|0,1,0)|0;c[j>>2]=G;c[j+4>>2]=C;j=yz(8)|0;c[j>>2]=l;if(!f){f=j;e=j;break}else{c[f+4>>2]=j;f=j;break}}}while(0);o=gt(b,o,s)|0}while((o|0)!=0)}if(!e)break;else{j=e;l=e}}}while(0);f=gu(b)|0;c:do if(!f)o=0;else{m=oQ(0,v|0,32)|0;o=C;e=0;while(1){l=(c[(c[f+16>>2]|0)+112>>2]|0)+24|0;j=c[l>>2]|0;l=c[l+4>>2]|0;if((j|0)==(m|0)&(l|0)==(o|0)){o=-1;break c}G=((e|0)<0)<<31>>31;e=l>>>0>G>>>0|(l|0)==(G|0)&j>>>0>e>>>0?j:e;f=hu(b,f)|0;if(!f){o=e;break}}}while(0);if(a[142275]|0){G=c[24809]|0;c[y>>2]=Ft(d)|0;c[y+4>>2]=o;pO(G,134787,y)|0}if((o|0)<0){us(1,134821,z)|0;break}e=gu(b)|0;if(e)do{f=e+16|0;j=c[(c[f>>2]|0)+112>>2]|0;G=j+16|0;if((c[G>>2]|0)==0&(c[G+4>>2]|0)==0?(A=j+8|0,G=A,G=mQ(c[G>>2]|0,c[G+4>>2]|0,1,0)|0,A,c[A>>2]=G,c[A+4>>2]=C,A=c[(c[(c[f>>2]|0)+112>>2]|0)+32>>2]|0,(A|0)!=0):0){f=A;do{G=f+16|0;F=(c[(c[G>>2]|0)+112>>2]|0)+8|0;z=F;z=mQ(c[z>>2]|0,c[z+4>>2]|0,1,0)|0;c[F>>2]=z;c[F+4>>2]=C;f=c[(c[(c[G>>2]|0)+112>>2]|0)+32>>2]|0}while((f|0)!=0)}e=hu(b,e)|0}while((e|0)!=0);h[(c[(c[w>>2]|0)+112>>2]|0)+40>>3]=6.283185307179586;Vo(b,d);h[(c[(c[w>>2]|0)+112>>2]|0)+48>>3]=0.0;Wo(b,d);m=yz((o<<3)+8|0)|0;e=oC(b,Is(c[b+60>>2]|0,0,142491,0)|0,0)|0;d:do if(e)if((o|0)<1){k=0.0;e=1;g=0.0}else{n=0.0;l=1;g=0.0;while(1){k=+QO(e,B);if(!(k>0.0)){k=n;e=l;break d}k=k>.02?k:.02;g=g+k;j=l+1|0;h[m+(l<<3)>>3]=g;e=c[B>>2]|0;f=a[e>>0]|0;e:do if(f<<24>>24)do{if(!(f<<24>>24==58|(KM(f<<24>>24)|0)!=0))break e;e=e+1|0;f=a[e>>0]|0}while(f<<24>>24!=0);while(0);if((l|0)<(o|0)){n=k;l=j}else{e=j;break}}}else{k=1.0;e=1;g=0.0}while(0);if((e|0)<=(o|0))while(1){g=k+g;h[m+(e<<3)>>3]=g;if((e|0)>=(o|0))break;else e=e+1|0}if(a[142275]|0){e=c[24809]|0;AO(134877,18,1,e)|0;f=0;while(1){h[D>>3]=+h[m+(f<<3)>>3];pO(e,134896,D)|0;if((f|0)==(o|0))break;else f=f+1|0}qO(10,e)|0}e=gu(b)|0;if(e)do{G=c[e+16>>2]|0;F=c[G+112>>2]|0;n=+h[m+(c[F+24>>2]<<3)>>3];F=F+48|0;k=n*+Q(+(+h[F>>3]));G=c[G+132>>2]|0;h[G>>3]=k;h[G+8>>3]=n*+R(+(+h[F>>3]));e=hu(b,e)|0}while((e|0)!=0);fQ(m)}while(0);i=E;return d|0}function Uo(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=c[c[(c[b+16>>2]|0)+112>>2]>>2]|0;f=ft(a,b)|0;if(f){h=mQ(0,e|0,0,1)|0;h=oQ(h|0,C|0,32)|0;i=C;do{g=c[f>>2]&3;e=c[((g|0)==3?f:f+48|0)+40>>2]|0;if((e|0)==(b|0))e=c[((g|0)==2?f:f+-48|0)+40>>2]|0;if((e|0)!=(d|0)?(j=c[(c[e+16>>2]|0)+112>>2]|0,g=j,k=c[g+4>>2]|0,i>>>0<k>>>0|((i|0)==(k|0)?h>>>0<(c[g>>2]|0)>>>0:0)):0){k=j;c[k>>2]=h;c[k+4>>2]=i;Uo(a,e,b)}f=gt(a,f,b)|0}while((f|0)!=0)}return}function Vo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0;f=c[(c[b+16>>2]|0)+112>>2]|0;d=f+8|0;g=+h[f+40>>3]/(+((c[d>>2]|0)>>>0)+4294967296.0*+((c[d+4>>2]|0)>>>0));d=ft(a,b)|0;if(d)do{e=c[d>>2]&3;f=c[((e|0)==3?d:d+48|0)+40>>2]|0;if((f|0)==(b|0))f=c[((e|0)==2?d:d+-48|0)+40>>2]|0;e=c[(c[f+16>>2]|0)+112>>2]|0;if(((c[e+32>>2]|0)==(b|0)?(i=e+40|0,!(+h[i>>3]!=0.0)):0)?(j=e+8|0,h[i>>3]=g*(+((c[j>>2]|0)>>>0)+4294967296.0*+((c[j+4>>2]|0)>>>0)),e=e+16|0,!((c[e>>2]|0)==0&(c[e+4>>2]|0)==0)):0)Vo(a,f);d=gt(a,d,b)|0}while((d|0)!=0);return}function Wo(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0;d=c[(c[b+16>>2]|0)+112>>2]|0;if(!(c[d+32>>2]|0))e=0.0;else e=+h[d+48>>3]-+h[d+40>>3]*.5;d=ft(a,b)|0;if(d)do{f=c[d>>2]&3;g=c[((f|0)==3?d:d+48|0)+40>>2]|0;if((g|0)==(b|0))g=c[((f|0)==2?d:d+-48|0)+40>>2]|0;f=c[(c[g+16>>2]|0)+112>>2]|0;if((c[f+32>>2]|0)==(b|0)?(i=f+48|0,!(+h[i>>3]!=10.0)):0){j=+h[f+40>>3];h[i>>3]=e+j*.5;e=e+j;f=f+16|0;if(!((c[f>>2]|0)==0&(c[f+4>>2]|0)==0))Wo(a,g)}d=gt(a,d,b)|0}while((d|0)!=0);return}function Xo(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0;b=i;i=i+32|0;e=b;d=Is(a,1,134904,0)|0;g=Is(a,0,134904,0)|0;a=Yo(a,g,d,Is(a,0,134909,0)|0)|0;d=a+16|0;f=+O(+(+h[a>>3]+.1));cp(e,0.0,0.0,f,f);c[d>>2]=c[e>>2];c[d+4>>2]=c[e+4>>2];c[d+8>>2]=c[e+8>>2];c[d+12>>2]=c[e+12>>2];c[d+16>>2]=c[e+16>>2];c[d+20>>2]=c[e+20>>2];c[d+24>>2]=c[e+24>>2];c[d+28>>2]=c[e+28>>2];Zo(a);_o(a);$o(a);i=b;return}function Yo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=yz(72)|0;c[q+60>>2]=0;p=q+56|0;c[p>>2]=a;o=a+16|0;i=c[o>>2]|0;if((c[i+180>>2]|0)<1){f=0.0;k=0;i=0;l=0}else{f=0.0;k=0;m=1;j=0;n=0;while(1){l=Yo(c[(c[i+184>>2]|0)+(m<<2)>>2]|0,b,d,e)|0;j=j+1|0;f=f+ +h[l>>3];k=(k|0)==0?l:k;if(n)c[n+52>>2]=l;i=c[o>>2]|0;if((m|0)>=(c[i+180>>2]|0)){i=j;break}else{m=m+1|0;n=l}}}j=gu(a)|0;if(!j)j=k;else{m=k;while(1){k=j+16|0;if(!(c[c[(c[k>>2]|0)+112>>2]>>2]|0)){n=yz(72)|0;g=+mC(j,d,1.0,0.0);g=g==0.0?1.0e3:g*1.0e3;h[n>>3]=g;c[n+60>>2]=1;c[n+56>>2]=j;if(l)c[l+52>>2]=n;c[c[(c[k>>2]|0)+112>>2]>>2]=a;f=f+g;m=(m|0)==0?n:m;i=i+1|0;k=n}else k=l;j=hu(a,j)|0;if(!j){j=m;break}else l=k}}c[q+64>>2]=i;if(!i){g=+mC(a,b,1.0,0.0);h[q>>3]=g==0.0?1.0e3:g*1.0e3}else{b=q+8|0;h[b>>3]=f;g=+mC(c[p>>2]|0,e,0.0,0.0);f=+h[b>>3];if(!(g==0.0)){f=g*2.0+ +O(+f);f=f*f}h[q>>3]=f}c[q+48>>2]=j;return q|0}function Zo(b){b=b|0;var d=0,e=0,f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0;r=i;i=i+176|0;k=r+144|0;p=r+64|0;m=r;g=r+32|0;q=c[b+64>>2]|0;do if(q){n=yz(q<<2)|0;d=b+48|0;o=(q|0)>0;if(o){e=d;f=0;while(1){e=c[e>>2]|0;c[n+(f<<2)>>2]=e;f=f+1|0;if((f|0)==(q|0))break;else e=e+52|0}}PO(n,q,4,81);l=yz(q<<3)|0;if(o){e=0;do{h[l+(e<<3)>>3]=+h[c[n+(e<<2)>>2]>>3];e=e+1|0}while((e|0)!=(q|0))}j=+h[b+8>>3];if(+h[b>>3]==j){g=b+16|0;c[k>>2]=c[g>>2];c[k+4>>2]=c[g+4>>2];c[k+8>>2]=c[g+8>>2];c[k+12>>2]=c[g+12>>2];c[k+16>>2]=c[g+16>>2];c[k+20>>2]=c[g+20>>2];c[k+24>>2]=c[g+24>>2];c[k+28>>2]=c[g+28>>2];k=bp(q,l,k)|0}else{s=+h[b+40>>3];t=+h[b+32>>3];h[g>>3]=+h[b+16>>3];h[g+8>>3]=+h[b+24>>3];u=s-t;j=(s+t-+O(+(u*u+j*4.0)))*.5;h[g+16>>3]=t-j;h[g+24>>3]=s-j;c[k>>2]=c[g>>2];c[k+4>>2]=c[g+4>>2];c[k+8>>2]=c[g+8>>2];c[k+12>>2]=c[g+12>>2];c[k+16>>2]=c[g+16>>2];c[k+20>>2]=c[g+20>>2];c[k+24>>2]=c[g+24>>2];c[k+28>>2]=c[g+28>>2];k=bp(q,l,k)|0}if(a[142275]|0){g=c[24809]|0;s=+h[b+24>>3];t=+h[b+32>>3];u=+h[b+40>>3];h[m>>3]=+h[b+16>>3];h[m+8>>3]=s;h[m+16>>3]=t;h[m+24>>3]=u;pO(g,134956,m)|0}if(!o){fQ(n);fQ(l);fQ(k);break}e=c[24809]|0;g=0;do{m=(c[n+(g<<2)>>2]|0)+16|0;f=k+(g<<5)|0;c[m>>2]=c[f>>2];c[m+4>>2]=c[f+4>>2];c[m+8>>2]=c[f+8>>2];c[m+12>>2]=c[f+12>>2];c[m+16>>2]=c[f+16>>2];c[m+20>>2]=c[f+20>>2];c[m+24>>2]=c[f+24>>2];c[m+28>>2]=c[f+28>>2];if(a[142275]|0){j=+h[f>>3];t=+h[k+(g<<5)+16>>3];w=t*.5;s=+h[k+(g<<5)+8>>3];u=+h[k+(g<<5)+24>>3];v=u*.5;h[p>>3]=+h[l+(g<<3)>>3];h[p+8>>3]=j-w;h[p+16>>3]=s-v;h[p+24>>3]=j+w;h[p+32>>3]=s+v;h[p+40>>3]=t*u;h[p+48>>3]=j;h[p+56>>3]=s;h[p+64>>3]=t;h[p+72>>3]=u;pO(e,134973,p)|0}g=g+1|0}while((g|0)!=(q|0));fQ(n);fQ(l);fQ(k);if(o){e=0;while(1){d=c[d>>2]|0;if(!(c[d+60>>2]|0))Zo(d);e=e+1|0;if((e|0)==(q|0))break;else d=d+52|0}}}while(0);i=r;return}function _o(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0;l=i;i=i+96|0;k=l+8|0;j=l;g=l+48|0;if(c[b+60>>2]|0){o=+h[b+24>>3];n=+h[b+32>>3];m=+h[b+40>>3];e=c[b+56>>2]|0;f=e+16|0;d=c[f>>2]|0;h[d+16>>3]=+h[b+16>>3];h[d+24>>3]=o;d=c[f>>2]|0;h[d+32>>3]=n/72.0;h[d+40>>3]=m/72.0;aD(e,c[(c[(xu(e)|0)+16>>2]|0)+116>>2]&1);d=c[13912]|0;if((d|0)!=0?(a[(Rs(e,d)|0)>>0]|0)==0:0){h[j>>3]=+h[(c[f>>2]|0)+80>>3]*.7;DO(g,134915,j)|0;Ts(e,c[13912]|0,g)|0}EC(e);if(a[142275]|0){b=c[24809]|0;j=Ft(e)|0;g=c[f>>2]|0;p=+h[g+16>>3];m=+h[g+24>>3];n=+h[g+80>>3];o=+h[g+88>>3]+ +h[g+96>>3];c[k>>2]=j;h[k+8>>3]=p;h[k+16>>3]=m;h[k+24>>3]=n;h[k+32>>3]=o;pO(b,134921,k)|0}}else{d=c[b+48>>2]|0;if(d)do{_o(d);d=c[d+52>>2]|0}while((d|0)!=0);m=+h[b+32>>3];o=+h[b+40>>3];n=+h[b+16>>3]-m*.5;p=+h[b+24>>3]-o*.5;b=c[(c[b+56>>2]|0)+16>>2]|0;h[b+16>>3]=n;h[b+24>>3]=p;h[b+32>>3]=m+n;h[b+40>>3]=o+p}i=l;return}function $o(a){a=a|0;var b=0,d=0,e=0;d=c[a+64>>2]|0;if((d|0)>0){b=a+48|0;e=0;while(1){b=c[b>>2]|0;$o(b);e=e+1|0;if((e|0)==(d|0))break;else b=b+52|0}}fQ(a);return}function ap(a,b){a=a|0;b=b|0;var d=0.0;d=+h[c[a>>2]>>3]-+h[c[b>>2]>>3];return (d<0.0?1:(d>0.0)<<31>>31)|0}function bp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0,j=0;j=i;i=i+32|0;g=j;if((a|0)>0){e=0;f=0.0;do{f=f+ +h[b+(e<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}else f=0.0;if(f>+h[d+16>>3]*+h[d+24>>3]+.001)e=0;else{e=yz(a<<5)|0;c[g>>2]=c[d>>2];c[g+4>>2]=c[d+4>>2];c[g+8>>2]=c[d+8>>2];c[g+12>>2]=c[d+12>>2];c[g+16>>2]=c[d+16>>2];c[g+20>>2]=c[d+20>>2];c[g+24>>2]=c[d+24>>2];c[g+28>>2]=c[d+28>>2];dp(a,b,e,0,0.0,1.0,0.0,1.0,g)}i=j;return e|0}function cp(a,b,c,d,e){a=a|0;b=+b;c=+c;d=+d;e=+e;h[a>>3]=b;h[a+8>>3]=c;h[a+16>>3]=d;h[a+24>>3]=e;return}function dp(b,d,e,f,g,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;k=+k;l=+l;m=m|0;var n=0,o=0.0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0;A=i;i=i+112|0;z=A+72|0;v=A+40|0;r=A+32|0;n=A;x=m+16|0;p=+h[x>>3];y=m+24|0;t=+h[y>>3];w=p<t?p:t;do if((b|0)>=1){if(a[142275]|0){B=c[24809]|0;C=+h[m+8>>3];h[n>>3]=+h[m>>3];h[n+8>>3]=p;h[n+16>>3]=C;h[n+24>>3]=t;pO(B,135010,n)|0;c[r>>2]=f;pO(B,135056,r)|0}if(!f){k=+h[d>>3];C=w*w;w=k/C;C=C/k;c[z>>2]=c[m>>2];c[z+4>>2]=c[m+4>>2];c[z+8>>2]=c[m+8>>2];c[z+12>>2]=c[m+12>>2];c[z+16>>2]=c[m+16>>2];c[z+20>>2]=c[m+20>>2];c[z+24>>2]=c[m+24>>2];c[z+28>>2]=c[m+28>>2];dp(b,d,e,1,k,k,k,w>C?w:C,z);break}if((b|0)>(f|0)?(s=+h[d+(f<<3)>>3],u=s<g?g:s,q=s>j?j:s,s=s+k,o=s/w,C=o/(q/o),o=u/o/o,o=C>o?C:o,o<=l):0){c[z>>2]=c[m>>2];c[z+4>>2]=c[m+4>>2];c[z+8>>2]=c[m+8>>2];c[z+12>>2]=c[m+12>>2];c[z+16>>2]=c[m+16>>2];c[z+20>>2]=c[m+20>>2];c[z+24>>2]=c[m+24>>2];c[z+28>>2]=c[m+28>>2];dp(b,d,e,f+1|0,u,q,s,o,z);break}if(!(a[142275]|0))s=k/w;else{B=c[24809]|0;s=k/w;c[v>>2]=f;h[v+8>>3]=k;h[v+16>>3]=w;h[v+24>>3]=s;pO(B,135081,v)|0}q=+h[x>>3];n=(f|0)>0;if(w==q){if(n){n=m+8|0;o=s*.5;r=0;q=+h[m>>3]-q*.5;while(1){h[e+(r<<5)+24>>3]=s;p=+h[d+(r<<3)>>3]/s;h[e+(r<<5)+16>>3]=p;h[e+(r<<5)+8>>3]=+h[n>>3]+ +h[y>>3]*.5-o;h[e+(r<<5)>>3]=q+p*.5;r=r+1|0;if((r|0)==(f|0))break;else q=q+p}}else{o=s*.5;n=m+8|0}h[n>>3]=+h[n>>3]-o;h[y>>3]=+h[y>>3]-s}else{if(n){p=s*.5;n=0;q=+h[m+8>>3]+ +h[y>>3]*.5;while(1){h[e+(n<<5)+16>>3]=s;o=+h[d+(n<<3)>>3]/s;h[e+(n<<5)+24>>3]=o;h[e+(n<<5)>>3]=p+(+h[m>>3]-+h[x>>3]*.5);h[e+(n<<5)+8>>3]=q-o*.5;n=n+1|0;if((n|0)==(f|0))break;else q=q-o}n=m;o=+h[x>>3]}else{p=s*.5;n=m;o=q}h[n>>3]=p+ +h[n>>3];h[x>>3]=o-s}c[z>>2]=c[m>>2];c[z+4>>2]=c[m+4>>2];c[z+8>>2]=c[m+8>>2];c[z+12>>2]=c[m+12>>2];c[z+16>>2]=c[m+16>>2];c[z+20>>2]=c[m+20>>2];c[z+24>>2]=c[m+24>>2];c[z+28>>2]=c[m+28>>2];dp(b-f|0,d+(f<<3)|0,e+(f<<5)|0,0,0.0,0.0,0.0,1.0,z)}while(0);i=A;return}function ep(d,e,f){d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;K=i;i=i+96|0;J=K+48|0;I=K+24|0;H=K+16|0;G=K+8|0;F=K+80|0;B=K;f=gu(d)|0;if(f){C=d+16|0;D=e+4|0;E=F+4|0;k=0;A=f;j=0;f=0;do{l=at(d,A)|0;if(l)do{n=c[l>>2]&3;v=c[((n|0)==2?l:l+-48|0)+40>>2]|0;m=(b[(c[l+16>>2]|0)+168>>1]|0)==0;do if((A|0)==(v|0)){if(!m){if(!k){k=yz(96)|0;c[k+84>>2]=yz(((vt(d)|0)<<5)+11520|0)|0}qj(k,l,c[(c[C>>2]|0)+248>>2]|0)}}else if(!m){w=c[((n|0)==3?l:l+48|0)+40>>2]|0;z=v+16|0;n=c[(c[z>>2]|0)+212>>2]|0;t=w+16|0;x=c[(c[t>>2]|0)+212>>2]|0;j=yz(12)|0;m=x;q=n;if(!(a[(c[z>>2]|0)+118>>0]|0))u=n;else{q=c[(c[(c[q+16>>2]|0)+140>>2]|0)+48>>2]|0;u=q;v=n}if(!(a[(c[t>>2]|0)+118>>0]|0))z=x;else{m=c[(c[(c[m+16>>2]|0)+140>>2]|0)+48>>2]|0;z=m;w=x}x=c[(c[(c[u+16>>2]|0)+140>>2]|0)+44>>2]|0;y=c[(c[(c[z+16>>2]|0)+140>>2]|0)+44>>2]|0;if((x|0)<=(y|0))if((y|0)>(x|0)){fp(j,m,w,0,e);q=y+-1|0;n=(c[(c[m+16>>2]|0)+140>>2]|0)+48|0;if((q|0)>(x|0)){t=m;while(1){m=c[n>>2]|0;fp(j,m,t,0,e);q=q+-1|0;n=(c[(c[m+16>>2]|0)+140>>2]|0)+48|0;if((q|0)<=(x|0))break;else t=m}}t=c[n>>2]|0;q=v}else{t=z;q=v;m=w}else{fp(j,q,v,0,e);n=x+-1|0;m=(c[(c[q+16>>2]|0)+140>>2]|0)+48|0;if((n|0)>(y|0)){t=q;while(1){q=c[m>>2]|0;fp(j,q,t,0,e);n=n+-1|0;m=(c[(c[q+16>>2]|0)+140>>2]|0)+48|0;if((n|0)<=(y|0))break;else t=q}}u=c[m>>2]|0;t=z;m=w}n=u;if((n|0)!=(t|0))do{fp(j,n,0,q,e);n=t;fp(j,n,m,0,e);q=u;u=c[(c[(c[u+16>>2]|0)+140>>2]|0)+48>>2]|0;m=t;t=c[(c[(c[n+16>>2]|0)+140>>2]|0)+48>>2]|0;n=u}while((n|0)!=(t|0));fp(j,n,m,q,e);m=j+8|0;if(!(zn(c[m>>2]|0,c[j>>2]|0)|0)){if(f)break;Kl(F,d);f=Ax(d,8,8)|0;us(0,135218,H)|0;p=+(f|0);r=+g[e>>2];s=+g[D>>2];if(!(!(p<=r)&!(p<=s))){c[I>>2]=f;h[I+8>>3]=r;h[I+16>>3]=s;us(3,135284,I)|0;f=1;break}o=+g[F>>2];p=+g[E>>2];if(!(o<=r)&!(p<=s)){f=1;break}h[J>>3]=o;h[J+8>>3]=p;h[J+16>>3]=r;h[J+24>>3]=s;us(3,135334,J)|0;f=1;break}else{n=hI(c[m>>2]|0,c[j>>2]|0)|0;if(!n){us(0,135134,G)|0;f=1;break}if(l){q=l;do{z=q+16|0;y=(c[z>>2]|0)+144|0;sj(B,q,n,0,c[m>>2]|0,c[j>>2]|0);w=B;x=c[w+4>>2]|0;c[y>>2]=c[w>>2];c[y+4>>2]=x;tj(d,q,c[m>>2]|0,c[j>>2]|0,0);q=c[(c[z>>2]|0)+172>>2]|0}while((q|0)!=0)}c[j>>2]=0;break}}while(0);l=ct(d,l)|0}while((l|0)!=0);A=hu(d,A)|0}while((A|0)!=0);if(j){fQ(c[j+8>>2]|0);fQ(j)}if(k){fQ(c[k+84>>2]|0);fQ(k)}}else f=0;i=K;return f|0}function fp(b,d,e,f,i){b=b|0;d=d|0;e=e|0;f=f|0;i=i|0;var j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0;j=gu(d)|0;if(j)do{v=c[j+16>>2]|0;if(!((j|0)==(f|0)|((j|0)==(e|0)?1:(c[v+212>>2]|0)!=(d|0)))?(a[v+118>>0]|0)==0:0)gp(b,rj(j,i,0)|0);j=hu(d,j)|0}while((j|0)!=0);t=d+16|0;j=c[t>>2]|0;if((c[j+180>>2]|0)>=1){u=i+8|0;v=i+4|0;s=1;while(1){d=c[(c[j+184>>2]|0)+(s<<2)>>2]|0;if(!((d|0)==(e|0)|(d|0)==(f|0))){r=yz(8)|0;j=c[d+16>>2]|0;k=+h[j+16>>3];p=+h[j+24>>3];q=+h[j+32>>3];n=+h[j+40>>3];c[r+4>>2]=4;j=yz(64)|0;c[r>>2]=j;l=+g[i>>2];m=+g[v>>2];if(!(a[u>>0]|0)){x=l;y=m;w=(k+q)*.5*(x+-1.0);l=(p+n)*.5*(y+-1.0);o=k*x-w;m=n*y-l;l=p*y-l;k=q*x-w}else{y=l;l=m;o=k-y;m=n+l;l=p-l;k=q+y}h[j>>3]=o;h[j+8>>3]=l;h[j+16>>3]=o;h[j+24>>3]=m;h[j+32>>3]=k;h[j+40>>3]=m;h[j+48>>3]=k;h[j+56>>3]=l;gp(b,r);j=c[t>>2]|0}if((s|0)<(c[j+180>>2]|0))s=s+1|0;else break}}return}function gp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;e=a+4|0;f=c[e>>2]|0;g=a+8|0;d=c[g>>2]|0;do if((f|0)==(c[a>>2]|0))if(!d){d=zz(400)|0;c[g>>2]=d;c[e>>2]=100;break}else{c[e>>2]=f<<1;d=Bz(d,f<<3)|0;c[g>>2]=d;break}while(0);g=c[a>>2]|0;c[a>>2]=g+1;c[d+(g<<2)>>2]=b;return}function hp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;o=i;i=i+160|0;m=o+16|0;k=o+8|0;f=o;l=o+24|0;n=yz(vt(b)|0)|0;g=b+16|0;h=c[c[(c[g>>2]|0)+140>>2]>>2]|0;if(h){p=Ft(b)|0;j=c[13052]|0;c[f>>2]=p;c[f+4>>2]=j;DO(l,135394,f)|0;f=rv(b,l,1)|0;Ou(f,178510,280,1)|0;j=yz(56)|0;c[(c[f+16>>2]|0)+140>>2]=j;c[j>>2]=h;c[j+4>>2]=c[(c[(c[g>>2]|0)+140>>2]|0)+4>>2];g=c[h+4>>2]|0;if(!g)g=1;else while(1){if(!(a[n+(c[(c[g+16>>2]|0)+120>>2]|0)>>0]|0))ip(b,g,f,n);g=c[h+20>>2]|0;if(!g){g=1;break}else h=h+16|0}}else{g=0;f=0}h=gu(b)|0;if(!h)j=0;else{j=0;do{p=c[h+16>>2]|0;if((a[n+(c[p+120>>2]|0)>>0]|0)==0?(a[p+119>>0]|0)==3:0){if(!f){p=Ft(b)|0;f=(c[13052]|0)+g|0;c[k>>2]=p;c[k+4>>2]=f;DO(l,135394,k)|0;f=rv(b,l,1)|0;Ou(f,178510,280,1)|0;p=yz(56)|0;c[(c[f+16>>2]|0)+140>>2]=p;g=g+1|0}ip(b,h,f,n);j=1}h=hu(b,h)|0}while((h|0)!=0)}if(f)hx(f)|0;f=gu(b)|0;if(f)do{if(!(a[n+(c[(c[f+16>>2]|0)+120>>2]|0)>>0]|0)){k=Ft(b)|0;p=(c[13052]|0)+g|0;c[m>>2]=k;c[m+4>>2]=p;DO(l,135402,m)|0;p=rv(b,l,1)|0;Ou(p,178510,280,1)|0;k=yz(56)|0;c[(c[p+16>>2]|0)+140>>2]=k;ip(b,f,p,n);hx(p)|0;g=g+1|0}f=hu(b,f)|0}while((f|0)!=0);fQ(n);c[13052]=(c[13052]|0)+g;if(d)c[d>>2]=g;if(e)c[e>>2]=j;k=yz((g<<2)+4|0)|0;f=sv(b)|0;if(!f)f=k;else{h=k;j=f;while(1){f=h+4|0;c[h>>2]=j;g=g+-1|0;j=tv(j)|0;if(!j)break;else h=f}}if(!g){c[f>>2]=0;i=o;return k|0}else Na(135410,135421,134,135428);return 0}function ip(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a[f+(c[(c[d+16>>2]|0)+120>>2]|0)>>0]=1;lu(e,d,1)|0;g=ft(b,d)|0;if(g)do{i=c[g>>2]&3;h=c[((i|0)==3?g:g+48|0)+40>>2]|0;if((h|0)==(d|0))h=c[((i|0)==2?g:g+-48|0)+40>>2]|0;if(!(a[f+(c[(c[h+16>>2]|0)+120>>2]|0)>>0]|0))ip(b,h,e,f);g=gt(b,g,d)|0}while((g|0)!=0);return}function jp(a){a=a|0;var b=0,d=0,e=0;b=zz(24)|0;c[13053]=b;c[b>>2]=hs(52216,c[13094]|0)|0;c[b+16>>2]=0;c[b+12>>2]=0;d=zz(16)|0;c[d+12>>2]=0;e=zz(a*20|0)|0;c[d>>2]=e;c[d+8>>2]=e+(a*20|0);c[d+4>>2]=e;c[b+4>>2]=d;return b|0}function kp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;f=a+12|0;d=c[f>>2]|0;if((d|0)<(b|0)){e=d<<1;e=(e|0)<(b|0)?b:e;d=a+16|0;b=c[d>>2]|0;if(b)fQ(b);c[d>>2]=zz(e<<3)|0;c[f>>2]=e}return}function lp(a){a=a|0;var b=0;b=c[a>>2]|0;Jb[c[b>>2]&63](b,0,64)|0;c[a+20>>2]=c[a+16>>2];b=c[a+4>>2]|0;c[a+8>>2]=b;c[b+4>>2]=c[b>>2];return}function mp(a){a=a|0;var b=0,d=0;ds(c[a>>2]|0)|0;b=c[a+4>>2]|0;if(b)do{d=b;b=c[b+12>>2]|0;fQ(c[d>>2]|0);fQ(d)}while((b|0)!=0);fQ(c[a+16>>2]|0);fQ(a);return}function np(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;h=i;i=i+32|0;g=h;j=h+12|0;c[j>>2]=b;c[j+4>>2]=e;k=c[a>>2]|0;j=(Jb[c[k>>2]&63](k,j,1)|0)+8|0;k=c[j>>2]|0;l=a+20|0;a=c[l>>2]|0;c[l>>2]=a+8;c[a>>2]=f;c[a+4>>2]=k;c[j>>2]=a;if((d[142275]|0)>2){l=c[24809]|0;k=Ft(f)|0;c[g>>2]=b;c[g+4>>2]=e;c[g+8>>2]=k;pO(l,135438,g)|0}i=h;return}function op(a,b){a=a|0;b=b|0;os(c[a>>2]|0,b,a)|0;return}function pp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+32|0;f=e;c[f>>2]=b;c[f+4>>2]=d;d=c[a>>2]|0;d=Jb[c[d>>2]&63](d,f,4)|0;i=e;return d|0}function qp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;g=(c[13053]|0)+8|0;a=c[g>>2]|0;d=c[a+4>>2]|0;if((d|0)==(c[a+8>>2]|0)){e=a+12|0;f=c[e>>2]|0;if(!f){d=(d-(c[a>>2]|0)|0)/20|0;a=zz(16)|0;c[a+12>>2]=0;f=zz(d*40|0)|0;c[a>>2]=f;c[a+8>>2]=f+((d<<1)*20|0);c[a+4>>2]=f;c[e>>2]=a}else a=f;c[g>>2]=a;d=c[a>>2]|0;c[a+4>>2]=d}c[a+4>>2]=d+20;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=0;return d|0}function rp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;a=c[b>>2]|0;e=c[d>>2]|0;if((a|0)==(e|0))a=(c[b+4>>2]|0)-(c[d+4>>2]|0)|0;else a=a-e|0;return a|0}function sp(a){a=a|0;fQ(c[a+8>>2]|0);fQ(a);return}function tp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;b=c[b>>2]|0;if((b|0)>=(c[d>>2]|0)){b=b+10|0;c[d>>2]=b;c[e>>2]=Bz(c[e>>2]|0,_(a<<3,b)|0)|0;c[f>>2]=Bz(c[f>>2]|0,c[d>>2]<<3)|0;c[g>>2]=Bz(c[g>>2]|0,c[d>>2]<<3)|0}return}function up(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0;h[l>>3]=+h[l>>3]+1.0;a:do if(a){t=c[a+16>>2]|0;n=c[a+40>>2]|0;if(n){s=(t|0)>0;do{tp(t,f,g,i,j,k);if((~~+h[(kr(n)|0)+16>>3]|0)!=(e|0)){o=c[(kr(n)|0)+8>>2]|0;if(s){p=_(c[f>>2]|0,t)|0;q=c[i>>2]|0;r=0;do{h[q+(p+r<<3)>>3]=+h[o+(r<<3)>>3];r=r+1|0}while((r|0)!=(t|0))}u=+h[(kr(n)|0)>>3];h[(c[j>>2]|0)+(c[f>>2]<<3)>>3]=u;u=+mq(d,o,t);r=c[f>>2]|0;h[(c[k>>2]|0)+(r<<3)>>3]=u;c[f>>2]=r+1}n=lr(n)|0}while((n|0)!=0)}p=a+36|0;if(c[p>>2]|0){u=+mq(c[a+20>>2]|0,d,t);if(!(+h[a+24>>3]<u*b)){o=1<<t;if((t|0)==31)break;else n=0;while(1){up(c[(c[p>>2]|0)+(n<<2)>>2]|0,b,d,e,f,g,i,j,k,l,m);n=n+1|0;if((n|0)>=(o|0))break a}}tp(t,f,g,i,j,k);if((t|0)>0){n=c[a+32>>2]|0;o=c[f>>2]|0;r=_(o,t)|0;p=c[i>>2]|0;q=0;do{h[p+(r+q<<3)>>3]=+h[n+(q<<3)>>3];q=q+1|0}while((q|0)!=(t|0))}else{o=c[f>>2]|0;n=c[a+32>>2]|0}h[(c[j>>2]|0)+(o<<3)>>3]=+h[a+8>>3];u=+mq(n,d,t);j=c[f>>2]|0;h[(c[k>>2]|0)+(j<<3)>>3]=u;c[f>>2]=j+1}}while(0);return}function vp(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0;n=c[a+16>>2]|0;h[l>>3]=0.0;c[f>>2]=0;c[m>>2]=0;c[g>>2]=10;if(!(c[i>>2]|0))c[i>>2]=zz(n*80|0)|0;if(!(c[j>>2]|0))c[j>>2]=zz(c[g>>2]<<3)|0;if(!(c[k>>2]|0))c[k>>2]=zz(c[g>>2]<<3)|0;up(a,b,d,e,f,g,i,j,k,l,m);return}function wp(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=+g;i=i|0;j=j|0;var k=0,l=0;k=c[a>>2]|0;l=c[a+16>>2]|0;c[i>>2]=0;c[i+4>>2]=0;c[i+8>>2]=0;c[i+12>>2]=0;c[i+16>>2]=0;c[i+20>>2]=0;c[i+24>>2]=0;c[i+28>>2]=0;c[j>>2]=0;j=_(l,k)|0;if((j|0)>0)tQ(b|0,0,j<<3|0)|0;Bp(a,a,d,b,e,f,g,i);Cp(a,b,i);f=+(k|0);h[i>>3]=+h[i>>3]/f;l=i+8|0;h[l>>3]=+h[l>>3]/f;l=i+16|0;h[l>>3]=+h[l>>3]/f;l=i+24|0;h[l>>3]=+h[l>>3]/f;return}function xp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;p=a<<3;n=zz(p)|0;o=zz(p)|0;p=zz(p)|0;if((n|0)!=0&(o|0)!=0&(p|0)!=0){m=(a|0)>0;if(m){f=0;do{h[n+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0}while((f|0)!=(a|0));if(m){f=0;do{h[o+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0}while((f|0)!=(a|0))}}if((b|0)>1){g=1;do{if(m){f=_(g,a)|0;l=0;do{q=n+(l<<3)|0;k=+h[q>>3];r=d+(l+f<<3)|0;j=+h[r>>3];h[q>>3]=k<j?k:j;q=o+(l<<3)|0;j=+h[q>>3];k=+h[r>>3];h[q>>3]=j>k?j:k;l=l+1|0}while((l|0)!=(a|0))}g=g+1|0}while((g|0)!=(b|0))}j=+h[o>>3];k=+h[n>>3];i=j-k;if(m){h[p>>3]=(k+j)*.5;k=+h[o>>3]-+h[n>>3];i=i>k?i:k;if((a|0)!=1){f=1;do{h[p+(f<<3)>>3]=(+h[n+(f<<3)>>3]+ +h[o+(f<<3)>>3])*.5;k=+h[o+(f<<3)>>3]-+h[n+(f<<3)>>3];i=i>k?i:k;f=f+1|0}while((f|0)!=(a|0))}}f=yp(a,p,i==0.0?5.2e-06:i*.52,c)|0;g=(b|0)>0;if(!e){if(g){g=0;do{if(!f)f=0;else f=Dp(f,d+((_(g,a)|0)<<3)|0,1.0,g,0)|0;g=g+1|0}while((g|0)!=(b|0))}}else if(g){g=0;do{if(!f)f=0;else f=Dp(f,d+((_(g,a)|0)<<3)|0,+h[e+(g<<3)>>3],g,0)|0;g=g+1|0}while((g|0)!=(b|0))}fQ(n);fQ(o);fQ(p)}else{fQ(n);fQ(o);fQ(p);f=0}return f|0}function yp(a,b,d,e){a=a|0;b=b|0;d=+d;e=e|0;var f=0,g=0,i=0;f=zz(56)|0;c[f+16>>2]=a;c[f>>2]=0;g=zz(a<<3)|0;c[f+20>>2]=g;if((a|0)>0){i=0;do{h[g+(i<<3)>>3]=+h[b+(i<<3)>>3];i=i+1|0}while((i|0)!=(a|0))}if(d>0.0){h[f+24>>3]=d;h[f+8>>3]=0.0;c[f+32>>2]=0;c[f+36>>2]=0;c[f+40>>2]=0;c[f+44>>2]=e;c[f+48>>2]=0;return f|0}else Na(135455,135465,410,135476);return 0}function zp(a){a=a|0;var b=0,d=0,e=0,f=0;if(a){f=c[a+16>>2]|0;fQ(c[a+20>>2]|0);fQ(c[a+32>>2]|0);b=c[a+48>>2]|0;if(b)fQ(b);d=a+36|0;b=c[d>>2]|0;if(b){e=1<<f;if((f|0)!=31){zp(c[b>>2]|0);if((e|0)>1){b=1;do{zp(c[(c[d>>2]|0)+(b<<2)>>2]|0);b=b+1|0}while((b|0)<(e|0))}b=c[d>>2]|0}fQ(b)}ir(c[a+40>>2]|0,105);fQ(a)}return}function Ap(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;var g=0,i=0,j=0.0;g=yp(a,b,d,e)|0;i=c[g+20>>2]|0;if((a|0)>0){j=-d;b=f;e=0;while(1){f=i+(e<<3)|0;h[f>>3]=((b&1|0)==0?j:d)+ +h[f>>3];e=e+1|0;if((e|0)==(a|0))break;else b=(b|0)/2|0}}return g|0}function Bp(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=+g;i=+i;j=j|0;var k=0,l=0,m=0.0,n=0,o=0.0,p=0,q=0.0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;a:do if((a|0)!=0&(b|0)!=0){if((c[a>>2]|0)>0?(c[b>>2]|0)>0:0){y=c[a+16>>2]|0;r=c[a+40>>2]|0;x=b+40|0;n=c[x>>2]|0;k=a+32|0;p=b+32|0;t=+mq(c[k>>2]|0,c[p>>2]|0,y);m=+h[a+24>>3];o=+h[b+24>>3];if(m+o<t*f){h[j>>3]=+h[j>>3]+1.0;s=c[k>>2]|0;o=+h[a+8>>3];n=a+48|0;k=c[n>>2]|0;if(!k){l=y<<3;k=zz(l)|0;c[n>>2]=k;if((y|0)>0)tQ(k|0,0,l|0)|0}r=c[p>>2]|0;m=+h[b+8>>3];p=b+48|0;l=c[p>>2]|0;if(!l){n=y<<3;l=zz(n)|0;c[p>>2]=l;if((y|0)>0)tQ(l|0,0,n|0)|0}if(!(t>0.0))Na(135692,135465,191,135658);if((y|0)<=0)break;p=g==-1.0;f=o*m*i;q=t*t;o=1.0-g;n=0;while(1){if(p)m=q;else m=+P(+t,+o);i=f*(+h[s+(n<<3)>>3]-+h[r+(n<<3)>>3])/m;d=k+(n<<3)|0;h[d>>3]=i+ +h[d>>3];d=l+(n<<3)|0;h[d>>3]=+h[d>>3]-i;n=n+1|0;if((n|0)==(y|0))break a}}l=(r|0)!=0;k=(n|0)!=0;w=(a|0)==(b|0);if(l&k){b=j+8|0;u=(y|0)>0;v=g==-1.0;g=1.0-g;while(1){s=c[(kr(r)|0)+8>>2]|0;t=+h[(kr(r)|0)>>3];a=~~+h[(kr(r)|0)+16>>3];j=Fp(e,a,r,y)|0;k=c[x>>2]|0;if(k)do{n=c[(kr(k)|0)+8>>2]|0;m=+h[(kr(k)|0)>>3];l=~~+h[(kr(k)|0)+16>>3];p=Fp(e,l,k,y)|0;if((a|0)==(l|0)|w&(l|0)<(a|0))k=lr(k)|0;else{h[b>>3]=+h[b>>3]+1.0;q=+kq(d,y,a,l);if(u){o=t*m*i;f=q*q;l=0;do{if(v)m=f;else m=+P(+q,+g);m=o*(+h[s+(l<<3)>>3]-+h[n+(l<<3)>>3])/m;z=j+(l<<3)|0;h[z>>3]=m+ +h[z>>3];z=p+(l<<3)|0;h[z>>3]=+h[z>>3]-m;l=l+1|0}while((l|0)!=(y|0))}k=lr(k)|0}}while((k|0)!=0);r=lr(r)|0;if(!r)break a}}if(w){r=1<<y;if((y|0)==31)break;k=a+36|0;p=0;while(1){l=c[(c[k>>2]|0)+(p<<2)>>2]|0;if((p|0)<(r|0)?(Bp(l,l,d,e,f,g,i,j),s=p+1|0,(s|0)!=(r|0)):0){n=s;do{Bp(l,c[(c[k>>2]|0)+(n<<2)>>2]|0,d,e,f,g,i,j);n=n+1|0}while((n|0)!=(r|0))}p=p+1|0;if((p|0)>=(r|0))break a}}if(!(l|!(m>o))){n=1<<y;if((y|0)==31)break;k=a+36|0;l=0;while(1){Bp(c[(c[k>>2]|0)+(l<<2)>>2]|0,b,d,e,f,g,i,j);l=l+1|0;if((l|0)>=(n|0))break a}}if(!(k|!(o>m))){n=1<<y;if((y|0)==31)break;k=b+36|0;l=0;while(1){Bp(c[(c[k>>2]|0)+(l<<2)>>2]|0,a,d,e,f,g,i,j);l=l+1|0;if((l|0)>=(n|0))break a}}if(!l){n=1<<y;if((y|0)==31)break;k=a+36|0;l=0;while(1){Bp(c[(c[k>>2]|0)+(l<<2)>>2]|0,b,d,e,f,g,i,j);l=l+1|0;if((l|0)>=(n|0))break a}}if(k)Na(179560,135465,273,135658);n=1<<y;if((y|0)==31)break;k=b+36|0;l=0;while(1){Bp(c[(c[k>>2]|0)+(l<<2)>>2]|0,a,d,e,f,g,i,j);l=l+1|0;if((l|0)>=(n|0))break a}}Na(135633,135465,175,135658)}while(0);return}function Cp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0;i=c[a+40>>2]|0;p=c[a+16>>2]|0;q=+h[a+8>>3];j=a+48|0;e=c[j>>2]|0;if(!e){g=p<<3;e=zz(g)|0;c[j>>2]=e;if((p|0)>0){tQ(e|0,0,g|0)|0;o=e}else o=e}else o=e;if(!(q>0.0))Na(135578,135465,289,135586);m=d+16|0;h[m>>3]=+h[m>>3]+1.0;a:do if(!i){m=1<<p;if((p|0)!=31){i=a+36|0;j=p<<3;a=(p|0)>0;l=0;while(1){k=c[(c[i>>2]|0)+(l<<2)>>2]|0;if(k){if((c[k>>2]|0)<=0)break;g=k+48|0;e=c[g>>2]|0;if(!e){e=zz(j)|0;c[g>>2]=e;if(a){tQ(e|0,0,j|0)|0;n=20}}else if(a)n=20;if((n|0)==20){n=0;f=+h[k+8>>3]/q;g=0;do{r=e+(g<<3)|0;h[r>>3]=+h[r>>3]+f*+h[o+(g<<3)>>3];g=g+1|0}while((g|0)!=(p|0))}Cp(k,b,d)}l=l+1|0;if((l|0)>=(m|0))break a}Na(135622,135465,307,135586)}}else{j=(p|0)>0;do{e=Fp(b,~~+h[(kr(i)|0)+16>>3],i,p)|0;f=+h[(kr(i)|0)>>3]/q;if(j){g=0;do{r=e+(g<<3)|0;h[r>>3]=+h[r>>3]+f*+h[o+(g<<3)>>3];g=g+1|0}while((g|0)!=(p|0))}i=lr(i)|0}while((i|0)!=0)}while(0);return}function Dp(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;var g=0,i=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=a+16|0;t=c[v>>2]|0;u=c[a+44>>2]|0;m=c[a>>2]|0;do if(!m){c[a>>2]=1;h[a+8>>3]=d;j=zz(t<<3)|0;c[a+32>>2]=j;g=c[v>>2]|0;if((g|0)>0){i=0;do{h[j+(i<<3)>>3]=+h[b+(i<<3)>>3];i=i+1|0}while((i|0)<(g|0))}g=Ep(g,d,b,e)|0;i=a+40|0;if(!(c[i>>2]|0)){c[i>>2]=hr(g)|0;break}else Na(135489,135465,502,135497)}else{if((u|0)<=(f|0)){if(c[a+36>>2]|0)Na(135563,135465,541,135497);g=m+1|0;c[a>>2]=g;s=a+8|0;h[s>>3]=+h[s>>3]+d;if((t|0)>0){i=c[a+32>>2]|0;k=+(g|0);l=+(m+2|0);g=0;do{s=i+(g<<3)|0;h[s>>3]=(+h[b+(g<<3)>>3]+ +h[s>>3]*k)/l;g=g+1|0}while((g|0)<(t|0))}g=Ep(t,d,b,e)|0;i=a+40|0;j=c[i>>2]|0;if(!j)Na(135573,135465,547,135497);else{c[i>>2]=jr(j,g)|0;break}}r=a+8|0;h[r>>3]=+h[r>>3]+d;r=(t|0)>0;if(r){i=c[a+32>>2]|0;l=+(m|0);k=+(m+1|0);g=0;do{s=i+(g<<3)|0;h[s>>3]=(+h[b+(g<<3)>>3]+ +h[s>>3]*l)/k;g=g+1|0}while((g|0)<(t|0))}s=a+36|0;if(((c[s>>2]|0)==0?(o=1<<t,n=zz(o<<2)|0,c[s>>2]=n,(t|0)!=31):0)?(c[n>>2]=0,(o|0)>1):0){g=1;do{c[(c[s>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(o|0))}p=a+20|0;j=c[p>>2]|0;if(r){g=0;i=t;do{q=i;i=i+-1|0;g=!(+h[b+(i<<3)>>3]-+h[j+(i<<3)>>3]<0.0)&1|g<<1}while((q|0)>1)}else g=0;q=1<<t;if(!((g|0)<(q|0)&(g|0)>-1))Na(135519,135465,515,135497);i=c[(c[s>>2]|0)+(g<<2)>>2]|0;if(!i){i=Ap(c[v>>2]|0,j,+h[a+24>>3]*.5,u,g)|0;c[(c[s>>2]|0)+(g<<2)>>2]=i;i=c[(c[s>>2]|0)+(g<<2)>>2]|0}f=f+1|0;e=Dp(i,b,d,e,f)|0;c[(c[s>>2]|0)+(g<<2)>>2]=e;if(!(c[(c[s>>2]|0)+(g<<2)>>2]|0))Na(135542,135465,519,135497);o=a+40|0;g=c[o>>2]|0;do if(g){m=~~+h[(kr(g)|0)+16>>3];if((c[a>>2]|0)!=1)Na(135553,135465,523,135497);n=c[(kr(c[o>>2]|0)|0)+8>>2]|0;k=+h[(kr(c[o>>2]|0)|0)>>3];j=c[p>>2]|0;if(r){g=0;i=t;do{t=i;i=i+-1|0;g=!(+h[n+(i<<3)>>3]-+h[j+(i<<3)>>3]<0.0)&1|g<<1}while((t|0)>1);i=g}else i=0;if(!((i|0)<(q|0)&(i|0)>-1))Na(135519,135465,527,135497);g=c[(c[s>>2]|0)+(i<<2)>>2]|0;if(!g){g=Ap(c[v>>2]|0,j,+h[a+24>>3]*.5,u,i)|0;c[(c[s>>2]|0)+(i<<2)>>2]=g;g=c[(c[s>>2]|0)+(i<<2)>>2]|0}v=Dp(g,n,k,m,f)|0;c[(c[s>>2]|0)+(i<<2)>>2]=v;if(!(c[(c[s>>2]|0)+(i<<2)>>2]|0))Na(135542,135465,532,135497);else{ir(c[o>>2]|0,105);c[o>>2]=0;break}}while(0);c[a>>2]=(c[a>>2]|0)+1}while(0);return a|0}function Ep(a,b,d,e){a=a|0;b=+b;d=d|0;e=e|0;var f=0,g=0;g=zz(32)|0;h[g>>3]=b;f=zz(a<<3)|0;c[g+8>>2]=f;h[g+16>>3]=+(e|0);if((a|0)>0){e=0;do{h[f+(e<<3)>>3]=+h[d+(e<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}c[g+24>>2]=0;return g|0}function Fp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[(kr(d)|0)+24>>2]|0;if(!f){f=a+((_(e,b)|0)<<3)|0;c[(kr(d)|0)+24>>2]=f;f=c[(kr(d)|0)+24>>2]|0}return f|0}
function Gp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;a:do if(!a)b=0;else{p=c[a+20>>2]|0;q=c[a+24>>2]|0;e=c[a+8>>2]|0;r=c[a>>2]|0;d=c[a+4>>2]|0;j=a+16|0;if((c[a+32>>2]|0)!=1)Na(135701,135725,76,135740);b=Jp(d,r,e,c[j>>2]|0,1)|0;c[b+8>>2]=e;o=c[b+20>>2]|0;n=c[b+24>>2]|0;if((d|0)>=0)tQ(o|0,0,(d<<2)+4|0)|0;l=(r|0)>0;if(l){f=c[p>>2]|0;i=0;while(1){i=i+1|0;g=p+(i<<2)|0;e=c[g>>2]|0;if((f|0)<(e|0))do{e=o+((c[q+(f<<2)>>2]|0)+1<<2)|0;c[e>>2]=(c[e>>2]|0)+1;f=f+1|0;e=c[g>>2]|0}while((f|0)<(e|0));if((i|0)==(r|0))break;else f=e}}m=(d|0)>0;if(m){e=c[o>>2]|0;f=0;do{f=f+1|0;k=o+(f<<2)|0;e=(c[k>>2]|0)+e|0;c[k>>2]=e}while((f|0)!=(d|0))}switch(c[j>>2]|0){case 1:{a=c[a+28>>2]|0;k=c[b+28>>2]|0;if(l){f=c[p>>2]|0;j=0;while(1){i=j;j=j+1|0;g=p+(j<<2)|0;e=c[g>>2]|0;if((f|0)<(e|0))do{l=q+(f<<2)|0;c[n+(c[o+(c[l>>2]<<2)>>2]<<2)>>2]=i;s=+h[a+(f<<3)>>3];l=o+(c[l>>2]<<2)|0;e=c[l>>2]|0;c[l>>2]=e+1;h[k+(e<<3)>>3]=s;f=f+1|0;e=c[g>>2]|0}while((f|0)<(e|0));if((j|0)==(r|0))break;else f=e}}break}case 2:{a=c[a+28>>2]|0;k=c[b+28>>2]|0;if(l){f=c[p>>2]|0;j=0;while(1){i=j;j=j+1|0;g=p+(j<<2)|0;e=c[g>>2]|0;if((f|0)<(e|0))do{e=q+(f<<2)|0;c[n+(c[o+(c[e>>2]<<2)>>2]<<2)>>2]=i;u=f<<1;e=o+(c[e>>2]<<2)|0;l=c[e>>2]|0;t=l<<1;h[k+(t<<3)>>3]=+h[a+(u<<3)>>3];h[k+((t|1)<<3)>>3]=+h[a+((u|1)<<3)>>3];c[e>>2]=l+1;f=f+1|0;e=c[g>>2]|0}while((f|0)<(e|0));if((j|0)==(r|0))break;else f=e}}break}case 4:{a=c[a+28>>2]|0;k=c[b+28>>2]|0;if(l){f=c[p>>2]|0;j=0;while(1){i=j;j=j+1|0;g=p+(j<<2)|0;e=c[g>>2]|0;if((f|0)<(e|0))do{t=q+(f<<2)|0;c[n+(c[o+(c[t>>2]<<2)>>2]<<2)>>2]=i;u=c[a+(f<<2)>>2]|0;t=o+(c[t>>2]<<2)|0;e=c[t>>2]|0;c[t>>2]=e+1;c[k+(e<<2)>>2]=u;f=f+1|0;e=c[g>>2]|0}while((f|0)<(e|0));if((j|0)==(r|0))break;else f=e}}break}case 8:{if(l){f=c[p>>2]|0;j=0;while(1){i=j;j=j+1|0;g=p+(j<<2)|0;e=c[g>>2]|0;if((f|0)<(e|0))do{u=o+(c[q+(f<<2)>>2]<<2)|0;e=c[u>>2]|0;c[u>>2]=e+1;c[n+(e<<2)>>2]=i;f=f+1|0;e=c[g>>2]|0}while((f|0)<(e|0));if((j|0)==(r|0))break;else f=e}}break}case 16:{Hp(b);b=0;break a}default:{Hp(b);b=0;break a}}if(m)do{u=d;d=d+-1|0;c[o+(u<<2)>>2]=c[o+(d<<2)>>2]}while((u|0)>1);c[o>>2]=0}while(0);return b|0}function Hp(a){a=a|0;var b=0;if(a){b=c[a+20>>2]|0;if(b)fQ(b);b=c[a+24>>2]|0;if(b)fQ(b);b=c[a+28>>2]|0;if(b)fQ(b);fQ(a)}return}function Ip(a,b){a=a|0;b=b|0;if(!(Kp(a,b)|0)){b=Gp(a)|0;if(!b)b=0;else{a=Mp(a,b)|0;Hp(b);b=a+36|0;c[b>>2]=c[b>>2]|3;b=a}}else b=Lp(a)|0;return b|0}function Jp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;switch(d|0){case 1:{f=8;break}case 2:{f=16;break}case 4:{f=4;break}case 8:{f=0;break}case 16:{f=0;break}default:f=0}e=$p(a,b,d,f,e)|0;if((c|0)>0)e=aq(e,c)|0;return e|0}function Kp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0;if(a){if((c[a+32>>2]|0)!=1)Na(135701,135725,187,135763);s=a+36|0;d=c[s>>2]|0;if((d&2|0)==0?(t=(b|0)!=0,(d&1|0)==0|t^1):0)if((c[a>>2]|0)==(c[a+4>>2]|0)?(v=Gp(a)|0,(v|0)!=0):0){m=c[a+20>>2]|0;n=c[a+24>>2]|0;o=c[v+20>>2]|0;p=c[v+24>>2]|0;q=c[a>>2]|0;d=q<<2;r=zz(d)|0;b=(q|0)>0;if(b)tQ(r|0,-1,d|0)|0;a:do switch((t?8:c[a+16>>2]|0)|0){case 1:{j=c[a+28>>2]|0;k=c[v+28>>2]|0;if((q|0)>=0){d=0;while(1){if((c[m+(d<<2)>>2]|0)!=(c[o+(d<<2)>>2]|0)){d=0;break a}if((d|0)<(q|0))d=d+1|0;else break}}if(b){i=0;while(1){g=m+(i<<2)|0;d=c[g>>2]|0;a=i;i=i+1|0;b=m+(i<<2)|0;if((d|0)<(c[b>>2]|0))do{c[r+(c[n+(d<<2)>>2]<<2)>>2]=d;d=d+1|0}while((d|0)<(c[b>>2]|0));d=c[o+(a<<2)>>2]|0;f=c[o+(i<<2)>>2]|0;e=(d|0)<(f|0);if(e){b=c[g>>2]|0;a=d;do{if((c[r+(c[p+(a<<2)>>2]<<2)>>2]|0)<(b|0)){d=0;break a}a=a+1|0}while((a|0)<(f|0));if(e)do{w=+h[k+(d<<3)>>3]-+h[j+(c[r+(c[p+(d<<2)>>2]<<2)>>2]<<3)>>3];d=d+1|0;if((w>=0.0?w:-w)>1.0e-07){d=0;break a}}while((d|0)<(f|0))}if((i|0)>=(q|0)){u=61;break}}}else u=61;break}case 2:{j=c[a+28>>2]|0;k=c[v+28>>2]|0;if((q|0)>=0){d=0;while(1){if((c[m+(d<<2)>>2]|0)!=(c[o+(d<<2)>>2]|0)){d=0;break a}if((d|0)<(q|0))d=d+1|0;else break}}if(b){i=0;while(1){f=m+(i<<2)|0;d=c[f>>2]|0;a=i;i=i+1|0;b=m+(i<<2)|0;if((d|0)<(c[b>>2]|0))do{c[r+(c[n+(d<<2)>>2]<<2)>>2]=d;d=d+1|0}while((d|0)<(c[b>>2]|0));a=c[o+(a<<2)>>2]|0;g=c[o+(i<<2)>>2]|0;e=(a|0)<(g|0);if(e){d=c[f>>2]|0;b=a;do{if((c[r+(c[p+(b<<2)>>2]<<2)>>2]|0)<(d|0)){d=0;break a}b=b+1|0}while((b|0)<(g|0));if(e)do{d=a<<1;b=c[r+(c[p+(a<<2)>>2]<<2)>>2]<<1;w=+h[k+(d<<3)>>3]-+h[j+(b<<3)>>3];if((w>=0.0?w:-w)>1.0e-07){d=0;break a}w=+h[k+((d|1)<<3)>>3]-+h[j+((b|1)<<3)>>3];a=a+1|0;if((w>=0.0?w:-w)>1.0e-07){d=0;break a}}while((a|0)<(g|0))}if((i|0)>=(q|0)){u=61;break}}}else u=61;break}case 4:{k=c[a+28>>2]|0;l=c[v+28>>2]|0;if(b){b=c[m>>2]|0;j=0;while(1){i=m+(j<<2)|0;e=j;j=j+1|0;a=m+(j<<2)|0;d=c[a>>2]|0;if((b|0)<(d|0)){d=b;do{c[r+(c[n+(d<<2)>>2]<<2)>>2]=d;d=d+1|0;b=c[a>>2]|0}while((d|0)<(b|0))}else b=d;d=c[o+(e<<2)>>2]|0;g=c[o+(j<<2)>>2]|0;f=(d|0)<(g|0);if(f){a=c[i>>2]|0;e=d;do{if((c[r+(c[p+(e<<2)>>2]<<2)>>2]|0)<(a|0)){d=0;break a}e=e+1|0}while((e|0)<(g|0));if(f)do{if((c[l+(d<<2)>>2]|0)!=(c[k+(c[r+(c[p+(d<<2)>>2]<<2)>>2]<<2)>>2]|0)){d=0;break a}d=d+1|0}while((d|0)<(g|0))}if((j|0)>=(q|0)){u=61;break}}}else u=61;break}case 8:{if(b){b=c[m>>2]|0;g=0;while(1){f=m+(g<<2)|0;e=g;g=g+1|0;a=m+(g<<2)|0;d=c[a>>2]|0;if((b|0)<(d|0)){d=b;do{c[r+(c[n+(d<<2)>>2]<<2)>>2]=d;d=d+1|0;b=c[a>>2]|0}while((d|0)<(b|0))}else b=d;d=c[o+(e<<2)>>2]|0;e=c[o+(g<<2)>>2]|0;if((d|0)<(e|0)){a=c[f>>2]|0;do{if((c[r+(c[p+(d<<2)>>2]<<2)>>2]|0)<(a|0)){d=0;break a}d=d+1|0}while((d|0)<(e|0))}if((g|0)>=(q|0)){u=61;break}}}else u=61;break}default:d=0}while(0);do if((u|0)==61){d=c[s>>2]|0;if(t){c[s>>2]=d|1;d=1;break}else{c[s>>2]=d|3;d=1;break}}while(0);fQ(r);Hp(v)}else d=0;else d=1}else d=0;return d|0}function Lp(a){a=a|0;var b=0,d=0,e=0,f=0;if(!a)b=0;else{e=a+8|0;f=a+40|0;b=Pp(c[a>>2]|0,c[a+4>>2]|0,c[e>>2]|0,c[a+16>>2]|0,c[f>>2]|0,c[a+32>>2]|0)|0;d=a+20|0;rQ(c[b+20>>2]|0,c[d>>2]|0,(c[a>>2]<<2)+4|0)|0;rQ(c[b+24>>2]|0,c[a+24>>2]|0,c[(c[d>>2]|0)+(c[a>>2]<<2)>>2]<<2|0)|0;d=c[a+28>>2]|0;if(d)rQ(c[b+28>>2]|0,d|0,_(c[e>>2]|0,c[f>>2]|0)|0)|0;c[b+36>>2]=c[a+36>>2];c[b+8>>2]=c[e>>2]}return b|0}function Mp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;r=c[a+20>>2]|0;t=c[a+24>>2]|0;v=c[b+20>>2]|0;w=c[b+24>>2]|0;if(!((a|0)!=0&(b|0)!=0))Na(135789,135725,973,135796);u=c[a+32>>2]|0;if(!((u|0)==1?(u|0)==(c[b+32>>2]|0):0))Na(135813,135725,974,135796);f=a+16|0;e=c[f>>2]|0;if((e|0)!=(c[b+16>>2]|0))Na(135863,135725,975,135796);s=c[a>>2]|0;g=c[a+4>>2]|0;if(((s|0)==(c[b>>2]|0)?(g|0)==(c[b+4>>2]|0):0)?(d=Jp(s,g,(c[b+8>>2]|0)+(c[a+8>>2]|0)|0,e,1)|0,(d|0)!=0):0){p=c[d+20>>2]|0;q=c[d+24>>2]|0;e=g<<2;u=zz(e)|0;if((g|0)>0)tQ(u|0,-1,e|0)|0;c[p>>2]=0;switch(c[f>>2]|0){case 1:{o=c[a+28>>2]|0;l=c[b+28>>2]|0;m=c[d+28>>2]|0;if((s|0)>0){n=0;e=0;do{f=c[r+(n<<2)>>2]|0;a=n;n=n+1|0;g=r+(n<<2)|0;if((f|0)<(c[g>>2]|0))do{k=t+(f<<2)|0;c[u+(c[k>>2]<<2)>>2]=e;c[q+(e<<2)>>2]=c[k>>2];h[m+(e<<3)>>3]=+h[o+(f<<3)>>3];e=e+1|0;f=f+1|0}while((f|0)<(c[g>>2]|0));g=c[v+(a<<2)>>2]|0;k=v+(n<<2)|0;f=c[k>>2]|0;if((g|0)<(f|0)){j=p+(a<<2)|0;do{a=c[w+(g<<2)>>2]|0;b=c[u+(a<<2)>>2]|0;i=+h[l+(g<<3)>>3];if((b|0)<(c[j>>2]|0)){c[q+(e<<2)>>2]=a;h[m+(e<<3)>>3]=i;f=c[k>>2]|0;e=e+1|0}else{b=m+(b<<3)|0;h[b>>3]=i+ +h[b>>3]}g=g+1|0}while((g|0)<(f|0))}c[p+(n<<2)>>2]=e}while((n|0)!=(s|0))}else e=0;break}case 2:{o=c[a+28>>2]|0;l=c[b+28>>2]|0;m=c[d+28>>2]|0;if((s|0)>0){n=0;e=0;do{f=c[r+(n<<2)>>2]|0;a=n;n=n+1|0;g=r+(n<<2)|0;if((f|0)<(c[g>>2]|0))do{j=t+(f<<2)|0;c[u+(c[j>>2]<<2)>>2]=e;c[q+(e<<2)>>2]=c[j>>2];j=f<<1;k=e<<1;h[m+(k<<3)>>3]=+h[o+(j<<3)>>3];h[m+((k|1)<<3)>>3]=+h[o+((j|1)<<3)>>3];e=e+1|0;f=f+1|0}while((f|0)<(c[g>>2]|0));g=c[v+(a<<2)>>2]|0;k=v+(n<<2)|0;f=c[k>>2]|0;if((g|0)<(f|0)){j=p+(a<<2)|0;do{a=c[w+(g<<2)>>2]|0;b=c[u+(a<<2)>>2]|0;if((b|0)<(c[j>>2]|0)){c[q+(e<<2)>>2]=a;b=g<<1;f=e<<1;h[m+(f<<3)>>3]=+h[l+(b<<3)>>3];h[m+((f|1)<<3)>>3]=+h[l+((b|1)<<3)>>3];f=c[k>>2]|0;e=e+1|0}else{a=g<<1;b=b<<1;x=m+(b<<3)|0;h[x>>3]=+h[l+(a<<3)>>3]+ +h[x>>3];b=m+((b|1)<<3)|0;h[b>>3]=+h[l+((a|1)<<3)>>3]+ +h[b>>3]}g=g+1|0}while((g|0)<(f|0))}c[p+(n<<2)>>2]=e}while((n|0)!=(s|0))}else e=0;break}case 4:{n=c[a+28>>2]|0;k=c[b+28>>2]|0;l=c[d+28>>2]|0;if((s|0)>0){m=0;e=0;do{f=c[r+(m<<2)>>2]|0;a=m;m=m+1|0;g=r+(m<<2)|0;if((f|0)<(c[g>>2]|0))do{x=t+(f<<2)|0;c[u+(c[x>>2]<<2)>>2]=e;c[q+(e<<2)>>2]=c[x>>2];c[l+(e<<2)>>2]=c[n+(f<<2)>>2];e=e+1|0;f=f+1|0}while((f|0)<(c[g>>2]|0));f=c[v+(a<<2)>>2]|0;j=v+(m<<2)|0;if((f|0)<(c[j>>2]|0)){b=p+(a<<2)|0;do{g=c[w+(f<<2)>>2]|0;a=c[u+(g<<2)>>2]|0;if((a|0)<(c[b>>2]|0)){c[q+(e<<2)>>2]=g;c[l+(e<<2)>>2]=c[k+(f<<2)>>2];e=e+1|0}else{x=l+(a<<2)|0;c[x>>2]=(c[x>>2]|0)+(c[k+(f<<2)>>2]|0)}f=f+1|0}while((f|0)<(c[j>>2]|0))}c[p+(m<<2)>>2]=e}while((m|0)!=(s|0))}else e=0;break}case 8:{if((s|0)>0){k=0;e=0;do{f=c[r+(k<<2)>>2]|0;a=k;k=k+1|0;g=r+(k<<2)|0;if((f|0)<(c[g>>2]|0))do{x=t+(f<<2)|0;c[u+(c[x>>2]<<2)>>2]=e;c[q+(e<<2)>>2]=c[x>>2];e=e+1|0;f=f+1|0}while((f|0)<(c[g>>2]|0));g=c[v+(a<<2)>>2]|0;j=v+(k<<2)|0;f=c[j>>2]|0;if((g|0)<(f|0)){b=p+(a<<2)|0;a=g;do{g=c[w+(a<<2)>>2]|0;if((c[u+(g<<2)>>2]|0)<(c[b>>2]|0)){c[q+(e<<2)>>2]=g;f=c[j>>2]|0;e=e+1|0}a=a+1|0}while((a|0)<(f|0))}c[p+(k<<2)>>2]=e}while((k|0)!=(s|0))}else e=0;break}default:e=0}c[d+8>>2]=e;if(u)fQ(u)}else d=0;return d|0}function Np(a,b){a=a|0;b=b|0;if(!(Kp(a,b)|0)){b=Gp(a)|0;if(!b)b=0;else{a=Mp(a,b)|0;Hp(b);b=a+36|0;c[b>>2]=c[b>>2]|3;b=Op(a)|0}}else b=Op(Lp(a)|0)|0;return b|0}function Op(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;a:do if(!a)a=0;else{l=c[a+20>>2]|0;m=c[a+24>>2]|0;e=c[l>>2]|0;switch(c[a+16>>2]|0){case 1:{j=c[a+28>>2]|0;if((c[a>>2]|0)>0){k=0;b=0;while(1){g=k;k=k+1|0;i=l+(k<<2)|0;d=c[i>>2]|0;if((e|0)<(d|0))do{f=c[m+(e<<2)>>2]|0;if((f|0)!=(g|0)){c[m+(b<<2)>>2]=f;h[j+(b<<3)>>3]=+h[j+(e<<3)>>3];d=c[i>>2]|0;b=b+1|0}e=e+1|0}while((e|0)<(d|0));c[i>>2]=b;if((k|0)>=(c[a>>2]|0))break;else e=d}}else b=0;c[a+8>>2]=b;break a}case 2:{j=c[a+28>>2]|0;if((c[a>>2]|0)>0){k=0;b=0;while(1){g=k;k=k+1|0;i=l+(k<<2)|0;d=c[i>>2]|0;if((e|0)<(d|0))do{f=c[m+(e<<2)>>2]|0;if((f|0)!=(g|0)){c[m+(b<<2)>>2]=f;f=e<<1;d=b<<1;h[j+(d<<3)>>3]=+h[j+(f<<3)>>3];h[j+((d|1)<<3)>>3]=+h[j+((f|1)<<3)>>3];d=c[i>>2]|0;b=b+1|0}e=e+1|0}while((e|0)<(d|0));c[i>>2]=b;if((k|0)>=(c[a>>2]|0))break;else e=d}}else b=0;c[a+8>>2]=b;break a}case 4:{j=c[a+28>>2]|0;if((c[a>>2]|0)>0){k=0;b=0;while(1){g=k;k=k+1|0;i=l+(k<<2)|0;d=c[i>>2]|0;if((e|0)<(d|0))do{f=c[m+(e<<2)>>2]|0;if((f|0)!=(g|0)){c[m+(b<<2)>>2]=f;c[j+(b<<2)>>2]=c[j+(e<<2)>>2];d=c[i>>2]|0;b=b+1|0}e=e+1|0}while((e|0)<(d|0));c[i>>2]=b;if((k|0)>=(c[a>>2]|0))break;else e=d}}else b=0;c[a+8>>2]=b;break a}case 8:{if((c[a>>2]|0)>0){j=0;b=0;while(1){g=j;j=j+1|0;i=l+(j<<2)|0;d=c[i>>2]|0;if((e|0)<(d|0)){f=e;do{e=c[m+(f<<2)>>2]|0;if((e|0)!=(g|0)){c[m+(b<<2)>>2]=e;d=c[i>>2]|0;b=b+1|0}f=f+1|0}while((f|0)<(d|0))}c[i>>2]=b;if((j|0)>=(c[a>>2]|0))break;else e=d}}else b=0;c[a+8>>2]=b;break a}default:{a=0;break a}}}while(0);return a|0}function Pp(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;f=$p(a,b,d,e,f)|0;if((c|0)>0)f=aq(f,c)|0;return f|0}function Qp(a){a=a|0;if((c[a+32>>2]|0)==2)return bq(c[a+8>>2]|0,c[a>>2]|0,c[a+4>>2]|0,c[a+20>>2]|0,c[a+24>>2]|0,c[a+28>>2]|0,c[a+16>>2]|0,c[a+40>>2]|0,1)|0;else Na(135882,135725,803,135908);return 0}function Rp(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return bq(a,b,c,d,e,f,g,h,1)|0}function Sp(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;v=i;i=i+16|0;n=v;if(!e){if((c[a+32>>2]|0)!=1)Na(135701,135725,1121,135944);if((c[a+16>>2]|0)!=1)Na(135973,135725,1122,135944);u=c[a+28>>2]|0;r=c[a+20>>2]|0;s=c[a+24>>2]|0;t=c[a>>2]|0;q=c[a+4>>2]|0;e=c[f>>2]|0;k=(e|0)!=0;if(!b){if(!k)e=zz(_(j<<3,t)|0)|0;if((t|0)>0){a=(j|0)>0;b=j<<3;q=0;do{o=_(q,j)|0;if(a)tQ(e+(o<<3)|0,0,b|0)|0;k=c[r+(q<<2)>>2]|0;q=q+1|0;p=c[r+(q<<2)>>2]|0;if((k|0)<(p|0))do{if(a){l=u+(k<<3)|0;m=_(c[s+(k<<2)>>2]|0,j)|0;n=0;do{w=e+(n+o<<3)|0;h[w>>3]=+h[w>>3]+ +h[l>>3]*+h[d+(n+m<<3)>>3];n=n+1|0}while((n|0)!=(j|0))}k=k+1|0}while((k|0)!=(p|0))}while((q|0)!=(t|0))}if(g)cq(e,t,j)}else{if(!k)e=zz(_(j<<3,q)|0)|0;k=_(q,j)|0;if((k|0)>0)tQ(e|0,0,k<<3|0)|0;if((t|0)>0){b=(j|0)>0;o=c[r>>2]|0;p=0;do{k=p;p=p+1|0;l=o;o=c[r+(p<<2)>>2]|0;if((l|0)<(o|0)){a=_(k,j)|0;do{if(b){k=u+(l<<3)|0;m=_(c[s+(l<<2)>>2]|0,j)|0;n=0;do{w=e+(n+m<<3)|0;h[w>>3]=+h[k>>3]*+h[d+(n+a<<3)>>3]+ +h[w>>3];n=n+1|0}while((n|0)!=(j|0))}l=l+1|0}while((l|0)!=(o|0))}}while((p|0)!=(t|0))}if(g)cq(e,q,j)}c[f>>2]=e}else{if((c[a+32>>2]|0)!=1)Na(135701,135725,1163,136001);if((c[a+16>>2]|0)!=1)Na(135973,135725,1164,136001);e=c[f>>2]|0;l=c[a>>2]|0;m=c[a+4>>2]|0;k=(e|0)!=0;if(!b){if(!k)e=zz(_(j<<3,l)|0)|0;if((j|0)>0){k=0;do{c[n>>2]=e+((_(k,l)|0)<<3);Tp(a,d+((_(k,m)|0)<<3)|0,n,0);k=k+1|0}while((k|0)!=(j|0))}if(!g)cq(e,j,l)}else{if(!k)e=zz(_(j<<3,m)|0)|0;if((j|0)>0){k=0;do{c[n>>2]=e+((_(k,m)|0)<<3);Tp(a,d+((_(k,l)|0)<<3)|0,n,b);k=k+1|0}while((k|0)!=(j|0))}if(!g)cq(e,j,m)}c[f>>2]=e}i=v;return}function Tp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((c[a+32>>2]|0)!=1)Na(135701,135725,1222,136030);g=c[a+16>>2]|0;switch(g|0){case 4:case 1:break;default:Na(136059,135725,1223,136030)}n=c[a+20>>2]|0;m=c[a+24>>2]|0;o=c[a>>2]|0;k=c[a+4>>2]|0;j=c[d>>2]|0;a:do switch(g|0){case 1:{l=c[a+28>>2]|0;g=(e|0)!=0;a=(j|0)!=0;if(!b){if(!g){if(!a)j=zz(o<<3)|0;if((o|0)<=0){i=j;break a}i=c[n>>2]|0;e=0;while(1){a=j+(e<<3)|0;h[a>>3]=0.0;e=e+1|0;g=i;i=c[n+(e<<2)>>2]|0;if((g|0)<(i|0)){f=0.0;do{f=+h[l+(g<<3)>>3]+f;h[a>>3]=f;g=g+1|0}while((g|0)<(i|0))}if((e|0)==(o|0)){i=j;break a}}}if(!a)j=zz(k<<3)|0;if((k|0)>0)tQ(j|0,0,k<<3|0)|0;if((o|0)<=0){i=j;break a}a=c[n>>2]|0;i=0;while(1){i=i+1|0;g=a;a=c[n+(i<<2)>>2]|0;if((g|0)<(a|0))do{b=j+(c[m+(g<<2)>>2]<<3)|0;h[b>>3]=+h[l+(g<<3)>>3]+ +h[b>>3];g=g+1|0}while((g|0)<(a|0));if((i|0)==(o|0)){i=j;break a}}}if(!g){if(!a)j=zz(o<<3)|0;if((o|0)<=0){i=j;break a}i=c[n>>2]|0;e=0;while(1){a=j+(e<<3)|0;h[a>>3]=0.0;e=e+1|0;g=i;i=c[n+(e<<2)>>2]|0;if((g|0)<(i|0)){f=0.0;do{f=f+ +h[l+(g<<3)>>3]*+h[b+(c[m+(g<<2)>>2]<<3)>>3];h[a>>3]=f;g=g+1|0}while((g|0)<(i|0))}if((e|0)==(o|0)){i=j;break a}}}if(!a)j=zz(k<<3)|0;if((k|0)>0)tQ(j|0,0,k<<3|0)|0;if((o|0)>0){e=c[n>>2]|0;k=0;do{g=k;k=k+1|0;a=e;e=c[n+(k<<2)>>2]|0;if((a|0)<(e|0)){i=b+(g<<3)|0;g=a;do{a=j+(c[m+(g<<2)>>2]<<3)|0;h[a>>3]=+h[l+(g<<3)>>3]*+h[i>>3]+ +h[a>>3];g=g+1|0}while((g|0)<(e|0))}}while((k|0)!=(o|0));i=j}else i=j;break}case 4:{l=c[a+28>>2]|0;g=(e|0)!=0;a=(j|0)!=0;if(!b){if(!g){if(!a)j=zz(o<<3)|0;if((o|0)<=0){i=j;break a}i=c[n>>2]|0;e=0;while(1){a=j+(e<<3)|0;h[a>>3]=0.0;e=e+1|0;g=i;i=c[n+(e<<2)>>2]|0;if((g|0)<(i|0)){f=0.0;do{f=f+ +(c[l+(g<<2)>>2]|0);g=g+1|0}while((g|0)<(i|0));h[a>>3]=f}if((e|0)==(o|0)){i=j;break a}}}if(!a)j=zz(k<<3)|0;if((k|0)>0)tQ(j|0,0,k<<3|0)|0;if((o|0)<=0){i=j;break a}a=c[n>>2]|0;i=0;do{i=i+1|0;g=a;a=c[n+(i<<2)>>2]|0;if((g|0)<(a|0))do{b=j+(c[m+(g<<2)>>2]<<3)|0;h[b>>3]=+(c[l+(g<<2)>>2]|0)+ +h[b>>3];g=g+1|0}while((g|0)<(a|0))}while((i|0)!=(o|0));i=j}else{if(!g){if(!a)j=zz(o<<3)|0;if((o|0)<=0){i=j;break a}i=c[n>>2]|0;e=0;while(1){a=j+(e<<3)|0;h[a>>3]=0.0;e=e+1|0;g=i;i=c[n+(e<<2)>>2]|0;if((g|0)<(i|0)){f=0.0;do{f=f+ +(c[l+(g<<2)>>2]|0)*+h[b+(c[m+(g<<2)>>2]<<3)>>3];h[a>>3]=f;g=g+1|0}while((g|0)<(i|0))}if((e|0)==(o|0)){i=j;break a}}}if(!a)j=zz(k<<3)|0;if((k|0)>0)tQ(j|0,0,k<<3|0)|0;if((o|0)<=0){i=j;break a}e=c[n>>2]|0;k=0;do{g=k;k=k+1|0;a=e;e=c[n+(k<<2)>>2]|0;if((a|0)<(e|0)){i=b+(g<<3)|0;g=a;do{a=j+(c[m+(g<<2)>>2]<<3)|0;h[a>>3]=+(c[l+(g<<2)>>2]|0)*+h[i>>3]+ +h[a>>3];g=g+1|0}while((g|0)<(e|0))}}while((k|0)!=(o|0));i=j}break}default:Na(179560,135725,1315,136030)}while(0);c[d>>2]=i;return}function Up(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;x=c[a+20>>2]|0;z=c[a+24>>2]|0;A=c[b+20>>2]|0;B=c[b+24>>2]|0;y=c[a+32>>2]|0;if(!((y|0)==1?(y|0)==(c[b+32>>2]|0):0))Na(135813,135725,1408,136121);y=c[a>>2]|0;if(((c[a+4>>2]|0)==(c[b>>2]|0)?(o=c[a+16>>2]|0,(o|0)==(c[b+16>>2]|0)):0)?(n=b+4|0,D=zz(c[n>>2]<<2)|0,(D|0)!=0):0){d=c[n>>2]|0;if((d|0)>0){e=0;do{c[D+(e<<2)>>2]=-1;e=e+1|0;d=c[n>>2]|0}while((e|0)<(d|0))}u=(y|0)>0;if(u){g=c[x>>2]|0;m=0;e=0;while(1){f=m;m=m+1|0;l=x+(m<<2)|0;d=c[l>>2]|0;if((g|0)<(d|0)){k=-2-f|0;do{j=c[z+(g<<2)>>2]|0;f=c[A+(j<<2)>>2]|0;j=A+(j+1<<2)|0;d=c[j>>2]|0;if((f|0)<(d|0))do{i=D+(c[B+(f<<2)>>2]<<2)|0;if((c[i>>2]|0)!=(k|0)){c[i>>2]=k;d=c[j>>2]|0;e=e+1|0}f=f+1|0}while((f|0)<(d|0));g=g+1|0;d=c[l>>2]|0}while((g|0)<(d|0))}if((m|0)==(y|0))break;else g=d}d=c[n>>2]|0}else e=0;d=Jp(y,d,e,o,1)|0;a:do if(!d)d=0;else{v=c[d+20>>2]|0;w=c[d+24>>2]|0;b:do switch(o|0){case 1:{s=c[a+28>>2]|0;q=c[b+28>>2]|0;r=c[d+28>>2]|0;c[v>>2]=0;if(u){p=0;e=0;c:while(1){i=c[x+(p<<2)>>2]|0;f=p;p=p+1|0;b=x+(p<<2)|0;g=c[b>>2]|0;if((i|0)<(g|0)){a=v+(f<<2)|0;do{o=c[z+(i<<2)>>2]|0;j=c[A+(o<<2)>>2]|0;o=A+(o+1<<2)|0;f=c[o>>2]|0;if((j|0)<(f|0)){n=s+(i<<3)|0;do{g=B+(j<<2)|0;k=c[g>>2]|0;l=D+(k<<2)|0;m=c[l>>2]|0;if((m|0)<(c[a>>2]|0)){c[l>>2]=e;c[w+(e<<2)>>2]=c[g>>2];h[r+(e<<3)>>3]=+h[n>>3]*+h[q+(j<<3)>>3];f=c[o>>2]|0;e=e+1|0}else{if((c[w+(m<<2)>>2]|0)!=(k|0))break c;u=r+(m<<3)|0;h[u>>3]=+h[u>>3]+ +h[n>>3]*+h[q+(j<<3)>>3]}j=j+1|0}while((j|0)<(f|0));g=c[b>>2]|0}i=i+1|0}while((i|0)<(g|0))}c[v+(p<<2)>>2]=e;if((p|0)>=(y|0)){C=e;break b}}Na(136143,135725,1468,136121)}else C=0;break}case 2:{t=c[a+28>>2]|0;r=c[b+28>>2]|0;s=c[d+28>>2]|0;c[v>>2]=0;if(u){q=0;e=0;d:while(1){i=c[x+(q<<2)>>2]|0;f=q;q=q+1|0;p=x+(q<<2)|0;g=c[p>>2]|0;if((i|0)<(g|0)){b=v+(f<<2)|0;do{a=c[z+(i<<2)>>2]|0;j=c[A+(a<<2)>>2]|0;a=A+(a+1<<2)|0;f=c[a>>2]|0;if((j|0)<(f|0)){o=i<<1;n=t+(o<<3)|0;o=t+((o|1)<<3)|0;do{g=B+(j<<2)|0;k=c[g>>2]|0;l=D+(k<<2)|0;m=c[l>>2]|0;if((m|0)<(c[b>>2]|0)){c[l>>2]=e;c[w+(e<<2)>>2]=c[g>>2];m=j<<1;u=r+(m<<3)|0;m=r+((m|1)<<3)|0;f=e<<1;h[s+(f<<3)>>3]=+h[n>>3]*+h[u>>3]-+h[o>>3]*+h[m>>3];h[s+((f|1)<<3)>>3]=+h[n>>3]*+h[m>>3]+ +h[o>>3]*+h[u>>3];f=c[a>>2]|0;e=e+1|0}else{if((c[w+(m<<2)>>2]|0)!=(k|0))break d;k=j<<1;l=r+(k<<3)|0;k=r+((k|1)<<3)|0;u=m<<1;m=s+(u<<3)|0;h[m>>3]=+h[m>>3]+(+h[n>>3]*+h[l>>3]-+h[o>>3]*+h[k>>3]);u=s+((u|1)<<3)|0;h[u>>3]=+h[n>>3]*+h[k>>3]+ +h[o>>3]*+h[l>>3]+ +h[u>>3]}j=j+1|0}while((j|0)<(f|0));g=c[p>>2]|0}i=i+1|0}while((i|0)<(g|0))}c[v+(q<<2)>>2]=e;if((q|0)>=(y|0)){C=e;break b}}Na(136143,135725,1497,136121)}else C=0;break}case 4:{r=c[a+28>>2]|0;p=c[b+28>>2]|0;q=c[d+28>>2]|0;c[v>>2]=0;if(u){b=0;e=0;e:while(1){i=c[x+(b<<2)>>2]|0;f=b;b=b+1|0;a=x+(b<<2)|0;g=c[a>>2]|0;if((i|0)<(g|0)){o=v+(f<<2)|0;do{n=c[z+(i<<2)>>2]|0;f=c[A+(n<<2)>>2]|0;n=A+(n+1<<2)|0;if((f|0)<(c[n>>2]|0)){m=r+(i<<2)|0;do{g=B+(f<<2)|0;j=c[g>>2]|0;k=D+(j<<2)|0;l=c[k>>2]|0;if((l|0)<(c[o>>2]|0)){c[k>>2]=e;c[w+(e<<2)>>2]=c[g>>2];c[q+(e<<2)>>2]=_(c[p+(f<<2)>>2]|0,c[m>>2]|0)|0;e=e+1|0}else{if((c[w+(l<<2)>>2]|0)!=(j|0))break e;t=_(c[p+(f<<2)>>2]|0,c[m>>2]|0)|0;u=q+(l<<2)|0;c[u>>2]=(c[u>>2]|0)+t}f=f+1|0}while((f|0)<(c[n>>2]|0));g=c[a>>2]|0}i=i+1|0}while((i|0)<(g|0))}c[v+(b<<2)>>2]=e;if((b|0)>=(y|0)){C=e;break b}}Na(136143,135725,1523,136121)}else C=0;break}case 8:{c[v>>2]=0;if(u){b=0;e=0;f:while(1){g=c[x+(b<<2)>>2]|0;f=b;b=b+1|0;a=x+(b<<2)|0;if((g|0)<(c[a>>2]|0)){o=v+(f<<2)|0;do{n=c[z+(g<<2)>>2]|0;i=c[A+(n<<2)>>2]|0;n=A+(n+1<<2)|0;f=c[n>>2]|0;if((i|0)<(f|0))do{j=B+(i<<2)|0;k=c[j>>2]|0;l=D+(k<<2)|0;m=c[l>>2]|0;if((m|0)>=(c[o>>2]|0)){if((c[w+(m<<2)>>2]|0)!=(k|0))break f}else{c[l>>2]=e;c[w+(e<<2)>>2]=c[j>>2];f=c[n>>2]|0;e=e+1|0}i=i+1|0}while((i|0)<(f|0));g=g+1|0}while((g|0)<(c[a>>2]|0))}c[v+(b<<2)>>2]=e;if((b|0)>=(y|0)){C=e;break b}}Na(136143,135725,1543,136121)}else C=0;break}default:{Hp(d);d=0;break a}}while(0);c[d+8>>2]=C}while(0);fQ(D)}else d=0;return d|0}function Vp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0;C=c[a+20>>2]|0;F=c[a+24>>2]|0;G=c[b+20>>2]|0;H=c[b+24>>2]|0;I=c[d+20>>2]|0;D=c[d+24>>2]|0;E=c[a+32>>2]|0;if(!((E|0)==1?(E|0)==(c[b+32>>2]|0):0))Na(135813,135725,1574,136168);E=c[a>>2]|0;if(((((c[a+4>>2]|0)==(c[b>>2]|0)?(c[b+4>>2]|0)==(c[d>>2]|0):0)?(r=c[a+16>>2]|0,(r|0)==(c[b+16>>2]|0)):0)?(r|0)==(c[d+16>>2]|0):0)?(q=d+4|0,K=zz(c[q>>2]<<2)|0,(K|0)!=0):0){e=c[q>>2]|0;if((e|0)>0){f=0;do{c[K+(f<<2)>>2]=-1;f=f+1|0;e=c[q>>2]|0}while((f|0)<(e|0))}z=(E|0)>0;if(z){i=c[C>>2]|0;p=0;f=0;while(1){g=p;p=p+1|0;o=C+(p<<2)|0;e=c[o>>2]|0;if((i|0)<(e|0)){n=-2-g|0;do{m=c[F+(i<<2)>>2]|0;e=c[G+(m<<2)>>2]|0;m=G+(m+1<<2)|0;if((e|0)<(c[m>>2]|0))do{l=c[H+(e<<2)>>2]|0;j=c[I+(l<<2)>>2]|0;l=I+(l+1<<2)|0;g=c[l>>2]|0;if((j|0)<(g|0))do{k=K+(c[D+(j<<2)>>2]<<2)|0;if((c[k>>2]|0)!=(n|0)){c[k>>2]=n;g=c[l>>2]|0;f=f+1|0}j=j+1|0}while((j|0)<(g|0));e=e+1|0}while((e|0)<(c[m>>2]|0));i=i+1|0;e=c[o>>2]|0}while((i|0)<(e|0))}if((p|0)==(E|0))break;else i=e}e=c[q>>2]|0}else f=0;e=Jp(E,e,f,r,1)|0;a:do if(!e)e=0;else{A=c[e+20>>2]|0;B=c[e+24>>2]|0;b:do switch(r|0){case 1:{w=c[a+28>>2]|0;v=c[b+28>>2]|0;t=c[d+28>>2]|0;u=c[e+28>>2]|0;c[A>>2]=0;if(z){s=0;f=0;c:while(1){j=c[C+(s<<2)>>2]|0;g=s;s=s+1|0;d=C+(s<<2)|0;i=c[d>>2]|0;if((j|0)<(i|0)){b=A+(g<<2)|0;do{a=c[F+(j<<2)>>2]|0;k=c[G+(a<<2)>>2]|0;a=G+(a+1<<2)|0;g=c[a>>2]|0;if((k|0)<(g|0)){r=w+(j<<3)|0;do{q=c[H+(k<<2)>>2]|0;l=c[I+(q<<2)>>2]|0;q=I+(q+1<<2)|0;i=c[q>>2]|0;if((l|0)<(i|0)){p=v+(k<<3)|0;do{g=D+(l<<2)|0;m=c[g>>2]|0;n=K+(m<<2)|0;o=c[n>>2]|0;if((o|0)<(c[b>>2]|0)){c[n>>2]=f;c[B+(f<<2)>>2]=c[g>>2];h[u+(f<<3)>>3]=+h[r>>3]*+h[p>>3]*+h[t+(l<<3)>>3];i=c[q>>2]|0;f=f+1|0}else{if((c[B+(o<<2)>>2]|0)!=(m|0))break c;z=u+(o<<3)|0;h[z>>3]=+h[z>>3]+ +h[r>>3]*+h[p>>3]*+h[t+(l<<3)>>3]}l=l+1|0}while((l|0)<(i|0));g=c[a>>2]|0}k=k+1|0}while((k|0)<(g|0));i=c[d>>2]|0}j=j+1|0}while((j|0)<(i|0))}c[A+(s<<2)>>2]=f;if((s|0)>=(E|0)){J=f;break b}}Na(136191,135725,1642,136168)}else J=0;break}case 2:{y=c[a+28>>2]|0;x=c[b+28>>2]|0;v=c[d+28>>2]|0;w=c[e+28>>2]|0;c[A>>2]=0;if(z){u=0;f=0;d:while(1){j=c[C+(u<<2)>>2]|0;g=u;u=u+1|0;t=C+(u<<2)|0;i=c[t>>2]|0;if((j|0)<(i|0)){s=A+(g<<2)|0;do{d=c[F+(j<<2)>>2]|0;k=c[G+(d<<2)>>2]|0;d=G+(d+1<<2)|0;g=c[d>>2]|0;if((k|0)<(g|0)){b=j<<1;a=y+(b<<3)|0;b=y+((b|1)<<3)|0;do{r=c[H+(k<<2)>>2]|0;l=c[I+(r<<2)>>2]|0;r=I+(r+1<<2)|0;i=c[r>>2]|0;if((l|0)<(i|0)){q=k<<1;p=x+(q<<3)|0;q=x+((q|1)<<3)|0;do{g=D+(l<<2)|0;m=c[g>>2]|0;n=K+(m<<2)|0;o=c[n>>2]|0;if((o|0)<(c[s>>2]|0)){c[n>>2]=f;c[B+(f<<2)>>2]=c[g>>2];M=+h[a>>3];N=+h[p>>3];L=+h[b>>3];O=+h[q>>3];z=l<<1;o=v+(z<<3)|0;z=v+((z|1)<<3)|0;i=f<<1;h[w+(i<<3)>>3]=+h[o>>3]*(M*N-L*O)-(N*L+M*O)*+h[z>>3];O=+h[a>>3];M=+h[q>>3];L=+h[b>>3];N=+h[p>>3];h[w+((i|1)<<3)>>3]=+h[o>>3]*(O*M+L*N)+(O*N-M*L)*+h[z>>3];i=c[r>>2]|0;f=f+1|0}else{if((c[B+(o<<2)>>2]|0)!=(m|0))break d;N=+h[a>>3];M=+h[p>>3];O=+h[b>>3];L=+h[q>>3];n=l<<1;m=v+(n<<3)|0;n=v+((n|1)<<3)|0;z=o<<1;o=w+(z<<3)|0;h[o>>3]=+h[o>>3]+(+h[m>>3]*(N*M-O*L)-(M*O+N*L)*+h[n>>3]);L=+h[a>>3];N=+h[q>>3];O=+h[b>>3];M=+h[p>>3];z=w+((z|1)<<3)|0;h[z>>3]=+h[m>>3]*(L*N+O*M)+(L*M-N*O)*+h[n>>3]+ +h[z>>3]}l=l+1|0}while((l|0)<(i|0));g=c[d>>2]|0}k=k+1|0}while((k|0)<(g|0));i=c[t>>2]|0}j=j+1|0}while((j|0)<(i|0))}c[A+(u<<2)>>2]=f;if((u|0)>=(E|0)){J=f;break b}}Na(136191,135725,1674,136168)}else J=0;break}case 4:{v=c[a+28>>2]|0;u=c[b+28>>2]|0;s=c[d+28>>2]|0;t=c[e+28>>2]|0;c[A>>2]=0;if(z){d=0;f=0;e:while(1){j=c[C+(d<<2)>>2]|0;g=d;d=d+1|0;b=C+(d<<2)|0;i=c[b>>2]|0;if((j|0)<(i|0)){a=A+(g<<2)|0;do{r=c[F+(j<<2)>>2]|0;k=c[G+(r<<2)>>2]|0;r=G+(r+1<<2)|0;g=c[r>>2]|0;if((k|0)<(g|0)){q=v+(j<<2)|0;do{p=c[H+(k<<2)>>2]|0;i=c[I+(p<<2)>>2]|0;p=I+(p+1<<2)|0;if((i|0)<(c[p>>2]|0)){o=u+(k<<2)|0;do{g=D+(i<<2)|0;l=c[g>>2]|0;m=K+(l<<2)|0;n=c[m>>2]|0;if((n|0)<(c[a>>2]|0)){c[m>>2]=f;c[B+(f<<2)>>2]=c[g>>2];y=_(c[o>>2]|0,c[q>>2]|0)|0;y=_(y,c[s+(i<<2)>>2]|0)|0;z=t+(f<<2)|0;c[z>>2]=(c[z>>2]|0)+y;f=f+1|0}else{if((c[B+(n<<2)>>2]|0)!=(l|0))break e;y=_(c[o>>2]|0,c[q>>2]|0)|0;y=_(y,c[s+(i<<2)>>2]|0)|0;z=t+(n<<2)|0;c[z>>2]=(c[z>>2]|0)+y}i=i+1|0}while((i|0)<(c[p>>2]|0));g=c[r>>2]|0}k=k+1|0}while((k|0)<(g|0));i=c[b>>2]|0}j=j+1|0}while((j|0)<(i|0))}c[A+(d<<2)>>2]=f;if((d|0)>=(E|0)){J=f;break b}}Na(136191,135725,1706,136168)}else J=0;break}case 8:{c[A>>2]=0;if(z){b=0;f=0;f:while(1){i=c[C+(b<<2)>>2]|0;g=b;b=b+1|0;a=C+(b<<2)|0;if((i|0)<(c[a>>2]|0)){r=A+(g<<2)|0;do{q=c[F+(i<<2)>>2]|0;g=c[G+(q<<2)>>2]|0;q=G+(q+1<<2)|0;if((g|0)<(c[q>>2]|0))do{p=c[H+(g<<2)>>2]|0;k=c[I+(p<<2)>>2]|0;p=I+(p+1<<2)|0;j=c[p>>2]|0;if((k|0)<(j|0))do{l=D+(k<<2)|0;m=c[l>>2]|0;n=K+(m<<2)|0;o=c[n>>2]|0;if((o|0)>=(c[r>>2]|0)){if((c[B+(o<<2)>>2]|0)!=(m|0))break f}else{c[n>>2]=f;c[B+(f<<2)>>2]=c[l>>2];j=c[p>>2]|0;f=f+1|0}k=k+1|0}while((k|0)<(j|0));g=g+1|0}while((g|0)<(c[q>>2]|0));i=i+1|0}while((i|0)<(c[a>>2]|0))}c[A+(b<<2)>>2]=f;if((b|0)>=(E|0)){J=f;break b}}Na(136191,135725,1729,136168)}else J=0;break}default:{Hp(e);e=0;break a}}while(0);c[e+8>>2]=J}while(0);fQ(K)}else e=0;return e|0}function Wp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;v=c[a+20>>2]|0;w=c[a+24>>2]|0;d=c[a+16>>2]|0;t=c[a+4>>2]|0;a:do if(b){n=t<<2;p=zz(n)|0;if((t|0)>0)tQ(p|0,-1,n|0)|0;b:do switch(d|0){case 1:{m=c[a+28>>2]|0;if((c[a>>2]|0)>0){g=c[v>>2]|0;f=g;o=0;d=0;c:while(1){e=o;o=o+1|0;n=v+(o<<2)|0;b=c[n>>2]|0;d:do if((g|0)<(b|0)){l=v+(e<<2)|0;k=f;e=g;while(1){f=w+(e<<2)|0;g=c[f>>2]|0;i=c[p+(g<<2)>>2]|0;if((i|0)<(k|0)){c[w+(d<<2)>>2]=g;h[m+(d<<3)>>3]=+h[m+(e<<3)>>3];c[p+(c[f>>2]<<2)>>2]=d;b=c[n>>2]|0;d=d+1|0}else{if((c[w+(i<<2)>>2]|0)!=(g|0))break c;u=m+(i<<3)|0;h[u>>3]=+h[m+(e<<3)>>3]+ +h[u>>3]}e=e+1|0;if((e|0)>=(b|0))break d;k=c[l>>2]|0}}while(0);c[n>>2]=d;if((o|0)>=(c[a>>2]|0)){x=p;y=d;break b}else{f=d;g=b}}Na(136216,135725,1792,136241)}else{x=p;y=0}break}case 2:{u=c[a+28>>2]|0;switch(b|0){case 1:{if((c[a>>2]|0)<=0){x=p;y=0;break b}f=c[v>>2]|0;g=f;n=0;d=0;e:while(1){e=n;n=n+1|0;m=v+(n<<2)|0;b=c[m>>2]|0;f:do if((f|0)<(b|0)){l=v+(e<<2)|0;k=g;e=f;while(1){f=w+(e<<2)|0;g=c[f>>2]|0;i=c[p+(g<<2)>>2]|0;if((i|0)<(k|0)){c[w+(d<<2)>>2]=g;t=e<<1;b=d<<1;h[u+(b<<3)>>3]=+h[u+(t<<3)>>3];h[u+((b|1)<<3)>>3]=+h[u+((t|1)<<3)>>3];c[p+(c[f>>2]<<2)>>2]=d;b=c[m>>2]|0;d=d+1|0}else{if((c[w+(i<<2)>>2]|0)!=(g|0))break e;s=e<<1;t=i<<1;r=u+(t<<3)|0;h[r>>3]=+h[u+(s<<3)>>3]+ +h[r>>3];t=u+((t|1)<<3)|0;h[t>>3]=+h[u+((s|1)<<3)>>3]+ +h[t>>3]}e=e+1|0;if((e|0)>=(b|0))break f;k=c[l>>2]|0}}while(0);c[m>>2]=d;if((n|0)>=(c[a>>2]|0)){x=p;y=d;break b}else{g=d;f=b}}Na(136216,135725,1815,136241);break}case 4:{if((c[a>>2]|0)<=0){x=p;y=0;break b}g=c[v>>2]|0;f=g;n=0;d=0;g:while(1){e=n;n=n+1|0;m=v+(n<<2)|0;b=c[m>>2]|0;h:do if((g|0)<(b|0)){l=v+(e<<2)|0;k=f;e=g;while(1){f=w+(e<<2)|0;g=c[f>>2]|0;i=c[p+(g<<2)>>2]|0;if((i|0)<(k|0)){c[w+(d<<2)>>2]=g;t=e<<1;b=d<<1;h[u+(b<<3)>>3]=+h[u+(t<<3)>>3];h[u+((b|1)<<3)>>3]=+h[u+((t|1)<<3)>>3];c[p+(c[f>>2]<<2)>>2]=d;b=c[m>>2]|0;d=d+1|0}else{if((c[w+(i<<2)>>2]|0)!=(g|0))break g;s=e<<1;t=i<<1;r=u+(t<<3)|0;h[r>>3]=+h[u+(s<<3)>>3]+ +h[r>>3];h[u+((t|1)<<3)>>3]=+h[u+((s|1)<<3)>>3]}e=e+1|0;if((e|0)>=(b|0))break h;k=c[l>>2]|0}}while(0);c[m>>2]=d;if((n|0)>=(c[a>>2]|0)){x=p;y=d;break b}else{f=d;g=b}}Na(136216,135725,1835,136241);break}case 2:{b=~~+h[u+8>>3];k=c[a>>2]|0;if((k|0)>0){l=c[v>>2]|0;m=0;e=0;d=b;do{m=m+1|0;i=l;l=c[v+(m<<2)>>2]|0;if((i|0)<(l|0)){g=i+1|0;g=e+((l|0)>(g|0)?l:g)|0;f=i;while(1){s=~~+h[u+((e<<1|1)<<3)>>3];d=(d|0)>(s|0)?d:s;b=(b|0)<(s|0)?b:s;f=f+1|0;if((f|0)>=(l|0))break;else e=e+1|0}e=g-i|0}}while((m|0)<(k|0));s=b}else{d=b;s=b}fQ(p);r=d-s+1|0;q=zz(_(r,n)|0)|0;r=_(r,t)|0;if((r|0)>0)tQ(q|0,-1,(_(t,d+1-s|0)|0)<<2|0)|0;if((c[a>>2]|0)<=0){x=q;y=0;break b}g=c[v>>2]|0;f=g;p=0;d=0;i:while(1){e=p;p=p+1|0;o=v+(p<<2)|0;b=c[o>>2]|0;j:do if((g|0)<(b|0)){n=v+(e<<2)|0;e=g;while(1){g=c[w+(e<<2)>>2]|0;i=e<<1;j=+h[u+((i|1)<<3)>>3];k=(_(~~j-s|0,t)|0)+g|0;l=q+(k<<2)|0;m=c[l>>2]|0;if((m|0)<(f|0)){c[w+(d<<2)>>2]=g;b=d<<1;h[u+(b<<3)>>3]=+h[u+(i<<3)>>3];h[u+((b|1)<<3)>>3]=j;c[l>>2]=d;b=c[o>>2]|0;d=d+1|0}else{if((k|0)>=(r|0)){d=58;break i}if((c[w+(m<<2)>>2]|0)!=(g|0)){d=60;break i}m=m<<1;l=u+(m<<3)|0;h[l>>3]=+h[u+(i<<3)>>3]+ +h[l>>3];h[u+((m|1)<<3)>>3]=j}e=e+1|0;if((e|0)>=(b|0))break j;f=c[n>>2]|0}}while(0);c[o>>2]=d;if((p|0)>=(c[a>>2]|0)){x=q;y=d;break b}else{f=d;g=b}}if((d|0)==58)Na(136273,135725,1869,136241);else if((d|0)==60)Na(136294,135725,1870,136241);break}case 3:{b=~~+h[u+8>>3];k=c[a>>2]|0;if((k|0)>0){l=c[v>>2]|0;m=0;e=0;d=b;do{m=m+1|0;i=l;l=c[v+(m<<2)>>2]|0;if((i|0)<(l|0)){g=i+1|0;g=e+((l|0)>(g|0)?l:g)|0;f=i;while(1){s=~~+h[u+(e<<1<<3)>>3];d=(d|0)>(s|0)?d:s;b=(b|0)>(s|0)?b:s;f=f+1|0;if((f|0)>=(l|0))break;else e=e+1|0}e=g-i|0}}while((m|0)<(k|0));q=b}else{d=b;q=b}fQ(p);s=d-q+1|0;p=zz(_(s,n)|0)|0;if((_(s,t)|0)>0)tQ(p|0,-1,(_(t,d+1-q|0)|0)<<2|0)|0;if((c[a>>2]|0)<=0){x=p;y=0;break b}g=c[v>>2]|0;f=g;o=0;d=0;k:while(1){e=o;o=o+1|0;n=v+(o<<2)|0;b=c[n>>2]|0;l:do if((g|0)<(b|0)){m=v+(e<<2)|0;e=g;while(1){g=c[w+(e<<2)>>2]|0;i=e<<1;j=+h[u+(i<<3)>>3];k=p+((_(~~j-q|0,t)|0)+g<<2)|0;l=c[k>>2]|0;if((l|0)<(f|0)){c[w+(d<<2)>>2]=g;b=d<<1;h[u+(b<<3)>>3]=j;h[u+((b|1)<<3)>>3]=+h[u+((i|1)<<3)>>3];c[k>>2]=d;b=c[n>>2]|0;d=d+1|0}else{if((c[w+(l<<2)>>2]|0)!=(g|0))break k;s=l<<1;h[u+(s<<3)>>3]=j;s=u+((s|1)<<3)|0;h[s>>3]=+h[u+((i|1)<<3)>>3]+ +h[s>>3]}e=e+1|0;if((e|0)>=(b|0))break l;f=c[m>>2]|0}}while(0);c[n>>2]=d;if((o|0)>=(c[a>>2]|0)){x=p;y=d;break b}else{f=d;g=b}}Na(136294,135725,1905,136241);break}default:{x=p;y=0;break b}}break}case 4:{l=c[a+28>>2]|0;if((c[a>>2]|0)>0){e=c[v>>2]|0;g=e;n=0;d=0;m:while(1){f=n;n=n+1|0;m=v+(n<<2)|0;b=c[m>>2]|0;n:do if((e|0)<(b|0)){k=v+(f<<2)|0;i=g;while(1){b=w+(e<<2)|0;f=c[b>>2]|0;g=c[p+(f<<2)>>2]|0;if((g|0)<(i|0)){c[w+(d<<2)>>2]=f;c[l+(d<<2)>>2]=c[l+(e<<2)>>2];c[p+(c[b>>2]<<2)>>2]=d;d=d+1|0}else{if((c[w+(g<<2)>>2]|0)!=(f|0))break m;u=l+(g<<2)|0;c[u>>2]=(c[u>>2]|0)+(c[l+(e<<2)>>2]|0)}e=e+1|0;b=c[m>>2]|0;if((e|0)>=(b|0))break n;i=c[k>>2]|0}}while(0);c[m>>2]=d;if((n|0)>=(c[a>>2]|0)){x=p;y=d;break b}else{g=d;e=b}}Na(136216,135725,1929,136241)}else{x=p;y=0}break}case 8:{if((c[a>>2]|0)>0){g=c[v>>2]|0;f=g;n=0;d=0;o:while(1){e=n;n=n+1|0;m=v+(n<<2)|0;b=c[m>>2]|0;p:do if((g|0)<(b|0)){l=v+(e<<2)|0;k=f;e=g;while(1){f=w+(e<<2)|0;g=c[f>>2]|0;i=c[p+(g<<2)>>2]|0;if((i|0)>=(k|0)){if((c[w+(i<<2)>>2]|0)!=(g|0))break o}else{c[w+(d<<2)>>2]=g;c[p+(c[f>>2]<<2)>>2]=d;b=c[m>>2]|0;d=d+1|0}e=e+1|0;if((e|0)>=(b|0))break p;k=c[l>>2]|0}}while(0);c[m>>2]=d;if((n|0)>=(c[a>>2]|0)){x=p;y=d;break b}else{f=d;g=b}}Na(136216,135725,1948,136241)}else{x=p;y=0}break}default:{a=0;break a}}while(0);c[a+8>>2]=y;fQ(x)}while(0);return a|0}function Xp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if((c[a+32>>2]|0)!=2)Na(135882,135725,1971,136316);if((b|0)>=1){p=a+8|0;o=c[p>>2]|0;n=a+12|0;g=o+b|0;if((g|0)<(c[n>>2]|0)){i=a+24|0;h=a+40|0;g=a+20|0}else{k=g+10|0;g=a+20|0;h=k<<2;c[g>>2]=Bz(c[g>>2]|0,h)|0;i=a+24|0;c[i>>2]=Bz(c[i>>2]|0,h)|0;h=a+40|0;j=c[h>>2]|0;do if((j|0)>0){l=a+28|0;m=c[l>>2]|0;j=_(j,k)|0;if(!m){c[l>>2]=zz(j)|0;break}else{c[l>>2]=Bz(m,j)|0;break}}while(0);c[n>>2]=k}m=o<<2;n=b<<2;rQ((c[g>>2]|0)+m|0,d|0,n|0)|0;rQ((c[i>>2]|0)+m|0,e|0,n|0)|0;g=c[h>>2]|0;if(g)rQ((c[a+28>>2]|0)+(_(g,o)|0)|0,f|0,_(g,b)|0)|0;if((b|0)>0){i=a+4|0;h=c[a>>2]|0;j=0;do{g=c[d+(j<<2)>>2]|0;if((g|0)>=(h|0)){h=g+1|0;c[a>>2]=h}g=c[e+(j<<2)>>2]|0;if((g|0)>=(c[i>>2]|0))c[i>>2]=g+1;j=j+1|0}while((j|0)!=(b|0))}c[p>>2]=(c[p>>2]|0)+b}return a|0}function Yp(a){a=a|0;var b=0,d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;a:do if(!a)a=0;else{l=c[a+20>>2]|0;i=c[a+24>>2]|0;switch(c[a+16>>2]|0){case 1:{f=c[a+28>>2]|0;g=c[a>>2]|0;if((g|0)>0){d=c[l>>2]|0;i=0;do{i=i+1|0;b=d;d=c[l+(i<<2)>>2]|0;e=+(d-b|0);if((d|0)>(b|0))do{k=f+(b<<3)|0;h[k>>3]=+h[k>>3]/e;b=b+1|0}while((b|0)<(d|0))}while((i|0)<(g|0))}break}case 2:{d=c[a+28>>2]|0;f=c[a>>2]|0;if((f|0)>0){g=c[l>>2]|0;j=0;do{k=j;j=j+1|0;b=g;g=c[l+(j<<2)>>2]|0;e=+(g-b|0);if((g|0)>(b|0))do{if((c[i+(b<<2)>>2]|0)!=(k|0)){m=b<<1;n=d+(m<<3)|0;h[n>>3]=+h[n>>3]/e;m=d+((m|1)<<3)|0;h[m>>3]=+h[m>>3]/e}b=b+1|0}while((b|0)<(g|0))}while((j|0)<(f|0))}break}case 4:{Na(179560,135725,2192,136357);break}case 8:break;default:{a=0;break a}}}while(0);return a|0}function Zp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;if((a|0)!=0?(b=a+8|0,d=c[b>>2]|0,e=c[a+4>>2]|0,(e|0)==(c[a>>2]|0)):0){f=c[a+24>>2]|0;g=c[a+20>>2]|0;a=Jp(e,e,d,8,1)|0;rQ(c[a+20>>2]|0,g|0,(e<<2)+4|0)|0;rQ(c[a+24>>2]|0,f|0,d<<2|0)|0;c[a+8>>2]=c[b>>2];b=Ip(a,1)|0;Hp(a);b=Op(b)|0;e=b+8|0;d=zz(c[e>>2]<<3)|0;c[b+28>>2]=d;e=c[e>>2]|0;if((e|0)>0){a=0;do{h[d+(a<<3)>>3]=1.0;a=a+1|0}while((a|0)<(e|0))}c[b+16>>2]=1;c[b+40>>2]=8}else b=0;return b|0}function _p(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;p=c[a+20>>2]|0;q=c[a+24>>2]|0;w=c[a+4>>2]|0;n=c[a>>2]|0;t=w<<2;x=zz(t)|0;u=zz(t+4|0)|0;v=zz(t)|0;t=zz(t)|0;m=u+4|0;s=(w|0)>0;if(s){tQ(x|0,0,w<<2|0)|0;c[m>>2]=w;tQ(v|0,-1,w<<2|0)|0}else c[m>>2]=w;if((n|0)>0){f=c[p>>2]|0;o=0;a=1;do{h=p+(o<<2)|0;l=o;o=o+1|0;k=p+(o<<2)|0;g=c[k>>2]|0;if((f|0)<(g|0)){do{g=m+(c[x+(c[q+(f<<2)>>2]<<2)>>2]<<2)|0;c[g>>2]=(c[g>>2]|0)+-1;f=f+1|0;g=c[k>>2]|0}while((f|0)<(g|0));f=c[h>>2]|0}if((f|0)<(g|0)){do{i=q+(f<<2)|0;g=x+(c[i>>2]<<2)|0;j=c[g>>2]|0;h=v+(j<<2)|0;do if((c[h>>2]|0)<(l|0)){c[h>>2]=l;g=m+(j<<2)|0;if(!(c[g>>2]|0)){c[g>>2]=1;c[t+(j<<2)>>2]=j;break}else{c[t+(j<<2)>>2]=a;c[m+(a<<2)>>2]=1;c[x+(c[i>>2]<<2)>>2]=a;a=a+1|0;break}}else{j=t+(j<<2)|0;c[g>>2]=c[j>>2];j=m+(c[j>>2]<<2)|0;c[j>>2]=(c[j>>2]|0)+1}while(0);f=f+1|0;g=c[k>>2]|0}while((f|0)<(g|0));f=g}else f=g}while((o|0)!=(n|0));c[u>>2]=0;if((a|0)>0){g=u;i=a;r=19}else{g=u;h=0;f=a}}else{c[u>>2]=0;g=u;i=1;r=19}if((r|0)==19){a=0;f=0;do{f=f+1|0;r=g+(f<<2)|0;a=(c[r>>2]|0)+a|0;c[r>>2]=a}while((f|0)!=(i|0));h=1;f=i}c[d>>2]=t;if(s){a=0;do{s=g+(c[x+(a<<2)>>2]<<2)|0;d=c[s>>2]|0;c[s>>2]=d+1;c[t+(d<<2)>>2]=a;a=a+1|0}while((a|0)!=(w|0))}if(h){a=f;do{w=a;a=a+-1|0;c[g+(w<<2)>>2]=c[g+(a<<2)>>2]}while((w|0)>1)}c[g>>2]=0;c[e>>2]=u;c[b>>2]=f;fQ(v);fQ(x);return}function $p(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;g=zz(44)|0;c[g>>2]=a;c[g+4>>2]=b;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=d;c[g+40>>2]=e;if((f|0)==2)c[g+20>>2]=0;else c[g+20>>2]=zz((a<<2)+4|0)|0;c[g+24>>2]=0;c[g+28>>2]=0;c[g+32>>2]=f;c[g+36>>2]=0;return g|0}function aq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=c[a+32>>2]|0;f=a+28|0;c[f>>2]=0;d=b<<2;e=zz(d)|0;if((g|0)!=2){c[a+24>>2]=e;d=c[a+40>>2]|0;if((b|0)!=0&(d|0)>0)c[f>>2]=zz(_(d,b)|0)|0}else{c[a+20>>2]=e;c[a+24>>2]=zz(d)|0;c[f>>2]=zz(_(c[a+40>>2]|0,b)|0)|0}c[a+12>>2]=b;return a|0}function bq(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0;if(!((a|0)>-1&((b|0)>0&(d|0)>0)))Na(136391,135725,843,136417);if(!((a|0)<0|((b|0)<1|(d|0)<1))){j=Pp(b,d,a,i,j,1)|0;if(!j)Na(136462,135725,847,136417);p=c[j+20>>2]|0;o=c[j+24>>2]|0;if((b|0)>=0)tQ(p|0,0,(b<<2)+4|0)|0;switch(i|0){case 1:{n=c[j+28>>2]|0;m=(a|0)>0;a:do if(m){l=0;while(1){i=c[e+(l<<2)>>2]|0;if(!((i|0)>-1&(i|0)<(b|0)))break;q=c[f+(l<<2)>>2]|0;if(!((q|0)>-1&(q|0)<(d|0)))break;q=p+(i+1<<2)|0;c[q>>2]=(c[q>>2]|0)+1;l=l+1|0;if((l|0)>=(a|0))break a}Na(179560,135725,862,136417)}while(0);i=c[p>>2]|0;l=0;do{l=l+1|0;q=p+(l<<2)|0;i=(c[q>>2]|0)+i|0;c[q>>2]=i}while((l|0)!=(b|0));if(m){i=0;do{m=p+(c[e+(i<<2)>>2]<<2)|0;q=c[m>>2]|0;h[n+(q<<3)>>3]=+h[g+(i<<3)>>3];d=c[f+(i<<2)>>2]|0;c[m>>2]=q+1;c[o+(q<<2)>>2]=d;i=i+1|0}while((i|0)!=(a|0))}do{q=b;b=b+-1|0;c[p+(q<<2)>>2]=c[p+(b<<2)>>2]}while((q|0)>1);c[p>>2]=0;break}case 2:{n=c[j+28>>2]|0;m=(a|0)>0;b:do if(m){l=0;while(1){i=c[e+(l<<2)>>2]|0;if(!((i|0)>-1&(i|0)<(b|0)))break;q=c[f+(l<<2)>>2]|0;if(!((q|0)>-1&(q|0)<(d|0)))break;q=p+(i+1<<2)|0;c[q>>2]=(c[q>>2]|0)+1;l=l+1|0;if((l|0)>=(a|0))break b}Na(179560,135725,880,136417)}while(0);i=c[p>>2]|0;l=0;do{l=l+1|0;q=p+(l<<2)|0;i=(c[q>>2]|0)+i|0;c[q>>2]=i}while((l|0)!=(b|0));if(m){l=0;i=g;while(1){d=p+(c[e+(l<<2)>>2]<<2)|0;q=c[d>>2]|0;g=q<<1;h[n+(g<<3)>>3]=+h[i>>3];h[n+((g|1)<<3)>>3]=+h[i+8>>3];g=c[f+(l<<2)>>2]|0;c[d>>2]=q+1;c[o+(q<<2)>>2]=g;l=l+1|0;if((l|0)==(a|0))break;else i=i+16|0}}do{q=b;b=b+-1|0;c[p+(q<<2)>>2]=c[p+(b<<2)>>2]}while((q|0)>1);c[p>>2]=0;break}case 4:{n=c[j+28>>2]|0;m=(a|0)>0;c:do if(m){l=0;while(1){i=c[e+(l<<2)>>2]|0;if(!((i|0)>-1&(i|0)<(b|0)))break;q=c[f+(l<<2)>>2]|0;if(!((q|0)>-1&(q|0)<(d|0)))break;q=p+(i+1<<2)|0;c[q>>2]=(c[q>>2]|0)+1;l=l+1|0;if((l|0)>=(a|0))break c}Na(179560,135725,899,136417)}while(0);i=c[p>>2]|0;l=0;do{l=l+1|0;q=p+(l<<2)|0;i=(c[q>>2]|0)+i|0;c[q>>2]=i}while((l|0)!=(b|0));if(m){i=0;do{m=e+(i<<2)|0;c[n+(c[p+(c[m>>2]<<2)>>2]<<2)>>2]=c[g+(i<<2)>>2];d=c[f+(i<<2)>>2]|0;m=p+(c[m>>2]<<2)|0;q=c[m>>2]|0;c[m>>2]=q+1;c[o+(q<<2)>>2]=d;i=i+1|0}while((i|0)!=(a|0))}do{q=b;b=b+-1|0;c[p+(q<<2)>>2]=c[p+(b<<2)>>2]}while((q|0)>1);c[p>>2]=0;break}case 8:{m=(a|0)>0;d:do if(m){l=0;while(1){i=c[e+(l<<2)>>2]|0;if(!((i|0)>-1&(i|0)<(b|0)))break;q=c[f+(l<<2)>>2]|0;if(!((q|0)>-1&(q|0)<(d|0)))break;q=p+(i+1<<2)|0;c[q>>2]=(c[q>>2]|0)+1;l=l+1|0;if((l|0)>=(a|0))break d}Na(179560,135725,915,136417)}while(0);i=c[p>>2]|0;l=0;do{l=l+1|0;q=p+(l<<2)|0;i=(c[q>>2]|0)+i|0;c[q>>2]=i}while((l|0)!=(b|0));if(m){i=0;do{g=c[f+(i<<2)>>2]|0;d=p+(c[e+(i<<2)>>2]<<2)|0;q=c[d>>2]|0;c[d>>2]=q+1;c[o+(q<<2)>>2]=g;i=i+1|0}while((i|0)!=(a|0))}do{q=b;b=b+-1|0;c[p+(q<<2)>>2]=c[p+(b<<2)>>2]}while((q|0)>1);c[p>>2]=0;break}case 16:{m=(a|0)>0;e:do if(m){l=0;while(1){i=c[e+(l<<2)>>2]|0;if(!((i|0)>-1&(i|0)<(b|0)))break;q=c[f+(l<<2)>>2]|0;if(!((q|0)>-1&(q|0)<(d|0)))break;q=p+(i+1<<2)|0;c[q>>2]=(c[q>>2]|0)+1;l=l+1|0;if((l|0)>=(a|0))break e}Na(179560,135725,930,136417)}while(0);i=c[p>>2]|0;l=0;do{l=l+1|0;q=p+(l<<2)|0;i=(c[q>>2]|0)+i|0;c[q>>2]=i}while((l|0)!=(b|0));rQ(c[j+28>>2]|0,g|0,_(c[j+40>>2]|0,a)|0)|0;if(m){i=0;do{g=c[f+(i<<2)>>2]|0;d=p+(c[e+(i<<2)>>2]<<2)|0;q=c[d>>2]|0;c[d>>2]=q+1;c[o+(q<<2)>>2]=g;i=i+1|0}while((i|0)!=(a|0))}do{q=b;b=b+-1|0;c[p+(q<<2)>>2]=c[p+(b<<2)>>2]}while((q|0)>1);c[p>>2]=0;break}default:Na(179560,135725,944,136417)}c[j+8>>2]=a;if(k)j=Wp(j,k)|0}else j=0;return j|0}function cq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,i=0;i=_(b<<3,c)|0;d=zz(i)|0;rQ(d|0,a|0,i|0)|0;if((b|0)>0){e=(c|0)>0;g=0;do{if(e){f=_(g,c)|0;i=0;do{h[a+((_(i,b)|0)+g<<3)>>3]=+h[d+(i+f<<3)>>3];i=i+1|0}while((i|0)!=(c|0))}g=g+1|0}while((g|0)!=(b|0))}fQ(d);return}function dq(){return +(+(MN()|0)/2147483647.0)}function eq(a){a=a|0;if((a|0)>1)return (MN()|0)%(a|0)|0|0;else Na(136464,136470,58,136480);return 0}function fq(a){a=a|0;var b=0,d=0,e=0,f=0;if((a|0)>=1){b=zz(a<<2)|0;d=0;do{c[b+(d<<2)>>2]=d;d=d+1|0}while((d|0)!=(a|0));if((a|0)>1)do{d=eq(a)|0;a=a+-1|0;f=b+(a<<2)|0;e=c[f>>2]|0;d=b+(d<<2)|0;c[f>>2]=c[d>>2];c[d>>2]=e}while((a|0)>1)}else b=0;return b|0}function gq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if((a|0)>0){d=0;do{e=c+(d<<3)|0;h[e>>3]=+h[b+(d<<3)>>3]-+h[e>>3];d=d+1|0}while((d|0)!=(a|0))}return c|0}function hq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;if((a|0)>0){e=0;d=0.0;do{d=d+ +h[b+(e<<3)>>3]*+h[c+(e<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}else d=0.0;return +d}function iq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0;if((a|0)>0){e=0;do{f=c+(e<<3)|0;h[f>>3]=+h[b+(e<<3)>>3]+ +h[f>>3]*d;e=e+1|0}while((e|0)!=(a|0))}return c|0}function jq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,f=0;if((a|0)>0){e=0;do{f=b+(e<<3)|0;h[f>>3]=+h[f>>3]+ +h[c+(e<<3)>>3]*d;e=e+1|0}while((e|0)!=(a|0))}return b|0}function kq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0,g=0.0;if((b|0)>0){f=_(c,b)|0;c=_(d,b)|0;e=0.0;d=0;do{g=+h[a+(d+f<<3)>>3]-+h[a+(d+c<<3)>>3];e=e+g*g;d=d+1|0}while((d|0)!=(b|0))}else e=0.0;g=+O(+e);return +(g>1.0e-15?g:1.0e-15)}function lq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0,g=0.0;if((b|0)>0){f=_(c,b)|0;c=_(d,b)|0;e=0.0;d=0;do{g=+h[a+(d+f<<3)>>3]-+h[a+(d+c<<3)>>3];e=e+g*g;d=d+1|0}while((d|0)!=(b|0))}else e=0.0;return +(+O(+e))}function mq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0.0;if((c|0)>0){d=0.0;e=0;do{f=+h[a+(e<<3)>>3]-+h[b+(e<<3)>>3];d=d+f*f;e=e+1|0}while((e|0)!=(c|0))}else d=0.0;return +(+O(+d))}function nq(a,b,c,d,e,f,g){a=+a;b=+b;c=+c;d=+d;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0;s=i;i=i+80|0;q=s+48|0;n=s+24|0;r=s;p=(f|0)>0;if(p){o=f<<3;rQ(q|0,g|0,o|0)|0;rQ(n|0,g|0,o|0)|0}o=(e|0)>0;if(o){k=0;do{if(p){j=_(k,f)|0;l=0;do{u=+h[g+(l+j<<3)>>3];t=q+(l<<3)|0;m=+h[t>>3];h[t>>3]=u<m?u:m;t=n+(l<<3)|0;m=+h[t>>3];h[t>>3]=u>m?u:m;l=l+1|0}while((l|0)!=(f|0))}k=k+1|0}while((k|0)!=(e|0))}m=+h[n>>3]-+h[q>>3];m=m!=0.0?(c-a)/m:1.0;c=+h[n+8>>3]-+h[q+8>>3];if(c!=0.0){u=(d-b)/c;m=m<u?m:u}h[r>>3]=a;h[r+8>>3]=b;h[r+16>>3]=0.0;if(o){k=0;do{if(p){j=_(k,f)|0;l=0;do{t=g+(l+j<<3)|0;h[t>>3]=+h[r+(l<<3)>>3]+m*(+h[t>>3]-+h[q+(l<<3)>>3]);l=l+1|0}while((l|0)!=(f|0))}k=k+1|0}while((k|0)!=(e|0))}i=s;return}function oq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;j=i;i=i+144|0;g=j;f=j+8|0;e=(vt(a)|0)==1;d=c[(gu(a)|0)+16>>2]|0;if(e){a=c[d+132>>2]|0;c[a>>2]=0;c[a+4>>2]=0;c[a+8>>2]=0;c[a+12>>2]=0}else{e=xu(c[c[d+112>>2]>>2]|0)|0;d=c[13063]|0;if((e|0)!=(d|0)){c[8471]=0;c[13063]=e;c[13064]=Is(e,0,136486,0)|0;c[13065]=Is(c[13063]|0,1,136494,0)|0;c[13066]=Is(c[13063]|0,1,136511,0)|0;d=c[13063]|0}c[13067]=Qs(d,136511)|0;rr(33872);c[8470]=1;h[4238]=+mC(c[13063]|0,c[13064]|0,1.0,0.0);c[8472]=c[13065];c[8473]=c[13066];c[8474]=c[13067];if(!((rC(Qs(b,136516)|0)|0)<<24>>24))d=xr(a,33872)|0;else{d=c[8471]|0;c[8471]=d+1;c[g>>2]=d;DO(f,137042,g)|0;d=sr(rv(a,f,1)|0)|0;e=gu(a)|0;if(e){f=d+8|0;do{lu(c[f>>2]|0,e,1)|0;c[(c[(c[e+16>>2]|0)+112>>2]|0)+12>>2]=d;e=hu(a,e)|0}while((e|0)!=0)}}Br(a,d,33872);yr(d)}i=j;return}function pq(a,b){a=a|0;b=b|0;var d=0;d=zz(32)|0;c[d>>2]=4;h[d+8>>3]=.75;c[d+16>>2]=1073741824;c[d+20>>2]=1;c[d+24>>2]=a;c[d+28>>2]=b;return d|0}function qq(a){a=a|0;fQ(a);return}function rq(a){a=a|0;var b=0,d=0;if(!a)return;d=c[a+8>>2]|0;do if(d){if(c[a>>2]|0){Hp(d);b=c[a+12>>2]|0;if(!b)break;Hp(b);break}if((c[a+36>>2]|0)!=0?(Hp(d),b=c[a+12>>2]|0,(b|0)!=0):0)Hp(b)}while(0);Hp(c[a+16>>2]|0);Hp(c[a+20>>2]|0);b=c[a+24>>2]|0;if((b|0)!=0?(c[a>>2]|0)>0:0)fQ(b);rq(c[a+28>>2]|0);fQ(a);return}function sq(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0;v=i;i=i+32|0;s=v+16|0;t=v+12|0;q=v+8|0;r=v+4|0;u=v;c[s>>2]=a;c[t>>2]=0;c[q>>2]=0;c[r>>2]=0;c[u>>2]=0;c[j>>2]=0;c[k>>2]=0;c[b>>2]=0;c[g>>2]=0;c[e>>2]=0;n=l+28|0;o=l+8|0;p=+(c[a+4>>2]|0);f=d;do{vq(a,s,f,t,0,u,q,r,l,m);f=c[s>>2]|0;if(!f)break;d=c[f+4>>2]|0;f=c[j>>2]|0;if(!f){c[j>>2]=c[q>>2];c[k>>2]=c[r>>2]}else{a=Up(f,c[q>>2]|0)|0;Hp(c[j>>2]|0);Hp(c[q>>2]|0);c[j>>2]=a;a=Up(c[r>>2]|0,c[k>>2]|0)|0;Hp(c[k>>2]|0);Hp(c[r>>2]|0);c[k>>2]=a}f=c[b>>2]|0;if(f)Hp(f);c[b>>2]=c[s>>2];f=c[e>>2]|0;if(f)Hp(f);f=c[t>>2]|0;c[e>>2]=f;a=c[g>>2]|0;if(a){fQ(a);f=c[t>>2]|0}c[g>>2]=c[u>>2];a=c[s>>2]|0;c[u>>2]=0;if(!(+(d|0)>p*+h[o>>3]))break}while((c[n>>2]|0)==1);i=v;return}function tq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;if((Kp(a,0)|0)!=0?(c[a+16>>2]|0)==1:0)f=a;else f=Zp(a)|0;do if(!b)b=0;else{if((Kp(b,0)|0)!=0?(c[b+16>>2]|0)==1:0)break;b=Np(b,0)|0}while(0);b=xq(wq(f,b,d)|0,e)|0;if((f|0)!=(a|0))c[b+36>>2]=1;return b|0}function uq(a){a=a|0;var b=0;while(1){b=c[a+28>>2]|0;if(!b)break;else a=b}return a|0}function vq(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;U=i;i=i+16|0;K=U+8|0;N=U+4|0;O=U;c[b>>2]=0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;T=c[a>>2]|0;P=l+24|0;c[m>>2]=c[P>>2];n=c[P>>2]|0;switch(n|0){case 12:{c[P>>2]=3;c[m>>2]=3;vq(a,b,d,e,f,g,j,k,l,m);if((((c[b>>2]|0)==0?(c[P>>2]=4,c[m>>2]=4,vq(a,b,d,e,f,g,j,k,l,m),(c[b>>2]|0)==0):0)?(c[P>>2]=6,c[m>>2]=6,vq(a,b,d,e,f,g,j,k,l,m),(c[b>>2]|0)==0):0)?(c[P>>2]=9,c[m>>2]=9,vq(a,b,d,e,f,g,j,k,l,m),(c[b>>2]|0)==0):0){c[P>>2]=2;c[m>>2]=2;vq(a,b,d,e,f,g,j,k,l,m)}c[P>>2]=12;break}case 9:case 10:{q=c[l+20>>2]|0;if((n|0)==9){n=a+20|0;w=c[n>>2]|0;B=a+24|0;y=c[B>>2]|0;A=c[a>>2]|0;C=zz(A<<2)|0;m=(A|0)>0;if(m){d=0;do{c[C+(d<<2)>>2]=-100;d=d+1|0}while((d|0)!=(A|0))}if(!q)if(m){m=0;p=0;t=0;while(1){o=C+(t<<2)|0;if((c[o>>2]|0)==-100){d=p+1|0;c[o>>2]=p;q=c[w+(t<<2)>>2]|0;o=t+1|0;s=w+(o<<2)|0;p=c[s>>2]|0;if((q|0)<(p|0)){r=q;do{q=c[y+(r<<2)>>2]|0;if((t|0)!=(q|0)){c[C+(q<<2)>>2]=-1;m=m+1|0;p=c[s>>2]|0}r=r+1|0}while((r|0)<(p|0))}}else{o=t+1|0;d=p}if((o|0)==(A|0))break;else{p=d;t=o}}}else{d=0;m=0}else{v=fq(A)|0;if(m){m=0;p=0;t=0;while(1){s=c[v+(t<<2)>>2]|0;o=C+(s<<2)|0;if((c[o>>2]|0)==-100){d=p+1|0;c[o>>2]=p;p=c[w+(s<<2)>>2]|0;r=w+(s+1<<2)|0;o=c[r>>2]|0;if((p|0)<(o|0)){q=p;do{p=c[y+(q<<2)>>2]|0;if((s|0)!=(p|0)){c[C+(p<<2)>>2]=-1;m=m+1|0;o=c[r>>2]|0}q=q+1|0}while((q|0)<(o|0))}}else d=p;t=t+1|0;if((t|0)==(A|0))break;else p=d}}else{m=0;d=0}fQ(v)}o=B;D=d;d=d+m|0}else{n=a+20|0;w=c[n>>2]|0;B=a+24|0;y=c[B>>2]|0;p=c[a>>2]|0;C=zz(p<<2)|0;c[K>>2]=0;o=(p|0)>0;if(o){d=0;do{c[C+(d<<2)>>2]=-100;d=(c[K>>2]|0)+1|0;c[K>>2]=d}while((d|0)<(p|0))}A=zq(p,(p<<1)+-2|0)|0;if(!q){c[K>>2]=0;if(o){d=0;do{S=d;d=d+1|0;Bq(A,S,(c[w+(d<<2)>>2]|0)-(c[w+(S<<2)>>2]|0)|0)|0;c[K>>2]=d}while((d|0)!=(p|0))}}else{m=fq(p)|0;if(o){d=0;do{S=c[m+(d<<2)>>2]|0;c[K>>2]=S;Bq(A,S,(c[w+(S+1<<2)>>2]|0)-(c[w+(S<<2)>>2]|0)|0)|0;d=d+1|0}while((d|0)!=(p|0))}fQ(m)}if(!(Cq(A,K,N)|0)){m=0;d=0}else{d=0;o=0;while(1){m=o+1|0;c[C+(c[K>>2]<<2)>>2]=o;o=c[K>>2]|0;p=c[w+(o<<2)>>2]|0;if((p|0)<(c[w+(o+1<<2)>>2]|0))do{v=c[y+(p<<2)>>2]|0;if((o|0)!=(v|0)){q=C+(v<<2)|0;if((c[q>>2]|0)==-100){Eq(A,v)|0;c[q>>2]=-1;q=c[w+(v<<2)>>2]|0;t=w+(v+1<<2)|0;o=c[t>>2]|0;if((q|0)<(o|0))do{r=y+(q<<2)|0;s=c[r>>2]|0;do if((v|0)!=(s|0)){if((c[C+(s<<2)>>2]|0)!=-100)break;o=Dq(A,s)|0;c[N>>2]=o;Bq(A,c[r>>2]|0,o+1|0)|0;o=c[t>>2]|0}while(0);q=q+1|0}while((q|0)<(o|0));o=c[K>>2]|0}d=d+1|0}p=p+1|0}while((p|0)<(c[w+(o+1<<2)>>2]|0));if(!(Cq(A,K,N)|0))break;else o=m}}Aq(A);o=B;D=m;d=m+d|0}B=c[n>>2]|0;A=c[o>>2]|0;if(!(c[l+28>>2]|0))if((D|0)==(T|0)?1:+(D|0)>+(T|0)*+h[l+8>>3]){o=0;p=0;n=0}else Q=304;else if((D|0)==(T|0)){o=0;p=0;n=0}else Q=304;if((Q|0)==304)if((D|0)>=(c[l>>2]|0)){p=d<<2;o=zz(p)|0;p=zz(p)|0;n=zz(d<<3)|0;if((T|0)>0){d=0;y=0;while(1){m=C+(y<<2)|0;if((c[m>>2]|0)==-1){v=c[B+(y<<2)>>2]|0;m=y+1|0;w=B+(m<<2)|0;r=c[w>>2]|0;t=(v|0)<(r|0);if(t){s=v;q=0;do{q=((c[C+(c[A+(s<<2)>>2]<<2)>>2]|0)>>>31^1)+q|0;s=s+1|0}while((s|0)<(r|0));if(t){u=1.0/+(q|0);s=v;while(1){q=A+(s<<2)|0;if((c[C+(c[q>>2]<<2)>>2]|0)>-1){c[o+(d<<2)>>2]=y;c[p+(d<<2)>>2]=c[C+(c[q>>2]<<2)>>2];h[n+(d<<3)>>3]=u;q=c[w>>2]|0;d=d+1|0}else q=r;s=s+1|0;if((s|0)>=(q|0))break;else r=q}}}}else{c[o+(d<<2)>>2]=y;c[p+(d<<2)>>2]=c[m>>2];h[n+(d<<3)>>3]=1.0;m=y+1|0;d=d+1|0}if((m|0)==(T|0))break;else y=m}}else d=0;T=Rp(d,T,D,o,p,n,1,8)|0;c[j>>2]=T;T=Gp(T)|0;c[k>>2]=T;j=Vp(T,a,c[j>>2]|0)|0;c[b>>2]=j;if(j){Tp(c[k>>2]|0,f,g,0);f=c[b>>2]|0;g=f+36|0;c[g>>2]=c[g>>2]|3;c[b>>2]=Op(f)|0;c[e>>2]=0}}else{o=0;p=0;n=0}if(!C){m=0;d=0;Q=322}else{fQ(C);m=0;d=0;Q=322}break}case 5:{Q=216;break}case 1:{E=l+20|0;m=c[E>>2]|0;F=a+20|0;A=c[F>>2]|0;G=a+24|0;B=c[G>>2]|0;C=c[a>>2]|0;o=a+4|0;d=c[o>>2]|0;n=zz(C<<2)|0;q=(C|0)>0;if(q){p=0;do{c[n+(p<<2)>>2]=p;p=p+1|0}while((p|0)!=(C|0))}if(!m){if(q){p=c[A>>2]|0;w=0;while(1){v=w;w=w+1|0;s=A+(w<<2)|0;m=c[s>>2]|0;if((p|0)<(m|0)){t=n+(v<<2)|0;do{q=B+(p<<2)|0;r=c[q>>2]|0;if(((v|0)!=(r|0)?(y=n+(r<<2)|0,(c[y>>2]|0)==(r|0)):0)?(c[t>>2]|0)==(v|0):0){c[y>>2]=v;c[t>>2]=c[q>>2];d=d+-1|0;m=c[s>>2]|0}p=p+1|0}while((p|0)<(m|0))}if((w|0)==(C|0))break;else p=m}}}else{y=fq(C)|0;if(q){w=0;do{s=c[y+(w<<2)>>2]|0;p=c[A+(s<<2)>>2]|0;t=A+(s+1<<2)|0;m=c[t>>2]|0;if((p|0)<(m|0)){v=n+(s<<2)|0;do{q=B+(p<<2)|0;r=c[q>>2]|0;if(((s|0)!=(r|0)?(D=n+(r<<2)|0,(c[D>>2]|0)==(r|0)):0)?(c[v>>2]|0)==(s|0):0){c[D>>2]=s;c[v>>2]=c[q>>2];d=d+-1|0;m=c[t>>2]|0}p=p+1|0}while((p|0)<(m|0))}w=w+1|0}while((w|0)!=(C|0))}fQ(y)}m=c[P>>2]|0;if((m|0)==2){d=E;m=F;n=G;Q=185}else Q=215;break}case 2:{d=l+20|0;m=a+20|0;n=a+24|0;o=a+4|0;Q=185;break}case 3:{o=c[l+20>>2]|0;E=c[a+20>>2]|0;G=c[a+24>>2]|0;H=c[a>>2]|0;I=H<<2;m=zz(I)|0;d=zz(I+4|0)|0;I=zz(I)|0;p=(H|0)>0;if(p){n=0;do{c[I+(n<<2)>>2]=n;n=n+1|0}while((n|0)!=(H|0))}c[d>>2]=0;D=c[a+28>>2]|0;if(!o)if(p){n=0;w=0;o=0;do{p=w;w=w+1|0;do if((c[I+(p<<2)>>2]|0)!=-1?(A=c[E+(p<<2)>>2]|0,((c[E+(w<<2)>>2]|0)-A|0)==1):0){v=c[G+(A<<2)>>2]|0;c[I+(v<<2)>>2]=-1;r=o+1|0;c[m+(o<<2)>>2]=v;p=c[E+(v<<2)>>2]|0;t=E+(v+1<<2)|0;o=c[t>>2]|0;if((p|0)<(o|0)){q=o;o=r;do{r=G+(p<<2)|0;s=c[r>>2]|0;if((v|0)!=(s|0)?((c[E+(s+1<<2)>>2]|0)-(c[E+(s<<2)>>2]|0)|0)==1:0){c[I+(s<<2)>>2]=-1;c[m+(o<<2)>>2]=c[r>>2];q=c[t>>2]|0;o=o+1|0}p=p+1|0}while((p|0)<(q|0))}else o=r;p=c[d+(n<<2)>>2]|0;if((o-p|0)<5){n=n+1|0;c[d+(n<<2)>>2]=o;break}p=p+1|0;n=n+1|0;c[d+(n<<2)>>2]=p;if((p|0)<(o|0)){q=p;do{S=p+3|0;p=(o|0)<(S|0)?o:S;n=n+1|0;c[d+(n<<2)>>2]=p;q=q+1|0}while((q|0)<(o|0)&(p|0)<(o|0))}}while(0)}while((w|0)!=(H|0));u=0.0;A=0;t=0;while(1){y=I+(A<<2)|0;p=c[y>>2]|0;if((p|0)!=-1){r=c[E+(A<<2)>>2]|0;q=A+1|0;w=c[E+(q<<2)>>2]|0;if((r|0)<(w|0)){s=p;p=1;v=r;while(1){r=c[G+(v<<2)>>2]|0;if((A|0)!=(r|0)?(c[I+(r<<2)>>2]|0)!=-1:0)if((s|0)!=-1){x=+h[D+(v<<3)>>3];if((p|0)==0?!(x>u):0){p=0;r=t}else{u=x;p=0}}else{s=-1;r=t}else r=t;v=v+1|0;if((v|0)==(w|0))break;else t=r}if(!p){c[I+(r<<2)>>2]=-1;c[y>>2]=-1;c[m+(o<<2)>>2]=A;S=o+2|0;c[m+(o+1<<2)>>2]=r;n=n+1|0;c[d+(n<<2)>>2]=S;p=r;o=S}else p=r}else p=t}else{q=A+1|0;p=t}if((q|0)==(H|0)){p=0;break}else{A=q;t=p}}do{if((c[I+(p<<2)>>2]|0)==(p|0)){S=o+1|0;c[m+(o<<2)>>2]=p;n=n+1|0;c[d+(n<<2)>>2]=S;o=S}p=p+1|0}while((p|0)!=(H|0))}else n=0;else{A=fq(H)|0;if(p){n=0;w=0;o=0;do{p=c[A+(w<<2)>>2]|0;do if((c[I+(p<<2)>>2]|0)!=-1?(B=c[E+(p<<2)>>2]|0,((c[E+(p+1<<2)>>2]|0)-B|0)==1):0){v=c[G+(B<<2)>>2]|0;c[I+(v<<2)>>2]=-1;r=o+1|0;c[m+(o<<2)>>2]=v;p=c[E+(v<<2)>>2]|0;t=E+(v+1<<2)|0;o=c[t>>2]|0;if((p|0)<(o|0)){q=o;o=r;do{r=G+(p<<2)|0;s=c[r>>2]|0;if((v|0)!=(s|0)?((c[E+(s+1<<2)>>2]|0)-(c[E+(s<<2)>>2]|0)|0)==1:0){c[I+(s<<2)>>2]=-1;c[m+(o<<2)>>2]=c[r>>2];q=c[t>>2]|0;o=o+1|0}p=p+1|0}while((p|0)<(q|0))}else o=r;p=c[d+(n<<2)>>2]|0;if((o-p|0)<5){n=n+1|0;c[d+(n<<2)>>2]=o;break}p=p+1|0;n=n+1|0;c[d+(n<<2)>>2]=p;if((p|0)<(o|0)){q=p;do{S=p+3|0;p=(o|0)<(S|0)?o:S;n=n+1|0;c[d+(n<<2)>>2]=p;q=q+1|0}while((q|0)<(o|0)&(p|0)<(o|0))}}while(0);w=w+1|0}while((w|0)!=(H|0));u=0.0;y=0;s=0;while(1){v=c[A+(y<<2)>>2]|0;w=I+(v<<2)|0;p=c[w>>2]|0;if((p|0)!=-1?(C=c[E+(v<<2)>>2]|0,F=c[E+(v+1<<2)>>2]|0,(C|0)<(F|0)):0){q=1;t=C;while(1){r=c[G+(t<<2)>>2]|0;if((v|0)!=(r|0)?(c[I+(r<<2)>>2]|0)!=-1:0)if((p|0)!=-1){x=+h[D+(t<<3)>>3];if((q|0)==0?!(x>u):0){q=0;r=s}else{u=x;q=0}}else{p=-1;r=s}else r=s;t=t+1|0;if((t|0)==(F|0)){p=r;break}else s=r}if(!q){c[I+(p<<2)>>2]=-1;c[w>>2]=-1;c[m+(o<<2)>>2]=v;S=o+2|0;c[m+(o+1<<2)>>2]=p;n=n+1|0;c[d+(n<<2)>>2]=S;o=S}}else p=s;y=y+1|0;if((y|0)==(H|0)){p=0;break}else s=p}do{if((c[I+(p<<2)>>2]|0)==(p|0)){S=o+1|0;c[m+(o<<2)>>2]=p;n=n+1|0;c[d+(n<<2)>>2]=S;o=S}p=p+1|0}while((p|0)!=(H|0))}else n=0;fQ(A)}fQ(I);A=n;Q=150;break}case 4:{A=c[l+20>>2]|0;c[N>>2]=0;c[O>>2]=0;D=c[a+20>>2]|0;E=c[a+24>>2]|0;F=c[a>>2]|0;H=F<<2;m=zz(H)|0;d=zz(H+4|0)|0;H=zz(H)|0;B=(F|0)>0;if(B){n=0;do{c[H+(n<<2)>>2]=n;n=n+1|0}while((n|0)!=(F|0))}_p(a,K,N,O);c[d>>2]=0;C=c[a+28>>2]|0;y=c[O>>2]|0;n=c[N>>2]|0;o=0;q=0;p=0;a:while(1){v=c[K>>2]|0;while(1){if((q|0)>=(v|0))break a;t=q+1|0;w=y+(t<<2)|0;r=c[w>>2]|0;s=c[y+(q<<2)>>2]|0;if((r-s|0)<2)q=t;else break}q=c[d+(o<<2)>>2]|0;if((r|0)>(s|0)){r=p;while(1){S=n+(s<<2)|0;c[H+(c[S>>2]<<2)>>2]=-1;p=r+1|0;c[m+(r<<2)>>2]=c[S>>2];if((p-q|0)>3){o=o+1|0;c[d+(o<<2)>>2]=p;q=p}s=s+1|0;if((s|0)>=(c[w>>2]|0))break;else r=p}}if((p|0)<=(q|0)){q=t;continue}o=o+1|0;c[d+(o<<2)>>2]=p;q=t}if(!A){if(B){u=0.0;B=0;v=0;while(1){A=H+(B<<2)|0;q=c[A>>2]|0;if((q|0)!=-1){s=c[D+(B<<2)>>2]|0;r=B+1|0;y=c[D+(r<<2)>>2]|0;if((s|0)<(y|0)){t=q;q=1;w=s;while(1){s=c[E+(w<<2)>>2]|0;if((B|0)!=(s|0)?(c[H+(s<<2)>>2]|0)!=-1:0)if((t|0)!=-1){x=+h[C+(w<<3)>>3];if((q|0)==0?!(x>u):0){q=0;s=v}else{u=x;q=0}}else{t=-1;s=v}else s=v;w=w+1|0;if((w|0)==(y|0))break;else v=s}if(!q){c[H+(s<<2)>>2]=-1;c[A>>2]=-1;c[m+(p<<2)>>2]=B;S=p+2|0;c[m+(p+1<<2)>>2]=s;o=o+1|0;c[d+(o<<2)>>2]=S;q=s;p=S}else q=s}else q=v}else{r=B+1|0;q=v}if((r|0)==(F|0)){q=0;break}else{B=r;v=q}}do{if((c[H+(q<<2)>>2]|0)==(q|0)){S=p+1|0;c[m+(p<<2)>>2]=q;o=o+1|0;c[d+(o<<2)>>2]=S;p=S}q=q+1|0}while((q|0)!=(F|0))}}else{A=fq(F)|0;if(B){n=o;u=0.0;y=0;s=0;while(1){v=c[A+(y<<2)>>2]|0;w=H+(v<<2)|0;o=c[w>>2]|0;if((o|0)!=-1?(G=c[D+(v<<2)>>2]|0,J=c[D+(v+1<<2)>>2]|0,(G|0)<(J|0)):0){q=1;t=G;while(1){r=c[E+(t<<2)>>2]|0;if((v|0)!=(r|0)?(c[H+(r<<2)>>2]|0)!=-1:0)if((o|0)!=-1){x=+h[C+(t<<3)>>3];if((q|0)==0?!(x>u):0){q=0;r=s}else{u=x;q=0}}else{o=-1;r=s}else r=s;t=t+1|0;if((t|0)==(J|0)){o=r;break}else s=r}if(!q){c[H+(o<<2)>>2]=-1;c[w>>2]=-1;c[m+(p<<2)>>2]=v;S=p+2|0;c[m+(p+1<<2)>>2]=o;n=n+1|0;c[d+(n<<2)>>2]=S;p=S}}else o=s;y=y+1|0;if((y|0)==(F|0)){o=0;break}else s=o}do{if((c[H+(o<<2)>>2]|0)==(o|0)){S=p+1|0;c[m+(p<<2)>>2]=o;n=n+1|0;c[d+(n<<2)>>2]=S;p=S}o=o+1|0}while((o|0)!=(F|0))}else n=o;fQ(A);o=n;n=c[N>>2]|0}fQ(n);fQ(c[O>>2]|0);fQ(H);A=o;Q=150;break}case 6:{A=c[a+20>>2]|0;B=c[a+24>>2]|0;D=c[a>>2]|0;G=D<<2;m=zz(G)|0;d=zz(G+4|0)|0;G=zz(G)|0;C=zz(D<<4)|0;o=(D|0)>0;if(o){n=0;do{c[G+(n<<2)>>2]=n;n=n+1|0}while((n|0)!=(D|0))}c[d>>2]=0;y=c[a+28>>2]|0;F=fq(D)|0;if(o){n=0;w=0;o=0;do{p=c[F+(w<<2)>>2]|0;do if((c[G+(p<<2)>>2]|0)!=-1?(E=c[A+(p<<2)>>2]|0,((c[A+(p+1<<2)>>2]|0)-E|0)==1):0){v=c[B+(E<<2)>>2]|0;c[G+(v<<2)>>2]=-1;r=o+1|0;c[m+(o<<2)>>2]=v;p=c[A+(v<<2)>>2]|0;t=A+(v+1<<2)|0;o=c[t>>2]|0;if((p|0)<(o|0)){q=o;o=r;do{r=B+(p<<2)|0;s=c[r>>2]|0;if((v|0)!=(s|0)?((c[A+(s+1<<2)>>2]|0)-(c[A+(s<<2)>>2]|0)|0)==1:0){c[G+(s<<2)>>2]=-1;c[m+(o<<2)>>2]=c[r>>2];q=c[t>>2]|0;o=o+1|0}p=p+1|0}while((p|0)<(q|0))}else o=r;p=c[d+(n<<2)>>2]|0;if((o-p|0)<5){n=n+1|0;c[d+(n<<2)>>2]=o;break}p=p+1|0;n=n+1|0;c[d+(n<<2)>>2]=p;if((p|0)<(o|0)){q=p;do{S=p+3|0;p=(o|0)<(S|0)?o:S;n=n+1|0;c[d+(n<<2)>>2]=p;q=q+1|0}while((q|0)<(o|0)&(p|0)<(o|0))}}while(0);w=w+1|0}while((w|0)!=(D|0));w=0;do{t=c[F+(w<<2)>>2]|0;v=G+(t<<2)|0;p=c[v>>2]|0;if((p|0)!=-1?(H=c[A+(t<<2)>>2]|0,I=c[A+(t+1<<2)>>2]|0,(H|0)<(I|0)):0){s=H;r=0;while(1){q=c[B+(s<<2)>>2]|0;if((t|0)!=(q|0)?(c[G+(q<<2)>>2]|0)!=-1:0)if((p|0)==-1){p=-1;q=r}else{S=r<<1;h[C+(S<<3)>>3]=+(q|0);h[C+((S|1)<<3)>>3]=+h[y+(s<<3)>>3];q=r+1|0}else q=r;s=s+1|0;if((s|0)==(I|0)){p=q;break}else r=q}if((p|0)>0){PO(C,p,16,82);p=(p|0)<3?~p:-4;q=~p;r=0;s=o;while(1){S=~~+h[C+(r<<1<<3)>>3];c[G+(S<<2)>>2]=-1;c[m+(s<<2)>>2]=S;r=r+1|0;if((r|0)==(q|0))break;else s=s+1|0}S=o+-1-p|0;c[v>>2]=-1;o=S+1|0;c[m+(S<<2)>>2]=t;n=n+1|0;c[d+(n<<2)>>2]=o}}w=w+1|0}while((w|0)!=(D|0));p=0;do{if((c[G+(p<<2)>>2]|0)==(p|0)){S=o+1|0;c[m+(o<<2)>>2]=p;n=n+1|0;c[d+(n<<2)>>2]=S;o=S}p=p+1|0}while((p|0)!=(D|0))}else n=0;fQ(F);fQ(G);A=n;Q=150;break}default:{}}do if((Q|0)==150){if(!(c[l+28>>2]|0)){if((A|0)==(T|0)?1:+(A|0)>+(T|0)*+h[l+8>>3]){Q=328;break}}else if((A|0)==(T|0)){Q=328;break}if((A|0)>=(c[l>>2]|0)){p=T<<2;o=zz(p)|0;p=zz(p)|0;n=zz(T<<3)|0;if((A|0)>0){q=0;s=c[d>>2]|0;y=0;while(1){w=y;y=y+1|0;v=d+(y<<2)|0;r=c[v>>2]|0;if((s|0)<(r|0))while(1){c[o+(q<<2)>>2]=c[m+(s<<2)>>2];c[p+(q<<2)>>2]=w;t=q+1|0;h[n+(q<<3)>>3]=1.0;s=s+1|0;r=c[v>>2]|0;if((s|0)>=(r|0)){q=t;break}else q=t}if((y|0)==(A|0))break;else s=r}}else q=0;T=Rp(q,T,A,o,p,n,1,8)|0;c[j>>2]=T;c[k>>2]=Gp(T)|0;c[e>>2]=0;e=Vp(c[k>>2]|0,a,c[j>>2]|0)|0;c[b>>2]=e;if(!e)Q=322;else{Tp(c[k>>2]|0,f,g,0);c[k>>2]=Yp(c[k>>2]|0)|0;Q=c[b>>2]|0;f=Q+36|0;c[f>>2]=c[f>>2]|3;c[b>>2]=Op(Q)|0;Q=322}}else Q=328}else if((Q|0)==185){p=c[d>>2]|0;B=c[m>>2]|0;y=c[n>>2]|0;A=c[a>>2]|0;d=c[o>>2]|0;n=zz(A<<2)|0;o=(A|0)>0;if(o){m=0;do{c[n+(m<<2)>>2]=m;m=m+1|0}while((m|0)!=(A|0))}w=c[a+28>>2]|0;if(!p){if(o){u=0.0;v=0;m=0;do{p=c[B+(v<<2)>>2]|0;t=v;v=v+1|0;r=c[B+(v<<2)>>2]|0;if((p|0)<(r|0)){s=n+(t<<2)|0;o=1;do{q=c[y+(p<<2)>>2]|0;if(((t|0)!=(q|0)?(c[n+(q<<2)>>2]|0)==(q|0):0)?(c[s>>2]|0)==(t|0):0){x=+h[w+(p<<3)>>3];if((o|0)==0?!(x>u):0)o=0;else{u=x;o=0;m=q}}p=p+1|0}while((p|0)!=(r|0));if(!o){c[n+(m<<2)>>2]=t;c[s>>2]=m;d=d+-1|0}}}while((v|0)!=(A|0))}}else{v=fq(A)|0;if(o){u=0.0;t=0;m=0;do{r=c[v+(t<<2)>>2]|0;s=n+(r<<2)|0;if((c[s>>2]|0)==(r|0)?(L=c[B+(r<<2)>>2]|0,M=c[B+(r+1<<2)>>2]|0,(L|0)<(M|0)):0){o=1;q=L;do{p=c[y+(q<<2)>>2]|0;if((r|0)!=(p|0)?(c[n+(p<<2)>>2]|0)==(p|0):0){x=+h[w+(q<<3)>>3];if((o|0)==0?!(x>u):0)o=0;else{u=x;o=0;m=p}}q=q+1|0}while((q|0)!=(M|0));if(!o){c[n+(m<<2)>>2]=r;c[s>>2]=m;d=d+-1|0}}t=t+1|0}while((t|0)!=(A|0))}fQ(v)}m=c[P>>2]|0;Q=215}while(0);if((Q|0)==215)if((m|0)==5)Q=216;else{v=n;Q=246}b:do if((Q|0)==216){n=c[l+20>>2]|0;y=c[a+20>>2]|0;A=c[a+24>>2]|0;B=c[a>>2]|0;d=c[a+4>>2]|0;v=zz(B<<2)|0;o=(B|0)>0;if(o){m=0;do{c[v+(m<<2)>>2]=m;m=m+1|0}while((m|0)!=(B|0))}w=c[a+28>>2]|0;if(!n){if(o){u=0.0;t=0;m=0}else{Q=246;break}while(1){o=c[y+(t<<2)>>2]|0;s=t;t=t+1|0;q=c[y+(t<<2)>>2]|0;if((q|0)>(o|0)){r=v+(s<<2)|0;z=+(q-o|0);n=1;do{p=c[A+(o<<2)>>2]|0;if(((s|0)!=(p|0)?(c[v+(p<<2)>>2]|0)==(p|0):0)?(c[r>>2]|0)==(s|0):0){x=+h[w+(o<<3)>>3]/z/+((c[y+(p+1<<2)>>2]|0)-(c[y+(p<<2)>>2]|0)|0);if((n|0)==0?!(x>u):0)n=0;else{u=x;n=0;m=p}}o=o+1|0}while((o|0)!=(q|0));if(!n){c[v+(m<<2)>>2]=s;c[r>>2]=m;d=d+-1|0}}if((t|0)==(B|0)){Q=246;break b}}}t=fq(B)|0;if(o){u=0.0;s=0;m=0;do{q=c[t+(s<<2)>>2]|0;r=v+(q<<2)|0;if((c[r>>2]|0)==(q|0)?(R=c[y+(q<<2)>>2]|0,S=c[y+(q+1<<2)>>2]|0,(S|0)>(R|0)):0){z=+(S-R|0);n=1;p=R;do{o=c[A+(p<<2)>>2]|0;if((q|0)!=(o|0)?(c[v+(o<<2)>>2]|0)==(o|0):0){x=+h[w+(p<<3)>>3]/z/+((c[y+(o+1<<2)>>2]|0)-(c[y+(o<<2)>>2]|0)|0);if((n|0)==0?!(x>u):0)n=0;else{u=x;n=0;m=o}}p=p+1|0}while((p|0)!=(S|0));if(!n){c[v+(m<<2)>>2]=q;c[r>>2]=m;d=d+-1|0}}s=s+1|0}while((s|0)!=(B|0))}fQ(t);Q=246}while(0);if((Q|0)==246){if(!(c[l+28>>2]|0))if((d|0)==(T|0)?1:+(d|0)>+(T|0)*+h[l+8>>3]){o=0;p=0;n=0}else Q=249;else if((d|0)==(T|0)){o=0;p=0;n=0}else Q=249;if((Q|0)==249)if((d|0)>=(c[l>>2]|0)){p=T<<2;o=zz(p)|0;p=zz(p)|0;n=zz(T<<3)|0;if((T|0)>0){s=0;t=0;d=0;while(1){r=v+(t<<2)|0;q=c[r>>2]|0;if((q|0)>-1){c[o+(s<<2)>>2]=t;c[p+(s<<2)>>2]=d;m=s+1|0;h[n+(s<<3)>>3]=1.0;if((q|0)!=(t|0)){c[o+(m<<2)>>2]=c[r>>2];c[p+(m<<2)>>2]=d;h[n+(m<<3)>>3]=1.0;c[v+(c[r>>2]<<2)>>2]=-1;m=s+2|0}c[r>>2]=-1;d=d+1|0}else m=s;t=t+1|0;if((t|0)==(T|0))break;else s=m}}else{m=0;d=0}T=Rp(m,T,d,o,p,n,1,8)|0;c[j>>2]=T;T=Gp(T)|0;c[k>>2]=T;j=Vp(T,a,c[j>>2]|0)|0;c[b>>2]=j;if(j){Tp(c[k>>2]|0,f,g,0);c[k>>2]=Yp(c[k>>2]|0)|0;f=c[b>>2]|0;g=f+36|0;c[g>>2]=c[g>>2]|3;c[b>>2]=Op(f)|0;c[e>>2]=0}}else{o=0;p=0;n=0}if(!v){m=0;d=0;Q=322}else{fQ(v);m=0;d=0;Q=322}}if((Q|0)==322){if(o)fQ(o);if(p)fQ(p);if(!n)Q=328;else{fQ(n);Q=328}}if((Q|0)==328){if(m)fQ(m);if(d)fQ(d)}i=U;return}function wq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if(!a)a=0;else{e=zz(44)|0;c[e>>2]=0;c[e+4>>2]=c[a+4>>2];c[e+8>>2]=a;c[e+12>>2]=b;c[e+16>>2]=0;c[e+20>>2]=0;c[e+24>>2]=d;c[e+28>>2]=0;c[e+32>>2]=0;c[e+36>>2]=0;a=e}return a|0}function xq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+32|0;k=l+20|0;j=l+16|0;e=l+12|0;f=l+8|0;g=l+4|0;h=l;c[j>>2]=0;if((c[a>>2]|0)<((c[b+16>>2]|0)+-1|0)?(sq(c[a+8>>2]|0,g,c[a+12>>2]|0,h,0,j,e,f,b,k),d=c[g>>2]|0,(d|0)!=0):0){h=c[h>>2]|0;j=wq(d,h,c[j>>2]|0)|0;c[a+28>>2]=j;c[j+40>>2]=c[k>>2];c[j>>2]=(c[a>>2]|0)+1;c[j+4>>2]=c[d>>2];c[j+8>>2]=d;c[j+12>>2]=h;c[j+16>>2]=c[e>>2];c[a+20>>2]=c[f>>2];c[j+32>>2]=a;xq(j,b)|0}i=l;return a|0}function yq(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;d=+h[a+8>>3];c=+h[b+8>>3];return (d>c?-1:d<c&1)|0}function zq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;h=zz(28)|0;c[h>>2]=0;c[h+4>>2]=a;c[h+8>>2]=b;c[h+12>>2]=-1;e=b+1|0;d=zz(e<<2)|0;f=h+16|0;c[f>>2]=d;if((b|0)>-1?(c[d>>2]=0,(b|0)>0):0){d=1;do{c[(c[f>>2]|0)+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(e|0))}g=a+1|0;b=g<<2;d=zz(b)|0;e=h+20|0;c[e>>2]=d;f=(a|0)>-1;if(f){c[d>>2]=0;if((a|0)>0){d=1;do{c[(c[e>>2]|0)+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(g|0))}b=zz(b)|0;c[h+24>>2]=b;if(f){d=0;do{c[b+(d<<2)>>2]=-999;d=d+1|0}while((d|0)<(g|0))}}else c[h+24>>2]=zz(b)|0;return h|0}function Aq(a){a=a|0;var b=0,d=0,e=0;if(a){d=a+16|0;b=c[d>>2]|0;if(b){e=a+8|0;if((c[e>>2]|0)>-1){nr(c[b>>2]|0,104);if((c[e>>2]|0)>0){b=0;do{b=b+1|0;nr(c[(c[d>>2]|0)+(b<<2)>>2]|0,104)}while((b|0)<(c[e>>2]|0))}b=c[d>>2]|0}fQ(b)}b=c[a+20>>2]|0;if(b)fQ(b);fQ(c[a+24>>2]|0);fQ(a)}return}function Bq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if(!a)Na(180300,136525,69,136541);e=a+8|0;i=a+20|0;h=a+24|0;j=a+16|0;a:do if((c[e>>2]|0)>=(d|0)){while(1){f=(c[i>>2]|0)+(b<<2)|0;g=c[f>>2]|0;if(!g)break;k=c[(c[h>>2]|0)+(b<<2)>>2]|0;c[f>>2]=0;c[a>>2]=(c[a>>2]|0)+-1;qr(g,104,(c[j>>2]|0)+(k<<2)|0);if((c[e>>2]|0)<(d|0))break a}c[a>>2]=(c[a>>2]|0)+1;e=a+12|0;if((c[e>>2]|0)<(d|0))c[e>>2]=d;c[(c[h>>2]|0)+(b<<2)>>2]=d;e=zz(4)|0;c[e>>2]=b;f=c[(c[j>>2]|0)+(d<<2)>>2]|0;if(!f){k=mr(e)|0;c[(c[i>>2]|0)+(b<<2)>>2]=k;c[(c[j>>2]|0)+(d<<2)>>2]=k}else{k=or(f,e)|0;c[(c[i>>2]|0)+(b<<2)>>2]=k;c[(c[j>>2]|0)+(d<<2)>>2]=k}return a|0}while(0);Na(136560,136525,70,136541);return 0}function Cq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((a|0)!=0?(c[a>>2]|0)>=1:0){g=a+12|0;e=c[g>>2]|0;c[d>>2]=e;c[a>>2]=(c[a>>2]|0)+-1;f=a+16|0;d=c[(c[f>>2]|0)+(e<<2)>>2]|0;c[b>>2]=c[(pr(d)|0)>>2];qr(d,104,(c[f>>2]|0)+(e<<2)|0);f=c[f>>2]|0;if(!(c[f+(e<<2)>>2]|0)){a:do if((e|0)>-1){d=e;while(1){e=d+-1|0;if((d|0)<=0)break a;if(!(c[f+(e<<2)>>2]|0))d=e;else break}}while(0);c[g>>2]=e}e=c[b>>2]|0;c[(c[a+20>>2]|0)+(e<<2)>>2]=0;c[(c[a+24>>2]|0)+(e<<2)>>2]=-999;e=1}else e=0;return e|0}function Dq(a,b){a=a|0;b=b|0;return c[(c[a+24>>2]|0)+(b<<2)>>2]|0}function Eq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;if((a|0)!=0?(e=c[a>>2]|0,(e|0)>=1):0){h=a+24|0;d=c[(c[h>>2]|0)+(b<<2)>>2]|0;c[a>>2]=e+-1;g=a+20|0;e=a+16|0;qr(c[(c[g>>2]|0)+(b<<2)>>2]|0,104,(c[e>>2]|0)+(d<<2)|0);a=a+12|0;if((d|0)==(c[a>>2]|0)?(f=c[e>>2]|0,(c[f+(d<<2)>>2]|0)==0):0){a:do if((d|0)>-1){e=d;while(1){d=e+-1|0;if((e|0)<=0)break a;if(!(c[f+(d<<2)>>2]|0))e=d;else break}}while(0);c[a>>2]=d}c[(c[g>>2]|0)+(b<<2)>>2]=0;c[(c[h>>2]|0)+(b<<2)>>2]=-999;d=1}else d=0;return d|0}function Fq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0,g=0.0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0;if(!(Kp(a,0)|0))Na(136577,136613,260,136628);r=Lp(a)|0;s=c[r+20>>2]|0;t=c[r+24>>2]|0;f=r+16|0;a=r+28|0;if((c[f>>2]|0)==1)q=c[a>>2]|0;else{fQ(c[a>>2]|0);c[f>>2]=1;q=zz(c[r+8>>2]<<3)|0;c[a>>2]=q}n=zz(c[r>>2]<<2)|0;if((c[r>>2]|0)>0){f=0;do{c[n+(f<<2)>>2]=-1;f=f+1|0;a=c[r>>2]|0}while((f|0)<(a|0));if((a|0)>0){a=c[s>>2]|0;m=0;a:while(1){l=m;m=m+1|0;j=s+(m<<2)|0;k=s+(l<<2)|0;g=+((c[j>>2]|0)-a|0);c[n+(l<<2)>>2]=l;f=c[k>>2]|0;a=c[j>>2]|0;if((f|0)<(a|0)){do{i=c[t+(f<<2)>>2]|0;if((l|0)!=(i|0)){c[n+(i<<2)>>2]=l;a=c[j>>2]|0}f=f+1|0}while((f|0)<(a|0));f=c[k>>2]|0;j=a}else j=a;if((f|0)<(j|0))do{a=c[t+(f<<2)>>2]|0;if((l|0)!=(a|0)){i=c[s+(a+1<<2)>>2]|0;a=c[s+(a<<2)>>2]|0;e=g+ +(i-a|0);if((i|0)>(a|0))do{e=(c[n+(c[t+(a<<2)>>2]<<2)>>2]|0)==(l|0)?e+-1.0:e;a=a+1|0}while((a|0)<(i|0));h[q+(f<<3)>>3]=e;if(!(e>0.0)){p=23;break a}}f=f+1|0}while((f|0)<(j|0));a=c[r>>2]|0;if((m|0)>=(a|0)){o=a;break}else a=j}if((p|0)==23)Na(136650,136613,290,136628);if((o|0)>0){i=c[s>>2]|0;m=0;a=0;g=0.0;e=0.0;do{l=m;m=m+1|0;k=s+(m<<2)|0;f=c[k>>2]|0;if((i|0)<(f|0)){j=i;do{i=c[t+(j<<2)>>2]|0;if((l|0)!=(i|0)){g=g+ +lq(d,b,l,i);f=c[k>>2]|0;a=a+1|0;e=e+ +h[q+(j<<3)>>3]}j=j+1|0}while((j|0)<(f|0));i=f}else i=f;f=c[r>>2]|0}while((m|0)<(f|0));k=f;u=+(a|0);e=g/u/(e/u);if((k|0)>0){i=0;do{a=c[s+(i<<2)>>2]|0;j=i;i=i+1|0;f=c[s+(i<<2)>>2]|0;if((a|0)<(f|0))do{if((j|0)!=(c[t+(a<<2)>>2]|0)){d=q+(a<<3)|0;h[d>>3]=e*+h[d>>3]}a=a+1|0}while((a|0)<(f|0))}while((i|0)<(k|0))}}}}return r|0}function Gq(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0;K=c[a>>2]|0;L=c[a+20>>2]|0;M=c[a+24>>2]|0;if(!(Kp(a,0)|0))Na(136577,136613,333,136658);S=Fq(a,b,e)|0;g=zz(56)|0;T=g+32|0;h[T>>3]=1.0;c[g+20>>2]=0;c[g+24>>2]=0;h[g+40>>3]=.01;c[g+48>>2]=~~+O(+(+(c[a>>2]|0)));j=K<<3;J=zz(j)|0;c[g+12>>2]=J;w=(K|0)>0;if(w){a=0;do{h[J+(a<<3)>>3]=d;a=a+1|0}while((a|0)!=(K|0))}R=zz(K<<2)|0;Q=zz(j)|0;if(w){j=c[L>>2]|0;n=0;while(1){o=Q+(n<<3)|0;h[o>>3]=0.0;p=n+1|0;m=L+(p<<2)|0;a=c[m>>2]|0;if((j|0)<(a|0)){d=0.0;l=a;a=0}else{v=13;break}while(1){k=c[M+(j<<2)>>2]|0;if((n|0)==(k|0))k=l;else{d=+lq(e,b,n,k);d=d+ +h[o>>3];h[o>>3]=d;k=c[m>>2]|0;a=a+1|0}j=j+1|0;if((j|0)>=(k|0)){j=k;break}else l=k}if((a|0)<=0){v=13;break}h[o>>3]=d/+(a|0);if((p|0)<(K|0))n=p;else break}if((v|0)==13)Na(136690,136613,358,136658);if(w){tQ(R|0,-1,K<<2|0)|0;v=0;a=0;do{c[R+(v<<2)>>2]=v;m=L+(v<<2)|0;k=c[m>>2]|0;p=v;v=v+1|0;o=L+(v<<2)|0;j=c[o>>2]|0;if((k|0)<(j|0)){do{l=R+(c[M+(k<<2)>>2]<<2)|0;if((c[l>>2]|0)!=(p|0)){c[l>>2]=p;j=c[o>>2]|0;a=a+1|0}k=k+1|0}while((k|0)<(j|0));k=c[m>>2]|0}if((k|0)<(j|0))do{n=c[M+(k<<2)>>2]|0;l=c[L+(n<<2)>>2]|0;n=L+(n+1<<2)|0;j=c[n>>2]|0;if((l|0)<(j|0))do{m=R+(c[M+(l<<2)>>2]<<2)|0;if((c[m>>2]|0)!=(p|0)){c[m>>2]=p;j=c[n>>2]|0;a=a+1|0}l=l+1|0}while((l|0)<(j|0));k=k+1|0}while((k|0)<(c[o>>2]|0))}while((v|0)!=(K|0))}else a=0}else a=0;j=a+K|0;H=g+4|0;c[H>>2]=Jp(K,K,j,1,1)|0;j=Jp(K,K,j,1,1)|0;I=g+8|0;c[I>>2]=j;a=c[H>>2]|0;if((j|0)==0|(a|0)==0){Hq(g);g=0}else{E=c[a+20>>2]|0;F=c[a+24>>2]|0;C=c[a+28>>2]|0;G=c[j+28>>2]|0;D=c[j+20>>2]|0;B=c[j+24>>2]|0;c[D>>2]=0;c[E>>2]=0;do if(w){A=0;a=0;d=0.0;s=0.0;a:while(1){x=A+K|0;c[R+(A<<2)>>2]=x;o=L+(A<<2)|0;k=c[o>>2]|0;z=A;A=A+1|0;y=L+(A<<2)|0;j=c[y>>2]|0;if((k|0)<(j|0)){n=Q+(z<<3)|0;t=0.0;q=0.0;do{m=c[M+(k<<2)>>2]|0;l=R+(m<<2)|0;if((c[l>>2]|0)!=(x|0)){c[l>>2]=x;c[F+(a<<2)>>2]=m;switch(f|0){case 0:{u=1.0;break}case 1:{u=(+h[n>>3]+ +h[Q+(m<<3)>>3])*.5;break}case 2:{u=+P(+(+kq(e,b,z,m)),.4);break}default:{v=37;break a}}V=-1.0/(u*u);h[C+(a<<3)>>3]=V;c[B+(a<<2)>>2]=m;U=u*V;j=G+(a<<3)|0;h[j>>3]=U;s=s+U*+lq(e,b,z,m);U=+h[j>>3];j=c[y>>2]|0;t=t+U;q=q+V;a=a+1|0;d=d+u*U}k=k+1|0}while((k|0)<(j|0));k=c[o>>2]|0}else{t=0.0;q=0.0}if((k|0)<(j|0)){w=Q+(z<<3)|0;do{o=c[M+(k<<2)>>2]|0;l=c[L+(o<<2)>>2]|0;p=L+(o+1<<2)|0;j=c[p>>2]|0;if((l|0)<(j|0)){v=Q+(o<<3)|0;n=l;do{m=M+(n<<2)|0;l=R+(c[m>>2]<<2)|0;if((c[l>>2]|0)!=(x|0)){c[l>>2]=x;switch(f|0){case 0:{u=2.0;break}case 1:{u=(+h[w>>3]+ +h[v>>3]*2.0+ +h[Q+(c[m>>2]<<3)>>3])*.5;break}case 2:{u=+P(+(+kq(e,b,z,c[m>>2]|0)),.4);break}default:{v=49;break a}}c[F+(a<<2)>>2]=c[m>>2];U=-1.0/(u*u);h[C+(a<<3)>>3]=U;c[B+(a<<2)>>2]=c[m>>2];V=u*U;j=G+(a<<3)|0;h[j>>3]=V;s=s+V*+lq(e,b,c[m>>2]|0,o);V=+h[j>>3];j=c[p>>2]|0;t=t+V;q=q+U;a=a+1|0;d=d+u*V}n=n+1|0}while((n|0)<(j|0))}k=k+1|0}while((k|0)<(c[y>>2]|0))}c[F+(a<<2)>>2]=z;j=J+(z<<3)|0;V=-(q*+h[j>>3]);h[j>>3]=V;h[C+(a<<3)>>3]=V-q;c[B+(a<<2)>>2]=z;h[G+(a<<3)>>3]=-t;j=a+1|0;c[E+(A<<2)>>2]=j;c[D+(A<<2)>>2]=j;if((A|0)>=(K|0)){i=s;v=54;break}else a=j}if((v|0)==37){AO(136697,29,1,c[24809]|0)|0;Na(179560,136613,418,136658)}else if((v|0)==49){AO(136697,29,1,c[24809]|0)|0;Na(179560,136613,460,136658)}else if((v|0)==54){i=i/d;if((a|0)>-1)a=0;else{N=j;break}do{e=G+(a<<3)|0;h[e>>3]=i*+h[e>>3];a=a+1|0}while((a|0)!=(j|0));N=j}}else{i=r;N=0}while(0);h[T>>3]=i;c[(c[H>>2]|0)+8>>2]=N;c[(c[I>>2]|0)+8>>2]=N;fQ(R);fQ(Q);Hp(S)}return g|0}function Hq(a){a=a|0;var b=0;if(a){b=c[a+4>>2]|0;if(b)Hp(b);b=c[a+8>>2]|0;if(b)Hp(b);b=c[a+12>>2]|0;if(b)fQ(b);b=c[a+20>>2]|0;if(b)Db[c[a+16>>2]&127](b);fQ(a)}return}function Iq(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0.0;H=c[a>>2]|0;if((Kp(a,0)|0)!=0?(c[a+16>>2]|0)==1:0){l=_(H,b)|0;j=(l|0)>0;if(j){i=0;k=0.0;do{q=+h[e+(i<<3)>>3];k=k+q*q;i=i+1|0}while((i|0)!=(l|0));if(!(k!=0.0|j^1)){i=0;do{h[e+(i<<3)>>3]=+dq()*72.0;i=i+1|0}while((i|0)!=(l|0))}}C=c[a+20>>2]|0;D=c[a+24>>2]|0;E=c[a+28>>2]|0;i=zz(56)|0;G=i+32|0;h[G>>3]=1.0;c[i+20>>2]=0;c[i+24>>2]=0;c[i>>2]=a;h[i+40>>3]=.01;c[i+48>>2]=~~+O(+(+(c[a>>2]|0)));F=zz(H<<3)|0;c[i+12>>2]=F;m=(H|0)>0;if(m){j=0;do{h[F+(j<<3)>>3]=d;j=j+1|0}while((j|0)!=(H|0))}l=(c[a+8>>2]|0)+H|0;A=i+4|0;c[A>>2]=Jp(H,H,l,1,1)|0;l=Jp(H,H,l,1,1)|0;B=i+8|0;c[B>>2]=l;j=c[A>>2]|0;if(!((l|0)==0|(j|0)==0)){v=c[j+20>>2]|0;w=c[j+24>>2]|0;x=c[l+20>>2]|0;y=c[l+24>>2]|0;u=c[j+28>>2]|0;z=c[l+28>>2]|0;c[x>>2]=0;c[v>>2]=0;a:do if(m){t=0;j=0;d=0.0;k=0.0;b:while(1){a=c[C+(t<<2)>>2]|0;s=t;t=t+1|0;r=C+(t<<2)|0;l=c[r>>2]|0;if((a|0)<(l|0)){o=0.0;q=0.0;while(1){m=c[D+(a<<2)>>2]|0;if((m|0)==(s|0))n=q;else{c[w+(j<<2)>>2]=m;p=+h[E+(a<<3)>>3];c:do switch(f|0){case 2:{n=p*p;if(n==0.0){h[u+(j<<3)>>3]=-1.0e5;n=-1.0e5;break c}else{n=-1.0/n;h[u+(j<<3)>>3]=n;break c}}case 1:if(p*p==0.0){h[u+(j<<3)>>3]=-1.0e5;n=-1.0e5;break c}else{n=-1.0/p;h[u+(j<<3)>>3]=n;break c}case 0:{h[u+(j<<3)>>3]=-1.0;n=-1.0;break}default:break b}while(0);c[y+(j<<2)>>2]=m;L=p*n;l=z+(j<<3)|0;h[l>>3]=L;k=k+L*+lq(e,b,s,m);L=+h[l>>3];l=c[r>>2]|0;o=o+L;n=q+n;j=j+1|0;d=d+p*L}a=a+1|0;if((a|0)>=(l|0))break;else q=n}}else{o=0.0;n=0.0}c[w+(j<<2)>>2]=s;r=F+(s<<3)|0;L=-(n*+h[r>>3]);h[r>>3]=L;h[u+(j<<3)>>3]=L-n;c[y+(j<<2)>>2]=s;h[z+(j<<3)>>3]=-o;j=j+1|0;c[v+(t<<2)>>2]=j;c[x+(t<<2)>>2]=j;if((t|0)>=(H|0)){K=j;I=d;J=k;break a}}Na(179560,136613,591,136794)}else{K=0;I=0.0;J=0.0}while(0);k=(g|0)==0?1.0:J/I;if(k==0.0)i=0;else{if((K|0)>0){j=0;do{e=z+(j<<3)|0;h[e>>3]=k*+h[e>>3];j=j+1|0}while((j|0)!=(K|0))}h[G>>3]=k;c[(c[A>>2]|0)+8>>2]=K;c[(c[B>>2]|0)+8>>2]=K}}else{Hq(i);i=0}return i|0}Na(136727,136613,525,136794);return 0}function Jq(a){a=a|0;Hq(a);return}function Kq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return +(+Lq(a,b,c,d,e))}function Lq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;var g=0,j=0.0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;Z=i;i=i+16|0;V=Z+4|0;Y=Z;F=c[a+4>>2]|0;g=c[a+8>>2]|0;c[V>>2]=0;c[Y>>2]=0;R=c[a+12>>2]|0;S=Lp(g)|0;T=c[F>>2]|0;U=_(T,b)|0;p=U<<3;W=zz(p)|0;X=(W|0)==0;if(!X?(N=_(b<<3,T)|0,rQ(W|0,d|0,N|0)|0,Q=zz(p)|0,c[Y>>2]=Q,(Q|0)!=0):0){P=c[g+20>>2]|0;Q=c[g+24>>2]|0;J=c[g+28>>2]|0;K=c[S+28>>2]|0;L=c[F+28>>2]|0;M=a+24|0;a:do switch(c[M>>2]|0){case 1:{H=c[a+20>>2]|0;g=c[H+8>>2]|0;A=c[H+12>>2]|0;B=c[H+16>>2]|0;D=c[H+32>>2]|0;C=c[D+20>>2]|0;D=c[D+24>>2]|0;q=H+20|0;k=c[q>>2]|0;s=H+24|0;m=c[s>>2]|0;t=H+28|0;o=c[t>>2]|0;u=+h[H>>3];if((g&-3|0)==1){if(!k){if((m|0)!=0|(o|0)!=0)Na(136831,136613,692,136848);if((A|0)>0){k=0;g=0;do{H=c[B+(k<<2)>>2]|0;G=+((c[C+(H+1<<2)>>2]|0)-(c[C+(H<<2)>>2]|0)|0)+1.0;g=~~(G*G)+g|0;k=k+1|0}while((k|0)!=(A|0))}else g=0;x=g<<2;y=zz(x)|0;c[q>>2]=y;x=zz(x)|0;c[s>>2]=x;o=zz(g<<3)|0;c[t>>2]=o}else{y=k;x=m}if((A|0)>0){w=0;g=0;do{t=c[B+(w<<2)>>2]|0;v=C+(t<<2)|0;m=c[v>>2]|0;k=c[D+(m<<2)>>2]|0;m=c[D+(m+1<<2)>>2]|0;if((k|0)!=(m|0)){G=+kq(d,b,k,m);G=G*G;s=C+(t+1<<2)|0;r=+((c[s>>2]|0)-(c[v>>2]|0)|0);c[y+(g<<2)>>2]=t;c[x+(g<<2)>>2]=t;h[o+(g<<3)>>3]=u/G;n=u/(G*r);r=u/(G*(r*r));m=c[v>>2]|0;g=g+1|0;k=c[s>>2]|0;if((m|0)<(k|0)){l=-n;do{c[y+(g<<2)>>2]=t;c[x+(g<<2)>>2]=c[D+(m<<2)>>2];h[o+(g<<3)>>3]=l;m=m+1|0;g=g+1|0;k=c[s>>2]|0}while((m|0)<(k|0));m=c[v>>2]|0}if((m|0)<(k|0)){l=-n;do{q=c[D+(m<<2)>>2]|0;c[y+(g<<2)>>2]=q;c[x+(g<<2)>>2]=t;h[o+(g<<3)>>3]=l;p=c[v>>2]|0;g=g+1|0;k=c[s>>2]|0;if((p|0)<(k|0))do{k=c[D+(p<<2)>>2]|0;c[y+(g<<2)>>2]=q;c[x+(g<<2)>>2]=k;h[o+(g<<3)>>3]=r;p=p+1|0;g=g+1|0;k=c[s>>2]|0}while((p|0)<(k|0));m=m+1|0}while((m|0)<(k|0))}}w=w+1|0}while((w|0)!=(A|0))}else g=0;g=Rp(g,T,T,y,x,o,1,8)|0;k=0}else{switch(g|0){case 2:case 4:break;default:{k=0;H=0;l=0.0;G=0.0;break a}}do if(!k)if((m|0)!=0|(o|0)!=0)Na(136831,136613,734,136848);else{y=A<<2;x=zz(y)|0;c[q>>2]=x;y=zz(y)|0;c[s>>2]=y;z=zz(A<<3)|0;c[t>>2]=z;break}else{x=k;y=m;z=o}while(0);k=zz(N)|0;if((U|0)>0)tQ(k|0,0,p|0)|0;if((A|0)>0){v=(b|0)>0;w=0;do{t=c[B+(w<<2)>>2]|0;g=C+(t<<2)|0;m=c[g>>2]|0;l=+kq(d,b,c[D+(m<<2)>>2]|0,c[D+(m+1<<2)>>2]|0);c[x+(w<<2)>>2]=t;c[y+(w<<2)>>2]=t;l=u/l;h[z+(w<<3)>>3]=l;w=w+1|0;g=c[g>>2]|0;m=c[C+(t+1<<2)>>2]|0;if((m|0)>(g|0)){o=_(t,b)|0;q=g;do{if(v){p=_(c[D+(q<<2)>>2]|0,b)|0;s=0;do{H=k+(s+o<<3)|0;h[H>>3]=+h[d+(s+p<<3)>>3]+ +h[H>>3];s=s+1|0}while((s|0)!=(b|0))}q=q+1|0}while((q|0)!=(m|0))}if(v){l=l/+(m-g|0);g=_(t,b)|0;m=0;do{H=k+(m+g<<3)|0;h[H>>3]=l*+h[H>>3];m=m+1|0}while((m|0)!=(b|0))}}while((w|0)!=(A|0));g=A}else g=0;g=Rp(g,T,T,x,y,z,1,8)|0}if(!g){H=0;l=0.0;G=0.0}else{H=g;F=Mp(F,g)|0;l=0.0;G=0.0}break}case 2:{D=c[a+20>>2]|0;k=0;H=0;l=+h[D+8>>3];G=+h[D>>3];break}default:{k=0;H=0;l=0.0;G=0.0}}while(0);b:do if((e|0)>0&f<1.0){D=a+40|0;A=a+48|0;B=(T|0)>0;C=(b|0)>0;E=G*l;x=b<<3;z=(R|0)==0|B^1;y=1;l=1.0;c:while(1){if((c[M>>2]|0)==4){if(B){g=c[Y>>2]|0;m=0;do{if(C)tQ(g+((_(m,b)|0)<<3)|0,0,x|0)|0;m=m+1|0}while((m|0)!=(T|0))}}else{if(B){m=c[P>>2]|0;v=0;while(1){w=v+1|0;t=P+(w<<2)|0;g=c[t>>2]|0;if((m|0)<(g|0)){p=g;n=0.0;g=-1}else break c;while(1){s=Q+(m<<2)|0;o=c[s>>2]|0;if((v|0)==(o|0)){o=p;g=m}else{r=+lq(d,b,v,o);q=J+(m<<3)|0;u=+h[q>>3];if(u==0.0){h[K+(m<<3)>>3]=0.0;r=0.0}else{if(r==0.0){r=u/+h[L+(m<<3)>>3];if(C){p=0;do{u=r*((+dq()+.0001)*.0001);o=c[s>>2]|0;a=d+((_(o,b)|0)+p<<3)|0;h[a>>3]=+h[a>>3]+u;p=p+1|0}while((p|0)!=(b|0))}else o=c[s>>2]|0;r=+lq(d,b,v,o);u=+h[q>>3]}r=u/r;h[K+(m<<3)>>3]=r}o=c[t>>2]|0;n=n+r}m=m+1|0;if((m|0)>=(o|0)){m=o;break}else p=o}if((g|0)<=-1)break c;h[K+(g<<3)>>3]=-n;if((w|0)<(T|0))v=w;else break}}Sp(S,0,d,0,Y,0,b)}if(!z){g=c[Y>>2]|0;p=0;do{if(C){m=R+(p<<3)|0;o=_(p,b)|0;q=0;do{w=q+o|0;a=g+(w<<3)|0;h[a>>3]=+h[m>>3]*+h[W+(w<<3)>>3]+ +h[a>>3];q=q+1|0}while((q|0)!=(b|0))}p=p+1|0}while((p|0)!=(T|0))}d:do switch(c[M>>2]|0){case 1:{if(B){g=c[Y>>2]|0;o=0;do{if(C){m=_(o,b)|0;p=0;do{a=p+m|0;I=g+(a<<3)|0;h[I>>3]=+h[k+(a<<3)>>3]+ +h[I>>3];p=p+1|0}while((p|0)!=(b|0))}o=o+1|0}while((o|0)!=(T|0))}g=c[Y>>2]|0;n=+h[D>>3];m=c[A>>2]|0;I=99;break}case 2:{g=c[Y>>2]|0;if(B){p=0;do{q=p;p=p+1|0;if((p|0)<(T|0)){m=_(q,b)|0;s=p;do{n=+kq(d,b,q,s);if(C){o=_(s,b)|0;t=0;do{w=t+m|0;a=t+o|0;u=E*((+h[d+(w<<3)>>3]-+h[d+(a<<3)>>3])/n);w=g+(w<<3)|0;h[w>>3]=+h[w>>3]+u;a=g+(a<<3)|0;h[a>>3]=+h[a>>3]-u;t=t+1|0}while((t|0)!=(b|0))}s=s+1|0}while((s|0)!=(T|0))}}while((p|0)!=(T|0));g=c[Y>>2]|0;n=+h[D>>3];m=c[A>>2]|0;if((c[M>>2]|0)!=2){I=99;break d}}else{g=c[Y>>2]|0;n=+h[D>>3];m=c[A>>2]|0}w=Sq(F,G)|0;a=Vq(F,G)|0;+Yq(w,a,c[F>>2]|0,b,d,g,n,m,V);break}default:{g=c[Y>>2]|0;n=+h[D>>3];m=c[A>>2]|0;I=99}}while(0);if((I|0)==99){I=0;+_q(F,b,d,g,n,m,0,V)}if(c[V>>2]|0){j=l;break b}o=c[Y>>2]|0;if(B){p=0;l=0.0;do{if(C){g=_(p,b)|0;n=0.0;m=0;do{a=m+g|0;u=+h[o+(a<<3)>>3]-+h[d+(a<<3)>>3];n=n+u*u;m=m+1|0}while((m|0)!=(b|0))}else n=0.0;l=l+ +O(+n);p=p+1|0}while((p|0)!=(T|0))}else l=0.0;l=l/+O(+(+hq(U,d,d)));rQ(d|0,c[Y>>2]|0,N|0)|0;if((y|0)<(e|0)&l>f)y=y+1|0;else{j=l;break b}}Na(136870,136613,895,136881)}else j=1.0;while(0);Hp(S);if(H){Hp(H);Hp(F)}}else{Hp(S);k=0;j=1.0}if(!X)fQ(W);g=c[Y>>2]|0;if(g)fQ(g);if(k)fQ(k);i=Z;return +j}function Mq(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;var g=0,i=0,j=0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0,C=0,D=0,E=0.0,F=0.0;C=c[a>>2]|0;t=c[a+20>>2]|0;u=c[a+24>>2]|0;if(!(Kp(a,0)|0))Na(136577,136613,1034,136915);v=C<<3;D=zz(v)|0;w=(C|0)>0;a:do if(w){i=c[t>>2]|0;q=0;while(1){r=D+(q<<3)|0;h[r>>3]=0.0;s=q+1|0;p=t+(s<<2)|0;g=c[p>>2]|0;if((i|0)<(g|0)){k=0.0;l=g;g=0}else break;while(1){j=c[u+(i<<2)>>2]|0;if((q|0)==(j|0))j=l;else{k=+lq(e,b,q,j);k=k+ +h[r>>3];h[r>>3]=k;j=c[p>>2]|0;g=g+1|0}i=i+1|0;if((i|0)>=(j|0)){i=j;break}else l=j}if((g|0)<=0)break;h[r>>3]=k/+(g|0);if((s|0)<(C|0))q=s;else break a}Na(136690,136613,1046,136915)}while(0);g=zz(56)|0;y=g+32|0;h[y>>3]=1.0;c[g+20>>2]=0;c[g+24>>2]=0;h[g+40>>3]=.01;c[g+48>>2]=~~+O(+(+(c[a>>2]|0)));x=zz(v)|0;c[g+12>>2]=x;do if(w){i=0;do{h[x+(i<<3)>>3]=d;i=i+1|0}while((i|0)!=(C|0));if((C|0)>2)if(!f){i=ar(C,b,e)|0;break}else{i=$q(C,b,e)|0;break}else B=18}else B=18;while(0);if((B|0)==18)i=Lp(a)|0;f=g+4|0;c[f>>2]=Mp(a,i)|0;Hp(i);j=Lp(c[f>>2]|0)|0;c[g+8>>2]=j;i=c[f>>2]|0;if((j|0)==0|(i|0)==0){Hq(g);g=0}else{v=c[i+20>>2]|0;u=c[i+24>>2]|0;t=c[i+28>>2]|0;f=c[j+28>>2]|0;b:do if(w){l=c[v>>2]|0;i=0;d=0.0;m=0.0;while(1){s=i+1|0;r=v+(s<<2)|0;j=c[r>>2]|0;if((l|0)<(j|0)){o=0.0;n=0.0;q=l;p=-1}else{B=24;break}while(1){l=c[u+(q<<2)>>2]|0;if((l|0)==(i|0))l=q;else{E=+P(+(+kq(e,b,i,l)),.6);F=1.0/(E*E);h[t+(q<<3)>>3]=F;k=E*F;j=f+(q<<3)|0;h[j>>3]=k;m=m+k*+lq(e,b,i,l);k=+h[j>>3];j=c[r>>2]|0;o=o+k;n=n+F;l=p;d=d+E*k}q=q+1|0;if((q|0)>=(j|0))break;else p=l}w=x+(i<<3)|0;k=-(n*+h[w>>3]);h[w>>3]=k;if((l|0)<=-1)break;h[t+(l<<3)>>3]=k-n;h[f+(l<<3)>>3]=-o;if((s|0)<(C|0)){l=j;i=s}else{z=d;A=m;break b}}if((B|0)==24){B=x+(i<<3)|0;h[B>>3]=-(+h[B>>3]*0.0)}Na(136936,136613,1112,136915)}else{z=0.0;A=0.0}while(0);k=A/z;i=c[v+(C<<2)>>2]|0;if((i|0)>0){j=0;do{C=f+(j<<3)|0;h[C>>3]=k*+h[C>>3];j=j+1|0}while((j|0)<(i|0))}h[y>>3]=k;fQ(D)}return g|0}function Nq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;x=c[a>>2]|0;A=c[a+20>>2]|0;B=c[a+24>>2]|0;if(!(Kp(a,0)|0))Na(136577,136613,1149,136947);C=Fq(a,b,e)|0;w=c[C+28>>2]|0;a=zz(8)|0;y=zz(x<<2)|0;z=zz(x<<3)|0;q=(x|0)>0;if(q){g=c[A>>2]|0;m=0;while(1){n=z+(m<<3)|0;h[n>>3]=0.0;o=m+1|0;k=A+(o<<2)|0;f=c[k>>2]|0;if((g|0)<(f|0)){l=0.0;j=f;f=0}else{p=11;break}while(1){i=c[B+(g<<2)>>2]|0;if((m|0)==(i|0))i=j;else{l=+lq(e,b,m,i);l=l+ +h[n>>3];h[n>>3]=l;i=c[k>>2]|0;f=f+1|0}g=g+1|0;if((g|0)>=(i|0)){g=i;break}else j=i}if((f|0)<=0){p=11;break}h[n>>3]=l/+(f|0);if((o|0)<(x|0))m=o;else break}if((p|0)==11)Na(136690,136613,1167,136947);if(q){tQ(y|0,-1,x<<2|0)|0;b=0;f=0;do{c[y+(b<<2)>>2]=b;k=A+(b<<2)|0;i=c[k>>2]|0;o=b;b=b+1|0;n=A+(b<<2)|0;g=c[n>>2]|0;if((i|0)<(g|0)){do{j=y+(c[B+(i<<2)>>2]<<2)|0;if((c[j>>2]|0)!=(o|0)){c[j>>2]=o;g=c[n>>2]|0;f=f+1|0}i=i+1|0}while((i|0)<(g|0));i=c[k>>2]|0}if((i|0)<(g|0))do{m=c[B+(i<<2)>>2]|0;j=c[A+(m<<2)>>2]|0;m=A+(m+1<<2)|0;g=c[m>>2]|0;if((j|0)<(g|0))do{k=y+(c[B+(j<<2)>>2]<<2)|0;if((c[k>>2]|0)!=(o|0)){c[k>>2]=o;g=c[m>>2]|0;f=f+1|0}j=j+1|0}while((j|0)<(g|0));i=i+1|0}while((i|0)<(c[n>>2]|0))}while((b|0)!=(x|0))}else f=0}else f=0;v=Jp(x,x,f,1,1)|0;c[a>>2]=v;if(!v){Oq(a);a=0}else{s=c[v+20>>2]|0;t=c[v+24>>2]|0;u=c[v+28>>2]|0;c[s>>2]=0;if(q){r=0;f=0;do{p=r+x|0;c[y+(r<<2)>>2]=p;n=A+(r<<2)|0;i=c[n>>2]|0;o=r;r=r+1|0;q=A+(r<<2)|0;g=c[q>>2]|0;if((i|0)<(g|0)){m=z+(o<<3)|0;do{j=c[B+(i<<2)>>2]|0;k=y+(j<<2)|0;if((c[k>>2]|0)!=(p|0)){c[k>>2]=p;c[t+(f<<2)>>2]=j;g=u+(f<<3)|0;h[g>>3]=(+h[m>>3]+ +h[z+(j<<3)>>3])*.5;h[g>>3]=+h[w+(i<<3)>>3];g=c[q>>2]|0;f=f+1|0}i=i+1|0}while((i|0)<(g|0));i=c[n>>2]|0}if((i|0)<(g|0)){e=z+(o<<3)|0;do{g=c[B+(i<<2)>>2]|0;k=c[A+(g<<2)>>2]|0;b=A+(g+1<<2)|0;j=c[b>>2]|0;if((k|0)<(j|0)){n=z+(g<<3)|0;o=w+(i<<3)|0;do{g=B+(k<<2)|0;m=y+(c[g>>2]<<2)|0;if((c[m>>2]|0)!=(p|0)){c[m>>2]=p;c[t+(f<<2)>>2]=c[g>>2];j=u+(f<<3)|0;h[j>>3]=(+h[e>>3]+ +h[n>>3]*2.0+ +h[z+(c[g>>2]<<3)>>3])*.5;h[j>>3]=+h[o>>3]+ +h[w+(k<<3)>>3];j=c[b>>2]|0;f=f+1|0}k=k+1|0}while((k|0)<(j|0))}i=i+1|0}while((i|0)<(c[q>>2]|0))}c[s+(r<<2)>>2]=f}while((r|0)!=(x|0))}else f=0;c[v+8>>2]=f;A=hl()|0;B=a+4|0;c[B>>2]=A;rQ(A|0,d|0,168)|0;d=c[B>>2]|0;c[d+16>>2]=0;c[d+40>>2]=1;B=d+96|0;h[B>>3]=+h[B>>3]*.5;c[d+80>>2]=20;fQ(y);fQ(z);Hp(C)}return a|0}function Oq(a){a=a|0;var b=0;if(a){b=c[a>>2]|0;if(b)Hp(b);b=c[a+4>>2]|0;if(b)il(b)}return}function Pq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=i;i=i+16|0;h=g;c[h>>2]=0;sl(e,b,c[a>>2]|0,c[a+4>>2]|0,d,f,h);if(!(c[h>>2]|0)){i=g;return}else Na(136966,136613,1262,136972)}function Qq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;c[g>>2]=0;g=c[d+120>>2]|0;switch(g|0){case 5:case 6:{if((c[b>>2]|0)>2){if((g|0)==6)g=Mq(b,a,0.0,f,0)|0;else g=Mq(b,a,0.0,f,1)|0;+Lq(g,a,f,50,.001);Hq(g)}break}case 4:{d=Nq(b,a,d,f)|0;Pq(d,b,e,a,f);Oq(d);break}case 1:{g=0;h=10;break}case 2:{g=1;h=10;break}case 3:{g=2;h=10;break}default:{}}if((h|0)==10){h=Gq(b,a,.05,f,g)|0;+Lq(h,a,f,50,.001);Hq(h)}return}function Rq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,g=0,j=0.0,k=0,l=0,m=0;m=i;i=i+16|0;g=m;c[g>>2]=d;k=c[a>>2]|0;d=c[k+8>>2]|0;j=+h[k>>3];k=c[d>>2]|0;Tp(d,b,g,0);d=(k|0)>0;if(d){a=0;e=0.0;do{e=e+ +h[b+(a<<3)>>3];a=a+1|0}while((a|0)!=(k|0));if(d){f=+(k|0);a=c[g>>2]|0;d=0;do{g=a+(d<<3)|0;h[g>>3]=+h[g>>3]+j*(f*+h[b+(d<<3)>>3]-e);d=d+1|0}while((d|0)!=(k|0))}else l=3}else l=3;if((l|0)==3)a=c[g>>2]|0;i=m;return a|0}function Sq(a,b){a=a|0;b=+b;var d=0,e=0;d=zz(8)|0;e=zz(16)|0;c[d>>2]=e;h[e>>3]=b;c[e+8>>2]=a;c[d+4>>2]=30;return d|0}function Tq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;c[e>>2]=d;Tp(c[a>>2]|0,b,e,0);i=f;return c[e>>2]|0}function Uq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;a=c[a>>2]|0;e=~~+h[a>>3];if((e|0)>0){f=0;do{g=f;f=f+1|0;h[d+(g<<3)>>3]=+h[b+(g<<3)>>3]*+h[a+(f<<3)>>3]}while((f|0)!=(e|0))}return d|0}function Vq(a,b){a=a|0;b=+b;var d=0,e=0,f=0,g=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0.0;m=c[a>>2]|0;n=c[a+20>>2]|0;p=c[a+24>>2]|0;k=c[a+28>>2]|0;l=zz(8)|0;i=zz((m<<3)+8|0)|0;c[l>>2]=i;h[i>>3]=+(m|0);i=i+8|0;if((m|0)>0){q=+(m+-1|0);j=1.0/q;b=q*b;e=c[n>>2]|0;f=0;do{d=i+(f<<3)|0;h[d>>3]=j;g=f;f=f+1|0;a=e;e=c[n+(f<<2)>>2]|0;if((a|0)<(e|0))do{if((g|0)==(c[p+(a<<2)>>2]|0)?(o=+h[k+(a<<3)>>3],(o>=0.0?o:-o)>0.0):0)h[d>>3]=1.0/(b+o);a=a+1|0}while((a|0)<(e|0))}while((f|0)!=(m|0))}c[l+4>>2]=31;return l|0}function Wq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0,m=0,n=0;i=c[a>>2]|0;j=c[a+20>>2]|0;l=c[a+24>>2]|0;m=c[a+28>>2]|0;n=zz(8)|0;b=zz((c[a>>2]<<3)+8|0)|0;c[n>>2]=b;h[b>>3]=+(i|0);b=b+8|0;if((i|0)>0){e=c[j>>2]|0;f=0;do{d=b+(f<<3)|0;h[d>>3]=1.0;g=f;f=f+1|0;a=e;e=c[j+(f<<2)>>2]|0;if((a|0)<(e|0))do{if((g|0)==(c[l+(a<<2)>>2]|0)?(k=+h[m+(a<<3)>>3],(k>=0.0?k:-k)>0.0):0)h[d>>3]=1.0/k;a=a+1|0}while((a|0)<(e|0))}while((f|0)!=(i|0))}c[n+4>>2]=31;return n|0}function Xq(a){a=a|0;var b=0;b=c[a>>2]|0;if(b)fQ(b);fQ(a);return}function Yq(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=+i;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0;x=d<<3;E=zz(x)|0;F=zz(x)|0;if((e|0)>0){y=(d|0)>0;z=a+4|0;A=b+4|0;B=+(d|0);C=(j|0)>0;D=0;l=0.0;do{if(y){k=0;do{v=(_(k,e)|0)+D|0;h[E+(k<<3)>>3]=+h[f+(v<<3)>>3];h[F+(k<<3)>>3]=+h[g+(v<<3)>>3];k=k+1|0}while((k|0)!=(d|0))}u=c[z>>2]|0;v=c[A>>2]|0;k=zz(x)|0;n=zz(x)|0;o=zz(x)|0;p=zz(x)|0;n=gq(d,F,Jb[u&63](a,E,n)|0)|0;m=+O(+(+hq(d,n,n)))/B;w=m*i;if(C&m>w){s=E;t=1;q=0;r=1.0;while(1){k=Jb[v&63](b,n,k)|0;m=r;r=+hq(d,n,k);if((q|0)>0)o=iq(d,k,o,r/m)|0;else rQ(o|0,k|0,x|0)|0;p=Jb[u&63](a,o,p)|0;m=r/+hq(d,o,p);s=jq(d,s,o,m)|0;n=jq(d,n,p,-m)|0;m=+O(+(+hq(d,n,n)))/B;if(!((t|0)<(j|0)&m>w))break;else{q=t;t=t+1|0}}}fQ(k);fQ(n);fQ(o);fQ(p);l=l+m;if(y){k=0;do{h[g+((_(k,e)|0)+D<<3)>>3]=+h[E+(k<<3)>>3];k=k+1|0}while((k|0)!=(d|0))}D=D+1|0}while((D|0)!=(e|0))}else l=0.0;fQ(E);fQ(F);return +l}function Zq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=i;i=i+16|0;D=E;w=c[a+4>>2]|0;x=w<<3;y=zz(x)|0;z=zz(x)|0;A=zz(x)|0;B=c[a+20>>2]|0;C=c[a+24>>2]|0;r=c[a+28>>2]|0;if((b|0)>0){s=(w|0)>0;t=(f|0)>0;u=c[24809]|0;v=0;do{if(s){g=0;do{q=(_(g,b)|0)+v|0;h[y+(g<<3)>>3]=+h[d+(q<<3)>>3];h[A+(g<<3)>>3]=+h[e+(q<<3)>>3];g=g+1|0}while((g|0)!=(w|0))}if(t){q=0;do{if(s){o=0;do{m=c[B+(o<<2)>>2]|0;p=o;o=o+1|0;n=c[B+(o<<2)>>2]|0;if((n|0)>(m|0)){k=0.0;a=m;j=0.0;do{g=c[C+(a<<2)>>2]|0;l=+h[r+(a<<3)>>3];if((g|0)==(p|0))k=l;else j=j+l*+h[y+(g<<3)>>3];a=a+1|0}while((a|0)<(n|0));if(j==0.0)F=13}else{k=0.0;j=0.0;F=13}if((F|0)==13){F=0;c[D>>2]=n-m;pO(u,136994,D)|0}h[z+(p<<3)>>3]=(+h[A+(p<<3)>>3]-j)/k}while((o|0)!=(w|0))}rQ(y|0,z|0,x|0)|0;q=q+1|0}while((q|0)!=(f|0))}if(s){g=0;do{h[e+((_(g,b)|0)+v<<3)>>3]=+h[y+(g<<3)>>3];g=g+1|0}while((g|0)!=(w|0))}v=v+1|0}while((v|0)!=(b|0))}fQ(y);fQ(z);fQ(A);i=E;return e|0}function _q(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;var j=0;j=c[a>>2]|0;c[i>>2]=0;switch(h|0){case 0:{h=zz(8)|0;c[h>>2]=a;c[h+4>>2]=32;i=Wq(a)|0;f=+Yq(h,i,j,b,d,e,f,g,0);if(h)fQ(h);Xq(i);break}case 1:{Zq(a,b,d,e,g,0)|0;f=0.0;break}default:f=0.0}return +f}function $q(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+32|0;p=q;l=q+20|0;m=q+16|0;n=q+12|0;o=q+8|0;h[p>>3]=1.0;j=a<<3;g=zz(j)|0;j=zz(j)|0;c[l>>2]=0;k=(a|0)>0;if(k){b=(a|0)>1;e=0;do{h[g+(e<<3)>>3]=+h[d+(e<<1<<3)>>3];h[j+(e<<3)>>3]=+h[d+((e<<1|1)<<3)>>3];e=e+1|0}while((e|0)<(a|0));c[l>>2]=b?a:1;if((a|0)>2)d=sm(g,j,a,o)|0;else f=6}else f=6;if((f|0)==6){c[o>>2]=0;d=0}b=Jp(a,a,1,1,2)|0;c[l>>2]=0;if((c[o>>2]|0)>0){e=0;do{f=e<<1;c[m>>2]=c[d+(f<<2)>>2];c[n>>2]=c[d+((f|1)<<2)>>2];Xp(b,1,m,n,p)|0;e=(c[l>>2]|0)+1|0;c[l>>2]=e}while((e|0)<(c[o>>2]|0))}if((a|0)==2){c[m>>2]=0;c[n>>2]=1;Xp(b,1,m,n,p)|0}c[l>>2]=0;if(k)do{Xp(b,1,l,l,p)|0;o=(c[l>>2]|0)+1|0;c[l>>2]=o}while((o|0)<(a|0));p=Qp(b)|0;Hp(b);a=Ip(p,0)|0;Hp(p);fQ(d);fQ(g);fQ(j);i=q;return a|0}function ar(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;l=n+8|0;m=n;h[m>>3]=1.0;j=a<<3;g=zz(j)|0;j=zz(j)|0;c[l>>2]=0;k=(a|0)>0;if(k){e=(a|0)>1;f=0;do{h[g+(f<<3)>>3]=+h[d+((_(f,b)|0)<<3)>>3];h[j+(f<<3)>>3]=+h[d+((_(f,b)|0)+1<<3)>>3];f=f+1|0}while((f|0)<(a|0));c[l>>2]=e?a:1}b=tm(g,j,a,0)|0;d=Jp(a,a,1,1,2)|0;c[l>>2]=0;if(k){e=0;do{if((c[b+(e*12|0)>>2]|0)>1){f=1;do{Xp(d,1,l,(c[b+(e*12|0)+4>>2]|0)+(f<<2)|0,m)|0;f=f+1|0;e=c[l>>2]|0}while((f|0)<(c[b+(e*12|0)>>2]|0))}e=e+1|0;c[l>>2]=e}while((e|0)<(a|0));c[l>>2]=0;if(k)do{Xp(d,1,l,l,m)|0;k=(c[l>>2]|0)+1|0;c[l>>2]=k}while((k|0)<(a|0))}else c[l>>2]=0;m=Ip(Qp(d)|0,0)|0;Hp(d);fQ(g);fQ(j);um(b);i=n;return m|0}function br(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;I=i;i=i+48|0;z=I+16|0;A=I+32|0;y=I;f=zz(d<<4)|0;B=b<<2;C=zz(B)|0;D=zz(B)|0;E=zz(B)|0;F=zz(B)|0;G=(b|0)>0;if(G){j=0;do{c[E+(j<<2)>>2]=j;j=j+1|0}while((j|0)!=(b|0));j=b+-1|0;wn(a,E,0,j);k=0;do{c[F+(c[E+(k<<2)>>2]<<2)>>2]=k;k=k+1|0}while((k|0)!=(b|0));t=j}else{t=b+-1|0;wn(a,E,0,t)}r=A+4|0;c[r>>2]=t;c[A+8>>2]=t;k=zz(t<<4)|0;c[A>>2]=k;l=(b|0)>1;if(l){j=0;do{o=c[E+(j<<2)>>2]|0;q=j;j=j+1|0;p=c[E+(j<<2)>>2]|0;s=+h[a+(p<<3)>>3]-+h[a+(o<<3)>>3];c[k+(q<<4)>>2]=o;c[k+(q<<4)+4>>2]=p;h[k+(q<<4)+8>>3]=s}while((j|0)!=(t|0))}if((t|0)>-2){j=(t|0)/2|0;while(1){cr(A,j);if((j|0)>0)j=j+-1|0;else break}}if(l){j=1;do{c[C+(c[E+(j<<2)>>2]<<2)>>2]=c[E+(j+-1<<2)>>2];j=j+1|0}while((j|0)!=(b|0));j=0;do{q=j;j=j+1|0;c[D+(c[E+(q<<2)>>2]<<2)>>2]=c[E+(j<<2)>>2]}while((j|0)!=(t|0))}if((d|0)>0){p=y+4|0;q=y+8|0;a:do if(!t)j=0;else{k=t;l=0;j=d;while(1){J=c[A>>2]|0;n=c[J>>2]|0;o=c[J+4>>2]|0;s=+h[J+8>>3];m=k+-1|0;k=J+(m<<4)|0;c[J>>2]=c[k>>2];c[J+4>>2]=c[k+4>>2];c[J+8>>2]=c[k+8>>2];c[J+12>>2]=c[k+12>>2];c[r>>2]=m;cr(A,0);if((l|0)<(j|0))m=j;else{f=hQ(f,j<<5)|0;m=j<<1}j=l+1|0;c[f+(l<<4)>>2]=n;c[f+(l<<4)+4>>2]=o;h[f+(l<<4)+8>>3]=s;k=c[F+(n<<2)>>2]|0;l=c[F+(o<<2)>>2]|0;if((k|0)>0?(u=c[E+(k+-1<<2)>>2]|0,v=D+(u<<2)|0,(c[F+(c[v>>2]<<2)>>2]|0)<(l|0)):0){c[y>>2]=u;c[p>>2]=o;h[q>>3]=+h[a+(o<<3)>>3]-+h[a+(u<<3)>>3];c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];c[z+12>>2]=c[y+12>>2];dr(A,z);c[v>>2]=o;c[C+(o<<2)>>2]=u}if((l|0)<(t|0)?(w=c[E+(l+1<<2)>>2]|0,x=C+(w<<2)|0,(c[F+(c[x>>2]<<2)>>2]|0)>(k|0)):0){c[y>>2]=n;c[p>>2]=w;h[q>>3]=+h[a+(w<<3)>>3]-+h[a+(n<<3)>>3];c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];c[z+12>>2]=c[y+12>>2];dr(A,z);c[x>>2]=n;c[D+(n<<2)>>2]=w}if((j|0)>=(d|0))break a;k=c[r>>2]|0;if(!k)break;else{l=j;j=m}}}while(0);k=c[A>>2]|0;n=j;r=f}else{n=0;r=f}fQ(C);fQ(D);fQ(E);fQ(F);fQ(k);m=zz(B)|0;l=(n<<1)+b|0;j=l<<2;k=zz(j)|0;j=zz(j)|0;if(G){f=0;do{c[m+(f<<2)>>2]=1;f=f+1|0}while((f|0)!=(b|0))}if((n|0)>0){f=0;do{J=c[r+(f<<4)+4>>2]|0;F=m+(c[r+(f<<4)>>2]<<2)|0;c[F>>2]=(c[F>>2]|0)+1;J=m+(J<<2)|0;c[J>>2]=(c[J>>2]|0)+1;f=f+1|0}while((f|0)!=(n|0))}if((l|0)>0){f=0;do{g[j+(f<<2)>>2]=1.0;f=f+1|0}while((f|0)!=(l|0))}q=zz(b*20|0)|0;c[e>>2]=q;if(G){l=0;while(1){c[q+(l*20|0)>>2]=1;c[q+(l*20|0)+8>>2]=j;c[q+(l*20|0)+4>>2]=k;c[k>>2]=l;g[j>>2]=0.0;f=c[m+(l<<2)>>2]|0;l=l+1|0;if((l|0)==(b|0))break;else{k=k+(f<<2)|0;j=j+(f<<2)|0}}}fQ(m);if(n){p=q+8|0;f=n;do{f=f+-1|0;j=c[r+(f<<4)>>2]|0;k=c[r+(f<<4)+4>>2]|0;l=q+(j*20|0)|0;m=c[l>>2]|0;n=c[q+(j*20|0)+4>>2]|0;b:do if((m|0)>0){o=0;while(1){if((c[n+(o<<2)>>2]|0)==(k|0))break b;o=o+1|0;if((o|0)>=(m|0)){H=41;break}}}else H=41;while(0);if((H|0)==41?(H=0,c[l>>2]=m+1,c[n+(m<<2)>>2]=k,b=q+(k*20|0)|0,J=c[b>>2]|0,c[b>>2]=J+1,c[(c[q+(k*20|0)+4>>2]|0)+(J<<2)>>2]=j,(c[p>>2]|0)!=0):0){J=c[q+(j*20|0)+8>>2]|0;g[J>>2]=+g[J>>2]+-1.0;J=c[q+(k*20|0)+8>>2]|0;g[J>>2]=+g[J>>2]+-1.0}}while((f|0)!=0)}fQ(r);i=I;return}function cr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0.0,g=0.0,j=0,k=0,l=0,m=0,n=0;m=i;i=i+16|0;k=m;j=a+4|0;while(1){e=b<<1;d=e|1;if((e|0)<(c[j>>2]|0)){n=c[a>>2]|0;f=+h[n+(e<<4)+8>>3];g=+h[n+(b<<4)+8>>3];if(!(f<g))if(!(f==g?((MN()|0)&1|0)!=0:0))l=6}else l=6;if((l|0)==6){l=0;e=b}do if((d|0)<(c[j>>2]|0)){n=c[a>>2]|0;f=+h[n+(d<<4)+8>>3];g=+h[n+(e<<4)+8>>3];if(!(f<g)){if(!(f==g)){d=e;break}if(!((MN()|0)&1)){d=e;break}}}else d=e;while(0);if((d|0)==(b|0))break;e=c[a>>2]|0;n=e+(d<<4)|0;c[k>>2]=c[n>>2];c[k+4>>2]=c[n+4>>2];c[k+8>>2]=c[n+8>>2];c[k+12>>2]=c[n+12>>2];e=e+(b<<4)|0;c[n>>2]=c[e>>2];c[n+4>>2]=c[e+4>>2];c[n+8>>2]=c[e+8>>2];c[n+12>>2]=c[e+12>>2];n=(c[a>>2]|0)+(b<<4)|0;c[n>>2]=c[k>>2];c[n+4>>2]=c[k+4>>2];c[n+8>>2]=c[k+8>>2];c[n+12>>2]=c[k+12>>2];b=d}i=m;return}function dr(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;m=n;j=a+4|0;k=c[j>>2]|0;d=a+8|0;if((k|0)==(c[d>>2]|0)){c[d>>2]=k<<1;d=hQ(c[a>>2]|0,k<<5)|0;c[a>>2]=d;l=a;g=c[j>>2]|0}else{l=a;g=k;d=c[a>>2]|0}c[j>>2]=g+1;j=d+(k<<4)|0;c[j>>2]=c[b>>2];c[j+4>>2]=c[b+4>>2];c[j+8>>2]=c[b+8>>2];c[j+12>>2]=c[b+12>>2];a:do if((k|0)>0){g=k;do{d=c[l>>2]|0;e=+h[d+(g<<4)+8>>3];a=g;g=(g|0)/2|0;f=+h[d+(g<<4)+8>>3];if(!(e<f)){if(!(e==f))break a;if(!((MN()|0)&1))break a;d=c[l>>2]|0}b=d+(a<<4)|0;c[m>>2]=c[b>>2];c[m+4>>2]=c[b+4>>2];c[m+8>>2]=c[b+8>>2];c[m+12>>2]=c[b+12>>2];k=d+(g<<4)|0;c[b>>2]=c[k>>2];c[b+4>>2]=c[k+4>>2];c[b+8>>2]=c[k+8>>2];c[b+12>>2]=c[k+12>>2];b=(c[l>>2]|0)+(g<<4)|0;c[b>>2]=c[m>>2];c[b+4>>2]=c[m+4>>2];c[b+8>>2]=c[m+8>>2];c[b+12>>2]=c[m+12>>2]}while((a|0)>1)}while(0);i=n;return}function er(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;n=(f|0)!=0;if(!n){f=zz(b<<3)|0;if(!(so(a,b,f,b)|0))o=3;else{a=1;o=15}}else o=3;if((o|0)==3){m=yz(b<<2)|0;c[g>>2]=m;if((b|0)>0){a=0;do{c[m+(a<<2)>>2]=a;a=a+1|0}while((a|0)!=(b|0))}l=b+-1|0;wn(f,m,0,l);k=+h[f+(c[m>>2]<<3)>>3];e=(+h[f+(c[m+(l<<2)>>2]<<3)>>3]-k)*e/+(l|0);d=e<d?d:e;l=(b|0)>1;if(l){g=1;a=0;do{e=k;k=+h[f+(c[m+(g<<2)>>2]<<3)>>3];a=(k-e>d&1)+a|0;g=g+1|0}while((g|0)!=(b|0));c[j>>2]=a;if(a){j=zz(a<<2)|0;c[i>>2]=j;if(l){a=0;g=1;do{if(+h[f+(c[m+(g<<2)>>2]<<3)>>3]-+h[f+(c[m+(g+-1<<2)>>2]<<3)>>3]>d){c[j+(a<<2)>>2]=g;a=a+1|0}g=g+1|0}while((g|0)!=(b|0))}}else o=9}else{c[j>>2]=0;o=9}if((o|0)==9){m=zz(4)|0;c[i>>2]=m;c[m>>2]=b}if(n)a=0;else{a=0;o=15}}if((o|0)==15)fQ(f);return a|0}function fr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0;d=c[13068]|0;if(d)Sj(d);c[13068]=Rj(b,b,0.0)|0;d=c[13069]|0;if(d)fQ(d);c[13069]=yz(b<<2)|0;d=c[13070]|0;if(d)fQ(d);p=yz(b<<3)|0;c[13070]=p;a:do if((b|0)>0){j=c[13069]|0;k=c[13068]|0;d=0;do{e=c[a+(d<<2)>>2]|0;f=c[k+(d<<2)>>2]|0;g=0.0;i=0;do{m=+h[e+(i<<3)>>3];h[f+(i<<3)>>3]=m;m=+N(+m);g=g<m?m:g;i=i+1|0}while((i|0)!=(b|0));if(!(g!=0.0)){q=17;break}h[p+(d<<3)>>3]=1.0/g;c[j+(d<<2)>>2]=d;d=d+1|0}while((d|0)<(b|0));if((q|0)==17){h[p+(d<<3)>>3]=0.0;d=0;break}d=b+-1|0;if((b|0)>1){f=c[13069]|0;e=c[13068]|0;k=0;i=0;while(1){if((k|0)<(b|0)){g=0.0;j=k}else{d=0;break a}do{o=c[f+(j<<2)>>2]|0;m=+N(+(+h[(c[e+(o<<2)>>2]|0)+(k<<3)>>3]));m=m*+h[p+(o<<3)>>3];o=g<m;i=o?j:i;g=o?m:g;j=j+1|0}while((j|0)!=(b|0));o=i;if(g==0.0){d=0;break a}i=f+(k<<2)|0;if((o|0)!=(k|0)){l=c[i>>2]|0;n=f+(o<<2)|0;c[i>>2]=c[n>>2];c[n>>2]=l}l=c[e+(c[i>>2]<<2)>>2]|0;m=+h[l+(k<<3)>>3];n=k;i=k+1|0;if((i|0)<(b|0)){k=i;do{j=c[e+(c[f+(k<<2)>>2]<<2)>>2]|0;a=j+(n<<3)|0;g=+h[a>>3]/m;h[a>>3]=g;if(g!=0.0){a=i;do{r=j+(a<<3)|0;h[r>>3]=+h[r>>3]-g*+h[l+(a<<3)>>3];a=a+1|0}while((a|0)!=(b|0))}k=k+1|0}while((k|0)!=(b|0))}if((i|0)<(d|0)){k=i;i=o}else{q=28;break}}}else q=12}else{d=b+-1|0;q=12}while(0);if((q|0)==12){f=c[13069]|0;e=c[13068]|0;q=28}if((q|0)==28)d=+h[(c[e+(c[f+(d<<2)>>2]<<2)>>2]|0)+(d<<3)>>3]!=0.0&1;return d|0}function gr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;i=(d|0)>0;if(i){j=c[13069]|0;k=c[13068]|0;m=0;do{l=c[j+(m<<2)>>2]|0;if((m|0)>0){f=c[k+(l<<2)>>2]|0;e=0.0;g=0;do{e=e+ +h[f+(g<<3)>>3]*+h[a+(g<<3)>>3];g=g+1|0}while((g|0)!=(m|0))}else e=0.0;h[a+(m<<3)>>3]=+h[b+(l<<3)>>3]-e;m=m+1|0}while((m|0)!=(d|0));if(i){i=c[13069]|0;j=c[13068]|0;k=d;do{l=k;k=k+-1|0;g=c[j+(c[i+(k<<2)>>2]<<2)>>2]|0;if((l|0)<(d|0)){e=0.0;f=l;do{e=e+ +h[g+(f<<3)>>3]*+h[a+(f<<3)>>3];f=f+1|0}while((f|0)!=(d|0))}else e=0.0;m=a+(k<<3)|0;h[m>>3]=(+h[m>>3]-e)/+h[g+(k<<3)>>3]}while((l|0)>1)}}return}function hr(a){a=a|0;var b=0;b=zz(8)|0;c[b>>2]=a;c[b+4>>2]=0;return b|0}function ir(a,b){a=a|0;b=b|0;var d=0,e=0;if(a)do{d=a;a=c[a+4>>2]|0;e=c[d>>2]|0;if(e)Db[b&127](e);fQ(d)}while((a|0)!=0);return}function jr(a,b){a=a|0;b=b|0;var d=0;d=zz(8)|0;c[d>>2]=b;c[d+4>>2]=a;return d|0}function kr(a){a=a|0;return c[a>>2]|0}function lr(a){a=a|0;return c[a+4>>2]|0}function mr(a){a=a|0;var b=0;b=zz(12)|0;c[b>>2]=a;c[b+4>>2]=0;c[b+8>>2]=0;return b|0}function nr(a,b){a=a|0;b=b|0;var d=0,e=0;if(a)do{d=a;a=c[a+4>>2]|0;e=c[d>>2]|0;if(e)Db[b&127](e);fQ(d)}while((a|0)!=0);return}function or(a,b){a=a|0;b=b|0;var d=0;d=zz(12)|0;c[d>>2]=b;b=d+4|0;c[b>>2]=0;c[d+8>>2]=0;if(a){c[b>>2]=a;c[a+8>>2]=d}return d|0}function pr(a){a=a|0;return c[a>>2]|0}function qr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;do if(a){e=c[a+4>>2]|0;f=c[a+8>>2]|0;g=c[a>>2]|0;if(g)Db[b&127](g);fQ(a);if(e)c[e+8>>2]=f;if(!f){c[d>>2]=e;break}else{c[f+4>>2]=e;break}}while(0);return}function rr(a){a=a|0;c[a>>2]=0;c[a+4>>2]=0;return}function sr(a){a=a|0;var b=0;b=yz(64)|0;c[b+36>>2]=0;c[b+40>>2]=0;c[b+8>>2]=a;return b|0}function tr(a){a=a|0;if(a){Gr(c[a+32>>2]|0);fQ(a)}return}function ur(a){a=a|0;return vt(c[a+8>>2]|0)|0}function vr(a,b){a=a|0;b=b|0;var d=0,e=0;c[b+4>>2]=0;d=a+4|0;e=c[d>>2]|0;if(!e)c[a>>2]=b;else c[e+4>>2]=b;c[d>>2]=b;return}function wr(a,b){a=a|0;b=b|0;var d=0;d=c[a>>2]|0;if(!d){c[a>>2]=b;c[a+4>>2]=b}else{c[b+4>>2]=d;c[a>>2]=b}return}function xr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;k=n;j=n+8|0;f=c[d+24>>2]|0;if((f|0)!=0?(g=mu(b,f,0)|0,(g|0)!=0):0)e=g;else h=3;a:do if((h|0)==3){f=d+20|0;if((c[f>>2]|0)!=0?(e=gu(b)|0,(e|0)!=0):0)do{if((qC(c[c[(c[e+16>>2]|0)+112>>2]>>2]|0,c[f>>2]|0,0)|0)<<24>>24)break a;e=hu(b,e)|0}while((e|0)!=0);e=gu(b)|0}while(0);if(a[142275]|0){m=c[24809]|0;c[k>>2]=Ft(e)|0;pO(m,137005,k)|0}c[j+4>>2]=0;c[j>>2]=0;zr(b,e,d,1,j);m=c[d>>2]|0;e=c[m+4>>2]|0;if(e)do{l=c[e+8>>2]|0;g=gu(l)|0;f=c[(c[g+16>>2]|0)+112>>2]|0;h=c[f+16+4>>2]|0;f=c[f+8>>2]|0;b=hu(l,g)|0;if(b)do{k=c[(c[b+16>>2]|0)+112>>2]|0;j=c[k+16+4>>2]|0;if((j|0)<(h|0)){g=b;h=j;f=c[k+8>>2]|0}b=hu(l,b)|0}while((b|0)!=0);k=c[(c[f+16>>2]|0)+112>>2]|0;l=k+4|0;c[l>>2]=c[l>>2]|8;c[e>>2]=g;l=e;e=c[e+4>>2]|0;vr((c[k+12>>2]|0)+36|0,l)}while((e|0)!=0);rr(d);i=n;return m|0}function yr(a){a=a|0;var b=0,d=0;b=c[a+36>>2]|0;if(b)do{d=b;b=c[b+4>>2]|0;yr(d)}while((b|0)!=0);tr(a);return}function zr(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=d+8|0;n=c[o>>2]|0;c[o>>2]=n+1;o=b+16|0;g=c[(c[o>>2]|0)+112>>2]|0;c[g+16+4>>2]=n;c[g+24>>2]=n;g=ft(a,b)|0;a:do if(g){m=f+4|0;n=(e|0)==0;b:while(1){h=c[g>>2]&3;i=c[((h|0)==2?g:g+-48|0)+40>>2]|0;if((i|0)==(b|0)){i=c[((h|0)==3?g:g+48|0)+40>>2]|0;h=c[(c[g+16>>2]|0)+120>>2]|0;if(!(c[h>>2]|0))c[h>>2]=-1}else{h=c[(c[g+16>>2]|0)+120>>2]|0;if(!(c[h>>2]|0))c[h>>2]=1}j=i+16|0;k=c[(c[j>>2]|0)+112>>2]|0;l=c[k+16+4>>2]|0;do if(!l){c[k+8>>2]=b;c[h+4>>2]=c[f>>2];c[f>>2]=g;c[m>>2]=(c[m>>2]|0)+1;zr(a,i,d,0,f);l=c[(c[o>>2]|0)+112>>2]|0;i=l+24|0;h=c[i>>2]|0;k=(c[(c[j>>2]|0)+112>>2]|0)+24|0;j=c[k>>2]|0;c[i>>2]=(h|0)<(j|0)?h:j;if((c[k>>2]|0)>=(c[l+16+4>>2]|0)){h=0;do{k=c[f>>2]|0;if(!k){g=13;break b}i=c[m>>2]|0;if((i|0)<=0){g=12;break b}l=c[(c[k+16>>2]|0)+120>>2]|0;c[f>>2]=c[l+4>>2];c[m>>2]=i+-1;j=c[k>>2]&3;j=c[((c[l>>2]|0)==1?((j|0)==2?k:k+-48|0):(j|0)==3?k:k+48|0)+40>>2]|0;i=j+16|0;if(!(c[(c[(c[i>>2]|0)+112>>2]|0)+12>>2]|0)){if(!h)h=Ar(a,d)|0;lu(c[h+8>>2]|0,j,1)|0;c[(c[(c[i>>2]|0)+112>>2]|0)+12>>2]=h}}while((k|0)!=(g|0));if(h){if((c[(c[(c[o>>2]|0)+112>>2]|0)+12>>2]|0)==0?(ur(h)|0)>1:0){lu(c[h+8>>2]|0,b,1)|0;c[(c[(c[o>>2]|0)+112>>2]|0)+12>>2]=h}if(!n?(c[(c[(c[o>>2]|0)+112>>2]|0)+12>>2]|0)==(h|0):0){wr(d,h);break}vr(d,h)}}}else{h=c[(c[o>>2]|0)+112>>2]|0;if((c[h+8>>2]|0)!=(i|0)){k=h+24|0;j=c[k>>2]|0;c[k>>2]=(j|0)<(l|0)?j:l}}while(0);g=gt(a,g,b)|0;if(!g)break a}if((g|0)==12)Na(137016,137026,61,137038);else if((g|0)==13)Na(179560,137026,65,137038)}while(0);if((e|0)!=0?(c[(c[(c[o>>2]|0)+112>>2]|0)+12>>2]|0)==0:0){e=Ar(a,d)|0;lu(c[e+8>>2]|0,b,1)|0;c[(c[(c[o>>2]|0)+112>>2]|0)+12>>2]=e;wr(d,e)}return}function Ar(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+144|0;f=d;e=d+8|0;g=b+12|0;b=c[g>>2]|0;c[g>>2]=b+1;c[f>>2]=b;DO(e,137042,f)|0;b=rv(a,e,1)|0;Ou(b,178510,280,1)|0;b=sr(b)|0;i=d;return b|0}function Br(a,b,c){a=a|0;b=b|0;c=c|0;Cr(a,b,+h[c+32>>3]);return}function Cr(a,b,d){a=a|0;b=b|0;d=+d;var e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,P=0,S=0,T=0,V=0,X=0,Y=0,Z=0,_=0.0,$=0.0;k=b+36|0;f=c[k>>2]|0;if(!f)g=0;else{g=0;do{Cr(a,f,d);g=g+1|0;f=c[f+4>>2]|0}while((f|0)!=0)}f=Nr(a,b,d)|0;c[b+32>>2]=f;V=Lr(f)|0;if((g|0)>0){S=yz(g*56|0)|0;a=c[k>>2]|0;P=b+16|0;i=+h[P>>3];w=c[b>>2]|0;p=6.283185307179586/+(V|0);f=c[f>>2]|0;a:do if(!f){l=-1.0;j=-1.0;e=0.0}else{N=(a|0)==0;l=i+d;u=0;e=0.0;k=0;do{s=c[f>>2]|0;if(c[(c[(c[s+16>>2]|0)+112>>2]|0)+4>>2]&8){c[S+(k*56|0)>>2]=s;h[S+(k*56|0)+8>>3]=p*+(u|0);if(N){m=0;j=0.0;e=0.0}else{o=a;m=0;j=0.0;e=0.0;do{n=c[o>>2]|0;if(!n)n=0;else n=c[(c[(c[n+16>>2]|0)+112>>2]|0)+8>>2]|0;if((n|0)==(s|0)){H=+h[o+16>>3];m=m+1|0;j=j+(H*2.0+d);e=e<H?H:e}o=c[o+4>>2]|0}while((o|0)!=0)}h[S+(k*56|0)+32>>3]=j;c[S+(k*56|0)+48>>2]=m;h[S+(k*56|0)+16>>3]=l+e;h[S+(k*56|0)+24>>3]=e;k=k+1|0}u=u+1|0;f=c[f+4>>2]|0}while((f|0)!=0);n=k;switch(n|0){case 1:{h[S+40>>3]=1.0;n=1;break}case 2:{H=+h[S+64>>3]-+h[S+8>>3];Dr(S,S+56|0,H>3.141592653589793?6.283185307179586-H:H);n=2;break}default:{if((n|0)<=0){l=-1.0;j=-1.0;break a}m=S+8|0;o=S+((n*56|0)+-56)|0;j=+h[m>>3];f=1;k=S;do{L=k;k=k+56|0;M=L+64|0;Dr(L,k,+h[M>>3]-j);f=f+1|0;j=+h[M>>3]}while((f|0)!=(n|0));Dr(o,S,+h[m>>3]-j+6.283185307179586)}}L=(V|0)==1;M=(V|0)>1;K=w+16|0;j=-1.0;l=-1.0;J=0;do{I=S+(J*56|0)|0;p=+h[S+(J*56|0)+40>>3]*+h[S+(J*56|0)+16>>3];if(L){H=+h[S+(J*56|0)+32>>3];q=H/6.283185307179586;q=p>q?p:q;p=q*6.283185307179586-H;if(p>0.0){r=p/+(c[S+(J*56|0)+48>>2]|0)+d;t=0.0}else{r=d;t=0.0}}else{r=d;t=+h[S+(J*56|0)+8>>3]-+h[S+(J*56|0)+32>>3]/(p*2.0);q=p}p=q+ +h[S+(J*56|0)+24>>3];i=p>i?p:i;p=r/q;F=S+(J*56|0)+48|0;G=((c[F>>2]|0)+1|0)/2|0;if(N)p=0.0;else{H=p*.5;C=L?p:H;D=S+(J*56|0)+8|0;E=a;B=0;p=0.0;while(1){f=c[E>>2]|0;if(!f)f=0;else f=c[(c[(c[f+16>>2]|0)+112>>2]|0)+8>>2]|0;if((f|0)==(c[I>>2]|0)?(T=E+32|0,(Lr(c[T>>2]|0)|0)>=1):0){u=E+16|0;A=+h[u>>3]/q;do if(!L)if((c[F>>2]|0)==1){z=+h[D>>3];break}else{z=t+(H+A);break}else{if(t!=0.0)t=(c[F>>2]|0)==2?3.141592653589793:t+A;z=t;j=j<0.0?t:j;l=t}while(0);x=q*+Q(+z);y=q*+R(+z);m=c[E+8>>2]|0;r=+h[E+48>>3];do if(!(r>=0.0)){if((Lr(c[T>>2]|0)|0)==2){r=z+-1.5707963267948966;break}o=c[E>>2]|0;s=o+16|0;k=c[(c[s>>2]|0)+132>>2]|0;r=x+ +h[k>>3];t=y+ +h[k+8>>3];k=gu(m)|0;if(!k)f=o;else{f=o;t=r*r+t*t;while(1){do if((k|0)==(o|0))r=t;else{Z=c[(c[k+16>>2]|0)+132>>2]|0;v=x+ +h[Z>>3];r=y+ +h[Z+8>>3];r=v*v+r*r;if(!(r<t)){r=t;break}f=k}while(0);k=hu(m,k)|0;if(!k)break;else t=r}}if((o|0)==(f|0))r=0.0;else{v=+h[E+24>>3];t=+h[u>>3]-v;f=c[s>>2]|0;k=c[f+132>>2]|0;r=+h[k>>3];if(r>-t?(c[E+56>>2]&1|0)!=0:0){_=+O(+(x*x+y*y));$=+W(+(+h[k+8>>3]),+(t+r));r=+Q(+$);r=z+(1.5707963267948966-$-+U(+(r*((t-v/r)/_))));break}r=3.141592653589793-+W(+(+h[k+8>>3]),+r);r=z+(r-+h[(c[f+112>>2]|0)+24>>3]);if(!(r>6.283185307179586))break;r=r+-6.283185307179586}}else{r=z+(3.141592653589793-r);r=r<0.0?r+6.283185307179586:r}while(0);Er(E,x,y,r);$=C+A+z;Z=B+1|0;t=$;f=Z;p=(Z|0)==(G|0)?$:p}else f=B;E=c[E+4>>2]|0;if(!E)break;else B=f}}if(M?(c[I>>2]|0)==(w|0):0)h[(c[(c[K>>2]|0)+112>>2]|0)+24>>3]=p;J=J+1|0}while((J|0)!=(n|0))}while(0);fQ(S);if((g|0)==1){$=d*.5+e;Er(b,-$,0.0,0.0);h[P>>3]=$+ +h[P>>3];Z=b+56|0;c[Z>>2]=c[Z>>2]|1}else h[P>>3]=i;e=(j+l)*.5+-3.141592653589793}else e=3.141592653589793;if((((V|0)==1?(X=c[b>>2]|0,(X|0)!=0):0)?(c[(c[(c[X+16>>2]|0)+112>>2]|0)+8>>2]|0)!=0:0)?(Y=b+48|0,h[Y>>3]=e,e<0.0):0)h[Y>>3]=e+6.283185307179586;return}function Dr(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0,e=0.0;e=+h[b+16>>3];d=+h[a+16>>3];c=(+h[a+32>>3]*e+ +h[b+32>>3]*d)/(e*(c*2.0*d));c=c<1.0?1.0:c;a=a+40|0;if(c>+h[a>>3])h[a>>3]=c;a=b+40|0;if(c>+h[a>>3])h[a>>3]=c;return}function Er(a,b,d,e){a=a|0;b=+b;d=+d;e=+e;var f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0.0,p=0.0;m=c[a+8>>2]|0;f=gu(m)|0;if(f){n=e!=0.0;do{k=c[(c[f+16>>2]|0)+132>>2]|0;i=+h[k>>3];j=k+8|0;g=+h[j>>3];if(n){p=+Q(+e);o=+R(+e);l=i*p-g*o;g=g*p+i*o}else l=i;h[k>>3]=l+b;h[j>>3]=g+d;f=hu(m,f)|0}while((f|0)!=0)}f=c[a+36>>2]|0;if(f)do{Er(f,b,d,e);f=c[f+4>>2]|0}while((f|0)!=0);return}function Fr(){return yz(12)|0}function Gr(a){a=a|0;var b=0,d=0;if(a){b=c[a>>2]|0;if(b)do{d=b;b=c[b+4>>2]|0;fQ(d)}while((b|0)!=0);fQ(a)}return}function Hr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;f=yz(12)|0;c[f>>2]=d;d=a+8|0;c[d>>2]=(c[d>>2]|0)+1;d=a+4|0;e=c[d>>2]|0;if((b|0)==0|(e|0)==(b|0)){if(!e)c[a>>2]=f;else c[e+4>>2]=f;c[f+8>>2]=e;c[f+4>>2]=0;c[d>>2]=f}else{e=b+4|0;a=c[e>>2]|0;c[e>>2]=f;c[f+8>>2]=b;c[a+8>>2]=f;c[f+4>>2]=a}return}function Ir(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a>>2]|0;if((d|0)!=(b|0)){f=b+8|0;e=c[f>>2]|0;c[a>>2]=b;c[f>>2]=0;b=a+4|0;a=c[b>>2]|0;c[a+4>>2]=d;c[d+8>>2]=a;c[b>>2]=e;c[e+4>>2]=0}return}function Jr(a){a=a|0;var b=0,d=0,e=0;e=yz(12)|0;a=c[a>>2]|0;if(a){b=e+4|0;d=0;while(1){Hr(e,d,c[a>>2]|0);a=c[a+4>>2]|0;if(!a)break;else d=c[b>>2]|0}}return e|0}function Kr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=c[a>>2]|0;a:do if(f){while(1){if((c[f>>2]|0)==(b|0)){j=f;break}f=c[f+4>>2]|0;if(!f)break a}h=j+8|0;f=c[h>>2]|0;i=j+4|0;b=c[i>>2]|0;if(!f)c[a>>2]=b;else c[f+4>>2]=b;if(!b)c[a+4>>2]=f;else c[b+8>>2]=f;g=c[a>>2]|0;b:do if(g){f=0;b=g;while(1){if((c[b>>2]|0)==(d|0))break;f=c[b+4>>2]|0;if(!f)break b;else{k=b;b=f;f=k}}if(!e)if((b|0)==(g|0)){c[a>>2]=j;c[i>>2]=g;c[h>>2]=0;c[g+8>>2]=j;break}else{c[f+4>>2]=j;c[h>>2]=f;c[i>>2]=b;c[b+8>>2]=j;break}else{f=a+4|0;if((b|0)==(c[f>>2]|0)){c[f>>2]=j;c[i>>2]=0;c[h>>2]=b;c[b+4>>2]=j;break}else{c[h>>2]=b;k=b+4|0;c[i>>2]=c[k>>2];c[(c[k>>2]|0)+8>>2]=j;c[k>>2]=j;break}}}while(0);return}while(0);Na(137052,137059,217,137070)}function Lr(a){a=a|0;return c[a+8>>2]|0}function Mr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b>>2]|0;e=d;if(d)do{g=d+4|0;f=d;d=c[g>>2]|0;f=f+8|0;c[g>>2]=c[f>>2];c[f>>2]=d}while((d|0)!=0);d=b+4|0;g=c[d>>2]|0;c[d>>2]=e;c[b>>2]=g;d=g;if(g){g=a+4|0;f=c[g>>2]|0;c[f+4>>2]=d;c[d+8>>2]=f;c[g>>2]=e;g=a+8|0;c[g>>2]=(c[g>>2]|0)+(c[b+8>>2]|0)}fQ(b);return}function Nr(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0;G=i;i=i+160|0;k=G+16|0;z=G+8|0;j=G;y=G+24|0;D=c[b+8>>2]|0;e=gu(D)|0;if(e)do{f=at(a,e)|0;if(f)do{if((c[(c[(c[(c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0)+16>>2]|0)+112>>2]|0)+12>>2]|0)==(b|0))kt(D,f,1)|0;f=ct(a,f)|0}while((f|0)!=0);e=hu(D,e)|0}while((e|0)!=0);E=c[13071]|0;c[13071]=E+1;c[j>>2]=E;DO(y,137085,j)|0;E=rv(D,y,1)|0;Ou(E,178510,280,1)|0;x=c[13071]|0;c[13071]=x+1;c[k>>2]=x;DO(y,137085,k)|0;c[k>>2]=c[D+24>>2];x=rt(y,k,0)|0;e=gu(D)|0;if(e)do{lu(E,e,1)|0;w=mu(x,Ft(e)|0,1)|0;Ou(w,178487,304,1)|0;c[(c[(c[e+16>>2]|0)+112>>2]|0)+16>>2]=w;e=hu(D,e)|0}while((e|0)!=0);e=gu(D)|0;if(e)do{a=c[(c[(c[e+16>>2]|0)+112>>2]|0)+16>>2]|0;f=at(D,e)|0;if(f){j=a+16|0;do{kt(E,f,1)|0;w=c[(c[(c[(c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0)+16>>2]|0)+112>>2]|0)+16>>2]|0;v=ht(x,a,w,0,1)|0;Ou(v,178780,176,1)|0;c[(c[v+16>>2]|0)+116>>2]=f;v=(c[j>>2]|0)+236|0;c[v>>2]=(c[v>>2]|0)+1;w=(c[w+16>>2]|0)+236|0;c[w>>2]=(c[w>>2]|0)+1;f=ct(D,f)|0}while((f|0)!=0)}e=hu(D,e)|0}while((e|0)!=0);f=vt(x)|0;w=Qr()|0;e=gu(x)|0;if(e)do{Sr(w,e);e=hu(x,e)|0}while((e|0)!=0);if((f|0)>3){t=f+-3|0;v=0;do{u=Ur(w)|0;e=ft(x,u)|0;if(e)do{a=c[e>>2]&3;f=c[((a|0)==2?e:e+-48|0)+40>>2]|0;if((u|0)==(f|0))f=c[((a|0)==3?e:e+48|0)+40>>2]|0;Tr(w,f);e=gt(x,e,u)|0}while((e|0)!=0);q=c[(c[u+16>>2]|0)+236>>2]|0;s=q<<2;r=zz(s)|0;s=zz(s)|0;e=ft(x,u)|0;if(!e){e=0;j=0}else{f=0;n=0;p=0;while(1){a=c[e>>2]&3;j=c[((a|0)==2?e:e+-48|0)+40>>2]|0;if((j|0)==(u|0))j=c[((a|0)==3?e:e+48|0)+40>>2]|0;a=ft(x,u)|0;if(a){m=a;a=0;do{do if((m|0)!=(e|0)){k=c[m>>2]&3;l=c[((k|0)==2?m:m+-48|0)+40>>2]|0;if((l|0)==(u|0))l=c[((k|0)==3?m:m+48|0)+40>>2]|0;k=ht(x,j,l,0,0)|0;if(k)if(j>>>0<l>>>0){f=f+1|0;a=k+16|0;k=c[(c[a>>2]|0)+116>>2]|0;if(!k){a=1;break}wu(E,k)|0;c[(c[a>>2]|0)+116>>2]=0;a=1}else a=1}while(0);m=gt(x,m,u)|0}while((m|0)!=0);if(!a)F=36;else{c[r+(n<<2)>>2]=j;a=n+1|0;j=p}}else F=36;if((F|0)==36){F=0;c[s+(p<<2)>>2]=j;a=n;j=p+1|0}e=gt(x,e,u)|0;if(!e){e=f;break}else{n=a;p=j}}}e=q+-1-e|0;a:do if((e|0)>0){if((e|0)>=(j|0)){if((e|0)!=(j|0))break;e=c[r>>2]|0;if((j|0)<=0)break;f=e+16|0;a=0;while(1){q=c[s+(a<<2)>>2]|0;Ou(ht(x,e,q,0,1)|0,178780,176,1)|0;p=(c[f>>2]|0)+236|0;c[p>>2]=(c[p>>2]|0)+1;q=(c[q+16>>2]|0)+236|0;c[q>>2]=(c[q>>2]|0)+1;a=a+1|0;if((a|0)==(j|0))break a}}if((j|0)>0){a=0;do{f=a|1;if((f|0)>=(j|0))break;p=c[s+(a<<2)>>2]|0;q=c[s+(f<<2)>>2]|0;Ou(ht(x,p,q,0,1)|0,178780,176,1)|0;p=(c[p+16>>2]|0)+236|0;c[p>>2]=(c[p>>2]|0)+1;q=(c[q+16>>2]|0)+236|0;c[q>>2]=(c[q>>2]|0)+1;e=e+-1|0;a=a+2|0}while((a|0)<(j|0));if((e|0)>0)f=2;else break}else f=2;while(1){p=c[s>>2]|0;q=c[s+(f<<2)>>2]|0;Ou(ht(x,p,q,0,1)|0,178780,176,1)|0;p=(c[p+16>>2]|0)+236|0;c[p>>2]=(c[p>>2]|0)+1;q=(c[q+16>>2]|0)+236|0;c[q>>2]=(c[q>>2]|0)+1;if((e|0)>1){e=e+-1|0;f=f+1|0}else break}}while(0);fQ(s);fQ(r);e=ft(x,u)|0;if(e)do{a=c[e>>2]&3;f=c[((a|0)==2?e:e+-48|0)+40>>2]|0;if((u|0)==(f|0))f=c[((a|0)==3?e:e+48|0)+40>>2]|0;s=(c[f+16>>2]|0)+236|0;c[s>>2]=(c[s>>2]|0)+-1;Sr(w,f);e=gt(x,e,u)|0}while((e|0)!=0);wu(x,u)|0;v=v+1|0}while((v|0)!=(t|0))}ut(x)|0;Rr(w);t=c[13072]|0;c[13072]=t+1;c[z>>2]=t;DO(y,137095,z)|0;t=rv(E,y,1)|0;Ou(t,178510,280,1)|0;e=gu(E)|0;if(e)do{lu(t,e,1)|0;z=c[(c[e+16>>2]|0)+112>>2]|0;c[z+16+12>>2]=0;c[z+32>>2]=0;z=z+4|0;c[z>>2]=c[z>>2]&-2;e=hu(E,e)|0}while((e|0)!=0);e=gu(E)|0;if(e)do{f=c[(c[e+16>>2]|0)+112>>2]|0;if(!(c[f+4>>2]&1)){c[f+16>>2]=0;Or(E,e,t)}e=hu(E,e)|0}while((e|0)!=0);if((vt(t)|0)!=1){e=gu(t)|0;if(e)do{a=ft(t,e)|0;b:do if(a){f=0;while(1){a=gt(t,a,e)|0;if(!a)break;else f=f+1|0}if((f|0)==0?(A=c[(c[(c[e+16>>2]|0)+112>>2]|0)+16>>2]|0,(A|0)!=0):0){f=A;s=0;a=0;while(1){while(1){j=a;a=a+1|0;k=c[(c[f+16>>2]|0)+112>>2]|0;f=k+16|0;l=f+12|0;m=c[l>>2]|0;if(m){r=f;break}c[f+4>>2]=e;c[l>>2]=a;f=c[f>>2]|0;if(!f)break b}if((m|0)>(j|0))break;q=f+4|0;j=c[q>>2]|0;n=j;if((j|0)==(s|0))j=s;else{p=k+32|0;f=k+24|0;if((c[p>>2]|0)!=0?(c[f>>2]|0)==(s|0):0)j=s;c[f>>2]=n;c[p>>2]=m}c[q>>2]=e;c[l>>2]=a;f=c[r>>2]|0;if(!f)break b;else s=j}f=k+32|0;if((c[f>>2]|0)<=(j|0)){c[k+24>>2]=e;c[f>>2]=a}}}while(0);e=hu(t,e)|0}while((e|0)!=0);e=gu(t)|0;if(!e)k=0;else{f=0;k=0;while(1){a=c[(c[e+16>>2]|0)+112>>2]|0;a=(c[a+32>>2]|0)+(c[a+16+12>>2]|0)|0;j=(a|0)>(k|0);f=j?e:f;e=hu(t,e)|0;if(!e){k=f;break}else k=j?a:k}}f=Fr()|0;a=k+16|0;e=c[(c[(c[a>>2]|0)+112>>2]|0)+16+4>>2]|0;if((e|0)!=(k|0))do{Hr(f,0,e);A=c[(c[e+16>>2]|0)+112>>2]|0;z=A+4|0;c[z>>2]=c[z>>2]|16;e=c[A+16>>2]|0}while((e|0)!=(k|0));Hr(f,0,k);A=c[(c[a>>2]|0)+112>>2]|0;z=A+4|0;c[z>>2]=c[z>>2]|16;if(c[A+32>>2]|0){j=Fr()|0;e=c[(c[(c[a>>2]|0)+112>>2]|0)+24>>2]|0;if((e|0)!=(k|0))do{Hr(j,0,e);A=c[(c[e+16>>2]|0)+112>>2]|0;z=A+4|0;c[z>>2]=c[z>>2]|16;e=c[A+16>>2]|0}while((e|0)!=(k|0));Mr(f,j)}}else{f=Fr()|0;A=gu(t)|0;Hr(f,0,A);A=(c[(c[A+16>>2]|0)+112>>2]|0)+4|0;c[A>>2]=c[A>>2]|16}e=gu(D)|0;if(e){l=f+4|0;do{if(!(c[(c[(c[e+16>>2]|0)+112>>2]|0)+4>>2]&16)){k=Fr()|0;a=at(D,e)|0;if(a)do{A=a+-48|0;Hr(k,0,c[((c[a>>2]&3|0)==2?a:A)+40>>2]|0);A=(c[(c[(c[((c[a>>2]&3|0)==2?a:A)+40>>2]|0)+16>>2]|0)+112>>2]|0)+4|0;c[A>>2]=c[A>>2]|32;a=ct(D,a)|0}while((a|0)!=0);a=dt(D,e)|0;if(a)do{A=a+48|0;Hr(k,0,c[((c[a>>2]&3|0)==3?a:A)+40>>2]|0);A=(c[(c[(c[((c[a>>2]&3|0)==3?a:A)+40>>2]|0)+16>>2]|0)+112>>2]|0)+4|0;c[A>>2]=c[A>>2]|32;a=et(D,a)|0}while((a|0)!=0);c:do if((Lr(k)|0)>1?(B=c[f>>2]|0,(B|0)!=0):0){a=B;while(1){j=a+4|0;if((c[(c[(c[(c[a>>2]|0)+16>>2]|0)+112>>2]|0)+4>>2]&32|0)!=0?(c[(c[(c[(c[c[((a|0)==(c[l>>2]|0)?f:j)>>2]>>2]|0)+16>>2]|0)+112>>2]|0)+4>>2]&32|0)!=0:0)break;a=c[j>>2]|0;if(!a){F=101;break c}}Hr(f,a,e)}else F=101;while(0);d:do if((F|0)==101){F=0;e:do if((Lr(k)|0)>0?(C=c[f>>2]|0,(C|0)!=0):0){a=C;while(1){if(c[(c[(c[(c[a>>2]|0)+16>>2]|0)+112>>2]|0)+4>>2]&32)break;a=c[a+4>>2]|0;if(!a)break e}Hr(f,a,e);break d}while(0);Hr(f,0,e)}while(0);a=c[k>>2]|0;if(a)do{A=(c[(c[(c[a>>2]|0)+16>>2]|0)+112>>2]|0)+4|0;c[A>>2]=c[A>>2]&-33;a=c[a+4>>2]|0}while((a|0)!=0);Gr(k)}e=hu(D,e)|0}while((e|0)!=0)}e=Pr(f,D)|0;f:do if(!e)l=f;else{p=0;while(1){j=gu(D)|0;if(!j)a=e;else{a=e;do{k=ft(D,j)|0;if(k)do{l=c[k>>2]&3;m=c[((l|0)==3?k:k+48|0)+40>>2]|0;if((m|0)==(j|0))m=c[((l|0)==2?k:k+-48|0)+40>>2]|0;l=Jr(f)|0;Kr(f,j,m,0);n=Pr(f,D)|0;if((n|0)<(a|0)){Gr(l);if(!n){l=f;break f}}else{Gr(f);f=l;n=a}l=Jr(f)|0;Kr(f,j,m,1);a=Pr(f,D)|0;if((a|0)<(n|0)){Gr(l);if(!a){l=f;break f}}else{Gr(f);f=l;a=n}k=gt(D,k,j)|0}while((k|0)!=0);j=hu(D,j)|0}while((j|0)!=0)}p=p+1|0;if(!((p|0)<10&((a|0)!=0&(e|0)!=(a|0)))){l=f;break}else e=a}}while(0);j=Lr(l)|0;a=c[l>>2]|0;f=(a|0)==0;if(f)o=0.0;else{e=a;g=0.0;do{D=c[(c[c[(c[(c[e>>2]|0)+16>>2]|0)+112>>2]>>2]|0)+16>>2]|0;o=+h[D+32>>3];g=o>g?o:g;o=+h[D+40>>3];g=o>g?o:g;e=c[e+4>>2]|0}while((e|0)!=0);o=g}k=(j|0)==1;if(k)d=0.0;else d=+(j|0)*(o+d)/6.283185307179586;if(!f){e=a;while(1){if(c[(c[(c[(c[e>>2]|0)+16>>2]|0)+112>>2]|0)+4>>2]&8){F=131;break}e=c[e+4>>2]|0;if(!e){e=a;break}}if((F|0)==131){Ir(l,e);e=c[l>>2]|0}if(e){g=6.283185307179586/+(j|0);f=0;while(1){F=c[(c[e>>2]|0)+16>>2]|0;D=c[F+112>>2]|0;c[D+16>>2]=f;h[D+24>>3]=0.0;H=+(f|0)*g;I=d*+Q(+H);F=c[F+132>>2]|0;h[F>>3]=I;h[F+8>>3]=d*+R(+H);e=c[e+4>>2]|0;if(!e)break;else f=f+1|0}}}I=k?o*.5:d;h[b+16>>3]=I;h[b+24>>3]=I;h[b+48>>3]=-1.0;ut(E)|0;i=G;return l|0}function Or(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=(c[(c[b+16>>2]|0)+112>>2]|0)+4|0;c[e>>2]=c[e>>2]|1;e=ft(a,b)|0;if(e)do{f=c[e>>2]&3;g=c[((f|0)==2?e:e+-48|0)+40>>2]|0;if((g|0)==(b|0))g=c[((f|0)==3?e:e+48|0)+40>>2]|0;f=g+16|0;if(!(c[(c[(c[f>>2]|0)+112>>2]|0)+4>>2]&1)){kt(d,e,1)|0;c[(c[(c[f>>2]|0)+112>>2]|0)+16>>2]=b;Or(a,g,d)}e=gt(a,e,b)|0}while((e|0)!=0);return}function Pr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;l=Yr()|0;d=gu(b)|0;if(d)do{e=at(b,d)|0;if(e)do{c[c[(c[e+16>>2]|0)+120>>2]>>2]=0;e=ct(b,e)|0}while((e|0)!=0);d=hu(b,d)|0}while((d|0)!=0);e=c[a>>2]|0;if(!e)d=0;else{d=0;j=1;while(1){i=c[e>>2]|0;a=ft(b,i)|0;if(a)do{h=a+16|0;if((c[c[(c[h>>2]|0)+120>>2]>>2]|0)>0){f=Jb[c[l>>2]&63](l,0,128)|0;if(f)do{g=c[f+8>>2]|0;if((c[c[(c[g+16>>2]|0)+120>>2]>>2]|0)>(c[c[(c[h>>2]|0)+120>>2]>>2]|0)?(k=c[g>>2]&3,(c[((k|0)==2?g:g+-48|0)+40>>2]|0)!=(i|0)):0)d=((c[((k|0)==3?g:g+48|0)+40>>2]|0)!=(i|0)&1)+d|0;f=Jb[c[l>>2]&63](l,f,8)|0}while((f|0)!=0);$r(l,a)}a=gt(b,a,i)|0}while((a|0)!=0);a=ft(b,i)|0;if(a)do{f=c[(c[a+16>>2]|0)+120>>2]|0;if(!(c[f>>2]|0)){c[f>>2]=j;_r(l,a)}a=gt(b,a,i)|0}while((a|0)!=0);e=c[e+4>>2]|0;if(!e)break;else j=j+1|0}}Zr(l);return d|0}function Qr(){return hs(52292,c[13094]|0)|0}function Rr(a){a=a|0;ds(a)|0;return}function Sr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+16|0;f=d;e=b+16|0;c[f+8>>2]=c[(c[e>>2]|0)+236>>2];a=(Jb[c[a>>2]&63](a,f,1)|0)+12|0;c[(c[e>>2]|0)+164>>2]=c[a>>2];c[a>>2]=b;i=d;return}function Tr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;f=h;e=b+16|0;c[f+8>>2]=c[(c[e>>2]|0)+236>>2];f=Jb[c[a>>2]&63](a,f,4)|0;if(!f)Na(137104,137107,107,137117);g=f+12|0;d=c[g>>2]|0;if((d|0)==(b|0)){b=c[(c[e>>2]|0)+164>>2]|0;c[g>>2]=b;if(!b)Jb[c[a>>2]&63](a,f,2)|0}else{do{f=(c[d+16>>2]|0)+164|0;d=c[f>>2]|0;e=(d|0)!=0}while(e&(d|0)!=(b|0));if(e)c[f>>2]=c[(c[d+16>>2]|0)+164>>2]}i=h;return}function Ur(a){a=a|0;var b=0,d=0,e=0,f=0;d=Jb[c[a>>2]&63](a,0,128)|0;if(d){f=d+12|0;b=c[f>>2]|0;e=c[(c[b+16>>2]|0)+164>>2]|0;c[f>>2]=e;if(!e)Jb[c[a>>2]&63](a,d,2)|0}else b=0;return b|0}function Vr(a,b,d){a=a|0;b=b|0;d=d|0;d=zz(16)|0;c[d+12>>2]=0;c[d+8>>2]=c[b+8>>2];return d|0}function Wr(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function Xr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;b=c[b>>2]|0;d=c[d>>2]|0;return ((b|0)<(d|0)?-1:(b|0)>(d|0)&1)|0}function Yr(){return hs(52328,c[13094]|0)|0}function Zr(a){a=a|0;ds(a)|0;return}function _r(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e+8>>2]=b;Jb[c[a>>2]&63](a,e,1)|0;i=d;return}function $r(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e+8>>2]=b;Jb[c[a>>2]&63](a,e,2)|0;i=d;return}function as(a,b,d){a=a|0;b=b|0;d=d|0;d=zz(12)|0;c[d+8>>2]=c[b+8>>2];return d|0}function bs(a,b,c){a=a|0;b=b|0;c=c|0;fQ(b);return}function cs(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;b=c[b>>2]|0;d=c[d>>2]|0;return (b>>>0>d>>>0?1:(b>>>0<d>>>0)<<31>>31)|0}function ds(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;do if((a|0)!=0?(c[a+24>>2]|0)<=0:0){h=c[a+4>>2]|0;g=h+32|0;b=c[g>>2]|0;if(b){b=Ub[b&127](a,2,0,h)|0;if((b|0)<0){b=-1;break}}else b=0;if(c[a+28>>2]|0)ms(a,0)|0;f=(b|0)==0;if(f){Jb[c[c[a+16>>2]>>2]&63](a,0,64)|0;if((js(a)|0)>0){b=-1;break}d=a+8|0;b=c[d>>2]|0;if((c[b+12>>2]|0)>0){e=a+12|0;Ub[c[e>>2]&127](a,c[b+8>>2]|0,0,h)|0;b=c[d>>2]|0}else e=a+12|0;Ub[c[e>>2]&127](a,b,0,h)|0}b=c[a+20>>2]|0;if(b){if(f&(b|0)==1)Ub[c[a+12>>2]&127](a,a,0,h)|0}else fQ(a);b=c[g>>2]|0;if(!b)b=0;else{Ub[b&127](a,6,0,h)|0;b=0}}else b=-1;while(0);return b|0}function es(a){a=a|0;var b=0,d=0,e=0,f=0;e=a+8|0;b=c[e>>2]|0;d=c[b>>2]|0;do if(!(d&12)){if(!(d&3)){a=b+8|0;b=c[a>>2]|0;c[a>>2]=0;break}b=fs(a)|0;f=c[e>>2]|0;d=c[f+8>>2]|0;f=c[f+12>>2]|0;a=d+(f<<2)|0;if((f|0)>0){f=d+4|0;tQ(d|0,0,(a>>>0>f>>>0?a:f)+~d+4&-4|0)|0}}else b=c[b+4>>2]|0;while(0);f=c[e>>2]|0;c[f>>2]=c[f>>2]&-4097;c[f+16>>2]=0;c[f+4>>2]=0;return b|0}function fs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;g=a+8|0;b=c[g>>2]|0;a=c[b>>2]|0;if(!(a&4096)){do if(!(a&3)){if(a&112){a=c[b+8>>2]|0;break}a=c[b+4>>2]|0;if(!a)a=0;else{b=c[a+4>>2]|0;if(!b){d=c[a>>2]|0;if(!d)break;else{b=a;a=d}}else while(1){c[a+4>>2]=c[b>>2];c[b>>2]=a;d=c[b+4>>2]|0;if(!d)break;else{a=b;b=d}}d=b;do{e=c[a+4>>2]|0;if(!e)d=a;else{while(1){c[a+4>>2]=c[e>>2];c[e>>2]=a;a=c[e+4>>2]|0;if(!a){a=e;break}else{f=e;e=a;a=f}}c[d>>2]=a;d=a}a=c[d>>2]|0}while((a|0)!=0);a=b}}else{d=c[b+8>>2]|0;e=c[b+12>>2]|0;f=d+(e<<2)|0;if((e|0)>0){b=0;a=0;do{e=c[d>>2]|0;if(e){if(!b){b=e;a=e}else c[b>>2]=e;while(1){e=c[b>>2]|0;if(!e)break;else b=e}c[d>>2]=b}d=d+4|0}while(d>>>0<f>>>0)}else a=0}while(0);g=c[g>>2]|0;c[g+4>>2]=a;c[g>>2]=c[g>>2]|4096}else a=c[b+4>>2]|0;return a|0}function gs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;r=a+8|0;if(c[c[r>>2]>>2]&4096)is(a,0)|0;q=c[a+4>>2]|0;m=c[q>>2]|0;n=c[q+4>>2]|0;p=q+8|0;t=c[p>>2]|0;l=c[q+20>>2]|0;o=a+20|0;h=c[o>>2]&-32769;c[o>>2]=h;a:do if(!b){if(d&384){b=c[r>>2]|0;e=c[b+8>>2]|0;if(!e){e=0;break}if(d&256){e=c[e+4>>2]|0;c[b+4>>2]=e;if(!e){e=0;break}}else c[b+4>>2]=e;if((t|0)<0){e=c[e+8>>2]|0;break}else{e=e+(0-t)|0;break}}if(d&4098){e=c[r>>2]|0;if(c[e>>2]&144){e=0;break}e=c[e+8>>2]|0;if(!e){e=0;break}else{g=e;s=88;break}}if(!(d&64))e=0;else{i=q+16|0;e=c[i>>2]|0;b:do if((e|0)!=0|(t|0)<0?(g=c[(c[r>>2]|0)+8>>2]|0,(g|0)!=0):0){j=a+12|0;k=(t|0)<0;h=0-t|0;while(1){b=c[g>>2]|0;if(e){if(k)f=c[g+8>>2]|0;else f=g+h|0;Vb[e&127](a,f,q)}if((c[p>>2]|0)<0)Ub[c[j>>2]&127](a,g,0,q)|0;if(!b)break b;e=c[i>>2]|0;g=b}}while(0);e=c[r>>2]|0;c[e+4>>2]=0;c[e+8>>2]=0;c[(c[r>>2]|0)+16>>2]=0;e=0}}else{if(d&2049){f=q+12|0;e=c[f>>2]|0;g=(d&1|0)==0;if(!(g|(e|0)==0)){e=Jb[e&63](a,b,q)|0;if(!e){e=0;break}else b=e}do if((t|0)>-1)g=b+t|0;else{e=Ub[c[a+12>>2]&127](a,0,12,q)|0;if(e){c[e+8>>2]=b;g=e;break}if(!(c[f>>2]|0)){e=0;break a}e=c[q+16>>2]|0;if(g|(e|0)==0){e=0;break a}Vb[e&127](a,b,q);e=0;break a}while(0);f=c[r>>2]|0;e=c[f>>2]|0;do if(!(e&128)){if(!(e&16))if(!(e&32)){s=54;break}else{s=50;break}b=c[f+4>>2]|0;e=(b|0)!=0;if(!(d&8192)){if(!e){s=50;break}if((b|0)==(c[f+8>>2]|0)){s=50;break}a=b+4|0;q=c[a>>2]|0;c[g+4>>2]=q;c[q>>2]=g;c[g>>2]=b;c[a>>2]=g;break}else{if(!e){s=54;break}e=c[b>>2]|0;if(!e){s=54;break}c[g>>2]=e;c[e+4>>2]=g;c[g+4>>2]=b;c[b>>2]=g;break}}else if(!(d&8192))s=50;else s=54;while(0);if((s|0)==50){e=c[f+8>>2]|0;c[g>>2]=e;if(!e)c[g+4>>2]=g;else{a=e+4|0;c[g+4>>2]=c[a>>2];c[a>>2]=g}c[(c[r>>2]|0)+8>>2]=g}else if((s|0)==54){e=f+8|0;b=c[e>>2]|0;if(!b){c[e>>2]=g;c[g+4>>2]=g}else{a=b+4|0;c[c[a>>2]>>2]=g;c[g+4>>2]=c[a>>2];c[a>>2]=g}c[g>>2]=0}e=c[r>>2]|0;b=e+16|0;f=c[b>>2]|0;if((f|0)>-1)c[b>>2]=f+1;c[e+4>>2]=g;if((t|0)<0){e=c[g+8>>2]|0;break}else{e=g+(0-t)|0;break}}g=c[r>>2]|0;do if(!(d&512)){e=c[g+4>>2]|0;if(e){if((t|0)<0)f=c[e+8>>2]|0;else f=e+(0-t)|0;if((f|0)==(b|0)){b=h;break}}b=b+m|0;if((n|0)<0){b=c[b>>2]|0;s=71}else s=71}else s=71;while(0);if((s|0)==71){e=c[g+8>>2]|0;if(!e){e=0;break}g=(t|0)<0;h=(n|0)<0;i=(l|0)==0;j=(n|0)<1;k=0-t|0;while(1){if(g)f=c[e+8>>2]|0;else f=e+k|0;f=f+m|0;if(h)f=c[f>>2]|0;do if(i)if(j){f=aP(b,f)|0;break}else{f=UO(b,f,n)|0;break}else f=Ub[l&127](a,b,f,q)|0;while(0);if(!f)break;e=c[e>>2]|0;if(!e){e=0;break a}}if(!e){e=0;break}b=c[o>>2]|0}c[o>>2]=b|32768;if(!(d&4098)){do if(!(d&8)){b=c[r>>2]|0;if(!(d&16)){c[b+4>>2]=e;break}if((e|0)==(c[b+8>>2]|0)){c[b+4>>2]=0;e=0;break a}else{e=e+4|0;s=112;break}}else{b=c[r>>2]|0;s=112}while(0);if((s|0)==112){e=c[e>>2]|0;c[b+4>>2]=e;if(!e){e=0;break}}if((t|0)<0){e=c[e+8>>2]|0;break}else{e=e+(0-t)|0;break}}else{g=e;s=88}}while(0);if((s|0)==88){e=c[g>>2]|0;if(e){c[e+4>>2]=c[g+4>>2];e=c[g>>2]|0}b=(c[r>>2]|0)+8|0;f=c[b>>2]|0;if((g|0)==(f|0)){c[b>>2]=e;e=c[(c[r>>2]|0)+8>>2]|0;if(e)c[e+4>>2]=c[g+4>>2]}else{b=g+4|0;c[c[b>>2]>>2]=e;e=f+4|0;if((g|0)==(c[e>>2]|0))c[e>>2]=c[b>>2]}e=c[r>>2]|0;b=e+4|0;if((g|0)==(c[b>>2]|0))f=c[g>>2]|0;else f=0;c[b>>2]=f;s=e+16|0;c[s>>2]=(c[s>>2]|0)+-1;if((t|0)<0)e=c[g+8>>2]|0;else e=g+(0-t)|0;b=c[q+16>>2]|0;if(!((d&2|0)==0|(b|0)==0))Vb[b&127](a,e,q);if((c[p>>2]|0)<0)Ub[c[a+12>>2]&127](a,g,0,q)|0}return e|0}function hs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=i;i=i+16|0;f=j;a:do if((a|0)!=0&(b|0)!=0?(d=eQ(40)|0,(d|0)!=0):0){c[d>>2]=0;c[d+16>>2]=0;c[d+4>>2]=0;ps(d,a,0)|0;e=d+20|0;h=a+32|0;c[e>>2]=0;c[e+4>>2]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e+16>>2]=0;e=c[h>>2]|0;do if(e){c[f>>2]=0;e=Ub[e&127](d,1,f,a)|0;if((e|0)>=0)if((e|0)>0){e=c[f>>2]|0;if(e)if(!(c[b+4>>2]&c[e>>2])){g=12;break}else break;e=a+28|0;if(!(c[e>>2]|0))g=12;else{fQ(d);d=Ub[c[e>>2]&127](0,0,40,a)|0;if(!d){d=0;break a}c[d>>2]=0;c[d+16>>2]=0;c[d+4>>2]=0;ps(d,a,0)|0;c[d+20>>2]=1;c[d+24>>2]=0;c[d+32>>2]=0;c[d+28>>2]=0;g=11}}else g=11;else g=12}else g=11;while(0);if((g|0)==11){e=Ub[c[d+12>>2]&127](d,0,28,a)|0;c[f>>2]=e;if(!e)g=12;else{c[e>>2]=c[b+4>>2];c[e+4>>2]=0;c[(c[f>>2]|0)+8>>2]=0;e=c[f>>2]|0;f=e+12|0;c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0}}if((g|0)==12){fQ(d);d=0;break}c[d+8>>2]=e;c[d>>2]=c[b>>2];c[d+16>>2]=b;e=c[h>>2]|0;if(e)Ub[e&127](d,5,d,a)|0}else d=0;while(0);i=j;return d|0}function is(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;f=c[c[a+16>>2]>>2]|0;g=a+8|0;j=c[g>>2]|0;h=c[j>>2]|0;d=h&4096;if(!b)if(!d)b=-1;else{b=c[j+4>>2]|0;e=d;i=5}else if(!(c[j+16>>2]|0)){e=0;i=5}else b=-1;a:do if((i|0)==5){c[j>>2]=h&-4097;if(!(h&3)){d=j+4|0;if(!(h&12)){c[d>>2]=0;c[j+8>>2]=b}else c[d>>2]=b;if(e){b=0;break}c[(c[g>>2]|0)+16>>2]=-1;b=0;break}c[j+4>>2]=0;if(!e){c[j+16>>2]=0;if(!b){b=0;break}while(1){j=b;b=c[b>>2]|0;Jb[f&63](a,j,32)|0;if(!b){b=0;break a}}}d=c[j+8>>2]|0;j=c[j+12>>2]|0;f=d+(j<<2)|0;if((j|0)>0){e=d;do{d=c[e>>2]|0;if(d){c[e>>2]=b;b=c[d>>2]|0;c[d>>2]=0}e=e+4|0}while(e>>>0<f>>>0);b=0}else b=0}while(0);return b|0}function js(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;d=c[b>>2]|0;if(c[d>>2]&4096){is(a,0)|0;d=c[b>>2]|0}e=d+16|0;b=c[e>>2]|0;do if((b|0)<0){a=c[d>>2]|0;if(a&12){b=ks(c[d+4>>2]|0)|0;c[e>>2]=b;break}if(a&112){d=c[d+8>>2]|0;if(!d)b=0;else{b=0;do{b=b+1|0;d=c[d>>2]|0}while((d|0)!=0)}c[e>>2]=b}}while(0);return b|0}function ks(a){a=a|0;var b=0;if(!a)return 0;else{b=ks(c[a+4>>2]|0)|0;return b+1+(ks(c[a>>2]|0)|0)|0}return 0}function ls(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=i;i=i+128|0;z=G;r=G+8|0;F=a+8|0;e=c[F>>2]|0;if(c[e>>2]&4096){is(a,0)|0;e=c[F>>2]|0}D=c[a+4>>2]|0;B=c[D>>2]|0;C=c[D+4>>2]|0;v=D+8|0;E=c[v>>2]|0;A=c[D+20>>2]|0;t=a+20|0;c[t>>2]=c[t>>2]&-32769;f=c[e+4>>2]|0;a:do if(!b)if((d&448|0)==0|(f|0)==0)e=0;else{if(!(d&64)){if(!(d&256)){e=c[f+4>>2]|0;if(!e)e=f;else while(1){c[f+4>>2]=c[e>>2];c[e>>2]=f;f=c[e+4>>2]|0;if(!f)break;else{a=e;e=f;f=a}}}else{e=c[f>>2]|0;if(!e)e=f;else while(1){a=e+4|0;c[f>>2]=c[a>>2];c[a>>2]=f;f=c[e>>2]|0;if(!f)break;else{a=e;e=f;f=a}}}c[(c[F>>2]|0)+4>>2]=e;if((E|0)<0){e=c[e+8>>2]|0;break}else{e=e+(0-E)|0;break}}b=D+16|0;if((c[b>>2]|0)!=0|(E|0)<0){k=a+12|0;l=(E|0)<0;j=0-E|0;while(1){e=f+4|0;g=c[e>>2]|0;if(g){c[e>>2]=c[g>>2];c[g>>2]=f;f=g;continue}h=f;f=c[f>>2]|0;e=c[b>>2]|0;if(e){if(l)g=c[h+8>>2]|0;else g=h+j|0;Vb[e&127](a,g,D)}if((c[v>>2]|0)<0)Ub[c[k>>2]&127](a,h,0,D)|0;if(!f)break}e=c[F>>2]|0}c[e+16>>2]=0;c[e+4>>2]=0;e=0}else{y=a+16|0;u=(d&4098|0)==0;b:do if(!(u|(c[(c[y>>2]|0)+4>>2]|0)!=8)){l=(C|0)<0;e=b+B|0;if(l)e=c[e>>2]|0;g=Jb[c[a>>2]&63](a,b,4)|0;if(g){j=(A|0)==0;k=(C|0)<1;while(1){h=g+B|0;if(l)h=c[h>>2]|0;do if(j)if(k){h=aP(e,h)|0;break}else{h=UO(e,h,C)|0;break}else h=Ub[A&127](a,e,h,D)|0;while(0);if(h){w=44;break b}if((g|0)==(b|0))break;g=Jb[c[a>>2]&63](a,g,8)|0;if(!g){w=44;break b}}h=c[(c[F>>2]|0)+4>>2]|0;c[z>>2]=c[h+4>>2];c[z+4>>2]=c[h>>2];f=z;w=182}else w=44}else w=44;while(0);c:do if((w|0)==44){do if(!(d&2565)){if(d&32){if((E|0)<0)g=c[b+8>>2]|0;else g=b+(0-E)|0;e=g+B|0;if((C|0)<0)e=c[e>>2]|0;if(!f){j=z;e=b;f=z;w=200;break}else{s=e;e=b;w=63;break}}if(f){if((E|0)<0)e=c[f+8>>2]|0;else e=f+(0-E)|0;if((e|0)!=(b|0)){e=b+B|0;if((C|0)<0){g=b;s=c[e>>2]|0;e=0;w=63}else{g=b;s=e;e=0;w=63}}else{g=b;j=z;e=0;k=z;h=f;w=141}}else{g=b;j=z;e=0;f=z;w=200}}else{if(!(d&512)){e=b+B|0;if((C|0)<0)e=c[e>>2]|0}else e=b;if(!f){g=b;j=z;e=0;f=z;w=200}else{g=b;s=e;e=0;w=63}}while(0);d:do if((w|0)==63){if(((c[(c[y>>2]|0)+4>>2]|0)==4?(q=c[(c[F>>2]|0)+24>>2]|0,!((d&516|0)==0|(q|0)==0)):0)?(p=(q|0)>0,p):0){n=(E|0)<0;j=(C|0)<0;k=(A|0)==0;l=(C|0)<1;o=0-E|0;b=0;m=f;do{if(n)h=c[m+8>>2]|0;else h=m+o|0;h=h+B|0;if(j)h=c[h>>2]|0;do if(k)if(l){h=aP(s,h)|0;break}else{h=UO(s,h,C)|0;break}else h=Ub[A&127](a,s,h,D)|0;while(0);if(!h){e=m;w=81;break}c[r+(b<<2)>>2]=h;m=c[((h|0)<0?m+4|0:m)>>2]|0;b=b+1|0;if(!m){e=0;break a}}while((b|0)<(q|0));if((w|0)==81)if(n){e=c[e+8>>2]|0;break a}else{e=e+o|0;break a}if(p){j=z;b=0;l=z;while(1){do if((c[r+(b<<2)>>2]|0)<0){h=f+4|0;k=c[h>>2]|0;if((c[r+((b|1)<<2)>>2]|0)<0){c[h>>2]=c[k>>2];c[k>>2]=f;c[l+4>>2]=k;f=k;h=k+4|0;break}else{c[j>>2]=k;c[l+4>>2]=f;j=k;h=k;break}}else{h=c[f>>2]|0;if((c[r+((b|1)<<2)>>2]|0)>0){p=h+4|0;c[f>>2]=c[p>>2];c[p>>2]=f;c[j>>2]=h;j=h;f=l;break}else{c[l+4>>2]=h;c[j>>2]=f;j=f;f=h;h=h+4|0;break}}while(0);k=c[h>>2]|0;b=b+2|0;if((b|0)>=(q|0)){h=f;f=k;break}else{l=f;f=k}}}else{j=z;h=z}}else{j=z;h=z}n=(E|0)<0;o=(C|0)<0;p=(A|0)!=0;q=(C|0)<1;r=0-E|0;e:while(1){while(1){if(n)k=c[f+8>>2]|0;else k=f+r|0;k=k+B|0;if(o)k=c[k>>2]|0;do if(!p)if(q){k=aP(s,k)|0;break}else{k=UO(s,k,C)|0;break}else k=Ub[A&127](a,s,k,D)|0;while(0);if(!k)break e;if((k|0)>=0){k=f;break}b=f+4|0;m=c[b>>2]|0;if(!m){w=121;break e}if(n)k=c[m+8>>2]|0;else k=m+r|0;k=k+B|0;if(o)k=c[k>>2]|0;do if(!p)if(q){l=aP(s,k)|0;break}else{l=UO(s,k,C)|0;break}else l=Ub[A&127](a,s,k,D)|0;while(0);if((l|0)>=0){b=m;k=h;h=f;w=118;break}c[b>>2]=c[m>>2];c[m>>2]=f;c[h+4>>2]=m;f=c[m+4>>2]|0;if(!f){f=m;w=200;break d}else h=m}if((w|0)==118){w=0;if(!l){f=b;w=119;break}c[j>>2]=b;c[k+4>>2]=h;f=c[b>>2]|0;if(!f){j=b;f=h;w=200;break d}else{j=b;continue}}l=c[k>>2]|0;if(!l){f=h;h=k;w=139;break}if(n)f=c[l+8>>2]|0;else f=l+r|0;f=f+B|0;if(o)f=c[f>>2]|0;do if(!p)if(q){f=aP(s,f)|0;break}else{f=UO(s,f,C)|0;break}else f=Ub[A&127](a,s,f,D)|0;while(0);if((f|0)>0){f=l+4|0;c[k>>2]=c[f>>2];c[f>>2]=k;c[j>>2]=l;f=c[l>>2]|0;if(!f){j=l;f=h;w=200;break d}else{j=l;continue}}if(!f){f=l;w=137;break}c[h+4>>2]=l;c[j>>2]=k;f=c[l+4>>2]|0;if(!f){j=k;f=l;w=200;break d}else{j=k;h=l}}if((w|0)==119)c[k+4>>2]=h;else if((w|0)==121){c[h+4>>2]=f;w=200;break}else if((w|0)==137){c[j>>2]=k;j=k}else if((w|0)==139){c[j>>2]=h;j=h;w=200;break}if(!f){f=h;w=200}else{k=h;h=f;w=141}}while(0);do if((w|0)==141){c[t>>2]=c[t>>2]|32768;f=h+4|0;c[j>>2]=c[f>>2];c[k+4>>2]=c[h>>2];if(!(d&516)){if(d&8){c[f>>2]=c[z>>2];c[h>>2]=0;c[z>>2]=h;f=k;w=169;break}if(d&16){w=z+4|0;c[h>>2]=c[w>>2];c[f>>2]=0;c[w>>2]=h;f=k;w=177;break}if(!u){f=k;w=182;break c}if(d&2049){if(c[(c[y>>2]|0)+4>>2]&4){e=h;break}c[f>>2]=0;f=z+4|0;c[h>>2]=c[f>>2];c[f>>2]=h;f=k;e=h;w=207;break}if(!(d&32)){e=0;break a}if(!(c[(c[y>>2]|0)+4>>2]&4)){c[e+4>>2]=0;x=z+4|0;c[e>>2]=c[x>>2];c[x>>2]=e;e=(c[F>>2]|0)+16|0;c[e>>2]=(c[e>>2]|0)+1;e=h;break}f=c[D+16>>2]|0;if(f)Vb[f&127](a,g,D);if((c[v>>2]|0)<0){Ub[c[a+12>>2]&127](a,e,0,D)|0;e=h}else e=h}else e=h}else if((w|0)==200){c[f+4>>2]=0;c[j>>2]=0;if(!(d&8))if(!(d&16)){if(d&516)break c;if(!(d&2049)){if(!(d&32)){g=0;break c}x=(c[F>>2]|0)+16|0;c[x>>2]=(c[x>>2]|0)+1}else{e=0;w=207}}else w=177;else w=169}while(0);if((w|0)==169){j=z+4|0;h=c[j>>2]|0;if(!h)break;e=c[h+4>>2]|0;if(!e){f=c[h>>2]|0;e=h}else{f=h;while(1){c[f+4>>2]=c[e>>2];c[e>>2]=f;g=c[e+4>>2]|0;if(!g)break;else{f=e;e=g}}}c[j>>2]=f}else if((w|0)==177){e=c[z>>2]|0;if(!e)break;f=c[e>>2]|0;if(f)while(1){x=f+4|0;c[e>>2]=c[x>>2];c[x>>2]=e;e=c[f>>2]|0;if(!e){e=f;break}else{x=f;f=e;e=x}}c[z>>2]=c[e+4>>2]}else if((w|0)==207){j=D+12|0;h=c[j>>2]|0;k=(d&1|0)==0;if(!(k|(h|0)==0))g=Jb[h&63](a,g,D)|0;do if(g){if((E|0)>-1){e=g+E|0;w=217;break}e=Ub[c[a+12>>2]&127](a,0,12,D)|0;if(e){c[e+8>>2]=g;break}if((c[j>>2]|0)!=0?(x=c[D+16>>2]|0,!(k|(x|0)==0)):0){Vb[x&127](a,g,D);w=217}else w=217}else w=217;while(0);if((w|0)==217)if(!e)break;f=(c[F>>2]|0)+16|0;g=c[f>>2]|0;if((g|0)>-1)c[f>>2]=g+1}g=c[z>>2]|0;c[e+4>>2]=g;c[e>>2]=c[z+4>>2];h=g;f:do if(!((d&516|0)==0?1:(c[(c[y>>2]|0)+4>>2]&8|0)==0)){o=(E|0)<0;if(o)f=c[e+8>>2]|0;else f=e+(0-E)|0;p=(C|0)<0;f=f+B|0;if(p)f=c[f>>2]|0;if(g){b=(A|0)==0;m=(C|0)<1;n=0-E|0;l=e+4|0;while(1){g=c[h>>2]|0;if(!g){k=h;j=h}else while(1){d=g+4|0;c[h>>2]=c[d>>2];c[d>>2]=h;h=c[g>>2]|0;if(!h){k=g;j=g;break}else{d=g;g=h;h=d}}c[l>>2]=j;if(o)g=c[j+8>>2]|0;else g=j+n|0;g=g+B|0;if(p)g=c[g>>2]|0;do if(b)if(m){g=aP(f,g)|0;break}else{g=UO(f,g,C)|0;break}else g=Ub[A&127](a,f,g,D)|0;while(0);if(g)break f;c[e+4>>2]=c[j>>2];c[k>>2]=e;l=j+4|0;h=c[l>>2]|0;if(!h){e=j;break}else e=j}}}while(0);c[(c[F>>2]|0)+4>>2]=e;if((E|0)<0){e=c[e+8>>2]|0;break a}else{e=e+(0-E)|0;break a}}while(0);if((w|0)==182){if((E|0)<0)g=c[h+8>>2]|0;else g=h+(0-E)|0;e=c[D+16>>2]|0;if(!((d&2|0)==0|(e|0)==0))Vb[e&127](a,g,D);if((c[v>>2]|0)<0)Ub[c[a+12>>2]&127](a,h,0,D)|0;a=(c[F>>2]|0)+16|0;E=c[a>>2]|0;c[a>>2]=(E|0)<1?-1:E+-1|0}do{e=f+4|0;f=c[e>>2]|0}while((f|0)!=0);c[e>>2]=c[z>>2];c[(c[F>>2]|0)+4>>2]=c[z+4>>2];e=(d&2|0)!=0?g:0}while(0);i=G;return e|0}function ms(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if(c[c[a+8>>2]>>2]&4096)is(a,0)|0;f=(b|0)!=0;a:do if(f){if(c[c[b+8>>2]>>2]&4096)is(b,0)|0;if((c[b+16>>2]|0)==(c[a+16>>2]|0)){d=b;while(1){if((d|0)==(a|0)){d=0;break a}d=c[d+28>>2]|0;if(!d){e=9;break}}}else d=0}else e=9;while(0);do if((e|0)==9){e=a+28|0;d=c[e>>2]|0;if(d){g=d+24|0;c[g>>2]=(c[g>>2]|0)+-1}c[a+32>>2]=0;c[e>>2]=0;if(f){c[e>>2]=b;c[a>>2]=33;d=b+24|0;c[d>>2]=(c[d>>2]|0)+1;d=b;break}else{c[a>>2]=c[c[a+16>>2]>>2];break}}while(0);return d|0}function ns(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a:do if(!(d&99)){if(!(d&516)){h=c[a+16>>2]|0;e=c[h+4>>2]|0;if((d&384|0)!=0&(e&12|0)==0){f=a;i=6}else{if(e&12){if(!(d&408)){e=0;break}n=(d&136|0)!=0;o=(d&272|0)!=0;g=a;l=0;m=0;f=0;while(1){e=Jb[c[h>>2]&63](g,b,d)|0;do if(!e){e=l;i=m}else{h=c[g+4>>2]|0;j=c[h+4>>2]|0;k=c[h+20>>2]|0;i=e+(c[h>>2]|0)|0;if((j|0)<0)i=c[i>>2]|0;if(l){do if(!k)if((j|0)<1){h=aP(i,m)|0;break}else{h=UO(i,m,j)|0;break}else h=Ub[k&127](g,i,m,h)|0;while(0);if(!(n&(h|0)<0|o&(h|0)>0)){e=l;i=m;break}}f=g}while(0);g=c[g+28>>2]|0;if(!g)break;h=c[g+16>>2]|0;l=e;m=i}c[a+32>>2]=f;break}if(!(d&24)){e=0;break}k=a+32|0;f=c[k>>2]|0;if(f){e=c[(c[f+4>>2]|0)+8>>2]|0;g=c[(c[f+8>>2]|0)+4>>2]|0;if((e|0)<0)e=c[g+8>>2]|0;else e=g+(0-e)|0;if((e|0)==(b|0))e=b;else i=32}else i=32;if((i|0)==32){e=Jb[c[h>>2]&63](a,b,4)|0;b:do if(!e){e=a;while(1){f=c[e+28>>2]|0;if(!f)break;e=Jb[c[c[f+16>>2]>>2]&63](f,b,4)|0;if(!e)e=f;else break b}c[k>>2]=0;e=0;break a}else f=a;while(0);c[k>>2]=f}j=(d&8|0)==0;e=Jb[c[c[f+16>>2]>>2]&63](f,e,d)|0;while(1){if(e){h=(f|0)==(a|0);i=f+16|0;do{if(h)break a;else g=a;while(1){if(Jb[c[c[g+16>>2]>>2]&63](g,e,4)|0)break;g=c[g+28>>2]|0;if((g|0)==(f|0))break a}e=Jb[c[c[i>>2]>>2]&63](f,e,d)|0}while((e|0)!=0)}f=c[f+28>>2]|0;c[k>>2]=f;if(!f){e=0;break a}e=c[c[f+16>>2]>>2]|0;if(j){e=Jb[e&63](f,0,256)|0;continue}else{e=Jb[e&63](f,0,128)|0;continue}}}}else if(!a){f=0;e=0}else{f=a;i=6}c:do if((i|0)==6)while(1){e=Jb[c[c[f+16>>2]>>2]&63](f,b,d)|0;if(e)break c;f=c[f+28>>2]|0;if(!f){f=0;e=0;break}else i=6}while(0);c[a+32>>2]=f}else e=Jb[c[c[a+16>>2]>>2]&63](a,b,d)|0;while(0);return e|0}function os(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;f=a+32|0;g=Jb[c[a>>2]&63](a,0,128)|0;do{if(!g){e=0;break}h=c[f>>2]|0;e=g;g=Jb[c[a>>2]&63](a,g,8)|0;e=Jb[b&63]((h|0)==0?a:h,e,d)|0}while((e|0)>=0);return e|0}function ps(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=a+4|0;e=c[f>>2]|0;a:do if(e){if(b){n=c[c[a+16>>2]>>2]|0;h=a+8|0;if(c[c[h>>2]>>2]&4096)is(a,0)|0;g=c[e+32>>2]|0;if((g|0)!=0?(Ub[g&127](a,3,b,e)|0)<0:0){e=0;break}c[f>>2]=b;f=c[b+28>>2]|0;c[a+12>>2]=(f|0)==0?52:f;f=c[c[h>>2]>>2]|0;if(!(f&112)){do if(!(f&2))if(!(f&3))if(!(d&1))break;else break a;else if((d&3|0)==3)break a;else break;else if(d&2)break a;while(0);g=fs(a)|0;f=c[h>>2]|0;m=c[f>>2]|0;c[f>>2]=m&-4097;c[f+4>>2]=0;c[f+16>>2]=0;if((m&3|0)!=0?(i=c[f+8>>2]|0,m=c[f+12>>2]|0,j=i+(m<<2)|0,(m|0)>0):0){m=i+4|0;tQ(i|0,0,(j>>>0>m>>>0?j:m)+~i+4&-4|0)|0}if(g){d=(d&2|0)==0;k=b+8|0;l=b+4|0;m=b+24|0;i=g;do{j=i;i=c[i>>2]|0;if(d){f=c[k>>2]|0;if((f|0)<0)f=c[j+8>>2]|0;else f=j+(0-f)|0;h=c[l>>2]|0;f=f+(c[b>>2]|0)|0;if((h|0)<0)f=c[f>>2]|0;g=c[m>>2]|0;if(!g)f=rs(0,f,h)|0;else f=Jb[g&63](a,f,b)|0;c[j+4>>2]=f}Jb[n&63](a,j,32)|0}while((i|0)!=0)}}}}else{c[f>>2]=b;e=c[b+28>>2]|0;c[a+12>>2]=(e|0)==0?52:e;e=b}while(0);return e|0}function qs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=(c|0)==0;do if(!b)if(d)d=0;else d=eQ(c)|0;else if(d){fQ(b);d=0;break}else{d=hQ(b,c)|0;break}while(0);return d|0}function rs(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0;f=c;if((e|0)>=1){g=e+-1|0;h=c+g|0;if((g|0)>0){g=c+2|0;g=(h>>>0>g>>>0?h:g)+~f+2&-2;f=c;do{b=_(((d[f>>0]|0)<<8)+b+(d[f+1>>0]|0)|0,17109811)|0;f=f+2|0}while(f>>>0<h>>>0);c=c+g|0}if(c>>>0<=h>>>0)b=_(((d[c>>0]|0)<<8)+b|0,17109811)|0}else{e=a[c>>0]|0;if(e<<24>>24)do{h=a[c+1>>0]|0;b=_(((e&255)<<8)+b+(h&255)|0,17109811)|0;c=c+(h<<24>>24!=0?2:1)|0;e=a[c>>0]|0}while(e<<24>>24!=0);e=c-f|0}return _(b+e|0,17109811)|0}function ss(a){a=a|0;var b=0;b=c[13103]|0;c[13103]=a;return b|0}function ts(a){a=a|0;var b=0;b=c[13104]|0;c[13104]=a;return b|0}function us(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=e;c[f>>2]=d;d=ws(a,b,f)|0;i=e;return d|0}function vs(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=b;ws(1,a,e)|0;i=d;return}function ws(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;h=i;i=i+16|0;f=h;g=(a|0)==3;e=g?c[13108]|0:(a|0)==2?1:a;c[13108]=e;j=c[13107]|0;c[13107]=j>>>0>e>>>0?j:e;do if(e>>>0>=(c[13104]|0)>>>0){e=c[13103]|0;if(!e){e=c[24809]|0;if(!g){c[f>>2]=(a|0)==1?137167:137173;pO(e,137181,f)|0}HO(e,b,d)|0;e=0;break}if((c[13109]|0)==0?(j=eQ(c[13110]|0)|0,c[13109]=j,(j|0)==0):0){AO(137131,35,1,c[24809]|0)|0;e=0;break}if(!g){Hb[e&63]((a|0)==1?137167:137173)|0;Hb[c[52412>>2]&63](137856)|0}while(1){e=JO(c[13109]|0,c[13110]|0,b,d)|0;a=c[13110]|0;if((e|0)>-1&(e|0)<(a|0)){a=9;break}g=a<<1;j=e+1|0;j=(g|0)>(j|0)?g:j;c[13110]=j;if(!(hQ(c[13109]|0,j)|0)){a=11;break}}if((a|0)==9){Hb[c[52412>>2]&63](c[13109]|0)|0;e=0;break}else if((a|0)==11){AO(137131,35,1,c[24809]|0)|0;e=0;break}}else{e=c[13105]|0;if(!e){e=FO()|0;c[13105]=e;if(!e){e=1;break}}if(!g){c[13106]=yO(e)|0;e=c[13105]|0}HO(e,b,d)|0;e=0}while(0);i=h;return e|0}function xs(b,d,e){b=b|0;d=d|0;e=e|0;if(!e){e=(d|0)==0?1024:d;c[b+12>>2]=1;d=e;e=eQ(e)|0}else c[b+12>>2]=0;c[b>>2]=e;c[b+8>>2]=e+d;c[b+4>>2]=e;a[e>>0]=0;return}function ys(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=a+8|0;f=c[a>>2]|0;e=f;g=(c[h>>2]|0)-e|0;d=g<<1;g=g+b|0;d=g>>>0>d>>>0?g:d;g=a+4|0;e=(c[g>>2]|0)-e|0;b=a+12|0;if(!(c[b>>2]|0)){i=eQ(d)|0;rQ(i|0,f|0,e|0)|0;c[b>>2]=1;b=i}else b=hQ(f,d)|0;c[a>>2]=b;c[g>>2]=b+e;c[h>>2]=b+d;return 0}function zs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;f=a+4|0;e=c[f>>2]|0;if((e+d|0)>>>0>(c[a+8>>2]|0)>>>0){ys(a,d)|0;e=c[f>>2]|0}rQ(e|0,b|0,d|0)|0;c[f>>2]=(c[f>>2]|0)+d;return d|0}function As(a,b){a=a|0;b=b|0;return zs(a,b,eP(b)|0)|0}function Bs(a){a=a|0;if(c[a+12>>2]|0)fQ(c[a>>2]|0);return}function Cs(a){a=a|0;var b=0,e=0;b=a+4|0;e=c[b>>2]|0;if(e>>>0>(c[a>>2]|0)>>>0){c[b>>2]=e+-1;b=d[e>>0]|0}else b=-1;return b|0}function Ds(a,b){a=a|0;b=b|0;var c=0,d=0;c=Nu(a,137186,0)|0;if((b|0)!=0&(c|0)==0){d=yu(a)|0;Wv(d,d,106,0,1)|0;c=gu(d)|0;if(c)do{Ms(a,c);b=at(d,c)|0;if(b)do{Os(a,b);b=ct(d,b)|0}while((b|0)!=0);c=hu(d,c)|0}while((c|0)!=0);c=Nu(a,137186,0)|0}return c|0}function Es(a,b){a=a|0;b=b|0;var d=0,e=0;e=i;i=i+16|0;d=e;a=Nu(a,137186,0)|0;a:do if(!a)a=0;else switch(b|0){case 0:{a=c[a+16>>2]|0;break a}case 1:{a=c[a+8>>2]|0;break a}case 2:case 3:{a=c[a+12>>2]|0;break a}default:{c[d>>2]=b;us(1,137199,d)|0;a=0;break a}}while(0);i=e;return a|0}function Fs(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;h=au(b,24)|0;a[h+20>>0]=g;c[h+8>>2]=Zu(b,d)|0;c[h+12>>2]=Zu(b,e)|0;c[h+16>>2]=f;return h|0}function Gs(a,b){a=a|0;b=b|0;var d=0,e=0;e=i;i=i+32|0;d=e;a=Nu(a,c[13120]|0,0)|0;if(!a)a=0;else{a=c[a+8>>2]|0;c[d+8>>2]=b;a=Jb[c[a>>2]&63](a,d,4)|0}i=e;return a|0}function Hs(a){a=a|0;return Nu(a,c[13120]|0,0)|0}function Is(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;l=i;i=i+32|0;g=l;if(!a){a=c[13121]|0;if(!a){c[g>>2]=c[13122];k=rt(0,g,0)|0;c[13121]=k}else k=a}else k=a;if(!e){a=Es(k,b)|0;if(!a)a=0;else{c[g+8>>2]=d;a=Jb[c[a>>2]&63](a,g,4)|0}}else{h=yu(k)|0;Ds(k,1)|0;f=Es(k,b)|0;m=ms(f,0)|0;c[g+8>>2]=d;a=Jb[c[f>>2]&63](f,g,4)|0;ms(f,m)|0;a:do if(!a){c[g+8>>2]=d;a=Jb[c[f>>2]&63](f,g,4)|0;if(a){a=Fs(k,d,e,c[a+16>>2]|0,b)|0;Jb[c[f>>2]&63](f,a,1)|0;j=17;break}m=Es(h,b)|0;a=Fs(k,d,e,js(m)|0,b)|0;Jb[c[m>>2]&63](m,a,1)|0;switch(b|0){case 0:{Wv(h,h,58,a,1)|0;j=17;break a}case 1:{f=gu(h)|0;if(!f)break a;do{Ws(k,f,a);f=hu(h,f)|0}while((f|0)!=0);j=17;break}case 2:case 3:{f=gu(h)|0;if(!f)break a;do{g=at(h,f)|0;if(g)do{Ws(k,g,a);g=ct(h,g)|0}while((g|0)!=0);f=hu(h,f)|0}while((f|0)!=0);j=17;break}default:break a}}else{j=a+12|0;$u(k,c[j>>2]|0)|0;c[j>>2]=Zu(k,e)|0;j=17}while(0);if((j|0)==17)if((b|0)==0&(a|0)!=0)Ts(k,a,e)|0;Bu(k,k,a)}i=l;return a|0}function Js(a,b,d){a=a|0;b=b|0;d=d|0;a=Es(a,b)|0;do if(a){b=c[a>>2]|0;if(!d){a=Jb[b&63](a,0,128)|0;break}else{a=Jb[b&63](a,d,8)|0;break}}else a=0;while(0);return a|0}function Ks(b){b=b|0;var d=0,e=0,f=0,g=0;e=b+24|0;a[e>>0]=a[e>>0]|64;e=Ou(b,137186,20,0)|0;f=e+8|0;c[f>>2]=zv(b,52444,c[13098]|0)|0;g=e+12|0;c[g>>2]=zv(b,52444,c[13098]|0)|0;e=e+16|0;c[e>>2]=zv(b,52444,c[13098]|0)|0;d=uv(b)|0;if(!d){d=c[13121]|0;if(!((d|0)==0|(d|0)==(b|0))){d=Nu(d,137186,0)|0;Xs(c[d+8>>2]|0,c[f>>2]|0,b,1);Xs(c[d+12>>2]|0,c[g>>2]|0,b,2);Xs(c[d+16>>2]|0,c[e>>2]|0,b,0)}}else{d=Nu(d,137186,0)|0;ms(c[f>>2]|0,c[d+8>>2]|0)|0;ms(c[g>>2]|0,c[d+12>>2]|0)|0;ms(c[e>>2]|0,c[d+16>>2]|0)|0}g=uv(b)|0;Ys((g|0)==0?b:g,b);return}function Ls(a){a=a|0;var b=0;c[13175]=a;b=Nu(a,c[13120]|0,0)|0;if(b){Zs(a,b);Pu(a,c[b>>2]|0)|0}b=Nu(a,137186,0)|0;if(b)if(((Bv(a,c[b+8>>2]|0)|0)==0?(Bv(a,c[b+12>>2]|0)|0)==0:0)?(Bv(a,c[b+16>>2]|0)|0)==0:0){Pu(a,c[b>>2]|0)|0;b=0}else b=1;else b=0;return b|0}function Ms(a,b){a=a|0;b=b|0;var d=0;d=Nu(b,c[13120]|0,0)|0;if(!((d|0)!=0?(c[d+8>>2]|0)!=0:0))Ys(a,b);return}function Ns(a){a=a|0;var b=0;b=Nu(a,c[13120]|0,0)|0;if(b){Zs(a,b);Pu(a,c[13120]|0)|0}return}function Os(a,b){a=a|0;b=b|0;var d=0;d=Nu(b,c[13120]|0,0)|0;if(!((d|0)!=0?(c[d+8>>2]|0)!=0:0))Ys(a,b);return}function Ps(a){a=a|0;var b=0;b=Nu(a,c[13120]|0,0)|0;if(b){Zs(a,b);Pu(a,c[13120]|0)|0}return}function Qs(a,b){a=a|0;b=b|0;b=Gs(a,b)|0;if(!b)b=0;else{a=Nu(a,c[13120]|0,0)|0;b=c[(c[a+12>>2]|0)+(c[b+16>>2]<<2)>>2]|0}return b|0}function Rs(a,b){a=a|0;b=b|0;a=Nu(a,c[13120]|0,0)|0;return c[(c[a+12>>2]|0)+(c[b+16>>2]<<2)>>2]|0}function Ss(a,b,c){a=a|0;b=b|0;c=c|0;b=Gs(a,b)|0;if(!b)b=-1;else{Ts(a,b,c)|0;b=0}return b|0}function Ts(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;k=i;i=i+32|0;e=k;f=xu(a)|0;h=Nu(a,c[13120]|0,0)|0;j=b+16|0;h=h+12|0;$u(f,c[(c[h>>2]|0)+(c[j>>2]<<2)>>2]|0)|0;g=Zu(f,d)|0;c[(c[h>>2]|0)+(c[j>>2]<<2)>>2]=g;do if(!(c[a>>2]&3)){g=c[(Nu(f,137186,0)|0)+16>>2]|0;h=b+8|0;m=c[h>>2]|0;l=ms(g,0)|0;c[e+8>>2]=m;e=Jb[c[g>>2]&63](g,e,4)|0;ms(g,l)|0;if(!e){m=Fs(f,c[h>>2]|0,d,c[j>>2]|0,c[a>>2]&3)|0;Jb[c[g>>2]&63](g,m,1)|0;break}else{m=e+12|0;$u(f,c[m>>2]|0)|0;c[m>>2]=Zu(f,d)|0;break}}while(0);Bu(f,a,b);i=k;return 0}function Us(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=xu(a)|0;f=Is(f,c[a>>2]&3,b,0)|0;if(!f){f=xu(a)|0;f=Is(f,c[a>>2]&3,b,e)|0}Ts(a,f,d)|0;return 0}function Vs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;f=xu(a)|0;d=c[a>>2]|0;a:do if(((c[b>>2]^d)&3|0)==0?(e=Js(f,d&3,0)|0,(e|0)!=0):0){d=e;while(1){e=Gs(b,c[d+8>>2]|0)|0;if(!e){d=1;break a}g=Nu(a,c[13120]|0,0)|0;g=c[(c[g+12>>2]|0)+(c[d+16>>2]<<2)>>2]|0;Ts(b,e,g)|0;if(av(g)|0){g=Nu(b,c[13120]|0,0)|0;bv(c[(c[g+12>>2]|0)+(c[e+16>>2]<<2)>>2]|0)}d=Js(f,c[a>>2]&3,d)|0;if(!d){d=0;break}}}else d=1;while(0);return d|0}function Ws(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;b=Nu(b,c[13120]|0,0)|0;f=d+16|0;e=c[f>>2]|0;if((e|0)>3){g=c[a+64>>2]|0;b=b+12|0;e=e<<2;c[b>>2]=Ub[c[(c[g>>2]|0)+8>>2]&127](c[g+12>>2]|0,c[b>>2]|0,e,e+4|0)|0}else b=b+12|0;g=Zu(a,c[d+12>>2]|0)|0;c[(c[b>>2]|0)+(c[f>>2]<<2)>>2]=g;return}function Xs(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=Jb[c[b>>2]&63](b,0,128)|0;if(g)do{h=Fs(e,c[g+8>>2]|0,c[g+12>>2]|0,c[g+16>>2]|0,f)|0;a[h+22>>0]=a[g+22>>0]|0;a[h+21>>0]=a[g+21>>0]|0;Jb[c[d>>2]&63](d,h,1)|0;g=Jb[c[b>>2]&63](b,g,8)|0}while((g|0)!=0);return}function Ys(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;e=Ou(b,c[13120]|0,16,0)|0;h=Es(a,c[b>>2]&3)|0;f=e+8|0;if((c[f>>2]|0)==0?(d=yu(a)|0,c[f>>2]=Es(d,c[b>>2]&3)|0,d=$s(b)|0,a=xu(b)|0,g=e+12|0,c[g>>2]=au(a,(d|0)<4?16:d<<2)|0,d=Jb[c[h>>2]&63](h,0,128)|0,(d|0)!=0):0)do{a=xu(b)|0;a=Zu(a,c[d+12>>2]|0)|0;c[(c[g>>2]|0)+(c[d+16>>2]<<2)>>2]=a;d=Jb[c[h>>2]&63](h,d,8)|0}while((d|0)!=0);return}function Zs(a,b){a=a|0;b=b|0;var d=0,e=0;e=xu(a)|0;d=$s(a)|0;a=b+12|0;if((d|0)>0){b=0;do{$u(e,c[(c[a>>2]|0)+(b<<2)>>2]|0)|0;b=b+1|0}while((b|0)!=(d|0))}bu(e,c[a>>2]|0);return}function _s(a,b,d){a=a|0;b=b|0;d=d|0;$u(c[13175]|0,c[b+8>>2]|0)|0;$u(c[13175]|0,c[b+12>>2]|0)|0;bu(c[13175]|0,b);return}function $s(a){a=a|0;var b=0;b=yu(xu(a)|0)|0;a=Es(b,c[a>>2]&3)|0;if(!a)a=0;else a=js(a)|0;return a|0}function at(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;f=i;i=i+48|0;d=f;if((c[b+24>>2]|0)!=(a|0)){c[d+16>>2]=b;b=c[a+40>>2]|0;b=Jb[c[b>>2]&63](b,d,4)|0;if(!b)b=0;else e=4}else{b=b+28|0;e=4}if((e|0)==4){a=a+44|0;e=b+32|0;is(c[a>>2]|0,c[e>>2]|0)|0;b=c[a>>2]|0;b=Jb[c[b>>2]&63](b,0,128)|0;c[e>>2]=es(c[a>>2]|0)|0}i=f;return b|0}function bt(a,b){a=a|0;b=b|0;var d=0,e=0;e=i;i=i+48|0;d=e;if((c[b+24>>2]|0)==(a|0))a=b+28|0;else{c[d+16>>2]=b;a=c[a+40>>2]|0;a=Jb[c[a>>2]&63](a,d,4)|0}i=e;return a|0}function ct(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=i;i=i+48|0;e=g;d=c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0;if((c[d+24>>2]|0)!=(a|0)){c[e+16>>2]=d;d=c[a+40>>2]|0;d=Jb[c[d>>2]&63](d,e,4)|0;if(!d)d=0;else f=4}else{d=d+28|0;f=4}if((f|0)==4){a=a+44|0;f=d+32|0;is(c[a>>2]|0,c[f>>2]|0)|0;d=c[a>>2]|0;d=Jb[c[d>>2]&63](d,b,8)|0;c[f>>2]=es(c[a>>2]|0)|0}i=g;return d|0}function dt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;f=i;i=i+48|0;d=f;if((c[b+24>>2]|0)!=(a|0)){c[d+16>>2]=b;b=c[a+40>>2]|0;b=Jb[c[b>>2]&63](b,d,4)|0;if(!b)b=0;else e=4}else{b=b+28|0;e=4}if((e|0)==4){a=a+44|0;e=b+28|0;is(c[a>>2]|0,c[e>>2]|0)|0;b=c[a>>2]|0;b=Jb[c[b>>2]&63](b,0,128)|0;c[e>>2]=es(c[a>>2]|0)|0}i=f;return b|0}function et(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=i;i=i+48|0;e=g;d=c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0;if((c[d+24>>2]|0)!=(a|0)){c[e+16>>2]=d;d=c[a+40>>2]|0;d=Jb[c[d>>2]&63](d,e,4)|0;if(!d)d=0;else f=4}else{d=d+28|0;f=4}if((f|0)==4){a=a+44|0;f=d+28|0;is(c[a>>2]|0,c[f>>2]|0)|0;d=c[a>>2]|0;d=Jb[c[d>>2]&63](d,b,8)|0;c[f>>2]=es(c[a>>2]|0)|0}i=g;return d|0}function ft(a,b){a=a|0;b=b|0;var c=0;c=at(a,b)|0;if(!c)c=dt(a,b)|0;return c|0}function gt(a,b,d){a=a|0;b=b|0;d=d|0;a:do if((c[b>>2]&3|0)==2){b=ct(a,b)|0;if(!b){b=0;do{if(!b)b=dt(a,d)|0;else b=et(a,b)|0;if(!b){b=0;break a}}while((c[b+40>>2]|0)==(d|0))}}else do{b=et(a,b)|0;if(!b){b=0;break a}}while((c[b+40>>2]|0)==(d|0));while(0);return b|0}function ht(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;n=i;i=i+48|0;k=n+24|0;l=n+16|0;j=n;do if(!(Ct(a,2,e,l,0)|0)){g=(f|0)==0;if(e)if(g){g=0;break}else{m=16;break}if(!g?(At(a)|0)==0:0){m=16;break};c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;m=7}else{o=j;c[o>>2]=0;c[o+4>>2]=0;o=l;g=c[o+4>>2]|0;m=j+8|0;c[m>>2]=c[o>>2];c[m+4>>2]=g;c[j>>2]=2;m=7}while(0);do if((m|0)==7){c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];g=nt(a,b,d,k)|0;if(!g){if((zt(a)|0)!=0?(c[k>>2]=c[j>>2],c[k+4>>2]=c[j+4>>2],c[k+8>>2]=c[j+8>>2],c[k+12>>2]=c[j+12>>2],h=nt(a,d,b,k)|0,(h|0)!=0):0){g=h;break}if(!f)g=0;else{g=yu(a)|0;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];g=nt(g,b,d,k)|0;if(!g){if(!(zt(a)|0)){m=16;break}g=yu(a)|0;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];g=nt(g,d,b,k)|0;if(!g){m=16;break}}pt(a,g)}}}while(0);if((m|0)==16)if((ot(a,b,d)|0)!=0?(Ct(a,2,e,l,1)|0)!=0:0){g=l;g=qt(a,b,d,c[g>>2]|0,c[g+4>>2]|0)|0;Gt(a,2,g)}else g=0;i=n;return g|0}
function fg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0;d=c[d+16>>2]|0;if(!(a[d+156>>0]|0)){j=c[d+212>>2]|0;i=j}else{j=c[(c[(c[c[d+180>>2]>>2]|0)+16>>2]|0)+116>>2]|0;g=c[j>>2]&3;i=c[(c[(c[((g|0)==2?j:j+-48|0)+40>>2]|0)+16>>2]|0)+212>>2]|0;j=c[(c[(c[((g|0)==3?j:j+48|0)+40>>2]|0)+16>>2]|0)+212>>2]|0}g=c[e+16>>2]|0;if(!(a[g+156>>0]|0)){p=c[g+212>>2]|0;p=(p|0)==(b|0)?0:p;return ((p|0)==(i|0)|((p|0)==0|(p|0)==(j|0))?0:p)|0}e=c[(c[(c[c[g+180>>2]>>2]|0)+16>>2]|0)+116>>2]|0;f=c[e>>2]&3;d=c[(c[(c[((f|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+212>>2]|0;d=(d|0)==(b|0)?0:d;if(!((((!((d|0)==(i|0)|((d|0)==0|(d|0)==(j|0)))?(k=c[d+16>>2]|0,l=+h[g+16>>3],+h[k+16>>3]<=l):0)?l<=+h[k+32>>3]:0)?(m=+h[g+24>>3],+h[k+24>>3]<=m):0)?m<=+h[k+40>>3]:0)){d=c[(c[(c[((f|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+212>>2]|0;d=(d|0)==(b|0)?0:d;if(((!((d|0)==(i|0)|((d|0)==0|(d|0)==(j|0)))?(p=c[d+16>>2]|0,n=+h[g+16>>3],+h[p+16>>3]<=n):0)?n<=+h[p+32>>3]:0)?(o=+h[g+24>>3],+h[p+24>>3]<=o):0)d=o<=+h[p+40>>3]?d:0;else d=0}return d|0}function gg(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0;d=c[(c[(c[a>>2]|0)+16>>2]|0)+96>>2]|0;a=c[(c[(c[b>>2]|0)+16>>2]|0)+96>>2]|0;b=(a|0)!=0;if(d)if(b?(e=+h[d+24>>3],f=+h[d+32>>3],g=+h[a+24>>3],i=+h[a+32>>3],!(e>g)):0)if(!(e<g))if(f>i)a=-1;else a=f<i&1;else a=1;else a=-1;else a=b&1;return a|0}function hg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;e=i;i=i+16|0;d=e;a=mu(a,Ft(b)|0,1)|0;Ou(a,178487,304,1)|0;Vs(b,a)|0;if((QA(b)|0)==2){f=b+16|0;b=zz((eP(c[c[(c[f>>2]|0)+104>>2]>>2]|0)|0)+3|0)|0;c[d>>2]=c[c[(c[f>>2]|0)+104>>2]>>2];DO(b,125345,d)|0;Ss(a,151058,b)|0}i=e;return a|0}function ig(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;b=ht(a,b,c,0,1)|0;Ou(b,178780,176,1)|0;Vs(d,b)|0;return b|0}function jg(a){a=a|0;var b=0,d=0,e=0;while(1){b=c[(c[a+16>>2]|0)+116>>2]|0;if(!b)break;else a=b}b=c[a>>2]&3;d=c[(c[((b|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0;e=c[d+232>>2]|0;a=c[(c[((b|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0;b=c[a+232>>2]|0;if((e|0)<=(b|0))if((e|0)<(b|0))a=1;else a=(c[d+236>>2]|0)<(c[a+236>>2]|0)&1;else a=0;return a|0}function kg(b){b=b|0;b=c[b+16>>2]|0;if((a[b+156>>0]|0)==1)if((c[b+176>>2]|0)>1)b=1;else b=(c[b+184>>2]|0)>1&1;else b=0;return b|0}function lg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d+8|0;f=d;h=(c[a+16>>2]|0)+180|0;g=(c[b+16>>2]|0)+172|0;c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[e>>2]=c[g>>2];c[e+4>>2]=c[g+4>>2];b=Cg(a,f,b,e)|0;i=d;return b|0}function mg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d+8|0;f=d;h=(c[a+16>>2]|0)+188|0;g=(c[b+16>>2]|0)+196|0;c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[e>>2]=c[g>>2];c[e+4>>2]=c[g+4>>2];b=Cg(a,f,b,e)|0;i=d;return b|0}function ng(a){a=a|0;var b=0,d=0,e=0;e=a+48|0;d=c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0;b=c[d+180>>2]|0;d=c[d+184>>2]|0;if(!b)b=zz((d<<2)+8|0)|0;else b=Bz(b,(d<<2)+8|0)|0;c[(c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0)+180>>2]=b;b=(c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0)+184|0;d=c[b>>2]|0;c[b>>2]=d+1;c[(c[(c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0)+180>>2]|0)+(d<<2)>>2]=a;e=c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0;c[(c[e+180>>2]|0)+(c[e+184>>2]<<2)>>2]=0;e=a+-48|0;d=c[(c[((c[a>>2]&3|0)==2?a:e)+40>>2]|0)+16>>2]|0;b=c[d+172>>2]|0;d=c[d+176>>2]|0;if(!b)b=zz((d<<2)+8|0)|0;else b=Bz(b,(d<<2)+8|0)|0;c[(c[(c[((c[a>>2]&3|0)==2?a:e)+40>>2]|0)+16>>2]|0)+172>>2]=b;b=(c[(c[((c[a>>2]&3|0)==2?a:e)+40>>2]|0)+16>>2]|0)+176|0;d=c[b>>2]|0;c[b>>2]=d+1;c[(c[(c[(c[((c[a>>2]&3|0)==2?a:e)+40>>2]|0)+16>>2]|0)+172>>2]|0)+(d<<2)>>2]=a;e=c[(c[((c[a>>2]&3|0)==2?a:e)+40>>2]|0)+16>>2]|0;c[(c[e+172>>2]|0)+(c[e+176>>2]<<2)>>2]=0;return a|0}function og(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;f=a+4|0;g=c[f>>2]|0;a:do if((g|0)>0){h=c[a>>2]|0;e=0;while(1){d=h+(e<<2)|0;if((c[d>>2]|0)==(b|0))break;e=e+1|0;if((e|0)>=(g|0))break a}g=g+-1|0;c[f>>2]=g;c[d>>2]=c[h+(g<<2)>>2];c[(c[a>>2]|0)+(g<<2)>>2]=0}while(0);return}function pg(a){a=a|0;if(!a)Na(125350,125360,117,125369);else{og((c[(c[((c[a>>2]&3|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0)+180|0,a);og((c[(c[((c[a>>2]&3|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0)+172|0,a);return}}function qg(a){a=a|0;var b=0,d=0,e=0;e=a+48|0;d=c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0;b=c[d+204>>2]|0;d=c[d+208>>2]|0;if(!b)b=zz((d<<2)+8|0)|0;else b=Bz(b,(d<<2)+8|0)|0;c[(c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0)+204>>2]=b;b=(c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0)+208|0;d=c[b>>2]|0;c[b>>2]=d+1;c[(c[(c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0)+204>>2]|0)+(d<<2)>>2]=a;a=c[(c[((c[a>>2]&3|0)==3?a:e)+40>>2]|0)+16>>2]|0;c[(c[a+204>>2]|0)+(c[a+208>>2]<<2)>>2]=0;return}function rg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;f=c[(c[((c[a>>2]&3|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0;g=f+204|0;f=f+208|0;b=c[f>>2]|0;d=c[g>>2]|0;a:do if((b|0)<=0)if(!d){b=zz((b<<2)+8|0)|0;h=7}else h=5;else{e=0;while(1){if((c[d+(e<<2)>>2]|0)==(a|0))break a;e=e+1|0;if((e|0)>=(b|0)){h=5;break}}}while(0);if((h|0)==5){b=Bz(d,(b<<2)+8|0)|0;h=7}if((h|0)==7){c[g>>2]=b;e=c[f>>2]|0;h=e+1|0;c[f>>2]=h;c[b+(e<<2)>>2]=a;c[(c[g>>2]|0)+(h<<2)>>2]=0}return}function sg(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;m=yz(96)|0;g=m+48|0;c[g>>2]=c[g>>2]|3;c[m>>2]=c[m>>2]&-4|2;h=yz(176)|0;n=m+16|0;c[n>>2]=h;c[((c[m>>2]&3|0)==3?m:g)+40>>2]=d;j=m+-48|0;c[((c[m>>2]&3|0)==2?m:j)+40>>2]=e;a[h+112>>0]=1;if(!f){c[h+156>>2]=1;b[h+154>>1]=1;b[h+168>>1]=1;b[h+170>>1]=1}else{c[m>>2]=c[m>>2]&15|c[f>>2]&-16;c[g>>2]=c[g>>2]&15|c[f>>2]&-16;l=f+16|0;i=c[l>>2]|0;b[h+168>>1]=b[i+168>>1]|0;b[h+154>>1]=b[i+154>>1]|0;c[h+156>>2]=c[i+156>>2];b[h+170>>1]=b[i+170>>1]|0;d=c[((c[m>>2]&3|0)==3?m:g)+40>>2]|0;e=c[f>>2]&3;k=f+48|0;if((d|0)!=(c[((e|0)==3?f:k)+40>>2]|0)){g=f+-48|0;if((d|0)==(c[((e|0)==2?f:g)+40>>2]|0)){h=h+16|0;d=i+56|0;e=h+40|0;do{c[h>>2]=c[d>>2];h=h+4|0;d=d+4|0}while((h|0)<(e|0))}}else{h=h+16|0;d=i+16|0;e=h+40|0;do{c[h>>2]=c[d>>2];h=h+4|0;d=d+4|0}while((h|0)<(e|0));g=f+-48|0}d=c[((c[m>>2]&3|0)==2?m:j)+40>>2]|0;e=c[f>>2]&3;if((d|0)!=(c[((e|0)==2?f:g)+40>>2]|0)){if((d|0)==(c[((e|0)==3?f:k)+40>>2]|0)){h=(c[n>>2]|0)+56|0;d=(c[l>>2]|0)+16|0;e=h+40|0;do{c[h>>2]=c[d>>2];h=h+4|0;d=d+4|0}while((h|0)<(e|0))}}else{h=(c[n>>2]|0)+56|0;d=(c[l>>2]|0)+56|0;e=h+40|0;do{c[h>>2]=c[d>>2];h=h+4|0;d=d+4|0}while((h|0)<(e|0))}d=(c[l>>2]|0)+172|0;if(!(c[d>>2]|0))c[d>>2]=m;c[(c[n>>2]|0)+116>>2]=f}return m|0}function tg(a,b,c){a=a|0;b=b|0;c=c|0;return ng(sg(a,b,c)|0)|0}function ug(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;a=(c[a+16>>2]|0)+192|0;f=c[a>>2]|0;d=c[b+16>>2]|0;c[d+164>>2]=f;e=f;if(f)c[(c[e+16>>2]|0)+168>>2]=b;c[a>>2]=b;c[d+168>>2]=0;if((e|0)==(b|0))Na(125386,125360,215,125402);else return}function vg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((a|0)==(b|0))Na(125412,125360,220,125419);e=c[b+16>>2]|0;d=e+164|0;if(c[d>>2]|0)Na(125432,125360,221,125419);f=(c[a+16>>2]|0)+164|0;c[d>>2]=c[f>>2];d=c[f>>2]|0;if(d)c[(c[d+16>>2]|0)+168>>2]=b;c[e+168>>2]=a;c[f>>2]=b;return}function wg(a,b){a=a|0;b=b|0;var d=0,e=0;e=(c[a+16>>2]|0)+192|0;a=c[e>>2]|0;if(!((a|0)==0|(a|0)==(b|0)))do a=c[(c[a+16>>2]|0)+164>>2]|0;while(!((a|0)==0|(a|0)==(b|0)));if(!a)Na(125451,125360,231,125472);a=c[b+16>>2]|0;b=c[a+164>>2]|0;d=b;a=a+168|0;if(b)c[(c[b+16>>2]|0)+168>>2]=c[a>>2];a=c[a>>2]|0;if(!a)c[e>>2]=d;else c[(c[a+16>>2]|0)+164>>2]=d;return}function xg(b){b=b|0;var d=0,e=0,f=0,g=0;d=yz(64)|0;c[d>>2]=c[d>>2]&-4|1;e=d+16|0;c[e>>2]=yz(304)|0;c[d+24>>2]=yu(b)|0;g=c[e>>2]|0;a[g+156>>0]=1;h[g+96>>3]=1.0;h[g+88>>3]=1.0;h[g+80>>3]=1.0;c[g+216>>2]=1;c[g+176>>2]=0;g=yz(20)|0;f=c[e>>2]|0;c[f+172>>2]=g;c[f+184>>2]=0;f=yz(20)|0;c[(c[e>>2]|0)+180>>2]=f;ug(b,d);b=(c[b+16>>2]|0)+232|0;c[b>>2]=(c[b>>2]|0)+1;return d|0}function yg(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;g=d+48|0;f=c[(c[((c[d>>2]&3|0)==3?d:g)+40>>2]|0)+16>>2]|0;e=c[f+188>>2]|0;f=c[f+192>>2]|0;if(!e)e=zz((f<<2)+8|0)|0;else e=Bz(e,(f<<2)+8|0)|0;c[(c[(c[((c[d>>2]&3|0)==3?d:g)+40>>2]|0)+16>>2]|0)+188>>2]=e;e=(c[(c[((c[d>>2]&3|0)==3?d:g)+40>>2]|0)+16>>2]|0)+192|0;f=c[e>>2]|0;c[e>>2]=f+1;c[(c[(c[(c[((c[d>>2]&3|0)==3?d:g)+40>>2]|0)+16>>2]|0)+188>>2]|0)+(f<<2)>>2]=d;g=c[(c[((c[d>>2]&3|0)==3?d:g)+40>>2]|0)+16>>2]|0;c[(c[g+188>>2]|0)+(c[g+192>>2]<<2)>>2]=0;g=d+-48|0;f=c[(c[((c[d>>2]&3|0)==2?d:g)+40>>2]|0)+16>>2]|0;e=c[f+196>>2]|0;f=c[f+200>>2]|0;if(!e)e=zz((f<<2)+8|0)|0;else e=Bz(e,(f<<2)+8|0)|0;c[(c[(c[((c[d>>2]&3|0)==2?d:g)+40>>2]|0)+16>>2]|0)+196>>2]=e;e=(c[(c[((c[d>>2]&3|0)==2?d:g)+40>>2]|0)+16>>2]|0)+200|0;f=c[e>>2]|0;c[e>>2]=f+1;c[(c[(c[(c[((c[d>>2]&3|0)==2?d:g)+40>>2]|0)+16>>2]|0)+196>>2]|0)+(f<<2)>>2]=d;d=c[(c[((c[d>>2]&3|0)==2?d:g)+40>>2]|0)+16>>2]|0;c[(c[d+196>>2]|0)+(c[d+200>>2]<<2)>>2]=0;a[(c[b+16>>2]|0)+240>>0]=1;a[(c[(If(b)|0)+16>>2]|0)+240>>0]=1;return}function zg(a){a=a|0;var b=0,d=0;if(!a)Na(125350,125360,269,125489);b=c[(c[a+16>>2]|0)+116>>2]|0;if((b|0)!=0?(d=(c[b+16>>2]|0)+172|0,(c[d>>2]|0)==(a|0)):0)c[d>>2]=0;og((c[(c[((c[a>>2]&3|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0)+188|0,a);og((c[(c[((c[a>>2]&3|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0)+196|0,a);return}function Ag(a,d){a=a|0;d=d|0;var f=0,g=0,h=0,j=0,k=0;k=i;i=i+16|0;j=c[a+16>>2]|0;a=j+172|0;f=c[a>>2]|0;a:do if((f|0)==(d|0))us(0,125506,k)|0;else{if(f)Na(127343,125360,340,125527);c[a>>2]=d;h=c[d+16>>2]|0;f=h+170|0;a=b[j+170>>1]|0;if((e[f>>1]|0)<(a&65535))b[f>>1]=a;d=j+168|0;g=j+154|0;f=j+156|0;a=h;while(1){j=a+168|0;b[j>>1]=(e[j>>1]|0)+(e[d>>1]|0);j=a+154|0;b[j>>1]=(e[j>>1]|0)+(e[g>>1]|0);j=a+156|0;c[j>>2]=(c[j>>2]|0)+(c[f>>2]|0);a=c[a+172>>2]|0;if(!a)break a;a=c[a+16>>2]|0}}while(0);i=k;return}function Bg(d){d=d|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=d+16|0;d=c[m>>2]|0;f=c[d+172>>2]|0;if(f)do{l=f+16|0;j=c[l>>2]|0;i=j+168|0;k=(e[i>>1]|0)-(e[d+168>>1]|0)&65535;b[i>>1]=k;i=j+154|0;b[i>>1]=(e[i>>1]|0)-(e[d+154>>1]|0);i=j+156|0;c[i>>2]=(c[i>>2]|0)-(c[d+156>>2]|0);d=f;f=c[j+172>>2]|0;if(!(k<<16>>16)){g=c[d>>2]|0;k=d+48|0;i=(c[(c[((g&3|0)==3?d:k)+40>>2]|0)+16>>2]|0)+180|0;h=c[c[i>>2]>>2]|0;if(h){j=0;do{if((h|0)==(d|0)){og(i,d);g=c[d>>2]|0}j=j+1|0;i=(c[(c[((g&3|0)==3?d:k)+40>>2]|0)+16>>2]|0)+180|0;h=c[(c[i>>2]|0)+(j<<2)>>2]|0}while((h|0)!=0)}k=d+-48|0;i=(c[(c[((g&3|0)==2?d:k)+40>>2]|0)+16>>2]|0)+172|0;h=c[c[i>>2]>>2]|0;if(h){j=0;do{if((h|0)==(d|0)){og(i,d);g=c[d>>2]|0}j=j+1|0;i=(c[(c[((g&3|0)==2?d:k)+40>>2]|0)+16>>2]|0)+172|0;h=c[(c[i>>2]|0)+(j<<2)>>2]|0}while((h|0)!=0)}}a:do if((a[(c[l>>2]|0)+112>>0]|0)==1)do{d=c[(c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0;if((a[d+156>>0]|0)!=1)break a;if((c[d+184>>2]|0)!=1)break a;d=c[c[d+180>>2]>>2]|0;j=c[m>>2]|0;l=c[d+16>>2]|0;k=l+168|0;b[k>>1]=(e[k>>1]|0)-(e[j+168>>1]|0);k=l+154|0;b[k>>1]=(e[k>>1]|0)-(e[j+154>>1]|0);k=l+156|0;c[k>>2]=(c[k>>2]|0)-(c[j+156>>2]|0)}while((a[l+112>>0]|0)==1);while(0);d=c[m>>2]|0}while((f|0)!=0);c[d+172>>2]=0;return}function Cg(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[b+4>>2]|0;a:do if((f|0)>0?(g=c[e+4>>2]|0,(g|0)>0):0)if((f|0)<(g|0)){b=c[b>>2]|0;f=c[b>>2]|0;if(!f){f=0;break}else g=0;while(1){g=g+1|0;if((c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0)==(d|0))break a;f=c[b+(g<<2)>>2]|0;if(!f){f=0;break}}}else{b=c[e>>2]|0;f=c[b>>2]|0;if(!f){f=0;break}else g=0;while(1){g=g+1|0;if((c[((c[f>>2]&3|0)==3?f:f+48|0)+40>>2]|0)==(a|0))break a;f=c[b+(g<<2)>>2]|0;if(!f){f=0;break}}}else f=0;while(0);return f|0}function Dg(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+1040|0;r=u+4|0;t=u;s=u+8|0;p=a+16|0;a=c[p>>2]|0;d=b[a+236>>1]|0;a:do if(d<<16>>16<=(b[a+238>>1]|0)){o=d<<16>>16;b:while(1){m=c[a+196>>2]|0;h=m+(o<<6)|0;a=c[h>>2]|0;if((a|0)>0){j=m+(o<<6)+4|0;g=0;d=0;do{e=c[(c[j>>2]|0)+(g<<2)>>2]|0;f=e+16|0;if(c[(c[f>>2]|0)+112>>2]|0){if(!d){c[r>>2]=c[13169];d=rt(125540,r,0)|0}c[t>>2]=g;DO(s,178484,t)|0;a=mu(d,s,1)|0;Ou(a,131946,24,1)|0;n=c[(c[f>>2]|0)+180>>2]|0;l=c[n>>2]|0;l=c[(c[(c[((c[l>>2]&3|0)==2?l:l+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;n=c[n+4>>2]|0;n=c[(c[(c[((c[n>>2]&3|0)==2?n:n+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;k=(l|0)>(n|0);a=c[a+16>>2]|0;c[a+12>>2]=k?n:l;c[a+16>>2]=k?l:n;c[a+20>>2]=e;a=c[h>>2]|0}g=g+1|0}while((g|0)<(a|0));n=d;if(n){if((vt(n)|0)>1?(q=gu(n)|0,(q|0)!=0):0){a=hu(n,q)|0;if(!a)a=0;else{e=0;j=q;while(1){h=j+16|0;g=a;do{d=c[g+16>>2]|0;f=c[h>>2]|0;if((c[d+16>>2]|0)>(c[f+12>>2]|0)){if((c[f+16>>2]|0)<=(c[d+12>>2]|0))ht(n,j,g,0,1)|0}else{ht(n,g,j,0,1)|0;e=1}g=hu(n,g)|0}while((g|0)!=0);d=hu(n,a)|0;if(!d){a=e;break}else{j=a;a=d}}}if(a){j=rv(n,125543,1)|0;k=yz((vt(n)|0)<<2)|0;l=yz((vt(n)|0)<<2)|0;a=gu(n)|0;if(a){h=m+(o<<6)+4|0;g=a;do{if((c[(c[g+16>>2]|0)+8>>2]|0)==0?(xt(n,g,1,1)|0)!=0:0){do if(Pg(n,g,j,l)|0){f=vt(j)|0;a=gu(j)|0;c:do if(!a)a=0;else{d=0;while(1){while(1){if(!(xt(n,a,1,0)|0))break;a=hu(j,a)|0;if(!a){a=d;break c}}e=d+1|0;c[k+(d<<2)>>2]=c[(c[a+16>>2]|0)+20>>2];ou(j,a)|0;a=at(n,a)|0;if(a)do{m=a;a=ct(n,a)|0;jt(n,m)|0}while((a|0)!=0);a=gu(j)|0;if(!a){a=e;break}else d=e}}while(0);if((a|0)!=(f|0))break b;PO(l,f,4,60);if((f|0)>0)a=0;else break;do{m=l+(a<<2)|0;e=c[k+(a<<2)>>2]|0;c[(c[e+16>>2]|0)+236>>2]=c[m>>2];c[(c[h>>2]|0)+(c[m>>2]<<2)>>2]=e;a=a+1|0}while((a|0)!=(f|0))}while(0);a=gu(j)|0;if(a)do{m=a;a=hu(j,a)|0;ou(j,m)|0}while((a|0)!=0)}g=hu(n,g)|0}while((g|0)!=0)}fQ(k)}}ut(n)|0}}a=c[p>>2]|0;if((o|0)>=(b[a+238>>1]|0))break a;else o=o+1|0}Na(125548,125558,265,125569)}while(0);i=u;return}function Eg(d,e){d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;w=i;i=i+32|0;v=w+16|0;s=w;if(a[142275]|0)fC();a[125583]=0;c[12644]=d;f=((wt(If(d)|0)|0)<<2)+4|0;c[12645]=yz(f)|0;c[12646]=yz(f)|0;c[12647]=8;c[13883]=24;h[4167]=.995;f=Qs(d,125584)|0;if((f|0)!=0?(j=+MO(f),j>0.0):0){x=j*+(c[12647]|0);c[12647]=x<1.0?1:~~x;j=j*+(c[13883]|0);c[13883]=j<1.0?1:~~j}t=d+16|0;f=c[t>>2]|0;if(b[f+136>>1]&16){p=(b[f+238>>1]|0)+2|0;q=yz(p<<2)|0;Rg(d,q,p,0)|0;fQ(q)}zi(d);Vi(d,1);Jg(d);Sg(d);f=c[t>>2]|0;c[12648]=b[f+236>>1];c[12649]=b[f+238>>1];if((c[f+220>>2]|0)>0){m=0;k=0;do{c[f+192>>2]=c[(c[f+216>>2]|0)+(m<<2)>>2];if((m|0)>0?(n=b[f+236>>1]|0,o=b[f+238>>1]|0,n<<16>>16<=o<<16>>16):0){f=c[f+196>>2]|0;g=o<<16>>16;l=n<<16>>16;while(1){p=f+(l<<6)+4|0;q=f+(l<<6)|0;c[p>>2]=(c[p>>2]|0)+(c[q>>2]<<2);c[q>>2]=0;if((l|0)<(g|0))l=l+1|0;else break}}k=(Tg(d,0,e)|0)+k|0;m=m+1|0;f=c[t>>2]|0;g=f+220|0;l=c[g>>2]|0}while((m|0)<(l|0));p=g;m=l;if((m|0)<2){g=f;r=15}else{n=c[f+216>>2]|0;o=0;l=0;while(1){g=c[n+(o<<2)>>2]|0;if(l)c[(c[l+16>>2]|0)+164>>2]=g;q=c[g+16>>2]|0;c[q+168>>2]=l;l=c[q+164>>2]|0;if(l){g=l;while(1){l=c[(c[g+16>>2]|0)+164>>2]|0;if(!l)break;else g=l}}o=o+1|0;if((o|0)==(m|0))break;else l=g}c[p>>2]=1;c[f+192>>2]=c[n>>2];l=c[12648]&65535;b[f+236>>1]=l;g=c[12649]&65535;b[f+238>>1]=g;q=k}}else{g=f;k=0;r=15}if((r|0)==15){f=g;l=b[g+236>>1]|0;g=b[g+238>>1]|0;q=k}if(l<<16>>16<=g<<16>>16){p=c[24809]|0;o=l<<16>>16;while(1){g=c[f+196>>2]|0;l=c[g+(o<<6)+8>>2]|0;c[g+(o<<6)>>2]=l;m=c[g+(o<<6)+12>>2]|0;c[g+(o<<6)+4>>2]=m;a:do if((l|0)>0){k=0;while(1){n=c[m+(k<<2)>>2]|0;if(!n)break;c[(c[n+16>>2]|0)+236>>2]=k;k=k+1|0;if((k|0)>=(l|0))break a}if(a[142275]|0){g=Ft(d)|0;f=c[(c[(c[t>>2]|0)+196>>2]|0)+(o<<6)>>2]|0;c[s>>2]=g;c[s+4>>2]=o;c[s+8>>2]=k;c[s+12>>2]=f;pO(p,125592,s)|0;f=c[t>>2]|0;g=c[f+196>>2]|0}c[g+(o<<6)>>2]=k}while(0);if((o|0)<(b[f+238>>1]|0))o=o+1|0;else break}}do if((c[f+180>>2]|0)>=1){k=f;l=1;f=q;while(1){g=(Ug(c[(c[k+184>>2]|0)+(l<<2)>>2]|0,e)|0)+f|0;k=c[t>>2]|0;f=c[k+180>>2]|0;if((l|0)>=(f|0))break;else{l=l+1|0;f=g}}if((f|0)>0){f=Qs(d,125642)|0;if((f|0)!=0?(rC(f)|0)<<24>>24==0:0){q=g;break}Hi(d);a[125583]=1;q=Tg(d,2,e)|0}else q=g}while(0);f=c[12646]|0;if(f){fQ(f);c[12646]=0}f=c[12645]|0;if(f){fQ(f);c[12645]=0}f=c[t>>2]|0;if((c[f+180>>2]|0)>=1){g=1;while(1){Hg(c[(c[f+184>>2]|0)+(g<<2)>>2]|0);f=c[t>>2]|0;if((g|0)<(c[f+180>>2]|0))g=g+1|0;else break}}g=b[f+236>>1]|0;if(g<<16>>16<=(b[f+238>>1]|0)){k=f;l=f;o=g<<16>>16;while(1){f=c[k+196>>2]|0;if((c[f+(o<<6)>>2]|0)>0){k=l;n=0;do{m=(c[(c[f+(o<<6)+4>>2]|0)+(n<<2)>>2]|0)+16|0;g=c[m>>2]|0;c[g+236>>2]=n;f=c[g+188>>2]|0;if((f|0)!=0?(u=c[f>>2]|0,(u|0)!=0):0){l=u;f=0;do{k=l+16|0;if((a[(c[k>>2]|0)+112>>0]|0)==4){zg(l);fQ(c[k>>2]|0);fQ(l);g=c[m>>2]|0;f=f+-1|0}f=f+1|0;l=c[(c[g+188>>2]|0)+(f<<2)>>2]|0}while((l|0)!=0);k=c[t>>2]|0}n=n+1|0;f=c[k+196>>2]|0}while((n|0)<(c[f+(o<<6)>>2]|0));g=k}else g=l;f=c[f+(o<<6)+56>>2]|0;if(!f)f=k;else{fQ(c[f+8>>2]|0);fQ(f);g=c[t>>2]|0;f=g}if((o|0)<(b[f+238>>1]|0)){k=f;l=g;o=o+1|0}else break}}if(a[142275]|0){u=c[24809]|0;d=Ft(d)|0;x=+gC();c[v>>2]=d;c[v+4>>2]=q;h[v+8>>3]=x;pO(u,125653,v)|0}i=w;return}function Fg(a){a=a|0;var d=0,e=0,f=0,g=0,h=0;h=a+16|0;a=c[h>>2]|0;f=c[a+268>>2]|0;if(((f|0)!=0?(g=b[a+236>>1]|0,g<<16>>16<=(b[a+238>>1]|0)):0)?(d=g<<16>>16,c[f+(d<<2)>>2]=c[c[(c[a+196>>2]|0)+(d<<6)+4>>2]>>2],e=c[h>>2]|0,g<<16>>16<(b[e+238>>1]|0)):0)do{d=d+1|0;c[(c[e+268>>2]|0)+(d<<2)>>2]=c[c[(c[e+196>>2]|0)+(d<<6)+4>>2]>>2];e=c[h>>2]|0}while((d|0)<(b[e+238>>1]|0));return}function Gg(a){a=a|0;var b=0,d=0;Fg(a);d=a+16|0;a=c[d>>2]|0;if((c[a+180>>2]|0)>=1){b=1;while(1){Gg(c[(c[a+184>>2]|0)+(b<<2)>>2]|0);a=c[d>>2]|0;if((b|0)>=(c[a+180>>2]|0))break;else b=b+1|0}}return}function Hg(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;g=a+16|0;d=c[g>>2]|0;if((c[d+180>>2]|0)>=1){e=1;while(1){Hg(c[(c[d+184>>2]|0)+(e<<2)>>2]|0);d=c[g>>2]|0;if((e|0)<(c[d+180>>2]|0))e=e+1|0;else break}}e=c[d+268>>2]|0;a:do if((e|0)!=0?(f=b[d+236>>1]|0,f<<16>>16<=(b[d+238>>1]|0)):0){f=f<<16>>16;while(1){i=c[e+(f<<2)>>2]|0;h=Vg(a,i,-1)|0;i=Vg(a,i,1)|0;c[(c[(c[g>>2]|0)+268>>2]|0)+(f<<2)>>2]=h;j=c[(c[(c[(If(a)|0)+16>>2]|0)+196>>2]|0)+(f<<6)+4>>2]|0;h=c[(c[h+16>>2]|0)+236>>2]|0;d=c[g>>2]|0;e=c[d+196>>2]|0;c[e+(f<<6)+4>>2]=j+(h<<2);c[e+(f<<6)>>2]=(c[(c[i+16>>2]|0)+236>>2]|0)+1-h;if((f|0)>=(b[d+238>>1]|0))break a;e=c[d+268>>2]|0;f=f+1|0}}while(0);return}function Ig(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=c[d>>2]&3;j=c[((g|0)==2?d:d+-48|0)+40>>2]|0;h=c[(c[j+16>>2]|0)+188>>2]|0;a:do if((h|0)!=0?(e=c[h>>2]|0,(e|0)!=0):0){l=d+48|0;i=c[((g|0)==3?d:l)+40>>2]|0;f=0;while(1){f=f+1|0;if((c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)==(i|0))break;e=c[h+(f<<2)>>2]|0;if(!e){m=15;break a}}Ag(d,e);f=(c[d+16>>2]|0)+172|0;if(!(c[f>>2]|0))c[f>>2]=e;e=c[e+16>>2]|0;if((a[e+112>>0]|0)==4?(k=e+116|0,(c[k>>2]|0)==0):0)c[k>>2]=d;f=c[(c[((c[d>>2]&3|0)==3?d:l)+40>>2]|0)+16>>2]|0;e=c[f+204>>2]|0;f=c[f+208>>2]|0;if(!e)e=zz((f<<2)+8|0)|0;else e=Bz(e,(f<<2)+8|0)|0;c[(c[(c[((c[d>>2]&3|0)==3?d:l)+40>>2]|0)+16>>2]|0)+204>>2]=e;b=(c[(c[((c[d>>2]&3|0)==3?d:l)+40>>2]|0)+16>>2]|0)+208|0;k=c[b>>2]|0;c[b>>2]=k+1;c[(c[(c[(c[((c[d>>2]&3|0)==3?d:l)+40>>2]|0)+16>>2]|0)+204>>2]|0)+(k<<2)>>2]=d;d=c[(c[((c[d>>2]&3|0)==3?d:l)+40>>2]|0)+16>>2]|0;c[(c[d+204>>2]|0)+(c[d+208>>2]<<2)>>2]=0}else m=15;while(0);if((m|0)==15){m=sg(j,c[((g|0)==3?d:d+48|0)+40>>2]|0,d)|0;l=c[d+16>>2]|0;d=c[m+16>>2]|0;a[d+112>>0]=(a[l+112>>0]|0)==4?4:3;c[d+96>>2]=c[l+96>>2];yg(b,m)}return}function Jg(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;h=a+16|0;i=yz((b[(c[h>>2]|0)+238>>1]<<2)+8|0)|0;d=gu(a)|0;if(d)do{e=i+(c[(c[d+16>>2]|0)+232>>2]<<2)|0;c[e>>2]=(c[e>>2]|0)+1;e=at(a,d)|0;if(e)do{j=c[e>>2]&3;f=c[(c[(c[((j|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0;j=c[(c[(c[((j|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0;k=(f|0)>(j|0);g=k?f:j;f=(k?j:f)+1|0;if((f|0)<(g|0))do{k=i+(f<<2)|0;c[k>>2]=(c[k>>2]|0)+1;f=f+1|0}while((f|0)<(g|0));e=ct(a,e)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0);d=yz((b[(c[h>>2]|0)+238>>1]<<6)+128|0)|0;k=c[h>>2]|0;c[k+196>>2]=d;e=b[k+236>>1]|0;if(e<<16>>16<=(b[k+238>>1]|0)){e=e<<16>>16;while(1){j=i+(e<<2)|0;k=c[j>>2]|0;c[d+(e<<6)>>2]=k;c[d+(e<<6)+8>>2]=k;j=yz((c[j>>2]<<2)+4|0)|0;k=c[h>>2]|0;d=c[k+196>>2]|0;c[d+(e<<6)+4>>2]=j;c[d+(e<<6)+12>>2]=j;if((e|0)>=(b[k+238>>1]|0))break;else e=e+1|0}}fQ(i);return}function Kg(a,d){a=a|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+96|0;o=p+64|0;n=p+48|0;h=p+24|0;f=p;j=d+16|0;k=c[(c[j>>2]|0)+232>>2]|0;l=a+16|0;e=c[(c[l>>2]|0)+196>>2]|0;m=c[e+(k<<6)>>2]|0;do if((c[e+(k<<6)+8>>2]|0)>=1){c[(c[e+(k<<6)+4>>2]|0)+(m<<2)>>2]=d;c[(c[j>>2]|0)+236>>2]=m;e=c[l>>2]|0;f=c[e+196>>2]|0;a=f+(k<<6)|0;g=c[a>>2]|0;c[a>>2]=g+1;if((g|0)>=(c[f+(k<<6)+8>>2]|0))Na(125747,125558,1346,125783);g=c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(k<<6)+8>>2]|0;if((m|0)>(g|0)){d=Ft(d)|0;n=c[(c[j>>2]|0)+236>>2]|0;o=c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(k<<6)+8>>2]|0;c[h>>2]=1359;c[h+4>>2]=d;c[h+8>>2]=n;c[h+12>>2]=k;c[h+16>>2]=o;us(1,125799,h)|0;break}a=b[e+236>>1]|0;e=b[e+238>>1]|0;if((k|0)<(a|0)|(k|0)>(e<<16>>16|0)){c[n>>2]=1364;c[n+4>>2]=k;c[n+8>>2]=a;c[n+12>>2]=e<<16>>16;us(1,125872,n)|0;break}if(((c[f+(k<<6)+4>>2]|0)+(m<<2)|0)>>>0>((c[f+(k<<6)+12>>2]|0)+(g<<2)|0)>>>0){m=Ft(d)|0;n=c[(c[l>>2]|0)+196>>2]|0;d=(c[n+(k<<6)+4>>2]|0)+(c[(c[j>>2]|0)+236>>2]<<2)|0;n=(c[n+(k<<6)+12>>2]|0)+(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(k<<6)+8>>2]<<2)|0;c[o>>2]=1370;c[o+4>>2]=k;c[o+8>>2]=m;c[o+12>>2]=d;c[o+16>>2]=k;c[o+20>>2]=k;c[o+24>>2]=n;us(1,125933,o)|0}}else{n=Ft(a)|0;o=Ft(d)|0;c[f>>2]=1339;c[f+4>>2]=n;c[f+8>>2]=o;c[f+12>>2]=k;c[f+16>>2]=m;us(1,125692,f)|0}while(0);i=p;return}function Lg(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;r=i;i=i+16|0;m=r;n=d+16|0;o=hC(c[(c[n>>2]|0)+232>>2]|0)|0;g=c[n>>2]|0;k=g+192|0;f=c[k>>2]|0;if(f)do{j=c[f+16>>2]|0;a[j+157>>0]=0;f=c[j+164>>2]|0}while((f|0)!=0);h=b[g+236>>1]|0;f=b[g+238>>1]|0;if(h<<16>>16<=f<<16>>16){j=f<<16>>16;g=c[g+196>>2]|0;f=h<<16>>16;while(1){c[g+(f<<6)>>2]=0;if((f|0)<(j|0))f=f+1|0;else break}}f=c[k>>2]|0;if(f){j=(e|0)==0;g=f;do{h=g+16|0;f=c[h>>2]|0;if((c[c[(j?f+172|0:f+180|0)>>2]>>2]|0)==0?(l=f+157|0,(a[l>>0]|0)==0):0){a[l>>0]=1;jC(o,g);f=kC(o)|0;if(f)do{if((a[(c[f+16>>2]|0)+159>>0]|0)==7)Gi(d,f,e,o);else{Kg(d,f);Mg(o,f,e)}f=kC(o)|0}while((f|0)!=0);f=c[h>>2]|0}g=c[f+164>>2]|0}while((g|0)!=0)}if(kC(o)|0)us(1,126045,m)|0;f=c[n>>2]|0;g=b[f+236>>1]|0;if(g<<16>>16<=(b[f+238>>1]|0)){l=g<<16>>16;while(1){g=c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0;a[g+(l<<6)+49>>0]=0;if((c[f+116>>2]&1|0)!=0?(p=c[f+196>>2]|0,q=c[p+(l<<6)>>2]|0,(q|0)>0):0){h=c[p+(l<<6)+4>>2]|0;j=q+-1|0;k=(j|0)/2|0;f=0;while(1){v=c[h+(f<<2)>>2]|0;s=c[h+(j-f<<2)>>2]|0;w=c[v+16>>2]|0;e=c[w+232>>2]|0;w=w+236|0;m=c[w>>2]|0;t=s+16|0;u=c[(c[t>>2]|0)+236>>2]|0;c[w>>2]=u;c[(c[g+(e<<6)+4>>2]|0)+(u<<2)>>2]=v;c[(c[t>>2]|0)+236>>2]=m;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(e<<6)+4>>2]|0)+(m<<2)>>2]=s;if((f|0)>=(k|0))break;g=c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0;f=f+1|0}f=c[n>>2]|0}if((l|0)<(b[f+238>>1]|0))l=l+1|0;else break}}if((If(d)|0)==(d|0)?(Ng(0)|0)>0:0)Wg(d,0);iC(o);i=r;return}function Mg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;i=d+16|0;d=c[i>>2]|0;if(!e){if((c[d+184>>2]|0)>0){h=0;do{e=c[(c[d+180>>2]|0)+(h<<2)>>2]|0;f=e+-48|0;g=(c[(c[((c[e>>2]&3|0)==2?e:f)+40>>2]|0)+16>>2]|0)+157|0;if(!(a[g>>0]|0)){a[g>>0]=1;jC(b,c[((c[e>>2]&3|0)==2?e:f)+40>>2]|0);d=c[i>>2]|0}h=h+1|0}while((h|0)<(c[d+184>>2]|0))}}else if((c[d+176>>2]|0)>0){h=0;do{e=c[(c[d+172>>2]|0)+(h<<2)>>2]|0;f=e+48|0;g=(c[(c[((c[e>>2]&3|0)==3?e:f)+40>>2]|0)+16>>2]|0)+157|0;if(!(a[g>>0]|0)){a[g>>0]=1;jC(b,c[((c[e>>2]&3|0)==3?e:f)+40>>2]|0);d=c[i>>2]|0}h=h+1|0}while((h|0)<(c[d+176>>2]|0))}return}function Ng(d){d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;y=i;i=i+16|0;w=y;x=(c[12644]|0)+16|0;d=c[x>>2]|0;e=b[d+236>>1]|0;if(e<<16>>16<(b[d+238>>1]|0)){h=d;d=0;v=e<<16>>16;while(1){f=c[h+196>>2]|0;if(!(a[f+(v<<6)+49>>0]|0)){s=c[f+(v<<6)+4>>2]|0;g=v+1|0;e=c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(g<<6)>>2]|0;if((c[12650]|0)>(e|0)){e=h;u=f}else{e=e+1|0;c[12650]=e;f=c[12651]|0;if(!f)e=zz(e<<2)|0;else e=Bz(f,e<<2)|0;c[12651]=e;u=c[x>>2]|0;e=u;u=c[u+196>>2]|0}t=u+(g<<6)|0;if((c[t>>2]|0)>0){f=c[12651]|0;h=0;do{c[f+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(c[t>>2]|0))}r=u+(v<<6)|0;f=c[r>>2]|0;if((f|0)>0){l=f;f=0;h=0;q=0;do{p=c[(c[(c[s+(q<<2)>>2]|0)+16>>2]|0)+180>>2]|0;j=c[p>>2]|0;if((h|0)>0){if(j){o=c[12651]|0;m=j;n=0;do{k=c[(c[(c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;if((k|0)<(h|0)){m=b[(c[m+16>>2]|0)+154>>1]|0;do{k=k+1|0;f=(_(c[o+(k<<2)>>2]|0,m)|0)+f|0}while((k|0)!=(h|0))}n=n+1|0;m=c[p+(n<<2)>>2]|0}while((m|0)!=0);m=23}}else m=23;if((m|0)==23){m=0;if(j){l=c[12651]|0;k=0;do{o=c[(c[(c[((c[j>>2]&3|0)==2?j:j+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;h=(o|0)>(h|0)?o:h;o=l+(o<<2)|0;c[o>>2]=(c[o>>2]|0)+(b[(c[j+16>>2]|0)+154>>1]|0);k=k+1|0;j=c[p+(k<<2)>>2]|0}while((j|0)!=0);l=c[r>>2]|0}}q=q+1|0}while((q|0)<(l|0));if((l|0)>0){k=c[u+(v<<6)+4>>2]|0;j=0;do{h=c[(c[k+(j<<2)>>2]|0)+16>>2]|0;if(a[h+145>>0]|0){s=h+180|0;c[w>>2]=c[s>>2];c[w+4>>2]=c[s+4>>2];f=(Xg(w,1)|0)+f|0}j=j+1|0}while((j|0)!=(l|0))}}else f=0;k=c[t>>2]|0;if((k|0)>0){j=c[u+(g<<6)+4>>2]|0;l=0;do{h=c[(c[j+(l<<2)>>2]|0)+16>>2]|0;if(a[h+145>>0]|0){t=h+172|0;c[w>>2]=c[t>>2];c[w+4>>2]=c[t+4>>2];f=(Xg(w,-1)|0)+f|0}l=l+1|0}while((l|0)!=(k|0))}c[u+(v<<6)+52>>2]=f;a[u+(v<<6)+49>>0]=1}else{f=c[f+(v<<6)+52>>2]|0;g=v+1|0;e=h}d=f+d|0;if((g|0)<(b[e+238>>1]|0)){h=e;v=g}else break}}else d=0;i=y;return d|0}function Og(b){b=b|0;var d=0,e=0,f=0;e=c[b>>2]&3;d=c[(c[((e|0)==2?b:b+-48|0)+40>>2]|0)+16>>2]|0;if((a[d+156>>0]|0)==1)f=2;else f=(a[d+160>>0]|0)<2&1;d=c[(c[((e|0)==3?b:b+48|0)+40>>2]|0)+16>>2]|0;if((a[d+156>>0]|0)==1)d=2;else d=(a[d+160>>0]|0)<2&1;b=(c[b+16>>2]|0)+156|0;c[b>>2]=_(c[b>>2]|0,c[50608+(d*12|0)+(f<<2)>>2]|0)|0;return}function Pg(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;g=c[b+16>>2]|0;c[g+8>>2]=1;g=c[(c[(c[g+20>>2]|0)+16>>2]|0)+236>>2]|0;c[e+((vt(d)|0)<<2)>>2]=g;lu(d,b,1)|0;g=at(a,b)|0;if(!g)f=0;else{f=0;do{j=c[g>>2]&3;h=c[((j|0)==2?g:g+-48|0)+40>>2]|0;i=c[h+16>>2]|0;f=((c[(c[(c[i+20>>2]|0)+16>>2]|0)+236>>2]|0)>(c[(c[(c[(c[(c[((j|0)==3?g:g+48|0)+40>>2]|0)+16>>2]|0)+20>>2]|0)+16>>2]|0)+236>>2]|0)&1)+f|0;if(!(c[i+8>>2]|0))f=(Pg(a,h,d,e)|0)+f|0;g=ct(a,g)|0}while((g|0)!=0)}g=dt(a,b)|0;if(g)do{i=c[g>>2]&3;h=c[((i|0)==3?g:g+48|0)+40>>2]|0;j=c[h+16>>2]|0;f=((c[(c[(c[(c[(c[((i|0)==2?g:g+-48|0)+40>>2]|0)+16>>2]|0)+20>>2]|0)+16>>2]|0)+236>>2]|0)>(c[(c[(c[j+20>>2]|0)+16>>2]|0)+236>>2]|0)&1)+f|0;if(!(c[j+8>>2]|0))f=(Pg(a,h,d,e)|0)+f|0;g=et(a,g)|0}while((g|0)!=0);return f|0}function Qg(a,b){a=a|0;b=b|0;return (c[a>>2]|0)-(c[b>>2]|0)|0}function Rg(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0;l=a+16|0;g=c[l>>2]|0;if((c[g+180>>2]|0)>=1){i=1;while(1){f=Rg(c[(c[g+184>>2]|0)+(i<<2)>>2]|0,d,e,f)|0;g=c[l>>2]|0;if((i|0)>=(c[g+180>>2]|0))break;else i=i+1|0}}if((If(a)|0)!=(a|0)){tQ(d|0,0,e<<2|0)|0;g=gu(a)|0;if(g)do{k=g+16|0;c[d+(c[(c[k>>2]|0)+232>>2]<<2)>>2]=1;i=at(a,g)|0;if(i)do{e=c[(c[k>>2]|0)+232>>2]|0;j=i+-48|0;if((e|0)<(c[(c[(c[((c[i>>2]&3|0)==2?i:j)+40>>2]|0)+16>>2]|0)+232>>2]|0))do{e=e+1|0;c[d+(e<<2)>>2]=1}while((e|0)<(c[(c[(c[((c[i>>2]&3|0)==2?i:j)+40>>2]|0)+16>>2]|0)+232>>2]|0));i=ct(a,i)|0}while((i|0)!=0);g=hu(a,g)|0}while((g|0)!=0);g=c[l>>2]|0;i=b[g+236>>1]|0;if(i<<16>>16<=(b[g+238>>1]|0)){i=i<<16>>16;while(1){if(!(c[d+(i<<2)>>2]|0)){if(!f)f=rv(If(a)|0,126461,1)|0;g=mu(f,0,1)|0;Ou(g,178487,304,1)|0;k=g+16|0;e=c[k>>2]|0;c[e+232>>2]=i;h[e+96>>3]=.5;h[e+88>>3]=.5;h[e+80>>3]=1.0;c[e+216>>2]=1;c[e+176>>2]=0;e=yz(20)|0;j=c[k>>2]|0;c[j+172>>2]=e;c[j+184>>2]=0;j=yz(20)|0;c[(c[k>>2]|0)+180>>2]=j;lu(a,g,1)|0;g=c[l>>2]|0}if((i|0)<(b[g+238>>1]|0))i=i+1|0;else break}}}return f|0}function Sg(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;h=i;i=i+16|0;g=h+8|0;f=h;d=c[13894]|0;a:do if((d|0)!=0|(c[13923]|0)!=0){d=oC(b,d,0)|0;if(d){switch(a[d>>0]|0){case 0:break a;case 111:{if(!(aP(d,126381)|0)){jh(b,1);break a}break}case 105:{if(!(aP(d,139719)|0)){jh(b,0);break a}break}default:{}}c[f>>2]=d;us(1,126385,f)|0;break}d=sv(b)|0;if(d)do{if(!(Kh(d)|0))Sg(d);d=tv(d)|0}while((d|0)!=0);if((c[13923]|0)!=0?(e=gu(b)|0,(e|0)!=0):0)do{d=oC(e,c[13923]|0,0)|0;b:do if(d){switch(a[d>>0]|0){case 0:break b;case 111:{if(!(aP(d,126381)|0)){kh(b,e,1);break b}break}case 105:{if(!(aP(d,139719)|0)){kh(b,e,0);break b}break}default:{}}f=Ft(e)|0;c[g>>2]=d;c[g+4>>2]=f;us(1,126416,g)|0}while(0);e=hu(b,e)|0}while((e|0)!=0)}while(0);i=h;return}function Tg(e,f,g){e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;N=i;i=i+32|0;L=N;if((f|0)>1){j=Ng(0)|0;gh(e);if((f|0)<3)x=3;else f=0}else{j=2147483647;x=3}if((x|0)==3){I=e+16|0;J=c[24809]|0;l=j;k=j;H=f;while(1){f=c[13883]|0;if((H|0)<2){f=(f|0)>4?4:f;if((If(e)|0)==(e|0))Lg(e,H);if(!H)ah(e);bh(e);k=Ng(0)|0;if((k|0)>(l|0))j=l;else{gh(e);j=k}}else if((k|0)>(l|0)){hh(e);j=l;k=l}else{j=l;k=l}a:do if((f|0)>0){G=0;l=0;while(1){if(a[142275]|0){c[L>>2]=H;c[L+4>>2]=G;c[L+8>>2]=l;c[L+12>>2]=k;c[L+16>>2]=j;pO(J,126309,L)|0}F=l+1|0;if((k|0)==0|(l|0)>=(c[12647]|0))break a;D=((G|0)%4|0|0)<2;C=D&1;l=c[I>>2]|0;k=b[l+236>>1]|0;if(!(G&1)){E=1;m=(k<<16>>16<=(b[(c[(c[12644]|0)+16>>2]|0)+236>>1]|0)&1)+(k<<16>>16)|0;k=b[l+238>>1]|0}else{m=b[l+238>>1]|0;E=-1;m=((m<<16>>16>=(b[(c[(c[12644]|0)+16>>2]|0)+238>>1]|0))<<31>>31)+(m<<16>>16)|0;k=k<<16>>16}A=E+k|0;b:do if((m|0)!=(A|0)){B=(E|0)<0;k=m;while(1){w=c[12646]|0;z=c[l+196>>2]|0;y=c[z+(k<<6)+4>>2]|0;if((c[z+(k<<6)>>2]|0)>0){t=w+4|0;v=0;while(1){s=(c[y+(v<<2)>>2]|0)+16|0;r=c[s>>2]|0;if(B){q=c[r+180>>2]|0;l=c[q>>2]|0;if(!l)x=36;else{m=0;p=0;do{n=c[l+16>>2]|0;if((b[n+154>>1]|0)>0){c[w+(m<<2)>>2]=d[n+88>>0]|c[(c[(c[((c[l>>2]&3|0)==2?l:l+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]<<8;m=m+1|0}p=p+1|0;l=c[q+(p<<2)>>2]|0}while((l|0)!=0);x=35}}else{q=c[r+172>>2]|0;l=c[q>>2]|0;if(!l)x=36;else{m=0;p=0;do{n=c[l+16>>2]|0;if((b[n+154>>1]|0)>0){c[w+(m<<2)>>2]=d[n+48>>0]|c[(c[(c[((c[l>>2]&3|0)==3?l:l+48|0)+40>>2]|0)+16>>2]|0)+236>>2]<<8;m=m+1|0}p=p+1|0;l=c[q+(p<<2)>>2]|0}while((l|0)!=0);x=35}}c:do if((x|0)==35){x=0;switch(m|0){case 0:{x=36;break c}case 1:{h[r+240>>3]=+(c[w>>2]|0);break c}case 2:{h[r+240>>3]=+(((c[t>>2]|0)+(c[w>>2]|0)|0)/2|0|0);break c}default:{PO(w,m,4,60);l=(m|0)/2|0;if(m&1){h[(c[s>>2]|0)+240>>3]=+(c[w+(l<<2)>>2]|0);break c}p=c[w+(l<<2)>>2]|0;n=(c[w+(m+-1<<2)>>2]|0)-p|0;l=c[w+(l+-1<<2)>>2]|0;m=l-(c[w>>2]|0)|0;if((m|0)==(n|0)){h[(c[s>>2]|0)+240>>3]=+((l+p|0)/2|0|0);break c}else{u=+(((_(m,p)|0)+(_(l,n)|0)|0)/(m+n|0)|0|0);h[(c[s>>2]|0)+240>>3]=u;break c}}}}while(0);if((x|0)==36)h[r+240>>3]=-1.0;v=v+1|0;l=c[(c[I>>2]|0)+196>>2]|0;m=c[l+(k<<6)>>2]|0;if((v|0)>=(m|0)){t=l;v=m;break}}if((v|0)>0){l=0;s=0;do{r=c[(c[y+(s<<2)>>2]|0)+16>>2]|0;if((c[r+184>>2]|0)==0?(c[r+176>>2]|0)==0:0){do if((c[r+200>>2]|0)>0){q=c[r+196>>2]|0;m=c[q>>2]|0;m=c[((c[m>>2]&3|0)==3?m:m+48|0)+40>>2]|0;n=c[q+4>>2]|0;if(n){p=1;do{z=c[((c[n>>2]&3|0)==3?n:n+48|0)+40>>2]|0;m=(c[(c[z+16>>2]|0)+236>>2]|0)>(c[(c[m+16>>2]|0)+236>>2]|0)?z:m;p=p+1|0;n=c[q+(p<<2)>>2]|0}while((n|0)!=0)}o=+h[(c[m+16>>2]|0)+240>>3];if(!(o>=0.0)){m=1;break}h[r+240>>3]=o+1.0;m=0}else{if((c[r+192>>2]|0)<=0){m=1;break}q=c[r+188>>2]|0;m=c[q>>2]|0;m=c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2]|0;n=c[q+4>>2]|0;if(n){p=1;do{z=c[((c[n>>2]&3|0)==2?n:n+-48|0)+40>>2]|0;m=(c[(c[z+16>>2]|0)+236>>2]|0)<(c[(c[m+16>>2]|0)+236>>2]|0)?z:m;p=p+1|0;n=c[q+(p<<2)>>2]|0}while((n|0)!=0)}o=+h[(c[m+16>>2]|0)+240>>3];if(!(o>0.0)){m=1;break}h[r+240>>3]=o+-1.0;m=0}while(0);l=(m|l&255)&255}s=s+1|0}while((s|0)!=(v|0));z=c[t+(k<<6)+4>>2]|0;w=(l&255|C|0)==0;l=0;y=z+(v<<2)|0;while(1){t=v;v=v+-1|0;d:do if(z>>>0<y>>>0){m=z;while(1){e:while(1){p=c[m>>2]|0;n=c[p+16>>2]|0;u=+h[n+240>>3];if(u<0.0){m=m+4|0;if(m>>>0<y>>>0)continue;else break d}s=0;while(1){r=s<<24>>24==0;while(1){m=m+4|0;if(m>>>0>=y>>>0)break d;if(r){x=67;break}q=c[m>>2]|0;if(!(c[(c[q+16>>2]|0)+212>>2]|0)){r=q;x=69;break}}if((x|0)==67){r=c[m>>2]|0;q=r}else if((x|0)==69)q=r;if(Yg(e,p,q)|0)continue e;r=c[r+16>>2]|0;o=+h[r+240>>3];if(o>=0.0)break;s=(c[r+212>>2]|0)==0?s:1}s=~~u;x=~~o;if((s|0)>(x|0)|D&(s|0)==(x|0))break}s=c[n+232>>2]|0;O=n+236|0;x=c[O>>2]|0;r=q+16|0;n=c[(c[r>>2]|0)+236>>2]|0;c[O>>2]=n;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(s<<6)+4>>2]|0)+(n<<2)>>2]=p;c[(c[r>>2]|0)+236>>2]=x;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(s<<6)+4>>2]|0)+(x<<2)>>2]=q;l=l+1|0}}while(0);if((t|0)<=1)break;else y=w?y+-4|0:y}if((l|0)!=0?(K=c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0,a[K+(k<<6)+49>>0]=0,(k|0)>0):0)a[K+(k+-1<<6)+49>>0]=0}}k=k+E|0;if((k|0)==(A|0))break b;l=c[I>>2]|0}}while(0);Wg(e,C^1);k=Ng(0)|0;if((k|0)>(j|0)){m=j;l=F}else{gh(e);m=k;l=+(k|0)<+(j|0)*+h[4167]?0:F}G=G+1|0;if((G|0)>=(f|0)){j=m;break}else j=m}}while(0);H=H+1|0;if(!k){k=0;break}if((H|0)>=3)break;else l=j}if((k|0)>(j|0))hh(e)}if((j|0)>0){Wg(e,0);K=Ng(0)|0}else K=j;f:do if((g|0)!=0&(f|0)>0){I=e+16|0;j=c[I>>2]|0;J=0;g:while(1){k=b[j+238>>1]|0;if(k<<16>>16>=(b[j+236>>1]|0)){n=j;H=k<<16>>16;while(1){k=c[n+196>>2]|0;a[k+(H<<6)+48>>0]=0;l=c[k+(H<<6)>>2]|0;if((l|0)>1){F=(H|0)>0;G=H+1|0;m=k;k=n;E=0;do{r=c[m+(H<<6)+4>>2]|0;A=c[r+(E<<2)>>2]|0;E=E+1|0;B=c[r+(E<<2)>>2]|0;C=A+16|0;v=c[C>>2]|0;w=v+236|0;x=c[w>>2]|0;D=B+16|0;q=c[D>>2]|0;y=c[q+236>>2]|0;if((x|0)>=(y|0))break g;do if(!(Yg(e,A,B)|0)){if(F){n=Zg(A,B)|0;p=Zg(B,A)|0}else{n=0;p=0}if((c[m+(G<<6)>>2]|0)>0){n=(_g(A,B)|0)+n|0;p=(_g(B,A)|0)+p|0}if((p|0)<=(n|0)?(M=a[v+156>>0]|0,M<<24>>24!=(a[q+156>>0]|0)):0){if((l|0)>0){k=0;j=0;m=0;do{O=(a[(c[(c[r+(m<<2)>>2]|0)+16>>2]|0)+156>>0]|0)==0&1;k=(O^1)+k|0;j=O+j|0;m=m+1|0}while((m|0)!=(l|0));m=M<<24>>24==0;m=(j|0)<(k|0)?(m?A:B):m?B:A;k=0;j=0;do{j=(c[r+(k<<2)>>2]|0)==(m|0)?k:j;k=k+1|0}while((k|0)!=(l|0));p=m}else{p=M<<24>>24==0?B:A;j=0}z=(a[(c[p+16>>2]|0)+156>>0]|0)==0&1;h:do if((j|0)>0){m=j;k=0;while(1){n=m;m=m+-1|0;if((a[(c[(c[r+(m<<2)>>2]|0)+16>>2]|0)+156>>0]|0)!=(z|0)){t=k;break h}k=k+1|0;if((n|0)<=1){t=k;break}}}else t=0;while(0);k=j+1|0;i:do if((k|0)<(l|0)){m=0;while(1){if((a[(c[(c[r+(k<<2)>>2]|0)+16>>2]|0)+156>>0]|0)!=(z|0)){s=m;break i}m=m+1|0;k=k+1|0;if((k|0)>=(l|0)){s=m;break}}}else s=0;while(0);r=c[v+232>>2]|0;c[w>>2]=y;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(r<<6)+4>>2]|0)+(y<<2)>>2]=A;c[(c[D>>2]|0)+236>>2]=x;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(r<<6)+4>>2]|0)+(x<<2)>>2]=B;r=c[I>>2]|0;m=c[r+196>>2]|0;l=c[m+(H<<6)>>2]|0;if((l|0)>0){k=c[m+(H<<6)+4>>2]|0;n=0;do{j=(c[k+(n<<2)>>2]|0)==(p|0)?n:j;n=n+1|0}while((n|0)!=(l|0))}j:do if((j|0)>0){n=c[m+(H<<6)+4>>2]|0;p=j;k=0;do{q=p;p=p+-1|0;if((a[(c[(c[n+(p<<2)>>2]|0)+16>>2]|0)+156>>0]|0)!=(z|0))break j;k=k+1|0}while((q|0)>1)}else k=0;while(0);j=j+1|0;k:do if((j|0)<(l|0)){p=c[m+(H<<6)+4>>2]|0;n=j;j=0;do{if((a[(c[(c[p+(n<<2)>>2]|0)+16>>2]|0)+156>>0]|0)!=(z|0))break k;j=j+1|0;n=n+1|0}while((n|0)<(l|0))}else j=0;while(0);g=k-j|0;O=t-s|0;if((((g|0)>-1?g:0-g|0)|0)<=(((O|0)>-1?O:0-O|0)|0)){j=r;k=r;break}j=c[C>>2]|0;m=c[j+232>>2]|0;j=j+236|0;k=c[j>>2]|0;l=c[(c[D>>2]|0)+236>>2]|0;c[j>>2]=l;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(m<<6)+4>>2]|0)+(l<<2)>>2]=A;c[(c[D>>2]|0)+236>>2]=k;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(m<<6)+4>>2]|0)+(k<<2)>>2]=B;k=c[I>>2]|0;m=c[k+196>>2]|0;l=c[m+(H<<6)>>2]|0;j=k}}while(0)}while((E|0)<(l+-1|0))}else k=n;if((H|0)>(b[k+236>>1]|0)){n=k;H=H+-1|0}else break}}J=J+1|0;if((J|0)>=(f|0))break f}Na(126055,125558,721,126373)}while(0);i=N;return K|0}function Ug(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;Di(a);Sg(a);ah(a);bh(a);d=Tg(a,2,b)|0;g=a+16|0;e=c[g>>2]|0;if((c[e+180>>2]|0)>=1){f=1;while(1){d=(Ug(c[(c[e+184>>2]|0)+(f<<2)>>2]|0,b)|0)+d|0;e=c[g>>2]|0;if((f|0)>=(c[e+180>>2]|0))break;else f=f+1|0}}Fg(a);return d|0}function Vg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(!d)Na(126096,125558,1023,126098);i=(e|0)<0;f=d;while(1){d=c[d+16>>2]|0;h=c[d+236>>2]|0;if(i){if((h|0)<=0){d=14;break}d=(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(c[d+232>>2]<<6)+4>>2]|0)+(h+-1<<2)|0}else d=(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(c[d+232>>2]<<6)+4>>2]|0)+(h+1<<2)|0;d=c[d>>2]|0;if(!d){d=14;break}g=c[d+16>>2]|0;if((_((c[g+236>>2]|0)-h|0,e)|0)<=0){d=10;break}if((a[g+156>>0]|0)==0?(Hu(b,d)|0)!=0:0){f=d;continue}h=($g(b,d)|0)==0;f=h?f:d}if((d|0)==10)Na(126107,125558,1029,126098);else if((d|0)==14)return f|0;return 0}function Wg(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;z=d+16|0;g=c[z>>2]|0;h=b[g+236>>1]|0;k=b[g+238>>1]|0;if(h<<16>>16<=k<<16>>16){i=k<<16>>16;f=c[g+196>>2]|0;j=h<<16>>16;while(1){a[f+(j<<6)+48>>0]=1;if((j|0)<(i|0))j=j+1|0;else break}}y=(e|0)!=0;a:do if(h<<16>>16<=k<<16>>16){b:while(1){f=0;x=h<<16>>16;while(1){i=c[g+196>>2]|0;h=i+(x<<6)+48|0;if(a[h>>0]|0){a[h>>0]=0;h=c[i+(x<<6)>>2]|0;c:do if((h|0)>1){u=(x|0)>0;v=x+1|0;w=x+-1|0;j=h;e=0;h=0;do{t=c[i+(x<<6)+4>>2]|0;l=c[t+(e<<2)>>2]|0;p=c[l+16>>2]|0;s=i+(v<<6)|0;r=j+-1|0;q=p;j=c[p+236>>2]|0;while(1){e=e+1|0;m=l;l=c[t+(e<<2)>>2]|0;k=l+16|0;o=q;q=c[k>>2]|0;p=j;j=c[q+236>>2]|0;if((p|0)>=(j|0))break b;if(!(Yg(d,m,l)|0)){if(u){i=Zg(m,l)|0;n=Zg(l,m)|0}else{i=0;n=0}if((c[s>>2]|0)>0){i=(_g(m,l)|0)+i|0;n=(_g(l,m)|0)+n|0}if((i|0)>(n|0)){g=n;break}if((i|0)==(n|0)&(y&(i|0)>0)){i=n;g=n;break}}if((e|0)>=(r|0))break c}t=c[o+232>>2]|0;c[o+236>>2]=j;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(t<<6)+4>>2]|0)+(j<<2)>>2]=m;c[(c[k>>2]|0)+236>>2]=p;c[(c[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(t<<6)+4>>2]|0)+(p<<2)>>2]=l;h=i-g+h|0;j=c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0;a[j+(x<<6)+49>>0]=0;g=c[z>>2]|0;i=c[g+196>>2]|0;a[i+(x<<6)+48>>0]=1;if((b[g+236>>1]|0)<(x|0)){a[j+(w<<6)+49>>0]=0;a[i+(w<<6)+48>>0]=1}if((b[g+238>>1]|0)>(x|0)){a[j+(v<<6)+49>>0]=0;a[i+(v<<6)+48>>0]=1}j=c[i+(x<<6)>>2]|0}while((e|0)<(j+-1|0))}else h=0;while(0);f=h+f|0}h=b[g+238>>1]|0;if((x|0)<(h<<16>>16|0))x=x+1|0;else break}if((f|0)<=0)break a;f=b[g+236>>1]|0;if(f<<16>>16>h<<16>>16)break a;else h=f}Na(126055,125558,770,126081)}while(0);return}function Xg(a,d){a=a|0;d=d|0;var e=0,f=0.0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;n=(d|0)>0;m=c[a>>2]|0;d=c[m>>2]|0;a:do if(!d)d=0;else{k=d;d=0;l=0;do{l=l+1|0;e=k;k=c[m+(l<<2)>>2]|0;a=(k|0)==0;if(n){if(a)break a;j=c[(c[(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;g=c[e+16>>2]|0;f=+h[g+16>>3];g=g+154|0;i=k;e=l;do{a=c[i+16>>2]|0;if(+((c[(c[(c[((c[i>>2]&3|0)==2?i:i+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0)-j|0)*(+h[a+16>>3]-f)<0.0)d=(_(b[a+154>>1]|0,b[g>>1]|0)|0)+d|0;e=e+1|0;i=c[m+(e<<2)>>2]|0}while((i|0)!=0)}else{if(a)break a;j=c[(c[(c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;g=c[e+16>>2]|0;f=+h[g+56>>3];g=g+154|0;i=k;e=l;do{a=c[i+16>>2]|0;if(+((c[(c[(c[((c[i>>2]&3|0)==3?i:i+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0)-j|0)*(+h[a+56>>3]-f)<0.0)d=(_(b[a+154>>1]|0,b[g>>1]|0)|0)+d|0;e=e+1|0;i=c[m+(e<<2)>>2]|0}while((i|0)!=0)}}while((k|0)!=0)}while(0);return d|0}function Yg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;j=c[d+16>>2]|0;g=c[j+212>>2]|0;h=c[e+16>>2]|0;i=c[h+212>>2]|0;f=(g|0)!=(i|0);do if(!(a[125583]|0))if((i|0)==0|((g|0)==0|f^1))k=9;else{if((a[j+159>>0]|0)==7?(a[j+156>>0]|0)==1:0){f=0;break}if((a[h+159>>0]|0)==7?(a[h+156>>0]|0)==1:0){f=0;break}f=1}else if(f)f=1;else k=9;while(0);if((k|0)==9){g=c[b+16>>2]|0;f=c[(c[g+196>>2]|0)+(c[j+232>>2]<<6)+56>>2]|0;if(!f)f=0;else{j=(c[g+116>>2]&1|0)==0;k=_(c[f+4>>2]|0,c[(c[(j?d:e)+16>>2]|0)+284>>2]|0)|0;f=a[(c[f+8>>2]|0)+((c[(c[(j?e:d)+16>>2]|0)+284>>2]|0)+k)>>0]|0}}return f|0}function Zg(a,d){a=a|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;e=c[(c[d+16>>2]|0)+172>>2]|0;d=c[e>>2]|0;if(!d)d=0;else{m=c[(c[a+16>>2]|0)+172>>2]|0;k=c[m>>2]|0;l=(k|0)==0;a=d;d=0;do{j=b[(c[a+16>>2]|0)+154>>1]|0;g=c[(c[(c[((c[a>>2]&3|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;if(!l){i=k;f=m;do{a=c[(c[(c[((c[i>>2]&3|0)==3?i:i+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;if((a|0)<=(g|0)){if((a|0)==(g|0)?+h[(c[i+16>>2]|0)+16>>3]>+h[(c[(c[e>>2]|0)+16>>2]|0)+16>>3]:0)n=8}else n=8;if((n|0)==8){n=0;d=(_(b[(c[(c[f>>2]|0)+16>>2]|0)+154>>1]|0,j)|0)+d|0}f=f+4|0;i=c[f>>2]|0}while((i|0)!=0)}e=e+4|0;a=c[e>>2]|0}while((a|0)!=0)}return d|0}function _g(a,d){a=a|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;e=c[(c[d+16>>2]|0)+180>>2]|0;d=c[e>>2]|0;if(!d)d=0;else{m=c[(c[a+16>>2]|0)+180>>2]|0;k=c[m>>2]|0;l=(k|0)==0;a=d;d=0;do{j=b[(c[a+16>>2]|0)+154>>1]|0;g=c[(c[(c[((c[a>>2]&3|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;if(!l){i=k;f=m;do{a=c[(c[(c[((c[i>>2]&3|0)==2?i:i+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;if((a|0)<=(g|0)){if((a|0)==(g|0)?+h[(c[i+16>>2]|0)+56>>3]>+h[(c[(c[e>>2]|0)+16>>2]|0)+56>>3]:0)n=8}else n=8;if((n|0)==8){n=0;d=(_(b[(c[(c[f>>2]|0)+16>>2]|0)+154>>1]|0,j)|0)+d|0}f=f+4|0;i=c[f>>2]|0}while((i|0)!=0)}e=e+4|0;a=c[e>>2]|0}while((a|0)!=0)}return d|0}function $g(b,d){b=b|0;d=d|0;var e=0,f=0;d=c[d+16>>2]|0;if(((a[d+156>>0]|0)==1?(c[d+176>>2]|0)==1:0)?(c[d+184>>2]|0)==1:0){d=c[d+180>>2]|0;while(1){d=c[d>>2]|0;e=c[d+16>>2]|0;if(!(a[e+112>>0]|0))break;else d=e+116|0}if(Hu(b,d)|0)d=1;else f=7}else f=7;if((f|0)==7)d=0;return d|0}function ah(d){d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;k=d+16|0;e=c[k>>2]|0;f=b[e+236>>1]|0;if(f<<16>>16<=(b[e+238>>1]|0)){j=f<<16>>16;while(1){f=c[e+196>>2]|0;g=c[f+(j<<6)>>2]|0;if((g|0)>0){h=0;i=0;do{l=c[(c[(c[f+(j<<6)+4>>2]|0)+(i<<2)>>2]|0)+16>>2]|0;a[l+158>>0]=0;a[l+157>>0]=0;c[l+284>>2]=i;if((h|0)==0&(c[l+192>>2]|0)>0){h=yz(12)|0;c[h>>2]=g;c[h+4>>2]=g;c[h+8>>2]=yz(_(g,g)|0)|0;e=c[k>>2]|0;f=c[e+196>>2]|0;c[f+(j<<6)+56>>2]=h;g=c[f+(j<<6)>>2]|0;h=1}i=i+1|0}while((i|0)<(g|0));if((h|0)!=0&(g|0)>0){g=0;do{f=c[(c[f+(j<<6)+4>>2]|0)+(g<<2)>>2]|0;if(!(a[(c[f+16>>2]|0)+157>>0]|0)){fh(d,f);e=c[k>>2]|0}g=g+1|0;f=c[e+196>>2]|0}while((g|0)<(c[f+(j<<6)>>2]|0))}}if((j|0)<(b[e+238>>1]|0))j=j+1|0;else break}}return}function bh(d){d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;p=d+16|0;e=c[p>>2]|0;if((a[e+240>>0]|0)!=0?(f=b[e+236>>1]|0,f<<16>>16<=(b[e+238>>1]|0)):0){o=f<<16>>16;f=0;a:while(1){g=c[e+196>>2]|0;i=c[g+(o<<6)>>2]|0;if(i){e=c[g+(o<<6)+4>>2]|0;n=c[(c[(c[e>>2]|0)+16>>2]|0)+236>>2]|0;if((i|0)>0){g=(i|0)>1;h=0;do{a[(c[(c[e+(h<<2)>>2]|0)+16>>2]|0)+157>>0]=0;h=h+1|0}while((h|0)<(i|0));e=g?i:1}else e=0;if(!f)f=zz((e<<2)+4|0)|0;else f=Bz(f,(e<<2)+4|0)|0;e=c[p>>2]|0;g=c[e+196>>2]|0;h=c[g+(o<<6)>>2]|0;if((h|0)>0){i=g;m=0;g=0;do{l=c[(c[i+(o<<6)+4>>2]|0)+(((c[e+116>>2]&1|0)==0?h+~m|0:m)<<2)>>2]|0;k=l+16|0;e=c[k>>2]|0;if((c[e+200>>2]|0)>0){i=0;h=0;do{h=((ch(d,c[(c[e+196>>2]|0)+(i<<2)>>2]|0)|0)!=0&1)+h|0;i=i+1|0;e=c[k>>2]|0}while((i|0)<(c[e+200>>2]|0));j=h}else j=0;if((c[e+192>>2]|0)>0){i=0;h=0;do{h=((ch(d,c[(c[e+188>>2]|0)+(i<<2)>>2]|0)|0)!=0&1)+h|0;i=i+1|0;e=c[k>>2]|0}while((i|0)<(c[e+192>>2]|0))}else h=0;if(h|j){if((j|0)==0&(a[e+157>>0]|0)==0)g=(dh(d,l,f+(g<<2)|0,o)|0)+g|0}else{c[f+(g<<2)>>2]=l;g=g+1|0}m=m+1|0;e=c[p>>2]|0;i=c[e+196>>2]|0;h=c[i+(o<<6)>>2]|0}while((h|0)>(m|0));if(g){if((c[e+116>>2]&1|0)==0?(q=f+(g+-1<<2)|0,f>>>0<q>>>0):0){e=f;g=q;do{m=c[e>>2]|0;c[e>>2]=c[g>>2];c[g>>2]=m;e=e+4|0;g=g+-4|0}while(e>>>0<g>>>0);e=c[p>>2]|0}g=c[e+196>>2]|0;if((c[g+(o<<6)>>2]|0)>0){i=0;while(1){e=c[f+(i<<2)>>2]|0;c[(c[g+(o<<6)+4>>2]|0)+(i<<2)>>2]=e;c[(c[e+16>>2]|0)+236>>2]=i+n;i=i+1|0;e=c[p>>2]|0;h=c[e+196>>2]|0;g=c[h+(o<<6)>>2]|0;if((i|0)>=(g|0))break;else g=h}if((g|0)>0){m=0;do{l=(c[(c[h+(o<<6)+4>>2]|0)+(m<<2)>>2]|0)+16|0;h=c[l>>2]|0;g=c[h+188>>2]|0;if((g|0)!=0?(r=c[g>>2]|0,(r|0)!=0):0){k=r;j=0;do{i=c[k>>2]&3;g=c[(c[(c[((i|0)==2?k:k+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;i=c[(c[(c[((i|0)==3?k:k+48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0;if(!(c[e+116>>2]&1))if((g|0)<(i|0))t=35;else e=j;else if((g|0)>(i|0))t=35;else e=j;if((t|0)==35){t=0;if(ch(d,k)|0){t=36;break a}zg(k);Ig(d,k);h=c[l>>2]|0;e=j+-1|0}j=e+1|0;k=c[(c[h+188>>2]|0)+(j<<2)>>2]|0;e=c[p>>2]|0}while((k|0)!=0)}m=m+1|0;h=c[e+196>>2]|0}while((m|0)<(c[h+(o<<6)>>2]|0))}}}}a[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(o<<6)+49>>0]=0}if((o|0)<(b[e+238>>1]|0))o=o+1|0;else{s=f;break}}if((t|0)==36)Na(126155,125558,1561,126194);if(s)fQ(s)}return}function ch(a,b){a=a|0;b=b|0;if((c[(c[b+16>>2]|0)+156>>2]|0)!=0?(eh(a,c[((c[b>>2]&3|0)==3?b:b+48|0)+40>>2]|0)|0)!=0:0)b=(eh(a,c[((c[b>>2]&3|0)==2?b:b+-48|0)+40>>2]|0)|0)!=0&1;else b=0;return b|0}function dh(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;k=d+16|0;h=c[k>>2]|0;a[h+157>>0]=1;if((c[h+192>>2]|0)>0?(g=c[c[h+188>>2]>>2]|0,(g|0)!=0):0){i=g;g=0;j=0;do{if((ch(b,i)|0)!=0?(l=c[((c[i>>2]&3|0)==2?i:i+-48|0)+40>>2]|0,(a[(c[l+16>>2]|0)+157>>0]|0)==0):0)g=(dh(b,l,e+(g<<2)|0,f)|0)+g|0;j=j+1|0;h=c[k>>2]|0;i=c[(c[h+188>>2]|0)+(j<<2)>>2]|0}while((i|0)!=0)}else g=0;if((c[h+232>>2]|0)==(f|0)){c[e+(g<<2)>>2]=d;return g+1|0}else Na(126207,125558,1490,126223);return 0}function eh(b,d){b=b|0;d=d|0;var e=0;if(!(a[(c[d+16>>2]|0)+156>>0]|0))e=(Hu(b,d)|0)!=0;else e=0;return e&1|($g(b,d)|0)|0}function fh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;m=d+16|0;n=c[m>>2]|0;o=c[(c[(c[b+16>>2]|0)+196>>2]|0)+(c[n+232>>2]<<6)+56>>2]|0;a[n+157>>0]=1;a[n+158>>0]=1;n=(c[(c[(If(b)|0)+16>>2]|0)+180>>2]|0)>0;d=c[m>>2]|0;e=c[d+188>>2]|0;a:do if((e|0)!=0?(f=c[e>>2]|0,(f|0)!=0):0){k=o+4|0;l=o+8|0;d=0;b:while(1){if(n){if((Hu(b,c[((c[f>>2]&3|0)==3?f:f+48|0)+40>>2]|0)|0)!=0?(Hu(b,c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0)|0)!=0:0)q=7}else q=7;do if((q|0)==7){q=0;i=f+16|0;if(c[(c[i>>2]|0)+156>>2]|0){e=c[f>>2]&3;h=f+-48|0;r=c[(c[((e|0)==2?f:h)+40>>2]|0)+16>>2]|0;j=c[r+284>>2]|0;g=(j|0)<(c[o>>2]|0);if((a[r+158>>0]|0)==1){if(!g){q=10;break b}e=c[(c[(c[((e|0)==3?f:f+48|0)+40>>2]|0)+16>>2]|0)+284>>2]|0;g=c[k>>2]|0;if((e|0)>=(g|0)){q=12;break b}r=(_(g,j)|0)+e|0;a[(c[l>>2]|0)+r>>0]=1;zg(f);d=d+-1|0;if((a[(c[i>>2]|0)+112>>0]|0)==4)break;Ig(b,f);break}else{if(!g){q=16;break b}e=c[(c[(c[((e|0)==3?f:f+48|0)+40>>2]|0)+16>>2]|0)+284>>2]|0;g=c[k>>2]|0;if((e|0)>=(g|0)){q=18;break b}e=(_(g,e)|0)+j|0;a[(c[l>>2]|0)+e>>0]=1;e=c[((c[f>>2]&3|0)==2?f:h)+40>>2]|0;if(a[(c[e+16>>2]|0)+157>>0]|0)break;fh(b,e);break}}}while(0);d=d+1|0;e=c[m>>2]|0;f=c[(c[e+188>>2]|0)+(d<<2)>>2]|0;if(!f){p=e;break a}}if((q|0)==10)Na(126233,125558,1251,126265);else if((q|0)==12)Na(126277,125558,1252,126265);else if((q|0)==16)Na(126233,125558,1260,126265);else if((q|0)==18)Na(126277,125558,1261,126265)}else p=d;while(0);a[p+158>>0]=0;return}function gh(a){a=a|0;var d=0,e=0,f=0,g=0,i=0,j=0;a=c[a+16>>2]|0;e=b[a+236>>1]|0;d=b[a+238>>1]|0;if(e<<16>>16<=d<<16>>16){i=c[a+196>>2]|0;g=d<<16>>16;f=e<<16>>16;while(1){d=c[i+(f<<6)>>2]|0;if((d|0)>0){a=c[i+(f<<6)+4>>2]|0;e=0;do{j=c[(c[a+(e<<2)>>2]|0)+16>>2]|0;h[j+16>>3]=+(c[j+236>>2]|0);e=e+1|0}while((e|0)<(d|0))}if((f|0)<(g|0))f=f+1|0;else break}}return}function hh(d){d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;n=d+16|0;e=c[n>>2]|0;m=b[e+236>>1]|0;d=b[e+238>>1]|0;k=m<<16>>16>d<<16>>16;if(!k){l=c[e+196>>2]|0;f=d<<16>>16;j=m<<16>>16;while(1){g=c[l+(j<<6)>>2]|0;if((g|0)>0){d=c[l+(j<<6)+4>>2]|0;i=0;do{o=c[(c[d+(i<<2)>>2]|0)+16>>2]|0;c[o+236>>2]=~~+h[o+16>>3];i=i+1|0}while((i|0)<(g|0))}if((j|0)<(f|0))j=j+1|0;else break}if(!k){d=m<<16>>16;while(1){a[(c[(c[(c[12644]|0)+16>>2]|0)+196>>2]|0)+(d<<6)+49>>0]=0;o=c[e+196>>2]|0;PO(c[o+(d<<6)+4>>2]|0,c[o+(d<<6)>>2]|0,4,61);e=c[n>>2]|0;if((d|0)>=(b[e+238>>1]|0))break;else d=d+1|0}}}return}function ih(a,b){a=a|0;b=b|0;return (c[(c[(c[a>>2]|0)+16>>2]|0)+236>>2]|0)-(c[(c[(c[b>>2]|0)+16>>2]|0)+236>>2]|0)|0}function jh(a,b){a=a|0;b=b|0;var c=0;c=gu(a)|0;if(c)do{kh(a,c,b);c=hu(a,c)|0}while((c|0)!=0);return}function kh(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;k=c[12645]|0;h=d+16|0;f=c[h>>2]|0;a:do if(!(c[f+212>>2]|0)){j=(e|0)!=0;if(j){d=c[c[f+180>>2]>>2]|0;if(!d)break;else{g=d;e=f;f=0;d=0}do{if(!(lh(g)|0)){c[k+(d<<2)>>2]=g;e=c[h>>2]|0;d=d+1|0}f=f+1|0;g=c[(c[e+180>>2]|0)+(f<<2)>>2]|0}while((g|0)!=0)}else{d=c[c[f+172>>2]>>2]|0;if(!d)break;else{g=d;e=f;f=0;d=0}do{if(!(lh(g)|0)){c[k+(d<<2)>>2]=g;e=c[h>>2]|0;d=d+1|0}f=f+1|0;g=c[(c[e+172>>2]|0)+(f<<2)>>2]|0}while((g|0)!=0)}if((d|0)>=2?(c[k+(d<<2)>>2]=0,PO(k,d,4,62),i=c[k+4>>2]|0,(i|0)!=0):0){e=i;i=1;do{g=c[k+(i+-1<<2)>>2]|0;h=c[g>>2]&3;d=c[e>>2]|0;if(j){f=(d&3|0)==2?e:e+-48|0;d=(h|0)==2?g:g+-48|0}else{f=(d&3|0)==3?e:e+48|0;d=(h|0)==3?g:g+48|0}e=c[d+40>>2]|0;d=c[f+40>>2]|0;if(mg(e,d)|0)break a;e=sg(e,d,0)|0;a[(c[e+16>>2]|0)+112>>0]=4;yg(b,e);i=i+1|0;e=c[k+(i<<2)>>2]|0}while((e|0)!=0)}}while(0);return}function lh(a){a=a|0;var b=0;while(1){b=c[(c[a+16>>2]|0)+116>>2]|0;if(!b)break;else a=b}b=c[a>>2]&3;return (c[(c[(c[((b|0)==3?a:a+48|0)+40>>2]|0)+16>>2]|0)+212>>2]|0)!=(c[(c[(c[((b|0)==2?a:a+-48|0)+40>>2]|0)+16>>2]|0)+212>>2]|0)|0}function mh(a,b){a=a|0;b=b|0;return ((c[c[a>>2]>>2]|0)>>>4)-((c[c[b>>2]>>2]|0)>>>4)|0}function nh(d,f){d=d|0;f=f|0;var g=0,j=0,k=0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0,r=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0;L=i;i=i+64|0;J=L+40|0;I=L+32|0;H=L+16|0;C=L;B=L+48|0;K=d+16|0;if(c[(c[K>>2]|0)+192>>2]|0){Hi(d);qh(d);if(a[142277]|0)Ri(d);g=c[K>>2]|0;j=b[g+236>>1]|0;if(j<<16>>16<=(b[g+238>>1]|0)){u=j<<16>>16;while(1){q=c[g+196>>2]|0;s=c[q+(u<<6)>>2]|0;if((s|0)>0){m=c[q+(u<<6)+4>>2]|0;n=0;j=0;do{k=c[(c[m+(n<<2)>>2]|0)+16>>2]|0;c[k+236>>2]=j;if((a[k+159>>0]|0)==6)k=c[k+216>>2]|0;else k=1;j=k+j|0;n=n+1|0}while((n|0)!=(s|0));m=j}else m=0;if((m|0)>(s|0)){g=c[q+(u<<6)+4>>2]|0;if(!g)g=zz((m<<2)+4|0)|0;else g=Bz(g,(m<<2)+4|0)|0;j=c[(c[K>>2]|0)+196>>2]|0;c[j+(u<<6)+4>>2]=g;k=c[j+(u<<6)>>2]|0;if((k|0)>0)do{A=k;k=k+-1|0;j=c[g+(k<<2)>>2]|0;c[g+(c[(c[j+16>>2]|0)+236>>2]<<2)>>2]=j;j=c[(c[K>>2]|0)+196>>2]|0;g=c[j+(u<<6)+4>>2]|0}while((A|0)>1);c[j+(u<<6)>>2]=m;c[g+(m<<2)>>2]=0;g=c[K>>2]|0}if((u|0)<(b[g+238>>1]|0))u=u+1|0;else break}}g=c[g+192>>2]|0;if(g)do{k=g+16|0;g=c[k>>2]|0;j=c[g+224>>2]|0;if(j){rh(d,j);g=c[k>>2]|0}j=c[g+228>>2]|0;if(j){rh(d,j);g=c[k>>2]|0}j=c[g+204>>2]|0;if(j){k=0;while(1)if(!(c[j+(k<<2)>>2]|0))break;else k=k+1|0}g=c[g+164>>2]|0}while((g|0)!=0);if(Xi(d)|0)qh(d);g=c[K>>2]|0;j=c[g+192>>2]|0;if(j){g=j;do{n=g+16|0;m=c[n>>2]|0;g=m+172|0;j=c[g+4>>2]|0;m=m+248|0;c[m>>2]=c[g>>2];c[m+4>>2]=j;m=c[n>>2]|0;j=m+180|0;g=c[j+4>>2]|0;m=m+256|0;c[m>>2]=c[j>>2];c[m+4>>2]=g;m=c[n>>2]|0;g=c[m+180>>2]|0;j=0;while(1)if(!(c[g+(j<<2)>>2]|0))break;else j=j+1|0;k=c[m+172>>2]|0;g=0;while(1)if(!(c[k+(g<<2)>>2]|0))break;else g=g+1|0;c[m+176>>2]=0;g=yz((g+j<<2)+16|0)|0;A=c[n>>2]|0;c[A+172>>2]=g;c[A+184>>2]=0;A=yz(16)|0;g=c[n>>2]|0;c[g+180>>2]=A;g=c[g+164>>2]|0}while((g|0)!=0);g=c[K>>2]|0}A=c[g+196>>2]|0;z=(a[(c[(c[d+60>>2]|0)+16>>2]|0)+113>>0]&1)==0;j=c[g+248>>2]|0;c[B>>2]=j;c[B+4>>2]=z?j:5;j=b[g+236>>1]|0;if(j<<16>>16<=(b[g+238>>1]|0)){z=j<<16>>16;while(1){x=A+(z<<6)+4|0;j=c[x>>2]|0;k=c[j>>2]|0;c[(c[k+16>>2]|0)+232>>2]=0;y=A+(z<<6)|0;if((c[y>>2]|0)>0){p=+(c[B+((z&1)<<2)>>2]|0);q=0;o=0.0;while(1){w=k+16|0;g=c[w>>2]|0;l=+h[g+96>>3];h[g+240>>3]=l;if((c[g+208>>2]|0)>0){m=c[c[g+204>>2]>>2]|0;if(!m)m=0;else{n=0;j=0;do{u=c[m>>2]&3;if((c[((u|0)==3?m:m+48|0)+40>>2]|0)==(c[((u|0)==2?m:m+-48|0)+40>>2]|0)){j=(LB(m)|0)+j|0;g=c[w>>2]|0}n=n+1|0;m=c[(c[g+204>>2]|0)+(n<<2)>>2]|0}while((m|0)!=0);n=g;m=j;g=n;j=c[x>>2]|0;l=+h[n+96>>3]}l=l+ +(m|0);h[g+96>>3]=l}u=q+1|0;j=c[j+(u<<2)>>2]|0;if(j){g=j+16|0;v=p+(l+ +h[(c[g>>2]|0)+88>>3]);oh(k,j,v,0)|0;s=~~(o+v);c[(c[g>>2]|0)+232>>2]=s;g=c[w>>2]|0;o=+(s|0)}j=c[g+112>>2]|0;if(j){m=c[g+256>>2]|0;n=c[m>>2]|0;m=c[m+4>>2]|0;g=(c[(c[(c[((c[n>>2]&3|0)==2?n:n+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0)>(c[(c[(c[((c[m>>2]&3|0)==2?m:m+-48|0)+40>>2]|0)+16>>2]|0)+236>>2]|0);k=g?m:n;m=g?n:m;n=j+16|0;g=c[n>>2]|0;l=+((_(c[(c[K>>2]|0)+248>>2]|0,e[g+170>>1]|0)|0)/2|0|0);s=c[k>>2]&3;j=c[((s|0)==2?k:k+-48|0)+40>>2]|0;k=c[((s|0)==3?k:k+48|0)+40>>2]|0;if(!(sh(k,j)|0))oh(j,k,+(~~(+h[(c[k+16>>2]|0)+88>>3]+(l+ +h[(c[j+16>>2]|0)+96>>3]))|0),c[g+156>>2]|0)|0;g=c[m>>2]&3;j=c[((g|0)==3?m:m+48|0)+40>>2]|0;g=c[((g|0)==2?m:m+-48|0)+40>>2]|0;if(!(sh(g,j)|0))oh(j,g,+(~~(+h[(c[g+16>>2]|0)+88>>3]+(l+ +h[(c[j+16>>2]|0)+96>>3]))|0),c[(c[n>>2]|0)+156>>2]|0)|0}g=c[w>>2]|0;if((c[g+192>>2]|0)>0){s=0;do{n=c[(c[g+188>>2]|0)+(s<<2)>>2]|0;m=c[n>>2]&3;k=c[((m|0)==3?n:n+48|0)+40>>2]|0;m=c[((m|0)==2?n:n+-48|0)+40>>2]|0;q=(c[(c[k+16>>2]|0)+236>>2]|0)<(c[(c[m+16>>2]|0)+236>>2]|0);j=q?k:m;k=q?m:k;l=+h[(c[j+16>>2]|0)+96>>3]+ +h[(c[k+16>>2]|0)+88>>3];n=n+16|0;m=~~(l+ +(_(c[(c[K>>2]|0)+248>>2]|0,e[(c[n>>2]|0)+170>>1]|0)|0));q=lg(j,k)|0;do if(!q){g=c[n>>2]|0;if(c[g+96>>2]|0)break;oh(j,k,+(m|0),c[g+156>>2]|0)|0}else{M=+(m|0);j=c[n>>2]|0;v=+h[j+136>>3];v=l+ +(c[(c[K>>2]|0)+248>>2]|0)+ +(~~(v+(v>=0.0?.5:-.5))|0);g=~~(M>v?M:v);if((g|0)>65535){h[C>>3]=+(g|0);c[C+8>>2]=65535;us(1,126471,C)|0;j=c[n>>2]|0;g=65535}q=c[q+16>>2]|0;m=q+170|0;n=e[m>>1]|0;b[m>>1]=(n|0)>(g|0)?n:g;q=q+156|0;m=c[q>>2]|0;n=c[j+156>>2]|0;c[q>>2]=(m|0)>(n|0)?m:n}while(0);s=s+1|0;g=c[w>>2]|0}while((s|0)<(c[g+192>>2]|0))}if((u|0)>=(c[y>>2]|0))break;k=c[x>>2]|0;j=k;k=c[k+(u<<2)>>2]|0;q=u}g=c[K>>2]|0}if((z|0)<(b[g+238>>1]|0))z=z+1|0;else break}}j=c[g+192>>2]|0;if(j){g=j;do{m=g+16|0;g=c[m>>2]|0;j=c[g+256>>2]|0;if((j|0)!=0?(D=c[j>>2]|0,(D|0)!=0):0){j=D;k=0;do{x=xg(d)|0;g=x+16|0;a[(c[g>>2]|0)+156>>0]=2;z=j+16|0;A=c[z>>2]|0;B=~~(+h[A+56>>3]-+h[A+16>>3]);y=(B|0)>0;C=y?0:0-B|0;B=y?B:0;y=j+48|0;oh(x,c[((c[j>>2]&3|0)==3?j:y)+40>>2]|0,+(B+1|0),c[A+156>>2]|0)|0;A=j+-48|0;oh(x,c[((c[j>>2]&3|0)==2?j:A)+40>>2]|0,+(C+1|0),c[(c[z>>2]|0)+156>>2]|0)|0;z=c[j>>2]&3;B=(c[(c[(c[((z|0)==3?j:y)+40>>2]|0)+16>>2]|0)+232>>2]|0)-B|0;C=(c[(c[(c[((z|0)==2?j:A)+40>>2]|0)+16>>2]|0)+232>>2]|0)-C|0;c[(c[g>>2]|0)+232>>2]=((B|0)<(C|0)?B:C)+-1;k=k+1|0;g=c[m>>2]|0;j=c[(c[g+256>>2]|0)+(k<<2)>>2]|0}while((j|0)!=0)}g=c[g+164>>2]|0}while((g|0)!=0);g=c[K>>2]|0}if((c[g+180>>2]|0)>0){th(d);uh(d);vh(d);wh(d);g=c[K>>2]|0}g=c[g+8>>2]|0;if((c[g+84>>2]|0)==3?(r=+h[g+64>>3],t=+h[g+72>>3],!(r*t<=1.0)):0){xh(d);D=c[K>>2]|0;M=(c[D+116>>2]&1|0)==0?r:t;oh(c[D+256>>2]|0,c[D+260>>2]|0,M<65535.0?M:65535.0,1e3)|0}if(Dz(d,2,yh(d)|0)|0){g=c[K>>2]|0;k=b[g+236>>1]|0;j=b[g+238>>1]|0;a:do if(k<<16>>16<=j<<16>>16){A=k<<16>>16;b:while(1){z=c[g+196>>2]|0;w=c[z+(A<<6)>>2]|0;c:do if((w|0)>0){y=c[z+(A<<6)+4>>2]|0;x=0;do{k=c[y+(x<<2)>>2]|0;s=c[k+16>>2]|0;u=c[s+256>>2]|0;do if(u){m=c[u>>2]|0;if(!m)break;else q=0;do{n=c[m>>2]&3;if((c[(c[(c[((n|0)==2?m:m+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)>(A|0))break c;q=q+1|0;if((c[(c[(c[((n|0)==3?m:m+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)>(A|0))break c;m=c[u+(q<<2)>>2]|0}while((m|0)!=0)}while(0);s=c[s+248>>2]|0;do if(s){m=c[s>>2]|0;if(!m)break;else q=0;do{n=c[m>>2]&3;if((c[(c[(c[((n|0)==3?m:m+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)>(A|0))break c;q=q+1|0;if((c[(c[(c[((n|0)==2?m:m+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)>(A|0))break c;m=c[s+(q<<2)>>2]|0}while((m|0)!=0)}while(0);x=x+1|0}while((x|0)<(w|0));if(k){k=c[y>>2]|0;g=c[c[z+(((A|0)<(j<<16>>16|0)?1:-1)+A<<6)+4>>2]>>2]|0;if(!g)break b;D=xg(d)|0;j=D+16|0;a[(c[j>>2]|0)+156>>0]=2;oh(D,k,0.0,0)|0;oh(D,g,0.0,0)|0;D=c[(c[k+16>>2]|0)+232>>2]|0;g=c[(c[g+16>>2]|0)+232>>2]|0;c[(c[j>>2]|0)+232>>2]=(D|0)<(g|0)?D:g;g=c[K>>2]|0;j=b[g+238>>1]|0}}while(0);if((A|0)<(j<<16>>16|0))A=A+1|0;else break a}Na(126547,126550,111,126561)}while(0);if(Dz(d,2,yh(d)|0)|0)Na(126574,126550,134,126602)}g=c[K>>2]|0;q=c[g+196>>2]|0;j=b[g+236>>1]|0;g=b[g+238>>1]|0;if(j<<16>>16<=g<<16>>16){n=g<<16>>16;k=j<<16>>16;while(1){g=c[q+(k<<6)>>2]|0;if((g|0)>0){j=c[q+(k<<6)+4>>2]|0;m=0;do{C=c[(c[j+(m<<2)>>2]|0)+16>>2]|0;D=C+232|0;h[C+16>>3]=+(c[D>>2]|0);c[D>>2]=k;m=m+1|0}while((m|0)!=(g|0))}if((k|0)<(n|0))k=k+1|0;else break}}zh(d,d);m=c[K>>2]|0;d:do if((b[m+238>>1]|0)>0?(G=c[m+8>>2]|0,E=c[G+84>>2]|0,(E|0)!=0):0){t=+h[m+32>>3];D=~~(t-+h[m+16>>3]);v=+h[m+40>>3];g=~~(v-+h[m+24>>3]);k=(c[m+116>>2]&1|0)==0;j=k?g:D;g=k?D:g;e:do switch(E|0){case 4:{l=+h[G+48>>3];o=+h[G+56>>3];if(l<.001|o<.001)break d;r=+h[G+32>>3];p=+h[G+40>>3];r=l-r-r;l=o-p-p;o=r/t;p=l/v;if(o>=1.0&p>=1.0)break d;p=o<p?o:p;p=p>.5?p:.5;M=l*+Z(+(v*p/l))/v;l=t*(r*+Z(+(t*p/r))/t);h[G+64>>3]=l;h[G+72>>3]=v*M;F=113;break}case 2:{l=+h[G+64>>3];F=113;break}case 5:{l=+h[G+64>>3];if(l<=0.0)break d;o=l/t;l=+h[G+72>>3]/v;if(!(o>1.0&l>1.0))break d;l=o<l?o:l;p=l;break}case 1:{o=+h[G+16>>3];l=+(j|0)/+(g|0);if(l<o){p=1.0;l=o/l;break e}else{p=l/o;l=1.0;break e}}default:break d}while(0);do if((F|0)==113){if(l<=0.0)break d;o=l/+(g|0);l=+h[G+72>>3]/+(j|0);if(o<1.0|l<1.0)if(o<l){p=1.0;l=l/o;break}else{p=o/l;l=1.0;break}else p=o}while(0);o=k?l:p;l=k?p:l;g=c[m+192>>2]|0;if(g)do{G=c[g+16>>2]|0;F=G+16|0;M=l*+h[F>>3];h[F>>3]=+(~~(M+(M>=0.0?.5:-.5))|0);F=G+24|0;M=o*+h[F>>3];h[F>>3]=+(~~(M+(M>=0.0?.5:-.5))|0);g=c[G+164>>2]|0}while((g|0)!=0);Ah(d,l,o)}while(0);f:do if(f){G=c[K>>2]|0;l=+h[G+32>>3]-+h[G+16>>3];o=+h[G+40>>3]-+h[G+24>>3];p=l/o;if(a[142275]|0){G=c[24809]|0;h[H>>3]=p;h[H+8>>3]=l*o/1.0e4;pO(G,126615,H)|0;c[I>>2]=li(d)|0;pO(G,126640,I)|0}l=+h[f>>3];do if(p>l*1.1)c[f+24>>2]=~~(l*+((c[f+20>>2]|0)-(c[f+16>>2]|0)|0)/p);else{g=f+24|0;if(!(p<=l*.8)){c[g>>2]=0;break}c[g>>2]=-1;if(!(a[142275]|0))break f;AO(126650,34,1,c[24809]|0)|0}while(0);if(a[142275]|0){I=c[24809]|0;c[J>>2]=c[f+24>>2];pO(I,126685,J)|0}}while(0);g=c[(c[K>>2]|0)+192>>2]|0;g:do if(g){do{n=g+16|0;g=c[n>>2]|0;j=c[g+180>>2]|0;k=c[j>>2]|0;if(k){m=0;do{fQ(c[k+16>>2]|0);fQ(k);m=m+1|0;g=c[n>>2]|0;j=c[g+180>>2]|0;k=c[j+(m<<2)>>2]|0}while((k|0)!=0)}if(j){fQ(j);g=c[n>>2]|0}j=c[g+172>>2]|0;if(j){fQ(j);g=c[n>>2]|0}J=g+256|0;f=c[J+4>>2]|0;g=g+180|0;c[g>>2]=c[J>>2];c[g+4>>2]=f;g=c[n>>2]|0;f=g+248|0;J=c[f+4>>2]|0;g=g+172|0;c[g>>2]=c[f>>2];c[g+4>>2]=J;g=c[(c[n>>2]|0)+164>>2]|0}while((g|0)!=0);g=c[(c[K>>2]|0)+192>>2]|0;if(g){j=0;do{n=(j|0)==0;m=j+16|0;while(1){k=c[g+16>>2]|0;j=g;g=c[k+164>>2]|0;if((a[k+156>>0]|0)!=2)break;if(n)c[(c[K>>2]|0)+192>>2]=g;else c[(c[m>>2]|0)+164>>2]=g;fQ(k);fQ(j);if(!g)break g}}while((g|0)!=0)}}while(0);c[(c[(c[(c[K>>2]|0)+192>>2]|0)+16>>2]|0)+168>>2]=0}i=L;return}function oh(a,d,e,f){a=a|0;d=d|0;e=+e;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0;m=i;i=i+16|0;j=m;l=yz(96)|0;n=l+48|0;c[n>>2]=c[n>>2]|3;c[l>>2]=c[l>>2]&-4|2;g=yz(176)|0;k=l+16|0;c[k>>2]=g;c[((c[l>>2]&3|0)==3?l:n)+40>>2]=a;c[((c[l>>2]&3|0)==2?l:l+-48|0)+40>>2]=d;if(e>65535.0){h[j>>3]=e;c[j+8>>2]=65535;us(1,126471,j)|0;e=65535.0;g=c[k>>2]|0}b[g+170>>1]=~~(e+(e>=0.0?.5:-.5));c[g+156>>2]=f;ng(l)|0;i=m;return l|0}function ph(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[b+16>>2]|0;f=a[e+84>>0]|0;b=c[d+16>>2]|0;do if(f<<24>>24==(a[b+84>>0]|0)){if(+h[e+56>>3]==+h[b+56>>3]){if(!(f<<24>>24==0?1:+h[e+64>>3]==+h[b+64>>3])){b=0;break}}else if(f<<24>>24){b=0;break}if(+h[e+16>>3]==+h[b+16>>3]?+h[e+24>>3]==+h[b+24>>3]:0){b=1;break}b=(a[e+44>>0]|0)==0}else b=0;while(0);return b&1|0}function qh(d){d=d|0;var e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0;x=d+16|0;u=c[x>>2]|0;A=c[u+196>>2]|0;e=b[u+236>>1]|0;if(e<<16>>16<=(b[u+238>>1]|0)){u=e<<16>>16;while(1){n=A+(u<<6)|0;if((c[n>>2]|0)>0){o=A+(u<<6)+4|0;p=A+(u<<6)+40|0;q=A+(u<<6)+24|0;r=A+(u<<6)+32|0;s=A+(u<<6)+16|0;t=0;do{m=(c[(c[o>>2]|0)+(t<<2)>>2]|0)+16|0;e=c[m>>2]|0;i=+h[e+80>>3]*.5;g=c[e+204>>2]|0;if((g|0)!=0?(v=c[g>>2]|0,(v|0)!=0):0){k=v;f=0;do{B=c[k>>2]&3;if((c[((B|0)==3?k:k+48|0)+40>>2]|0)==(c[((B|0)==2?k:k+-48|0)+40>>2]|0)?(w=c[(c[k+16>>2]|0)+96>>2]|0,(w|0)!=0):0){l=+h[w+32>>3]*.5;i=i>l?i:l}f=f+1|0;k=c[g+(f<<2)>>2]|0}while((k|0)!=0)}if(+h[p>>3]<i){h[q>>3]=i;h[p>>3]=i}if(+h[r>>3]<i){h[s>>3]=i;h[r>>3]=i}k=c[e+212>>2]|0;if(k){if((k|0)==(d|0))g=0;else{g=lC(k,c[13898]|0,8,0)|0;e=c[m>>2]|0}f=c[e+232>>2]|0;e=c[k+16>>2]|0;if((f|0)==(b[e+236>>1]|0)){B=e+128|0;j=+h[B>>3];l=i+ +(g|0);h[B>>3]=j>l?j:l}if((f|0)==(b[e+238>>1]|0)){B=e+120|0;j=+h[B>>3];l=i+ +(g|0);h[B>>3]=j>l?j:l}}t=t+1|0}while((t|0)<(c[n>>2]|0))}if((u|0)<(b[(c[x>>2]|0)+238>>1]|0))u=u+1|0;else break}}m=Fh(d)|0;k=c[x>>2]|0;B=b[k+238>>1]|0;f=B<<16>>16;h[(c[(c[c[A+(f<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]=+h[A+(f<<6)+16>>3];e=b[k+236>>1]|0;if(B<<16>>16>e<<16>>16){g=e<<16>>16;l=+(c[k+252>>2]|0);i=0.0;do{e=f;f=f+-1|0;C=+h[A+(e<<6)+40>>3]+ +h[A+(f<<6)+32>>3]+l;j=+h[A+(e<<6)+24>>3]+ +h[A+(f<<6)+16>>3]+8.0;j=C>j?C:j;if((c[A+(f<<6)>>2]|0)>0)h[(c[(c[c[A+(f<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]=j+ +h[(c[(c[c[A+(e<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3];i=i>j?i:j}while((f|0)>(g|0))}else i=0.0;if((m|0)!=0?(c[k+116>>2]&1|0)!=0:0){Gh(d,0);k=c[x>>2]|0;if(a[k+276>>0]|0){B=b[k+238>>1]|0;f=B<<16>>16;e=b[k+236>>1]|0;if(B<<16>>16>e<<16>>16){g=e<<16>>16;e=f;j=+h[(c[(c[c[A+(f<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3];i=0.0;do{e=e+-1|0;C=j;j=+h[(c[(c[c[A+(e<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3];C=j-C;i=i>C?i:C}while((e|0)>(g|0))}else i=0.0}}if((a[k+276>>0]|0)!=0?(z=b[k+238>>1]|0,y=b[k+236>>1]|0,z<<16>>16>y<<16>>16):0){g=y<<16>>16;e=z<<16>>16;do{f=e;e=e+-1|0;if((c[A+(e<<6)>>2]|0)>0)h[(c[(c[c[A+(e<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]=i+ +h[(c[(c[c[A+(f<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]}while((e|0)>(g|0))}e=c[k+192>>2]|0;if(e)do{B=c[e+16>>2]|0;h[B+24>>3]=+h[(c[(c[c[A+(c[B+232>>2]<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3];e=c[B+164>>2]|0}while((e|0)!=0);return}function rh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+48|0;n=o+32|0;m=o+24|0;d=o+16|0;l=o+8|0;k=o;e=b+16|0;f=c[e>>2]|0;do if((c[f+216>>2]|0)>=2){c[m>>2]=~~(+h[f+16>>3]-+h[f+88>>3]);c[m+4>>2]=~~+h[f+24>>3];c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];Dh(d,b,n);g=d;j=c[g+4>>2]|0;d=m;c[d>>2]=c[g>>2];c[d+4>>2]=j;d=c[e>>2]|0;if((c[d+184>>2]|0)>0){k=c[c[d+180>>2]>>2]|0;e=c[d+236>>2]|0;d=dt(a,c[((c[k>>2]&3|0)==2?k:k+-48|0)+40>>2]|0)|0;if(!d)break;e=e+1|0;do{k=(c[d>>2]&3|0)==2?d:d+-48|0;f=k+48|0;g=c[((c[k>>2]&3|0)==3?k:f)+40>>2]|0;if((g|0)!=(b|0)?(sC(g)|0)==(b|0):0){f=c[((c[k>>2]&3|0)==3?k:f)+40>>2]|0;c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];Eh(l,a,f,n,e);f=l;g=c[f+4>>2]|0;j=m;c[j>>2]=c[f>>2];c[j+4>>2]=g;Bg(k);j=k+-48|0;g=c[(c[((c[k>>2]&3|0)==2?k:j)+40>>2]|0)+16>>2]|0;f=c[g+172>>2]|0;g=c[g+176>>2]|0;if(!f)f=zz((g<<2)+8|0)|0;else f=Bz(f,(g<<2)+8|0)|0;c[(c[(c[((c[k>>2]&3|0)==2?k:j)+40>>2]|0)+16>>2]|0)+172>>2]=f;f=(c[(c[((c[k>>2]&3|0)==2?k:j)+40>>2]|0)+16>>2]|0)+176|0;g=c[f>>2]|0;c[f>>2]=g+1;c[(c[(c[(c[((c[k>>2]&3|0)==2?k:j)+40>>2]|0)+16>>2]|0)+172>>2]|0)+(g<<2)>>2]=k;k=c[(c[((c[k>>2]&3|0)==2?k:j)+40>>2]|0)+16>>2]|0;c[(c[k+172>>2]|0)+(c[k+176>>2]<<2)>>2]=0;e=e+1|0}d=et(a,d)|0}while((d|0)!=0)}else{l=c[c[d+172>>2]>>2]|0;e=c[d+236>>2]|0;d=at(a,c[((c[l>>2]&3|0)==3?l:l+48|0)+40>>2]|0)|0;if(!d)break;e=e+1|0;do{f=d+-48|0;g=c[((c[d>>2]&3|0)==2?d:f)+40>>2]|0;if((g|0)!=(b|0)?(sC(g)|0)==(b|0):0){f=c[((c[d>>2]&3|0)==2?d:f)+40>>2]|0;c[n>>2]=c[m>>2];c[n+4>>2]=c[m+4>>2];Eh(k,a,f,n,e);f=k;g=c[f+4>>2]|0;j=m;c[j>>2]=c[f>>2];c[j+4>>2]=g;Bg(d);j=d+48|0;g=c[(c[((c[d>>2]&3|0)==3?d:j)+40>>2]|0)+16>>2]|0;f=c[g+180>>2]|0;g=c[g+184>>2]|0;if(!f)f=zz((g<<2)+8|0)|0;else f=Bz(f,(g<<2)+8|0)|0;c[(c[(c[((c[d>>2]&3|0)==3?d:j)+40>>2]|0)+16>>2]|0)+180>>2]=f;g=(c[(c[((c[d>>2]&3|0)==3?d:j)+40>>2]|0)+16>>2]|0)+184|0;l=c[g>>2]|0;c[g>>2]=l+1;c[(c[(c[(c[((c[d>>2]&3|0)==3?d:j)+40>>2]|0)+16>>2]|0)+180>>2]|0)+(l<<2)>>2]=d;l=c[(c[((c[d>>2]&3|0)==3?d:j)+40>>2]|0)+16>>2]|0;c[(c[l+180>>2]|0)+(c[l+184>>2]<<2)>>2]=0;e=e+1|0}d=ct(a,d)|0}while((d|0)!=0)}}while(0);i=o;return}function sh(a,b){a=a|0;b=b|0;var d=0,e=0;a:do if((a|0)!=(b|0)){e=c[(c[a+16>>2]|0)+180>>2]|0;a=c[e>>2]|0;if(!a)a=0;else{d=0;while(1){d=d+1|0;if(sh(c[((c[a>>2]&3|0)==2?a:a+-48|0)+40>>2]|0,b)|0){a=1;break a}a=c[e+(d<<2)>>2]|0;if(!a){a=0;break}}}}else a=1;while(0);return a|0}function th(a){a=a|0;var b=0,d=0;do if((If(a)|0)!=(a|0)){xh(a);a=a+16|0;b=c[a>>2]|0;b=lg(c[b+256>>2]|0,c[b+260>>2]|0)|0;if(!b){d=c[a>>2]|0;oh(c[d+256>>2]|0,c[d+260>>2]|0,1.0,128)|0;break}else{d=(c[b+16>>2]|0)+156|0;c[d>>2]=(c[d>>2]|0)+128;break}}else a=a+16|0;while(0);b=c[a>>2]|0;if((c[b+180>>2]|0)>=1){d=1;while(1){th(c[(c[b+184>>2]|0)+(d<<2)>>2]|0);b=c[a>>2]|0;if((d|0)>=(c[b+180>>2]|0))break;else d=d+1|0}}return}function uh(d){d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0;f=lC(d,c[13898]|0,8,0)|0;o=d+16|0;e=c[o>>2]|0;g=b[e+236>>1]|0;if(g<<16>>16<=(b[e+238>>1]|0)){l=+(f|0);k=g<<16>>16;while(1){e=c[e+196>>2]|0;a:do if((c[e+(k<<6)>>2]|0)!=0?(m=c[c[e+(k<<6)+4>>2]>>2]|0,(m|0)!=0):0){j=m+16|0;i=c[(c[j>>2]|0)+236>>2]|0;while(1){if((i|0)<=0)break;i=i+-1|0;f=c[(c[(c[(c[(If(d)|0)+16>>2]|0)+196>>2]|0)+(k<<6)+4>>2]|0)+(i<<2)>>2]|0;e=f+16|0;g=c[e>>2]|0;if(!(a[g+156>>0]|0)){e=f;n=11;break}if(Ch(d,f)|0){n=10;break}}if((n|0)==10){g=c[e>>2]|0;e=f;n=11}if((n|0)==11){n=0;oh(e,c[(c[o>>2]|0)+256>>2]|0,l+ +h[g+96>>3],0)|0}e=(c[(c[(c[o>>2]|0)+196>>2]|0)+(k<<6)>>2]|0)+(c[(c[j>>2]|0)+236>>2]|0)|0;if((e|0)<(c[(c[(c[(If(d)|0)+16>>2]|0)+196>>2]|0)+(k<<6)>>2]|0)){while(1){f=c[(c[(c[(c[(If(d)|0)+16>>2]|0)+196>>2]|0)+(k<<6)+4>>2]|0)+(e<<2)>>2]|0;i=f+16|0;g=c[i>>2]|0;if(!(a[g+156>>0]|0)){e=f;break}e=e+1|0;if(Ch(d,f)|0){e=i;n=16;break}if((e|0)>=(c[(c[(c[(If(d)|0)+16>>2]|0)+196>>2]|0)+(k<<6)>>2]|0))break a}if((n|0)==16){n=0;g=c[e>>2]|0;e=f}oh(c[(c[o>>2]|0)+260>>2]|0,e,l+ +h[g+88>>3],0)|0}}while(0);e=c[o>>2]|0;if((k|0)<(b[e+238>>1]|0))k=k+1|0;else break}}if((c[e+180>>2]|0)>=1){f=1;while(1){uh(c[(c[e+184>>2]|0)+(f<<2)>>2]|0);e=c[o>>2]|0;if((f|0)>=(c[e+180>>2]|0))break;else f=f+1|0}}return}function vh(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,i=0;b=lC(a,c[13898]|0,8,0)|0;Bh(a);e=a+16|0;a=c[e>>2]|0;if((c[a+180>>2]|0)>=1){d=+(b|0);b=1;while(1){f=c[(c[a+184>>2]|0)+(b<<2)>>2]|0;Bh(f);g=c[e>>2]|0;i=f+16|0;oh(c[g+256>>2]|0,c[(c[i>>2]|0)+256>>2]|0,d+ +h[g+96>>3],0)|0;g=c[e>>2]|0;oh(c[(c[i>>2]|0)+260>>2]|0,c[g+260>>2]|0,d+ +h[g+64>>3],0)|0;vh(f);a=c[e>>2]|0;if((b|0)>=(c[a+180>>2]|0))break;else b=b+1|0}}return}function wh(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0;f=lC(a,c[13898]|0,8,0)|0;m=a+16|0;a=c[m>>2]|0;if((c[a+180>>2]|0)>=1){e=1;while(1){Bh(c[(c[a+184>>2]|0)+(e<<2)>>2]|0);a=c[m>>2]|0;d=c[a+180>>2]|0;if((e|0)<(d|0))e=e+1|0;else break}if((d|0)>=1){l=+(f|0);j=1;do{k=j;j=j+1|0;e=c[a+184>>2]|0;f=c[e+(k<<2)>>2]|0;if((k|0)<(d|0)){d=f;i=j;while(1){e=c[e+(i<<2)>>2]|0;f=(b[(c[d+16>>2]|0)+236>>1]|0)>(b[(c[e+16>>2]|0)+236>>1]|0);h=f?e:d;d=f?d:e;e=c[h+16>>2]|0;f=c[d+16>>2]|0;n=b[f+236>>1]|0;g=n<<16>>16;if((b[e+238>>1]|0)>=n<<16>>16){a=(c[(c[(c[c[(c[e+196>>2]|0)+(g<<6)+4>>2]>>2]|0)+16>>2]|0)+236>>2]|0)<(c[(c[(c[c[(c[f+196>>2]|0)+(g<<6)+4>>2]>>2]|0)+16>>2]|0)+236>>2]|0);oh(c[(c[(a?h:d)+16>>2]|0)+260>>2]|0,c[(c[(a?d:h)+16>>2]|0)+256>>2]|0,l,0)|0;a=c[m>>2]|0}e=c[a+184>>2]|0;d=c[e+(k<<2)>>2]|0;if((i|0)>=(c[a+180>>2]|0)){a=d;break}else i=i+1|0}}else a=f;wh(a);a=c[m>>2]|0;d=c[a+180>>2]|0}while((k|0)<(d|0))}}return}function xh(a){a=a|0;var d=0,e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+16|0;m=n;d=lC(a,c[13898]|0,8,0)|0;Bh(a);j=a+16|0;e=c[j>>2]|0;k=c[e+256>>2]|0;l=c[e+260>>2]|0;f=b[e+236>>1]|0;if(f<<16>>16<=(b[e+238>>1]|0)){g=+(d|0);f=f<<16>>16;while(1){d=c[e+196>>2]|0;do if(c[d+(f<<6)>>2]|0){d=c[c[d+(f<<6)+4>>2]>>2]|0;if(!d){c[m>>2]=Ft(a)|0;c[m+4>>2]=f;us(1,126707,m)|0;break}else{oh(k,d,g+ +h[(c[d+16>>2]|0)+88>>3]+ +h[e+96>>3],0)|0;e=c[j>>2]|0;d=c[e+196>>2]|0;d=c[(c[d+(f<<6)+4>>2]|0)+((c[d+(f<<6)>>2]|0)+-1<<2)>>2]|0;oh(d,l,g+ +h[(c[d+16>>2]|0)+96>>3]+ +h[e+64>>3],0)|0;break}}while(0);e=c[j>>2]|0;if((f|0)>=(b[e+238>>1]|0))break;else f=f+1|0}}i=n;return}function yh(a){a=a|0;var b=0,c=0.0;b=Qs(a,126699)|0;if(!b)b=2147483647;else{c=+MO(b);b=~~(c*+(vt(a)|0))}return b|0}function zh(d,e){d=d|0;e=e|0;var f=0,g=0.0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0;t=d+16|0;f=c[t>>2]|0;if((c[f+180>>2]|0)>=1){i=1;while(1){zh(c[(c[f+184>>2]|0)+(i<<2)>>2]|0,e);f=c[t>>2]|0;if((i|0)>=(c[f+180>>2]|0))break;else i=i+1|0}}p=(If(d)|0)==(d|0);s=c[t>>2]|0;if(p){f=b[s+236>>1]|0;i=b[s+238>>1]|0;if(f<<16>>16>i<<16>>16){j=2147483647.0;g=-2147483647.0}else{o=i<<16>>16;n=c[s+196>>2]|0;j=2147483647.0;g=-2147483647.0;p=f<<16>>16;while(1){m=c[n+(p<<6)>>2]|0;if((m|0)!=0?(q=c[n+(p<<6)+4>>2]|0,r=c[q>>2]|0,(r|0)!=0):0){k=c[r+16>>2]|0;d=a[k+156>>0]|0;if((m|0)>1&d<<24>>24!=0){l=1;do{k=c[(c[q+(l<<2)>>2]|0)+16>>2]|0;l=l+1|0;d=a[k+156>>0]|0}while((l|0)<(m|0)&d<<24>>24!=0)}if(!(d<<24>>24)){u=+h[k+16>>3]-+h[k+88>>3];j=j<u?j:u;d=c[(c[q+(m+-1<<2)>>2]|0)+16>>2]|0;if(a[d+156>>0]|0){k=m+-2|0;while(1){d=c[(c[q+(k<<2)>>2]|0)+16>>2]|0;if(!(a[d+156>>0]|0))break;else k=k+-1|0}}u=+h[d+16>>3]+ +h[d+96>>3];g=g>u?g:u}}if((p|0)<(o|0))p=p+1|0;else break}}l=c[s+180>>2]|0;if((l|0)>=1){k=c[s+184>>2]|0;d=1;while(1){r=c[(c[k+(d<<2)>>2]|0)+16>>2]|0;u=+h[r+16>>3]+-8.0;j=j<u?j:u;u=+h[r+32>>3]+8.0;g=g>u?g:u;if((d|0)==(l|0))break;else d=d+1|0}}}else{i=b[s+238>>1]|0;f=b[s+236>>1]|0;j=+(c[(c[(c[s+256>>2]|0)+16>>2]|0)+232>>2]|0);g=+(c[(c[(c[s+260>>2]|0)+16>>2]|0)+232>>2]|0)}e=c[(c[e+16>>2]|0)+196>>2]|0;v=+h[(c[(c[c[e+(i<<16>>16<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]-+h[s+120>>3];u=+h[(c[(c[c[e+(f<<16>>16<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]+ +h[s+128>>3];h[s+16>>3]=j;h[s+24>>3]=v;e=c[t>>2]|0;h[e+32>>3]=g;h[e+40>>3]=u;return}function Ah(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0;f=a+16|0;a=c[f>>2]|0;if((c[a+180>>2]|0)>=1){e=1;while(1){Ah(c[(c[a+184>>2]|0)+(e<<2)>>2]|0,b,d);a=c[f>>2]|0;if((e|0)<(c[a+180>>2]|0))e=e+1|0;else break}}f=a+16|0;h[f>>3]=+h[f>>3]*b;f=a+24|0;h[f>>3]=+h[f>>3]*d;f=a+32|0;h[f>>3]=+h[f>>3]*b;f=a+40|0;h[f>>3]=+h[f>>3]*d;return}function Bh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0;d=b+16|0;if(!(c[(c[d>>2]|0)+256>>2]|0)){f=xg(If(b)|0)|0;a[(c[f+16>>2]|0)+156>>0]=2;e=xg(If(b)|0)|0;a[(c[e+16>>2]|0)+156>>0]=2;if(((c[(c[d>>2]|0)+12>>2]|0)!=0?(If(b)|0)!=(b|0):0)?(c[(c[(yu(b)|0)+16>>2]|0)+116>>2]&1|0)==0:0){b=c[d>>2]|0;i=+h[b+48>>3];g=+h[b+80>>3];oh(f,e,+(~~(i>g?i:g)|0),0)|0}b=c[d>>2]|0;c[b+256>>2]=f;c[b+260>>2]=e}return}function Ch(b,d){b=b|0;d=d|0;var e=0;d=c[d+16>>2]|0;if((a[d+156>>0]|0)==1){d=c[c[d+256>>2]>>2]|0;while(1){e=c[(c[d+16>>2]|0)+116>>2]|0;if(!e)break;else d=e}if(!(Hu(b,c[((c[d>>2]&3|0)==3?d:d+48|0)+40>>2]|0)|0))d=(Hu(b,c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0)|0)==0&1;else d=0}else d=0;return d|0}function Dh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0.0;aD(b,c[(c[(xu(b)|0)+16>>2]|0)+116>>2]&1);e=c[b+16>>2]|0;h[e+24>>3]=+(c[d+4>>2]|0);f=+(c[d>>2]|0)+ +h[e+88>>3];h[e+16>>3]=f;f=f+ +h[e+96>>3];c[d>>2]=~~(f+ +(c[(c[(xu(b)|0)+16>>2]|0)+248>>2]|0));e=d;d=c[e+4>>2]|0;b=a;c[b>>2]=c[e>>2];c[b+4>>2]=d;return}function Eh(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;j=i;i=i+16|0;h=j;b=If(b)|0;g=sC(d)|0;if((g|0)!=(d|0))vg(g,d);k=c[d+16>>2]|0;c[k+236>>2]=f;g=c[(c[g+16>>2]|0)+232>>2]|0;c[k+232>>2]=g;c[(c[(c[(c[b+16>>2]|0)+196>>2]|0)+(g<<6)+4>>2]|0)+(f<<2)>>2]=d;c[h>>2]=c[e>>2];c[h+4>>2]=c[e+4>>2];Dh(a,d,h);i=j;return}function Fh(a){a=a|0;var d=0.0,e=0,f=0.0,g=0,i=0,j=0,k=0.0,l=0,m=0,n=0.0;l=c[(c[(If(a)|0)+16>>2]|0)+196>>2]|0;if((If(a)|0)==(a|0))k=8.0;else k=+(lC(a,c[13898]|0,8,0)|0);m=a+16|0;e=c[m>>2]|0;f=+h[e+120>>3];d=+h[e+128>>3];if((c[e+180>>2]|0)<1)e=0;else{j=1;i=0;while(1){g=c[(c[e+184>>2]|0)+(j<<2)>>2]|0;i=Fh(g)|0|i;g=c[g+16>>2]|0;e=c[m>>2]|0;if((b[g+238>>1]|0)==(b[e+238>>1]|0)){n=k+ +h[g+120>>3];f=f>n?f:n}if((b[g+236>>1]|0)==(b[e+236>>1]|0)){n=k+ +h[g+128>>3];d=d>n?d:n}if((j|0)>=(c[e+180>>2]|0)){e=i;break}else j=j+1|0}}if((If(a)|0)!=(a|0)?(c[(c[m>>2]|0)+12>>2]|0)!=0:0)if(!(c[(c[(yu(a)|0)+16>>2]|0)+116>>2]&1)){j=c[m>>2]|0;e=1;f=f+ +h[j+56>>3];d=d+ +h[j+88>>3]}else e=1;j=c[m>>2]|0;h[j+120>>3]=f;h[j+128>>3]=d;if((If(a)|0)!=(a|0)){a=c[m>>2]|0;m=l+(b[a+236>>1]<<6)+24|0;n=+h[m>>3];h[m>>3]=n>d?n:d;a=l+(b[a+238>>1]<<6)+16|0;n=+h[a>>3];h[a>>3]=n>f?n:f}return e|0}function Gh(a,d){a=a|0;d=d|0;var e=0.0,f=0.0,g=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;v=c[(c[(If(a)|0)+16>>2]|0)+196>>2]|0;if((If(a)|0)==(a|0))g=0;else g=lC(a,c[13898]|0,8,0)|0;w=a+16|0;i=c[w>>2]|0;f=+h[i+120>>3];e=+h[i+128>>3];if((c[i+180>>2]|0)>=1){k=g+d|0;l=+(g|0);j=1;while(1){g=c[(c[i+184>>2]|0)+(j<<2)>>2]|0;Gh(g,k);g=c[g+16>>2]|0;i=c[w>>2]|0;if((b[g+238>>1]|0)==(b[i+238>>1]|0)){x=l+ +h[g+120>>3];f=f>x?f:x}if((b[g+236>>1]|0)==(b[i+236>>1]|0)){x=l+ +h[g+128>>3];e=e>x?e:x}if((j|0)<(c[i+180>>2]|0))j=j+1|0;else break}}h[i+120>>3]=f;h[i+128>>3]=e;if(((If(a)|0)!=(a|0)?(m=c[w>>2]|0,(c[m+12>>2]|0)!=0):0)?(x=+h[m+104>>3],o=+h[m+72>>3],o=(x>o?x:o)-(e+(f+(+h[(c[(c[c[v+(b[m+236>>1]<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]-+h[(c[(c[c[v+(b[m+238>>1]<<6)+4>>2]>>2]|0)+16>>2]|0)+24>>3]))),o>0.0):0){r=~~o;n=c[(If(a)|0)+16>>2]|0;s=c[n+196>>2]|0;t=c[w>>2]|0;k=b[t+238>>1]|0;i=k<<16>>16;m=b[t+236>>1]|0;g=m<<16>>16;p=(r+1|0)/2|0;q=t+120|0;o=+h[q>>3]+ +(p|0);f=+(d|0);j=~~(o-(+h[s+(i<<6)+16>>3]-f));if((j|0)>0){e=+(j|0);if(k<<16>>16>=m<<16>>16)while(1){if((c[s+(i<<6)>>2]|0)>0){d=(c[(c[c[s+(i<<6)+4>>2]>>2]|0)+16>>2]|0)+24|0;h[d>>3]=e+ +h[d>>3]}if((i|0)>(g|0))i=i+-1|0;else break}x=+h[t+128>>3];l=x;e=e+(+(r-p|0)+x)-(+h[s+(g<<6)+24>>3]-f)}else{e=+h[t+128>>3];l=e;e=+(r-p|0)+e-(+h[s+(g<<6)+24>>3]-f)}i=~~e;if((i|0)>0?(u=b[n+236>>1]|0,m<<16>>16>u<<16>>16):0){e=+(i|0);i=u<<16>>16;do{g=g+-1|0;if((c[s+(g<<6)>>2]|0)>0){u=(c[(c[c[s+(g<<6)+4>>2]>>2]|0)+16>>2]|0)+24|0;h[u>>3]=e+ +h[u>>3]}}while((g|0)>(i|0))}h[t+128>>3]=+(r-p|0)+l;h[q>>3]=o}if((If(a)|0)!=(a|0)){w=c[w>>2]|0;a=v+(b[w+236>>1]<<6)+24|0;x=+h[a>>3];o=+h[w+128>>3];h[a>>3]=x>o?x:o;a=v+(b[w+238>>1]<<6)+16|0;o=+h[a>>3];x=+h[w+120>>3];h[a>>3]=o>x?o:x}return}function Hh(a){a=a|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=a+16|0;f=c[i>>2]|0;b[f+236>>1]=32767;b[f+238>>1]=-1;f=gu(a)|0;e=c[i>>2]|0;if(!f)d=0;else{d=0;do{g=e+238|0;h=c[(c[f+16>>2]|0)+232>>2]|0;if((b[g>>1]|0)<(h|0))b[g>>1]=h;e=e+236|0;if((b[e>>1]|0)>(h|0))b[e>>1]=h;if(!d)d=f;else d=(h|0)<(c[(c[d+16>>2]|0)+232>>2]|0)?f:d;f=hu(a,f)|0;e=c[i>>2]|0}while((f|0)!=0)}c[e+264>>2]=d;return}function Ih(a){a=a|0;var b=0,d=0,e=0,f=0,g=0.0;b=Qs(a,126752)|0;if(!b)f=2147483647;else{g=+MO(b);f=~~(g*+(vt(a)|0))}e=a+16|0;b=c[e>>2]|0;if((c[b+220>>2]|0)>0){d=0;do{c[b+192>>2]=c[(c[b+216>>2]|0)+(d<<2)>>2];Dz(a,(c[b+180>>2]|0)==0&1,f)|0;d=d+1|0;b=c[e>>2]|0}while((d|0)<(c[b+220>>2]|0))}return}function Jh(d,f){d=d|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0;F=i;i=i+128|0;x=F+16|0;E=F+8|0;y=F;if(!(Qs(d,126761)|0))Uh(d,f);else{C=d+16|0;D=(c[C>>2]|0)+136|0;b[D>>1]=e[D>>1]|16;c[12664]=0;c[x>>2]=c[13169];D=rt(126769,x,0)|0;Ou(D,126798,280,1)|0;Fu(D,50660,50644);Lh(d);g=Qs(d,126752)|0;if(!g)B=2147483647;else{G=+MO(g);B=~~(G*+(vt(d)|0))}Mh(d,0);c[12664]=0;g=gu(d)|0;if(g)do{if((Nh(g)|0)==(g|0)){v=Oh(D,Ft(g)|0)|0;c[(c[g+16>>2]|0)+148>>2]=v}g=hu(d,g)|0}while((g|0)!=0);g=gu(d)|0;if(g)do{h=g+16|0;if(!(c[(c[h>>2]|0)+148>>2]|0)){v=c[(c[(Nh(g)|0)+16>>2]|0)+148>>2]|0;c[(c[h>>2]|0)+148>>2]=v}g=hu(d,g)|0}while((g|0)!=0);g=gu(d)|0;if(g)do{h=c[(c[g+16>>2]|0)+148>>2]|0;k=at(d,g)|0;if(k)do{l=c[13958]|0;if(!((((l|0)!=0?(w=Rs(k,l)|0,(w|0)!=0):0)?(a[w>>0]|0)!=0:0)?(rC(w)|0)<<24>>24==0:0))z=19;do if((z|0)==19){z=0;t=k+-48|0;v=c[(c[(Nh(c[((c[k>>2]&3|0)==2?k:t)+40>>2]|0)|0)+16>>2]|0)+148>>2]|0;if((h|0)!=(v|0)){s=c[k>>2]&3;u=k+48|0;q=c[((s|0)==3?k:u)+40>>2]|0;r=c[(c[q+16>>2]|0)+212>>2]|0;s=c[(c[(c[((s|0)==2?k:t)+40>>2]|0)+16>>2]|0)+212>>2]|0;if((r|0)!=(s|0)){m=s;l=r;a:while(1){p=c[l+16>>2]|0;o=c[p+204>>2]|0;while(1){n=c[m+16>>2]|0;if((o|0)>=(c[n+204>>2]|0))break;m=c[n+200>>2]|0;if((l|0)==(m|0))break a}l=c[p+200>>2]|0;if((l|0)==(m|0)){l=m;break}}if(!((l|0)==(r|0)|(l|0)==(s|0))){if((BC(Qs(r,126814)|0,0)|0)<<24>>24==0?(BC(Qs(s,126814)|0,0)|0)<<24>>24==0:0){Ph(D,h,v,k);break}l=dt(D,h)|0;b:do if(!l)z=36;else while(1){u=at(D,c[((c[l>>2]&3|0)==3?l:l+48|0)+40>>2]|0)|0;if((u|0)!=0?(c[((c[u>>2]&3|0)==2?u:u+-48|0)+40>>2]|0)==(v|0):0)break b;l=et(D,l)|0;if(!l){z=36;break}}while(0);if((z|0)==36){z=0;s=c[12674]|0;c[12674]=s+1;c[y>>2]=s;DO(x,126822,y)|0;s=Oh(D,x)|0;t=ht(D,s,h,0,1)|0;v=ht(D,s,v,0,1)|0;s=c[k+16>>2]|0;u=s+156|0;t=(c[t+16>>2]|0)+156|0;c[t>>2]=(c[t>>2]|0)+((c[u>>2]|0)*1e3|0);v=c[v+16>>2]|0;t=v+170|0;r=b[t>>1]|0;s=b[s+170>>1]|0;b[t>>1]=(r&65535)>(s&65535)?r:s;v=v+156|0;c[v>>2]=(c[v>>2]|0)+(c[u>>2]|0)}break}}s=Nh(q)|0;l=c[k>>2]&3;if((s|0)!=(c[(c[(c[(c[(c[((l|0)==3?k:u)+40>>2]|0)+16>>2]|0)+212>>2]|0)+16>>2]|0)+212>>2]|0)?(u=Nh(c[((l|0)==2?k:t)+40>>2]|0)|0,(u|0)!=(c[(c[(c[(c[(c[((c[k>>2]&3|0)==2?k:t)+40>>2]|0)+16>>2]|0)+212>>2]|0)+16>>2]|0)+208>>2]|0)):0)l=v;else{l=h;h=v}Ph(D,h,l,k)}}while(0);k=ct(d,k)|0}while((k|0)!=0);g=hu(d,g)|0}while((g|0)!=0);Qh(d,D,0,0);g=gu(D)|0;if(g)do{z=c[g+16>>2]|0;a[z+158>>0]=0;a[z+157>>0]=0;g=hu(D,g)|0}while((g|0)!=0);g=gu(D)|0;if(g)do{Rh(D,g);g=hu(D,g)|0}while((g|0)!=0);g=gu(D)|0;if(g)do{c[(c[g+16>>2]|0)+128>>2]=0;g=hu(D,g)|0}while((g|0)!=0);g=gu(D)|0;if(g){h=0;do{if(!(c[(c[g+16>>2]|0)+128>>2]|0)){h=h+1|0;Sh(D,g,h)}g=hu(D,g)|0}while((g|0)!=0);if((h|0)>1?(A=Oh(D,126831)|0,j=gu(D)|0,(j|0)!=0):0){g=1;do{if((c[(c[j+16>>2]|0)+128>>2]|0)==(g|0)){ht(D,A,j,0,1)|0;g=g+1|0}j=hu(D,j)|0}while((j|0)!=0);n=h}else n=h}else n=0;g=gu(D)|0;if(g)do{h=at(D,g)|0;if(h){m=g+16|0;do{k=c[m>>2]|0;j=c[k+180>>2]|0;k=c[k+184>>2]|0;if(!j)j=zz((k<<2)+8|0)|0;else j=Bz(j,(k<<2)+8|0)|0;k=c[m>>2]|0;c[k+180>>2]=j;k=k+184|0;l=c[k>>2]|0;c[k>>2]=l+1;c[j+(l<<2)>>2]=h;l=c[m>>2]|0;c[(c[l+180>>2]|0)+(c[l+184>>2]<<2)>>2]=0;l=h+-48|0;k=c[(c[((c[h>>2]&3|0)==2?h:l)+40>>2]|0)+16>>2]|0;j=c[k+172>>2]|0;k=c[k+176>>2]|0;if(!j)j=zz((k<<2)+8|0)|0;else j=Bz(j,(k<<2)+8|0)|0;c[(c[(c[((c[h>>2]&3|0)==2?h:l)+40>>2]|0)+16>>2]|0)+172>>2]=j;z=(c[(c[((c[h>>2]&3|0)==2?h:l)+40>>2]|0)+16>>2]|0)+176|0;A=c[z>>2]|0;c[z>>2]=A+1;c[(c[(c[(c[((c[h>>2]&3|0)==2?h:l)+40>>2]|0)+16>>2]|0)+172>>2]|0)+(A<<2)>>2]=h;A=c[(c[((c[h>>2]&3|0)==2?h:l)+40>>2]|0)+16>>2]|0;c[(c[A+172>>2]|0)+(c[A+176>>2]<<2)>>2]=0;h=ct(D,h)|0}while((h|0)!=0)}g=hu(D,g)|0}while((g|0)!=0);if(f){oi(D);mi(D)}g=Qs(d,143552)|0;if(!g)g=-1;else g=NO(g)|0;Cz(D,1,B,g)|0;B=c[C>>2]|0;b[B+236>>1]=32767;b[B+238>>1]=-1;if((n|0)>1){g=yz((n<<2)+4|0)|0;h=1;while(1){c[g+(h<<2)>>2]=32767;if((h|0)==(n|0)){o=g;break}else h=h+1|0}}else o=0;g=gu(d)|0;if(g){n=(o|0)==0;do{k=c[(c[(c[(Nh(g)|0)+16>>2]|0)+148>>2]|0)+16>>2]|0;l=c[k+232>>2]|0;m=c[g+16>>2]|0;c[m+232>>2]=l;h=c[C>>2]|0;j=h+238|0;if((b[j>>1]|0)<(l|0))b[j>>1]=l;h=h+236|0;if((b[h>>1]|0)>(l|0))b[h>>1]=l;if(!n){B=c[k+128>>2]|0;c[m+128>>2]=B;B=o+(B<<2)|0;f=c[B>>2]|0;c[B>>2]=(f|0)<(l|0)?f:l}g=hu(d,g)|0}while((g|0)!=0)}l=(o|0)!=0;if(l){g=gu(d)|0;if(!g)g=1;else{do{B=c[g+16>>2]|0;C=B+232|0;c[C>>2]=(c[C>>2]|0)-(c[o+(c[B+128>>2]<<2)>>2]|0);g=hu(d,g)|0}while((g|0)!=0);g=1}}else{B=b[(c[C>>2]|0)+236>>1]|0;h=B<<16>>16;if(B<<16>>16>0){g=gu(d)|0;if(g)do{B=(c[g+16>>2]|0)+232|0;c[B>>2]=(c[B>>2]|0)-h;g=hu(d,g)|0}while((g|0)!=0);g=c[C>>2]|0;C=g+236|0;b[C>>1]=(e[C>>1]|0)-h;g=g+238|0;b[g>>1]=(e[g>>1]|0)-h;g=0}else g=0}Th(d,g);g=gu(D)|0;if(g)do{j=g+16|0;h=c[j>>2]|0;k=c[h+172>>2]|0;if(k){fQ(k);h=c[j>>2]|0}h=c[h+180>>2]|0;if(h)fQ(h);g=hu(D,g)|0}while((g|0)!=0);fQ(c[(c[(gu(d)|0)+16>>2]|0)+112>>2]|0);g=gu(d)|0;if(g)do{c[(c[g+16>>2]|0)+112>>2]=0;g=hu(d,g)|0}while((g|0)!=0);if(l)fQ(o);ut(D)|0}if(a[142275]|0){D=c[24809]|0;C=c[d+16>>2]|0;d=b[C+236>>1]|0;c[E>>2]=b[C+238>>1];c[E+4>>2]=d;pO(D,126837,E)|0}i=F;return}function Kh(a){a=a|0;return (gP(Ft(a)|0,149067,7)|0)==0|0}function Lh(d){d=d|0;var f=0,g=0,h=0;if(a[(c[(c[d+60>>2]|0)+16>>2]|0)+113>>0]&1){f=gu(d)|0;if(f)do{g=at(d,f)|0;if(g)do{h=(c[g+16>>2]|0)+170|0;b[h>>1]=(e[h>>1]|0)<<1;g=ct(d,g)|0}while((g|0)!=0);f=hu(d,f)|0}while((f|0)!=0);h=(c[d+16>>2]|0)+252|0;c[h>>2]=((c[h>>2]|0)+1|0)/2|0}return}function Mh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;if(gu(b)|0){do if(JC(b)|0)if(!d){c[(c[b+16>>2]|0)+204>>2]=0;f=b;break}else{f=c[b+16>>2]|0;c[f+204>>2]=(c[(c[d+16>>2]|0)+204>>2]|0)+1;c[f+200>>2]=d;$h(d,b);_h(d,b);f=b;break}else f=d;while(0);d=sv(b)|0;if(d)do{Mh(d,f);d=tv(d)|0}while((d|0)!=0);if((JC(b)|0)!=0?(e=gu(b)|0,(e|0)!=0):0)do{d=(c[e+16>>2]|0)+212|0;if(!(c[d>>2]|0))c[d>>2]=b;e=hu(b,e)|0}while((e|0)!=0);d=Qs(b,127017)|0;a:do if((d|0)!=0?(a[d>>0]|0)!=0:0){do if(!(aP(d,127027)|0))d=f+16|0;else{if(!(aP(d,127031)|0)){d=f+16|0;a[(c[d>>2]|0)+241>>0]=1;break}do if(!(aP(d,127038)|0))d=f+16|0;else{if(!(aP(d,127042)|0)){d=f+16|0;a[(c[d>>2]|0)+242>>0]=1;break}if(aP(d,127022)|0)break a;ai(b)|0;break a}while(0);f=ai(b)|0;f=bi(f,c[(c[d>>2]|0)+212>>2]|0)|0;c[(c[d>>2]|0)+212>>2]=f;break a}while(0);f=ai(b)|0;f=bi(f,c[(c[d>>2]|0)+208>>2]|0)|0;c[(c[d>>2]|0)+208>>2]=f}while(0);if(((JC(b)|0)!=0?(g=b+16|0,h=c[g>>2]|0,i=c[h+208>>2]|0,(i|0)!=0):0)?(i|0)==(c[h+212>>2]|0):0){i=ai(b)|0;b=c[g>>2]|0;c[b+208>>2]=i;c[b+212>>2]=i}}return}function Nh(a){a=a|0;var b=0,d=0,e=0;b=a+16|0;d=(c[b>>2]|0)+152|0;e=c[d>>2]|0;if(e){if((e|0)!=(a|0)){a=Nh(e)|0;c[(c[b>>2]|0)+152>>2]=a;return a|0}}else c[d>>2]=a;return a|0}function Oh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;b=mu(a,b,1)|0;d=b+16|0;c[(c[d>>2]|0)+176>>2]=0;f=yz(20)|0;e=c[d>>2]|0;c[e+172>>2]=f;c[e+184>>2]=0;e=yz(20)|0;f=c[d>>2]|0;c[f+180>>2]=e;e=c[12664]|0;f=f+168|0;if(!e){c[f>>2]=0;c[(c[a+16>>2]|0)+192>>2]=b}else{c[f>>2]=e;c[(c[(c[12664]|0)+16>>2]|0)+164>>2]=b}c[12664]=b;c[(c[d>>2]|0)+164>>2]=0;return b|0}function Ph(a,d,f,g){a=a|0;d=d|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;l=i;i=i+16|0;j=l;h=ht(a,d,f,0,0)|0;if(!h){h=ht(a,f,d,0,0)|0;if(!h){h=ht(a,d,f,0,1)|0;if(!h){d=Ft(d)|0;g=Ft(f)|0;c[j>>2]=d;c[j+4>>2]=g;us(1,127057,j)|0}else k=4}else k=4}else k=4;if((k|0)==4){g=c[g+16>>2]|0;d=e[g+170>>1]|0;g=c[g+156>>2]|0;k=c[h+16>>2]|0;j=k+170|0;f=e[j>>1]|0;b[j>>1]=f>>>0>d>>>0?f:d;k=k+156|0;c[k>>2]=(c[k>>2]|0)+g}i=l;return}function Qh(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;if((JC(a)|0)!=0?(BC(Qs(a,126814)|0,0)|0)<<24>>24!=0:0){f=gu(a)|0;if(f){g=f;do{if(!(dt(a,g)|0)){f=c[(c[(Nh(g)|0)+16>>2]|0)+148>>2]|0;if(!d)d=Oh(b,127047)|0;ht(b,d,f,0,1)|0}if(!(at(a,g)|0)){f=c[(c[(Nh(g)|0)+16>>2]|0)+148>>2]|0;if(!e)e=Oh(b,127052)|0;ht(b,f,e,0,1)|0}g=hu(a,g)|0}while((g|0)!=0)}if((e|0)!=0&(d|0)!=0){f=(c[(ht(b,d,e,0,1)|0)+16>>2]|0)+156|0;c[f>>2]=(c[f>>2]|0)+1e3;f=e}else f=e}else f=e;e=sv(a)|0;if(e)do{Qh(e,b,d,f);e=tv(e)|0}while((e|0)!=0);return}function Rh(d,f){d=d|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=f+16|0;g=c[m>>2]|0;h=g+157|0;if(!(a[h>>0]|0)){a[h>>0]=1;a[g+158>>0]=1;g=at(d,f)|0;if(g)do{l=g;g=ct(d,g)|0;f=c[l>>2]&3;k=l+-48|0;i=c[((f|0)==2?l:k)+40>>2]|0;h=c[i+16>>2]|0;if(!(a[h+158>>0]|0)){if(!(a[h+157>>0]|0))Rh(d,i)}else{j=l+48|0;h=ht(d,i,c[((f|0)==3?l:j)+40>>2]|0,0,0)|0;if(!h){h=c[l>>2]&3;h=ht(d,c[((h|0)==2?l:k)+40>>2]|0,c[((h|0)==3?l:j)+40>>2]|0,0,1)|0}j=c[l+16>>2]|0;f=e[j+170>>1]|0;j=c[j+156>>2]|0;k=c[h+16>>2]|0;i=k+170|0;h=e[i>>1]|0;b[i>>1]=h>>>0>f>>>0?h:f;k=k+156|0;c[k>>2]=(c[k>>2]|0)+j;wu(d,l)|0}}while((g|0)!=0);a[(c[m>>2]|0)+158>>0]=0}return}function Sh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(c[b+16>>2]|0)+128|0;if(!(c[e>>2]|0)){c[e>>2]=d;e=at(a,b)|0;if(e)do{Sh(a,c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0,d);e=ct(a,e)|0}while((e|0)!=0);e=dt(a,b)|0;if(e)do{Sh(a,c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0,d);e=et(a,e)|0}while((e|0)!=0)}return}function Th(a,d){a=a|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;i=a+16|0;e=c[i>>2]|0;if((c[e+180>>2]|0)>=1){f=1;while(1){Th(c[(c[e+184>>2]|0)+(f<<2)>>2]|0,0);e=c[i>>2]|0;if((f|0)<(c[e+180>>2]|0))f=f+1|0;else break}}if((d|0)!=0|(c[e+200>>2]|0)!=0){b[e+236>>1]=32767;b[e+238>>1]=-1;f=gu(a)|0;if(!f)e=0;else{e=0;do{h=c[(c[f+16>>2]|0)+232>>2]|0;d=c[i>>2]|0;g=d+238|0;if((b[g>>1]|0)<(h|0))b[g>>1]=h;d=d+236|0;if((b[d>>1]|0)>(h|0)){b[d>>1]=h;e=f}f=hu(a,f)|0}while((f|0)!=0)}c[(c[i>>2]|0)+264>>2]=e}return}function Uh(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+16|0;f=r;Lh(d);do if(!e){Vh(d,d);wi(d);Wh(f,d);g=c[f>>2]|0;f=c[f+4>>2]|0;Vi(d,0);m=0;p=d+16|0}else{oi(d);mi(d);Vh(d,d);wi(d);Wh(f,d);g=c[f>>2]|0;f=c[f+4>>2]|0;Vi(d,0);h=d+16|0;p=c[h>>2]|0;if((c[p+220>>2]|0)<=1?(c[p+180>>2]|0)<=0:0){m=e;p=h;break}c[e+32>>2]=1;m=0;p=h}while(0);ji(d);k=c[p>>2]|0;if(!((c[k+228>>2]|0)==0?(c[k+224>>2]|0)==0:0))j=9;if((j|0)==9?(l=gu(d)|0,(l|0)!=0):0){k=f&65535;j=g&65535;f=0;h=l;do{if((h|0)==(sC(h)|0)){g=h+16|0;e=c[g>>2]|0;if((c[e+184>>2]|0)==0?(n=c[(c[p>>2]|0)+228>>2]|0,!((n|0)==0|(h|0)==(n|0))):0){f=tg(h,n,0)|0;e=c[f+16>>2]|0;b[e+170>>1]=k;c[e+156>>2]=0;e=c[g>>2]|0}if((c[e+176>>2]|0)==0?(o=c[(c[p>>2]|0)+224>>2]|0,!((o|0)==0|(h|0)==(o|0))):0){f=tg(o,h,0)|0;l=c[f+16>>2]|0;b[l+170>>1]=j;c[l+156>>2]=0}}h=hu(d,h)|0}while((h|0)!=0);if(f)Vi(d,0)}k=(m|0)==0;if(k)Ih(d);else ni(d,m);f=gu(d)|0;g=c[p>>2]|0;do if(f){b[g+236>>1]=32767;b[g+238>>1]=-1;do{e=sC(f)|0;j=c[f+16>>2]|0;g=c[j+232>>2]|0;do if((e|0)!=(f|0)){if(!k)if(!g)g=0;else break;g=g+(c[(c[e+16>>2]|0)+232>>2]|0)|0;c[j+232>>2]=g}while(0);e=c[p>>2]|0;h=e+238|0;if((b[h>>1]|0)<(g|0))b[h>>1]=g;e=e+236|0;if((b[e>>1]|0)>(g|0))b[e>>1]=g;switch(a[j+159>>0]|0){case 6:case 0:break;default:uC(f)}f=hu(d,f)|0}while((f|0)!=0);if((If(d)|0)==(d|0)){if((c[13882]|0)!=100){Yh(d);break}f=c[p>>2]|0;if((c[f+180>>2]|0)>=1){g=1;while(1){Xh(c[(c[f+184>>2]|0)+(g<<2)>>2]|0);f=c[p>>2]|0;if((g|0)>=(c[f+180>>2]|0))break;else g=g+1|0}}}}else{b[g+238>>1]=0;b[g+236>>1]=0}while(0);f=c[p>>2]|0;if((c[f+220>>2]|0)>0){k=0;do{g=c[(c[f+216>>2]|0)+(k<<2)>>2]|0;c[f+192>>2]=g;if(g){f=g;do{j=f+16|0;f=c[j>>2]|0;h=f+176|0;g=c[h>>2]|0;if((g|0)>-1){e=f+172|0;f=g;while(1){c[(c[e>>2]|0)+(f<<2)>>2]=0;if((f|0)>0)f=f+-1|0;else break}f=c[j>>2]|0}c[h>>2]=0;h=f+184|0;g=c[h>>2]|0;if((g|0)>-1){e=f+180|0;f=g;while(1){c[(c[e>>2]|0)+(f<<2)>>2]=0;if((f|0)>0)f=f+-1|0;else break}f=c[j>>2]|0}c[h>>2]=0;a[f+157>>0]=0;f=c[f+164>>2]|0}while((f|0)!=0);f=c[p>>2]|0}k=k+1|0}while((k|0)<(c[f+220>>2]|0))}f=gu(d)|0;if(f)do{g=at(d,f)|0;if(g)do{k=g+16|0;e=c[k>>2]|0;l=c[e+172>>2]|0;if((l|0)!=0?(q=l+16|0,(g|0)==(c[(c[q>>2]|0)+116>>2]|0)):0){e=gu(d)|0;if(e)do{h=at(d,e)|0;if(h)do{do if((g|0)!=(h|0)){j=(c[h+16>>2]|0)+172|0;o=c[j>>2]|0;if(!((o|0)!=0&(l|0)==(o|0)))break;c[j>>2]=0}while(0);h=ct(d,h)|0}while((h|0)!=0);e=hu(d,e)|0}while((e|0)!=0);fQ(c[q>>2]|0);fQ(l);e=c[k>>2]|0}c[e+172>>2]=0;g=ct(d,g)|0}while((g|0)!=0);f=hu(d,f)|0}while((f|0)!=0);fQ(c[(c[p>>2]|0)+216>>2]|0);d=c[p>>2]|0;c[d+216>>2]=0;c[d+220>>2]=0;i=r;return}function Vh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=sv(d)|0;if(d){k=b+16|0;do{if(gP(Ft(d)|0,149067,7)|0){e=AC(Qs(d,127017)|0,50700,50724)|0;a[(c[d+16>>2]|0)+274>>0]=e;if(!e)Vh(b,d);else l=5}else{e=7;l=5}a:do if((l|0)==5){l=0;if((e|0)==7&(c[13882]|0)==100){Zh(b,d);break}i=gu(d)|0;if(i){j=e&255;g=i+16|0;a[(c[g>>2]|0)+159>>0]=j;f=hu(d,i)|0;if(f)do{tC(i,f)|0;a[(c[f+16>>2]|0)+159>>0]=a[(c[g>>2]|0)+159>>0]|0;f=hu(d,f)|0}while((f|0)!=0);b:do switch(e|0){case 3:case 2:{f=c[k>>2]|0;g=f+224|0;h=c[g>>2]|0;if(!h){c[g>>2]=i;break b}else{i=tC(h,i)|0;f=c[k>>2]|0;c[f+224>>2]=i;break b}}case 5:case 4:{f=c[k>>2]|0;g=f+228|0;h=c[g>>2]|0;if(!h){c[g>>2]=i;break b}else{i=tC(h,i)|0;f=c[k>>2]|0;c[f+228>>2]=i;break b}}default:break a}while(0);switch(e|0){case 3:{a[(c[(c[f+224>>2]|0)+16>>2]|0)+159>>0]=j;break a}case 5:{a[(c[(c[f+228>>2]|0)+16>>2]|0)+159>>0]=j;break a}default:break a}}}while(0);d=tv(d)|0}while((d|0)!=0)}return}function Wh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;i=d+16|0;e=c[i>>2]|0;d=c[e+228>>2]|0;e=c[e+224>>2]|0;f=(e|0)==0;if(!d)if(f){c[b>>2]=0;c[b+4>>2]=0}else h=5;else if(f)h=6;else h=5;if((h|0)==5){d=sC(e)|0;e=c[i>>2]|0;c[e+224>>2]=d;d=c[e+228>>2]|0;if(!d){g=0;h=12}else h=6}do if((h|0)==6){d=sC(d)|0;e=c[i>>2]|0;c[e+228>>2]=d;if(d){f=d+16|0;d=c[f>>2]|0;g=(a[d+159>>0]|0)==5&1;d=c[c[d+180>>2]>>2]|0;if(d){while(1){h=c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0;if((h|0)!=(sC(h)|0)){h=9;break}ii(d);d=c[c[(c[f>>2]|0)+180>>2]>>2]|0;if(!d){h=11;break}}if((h|0)==9)Na(126940,126880,346,126972);else if((h|0)==11){e=c[i>>2]|0;h=12;break}}else h=12}else{g=0;h=12}}while(0);if((h|0)==12){d=c[e+224>>2]|0;a:do if(d){e=d+16|0;d=c[e>>2]|0;f=(a[d+159>>0]|0)==3&1;d=c[c[d+172>>2]>>2]|0;if(!d)j=f;else{while(1){i=c[((c[d>>2]&3|0)==3?d:d+48|0)+40>>2]|0;if((i|0)!=(sC(i)|0))break;ii(d);d=c[c[(c[e>>2]|0)+172>>2]>>2]|0;if(!d){j=f;break a}}Na(126985,126880,353,126972)}}else j=0;while(0);c[b>>2]=j;c[b+4>>2]=g}return}function Xh(a){a=a|0;var d=0,f=0,g=0;f=a+16|0;a=c[f>>2]|0;g=c[(c[(c[a+264>>2]|0)+16>>2]|0)+232>>2]|0;d=a+236|0;b[d>>1]=(e[d>>1]|0)+g;d=a+238|0;b[d>>1]=(e[d>>1]|0)+g;if((c[a+180>>2]|0)>=1){d=1;while(1){Xh(c[(c[a+184>>2]|0)+(d<<2)>>2]|0);a=c[f>>2]|0;if((d|0)>=(c[a+180>>2]|0))break;else d=d+1|0}}return}function Yh(b){b=b|0;var d=0;d=sv(If(b)|0)|0;if(d)do{if((a[(c[d+16>>2]|0)+274>>0]|0)==7)Zh(b,d);d=tv(d)|0}while((d|0)!=0);return}function Zh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=d+16|0;f=(c[e>>2]|0)+200|0;a:do if((c[f>>2]|0)==0?(c[f>>2]=b,_h(b,d),(gu(d)|0)!=0):0){$h(b,d);if((c[13882]|0)!=100){Hh(d);break}Uh(d,0);g=c[e>>2]|0;e=c[g+192>>2]|0;if(e){f=0;do{b=c[e+16>>2]|0;if(!(c[b+232>>2]|0))f=(a[b+156>>0]|0)==0?e:f;e=c[b+164>>2]|0}while((e|0)!=0);b=f;if(b){c[g+264>>2]=b;e=gu(d)|0;if(!e)break;while(1){f=e+16|0;if(!((e|0)==(b|0)?1:(c[(c[f>>2]|0)+216>>2]|0)<2))break;tC(e,b)|0;a[(c[f>>2]|0)+159>>0]=7;e=hu(d,e)|0;if(!e)break a}Na(126902,126880,242,126887)}}Na(126865,126880,238,126887)}while(0);return}function _h(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=gu(d)|0;if(e){j=b+16|0;do{i=e;e=hu(d,e)|0;h=i+16|0;if(!(a[(c[h>>2]|0)+159>>0]|0)){f=c[j>>2]|0;b=c[f+180>>2]|0;a:do if((b|0)>1){b=1;while(1){if(Hu(c[(c[f+184>>2]|0)+(b<<2)>>2]|0,i)|0){f=b;break}g=b+1|0;f=c[j>>2]|0;b=c[f+180>>2]|0;if((g|0)>=(b|0)){f=g;break a}else b=g}b=c[(c[j>>2]|0)+180>>2]|0}else f=1;while(0);if((f|0)<(b|0))wu(d,i)|0;c[(c[h>>2]|0)+212>>2]=0}else wu(d,i)|0}while((e|0)!=0)}b=gu(d)|0;if(b)do{e=at(If(d)|0,b)|0;if(e)do{if(Hu(d,c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)|0)kt(d,e,1)|0;e=ct(If(d)|0,e)|0}while((e|0)!=0);b=hu(d,b)|0}while((b|0)!=0);return}function $h(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;e=a+16|0;d=c[e>>2]|0;g=d+180|0;a=c[g>>2]|0;f=a+1|0;c[g>>2]=f;d=c[d+184>>2]|0;if(!d)a=yz((a<<2)+8|0)|0;else a=Az(d,a+2|0,4,f)|0;c[(c[e>>2]|0)+184>>2]=a;c[a+(f<<2)>>2]=b;iz(b);return}function ai(a){a=a|0;var b=0,c=0;c=gu(a)|0;if(c){b=Nh(c)|0;c=hu(a,c)|0;if(c)do{bi(b,c)|0;c=hu(a,c)|0}while((c|0)!=0)}else b=0;return b|0}function bi(a,b){a=a|0;b=b|0;if(b){a=Nh(a)|0;c[(c[(Nh(b)|0)+16>>2]|0)+152>>2]=a}return a|0}function ci(a,b,d){a=a|0;b=b|0;d=d|0;Ou(b,126798,c[d>>2]|0,1)|0;return}function di(a,b,d){a=a|0;b=b|0;d=d|0;Ou(b,127147,c[d+4>>2]|0,1)|0;return}function ei(a,b,d){a=a|0;b=b|0;d=d|0;Ou(b,127132,c[d+8>>2]|0,1)|0;return}function fi(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+240|0;n=p+120|0;o=p;c[13962]=Is(b,2,127162,0)|0;l=Is(b,2,127171,0)|0;c[13963]=l;if((l|0)!=0|(c[13962]|0)!=0?(d=gu(b)|0,(d|0)!=0):0)do{e=ft(b,d)|0;if(e){f=0;l=0;while(1){g=c[e>>2]|0;j=g&3;h=c[((j|0)==2?e:e+-48|0)+40>>2]|0;k=e+48|0;a:do if((h|0)!=(c[((j|0)==3?e:k)+40>>2]|0)){j=c[13962]|0;do if((h|0)==(d|0)&(j|0)!=0){g=Rs(e,j)|0;if(!(a[g>>0]|0)){g=c[e>>2]|0;break}else{f=gi(n,f,d,e,g)|0;g=l;break a}}while(0);h=c[13963]|0;if(((h|0)!=0?(c[((g&3|0)==3?e:k)+40>>2]|0)==(d|0):0)?(m=Rs(e,h)|0,(a[m>>0]|0)!=0):0)g=gi(o,l,d,e,m)|0;else g=l}else g=l;while(0);e=gt(b,e,d)|0;if(!e){h=g;break}else l=g}if((f|0)>0){g=0;do{e=n+(g*24|0)+4|0;if((c[n+(g*24|0)+8>>2]|0)>1)hi(d,e);e=c[e>>2]|0;if(e)fQ(e);g=g+1|0}while((g|0)!=(f|0))}if((h|0)>0){f=0;do{e=o+(f*24|0)+4|0;if((c[o+(f*24|0)+8>>2]|0)>1)hi(d,e);e=c[e>>2]|0;if(e)fQ(e);f=f+1|0}while((f|0)!=(h|0))}}d=hu(b,d)|0}while((d|0)!=0);i=p;return}function gi(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;r=i;i=i+16|0;n=r;q=r+12|0;p=r+8|0;do if((d|0)>0){m=a[g>>0]|0;k=0;while(1){l=c[b+(k*24|0)>>2]|0;if((a[l>>0]|0)==m<<24>>24?(aP(l,g)|0)==0:0)break;k=k+1|0;if((k|0)>=(d|0)){o=10;break}}if((o|0)==10){if((d|0)<=4){o=12;break}b=Ft(e)|0;c[n>>2]=5;c[n+4>>2]=b;us(1,127180,n)|0;break}g=b+(k*24|0)+4|0;m=c[g>>2]|0;n=b+(k*24|0)+8|0;l=c[n>>2]|0;if(!m)l=zz((l<<2)+8|0)|0;else l=Bz(m,(l<<2)+8|0)|0;c[g>>2]=l;m=c[n>>2]|0;o=m+1|0;c[n>>2]=o;c[l+(m<<2)>>2]=f;c[(c[g>>2]|0)+(o<<2)>>2]=0;l=k;o=13}else{k=0;o=12}while(0);if((o|0)==12){t=b+(k*24|0)+8|0;c[t>>2]=0;s=yz(8)|0;n=b+(k*24|0)+4|0;c[n>>2]=s;m=c[t>>2]|0;l=m+1|0;c[t>>2]=l;c[s+(m<<2)>>2]=f;c[(c[n>>2]|0)+(l<<2)>>2]=0;c[b+(k*24|0)>>2]=g;c[b+(k*24|0)+12>>2]=0;h[b+(k*24|0)+16>>3]=0.0;d=d+1|0;l=k;o=13}if((o|0)==13){Ux(f,q,p);k=(c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0)==(e|0)?c[p>>2]|0:c[q>>2]|0;if(k){s=b+(l*24|0)+12|0;t=c[s>>2]|0;c[s>>2]=t+1;if(!t)j=+Vx(f,k);else j=0.0;h[b+(l*24|0)+16>>3]=j}}i=r;return d|0}function hi(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;z=i;i=i+80|0;y=z+68|0;x=z+64|0;u=z;w=d+4|0;j=c[w>>2]|0;if((j|0)>0){m=c[d>>2]|0;p=b+16|0;t=c[p>>2]|0;r=+h[t+16>>3];q=+h[t+24>>3];s=0;o=0.0;n=0.0;do{f=c[m+(s<<2)>>2]|0;g=c[f>>2]&3;e=c[((g|0)==2?f:f+-48|0)+40>>2]|0;if((e|0)==(b|0))e=c[((g|0)==3?f:f+48|0)+40>>2]|0;v=c[e+16>>2]|0;A=+h[v+16>>3]-r;k=+h[v+24>>3]-q;l=+wN(A,k);o=o+A/l;n=n+k/l;s=s+1|0}while((s|0)<(j|0));v=p;e=t}else{v=b+16|0;t=c[v>>2]|0;e=t;r=+h[t+16>>3];q=+h[t+24>>3];o=0.0;n=0.0}l=+wN(o,n);k=+h[e+88>>3]+ +h[e+96>>3];A=+h[e+80>>3];t=k>A+ +(c[(c[(xu(b)|0)+16>>2]|0)+252>>2]|0);e=c[v>>2]|0;if(t)k=+h[e+88>>3]+ +h[e+96>>3];else{k=+h[e+80>>3];k=k+ +(c[(c[(xu(b)|0)+16>>2]|0)+252>>2]|0);e=c[v>>2]|0}A=o/l*k+ +h[e+16>>3];k=n/l*k+ +h[e+24>>3];h[u>>3]=r;t=u+8|0;h[t>>3]=q;h[u+16>>3]=(r*2.0+A)/3.0;h[u+24>>3]=(q*2.0+k)/3.0;h[u+32>>3]=(r+A*2.0)/3.0;h[u+40>>3]=(q+k*2.0)/3.0;h[u+48>>3]=A;h[u+56>>3]=k;FB(b,u);e=c[v>>2]|0;k=+h[u>>3]-+h[e+16>>3];l=+h[t>>3]-+h[e+24>>3];k=+(~~(k+(k>=0.0?.5:-.5))|0);l=+(~~(l+(l>=0.0?.5:-.5))|0);A=+h[e+88>>3];t=~~((A+k)*256.0/(A+ +h[e+96>>3]))&255;if((c[w>>2]|0)>0){s=0;do{e=c[(c[d>>2]|0)+(s<<2)>>2]|0;Ux(e,y,x);if(e)do{p=(e|0)==0;a:do if(!p){m=e;do{f=c[m>>2]|0;j=m+-48|0;if((c[((f&3|0)==2?m:j)+40>>2]|0)==(b|0)){f=c[m+16>>2]|0;h[f+56>>3]=k;h[f+64>>3]=l;h[f+72>>3]=0.0;c[f+80>>2]=0;a[f+84>>0]=1;a[f+85>>0]=0;a[f+86>>0]=0;a[f+87>>0]=0;a[f+88>>0]=t;a[f+89>>0]=0;c[f+92>>2]=0;f=c[m>>2]|0}g=m+16|0;if((c[((f&3|0)==3?m:m+48|0)+40>>2]|0)==(b|0)){u=c[g>>2]|0;h[u+16>>3]=k;h[u+24>>3]=l;h[u+32>>3]=0.0;c[u+40>>2]=0;a[u+44>>0]=1;a[u+45>>0]=0;a[u+46>>0]=0;a[u+47>>0]=0;a[u+48>>0]=t;a[u+49>>0]=0;c[u+52>>2]=0}if((a[(c[g>>2]|0)+112>>0]|0)!=1)break;f=c[(c[((c[m>>2]&3|0)==2?m:j)+40>>2]|0)+16>>2]|0;if((a[f+156>>0]|0)!=1)break;if((c[f+184>>2]|0)!=1)break;m=c[c[f+180>>2]>>2]|0}while((m|0)!=0);if(!p){m=e;do{f=c[m>>2]|0;if((c[((f&3|0)==2?m:m+-48|0)+40>>2]|0)==(b|0)){f=c[m+16>>2]|0;h[f+56>>3]=k;h[f+64>>3]=l;h[f+72>>3]=0.0;c[f+80>>2]=0;a[f+84>>0]=1;a[f+85>>0]=0;a[f+86>>0]=0;a[f+87>>0]=0;a[f+88>>0]=t;a[f+89>>0]=0;c[f+92>>2]=0;f=c[m>>2]|0}g=m+48|0;j=m+16|0;if((c[((f&3|0)==3?m:g)+40>>2]|0)==(b|0)){u=c[j>>2]|0;h[u+16>>3]=k;h[u+24>>3]=l;h[u+32>>3]=0.0;c[u+40>>2]=0;a[u+44>>0]=1;a[u+45>>0]=0;a[u+46>>0]=0;a[u+47>>0]=0;a[u+48>>0]=t;a[u+49>>0]=0;c[u+52>>2]=0}if((a[(c[j>>2]|0)+112>>0]|0)!=1)break a;f=c[(c[((c[m>>2]&3|0)==3?m:g)+40>>2]|0)+16>>2]|0;if((a[f+156>>0]|0)!=1)break a;if((c[f+176>>2]|0)!=1)break a;m=c[c[f+172>>2]>>2]|0}while((m|0)!=0)}}while(0);e=c[(c[e+16>>2]|0)+172>>2]|0}while((e|0)!=0);s=s+1|0}while((s|0)<(c[w>>2]|0));e=c[v>>2]|0}a[e+145>>0]=1;i=z;return}function ii(a){a=a|0;var b=0,d=0,e=0;pg(a);b=c[a>>2]&3;d=a+-48|0;e=a+48|0;b=lg(c[((b|0)==2?a:d)+40>>2]|0,c[((b|0)==3?a:e)+40>>2]|0)|0;if(!b){b=c[a>>2]&3;tg(c[((b|0)==2?a:d)+40>>2]|0,c[((b|0)==3?a:e)+40>>2]|0,a)|0}else Ag(a,b);return}function ji(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;g=b+16|0;b=c[g>>2]|0;if((c[b+220>>2]|0)>0){f=0;do{d=c[(c[b+216>>2]|0)+(f<<2)>>2]|0;e=b+192|0;c[e>>2]=d;if(d){do{h=c[d+16>>2]|0;a[h+157>>0]=0;d=c[h+164>>2]|0}while((d|0)!=0);d=c[e>>2]|0;if(d){b=d;do{ki(b);b=c[(c[b+16>>2]|0)+164>>2]|0}while((b|0)!=0);b=c[g>>2]|0}}f=f+1|0}while((f|0)<(c[b+220>>2]|0))}return}function ki(b){b=b|0;var d=0,e=0,f=0,g=0;g=b+16|0;b=c[g>>2]|0;d=b+157|0;if(!(a[d>>0]|0)){a[d>>0]=1;a[b+158>>0]=1;d=c[c[b+180>>2]>>2]|0;if(d){f=0;do{b=c[((c[d>>2]&3|0)==2?d:d+-48|0)+40>>2]|0;e=c[b+16>>2]|0;if(!(a[e+158>>0]|0))if(!(a[e+157>>0]|0)){ki(b);b=f}else b=f;else{ii(d);b=f+-1|0}f=b+1|0;b=c[g>>2]|0;d=c[(c[b+180>>2]|0)+(f<<2)>>2]|0}while((d|0)!=0)}a[b+158>>0]=0}return}function li(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;d=gu(a)|0;if(!d)b=0;else{b=0;do{e=at(a,d)|0;if(e)do{g=c[e>>2]&3;f=c[(c[(c[((g|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0;g=c[(c[(c[((g|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0;if((f|0)!=(g|0)){g=f-g|0;b=b+-1+((g|0)>-1?g:0-g|0)|0}e=ct(a,e)|0}while((e|0)!=0);d=hu(a,d)|0}while((d|0)!=0)}return b|0}function mi(b){b=b|0;var d=0,e=0,f=0,g=0;d=gu(b)|0;if(d)do{e=c[d+16>>2]|0;g=c[e+176>>2]|0;if((g|0)>0){e=c[e+172>>2]|0;f=0;do{a[(c[(c[e+(f<<2)>>2]|0)+16>>2]|0)+112>>0]=0;f=f+1|0}while((f|0)<(g|0))}d=hu(b,d)|0}while((d|0)!=0);return}function ni(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0.0,l=0,m=0,n=0.0,o=0,p=0,q=0.0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;J=i;i=i+16|0;H=J;G=c[d+24>>2]|0;c[12687]=zz((vt(b)|0)*24|0)|0;c[12688]=0;e=gu(b)|0;if(e)do{c[(c[e+16>>2]|0)+120>>2]=-1;e=hu(b,e)|0}while((e|0)!=0);e=gu(b)|0;if(e)do{m=e+16|0;do if(!(c[(c[m>>2]|0)+216>>2]|0)){D=yz(4)|0;F=c[12688]|0;c[(c[12687]|0)+(F*24|0)>>2]=D;c[c[(c[12687]|0)+(F*24|0)>>2]>>2]=e;D=c[12687]|0;c[D+(F*24|0)+4>>2]=1;F=c[m>>2]|0;E=c[12688]|0;h[D+(E*24|0)+8>>3]=+h[F+32>>3];h[D+(E*24|0)+16>>3]=+h[F+40>>3];c[F+120>>2]=E;c[12688]=(c[12688]|0)+1}else{j=sC(e)|0;l=j+16|0;f=c[l>>2]|0;g=c[f+120>>2]|0;if((g|0)>-1){E=c[12687]|0;D=E+(g*24|0)+4|0;F=c[D>>2]|0;c[D>>2]=F+1;c[(c[E+(g*24|0)>>2]|0)+(F<<2)>>2]=e;F=c[m>>2]|0;E=c[12687]|0;D=E+(g*24|0)+8|0;h[D>>3]=+h[F+32>>3]+ +h[D>>3];E=E+(g*24|0)+16|0;y=+h[E>>3];u=+h[F+40>>3];h[E>>3]=y<u?u:y;c[F+120>>2]=g;break}g=yz(c[f+216>>2]<<2)|0;f=c[12688]|0;c[(c[12687]|0)+(f*24|0)>>2]=g;c[c[(c[12687]|0)+(f*24|0)>>2]>>2]=j;g=c[12687]|0;if((j|0)==(e|0)){c[g+(f*24|0)+4>>2]=1;f=c[l>>2]|0;j=c[12688]|0;h[g+(j*24|0)+8>>3]=+h[f+32>>3];h[g+(j*24|0)+16>>3]=+h[f+40>>3];g=f;f=c[m>>2]|0}else{c[(c[g+(f*24|0)>>2]|0)+4>>2]=e;F=c[12687]|0;c[F+(f*24|0)+4>>2]=2;g=c[l>>2]|0;f=c[m>>2]|0;j=c[12688]|0;h[F+(j*24|0)+8>>3]=+h[g+32>>3]+ +h[f+32>>3];y=+h[g+40>>3];u=+h[f+40>>3];h[F+(j*24|0)+16>>3]=y<u?u:y}c[g+120>>2]=j;c[f+120>>2]=c[12688];c[12688]=(c[12688]|0)+1}while(0);e=hu(b,e)|0}while((e|0)!=0);C=(G|0)==-1;a:do if(C|(G|0)>0){D=d+8|0;B=C^1;E=b+16|0;F=c[24809]|0;e=0;n=1797693134862315708145274.0e284;while(1){f=gu(b)|0;if(f)do{c[(c[f+16>>2]|0)+232>>2]=0;f=hu(b,f)|0}while((f|0)!=0);Ih(b);k=+qi(b);h[D>>3]=k;if(a[142275]|0){h[H>>3]=k;pO(F,127232,H)|0;k=+h[D>>3]}if(!(!(k<=+h[d>>3])&(!(n<=k)|B)))break;c[12689]=yz((vt(b)|0)<<2)|0;if((vt(b)|0)>0){f=0;do{c[(c[12689]|0)+(f<<2)>>2]=f;f=f+1|0}while((f|0)<(vt(b)|0))}ri(b);m=c[12689]|0;PO(m,vt(b)|0,4,63);m=c[12690]|0;l=c[12689]|0;o=c[12691]|0;g=0;while(1){if((g|0)>=(m|0)){f=0;q=0.0;break}f=c[l+(g<<2)>>2]|0;j=g+1|0;if((c[o+(f*40|0)+12>>2]|0)<2)g=j;else{I=26;break}}if((I|0)==26){I=0;if((m|0)>(j|0))q=+h[o+((c[l+(j<<2)>>2]|0)*40|0)+24>>3];else q=0.0}if((g|0)!=(m|0)){PO(c[o+(f*40|0)+4>>2]|0,c[o+(f*40|0)+12>>2]|0,4,64);g=c[12691]|0;n=+h[g+(f*40|0)+24>>3];if(!(!(q<=n*.25)?!(q>=n*3.0*.25):0))q=n*.5;A=c[g+(f*40|0)+12>>2]|0;if((A|0)>0){w=0;x=0;z=0;l=0;y=0.0;while(1){m=c[g+(f*40|0)+8>>2]|0;do if(!(c[m+(z<<2)>>2]|0)){s=c[(c[g+(f*40|0)+4>>2]|0)+(z<<2)>>2]|0;v=s+8|0;n=+h[v>>3];t=n*72.0;j=c[E>>2]|0;u=y>0.0?+(c[j+248>>2]|0):0.0;o=(w|0)!=0;if(!(o&!(y+t+u<=q))){m=o?w:1;j=o?x:s;n=y+(t+u);break}r=x+4|0;o=c[r>>2]|0;if((o|0)>0){p=s+4|0;g=c[p>>2]|0;j=o;m=0;do{if((g|0)>0){j=0;do{a[(c[(tg(c[(c[x>>2]|0)+(m<<2)>>2]|0,c[(c[s>>2]|0)+(j<<2)>>2]|0,0)|0)+16>>2]|0)+112>>0]=1;j=j+1|0;g=c[p>>2]|0}while((j|0)<(g|0));j=c[r>>2]|0}m=m+1|0}while((m|0)<(j|0));g=c[12691]|0;m=c[g+(f*40|0)+8>>2]|0;n=+h[v>>3];j=c[E>>2]|0}c[m+(z<<2)>>2]=1;m=g+(f*40|0)+12|0;c[m>>2]=(c[m>>2]|0)+-1;m=g+(f*40|0)+16|0;c[m>>2]=(c[m>>2]|0)+1;m=g+(f*40|0)+24|0;h[m>>3]=+h[m>>3]-(n*72.0+ +(c[j+248>>2]|0));m=w;j=x;n=y}else{m=w;j=x;l=l+1|0;n=y}while(0);z=z+1|0;if((z|0)>=(l+A|0))break;else{w=m;x=j;y=n}}}}e=e+1|0;if(!(C|(e|0)<(G|0)))break a;else n=k}I=d+20|0;c[d+16>>2]=c[I>>2];c[I>>2]=e}while(0);Ih(b);ri(b);e=c[12690]|0;if((e|0)>0){s=c[12691]|0;p=0;r=0;f=0;while(1){g=s+(r*40|0)|0;o=c[s+(r*40|0)+12>>2]|0;j=(p|0)==0;if(o)if(!j)if((o|0)>0?(c[g>>2]|0)>(f|0):0){j=c[s+(r*40|0)+4>>2]|0;m=0;do{e=c[j+(m<<2)>>2]|0;l=c[e+4>>2]|0;if((l|0)>0){e=c[e>>2]|0;g=0;do{I=(c[(c[e+(g<<2)>>2]|0)+16>>2]|0)+232|0;c[I>>2]=(c[I>>2]|0)-p;g=g+1|0}while((g|0)!=(l|0))}m=m+1|0}while((m|0)!=(o|0));e=c[12690]|0;g=p}else g=p;else g=0;else{if(j)f=c[g>>2]|0;g=p+1|0}r=r+1|0;if((r|0)>=(e|0))break;else p=g}}h[d+8>>3]=+qi(b);i=J;return}function oi(a){a=a|0;var b=0;b=gu(a)|0;if(b)do{c[(c[b+16>>2]|0)+216>>2]=0;b=hu(a,b)|0}while((b|0)!=0);return}function pi(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;g=i;i=i+32|0;f=g+16|0;e=g+8|0;d=g+20|0;c[d>>2]=5;a=Qs(a,140329)|0;if((a|0)!=0?(c[e>>2]=g,c[e+4>>2]=d,(EO(a,127247,e)|0)>=1):0){us(0,127254,f)|0;c[b+24>>2]=0;c[b+32>>2]=0}else{c[b+24>>2]=0;c[b+32>>2]=0}i=g;return 0}function qi(a){a=a|0;var b=0.0,d=0.0,e=0,f=0,g=0,i=0.0;ri(a);g=c[12690]|0;a=c[a+16>>2]|0;d=+(_(c[a+252>>2]|0,g+-1|0)|0);if((g|0)>0){f=c[12691]|0;a=c[a+248>>2]|0;e=0;b=0.0;do{i=+h[f+(e*40|0)+24>>3]+ +(_(a,c[f+(e*40|0)+16>>2]|0)|0);b=b<i?i:b;d=d+ +h[f+(e*40|0)+32>>3];e=e+1|0}while((e|0)<(g|0))}else b=0.0;return +(b/d)}function ri(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0,j=0;c[12690]=0;b=c[12691]|0;if(b){if((c[12688]|0)>0){d=0;while(1){e=c[b+(d*40|0)+4>>2]|0;if(e){fQ(e);b=c[12691]|0}b=c[b+(d*40|0)+8>>2]|0;if(b)fQ(b);d=d+1|0;if((d|0)>=(c[12688]|0))break;b=c[12691]|0}b=c[12691]|0}fQ(b)}c[12691]=yz((c[12688]|0)*40|0)|0;b=c[12688]|0;if((b|0)>0){d=0;do{j=yz(b<<2)|0;c[(c[12691]|0)+(d*40|0)+4>>2]=j;j=yz(c[12688]<<2)|0;c[(c[12691]|0)+(d*40|0)+8>>2]=j;j=c[12691]|0;c[j+(d*40|0)>>2]=d;c[j+(d*40|0)+12>>2]=0;c[j+(d*40|0)+16>>2]=0;j=j+(d*40|0)+24|0;d=d+1|0;c[j>>2]=0;c[j+4>>2]=0;c[j+8>>2]=0;c[j+12>>2]=0;b=c[12688]|0}while((d|0)<(b|0))}b=gu(a)|0;if(b)do{d=at(a,b)|0;if(d)do{j=c[d>>2]&3;e=(c[(c[(c[((j|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)+1|0;g=d+-48|0;if((e|0)<(c[(c[(c[((j|0)==2?d:g)+40>>2]|0)+16>>2]|0)+232>>2]|0)){f=c[12691]|0;do{j=f+(e*40|0)+16|0;c[j>>2]=(c[j>>2]|0)+1;e=e+1|0}while((e|0)<(c[(c[(c[((c[d>>2]&3|0)==2?d:g)+40>>2]|0)+16>>2]|0)+232>>2]|0))}d=ct(a,d)|0}while((d|0)!=0);b=hu(a,b)|0}while((b|0)!=0);if((c[12688]|0)>0){f=a+16|0;j=0;do{g=c[12687]|0;a=(c[c[g+(j*24|0)>>2]>>2]|0)+16|0;b=(c[a>>2]|0)+232|0;d=c[b>>2]|0;if((d|0)>=(c[12690]|0)){c[12690]=d+1;d=c[b>>2]|0}e=c[12691]|0;b=e+(d*40|0)+24|0;i=+h[b>>3];h[b>>3]=i+(+h[g+(j*24|0)+8>>3]*72.0+(i>0.0?+(c[(c[f>>2]|0)+248>>2]|0):0.0));b=e+(d*40|0)+32|0;i=+h[g+(j*24|0)+16>>3]*72.0;if(+h[b>>3]<i)h[b>>3]=i;c[(c[e+(d*40|0)+4>>2]|0)+(c[e+(d*40|0)+12>>2]<<2)>>2]=g+(j*24|0);a=(c[12691]|0)+((c[(c[a>>2]|0)+232>>2]|0)*40|0)+12|0;c[a>>2]=(c[a>>2]|0)+1;j=j+1|0}while((j|0)<(c[12688]|0))}return}function si(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0;f=c[12691]|0;e=+h[f+((c[b>>2]|0)*40|0)+24>>3];d=+h[f+((c[a>>2]|0)*40|0)+24>>3];return (e>d&1)-(e<d&1)|0}function ti(a,b){a=a|0;b=b|0;a=ui(c[a>>2]|0)|0;b=ui(c[b>>2]|0)|0;return ((b|0)<(a|0)&1)-((b|0)>(a|0)&1)|0}function ui(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;f=a+4|0;if((c[f>>2]|0)>0){b=0;g=0;do{d=c[(c[a>>2]|0)+(g<<2)>>2]|0;e=xu(d)|0;d=at(e,d)|0;if(d)do{b=b+1|0;d=ct(e,d)|0}while((d|0)!=0);g=g+1|0}while((g|0)<(c[f>>2]|0))}else b=0;return b|0}function vi(b){b=b|0;var d=0,e=0;d=c[13958]|0;if((((d|0)!=0?(e=Rs(b,d)|0,(e|0)!=0):0)?(a[e>>0]|0)!=0:0)?(rC(e)|0)<<24>>24==0:0)d=1;else d=0;return d|0}function wi(b){b=b|0;var d=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;Ei(b);d=gu(b)|0;if(d)do{f=at(b,d)|0;if(f)do{j=f+16|0;do if(((c[(c[j>>2]|0)+172>>2]|0)==0?(vi(f)|0)==0:0)?(m=f+48|0,n=sC(c[((c[f>>2]&3|0)==3?f:m)+40>>2]|0)|0,o=f+-48|0,p=sC(c[((c[f>>2]&3|0)==2?f:o)+40>>2]|0)|0,(n|0)!=(p|0)):0){if((c[(c[n+16>>2]|0)+212>>2]|0)==0?(c[(c[p+16>>2]|0)+212>>2]|0)==0:0){g=lg(n,p)|0;if(!g){tg(n,p,f)|0;break}else{Ag(f,g);break}}l=c[f>>2]&3;k=c[((l|0)==3?f:m)+40>>2]|0;l=c[((l|0)==2?f:o)+40>>2]|0;g=c[k+16>>2]|0;h=c[g+212>>2]|0;if(!h)i=0;else i=(c[g+232>>2]|0)-(c[(c[(c[(c[h+16>>2]|0)+264>>2]|0)+16>>2]|0)+232>>2]|0)|0;g=c[l+16>>2]|0;h=c[g+212>>2]|0;if(!h)g=0;else g=(c[g+232>>2]|0)-(c[(c[(c[(c[h+16>>2]|0)+264>>2]|0)+16>>2]|0)+232>>2]|0)|0;i=(e[(c[j>>2]|0)+170>>1]|0)+(i-g)|0;h=(i|0)>0;g=xg(b)|0;a[(c[g+16>>2]|0)+156>>0]=2;q=sC(k)|0;k=sC(l)|0;l=oh(g,q,h?0.0:+(0-i|0),(c[(c[j>>2]|0)+156>>2]|0)*10|0)|0;c[(c[(oh(g,k,h?+(i|0):0.0,c[(c[j>>2]|0)+156>>2]|0)|0)+16>>2]|0)+116>>2]=f;c[(c[l+16>>2]|0)+116>>2]=f}while(0);f=ct(b,f)|0}while((f|0)!=0);d=hu(b,d)|0}while((d|0)!=0);return}function xi(a,d,f,g){a=a|0;d=d|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0.0;n=c[d>>2]&3;i=c[(c[(c[((n|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0;n=c[(c[(c[((n|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0;n=(i|0)>(n|0)?i:n;i=c[d+16>>2]|0;d=i+172|0;if(c[d>>2]|0)Na(127343,127365,148,127374);c[d>>2]=f;m=a+16|0;j=(g|0)==0;k=i+154|0;l=i+156|0;i=i+168|0;g=f;do{if(j)d=c[g+16>>2]|0;else{d=c[g+16>>2]|0;f=d+168|0;b[f>>1]=(e[f>>1]|0)+(e[i>>1]|0)}a=d+154|0;b[a>>1]=(e[a>>1]|0)+(e[k>>1]|0);d=d+156|0;c[d>>2]=(c[d>>2]|0)+(c[l>>2]|0);d=g+-48|0;a=c[(c[((c[g>>2]&3|0)==2?g:d)+40>>2]|0)+16>>2]|0;if((c[a+232>>2]|0)==(n|0))break;o=+((c[(c[m>>2]|0)+248>>2]|0)/2|0|0);f=a+88|0;h[f>>3]=o+ +h[f>>3];f=a+96|0;h[f>>3]=o+ +h[f>>3];g=c[c[(c[(c[((c[g>>2]&3|0)==2?g:d)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0}while((g|0)!=0);return}function yi(a,b){a=a|0;b=b|0;var d=0,e=0;if(((((a|0)!=0&(b|0)!=0?(e=c[a>>2]&3,d=c[b>>2]&3,(c[((e|0)==3?a:a+48|0)+40>>2]|0)==(c[((d|0)==3?b:b+48|0)+40>>2]|0)):0)?(c[((e|0)==2?a:a+-48|0)+40>>2]|0)==(c[((d|0)==2?b:b+-48|0)+40>>2]|0):0)?(c[(c[a+16>>2]|0)+96>>2]|0)==(c[(c[b+16>>2]|0)+96>>2]|0):0)?(ph(a,b)|0)!=0:0)d=1;else d=0;return d|0}function zi(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=b+16|0;d=c[q>>2]|0;c[d+192>>2]=0;c[d+232>>2]=0;Ei(b);d=c[q>>2]|0;if((c[d+180>>2]|0)>=1){e=1;while(1){Fi(b,c[(c[d+184>>2]|0)+(e<<2)>>2]|0);d=c[q>>2]|0;if((e|0)>=(c[d+180>>2]|0))break;else e=e+1|0}}d=gu(b)|0;if(d)do{e=at(b,d)|0;if(e)do{f=c[e>>2]|0;g=(c[(c[((f&3|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+160|0;h=a[g>>0]|0;if(h<<24>>24<3){a[g>>0]=h+1<<24>>24;f=c[e>>2]|0}f=(c[(c[((f&3|0)==3?e:e+48|0)+40>>2]|0)+16>>2]|0)+160|0;g=a[f>>0]|0;if(g<<24>>24<3)a[f>>0]=g+1<<24>>24;e=ct(b,e)|0}while((e|0)!=0);d=hu(b,d)|0}while((d|0)!=0);d=gu(b)|0;if(d)do{if((c[(c[d+16>>2]|0)+212>>2]|0)==0?(d|0)==(sC(d)|0):0){ug(b,d);l=(c[q>>2]|0)+232|0;c[l>>2]=(c[l>>2]|0)+1}e=at(b,d)|0;if(e){f=0;do{l=e+16|0;h=c[l>>2]|0;a:do if(!(c[h+172>>2]|0)){g=c[e>>2]|0;i=g&3;k=e+48|0;j=c[((i|0)==3?e:k)+40>>2]|0;if((a[(c[j+16>>2]|0)+159>>0]|0)!=7?(n=e+-48|0,o=c[((i|0)==2?e:n)+40>>2]|0,(a[(c[o+16>>2]|0)+159>>0]|0)!=7):0){do if(((f|0)!=0?(m=c[f>>2]&3,(j|0)==(c[((m|0)==3?f:f+48|0)+40>>2]|0)):0)?(o|0)==(c[((m|0)==2?f:f+-48|0)+40>>2]|0):0){if((c[(c[j+16>>2]|0)+232>>2]|0)==(c[(c[o+16>>2]|0)+232>>2]|0)){Ag(e,f);qg(e);break a}if(!(c[h+96>>2]|0)){h=f+16|0;if(c[(c[h>>2]|0)+96>>2]|0)break;if(!(ph(e,f)|0)){g=c[e>>2]|0;break}if(!(a[142277]|0)){xi(b,e,c[(c[h>>2]|0)+172>>2]|0,1);qg(e);break a}else{a[(c[l>>2]|0)+112>>0]=6;break a}}}while(0);j=g&3;g=c[((j|0)==3?e:k)+40>>2]|0;if((g|0)==(c[((j|0)==2?e:n)+40>>2]|0)){qg(e);f=e;break}i=sC(g)|0;j=sC(c[((c[e>>2]&3|0)==2?e:n)+40>>2]|0)|0;g=c[e>>2]&3;if((c[((g|0)==3?e:k)+40>>2]|0)!=(i|0))break;if((c[((g|0)==2?e:n)+40>>2]|0)!=(j|0))break;g=c[(c[i+16>>2]|0)+232>>2]|0;h=c[(c[j+16>>2]|0)+232>>2]|0;if((g|0)==(h|0)){yg(b,e);f=e;break}if((h|0)>(g|0)){Bi(b,i,j,e);f=e;break}g=ht(b,j,i,0,0)|0;do if(g){h=c[g>>2]&3;i=c[((h|0)==2?g:g+-48|0)+40>>2]|0;if((i|0)==(c[((c[e>>2]&3|0)==2?e:n)+40>>2]|0))break;j=g+16|0;if(!(c[(c[j>>2]|0)+172>>2]|0))Bi(b,c[((h|0)==3?g:g+48|0)+40>>2]|0,i,g);if(c[(c[l>>2]|0)+96>>2]|0)break;if(c[(c[j>>2]|0)+96>>2]|0)break;if(!(ph(e,g)|0))break;if(!(a[142277]|0)){qg(e);xi(b,e,c[(c[j>>2]|0)+172>>2]|0,1);break a}else{a[(c[l>>2]|0)+112>>0]=6;a[(c[j>>2]|0)+153>>0]=1;break a}}while(0);f=c[e>>2]&3;Bi(b,c[((f|0)==2?e:n)+40>>2]|0,c[((f|0)==3?e:k)+40>>2]|0,e);f=e;break}if(yi(f,e)|0){g=c[(c[f+16>>2]|0)+172>>2]|0;if(g){xi(b,e,g,0);qg(e);break}l=c[e>>2]&3;if((c[(c[(c[((l|0)==3?e:k)+40>>2]|0)+16>>2]|0)+232>>2]|0)!=(c[(c[(c[((l|0)==2?e:e+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0))break;Ag(e,f);qg(e);break}g=Ai(c[((c[e>>2]&3|0)==3?e:k)+40>>2]|0)|0;h=Ai(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)|0;i=(c[(c[g+16>>2]|0)+232>>2]|0)>(c[(c[h+16>>2]|0)+232>>2]|0);f=i?g:h;g=i?h:g;h=g+16|0;i=f+16|0;if((c[(c[h>>2]|0)+212>>2]|0)!=(c[(c[i>>2]|0)+212>>2]|0)){j=lg(g,f)|0;if(j){xi(b,e,j,1);f=e;break}if((c[(c[h>>2]|0)+232>>2]|0)!=(c[(c[i>>2]|0)+232>>2]|0)?(Bi(b,g,f,e),p=c[(c[l>>2]|0)+172>>2]|0,(p|0)!=0):0){f=c[(c[i>>2]|0)+232>>2]|0;h=p;while(1){g=h+-48|0;if((c[(c[(c[((c[h>>2]&3|0)==2?h:g)+40>>2]|0)+16>>2]|0)+232>>2]|0)>(f|0)){f=e;break a}a[(c[h+16>>2]|0)+112>>0]=5;h=c[c[(c[(c[((c[h>>2]&3|0)==2?h:g)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0;if(!h){f=e;break}}}else f=e}else f=e}else f=e;while(0);e=ct(b,e)|0}while((e|0)!=0)}d=hu(b,d)|0}while((d|0)!=0);if((If(b)|0)!=(b|0)){d=c[(c[q>>2]|0)+216>>2]|0;if(!d)d=zz(4)|0;else d=Bz(d,4)|0;q=c[q>>2]|0;c[q+216>>2]=d;c[d>>2]=c[q+192>>2]}return}function Ai(b){b=b|0;var d=0;d=c[b+16>>2]|0;if((a[d+159>>0]|0)==7)d=c[(c[(c[(c[d+212>>2]|0)+16>>2]|0)+268>>2]|0)+(c[d+232>>2]<<2)>>2]|0;else d=sC(b)|0;return d|0}function Bi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0;p=f+16|0;g=c[p>>2]|0;if(!(c[g+96>>2]|0))q=-1;else q=((c[(c[e+16>>2]|0)+232>>2]|0)+(c[(c[d+16>>2]|0)+232>>2]|0)|0)/2|0;if(c[g+172>>2]|0)Na(127386,127365,89,127411);i=c[(c[d+16>>2]|0)+232>>2]|0;n=e+16|0;g=c[(c[n>>2]|0)+232>>2]|0;if((i|0)<(g|0)){o=b+16|0;m=d;while(1){i=i+1|0;if((i|0)<(g|0)){do if((i|0)==(q|0)){g=c[(c[p>>2]|0)+96>>2]|0;k=+h[g+24>>3];l=+h[g+32>>3];g=xg(b)|0;j=g+16|0;c[(c[j>>2]|0)+104>>2]=c[(c[p>>2]|0)+96>>2];r=+(c[(c[(yu(g)|0)+16>>2]|0)+248>>2]|0);d=c[j>>2]|0;h[d+88>>3]=r;if(!(a[(c[p>>2]|0)+114>>0]|0)){s=(c[(c[(yu(b)|0)+16>>2]|0)+116>>2]&1|0)==0;d=c[j>>2]|0;j=d+80|0;if(s){h[j>>3]=l;h[d+96>>3]=k;break}else{h[j>>3]=k;h[d+96>>3]=l;break}}}else{g=xg(b)|0;r=+((c[(c[o>>2]|0)+248>>2]|0)/2|0|0);d=c[g+16>>2]|0;s=d+88|0;h[s>>3]=r+ +h[s>>3];s=d+96|0;h[s>>3]=r+ +h[s>>3]}while(0);c[d+232>>2]=i;d=g}else d=e;Og(tg(m,d,f)|0);g=c[(c[n>>2]|0)+232>>2]|0;if((i|0)>=(g|0))break;else m=d}if(c[(c[p>>2]|0)+172>>2]|0)return}Na(127422,127365,103,127411)}function Ci(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;l=If(a)|0;b=gu(a)|0;if(b)do{d=ft(l,b)|0;if(d){k=0;while(1){e=d;d=gt(l,d,b)|0;do if(!(Hu(a,e)|0)){e=(c[e>>2]&3|0)==2?e:e+-48|0;m=(yi(k,e)|0)==0;h=c[e>>2]&3;f=c[((h|0)==3?e:e+48|0)+40>>2]|0;g=c[(c[f+16>>2]|0)+232>>2]|0;h=c[((h|0)==2?e:e+-48|0)+40>>2]|0;i=c[(c[h+16>>2]|0)+232>>2]|0;j=(g|0)==(i|0);if(!m){c[(c[e+16>>2]|0)+172>>2]=j?k:0;f=c[(c[k+16>>2]|0)+172>>2]|0;if(!f){e=k;break}xi(a,e,f,0);rg(e);e=k;break}if(!j)if((i|0)>(g|0)){Ii(f,h,e);break}else{Ii(h,f,e);break}f=mg(f,h)|0;if(!f){yg(l,e);break}if((e|0)!=(f|0)?(rg(e),(c[(c[e+16>>2]|0)+172>>2]|0)==0):0){Ag(e,f);e=k}else e=k}else e=k;while(0);if(!d)break;else k=e}}b=hu(a,b)|0}while((b|0)!=0);return}function Di(d){d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;zi(d);n=d+16|0;m=c[n>>2]|0;c[m+220>>2]=1;c[c[m+216>>2]>>2]=c[m+192>>2];Jg(d);Lg(d,0);m=If(d)|0;g=c[n>>2]|0;f=b[g+236>>1]|0;e=f<<16>>16;if(f<<16>>16>0){l=m+16|0;a[(c[(c[l>>2]|0)+196>>2]|0)+(e+-1<<6)+49>>0]=0}else l=m+16|0;if(f<<16>>16>(b[g+238>>1]|0)){h=c[l>>2]|0;f=g}else{f=g;while(1){k=c[(c[(c[(c[f+268>>2]|0)+(e<<2)>>2]|0)+16>>2]|0)+236>>2]|0;Ji(m,e,k,c[(c[f+196>>2]|0)+(e<<6)>>2]|0);f=c[n>>2]|0;g=c[f+196>>2]|0;h=c[l>>2]|0;if((c[g+(e<<6)>>2]|0)>0){i=0;j=k;while(1){f=c[(c[g+(e<<6)+4>>2]|0)+(i<<2)>>2]|0;c[(c[(c[h+196>>2]|0)+(e<<6)+4>>2]|0)+(j<<2)>>2]=f;h=c[f+16>>2]|0;c[h+236>>2]=j;if((a[h+156>>0]|0)==1)c[f+24>>2]=yu(m)|0;wg(d,f);ug(m,f);h=c[l>>2]|0;f=h+232|0;c[f>>2]=(c[f>>2]|0)+1;i=i+1|0;f=c[n>>2]|0;g=c[f+196>>2]|0;if((i|0)>=(c[g+(e<<6)>>2]|0))break;else j=j+1|0}}j=c[h+196>>2]|0;c[g+(e<<6)+4>>2]=(c[j+(e<<6)+4>>2]|0)+(k<<2);a[j+(e<<6)+49>>0]=0;g=e+1|0;if((e|0)<(b[f+238>>1]|0))e=g;else{e=g;break}}}if((e|0)<(b[h+238>>1]|0))a[(c[h+196>>2]|0)+(e<<6)+49>>0]=0;a[f+272>>0]=1;Ci(d);e=c[n>>2]|0;f=b[e+236>>1]|0;if(f<<16>>16<=(b[e+238>>1]|0)){i=f<<16>>16;while(1){g=c[(c[e+268>>2]|0)+(i<<2)>>2]|0;h=g+16|0;e=c[h>>2]|0;f=c[c[e+180>>2]>>2]|0;if(f)do{pg(f);e=c[h>>2]|0;f=c[c[e+180>>2]>>2]|0}while((f|0)!=0);e=c[c[e+172>>2]>>2]|0;if(e)do{pg(e);e=c[c[(c[h>>2]|0)+172>>2]>>2]|0}while((e|0)!=0);wg(If(d)|0,g);c[(c[(c[n>>2]|0)+268>>2]|0)+(i<<2)>>2]=0;e=c[n>>2]|0;if((i|0)>=(b[e+238>>1]|0))break;else i=i+1|0}}return}function Ei(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+16|0;n=o;d=gu(b)|0;if(d)do{f=d+16|0;e=c[f>>2]|0;if((a[e+159>>0]|0)==7){uC(d);e=c[f>>2]|0}c[e+212>>2]=0;d=hu(b,d)|0}while((d|0)!=0);m=b+16|0;d=c[m>>2]|0;if((c[d+180>>2]|0)>=1){l=1;while(1){j=c[(c[d+184>>2]|0)+(l<<2)>>2]|0;d=gu(j)|0;if(d){k=j+16|0;do{f=d;d=hu(j,d)|0;e=f+16|0;if(!(a[(c[e>>2]|0)+159>>0]|0)){vC(f,c[(c[k>>2]|0)+264>>2]|0);e=c[e>>2]|0;c[e+212>>2]=j;a[e+159>>0]=7;e=at(j,f)|0;if(e)do{f=c[(c[e+16>>2]|0)+172>>2]|0;a:do if(f)do{g=f+-48|0;h=c[(c[((c[f>>2]&3|0)==2?f:g)+40>>2]|0)+16>>2]|0;if((a[h+156>>0]|0)!=1)break a;c[h+212>>2]=j;f=c[c[(c[(c[((c[f>>2]&3|0)==2?f:g)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0}while((f|0)!=0);while(0);e=ct(j,e)|0}while((e|0)!=0)}else{g=Ft(f)|0;h=Ft(b)|0;c[n>>2]=g;c[n+4>>2]=h;us(0,127447,n)|0;wu(j,f)|0}}while((d|0)!=0)}d=c[m>>2]|0;if((l|0)>=(c[d+180>>2]|0))break;else l=l+1|0}}i=o;return}function Fi(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;l=e+16|0;f=yz((b[(c[l>>2]|0)+238>>1]<<2)+8|0)|0;k=c[l>>2]|0;c[k+268>>2]=f;f=b[k+236>>1]|0;if(f<<16>>16<=(b[k+238>>1]|0)){h=0;g=f<<16>>16;while(1){f=h;h=xg(d)|0;c[(c[(c[l>>2]|0)+268>>2]|0)+(g<<2)>>2]=h;k=c[h+16>>2]|0;c[k+232>>2]=g;a[k+159>>0]=7;c[k+212>>2]=e;if(f){k=(c[(tg(f,h,0)|0)+16>>2]|0)+154|0;b[k>>1]=(b[k>>1]|0)*1e3}if((g|0)>=(b[(c[l>>2]|0)+238>>1]|0))break;else g=g+1|0}}f=gu(e)|0;if(f)do{k=(c[(c[(c[l>>2]|0)+268>>2]|0)+(c[(c[f+16>>2]|0)+232>>2]<<2)>>2]|0)+16|0;g=(c[k>>2]|0)+216|0;c[g>>2]=(c[g>>2]|0)+1;g=at(e,f)|0;if(g)do{j=c[g>>2]&3;d=c[(c[(c[((j|0)==3?g:g+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0;i=g+-48|0;if((d|0)<(c[(c[(c[((j|0)==2?g:i)+40>>2]|0)+16>>2]|0)+232>>2]|0)){h=(c[(c[c[(c[k>>2]|0)+180>>2]>>2]|0)+16>>2]|0)+168|0;j=b[h>>1]|0;do{j=j+1<<16>>16;b[h>>1]=j;d=d+1|0}while((d|0)<(c[(c[(c[((c[g>>2]&3|0)==2?g:i)+40>>2]|0)+16>>2]|0)+232>>2]|0))}g=ct(e,g)|0}while((g|0)!=0);f=hu(e,f)|0}while((f|0)!=0);g=c[l>>2]|0;d=b[g+236>>1]|0;f=b[g+238>>1]|0;if(d<<16>>16<=f<<16>>16){i=f<<16>>16;h=c[g+268>>2]|0;d=d<<16>>16;while(1){f=(c[(c[h+(d<<2)>>2]|0)+16>>2]|0)+216|0;g=c[f>>2]|0;if((g|0)>1)c[f>>2]=g+-1;if((d|0)<(i|0))d=d+1|0;else break}}return}function Gi(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;j=(c[(c[e+16>>2]|0)+212>>2]|0)+16|0;e=c[j>>2]|0;k=f+1|0;if((a[e+273>>0]|0)!=(k|0)){i=b[e+236>>1]|0;h=b[e+238>>1]|0;if(i<<16>>16<=h<<16>>16){i=i<<16>>16;while(1){Kg(d,c[(c[e+268>>2]|0)+(i<<2)>>2]|0);e=c[j>>2]|0;h=b[e+238>>1]|0;if((i|0)<(h<<16>>16|0))i=i+1|0;else break}i=b[e+236>>1]|0}if(i<<16>>16<=h<<16>>16){h=i<<16>>16;while(1){Mg(g,c[(c[e+268>>2]|0)+(h<<2)>>2]|0,f);e=c[j>>2]|0;if((h|0)<(b[e+238>>1]|0))h=h+1|0;else break}}a[e+273>>0]=k}return}function Hi(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=gu(b)|0;if(d)do{c[(c[d+16>>2]|0)+212>>2]=0;e=at(b,d)|0;if(e)do{f=c[(c[e+16>>2]|0)+172>>2]|0;a:do if(f)do{g=f+-48|0;h=c[(c[((c[f>>2]&3|0)==2?f:g)+40>>2]|0)+16>>2]|0;if((a[h+156>>0]|0)!=1)break a;c[h+212>>2]=0;f=c[c[(c[(c[((c[f>>2]&3|0)==2?f:g)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0}while((f|0)!=0);while(0);e=ct(b,e)|0}while((e|0)!=0);d=hu(b,d)|0}while((d|0)!=0);Ki(b);return}function Ii(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[d+16>>2]|0;i=c[g+212>>2]|0;if((i|0)!=0?(j=c[i+16>>2]|0,(a[j+272>>0]|0)==0):0)p=c[(c[j+268>>2]|0)+(c[g+232>>2]<<2)>>2]|0;else p=d;g=c[e+16>>2]|0;i=c[g+212>>2]|0;if((i|0)!=0?(k=c[i+16>>2]|0,(a[k+272>>0]|0)==0):0){q=c[(c[k+268>>2]|0)+(c[g+232>>2]<<2)>>2]|0;i=c[q+16>>2]|0}else{i=g;q=e}o=(p|0)==(d|0)&(q|0)==(e|0)?1:5;e=f+16|0;j=(c[e>>2]|0)+172|0;g=c[j>>2]|0;d=p+16|0;k=c[(c[d>>2]|0)+232>>2]|0;n=q+16|0;i=c[i+232>>2]|0;if((i|0)<=(k|0))Na(127501,127529,81,127539);r=c[g>>2]&3;if(!((c[((r|0)==3?g:g+48|0)+40>>2]|0)==(p|0)?(c[((r|0)==2?g:g+-48|0)+40>>2]|0)==(q|0):0))m=11;a:do if((m|0)==11){if((b[(c[g+16>>2]|0)+168>>1]|0)>1){c[j>>2]=0;if(((i-k|0)==1?(l=lg(p,q)|0,(l|0)!=0):0)?(ph(f,l)|0)!=0:0){Ag(f,l);if(a[(c[d>>2]|0)+156>>0]|0)break;if(a[(c[n>>2]|0)+156>>0]|0)break;qg(f);break}j=c[(c[d>>2]|0)+232>>2]|0;i=c[(c[n>>2]|0)+232>>2]|0;if((j|0)>=(i|0))break;m=o&255;e=p;while(1){if((j|0)<(i+-1|0)){o=If(p)|0;d=g+-48|0;k=(c[((c[g>>2]&3|0)==2?g:d)+40>>2]|0)+16|0;l=c[k>>2]|0;r=c[l+232>>2]|0;Ji(o,r,c[l+236>>2]|0,2);l=xg(o)|0;k=c[k>>2]|0;i=c[l+16>>2]|0;h[i+88>>3]=+h[k+88>>3];h[i+96>>3]=+h[k+96>>3];c[i+232>>2]=c[k+232>>2];k=(c[k+236>>2]|0)+1|0;c[i+236>>2]=k;c[(c[(c[(c[o+16>>2]|0)+196>>2]|0)+(r<<6)+4>>2]|0)+(k<<2)>>2]=l;k=g}else{k=g;d=g+-48|0;l=q}a[(c[(tg(e,l,f)|0)+16>>2]|0)+112>>0]=m;i=(c[g+16>>2]|0)+168|0;b[i>>1]=(b[i>>1]|0)+-1<<16>>16;j=j+1|0;i=c[(c[n>>2]|0)+232>>2]|0;if((j|0)>=(i|0))break a;else{g=c[c[(c[(c[((c[k>>2]&3|0)==2?g:d)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0;e=l}}}do if((i-k|0)==1){g=lg(p,q)|0;if((g|0)!=0?(ph(f,g)|0)!=0:0){c[(c[e>>2]|0)+172>>2]=g;r=c[g+16>>2]|0;a[r+112>>0]=o;r=r+168|0;b[r>>1]=(b[r>>1]|0)+1<<16>>16;if(a[(c[d>>2]|0)+156>>0]|0)break;if(a[(c[n>>2]|0)+156>>0]|0)break;qg(f);break}c[(c[e>>2]|0)+172>>2]=0;g=tg(p,q,f)|0;a[(c[g+16>>2]|0)+112>>0]=o}while(0);j=c[(c[n>>2]|0)+232>>2]|0;if((j-(c[(c[d>>2]|0)+232>>2]|0)|0)>1){i=c[g>>2]|0;if((c[((i&3|0)==3?g:g+48|0)+40>>2]|0)==(p|0))d=j;else{c[(c[e>>2]|0)+172>>2]=0;r=tg(p,c[((c[g>>2]&3|0)==2?g:g+-48|0)+40>>2]|0,f)|0;c[(c[e>>2]|0)+172>>2]=r;pg(g);i=c[r>>2]|0;d=c[(c[n>>2]|0)+232>>2]|0;g=r}j=i&3;i=c[((j|0)==2?g:g+-48|0)+40>>2]|0;k=c[i+16>>2]|0;if((c[k+232>>2]|0)!=(d|0))do{g=c[c[k+180>>2]>>2]|0;j=c[g>>2]&3;i=c[((j|0)==2?g:g+-48|0)+40>>2]|0;k=c[i+16>>2]|0}while((c[k+232>>2]|0)!=(d|0));if((i|0)!=(q|0)){a[(c[(tg(c[((j|0)==3?g:g+48|0)+40>>2]|0,q,f)|0)+16>>2]|0)+112>>0]=o;pg(g)}}}while(0);return}function Ji(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;i=a+16|0;a=c[i>>2]|0;f=c[a+196>>2]|0;h=c[f+(b<<6)+4>>2]|0;if((e|0)<1){d=d-e|0;g=d+1|0;f=c[f+(b<<6)>>2]|0;if((g|0)<(f|0)){a=d;while(1){f=c[h+(g<<2)>>2]|0;d=a+e|0;c[(c[f+16>>2]|0)+236>>2]=d;c[h+(d<<2)>>2]=f;d=g+1|0;a=c[i>>2]|0;f=c[(c[a+196>>2]|0)+(b<<6)>>2]|0;if((d|0)<(f|0)){a=g;g=d}else{g=f;break}}}else g=f;f=e+-1|0;d=f+g|0;if((d|0)<(g|0))do{c[h+(d<<2)>>2]=0;d=d+1|0;a=c[i>>2]|0}while((d|0)<(c[(c[a+196>>2]|0)+(b<<6)>>2]|0))}else{a=(c[f+(b<<6)>>2]|0)+-1|0;if((a|0)>(d|0)){f=e+-1|0;do{j=c[h+(a<<2)>>2]|0;g=f+a|0;c[(c[j+16>>2]|0)+236>>2]=g;c[h+(g<<2)>>2]=j;a=a+-1|0}while((a|0)>(d|0))}a=d+1|0;if((a|0)<(e+d|0))tQ(h+(a<<2)|0,0,(e<<2)+-4|0)|0;f=e+-1|0;a=c[i>>2]|0}j=(c[a+196>>2]|0)+(b<<6)|0;c[j>>2]=f+(c[j>>2]|0);return}function Ki(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;f=b+16|0;d=c[f>>2]|0;if((c[d+180>>2]|0)>=1){e=1;while(1){Ki(c[(c[d+184>>2]|0)+(e<<2)>>2]|0);d=c[f>>2]|0;if((e|0)>=(c[d+180>>2]|0))break;else e=e+1|0}}d=gu(b)|0;if(d)do{e=(c[d+16>>2]|0)+212|0;if(!(c[e>>2]|0))c[e>>2]=b;e=at(b,d)|0;if(e)do{f=c[(c[e+16>>2]|0)+172>>2]|0;a:do if(f)do{g=c[f>>2]|0;i=f+-48|0;h=c[(c[((g&3|0)==2?f:i)+40>>2]|0)+16>>2]|0;if((a[h+156>>0]|0)!=1)break a;h=h+212|0;if(!(c[h>>2]|0)){c[h>>2]=b;g=c[f>>2]|0}f=c[c[(c[(c[((g&3|0)==2?f:i)+40>>2]|0)+16>>2]|0)+180>>2]>>2]|0}while((f|0)!=0);while(0);e=ct(b,e)|0}while((e|0)!=0);d=hu(b,d)|0}while((d|0)!=0);return}function Li(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,l=0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0;aa=i;i=i+240|0;C=aa+216|0;B=aa+200|0;Y=aa+184|0;X=aa+168|0;_=aa+152|0;Z=aa+136|0;W=aa+128|0;V=aa+64|0;D=aa+48|0;E=aa+32|0;H=aa+16|0;N=aa;O=MC(b)|0;d=gu(b)|0;a:do if(d){P=D+8|0;R=V+16|0;U=V+32|0;F=V+48|0;G=H+8|0;b:while(1){e=at(b,d)|0;if(e)do{f=Mi(Qs(e,127548)|0,O)|0;q=Mi(Qs(e,127554)|0,O)|0;r=(q|0)!=0;g=(f|0)!=0;do if(g|r?(I=e+16|0,M=c[(c[I>>2]|0)+8>>2]|0,(M|0)!=0):0){if((c[M+4>>2]|0)>1){z=Ft(c[((c[e>>2]&3|0)==3?e:e+48|0)+40>>2]|0)|0;A=Ft(c[((c[e>>2]&3|0)==2?e:e+-48|0)+40>>2]|0)|0;c[W>>2]=z;c[W+4>>2]=A;us(0,127560,W)|0;break}z=c[M>>2]|0;j=c[z+4>>2]|0;s=c[e>>2]&3;u=e+-48|0;v=c[((s|0)==2?e:u)+40>>2]|0;w=e+48|0;s=c[((s|0)==3?e:w)+40>>2]|0;A=zz(48)|0;x=z+12|0;c[A+12>>2]=c[x>>2];y=z+8|0;c[A+8>>2]=c[y>>2];do if(g){f=c[f+16>>2]|0;p=f+16|0;t=c[v+16>>2]|0;l=t+16|0;a[k>>0]=a[l>>0];a[k+1>>0]=a[l+1>>0];a[k+2>>0]=a[l+2>>0];a[k+3>>0]=a[l+3>>0];a[k+4>>0]=a[l+4>>0];a[k+5>>0]=a[l+5>>0];a[k+6>>0]=a[l+6>>0];a[k+7>>0]=a[l+7>>0];m=+h[k>>3];t=t+24|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];n=+h[k>>3];o=+h[p>>3];if(((o<=m?(Q=+h[f+32>>3],m<=Q):0)?(S=+h[f+24>>3],S<=n):0)?(T=+h[f+40>>3],n<=T):0){f=c[z>>2]|0;a[k>>0]=a[f>>0];a[k+1>>0]=a[f+1>>0];a[k+2>>0]=a[f+2>>0];a[k+3>>0]=a[f+3>>0];a[k+4>>0]=a[f+4>>0];a[k+5>>0]=a[f+5>>0];a[k+6>>0]=a[f+6>>0];a[k+7>>0]=a[f+7>>0];m=+h[k>>3];t=f+8|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];n=+h[k>>3];if(!(!(n<=T)|(!(o<=m)|!(m<=Q)|!(S<=n)))){t=c[s+16>>2]|0;l=t+16|0;a[k>>0]=a[l>>0];a[k+1>>0]=a[l+1>>0];a[k+2>>0]=a[l+2>>0];a[k+3>>0]=a[l+3>>0];a[k+4>>0]=a[l+4>>0];a[k+5>>0]=a[l+5>>0];a[k+6>>0]=a[l+6>>0];a[k+7>>0]=a[l+7>>0];m=+h[k>>3];t=t+24|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];n=+h[k>>3];if(!(!(n<=T)|(!(o<=m)|!(m<=Q)|!(S<=n)))){p=Ft(c[((c[e>>2]&3|0)==3?e:w)+40>>2]|0)|0;t=Ft(c[((c[e>>2]&3|0)==2?e:u)+40>>2]|0)|0;$=Qs(e,127548)|0;c[_>>2]=p;c[_+4>>2]=t;c[_+8>>2]=$;us(0,127644,_)|0;$=33;break}if(!(c[y>>2]|0)){$=20;break b}t=z+16|0;c[B>>2]=c[f>>2];c[B+4>>2]=c[f+4>>2];c[B+8>>2]=c[f+8>>2];c[B+12>>2]=c[f+12>>2];c[C>>2]=c[t>>2];c[C+4>>2]=c[t+4>>2];c[C+8>>2]=c[t+8>>2];c[C+12>>2]=c[t+12>>2];Oi(D,B,C,p);m=+h[D>>3];o=+h[P>>3];f=c[z>>2]|0;h[f+48>>3]=m;h[f+56>>3]=o;f=c[z>>2]|0;p=z+16|0;a[k>>0]=a[p>>0];a[k+1>>0]=a[p+1>>0];a[k+2>>0]=a[p+2>>0];a[k+3>>0]=a[p+3>>0];a[k+4>>0]=a[p+4>>0];a[k+5>>0]=a[p+5>>0];a[k+6>>0]=a[p+6>>0];a[k+7>>0]=a[p+7>>0];n=+h[k>>3];t=z+24|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];ca=(o+ +h[k>>3])*.5;h[f+16>>3]=(m+n)*.5;h[f+24>>3]=ca;f=c[z>>2]|0;a[k>>0]=a[p>>0];a[k+1>>0]=a[p+1>>0];a[k+2>>0]=a[p+2>>0];a[k+3>>0]=a[p+3>>0];a[k+4>>0]=a[p+4>>0];a[k+5>>0]=a[p+5>>0];a[k+6>>0]=a[p+6>>0];a[k+7>>0]=a[p+7>>0];ca=+h[k>>3];a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];n=+h[k>>3];t=f+16|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];ba=+h[k>>3];t=f+24|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];n=(n+ +h[k>>3])*.5;h[f>>3]=(ca+ba)*.5;h[f+8>>3]=n;f=c[z>>2]|0;t=f+16|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];n=+h[k>>3];t=f+24|0;a[k>>0]=a[t>>0];a[k+1>>0]=a[t+1>>0];a[k+2>>0]=a[t+2>>0];a[k+3>>0]=a[t+3>>0];a[k+4>>0]=a[t+4>>0];a[k+5>>0]=a[t+5>>0];a[k+6>>0]=a[t+6>>0];a[k+7>>0]=a[t+7>>0];o=(o+ +h[k>>3])*.5;h[f+32>>3]=(m+n)*.5;h[f+40>>3]=o;f=c[x>>2]|0;if(!f)f=0;else f=Wx(e,c[z>>2]|0,0,0,A,f)|0;t=f+3|0;break}l=j+-1|0;c:do if((j|0)>1){if(!(Ni(f,p)|0))f=0;else{f=0;break}do{f=f+3|0;if((f|0)>=(l|0))break c}while((Ni((c[z>>2]|0)+(f<<4)|0,p)|0)==0)}else f=0;while(0);g=c[x>>2]|0;j=(g|0)!=0;if((f|0)==(l|0)){if(!j){$=28;break b}t=A+32|0;g=z+32|0;j=(c[z>>2]|0)+(l<<4)|0;c[B>>2]=c[g>>2];c[B+4>>2]=c[g+4>>2];c[B+8>>2]=c[g+8>>2];c[B+12>>2]=c[g+12>>2];c[C>>2]=c[j>>2];c[C+4>>2]=c[j+4>>2];c[C+8>>2]=c[j+8>>2];c[C+12>>2]=c[j+12>>2];Oi(E,B,C,p);c[t>>2]=c[E>>2];c[t+4>>2]=c[E+4>>2];c[t+8>>2]=c[E+8>>2];c[t+12>>2]=c[E+12>>2];t=l;break}if(j)f=Wx(e,c[z>>2]|0,0,f,A,g)|0;t=f+3|0;break}p=Ft(c[((c[e>>2]&3|0)==3?e:w)+40>>2]|0)|0;t=Ft(c[((c[e>>2]&3|0)==2?e:u)+40>>2]|0)|0;$=Qs(e,127548)|0;c[Z>>2]=p;c[Z+4>>2]=t;c[Z+8>>2]=$;us(0,127601,Z)|0;$=33}else $=33;while(0);if(($|0)==33){$=0;f=j+-1|0;if(!(c[x>>2]|0))t=f;else{t=A+32|0;p=z+32|0;c[t>>2]=c[p>>2];c[t+4>>2]=c[p+4>>2];c[t+8>>2]=c[p+8>>2];c[t+12>>2]=c[p+12>>2];t=f}}do if(r){f=c[q+16>>2]|0;p=f+16|0;s=c[s+16>>2]|0;r=s+16|0;a[k>>0]=a[r>>0];a[k+1>>0]=a[r+1>>0];a[k+2>>0]=a[r+2>>0];a[k+3>>0]=a[r+3>>0];a[k+4>>0]=a[r+4>>0];a[k+5>>0]=a[r+5>>0];a[k+6>>0]=a[r+6>>0];a[k+7>>0]=a[r+7>>0];m=+h[k>>3];s=s+24|0;a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];n=+h[k>>3];o=+h[p>>3];if(((o<=m?(J=+h[f+32>>3],m<=J):0)?(K=+h[f+24>>3],K<=n):0)?(L=+h[f+40>>3],n<=L):0){g=c[z>>2]|0;s=g+(t<<4)|0;a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];ba=+h[k>>3];s=g+(t<<4)+8|0;a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];ca=+h[k>>3];if(!(!(ca<=L)|(!(o<=ba)|!(ba<=J)|!(K<=ca)))){v=c[v+16>>2]|0;s=v+16|0;a[k>>0]=a[s>>0];a[k+1>>0]=a[s+1>>0];a[k+2>>0]=a[s+2>>0];a[k+3>>0]=a[s+3>>0];a[k+4>>0]=a[s+4>>0];a[k+5>>0]=a[s+5>>0];a[k+6>>0]=a[s+6>>0];a[k+7>>0]=a[s+7>>0];ba=+h[k>>3];v=v+24|0;a[k>>0]=a[v>>0];a[k+1>>0]=a[v+1>>0];a[k+2>>0]=a[v+2>>0];a[k+3>>0]=a[v+3>>0];a[k+4>>0]=a[v+4>>0];a[k+5>>0]=a[v+5>>0];a[k+6>>0]=a[v+6>>0];a[k+7>>0]=a[v+7>>0];ca=+h[k>>3];if(!(!(ca<=L)|(!(o<=ba)|!(ba<=J)|!(K<=ca)))){w=Ft(c[((c[e>>2]&3|0)==3?e:w)+40>>2]|0)|0;x=Ft(c[((c[e>>2]&3|0)==2?e:u)+40>>2]|0)|0;$=Qs(e,127554)|0;c[Y>>2]=w;c[Y+4>>2]=x;c[Y+8>>2]=$;us(0,127779,Y)|0;$=59;break}if(!(c[x>>2]|0)){$=46;break b}g=g+(t<<4)|0;v=A+32|0;c[B>>2]=c[g>>2];c[B+4>>2]=c[g+4>>2];c[B+8>>2]=c[g+8>>2];c[B+12>>2]=c[g+12>>2];c[C>>2]=c[v>>2];c[C+4>>2]=c[v+4>>2];c[C+8>>2]=c[v+8>>2];c[C+12>>2]=c[v+12>>2];Oi(H,B,C,p);o=+h[H>>3];ca=+h[G>>3];g=t+-3|0;w=c[z>>2]|0;h[w+(g<<4)>>3]=o;h[w+(g<<4)+8>>3]=ca;w=t+-1|0;f=c[z>>2]|0;a[k>>0]=a[v>>0];a[k+1>>0]=a[v+1>>0];a[k+2>>0]=a[v+2>>0];a[k+3>>0]=a[v+3>>0];a[k+4>>0]=a[v+4>>0];a[k+5>>0]=a[v+5>>0];a[k+6>>0]=a[v+6>>0];a[k+7>>0]=a[v+7>>0];ba=+h[k>>3];x=A+40|0;a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];m=(ca+ +h[k>>3])*.5;h[f+(w<<4)>>3]=(o+ba)*.5;h[f+(w<<4)+8>>3]=m;f=c[z>>2]|0;a[k>>0]=a[v>>0];a[k+1>>0]=a[v+1>>0];a[k+2>>0]=a[v+2>>0];a[k+3>>0]=a[v+3>>0];a[k+4>>0]=a[v+4>>0];a[k+5>>0]=a[v+5>>0];a[k+6>>0]=a[v+6>>0];a[k+7>>0]=a[v+7>>0];m=+h[k>>3];a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];ba=+h[k>>3];x=f+(w<<4)|0;a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];n=+h[k>>3];x=f+(w<<4)+8|0;a[k>>0]=a[x>>0];a[k+1>>0]=a[x+1>>0];a[k+2>>0]=a[x+2>>0];a[k+3>>0]=a[x+3>>0];a[k+4>>0]=a[x+4>>0];a[k+5>>0]=a[x+5>>0];a[k+6>>0]=a[x+6>>0];a[k+7>>0]=a[x+7>>0];ba=(ba+ +h[k>>3])*.5;h[f+(t<<4)>>3]=(m+n)*.5;h[f+(t<<4)+8>>3]=ba;f=t+-2|0;x=c[z>>2]|0;v=x+(w<<4)|0;a[k>>0]=a[v>>0];a[k+1>>0]=a[v+1>>0];a[k+2>>0]=a[v+2>>0];a[k+3>>0]=a[v+3>>0];a[k+4>>0]=a[v+4>>0];a[k+5>>0]=a[v+5>>0];a[k+6>>0]=a[v+6>>0];a[k+7>>0]=a[v+7>>0];ba=+h[k>>3];w=x+(w<<4)+8|0;a[k>>0]=a[w>>0];a[k+1>>0]=a[w+1>>0];a[k+2>>0]=a[w+2>>0];a[k+3>>0]=a[w+3>>0];a[k+4>>0]=a[w+4>>0];a[k+5>>0]=a[w+5>>0];a[k+6>>0]=a[w+6>>0];a[k+7>>0]=a[w+7>>0];ca=(ca+ +h[k>>3])*.5;h[x+(f<<4)>>3]=(o+ba)*.5;h[x+(f<<4)+8>>3]=ca;f=c[y>>2]|0;if(!f)break;g=Xx(e,c[z>>2]|0,g,g,A,f)|0;break}d:do if((t|0)>0){j=t;while(1){g=g+(j<<4)|0;c[V>>2]=c[g>>2];c[V+4>>2]=c[g+4>>2];c[V+8>>2]=c[g+8>>2];c[V+12>>2]=c[g+12>>2];g=j+-1|0;l=(c[z>>2]|0)+(g<<4)|0;c[R>>2]=c[l>>2];c[R+4>>2]=c[l+4>>2];c[R+8>>2]=c[l+8>>2];c[R+12>>2]=c[l+12>>2];l=j+-2|0;f=(c[z>>2]|0)+(l<<4)|0;c[U>>2]=c[f>>2];c[U+4>>2]=c[f+4>>2];c[U+8>>2]=c[f+8>>2];c[U+12>>2]=c[f+12>>2];f=j+-3|0;x=(c[z>>2]|0)+(f<<4)|0;c[F>>2]=c[x>>2];c[F+4>>2]=c[x+4>>2];c[F+8>>2]=c[x+8>>2];c[F+12>>2]=c[x+12>>2];if(Ni(V,p)|0)break;if((j|0)<=3)break d;g=c[z>>2]|0;j=f}x=(c[z>>2]|0)+(j<<4)|0;c[x>>2]=c[V>>2];c[x+4>>2]=c[V+4>>2];c[x+8>>2]=c[V+8>>2];c[x+12>>2]=c[V+12>>2];x=(c[z>>2]|0)+(g<<4)|0;c[x>>2]=c[R>>2];c[x+4>>2]=c[R+4>>2];c[x+8>>2]=c[R+8>>2];c[x+12>>2]=c[R+12>>2];x=(c[z>>2]|0)+(l<<4)|0;c[x>>2]=c[U>>2];c[x+4>>2]=c[U+4>>2];c[x+8>>2]=c[U+8>>2];c[x+12>>2]=c[U+12>>2];f=(c[z>>2]|0)+(f<<4)|0;c[f>>2]=c[F>>2];c[f+4>>2]=c[F+4>>2];c[f+8>>2]=c[F+8>>2];c[f+12>>2]=c[F+12>>2];f=j}else f=t;while(0);if(!f){if(!(c[y>>2]|0)){$=55;break b}g=A+16|0;x=z+16|0;y=c[z>>2]|0;c[B>>2]=c[x>>2];c[B+4>>2]=c[x+4>>2];c[B+8>>2]=c[x+8>>2];c[B+12>>2]=c[x+12>>2];c[C>>2]=c[y>>2];c[C+4>>2]=c[y+4>>2];c[C+8>>2]=c[y+8>>2];c[C+12>>2]=c[y+12>>2];Oi(N,B,C,p);c[g>>2]=c[N>>2];c[g+4>>2]=c[N+4>>2];c[g+8>>2]=c[N+8>>2];c[g+12>>2]=c[N+12>>2];g=0;break}else{g=f+-3|0;f=c[y>>2]|0;if(!f)break;g=Xx(e,c[z>>2]|0,g,t+-3|0,A,f)|0;break}}w=Ft(c[((c[e>>2]&3|0)==3?e:w)+40>>2]|0)|0;x=Ft(c[((c[e>>2]&3|0)==2?e:u)+40>>2]|0)|0;$=Qs(e,127554)|0;c[X>>2]=w;c[X+4>>2]=x;c[X+8>>2]=$;us(0,127736,X)|0;$=59}else $=59;while(0);if(($|0)==59){$=0;if(!(c[y>>2]|0))g=0;else{g=A+16|0;y=z+16|0;c[g>>2]=c[y>>2];c[g+4>>2]=c[y+4>>2];c[g+8>>2]=c[y+8>>2];c[g+12>>2]=c[y+12>>2];g=0}}f=t-g+1|0;l=A+4|0;c[l>>2]=f;f=zz(f<<4)|0;c[A>>2]=f;if((c[l>>2]|0)>0?(y=(c[z>>2]|0)+(g<<4)|0,c[f>>2]=c[y>>2],c[f+4>>2]=c[y+4>>2],c[f+8>>2]=c[y+8>>2],c[f+12>>2]=c[y+12>>2],(c[l>>2]|0)>1):0){j=1;f=g;do{f=f+1|0;y=(c[A>>2]|0)+(j<<4)|0;x=(c[z>>2]|0)+(f<<4)|0;c[y>>2]=c[x>>2];c[y+4>>2]=c[x+4>>2];c[y+8>>2]=c[x+8>>2];c[y+12>>2]=c[x+12>>2];j=j+1|0}while((j|0)<(c[l>>2]|0))}fQ(c[z>>2]|0);fQ(z);c[c[(c[I>>2]|0)+8>>2]>>2]=A}while(0);e=ct(b,e)|0}while((e|0)!=0);d=hu(b,d)|0;if(!d)break a}if(($|0)==20)Na(127686,127697,369,127708);else if(($|0)==28)Na(127725,127697,387,127708);else if(($|0)==46)Na(127725,127697,429,127708);else if(($|0)==55)Na(127686,127697,452,127708)}while(0);ds(O)|0;i=aa;return}function Mi(b,d){b=b|0;d=d|0;var e=0,f=0;f=i;i=i+16|0;e=f;if((b|0)!=0?(a[b>>0]|0)!=0:0){d=bD(d,b)|0;if(!d){c[e>>2]=b;us(0,127899,e)|0;d=0}}else d=0;i=f;return d|0}function Ni(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0,j=0,k=0,l=0;l=i;i=i+128|0;k=l+64|0;c[k>>2]=c[a>>2];c[k+4>>2]=c[a+4>>2];c[k+8>>2]=c[a+8>>2];c[k+12>>2]=c[a+12>>2];f=k+16|0;j=a+16|0;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2];f=k+32|0;j=a+32|0;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2];f=k+48|0;j=a+48|0;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];c[f+12>>2]=c[j+12>>2];f=b+8|0;j=b+24|0;d=+Pi(a,0.0,1.0,+h[b>>3],+h[f>>3],+h[j>>3]);if(d>=0.0&d<2.0)xC(l+48|0,k,3,d,a,0);else d=2.0;g=b+16|0;e=+Pi(a,0.0,d>1.0?1.0:d,+h[g>>3],+h[f>>3],+h[j>>3]);if(e>=0.0&e<d){xC(l+32|0,k,3,e,a,0);d=e}e=+Qi(a,0.0,d>1.0?1.0:d,+h[f>>3],+h[b>>3],+h[g>>3]);if(e>=0.0&e<d)xC(l+16|0,k,3,e,a,0);else e=d;d=+Qi(a,0.0,e>1.0?1.0:e,+h[j>>3],+h[b>>3],+h[g>>3]);if(d>=0.0&d<e)xC(l,k,3,d,a,0);else d=e;i=l;return d<2.0|0}function Oi(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;D=i;i=i+480|0;z=D+64|0;y=D+48|0;B=D+32|0;A=D+16|0;x=D;v=D+380|0;t=D+280|0;u=D+180|0;w=D+80|0;o=+h[b>>3];m=+h[b+8>>3];n=+h[d>>3];j=+h[d+8>>3];k=+h[e>>3];l=+h[e+8>>3];g=+h[e+16>>3];f=+h[e+24>>3];if(n<k?(p=m+ +(~~((m-j)*(k-o)/(o-n))|0),!(!(p>=l)|!(p<=f))):0){h[a>>3]=k;h[a+8>>3]=p}else C=4;do if((C|0)==4){if(n>g?(q=m+ +(~~((m-j)*(g-o)/(o-n))|0),!(!(q>=l)|!(q<=f))):0){h[a>>3]=g;h[a+8>>3]=q;break}if(j<l?(r=o+ +(~~((o-n)*(l-m)/(m-j))|0),!(!(r>=k)|!(r<=g))):0){h[a>>3]=r;h[a+8>>3]=l;break}if(j>f?(s=o+ +(~~((o-n)*(f-m)/(m-j))|0),!(!(s>=k)|!(s<=g))):0){h[a>>3]=s;h[a+8>>3]=f;break}h[x>>3]=o;h[x+8>>3]=m;DO(v,127821,x)|0;h[A>>3]=n;h[A+8>>3]=j;DO(t,127821,A)|0;h[B>>3]=k;h[B+8>>3]=l;DO(u,127821,B)|0;h[y>>3]=g;h[y+8>>3]=f;DO(w,127821,y)|0;c[z>>2]=v;c[z+4>>2]=t;c[z+8>>2]=u;c[z+12>>2]=w;us(1,127833,z)|0;Na(179560,127697,78,127885)}while(0);i=D;return}function Pi(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;m=i;i=i+144|0;k=m+80|0;l=m+16|0;j=m;a:do if(!(b==c)){g=+h[a>>3];p=g<d?-1:g>d&1;g=+h[a+16>>3];o=g<d?-1:g>d&1;g=+h[a+32>>3];n=g<d?-1:g>d&1;g=+h[a+48>>3];switch(((p|0)!=0&(o|0)!=(p|0)&1)+((p|0)==0&1)+((o|0)!=0&(n|0)!=(o|0)&1)+(((n|0)!=0?((g<d?-1:g>d&1)|0)!=(n|0):0)&1)|0){case 0:{b=-1.0;break a}case 1:{if(+N(+(g-d))<=.005){b=+h[a+56>>3];b=!(b>=e)|!(b<=f)?-1.0:c;break a}break}default:{}}xC(j,a,3,.5,k,l);g=(b+c)*.5;b=+Pi(k,b,g,d,e,f);if(!(b>=0.0))b=+Pi(l,g,c,d,e,f)}while(0);i=m;return +b}function Qi(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=+d;e=+e;f=+f;var g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;m=i;i=i+144|0;k=m+80|0;l=m+16|0;j=m;a:do if(!(b==c)){g=+h[a+8>>3];p=g<d?-1:g>d&1;g=+h[a+24>>3];o=g<d?-1:g>d&1;g=+h[a+40>>3];n=g<d?-1:g>d&1;g=+h[a+56>>3];switch(((p|0)!=0&(o|0)!=(p|0)&1)+((p|0)==0&1)+((o|0)!=0&(n|0)!=(o|0)&1)+(((n|0)!=0?((g<d?-1:g>d&1)|0)!=(n|0):0)&1)|0){case 0:{b=-1.0;break a}case 1:{if(+N(+(g-d))<=.005){b=+h[a+48>>3];b=!(b>=e)|!(b<=f)?-1.0:c;break a}break}default:{}}xC(j,a,3,.5,k,l);g=(b+c)*.5;b=+Qi(k,b,g,d,e,f);if(!(b>=0.0))b=+Qi(l,g,c,d,e,f)}while(0);i=m;return +b}function Ri(d){d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;z=i;i=i+96|0;t=z+48|0;s=z+8|0;w=z;y=4;x=eQ(40)|0;c[x>>2]=0;v=d+16|0;e=c[v>>2]|0;a:do if(((b[e+238>>1]|0)-(b[e+236>>1]|0)|0)>=2){f=c[e+196>>2]|0;b:do if(c[f+128>>2]|0){q=2;r=1;while(1){if((c[f+(r<<6)>>2]|0)>0){p=0;do{m=(c[(c[f+(r<<6)+4>>2]|0)+(p<<2)>>2]|0)+16|0;l=c[m>>2]|0;if((((a[l+156>>0]|0)==1?(c[l+176>>2]|0)==1:0)?(c[l+184>>2]|0)==1:0)?(c[l+104>>2]|0)==0:0){h=p+1|0;e=c[e+196>>2]|0;c:do if((h|0)<(c[e+(r<<6)>>2]|0)){g=e;f=p;l=h;while(1){k=c[c[(c[m>>2]|0)+172>>2]>>2]|0;e=c[(c[(c[g+(r<<6)+4>>2]|0)+(l<<2)>>2]|0)+16>>2]|0;j=c[c[e+172>>2]>>2]|0;if((a[e+156>>0]|0)!=1){e=l;break c}if((c[e+176>>2]|0)!=1){e=l;break c}if((c[e+184>>2]|0)!=1){e=l;break c}if(c[e+104>>2]|0){e=l;break c}if((c[((c[k>>2]&3|0)==3?k:k+48|0)+40>>2]|0)!=(c[((c[j>>2]&3|0)==3?j:j+48|0)+40>>2]|0)){e=l;break c}n=0;e=ra(65,k|0,j|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,x|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){e=C;break b}if(!(e<<24>>24)){e=l;break c}e=(c[j+16>>2]|0)+16|0;n=0;j=s;g=(c[k+16>>2]|0)+16|0;h=j+40|0;do{c[j>>2]=c[g>>2];j=j+4|0;g=g+4|0}while((j|0)<(h|0));j=t;g=e;h=j+40|0;do{c[j>>2]=c[g>>2];j=j+4|0;g=g+4|0}while((j|0)<(h|0));e=ra(66,s|0,t|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,x|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){e=C;break b}if(e){e=l;break c}e=l+1|0;g=c[(c[v>>2]|0)+196>>2]|0;if((e|0)>=(c[g+(r<<6)>>2]|0)){f=l;break}else{f=l;l=e}}}else{f=p;e=h}while(0);if((e-p|0)>1){n=0;da(15,d|0,r|0,p|0,f|0,1);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,x|0,y|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;break b}}}p=p+1|0;e=c[v>>2]|0;f=c[e+196>>2]|0}while((p|0)<(c[f+(r<<6)>>2]|0))}g=q+1|0;if(!(c[f+(g<<6)>>2]|0))break;else{r=q;q=g}}if((q|0)>0)u=25;else u=46}else{q=1;u=25}while(0);d:do if((u|0)==25)while(1){u=0;f=c[e+196>>2]|0;if((c[f+(q<<6)>>2]|0)>0){p=0;do{m=(c[(c[f+(q<<6)+4>>2]|0)+(p<<2)>>2]|0)+16|0;r=c[m>>2]|0;if((((a[r+156>>0]|0)==1?(c[r+184>>2]|0)==1:0)?(c[r+176>>2]|0)==1:0)?(c[r+104>>2]|0)==0:0){h=p+1|0;e=c[e+196>>2]|0;e:do if((h|0)<(c[e+(q<<6)>>2]|0)){g=e;f=p;l=h;while(1){k=c[c[(c[m>>2]|0)+180>>2]>>2]|0;e=c[(c[(c[g+(q<<6)+4>>2]|0)+(l<<2)>>2]|0)+16>>2]|0;j=c[c[e+180>>2]>>2]|0;if((a[e+156>>0]|0)!=1){e=l;break e}if((c[e+184>>2]|0)!=1){e=l;break e}if((c[e+176>>2]|0)!=1){e=l;break e}if(c[e+104>>2]|0){e=l;break e}if((c[((c[k>>2]&3|0)==2?k:k+-48|0)+40>>2]|0)!=(c[((c[j>>2]&3|0)==2?j:j+-48|0)+40>>2]|0)){e=l;break e}n=0;e=ra(65,k|0,j|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,x|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){e=C;break d}if(!(e<<24>>24)){e=l;break e}e=(c[j+16>>2]|0)+56|0;n=0;j=s;g=(c[k+16>>2]|0)+56|0;h=j+40|0;do{c[j>>2]=c[g>>2];j=j+4|0;g=g+4|0}while((j|0)<(h|0));j=t;g=e;h=j+40|0;do{c[j>>2]=c[g>>2];j=j+4|0;g=g+4|0}while((j|0)<(h|0));e=ra(66,s|0,t|0)|0;g=n;n=0;if((g|0)!=0&(o|0)!=0){h=qQ(c[g>>2]|0,x|0,y|0)|0;if(!h)Ra(g|0,o|0);C=o}else h=-1;if((h|0)==1){e=C;break d}if(e){e=l;break e}e=l+1|0;g=c[(c[v>>2]|0)+196>>2]|0;if((e|0)>=(c[g+(q<<6)>>2]|0)){f=l;break}else{f=l;l=e}}}else{f=p;e=h}while(0);if((e-p|0)>1){n=0;da(15,d|0,q|0,p|0,f|0,0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,x|0,y|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;break d}}}p=p+1|0;e=c[v>>2]|0;f=c[e+196>>2]|0}while((p|0)<(c[f+(q<<6)>>2]|0))}if((q|0)>1){q=q+-1|0;u=25}else{u=46;break}}while(0);if((u|0)==46){x=nQ(50768,1,x|0,y|0)|0;y=C;n=0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,x|0,y|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1)e=C;else e=0}f:while(1){if(e){n=0;ka(23,3,127927,w|0)|0;e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,x|0,y|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue}else break}e=c[v>>2]|0;if((c[e+180>>2]|0)<1)break a;else g=1;while(1){n=0;ea(101,c[(c[e+184>>2]|0)+(g<<2)>>2]|0);e=n;n=0;if((e|0)!=0&(o|0)!=0){f=qQ(c[e>>2]|0,x|0,y|0)|0;if(!f)Ra(e|0,o|0);C=o}else f=-1;if((f|0)==1){e=C;continue f}e=c[v>>2]|0;if((g|0)>=(c[e+180>>2]|0))break a;else g=g+1|0}}}while(0);fQ(x|0);i=z;return}function Si(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[b+16>>2]|0;if(!(a[e+112>>0]|0))f=b;else{do{b=c[e+116>>2]|0;e=c[b+16>>2]|0}while((a[e+112>>0]|0)!=0);f=b}b=c[d+16>>2]|0;if(a[b+112>>0]|0)do{d=c[b+116>>2]|0;b=c[d+16>>2]|0}while((a[b+112>>0]|0)!=0);if((a[e+153>>0]|0)==0?(a[b+153>>0]|0)==0:0){e=c[d>>2]&3;b=c[f>>2]&3;e=(_((c[(c[(c[((b|0)==3?f:f+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((b|0)==2?f:f+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0,(c[(c[(c[((e|0)==3?d:d+48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)-(c[(c[(c[((e|0)==2?d:d+-48|0)+40>>2]|0)+16>>2]|0)+232>>2]|0)|0)|0)>0&1}else e=0;return e|0}function Ti(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=a+16|0;j=c[(c[v>>2]|0)+196>>2]|0;h=c[j+(b<<6)+4>>2]|0;t=c[h+(d<<2)>>2]|0;g=d+1|0;do if((d|0)<(e|0)){r=(f|0)==1;s=t+16|0;q=g;while(1){p=c[h+(q<<2)>>2]|0;o=p+16|0;h=c[o>>2]|0;if(r){j=c[c[h+180>>2]>>2]|0;if(j)do{k=c[(c[s>>2]|0)+180>>2]|0;f=c[k>>2]|0;n=c[j>>2]|0;a:do if(!f){h=j+-48|0;u=13}else{l=j+-48|0;m=c[((n&3|0)==2?j:l)+40>>2]|0;d=0;while(1){d=d+1|0;if((c[((c[f>>2]&3|0)==2?f:f+-48|0)+40>>2]|0)==(m|0))break a;f=c[k+(d<<2)>>2]|0;if(!f){h=l;u=13;break}}}while(0);if((u|0)==13){u=0;f=tg(t,c[((n&3|0)==2?j:h)+40>>2]|0,j)|0;h=c[o>>2]|0}h=c[c[h+172>>2]>>2]|0;if(h)do{Ag(h,f);pg(h);h=c[c[(c[o>>2]|0)+172>>2]>>2]|0}while((h|0)!=0);pg(j);h=c[o>>2]|0;j=c[c[h+180>>2]>>2]|0}while((j|0)!=0)}else{j=c[c[h+172>>2]>>2]|0;if(j)do{k=c[(c[s>>2]|0)+172>>2]|0;f=c[k>>2]|0;n=c[j>>2]|0;b:do if(!f){h=j+48|0;u=22}else{l=j+48|0;m=c[((n&3|0)==3?j:l)+40>>2]|0;d=0;while(1){d=d+1|0;if((c[((c[f>>2]&3|0)==3?f:f+48|0)+40>>2]|0)==(m|0))break b;f=c[k+(d<<2)>>2]|0;if(!f){h=l;u=22;break}}}while(0);if((u|0)==22){u=0;f=tg(c[((n&3|0)==3?j:h)+40>>2]|0,t,j)|0;h=c[o>>2]|0}h=c[c[h+180>>2]>>2]|0;if(h)do{Ag(h,f);pg(h);h=c[c[(c[o>>2]|0)+180>>2]>>2]|0}while((h|0)!=0);pg(j);h=c[o>>2]|0;j=c[c[h+172>>2]>>2]|0}while((j|0)!=0)}if((c[h+176>>2]|0)!=(0-(c[h+184>>2]|0)|0)){u=27;break}wg(a,p);if((q|0)>=(e|0)){u=3;break}h=c[(c[(c[v>>2]|0)+196>>2]|0)+(b<<6)+4>>2]|0;q=q+1|0}if((u|0)==3){i=c[(c[v>>2]|0)+196>>2]|0;break}else if((u|0)==27)Na(128063,128107,115,128114)}else i=j;while(0);j=e+1|0;h=i+(b<<6)|0;if((j|0)<(c[h>>2]|0))do{h=c[i+(b<<6)+4>>2]|0;i=c[h+(j<<2)>>2]|0;c[h+(g<<2)>>2]=i;c[(c[i+16>>2]|0)+236>>2]=g;g=g+1|0;j=j+1|0;i=c[(c[v>>2]|0)+196>>2]|0;h=i+(b<<6)|0}while((j|0)<(c[h>>2]|0));c[h>>2]=g;c[(c[i+(b<<6)+4>>2]|0)+(g<<2)>>2]=0;return}
function iN(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0;f=b+104|0;i=c[f>>2]|0;if((i|0)!=0?(c[b+108>>2]|0)>=(i|0):0)j=4;else{e=hO(b)|0;if((e|0)>=0){h=c[f>>2]|0;f=b+8|0;if(h){g=c[f>>2]|0;i=c[b+4>>2]|0;f=g;h=h-(c[b+108>>2]|0)+-1|0;if((f-i|0)>(h|0))c[b+100>>2]=i+h;else j=9}else{g=c[f>>2]|0;f=g;j=9}if((j|0)==9)c[b+100>>2]=f;f=c[b+4>>2]|0;if(g){b=b+108|0;c[b>>2]=g+1-f+(c[b>>2]|0)}f=f+-1|0;if((d[f>>0]|0|0)!=(e|0))a[f>>0]=e}else j=4}if((j|0)==4){c[b+100>>2]=0;e=-1}return e|0}function jN(a){a=a|0;if(a>>>0>4294963200){c[(cN()|0)>>2]=0-a;a=-1}return a|0}function kN(a,b){a=a|0;b=b|0;return 193941}function lN(a,b){a=+a;b=+b;var c=0.0,d=0.0,e=0.0,f=0.0;c=a*a;d=c*c;e=c*.5;f=1.0-e;return +(f+(1.0-f-e+(c*(c*(c*(c*2.480158728947673e-05+-.001388888888887411)+.0416666666666666)+d*d*(c*(2.087572321298175e-09-c*1.1359647557788195e-11)+-2.7557314351390663e-07))-a*b)))}function mN(a,b){a=+a;b=b|0;var d=0,e=0.0,f=0.0,g=0,j=0.0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+48|0;l=r+16|0;n=r;h[k>>3]=a;d=c[k>>2]|0;g=c[k+4>>2]|0;o=pQ(d|0,g|0,63)|0;q=g&2147483647;do if(q>>>0<1074752123)if((g&1048575|0)!=598523){d=(o|0)!=0;if(q>>>0<1073928573)if(d){j=a+1.5707963267341256;m=j+6.077100506506192e-11;h[b>>3]=m;h[b+8>>3]=j-m+6.077100506506192e-11;d=-1;break}else{j=a+-1.5707963267341256;m=j+-6.077100506506192e-11;h[b>>3]=m;h[b+8>>3]=j-m+-6.077100506506192e-11;d=1;break}else if(d){j=a+3.1415926534682512;m=j+1.2154201013012384e-10;h[b>>3]=m;h[b+8>>3]=j-m+1.2154201013012384e-10;d=-2;break}else{j=a+-3.1415926534682512;m=j+-1.2154201013012384e-10;h[b>>3]=m;h[b+8>>3]=j-m+-1.2154201013012384e-10;d=2;break}}else p=21;else{if(q>>>0>=1075594812){if(q>>>0<1094263291){p=21;break}if(q>>>0>2146435071){m=a-a;h[b+8>>3]=m;h[b>>3]=m;d=0;break}c[k>>2]=d;c[k+4>>2]=g&1048575|1096810496;m=+h[k>>3];j=+(~~m|0);h[l>>3]=j;j=(m-j)*16777216.0;m=+(~~j|0);h[l+8>>3]=m;m=(j-m)*16777216.0;h[l+16>>3]=m;if(m==0.0){d=1;while(1)if(+h[l+(d<<3)>>3]==0.0)d=d+-1|0;else break}else d=2;d=nN(l,n,(q>>>20)+-1046|0,d+1|0,1)|0;e=+h[n>>3];a=+h[n+8>>3];if(!o){h[b>>3]=e;h[b+8>>3]=a;break}else{h[b>>3]=-e;h[b+8>>3]=-a;d=0-d|0;break}}if(q>>>0<1075183037){if((q|0)==1074977148){p=21;break}if(!o){j=a+-4.712388980202377;m=j+-1.8231301519518578e-10;h[b>>3]=m;h[b+8>>3]=j-m+-1.8231301519518578e-10;d=3;break}else{j=a+4.712388980202377;m=j+1.8231301519518578e-10;h[b>>3]=m;h[b+8>>3]=j-m+1.8231301519518578e-10;d=-3;break}}else{if((q|0)==1075388923){p=21;break}if(!o){j=a+-6.2831853069365025;m=j+-2.430840202602477e-10;h[b>>3]=m;h[b+8>>3]=j-m+-2.430840202602477e-10;d=4;break}else{j=a+6.2831853069365025;m=j+2.430840202602477e-10;h[b>>3]=m;h[b+8>>3]=j-m+2.430840202602477e-10;d=-4;break}}}while(0);if((p|0)==21){m=a*.6366197723675814+6755399441055744.0+-6755399441055744.0;d=~~m;f=a-m*1.5707963267341256;a=m*6.077100506506192e-11;e=f-a;h[b>>3]=e;h[k>>3]=e;p=pQ(c[k>>2]|0,c[k+4>>2]|0,52)|0;g=q>>>20;if((g-(p&2047)|0)>16){a=m*6.077100506303966e-11;j=f-a;a=m*2.0222662487959506e-21-(f-j-a);e=j-a;h[b>>3]=e;h[k>>3]=e;q=pQ(c[k>>2]|0,c[k+4>>2]|0,52)|0;if((g-(q&2047)|0)>49){a=m*2.0222662487111665e-21;f=j-a;a=m*8.4784276603689e-32-(j-f-a);e=f-a;h[b>>3]=e}else f=j}h[b+8>>3]=f-e-a}i=r;return d|0}function nN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;E=i;i=i+560|0;B=E+480|0;y=E+320|0;D=E+160|0;C=E;A=c[99376+(f<<2)>>2]|0;q=e+-1|0;x=(d+-3|0)/24|0;x=(x|0)<0?0:x;r=(x*24|0)+24|0;l=d-r|0;if((A+q|0)>=0){m=A+e|0;n=0;o=x-q|0;while(1){if((o|0)<0)g=0.0;else g=+(c[99392+(o<<2)>>2]|0);h[y+(n<<3)>>3]=g;n=n+1|0;if((n|0)==(m|0))break;else o=o+1|0}}o=(e|0)<1;p=0;while(1){if(o)g=0.0;else{m=p+q|0;g=0.0;n=0;do{g=g+ +h[a+(n<<3)>>3]*+h[y+(m-n<<3)>>3];n=n+1|0}while((n|0)!=(e|0))}h[C+(p<<3)>>3]=g;if((p|0)<(A|0))p=p+1|0;else break}t=(l|0)>0;u=24-l|0;v=23-l|0;w=(e|0)<1;s=(r|0)==(d|0);m=A;a:while(1){g=+h[C+(m<<3)>>3];p=(m|0)>0;if(p){n=0;o=m;while(1){k=+(~~(g*5.9604644775390625e-08)|0);c[B+(n<<2)>>2]=~~(g-k*16777216.0);d=o;o=o+-1|0;g=k+ +h[C+(o<<3)>>3];if((d|0)<=1)break;else n=n+1|0}}g=+zN(g,l);g=g-+M(+(g*.125))*8.0;o=~~g;g=g-+(o|0);do if(!t)if(!s)if(!(g>=.5)){n=0;break}else{n=2;z=20;break}else{n=c[B+(m+-1<<2)>>2]>>23;z=19;break}else{d=B+(m+-1<<2)|0;n=c[d>>2]|0;z=n>>u;n=n-(z<<u)|0;c[d>>2]=n;n=n>>v;o=z+o|0;z=19}while(0);if((z|0)==19){z=0;if((n|0)>0)z=20}if((z|0)==20){z=0;o=o+1|0;if(p){p=0;d=0;do{q=B+(d<<2)|0;r=c[q>>2]|0;if(!p)if(!r)p=0;else{c[q>>2]=16777216-r;p=1}else c[q>>2]=16777215-r;d=d+1|0}while((d|0)!=(m|0))}else p=0;b:do if(t)switch(l|0){case 1:{d=B+(m+-1<<2)|0;c[d>>2]=c[d>>2]&8388607;break b}case 2:{d=B+(m+-1<<2)|0;c[d>>2]=c[d>>2]&4194303;break b}default:break b}while(0);if((n|0)==2){g=1.0-g;if(!p)n=2;else{n=2;g=g-+zN(1.0,l)}}}if(!(g==0.0)){z=44;break}if((m|0)>(A|0)){q=m;p=0;do{q=q+-1|0;p=c[B+(q<<2)>>2]|p}while((q|0)>(A|0));if(p){z=37;break}else n=1}else n=1;while(1)if(!(c[B+(A-n<<2)>>2]|0))n=n+1|0;else break;p=n+m|0;if((n|0)<=0){m=p;continue}while(1){o=m+1|0;m=m+e|0;h[y+(m<<3)>>3]=+(c[99392+(o+x<<2)>>2]|0);if(w)g=0.0;else{g=0.0;n=0;do{g=g+ +h[a+(n<<3)>>3]*+h[y+(m-n<<3)>>3];n=n+1|0}while((n|0)!=(e|0))}h[C+(o<<3)>>3]=g;if((o|0)<(p|0))m=o;else{m=p;continue a}}}do if((z|0)==37){do{l=l+-24|0;m=m+-1|0}while((c[B+(m<<2)>>2]|0)==0);t=m}else if((z|0)==44){g=+zN(g,0-l|0);if(!(g>=16777216.0)){c[B+(m<<2)>>2]=~~g;t=m;break}else{z=~~(g*5.9604644775390625e-08);c[B+(m<<2)>>2]=~~(g-+(z|0)*16777216.0);t=m+1|0;c[B+(t<<2)>>2]=z;l=l+24|0;break}}while(0);s=(t|0)>-1;if(s){g=+zN(1.0,l);l=t;while(1){h[C+(l<<3)>>3]=g*+(c[B+(l<<2)>>2]|0);if((l|0)>0){g=g*5.9604644775390625e-08;l=l+-1|0}else break}if(s){p=~A;r=t;d=-1;while(1){l=0-(d>>>0>p>>>0?d:p)|0;q=t-r|0;g=0.0;m=0;do{g=g+ +h[43832+(m<<3)>>3]*+h[C+(m+r<<3)>>3];m=m+1|0}while((m|0)!=(l|0));h[D+(q<<3)>>3]=g;if((r|0)>0){r=r+-1|0;d=d+-1|0}else break}}}c:do switch(f|0){case 0:{if(s){g=0.0;l=t;while(1){g=g+ +h[D+(l<<3)>>3];if((l|0)>0)l=l+-1|0;else break}}else g=0.0;h[b>>3]=(n|0)==0?g:-g;break}case 2:case 1:{if(s){g=0.0;l=t;while(1){g=g+ +h[D+(l<<3)>>3];if((l|0)>0)l=l+-1|0;else break}}else g=0.0;m=(n|0)==0;h[b>>3]=m?g:-g;g=+h[D>>3]-g;if((t|0)>=1){l=1;while(1){g=g+ +h[D+(l<<3)>>3];if((l|0)==(t|0))break;else l=l+1|0}}h[b+8>>3]=m?g:-g;break}case 3:{if((t|0)>0){g=+h[D+(t<<3)>>3];l=t;do{C=l;l=l+-1|0;f=D+(l<<3)|0;k=+h[f>>3];j=g;g=k+g;h[D+(C<<3)>>3]=j+(k-g);h[f>>3]=g}while((C|0)>1);l=(t|0)>1;if(l){g=+h[D+(t<<3)>>3];m=t;do{f=m;m=m+-1|0;C=D+(m<<3)|0;k=+h[C>>3];j=g;g=k+g;h[D+(f<<3)>>3]=j+(k-g);h[C>>3]=g}while((m|0)>1);if(l){g=0.0;l=t;do{g=g+ +h[D+(l<<3)>>3];l=l+-1|0}while((l|0)>1)}else g=0.0}else g=0.0}else g=0.0;k=+h[D>>3];j=+h[D+8>>3];if(!n){h[b>>3]=k;h[b+8>>3]=j;h[b+16>>3]=g;break c}else{h[b>>3]=-k;h[b+8>>3]=-j;h[b+16>>3]=-g;break c}}default:{}}while(0);i=E;return o&7|0}function oN(a,b,c){a=+a;b=+b;c=c|0;var d=0.0,e=0.0,f=0.0;d=a*a;e=d*(d*d)*(d*1.58969099521155e-10+-2.5050760253406863e-08)+(d*(d*2.7557313707070068e-06+-1.984126982985795e-04)+.00833333333332249);f=d*a;if(!c)d=f*(d*e+-.16666666666666632)+a;else d=a-(f*.16666666666666632+(d*(b*.5-f*e)-b));return +d}function pN(a){a=+a;var b=0,d=0,e=0.0,f=0.0;h[k>>3]=a;b=c[k+4>>2]|0;d=b&2147483647;do if(d>>>0>2146435071)a=a+a;else{if(d>>>0<1048576){h[k>>3]=a*18014398509481984.0;b=c[k+4>>2]|0;d=b&2147483647;if(!d)break;d=((d>>>0)/3|0)+696219795|0}else d=((d>>>0)/3|0)+715094163|0;c[k>>2]=0;c[k+4>>2]=d|b&-2147483648;f=+h[k>>3];e=f/a*(f*f);h[k>>3]=f*(e*(e*e)*(e*.14599619288661245+-.758397934778766)+(e*(e*1.6214297201053545+-1.8849797954337717)+1.87595182427177));b=mQ(c[k>>2]|0,c[k+4>>2]|0,-2147483648,0)|0;d=C;c[k>>2]=b&-1073741824;c[k+4>>2]=d;e=+h[k>>3];a=a/(e*e);a=e+(a-e)/(a+(e+e))*e}while(0);return +a}function qN(a,b){a=+a;b=+b;var d=0,e=0;h[k>>3]=a;e=c[k>>2]|0;d=c[k+4>>2]|0;h[k>>3]=b;d=c[k+4>>2]&-2147483648|d&2147483647;c[k>>2]=e;c[k+4>>2]=d;return +(+h[k>>3])}function rN(a,b){a=+a;b=+b;return +(+qN(a,b))}function sN(a,b){a=+a;b=+b;var d=0,e=0,f=0,g=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;h[k>>3]=a;d=c[k>>2]|0;m=c[k+4>>2]|0;h[k>>3]=b;n=c[k>>2]|0;o=c[k+4>>2]|0;e=pQ(d|0,m|0,52)|0;e=e&2047;j=pQ(n|0,o|0,52)|0;j=j&2047;p=m&-2147483648;i=uQ(n|0,o|0,1)|0;l=C;a:do if(!((i|0)==0&(l|0)==0)?(g=o&2147483647,!(g>>>0>2146435072|(g|0)==2146435072&n>>>0>0|(e|0)==2047)):0){f=uQ(d|0,m|0,1)|0;g=C;if(!(g>>>0>l>>>0|(g|0)==(l|0)&f>>>0>i>>>0))return +((f|0)==(i|0)&(g|0)==(l|0)?a*0.0:a);if(!e){e=uQ(d|0,m|0,12)|0;f=C;if((f|0)>-1|(f|0)==-1&e>>>0>4294967295){g=e;e=0;do{e=e+-1|0;g=uQ(g|0,f|0,1)|0;f=C}while((f|0)>-1|(f|0)==-1&g>>>0>4294967295)}else e=0;d=uQ(d|0,m|0,1-e|0)|0;f=C}else f=m&1048575|1048576;if(!j){g=uQ(n|0,o|0,12)|0;i=C;if((i|0)>-1|(i|0)==-1&g>>>0>4294967295){j=0;do{j=j+-1|0;g=uQ(g|0,i|0,1)|0;i=C}while((i|0)>-1|(i|0)==-1&g>>>0>4294967295)}else j=0;n=uQ(n|0,o|0,1-j|0)|0;m=C}else m=o&1048575|1048576;l=lQ(d|0,f|0,n|0,m|0)|0;i=C;g=(i|0)>-1|(i|0)==-1&l>>>0>4294967295;b:do if((e|0)>(j|0)){while(1){if(g)if((d|0)==(n|0)&(f|0)==(m|0))break;else{d=l;f=i}d=uQ(d|0,f|0,1)|0;f=C;e=e+-1|0;l=lQ(d|0,f|0,n|0,m|0)|0;i=C;g=(i|0)>-1|(i|0)==-1&l>>>0>4294967295;if((e|0)<=(j|0))break b}b=a*0.0;break a}while(0);if(g)if((d|0)==(n|0)&(f|0)==(m|0)){b=a*0.0;break}else{f=i;d=l}if(f>>>0<1048576|(f|0)==1048576&d>>>0<0)do{d=uQ(d|0,f|0,1)|0;f=C;e=e+-1|0}while(f>>>0<1048576|(f|0)==1048576&d>>>0<0);if((e|0)>0){o=mQ(d|0,f|0,0,-1048576)|0;d=C;e=uQ(e|0,0,52)|0;d=d|C;e=o|e}else{e=pQ(d|0,f|0,1-e|0)|0;d=C}c[k>>2]=e;c[k+4>>2]=d|p;b=+h[k>>3]}else q=3;while(0);if((q|0)==3){b=a*b;b=b/b}return +b}function tN(a,b){a=+a;b=+b;return +(+sN(a,b))}function uN(a,b){a=+a;b=b|0;var d=0,e=0,f=0;h[k>>3]=a;d=c[k>>2]|0;e=c[k+4>>2]|0;f=pQ(d|0,e|0,52)|0;f=f&2047;switch(f|0){case 0:{if(a!=0.0){a=+uN(a*18446744073709551616.0,b);d=(c[b>>2]|0)+-64|0}else d=0;c[b>>2]=d;break}case 2047:break;default:{c[b>>2]=f+-1022;c[k>>2]=d;c[k+4>>2]=e&-2146435073|1071644672;a=+h[k>>3]}}return +a}function vN(a,b){a=+a;b=b|0;return +(+uN(a,b))}function wN(a,b){a=+a;b=+b;var d=0.0,e=0,f=0,g=0,i=0,j=0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0;h[k>>3]=a;m=c[k>>2]|0;g=c[k+4>>2]|0;h[k>>3]=b;e=c[k>>2]|0;g=g&2147483647;f=c[k+4>>2]&2147483647;i=g>>>0<f>>>0|(g|0)==(f|0)&m>>>0<e>>>0;l=i?e:m;j=i?f:g;e=i?m:e;f=i?g:f;g=pQ(l|0,j|0,52)|0;i=pQ(e|0,f|0,52)|0;c[k>>2]=l;c[k+4>>2]=j;a=+h[k>>3];c[k>>2]=e;c[k+4>>2]=f;b=+h[k>>3];do if((i|0)!=2047){if(!((e|0)==0&(f|0)==0|(g|0)==2047)){if((g-i|0)>64){a=a+b;break}if(g>>>0<=1533)if(i>>>0<573){a=a*5260135901548373507240989.0e186;b=b*5260135901548373507240989.0e186;d=1.90109156629516e-211}else d=1.0;else{a=a*1.90109156629516e-211;b=b*1.90109156629516e-211;d=5260135901548373507240989.0e186}o=a*134217729.0;o=o+(a-o);n=a-o;a=a*a;q=b*134217729.0;q=q+(b-q);p=b-q;b=b*b;a=d*+O(+(a+(b+(p*p+(q*q-b+q*2.0*p)+(n*n+(o*o-a+o*2.0*n))))))}}else a=b;while(0);return +a}function xN(a){a=+a;var b=0,d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,l=0.0,m=0.0;h[k>>3]=a;d=c[k>>2]|0;b=c[k+4>>2]|0;e=(b|0)<0;do if(e|b>>>0<1048576){if((d|0)==0&(b&2147483647|0)==0){a=-1.0/(a*a);break}if(e){a=(a-a)/0.0;break}else{h[k>>3]=a*18014398509481984.0;b=c[k+4>>2]|0;e=c[k>>2]|0;d=-1077;f=9;break}}else if(b>>>0<=2146435071)if((d|0)==0&0==0&(b|0)==1072693248)a=0.0;else{e=d;d=-1023;f=9}while(0);if((f|0)==9){f=b+614242|0;c[k>>2]=e;c[k+4>>2]=(f&1048575)+1072079006;m=+h[k>>3]+-1.0;a=m*(m*.5);j=m/(m+2.0);l=j*j;i=l*l;h[k>>3]=m-a;e=c[k+4>>2]|0;c[k>>2]=0;c[k+4>>2]=e;g=+h[k>>3];a=j*(a+(i*(i*(i*.15313837699209373+.22222198432149784)+.3999999999940942)+l*(i*(i*(i*.14798198605116586+.1818357216161805)+.2857142874366239)+.6666666666666735)))+(m-g-a);m=g*.4342944818781689;i=+(d+(f>>>20)|0);l=i*.30102999566361177;j=l+m;a=j+(m+(l-j)+(a*.4342944818781689+(i*3.694239077158931e-13+(g+a)*2.5082946711645275e-11)))}return +a}function yN(a){a=+a;var b=0,d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,l=0.0,m=0.0;h[k>>3]=a;d=c[k>>2]|0;b=c[k+4>>2]|0;e=(b|0)<0;do if(e|b>>>0<1048576){if((d|0)==0&(b&2147483647|0)==0){a=-1.0/(a*a);break}if(e){a=(a-a)/0.0;break}else{h[k>>3]=a*18014398509481984.0;b=c[k+4>>2]|0;e=c[k>>2]|0;d=-1077;f=9;break}}else if(b>>>0<=2146435071)if((d|0)==0&0==0&(b|0)==1072693248)a=0.0;else{e=d;d=-1023;f=9}while(0);if((f|0)==9){f=b+614242|0;c[k>>2]=e;c[k+4>>2]=(f&1048575)+1072079006;l=+h[k>>3]+-1.0;a=l*(l*.5);m=l/(l+2.0);i=m*m;j=i*i;h[k>>3]=l-a;e=c[k+4>>2]|0;c[k>>2]=0;c[k+4>>2]=e;g=+h[k>>3];a=m*(a+(j*(j*(j*.15313837699209373+.22222198432149784)+.3999999999940942)+i*(j*(j*(j*.14798198605116586+.1818357216161805)+.2857142874366239)+.6666666666666735)))+(l-g-a);l=g*1.4426950407214463;j=+(d+(f>>>20)|0);i=j+l;a=i+(l+(j-i)+(a*1.4426950407214463+(g+a)*1.6751713164886512e-10))}return +a}function zN(a,b){a=+a;b=b|0;var d=0;if((b|0)>1023){a=a*8988465674311579538646525.0e283;d=b+-1023|0;if((d|0)>1023){d=b+-2046|0;d=(d|0)>1023?1023:d;a=a*8988465674311579538646525.0e283}}else if((b|0)<-1022){a=a*2.2250738585072014e-308;d=b+1022|0;if((d|0)<-1022){d=b+2044|0;d=(d|0)<-1022?-1022:d;a=a*2.2250738585072014e-308}}else d=b;d=uQ(d+1023|0,0,52)|0;b=C;c[k>>2]=d;c[k+4>>2]=b;return +(a*+h[k>>3])}function AN(a,b){a=+a;b=b|0;return +(+zN(a,b))}function BN(a,b,d){a=+a;b=b|0;d=d|0;var e=0.0,f=0,g=0,j=0,l=0;j=i;i=i+16|0;g=j;h[k>>3]=a;f=c[k+4>>2]&2147483647;a:do if(f>>>0<1072243196)if(f>>>0<1044816030){h[b>>3]=a;h[d>>3]=1.0;break}else{h[b>>3]=+oN(a,0.0,0);h[d>>3]=+lN(a,0.0);break}else{if(f>>>0>2146435071){e=a-a;h[d>>3]=e;h[b>>3]=e;break}f=mN(a,g)|0;l=g+8|0;e=+oN(+h[g>>3],+h[l>>3],1);a=+lN(+h[g>>3],+h[l>>3]);switch(f&3|0){case 0:{h[b>>3]=e;h[d>>3]=a;break a}case 1:{h[b>>3]=a;h[d>>3]=-e;break a}case 2:{h[b>>3]=-e;h[d>>3]=-a;break a}default:{h[b>>3]=-a;h[d>>3]=e;break a}}}while(0);i=j;return}function CN(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;k=i;i=i+32|0;h=k;do if((g&4095|0)==0&(((g|0)<0)<<31>>31&-4096|0)==0){if(b>>>0>2147483646){c[(cN()|0)>>2]=12;f=-1;break}j=(e&16|0)!=0;if(j)TP(-1);c[h>>2]=a;c[h+4>>2]=b;c[h+8>>2]=d;c[h+12>>2]=e;c[h+16>>2]=f;c[h+20>>2]=g>>12;f=jN(Xa(192,h|0)|0)|0;if(j)UP()}else{c[(cN()|0)>>2]=22;f=-1}while(0);i=k;return f|0}function DN(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;TP(-1);c[e>>2]=a;c[e+4>>2]=b;a=jN(bb(91,e|0)|0)|0;UP();i=d;return a|0}function EN(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;l=i;i=i+16|0;g=l;j=(f|0)==0?99656:f;f=c[j>>2]|0;a:do if(!d)if(!f)f=0;else k=15;else{h=(b|0)==0?g:b;if(!e)f=-2;else{if(!f){f=a[d>>0]|0;g=f&255;if(f<<24>>24>-1){c[h>>2]=g;f=f<<24>>24!=0&1;break}f=g+-194|0;if(f>>>0>50){k=15;break}f=c[99032+(f<<2)>>2]|0;g=e+-1|0;if(g){d=d+1|0;k=9}}else{g=e;k=9}b:do if((k|0)==9){b=a[d>>0]|0;m=(b&255)>>>3;if((m+-16|m+(f>>26))>>>0>7){k=15;break a}while(1){d=d+1|0;f=(b&255)+-128|f<<6;g=g+-1|0;if((f|0)>=0)break;if(!g)break b;b=a[d>>0]|0;if((b&-64)<<24>>24!=-128){k=15;break a}}c[j>>2]=0;c[h>>2]=f;f=e-g|0;break a}while(0);c[j>>2]=f;f=-2}}while(0);if((k|0)==15){c[j>>2]=0;c[(cN()|0)>>2]=84;f=-1}i=l;return f|0}function FN(a){a=a|0;if(!a)a=1;else a=(c[a>>2]|0)==0;return a&1|0}function GN(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;k=i;i=i+16|0;g=k;a:do if(!e)g=0;else{do if(f){j=(b|0)==0?g:b;g=a[e>>0]|0;b=g&255;if(g<<24>>24>-1){c[j>>2]=b;g=g<<24>>24!=0&1;break a}g=b+-194|0;if(g>>>0<=50){b=e+1|0;h=c[99032+(g<<2)>>2]|0;if(f>>>0<4?(h&-2147483648>>>((f*6|0)+-6|0)|0)!=0:0)break;g=d[b>>0]|0;f=g>>>3;if((f+-16|f+(h>>26))>>>0<=7){g=g+-128|h<<6;if((g|0)>=0){c[j>>2]=g;g=2;break a}b=d[e+2>>0]|0;if((b&192|0)==128){b=b+-128|g<<6;if((b|0)>=0){c[j>>2]=b;g=3;break a}g=d[e+3>>0]|0;if((g&192|0)==128){c[j>>2]=g+-128|b<<6;g=4;break a}}}}}while(0);c[(cN()|0)>>2]=84;g=-1}while(0);i=k;return g|0}function HN(b,d,e){b=b|0;d=d|0;e=e|0;do if(b){if(d>>>0<128){a[b>>0]=d;b=1;break}if(d>>>0<2048){a[b>>0]=d>>>6|192;a[b+1>>0]=d&63|128;b=2;break}if(d>>>0<55296|(d&-8192|0)==57344){a[b>>0]=d>>>12|224;a[b+1>>0]=d>>>6&63|128;a[b+2>>0]=d&63|128;b=3;break}if((d+-65536|0)>>>0<1048576){a[b>>0]=d>>>18|240;a[b+1>>0]=d>>>12&63|128;a[b+2>>0]=d>>>6&63|128;a[b+3>>0]=d&63|128;b=4;break}else{c[(cN()|0)>>2]=84;b=-1;break}}else b=1;while(0);return b|0}function IN(a,b){a=a|0;b=b|0;if(!a)a=0;else a=HN(a,b,0)|0;return a|0}function JN(a,c){a=a|0;c=c|0;var d=0,f=0,g=0;g=a+2|0;f=a+4|0;d=zQ((e[c+2>>1]|0)<<16|(e[c>>1]|0)|0,e[c+4>>1]|0|0,(e[g>>1]|0)<<16|(e[a>>1]|0)|0,e[f>>1]|0|0)|0;c=mQ(d|0,C|0,e[c+6>>1]|0|0,0)|0;d=C;b[a>>1]=c;a=pQ(c|0,d|0,16)|0;b[g>>1]=a;b[f>>1]=d;C=d&65535;return c|0}function KN(){var a=0,b=0;b=JN(105776,105782)|0;b=uQ(b|0,C|0,4)|0;a=C|1072693248;c[k>>2]=b;c[k+4>>2]=a;return +(+h[k>>3]+-1.0)}function LN(a){a=a|0;var b=0;b=43896;c[b>>2]=a+-1;c[b+4>>2]=0;return}function MN(){var a=0,b=0,d=0;b=43896;b=zQ(c[b>>2]|0,c[b+4>>2]|0,1284865837,1481765933)|0;b=mQ(b|0,C|0,1,0)|0;a=C;d=43896;c[d>>2]=b;c[d+4>>2]=a;a=pQ(b|0,a|0,33)|0;return a|0}function NN(a){a=a|0;b[52895]=b[52888]|0;b[52896]=b[52889]|0;b[52897]=b[52890]|0;b[52888]=b[a>>1]|0;b[52889]=b[a+2>>1]|0;b[52890]=b[a+4>>1]|0;return 105790}function ON(a){a=a|0;var c=0,d=0;c=i;i=i+16|0;d=c;b[d>>1]=13070;b[d+2>>1]=a;b[d+4>>1]=a>>>16;NN(d)|0;i=c;return}function PN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;J=i;i=i+80|0;B=J+68|0;A=J+64|0;C=J+60|0;z=J+56|0;w=J+52|0;u=J+48|0;v=J+44|0;j=J;G=eQ(20)|0;a:do if(!G)b=12;else{I=eQ(2048)|0;H=G+16|0;c[H>>2]=I;if(!I){fQ(G);b=12;break}c[G>>2]=512;c[G+4>>2]=10240;c[G+8>>2]=128;y=G+12|0;c[y>>2]=0;I=SN(0,0)|0;if(!I){fQ(c[H>>2]|0);fQ(G);b=12;break}e=j;f=e+44|0;do{c[e>>2]=0;e=e+4|0}while((e|0)<(f|0));c[j>>2]=I;c[j+4>>2]=G;c[j+12>>2]=b;c[j+36>>2]=d;e=j+28|0;c[e>>2]=-1;b=uP(j)|0;b:do if(!b){h=j+20|0;g=c[h>>2]|0;b=g+-1|0;c[a>>2]=b;x=c[j+8>>2]|0;f=c[e>>2]|0;if((f|0)>-1?(c[j+32>>2]|0)!=0:0){g=0;b=2;f=0;e=0;break}if((f|0)<=(b|0)){e=gQ(1,68)|0;if(e){E=f>>>31;c[e+60>>2]=E^1;c[e+64>>2]=c[j+32>>2];c[e+28>>2]=g;if((d&8|0)==0|(E|0)!=1){b=vP(0,G,x,e)|0;if(b){g=0;f=0;break}g=c[e+40>>2]|0;if((g|0)>0){b=(g<<2)+4|0;f=eQ(b)|0;if(!f){g=0;b=12;f=0;break}c[e+32>>2]=f;tQ(f|0,-1,b|0)|0}else f=0;E=gQ(g<<1|1,4)|0;c[e+36>>2]=E;if(!E){g=0;b=12;f=0;break}b=gQ(c[h>>2]|0,12)|0;if(!b){g=0;b=12;f=0;break}c[e+16>>2]=b;b=vP(I,G,x,e)|0;if(b){g=0;f=0;break}}else f=0;E=j+24|0;t=c[y>>2]|0;c[C>>2]=0;c[z>>2]=0;c[A>>2]=x;c[B>>2]=c[A>>2];b=wP(G,B)|0;c:do if(!b){c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(!b){b=c[y>>2]|0;d:do if((b|0)>(t|0)){h=0;s=0;j=0;while(1){q=b+-1|0;c[y>>2]=q;g=c[H>>2]|0;q=c[g+(q<<2)>>2]|0;r=b+-2|0;c[y>>2]=r;r=c[g+(r<<2)>>2]|0;e:do switch(q|0){case 0:{switch(c[r>>2]|0){case 0:{b=c[r+4>>2]|0;r=c[b>>2]|0;if(!((r|0)>-1|(r|0)==-4)){g=s;break e}r=b+8|0;b=(c[r>>2]|0)+h|0;c[r>>2]=b;if((b|0)<=(c[z>>2]|0)){g=s;break e}c[z>>2]=b;g=s;break e}case 3:{g=c[r+4>>2]|0;c[A>>2]=c[g+4>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=c[g>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;break}case 1:{g=c[r+4>>2]|0;c[A>>2]=c[g+4>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=c[g>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;break}case 2:{g=c[r+4>>2]|0;c[A>>2]=h;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=r;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=1;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=c[g>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break d;if((c[g+4>>2]|0)<=1?(c[g+8>>2]|0)<=1:0)b=h;else{c[C>>2]=0;b=0}h=b;g=s+1|0;break e}default:{g=s;break e}}if(!b)g=s;else break d;break}case 1:{p=r+4|0;n=c[p>>2]|0;q=b+-3|0;c[y>>2]=q;q=c[g+(q<<2)>>2]|0;c[C>>2]=q;l=n+4|0;b=c[l>>2]|0;if((b|0)<=1)if((c[n+8>>2]|0)>1){c[w>>2]=0;if((b|0)>0){m=n;D=50}else{m=n;h=q;o=0;D=56}}else h=q;else{c[w>>2]=0;m=n;D=50}f:do if((D|0)==50){D=0;b=xP(I,G,c[m>>2]|0,(b|0)>1?1:2,C,f,u,z)|0;if(!b){k=1;h=q;g=0}else break c;while(1){b=c[u>>2]|0;if(!g)g=b;else g=yP(I,g,b)|0;if(!g){b=12;break c}b=c[l>>2]|0;if((k|0)>=(b|0)){o=g;D=56;break f}h=c[C>>2]|0;k=k+1|0;b=xP(I,G,c[m>>2]|0,(k|0)<(b|0)?1:2,C,f,u,z)|0;if(b)break c}}while(0);if((D|0)==56){D=0;l=n+8|0;g=c[l>>2]|0;do if((g|0)==-1){h=c[C>>2]|0;b=xP(I,G,c[m>>2]|0,0,C,0,w,z)|0;if(b)break c;b=zP(I,c[w>>2]|0,0,-1,0)|0;c[w>>2]=b;if(!b){b=12;break c}}else{if((b|0)<(g|0)){g=0;k=b}else{b=0;break}while(1){h=c[C>>2]|0;b=xP(I,G,c[m>>2]|0,0,C,0,v,z)|0;if(b)break c;if(!g){b=c[v>>2]|0;c[w>>2]=b}else{b=yP(I,c[v>>2]|0,g)|0;c[w>>2]=b}if(!b){b=12;break c}g=AP(I,0,20)|0;if(!g){b=12;break c}n=c[g+4>>2]|0;c[n>>2]=-1;c[n+4>>2]=-1;c[n+8>>2]=-1;b=BP(I,g,b)|0;c[w>>2]=b;k=k+1|0;if(!b){b=12;break c}if((k|0)>=(c[l>>2]|0))break;else g=b}}while(0);c[C>>2]=h;do if(!o)D=71;else{if(!b){b=o;break}b=yP(I,o,b)|0;D=71}while(0);if((D|0)==71){D=0;if(!b){b=12;break c}}c[p>>2]=c[b+4>>2];c[r>>2]=c[b>>2]}g=s+-1|0;b=h-q+j|0;if(!g){c[C>>2]=b;h=b;g=0;j=b}else j=b;break}default:g=s}while(0);b=c[y>>2]|0;if((b|0)<=(t|0)){b=0;break d}else s=g}}else{j=0;b=0}while(0);w=(c[E>>2]|0)+j|0;v=c[z>>2]|0;c[E>>2]=(v|0)>(w|0)?v:w}}while(0);if(!b){b=c[E>>2]|0;c[E>>2]=b+1;f=AP(I,0,20)|0;if((f|0)!=0?(F=c[f+4>>2]|0,c[F>>2]=0,c[F+4>>2]=0,c[F+8>>2]=b,F=yP(I,x,f)|0,(F|0)!=0):0){l=c[y>>2]|0;c[A>>2]=F;c[B>>2]=c[A>>2];b=wP(G,B)|0;g:do if(!b){c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(!b){b=c[y>>2]|0;h:do if((b|0)>(l|0)){i:while(1){x=b+-1|0;c[y>>2]=x;w=c[H>>2]|0;x=c[w+(x<<2)>>2]|0;k=b+-2|0;c[y>>2]=k;k=c[w+(k<<2)>>2]|0;j:do switch(x|0){case 0:switch(c[k>>2]|0){case 0:{h=c[k+4>>2]|0;g=c[h>>2]|0;if((g|0)==-4){c[k+8>>2]=0;b=h+8|0;x=CP(I,c[b>>2]|0,0,1114111,0,0,-1)|0;c[k+24>>2]=x;if(!x){b=12;break g}x=CP(I,c[b>>2]|0,0,1114111,0,0,c[h+4>>2]|0)|0;c[k+28>>2]=x;if(!x){b=12;break g}else break j}b=k+8|0;if((g|0)<0){c[b>>2]=1;x=DP(I)|0;c[k+24>>2]=x;if(!x){b=12;break g}x=DP(I)|0;c[k+28>>2]=x;if(!x){b=12;break g}else break j}else{c[b>>2]=0;b=h+8|0;f=h+4|0;x=CP(I,c[b>>2]|0,g,c[f>>2]|0,0,0,-1)|0;c[k+24>>2]=x;if(!x){b=12;break g}x=CP(I,c[b>>2]|0,c[h>>2]|0,c[f>>2]|0,c[h+12>>2]|0,c[h+16>>2]|0,-1)|0;c[k+28>>2]=x;if(!x){b=12;break g}else break j}}case 3:{c[A>>2]=k;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=1;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;f=k+4|0;c[A>>2]=c[(c[f>>2]|0)+4>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=c[c[f>>2]>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(!b)break j;else break g}case 1:{c[A>>2]=k;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=2;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;f=k+4|0;c[A>>2]=c[(c[f>>2]|0)+4>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=c[c[f>>2]>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(!b)break j;else break g}case 2:{c[A>>2]=k;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=3;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=c[c[k+4>>2]>>2];c[B>>2]=c[A>>2];b=wP(G,B)|0;if(b)break g;c[A>>2]=0;c[B>>2]=c[A>>2];b=wP(G,B)|0;if(!b)break j;else break g}default:break j}case 1:{b=c[k+4>>2]|0;f=c[b>>2]|0;g=b+4|0;h=c[g>>2]|0;if(!(c[f+8>>2]|0))j=(c[h+8>>2]|0)!=0;else j=1;c[k+8>>2]=j&1;x=EP(I,c[f+24>>2]|0,c[h+24>>2]|0,0,0)|0;c[k+24>>2]=x;if(!x){b=12;break g}x=EP(I,c[(c[b>>2]|0)+28>>2]|0,c[(c[g>>2]|0)+28>>2]|0,0,0)|0;c[k+28>>2]=x;if(!x){b=12;break g}break}case 3:{x=c[k+4>>2]|0;b=c[x>>2]|0;do if(!(c[x+4>>2]|0))D=116;else{if(c[b+8>>2]|0){D=116;break}c[k+8>>2]=0}while(0);if((D|0)==116){D=0;c[k+8>>2]=1}c[k+24>>2]=c[b+24>>2];c[k+28>>2]=c[b+28>>2];break}case 2:{h=c[k+4>>2]|0;b=c[h>>2]|0;f=b+8|0;if(!(c[f>>2]|0))g=0;else g=(c[(c[h+4>>2]|0)+8>>2]|0)!=0;c[k+8>>2]=g&1;if(c[f>>2]|0){b=FP(G,b,0,0,C)|0;if(b)break g;f=eQ((c[C>>2]<<2)+4|0)|0;if(!f){b=12;break g}c[f>>2]=-1;c[z>>2]=0;b=FP(G,c[h>>2]|0,f,z,0)|0;if(b){D=125;break i}b=h+4|0;x=k+24|0;c[x>>2]=EP(I,c[(c[b>>2]|0)+24>>2]|0,c[(c[h>>2]|0)+24>>2]|0,f,c[z>>2]|0)|0;fQ(f);if(!(c[x>>2]|0)){b=12;break g}else g=b}else{c[k+24>>2]=c[b+24>>2];g=h+4|0}b=c[g>>2]|0;if(!(c[b+8>>2]|0)){c[k+28>>2]=c[b+28>>2];break j}b=FP(G,b,0,0,C)|0;if(b)break g;f=eQ((c[C>>2]<<2)+4|0)|0;if(!f){b=12;break g}c[f>>2]=-1;c[z>>2]=0;b=FP(G,c[g>>2]|0,f,z,0)|0;if(b){D=132;break i}x=k+28|0;c[x>>2]=EP(I,c[(c[h>>2]|0)+28>>2]|0,c[(c[g>>2]|0)+28>>2]|0,f,c[z>>2]|0)|0;fQ(f);if(!(c[x>>2]|0)){b=12;break g}break}default:{}}while(0);b=c[y>>2]|0;if((b|0)<=(l|0))break h}if((D|0)==125){fQ(f);break g}else if((D|0)==132){fQ(f);break g}}while(0);g=c[E>>2]|0;b=g<<2;r=eQ(b)|0;if(!r){g=r;b=12;f=0;break b}f=eQ(b)|0;if(!f){g=r;b=12;break b}if((g|0)>0)tQ(r|0,0,((g|0)>1?g<<2:4)|0)|0;GP(F,0,r,0)|0;g=c[E>>2]|0;if((g|0)>0){b=0;h=0;do{c[f+(h<<2)>>2]=b;D=r+(h<<2)|0;b=b+1+(c[D>>2]|0)|0;c[D>>2]=0;h=h+1|0}while((h|0)<(g|0));q=b}else q=0;o=gQ(q+1|0,32)|0;if(!o){g=r;b=12;break b}c[e>>2]=o;p=e+4|0;c[p>>2]=q;b=GP(F,o,r,f)|0;if(b){g=r;break b}c[e+20>>2]=0;h=F+24|0;b=0;g=c[h>>2]|0;while(1){b=b+1|0;if((c[g>>2]|0)>-1)g=g+32|0;else break}n=gQ(b,32)|0;if(!n){g=r;b=12;break b}c[e+8>>2]=n;g=c[h>>2]|0;b=c[g>>2]|0;if((b|0)>-1){h=b;b=0;do{c[n+(b<<5)+8>>2]=o+(c[f+(h<<2)>>2]<<5);c[n+(b<<5)+12>>2]=h;l=n+(b<<5)+16|0;c[l>>2]=0;m=g+12|0;j=c[m>>2]|0;if(j){k=0;while(1){h=k+1|0;if((c[j+(k<<2)>>2]|0)>-1)k=h;else break}h=h<<2;j=eQ(h)|0;c[l>>2]=j;if(!j){g=r;b=12;break b}rQ(j|0,c[m>>2]|0,h|0)|0}c[n+(b<<5)+20>>2]=c[g+16>>2];b=b+1|0;g=g+32|0;h=c[g>>2]|0}while((h|0)>-1)}else b=0;c[n+(b<<5)+8>>2]=0;c[p>>2]=q;c[e+12>>2]=o+(c[f+(c[c[F+28>>2]>>2]<<2)>>2]<<5);c[e+52>>2]=c[E>>2];c[e+56>>2]=d;TN(I);fQ(c[H>>2]|0);fQ(G);fQ(r);fQ(f);c[a+4>>2]=e;b=0;break a}}while(0);g=0;f=0}else{g=0;b=12;f=0}}else{g=0;f=0}}else{g=0;b=12;f=0}}else{g=0;b=6;f=0;e=0}}else{g=0;f=0;e=0}while(0);TN(I);fQ(c[H>>2]|0);fQ(G);if(g)fQ(g);if(f)fQ(f);c[a+4>>2]=e;QN(a)}while(0);i=J;return b|0}function QN(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;g=c[a+4>>2]|0;if(g){e=g+4|0;a=c[g>>2]|0;if(c[e>>2]|0){d=0;do{if(c[a+(d<<5)+8>>2]|0){b=c[a+(d<<5)+16>>2]|0;if(b){fQ(b);a=c[g>>2]|0}b=c[a+(d<<5)+28>>2]|0;if(b){fQ(b);a=c[g>>2]|0}}d=d+1|0}while(d>>>0<(c[e>>2]|0)>>>0)}if(a)fQ(a);d=g+8|0;a=c[d>>2]|0;if(a){if(c[a+8>>2]|0){while(1){b=c[a+16>>2]|0;if(b)fQ(b);if(!(c[a+40>>2]|0))break;else a=a+32|0}a=c[d>>2]|0}fQ(a)}e=g+16|0;a=c[e>>2]|0;if(a){f=g+28|0;b=c[f>>2]|0;if(b){d=0;while(1){a=c[a+(d*12|0)+8>>2]|0;if(a){fQ(a);b=c[f>>2]|0}d=d+1|0;if(d>>>0>=b>>>0)break;a=c[e>>2]|0}a=c[e>>2]|0}fQ(a)}a=c[g+32>>2]|0;if(a)fQ(a);a=c[g+20>>2]|0;if(a)fQ(a);a=c[g+36>>2]|0;if(a)fQ(a);fQ(g)}return}function RN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;X=i;i=i+16|0;R=X;V=c[a+4>>2]|0;W=V+56|0;U=(c[W>>2]&8|0)==0?d:0;M=V+40|0;a=c[M>>2]|0;if((a|0)>0&(U|0)!=0){a=eQ(a<<2)|0;if(!a)a=12;else{T=a;S=3}}else{T=0;S=3}if((S|0)==3){if(!(c[V+60>>2]|0)){c[R>>2]=0;k=f&1;P=f&2;j=c[W>>2]&4;if(!T)O=0;else O=c[M>>2]|0;N=O<<2;h=c[V+52>>2]|0;f=h<<3;d=f+8|0;a=N+12+f+(d+(_(N,h)|0)<<1)|0;Q=eQ(a)|0;if(!Q){a=12;d=0}else{tQ(Q|0,0,a|0)|0;a=Q+N&3;a=((a|0)==0?0:4-a|0)+N|0;m=Q+a|0;a=a+d|0;l=Q+a&3;a=((l|0)==0?0:4-l|0)+a|0;l=Q+a|0;a=a+d|0;M=Q+a&3;a=((M|0)==0?0:4-M|0)+a|0;M=Q+a|0;a=a+f|0;d=Q+a&3;if((h|0)>0){f=O<<3;g=0;a=Q+(((d|0)==0?0:4-d|0)+a)|0;while(1){c[l+(g<<3)+4>>2]=a;c[m+(g<<3)+4>>2]=a+N;g=g+1|0;if((g|0)==(h|0)){a=0;break}else a=a+f|0}do{c[M+(a<<3)>>2]=-1;a=a+1|0}while((a|0)!=(h|0))}a=GN(R,b,4)|0;if((a|0)<1)if((a|0)<0){d=0;a=1}else{h=1;S=198}else{h=a;S=198}a:do if((S|0)==198){L=V+8|0;K=(j|0)!=0;D=(k|0)!=0;E=(O|0)>0;F=V+12|0;G=V+44|0;H=V+32|0;I=V+36|0;J=(O|0)==0;C=E^1;a=-1;g=0;v=0;f=h;d=0;y=l;w=m;k=m;u=b+h|0;B=Q;while(1){if((a|0)<0){j=c[L>>2]|0;h=j+8|0;b:do if(!(c[h>>2]|0))d=k;else{p=(v|0)!=0;q=(d|0)==95;r=(v|0)==0;t=K&(d|0)==10;s=(D|(v|0)>0)^1;o=k;while(1){c:while(1){n=j+12|0;if((c[M+(c[n>>2]<<3)>>2]|0)>=(v|0)){k=o;break}m=j+20|0;k=c[m>>2]|0;if(!k){m=n;S=233;break}d:do if(t|((k&1|0)==0|s)){if((k&2|0)!=0?(b=c[R>>2]|0,!((b|P|0)==0|K&(b|0)==10)):0)break;do if(k&16){if(q)break d;if(MM(d)|0)break d;k=c[R>>2]|0;if((k|0)==95)break;if(!(MM(k)|0))break d}while(0);k=c[m>>2]|0;if(k&32){if(q){k=c[R>>2]|0;if((k|0)==95)break}else{b=(MM(d)|0)==0;k=c[R>>2]|0;if(b|(k|0)==95)break}if(MM(k)|0)break;k=c[m>>2]|0}l=c[R>>2]|0;do if((l|0)!=0&(p&(k&64|0)!=0)){if(q)k=1;else{k=(MM(d)|0)!=0;l=c[R>>2]|0}if((l|0)==95)if(k)break d;else break;else if(k^(MM(l)|0)!=0)break;else break d}while(0);if(!(c[m>>2]&128)){m=n;S=233;break c}k=c[R>>2]|0;if(r|(k|0)==0)break;if(q)l=1;else{l=(MM(d)|0)!=0;k=c[R>>2]|0}if((k|0)==95)if(l){m=n;S=233;break c}else break;else if(l^(MM(k)|0)!=0)break;else{m=n;S=233;break c}}while(0);h=j+40|0;if(!(c[h>>2]|0)){d=o;break b}else j=j+32|0}if((S|0)==233){S=0;c[o>>2]=c[h>>2];if(E)tQ(c[o+4>>2]|0,-1,N|0)|0;k=c[j+16>>2]|0;do if(k){h=c[k>>2]|0;if((h|0)<=-1)break;l=o+4|0;do{if((h|0)<(O|0))c[(c[l>>2]|0)+(h<<2)>>2]=v;k=k+4|0;h=c[k>>2]|0}while((h|0)>-1)}while(0);h=(c[o>>2]|0)!=(c[F>>2]|0);if(h|C){k=o+4|0;a=h?a:v;g=h?g:1}else{a=o+4|0;g=c[a>>2]|0;h=0;do{c[T+(h<<2)>>2]=c[g+(h<<2)>>2];h=h+1|0}while((h|0)!=(O|0));k=a;a=v;g=1}b=c[m>>2]|0;c[M+(b<<3)>>2]=v;c[M+(b<<3)+4>>2]=k;k=o+8|0}h=j+40|0;if(!(c[h>>2]|0)){d=k;break}else{o=k;j=j+32|0}}}while(0);c[d>>2]=0;d=c[R>>2]|0;if(!d)break}else{if(J)break;d=c[R>>2]|0;if(!((k|0)!=(w|0)&(d|0)!=0))break}z=v+f|0;f=GN(R,u,4)|0;if((f|0)<1)if((f|0)<0){d=0;a=1;break a}else f=1;A=u+f|0;if((g|0)!=0&(c[G>>2]|0)!=0){if(!(c[w>>2]|0))g=y;else{n=c[I>>2]|0;o=c[n>>2]|0;p=(o|0)>-1;q=w;g=y;do{m=q+4|0;e:do if(p){k=o;l=0;do{j=c[n+((l|1)<<2)>>2]|0;if((k|0)>=(O|0))break e;h=c[m>>2]|0;if((c[h+(j<<2)>>2]|0)==(c[T+(j<<2)>>2]|0)?(c[h+(k<<2)>>2]|0)<(c[T+(k<<2)>>2]|0):0)break e;l=l+2|0;k=c[n+(l<<2)>>2]|0}while((k|0)>-1);j=m;S=262}else{j=m;h=c[m>>2]|0;S=262}while(0);if((S|0)==262){S=0;c[g>>2]=c[q>>2];x=g+4|0;b=c[x>>2]|0;c[x>>2]=h;c[j>>2]=b;g=g+8|0}q=q+8|0}while((c[q>>2]|0)!=0)}c[g>>2]=0;g=0;x=y}else{x=w;w=y}h=c[x>>2]|0;if(!h){h=w;j=B}else{r=(z|0)!=0;s=(d|0)==95;t=(z|0)==0;v=K&(d|0)==10;u=(D|(z|0)>0)^1;q=x;l=w;j=B;while(1){k=h+8|0;if(!(c[k>>2]|0))k=l;else{p=q+4|0;o=l;while(1){f:do if((c[h>>2]|0)>>>0>d>>>0)l=o;else{if((c[h+4>>2]|0)>>>0<d>>>0){l=o;break}n=h+20|0;l=c[n>>2]|0;do if(l){if(!(v|((l&1|0)==0|u))){l=o;break f}if((l&2|0)!=0?(b=c[R>>2]|0,!((b|P|0)==0|K&(b|0)==10)):0){l=o;break f}do if(l&16){if(s){l=o;break f}if(MM(d)|0){l=o;break f}l=c[R>>2]|0;if((l|0)==95)break;if(!(MM(l)|0)){l=o;break f}}while(0);l=c[n>>2]|0;if(l&32){if(s){l=c[R>>2]|0;if((l|0)==95){l=o;break f}}else{b=(MM(d)|0)==0;l=c[R>>2]|0;if(b|(l|0)==95){l=o;break f}}if(MM(l)|0){l=o;break f}l=c[n>>2]|0}m=c[R>>2]|0;do if((m|0)!=0&(r&(l&64|0)!=0)){if(s)l=1;else{l=(MM(d)|0)!=0;m=c[R>>2]|0}if((m|0)==95)if(l){l=o;break f}else break;else if(l^(MM(m)|0)!=0)break;else{l=o;break f}}while(0);do if(c[n>>2]&128){l=c[R>>2]|0;if(t|(l|0)==0){l=o;break f}if(s)m=1;else{m=(MM(d)|0)!=0;l=c[R>>2]|0}if((l|0)==95)if(m)break;else{l=o;break f}else if(m^(MM(l)|0)!=0){l=o;break f}else break}while(0);l=c[n>>2]|0;do if(l&4){if(c[W>>2]&2)break;if(!(QM(d,c[h+24>>2]|0)|0)){l=o;break f}l=c[n>>2]|0}while(0);do if(l&4){if(!(c[W>>2]&2))break;b=bN(d)|0;l=h+24|0;if(QM(b,c[l>>2]|0)|0)break;b=aN(d)|0;if(!(QM(b,c[l>>2]|0)|0)){l=o;break f}}while(0);if(!(c[n>>2]&8))break;if(JP(c[h+28>>2]|0,d,c[W>>2]&2)|0){l=o;break f}}while(0);if(E){l=c[p>>2]|0;m=0;do{c[j+(m<<2)>>2]=c[l+(m<<2)>>2];m=m+1|0}while((m|0)!=(O|0))}m=c[h+16>>2]|0;do if(m){l=c[m>>2]|0;if((l|0)<=-1)break;do{if((l|0)<(O|0))c[j+(l<<2)>>2]=z;m=m+4|0;l=c[m>>2]|0}while((l|0)>-1)}while(0);l=c[h+12>>2]|0;m=M+(l<<3)|0;if((c[m>>2]|0)>=(z|0)){l=c[M+(l<<3)+4>>2]|0;m=c[l>>2]|0;if(!(HP(O,c[H>>2]|0,j,m)|0)){l=o;break}c[l>>2]=j;if((c[k>>2]|0)!=(c[F>>2]|0)){l=o;j=m;break}if(E)a=0;else{a=z;g=1;l=o;j=m;break}while(1){c[T+(a<<2)>>2]=c[j+(a<<2)>>2];a=a+1|0;if((a|0)==(O|0)){a=z;g=1;l=o;j=m;break f}}}b=c[k>>2]|0;c[o>>2]=b;B=o+4|0;k=c[B>>2]|0;c[B>>2]=j;c[m>>2]=z;c[M+(l<<3)+4>>2]=B;do if((b|0)==(c[F>>2]|0)){if((a|0)==-1)if(E)a=0;else{a=z;g=1;break}else{if(!E)break;if((c[j>>2]|0)>(c[T>>2]|0))break;else a=0}do{c[T+(a<<2)>>2]=c[j+(a<<2)>>2];a=a+1|0}while((a|0)!=(O|0));a=z;g=1}while(0);l=o+8|0;j=k}while(0);k=h+40|0;if(!(c[k>>2]|0)){k=l;break}else{o=l;h=h+32|0}}}q=q+8|0;h=c[q>>2]|0;if(!h){h=k;break}else l=k}}c[h>>2]=0;v=z;y=x;k=h;u=A;B=j}d=a;a=a>>>31}while(0);fQ(Q)}}else{c[R>>2]=0;k=f&1;K=f&2;d=c[W>>2]&4;L=SN(0,0)|0;g:do if(L){l=UN(L,0,0,0,32)|0;if(!l){TN(L);a=12;d=0;break}c[l+24>>2]=0;c[l+28>>2]=0;j=c[M>>2]|0;if(j){f=eQ(j<<2)|0;if(!f){d=0;h=0;a=12;g=0}else S=9}else{f=0;S=9}h:do if((S|0)==9){a=c[V+28>>2]|0;if(a){h=eQ(a<<3)|0;if(!h){d=0;a=12;g=0;break}}else h=0;J=V+52|0;a=c[J>>2]|0;if(a){g=eQ(a<<2)|0;if(!g){d=0;a=12;break}}else g=0;E=V+8|0;F=V+12|0;G=(T|0)==0;H=(T|0)!=0;I=V+32|0;D=(d|0)!=0;C=(k|0)!=0;x=0;a=-1;d=1;m=-1;n=b;i:while(1){if((j|0)>0){k=0;do{c[f+(k<<2)>>2]=-1;if(!G){c[T+(k<<2)>>2]=-1;j=c[M>>2]|0}k=k+1|0}while((k|0)<(j|0))}j=c[J>>2]|0;if((j|0)>0)tQ(g|0,0,((j|0)>1?j<<2:4)|0)|0;B=d+m|0;d=GN(R,n,4)|0;if((d|0)<1)if((d|0)<0){d=0;a=1;break h}else d=1;n=n+d|0;A=c[R>>2]|0;o=c[E>>2]|0;j=o+8|0;if(c[j>>2]|0){s=(B|0)!=0;t=(x|0)==95;u=(B|0)==0;w=D&(x|0)==10;v=(C|(B|0)>0)^1;k=0;m=0;r=o;while(1){q=r+20|0;o=c[q>>2]|0;j:do if(o){if(!(w|((o&1|0)==0|v)))break;if((o&2|0)!=0?(Q=c[R>>2]|0,!((Q|K|0)==0|D&(Q|0)==10)):0)break;do if(o&16){if(t)break j;if(MM(x)|0)break j;o=c[R>>2]|0;if((o|0)==95)break;if(!(MM(o)|0))break j}while(0);o=c[q>>2]|0;if(o&32){if(t){o=c[R>>2]|0;if((o|0)==95)break}else{Q=(MM(x)|0)==0;o=c[R>>2]|0;if(Q|(o|0)==95)break}if(MM(o)|0)break;o=c[q>>2]|0}p=c[R>>2]|0;do if((p|0)!=0&(s&(o&64|0)!=0)){if(t)o=1;else{o=(MM(x)|0)!=0;p=c[R>>2]|0}if((p|0)==95)if(o)break j;else break;else if(o^(MM(p)|0)!=0)break;else break j}while(0);if(!(c[q>>2]&128)){S=52;break}o=c[R>>2]|0;if(u|(o|0)==0)break;if(t)p=1;else{p=(MM(x)|0)!=0;o=c[R>>2]|0}if((o|0)==95)if(p){S=52;break}else break;else if(p^(MM(o)|0)!=0)break;else{S=52;break}}else S=52;while(0);do if((S|0)==52){S=0;if(!m){k=c[r+16>>2]|0;m=c[j>>2]|0;break}p=l+28|0;o=c[p>>2]|0;if(!o){o=UN(L,0,0,0,32)|0;if(!o){S=56;break i}c[o+24>>2]=l;c[o+28>>2]=0;Q=UN(L,0,0,0,c[M>>2]<<2)|0;c[o+20>>2]=Q;if(!Q){S=63;break i}c[p>>2]=o;l=o}else l=o;c[l>>2]=B;c[l+4>>2]=n;c[l+8>>2]=c[j>>2];c[l+12>>2]=c[r+12>>2];c[l+16>>2]=c[R>>2];if((c[M>>2]|0)>0){j=c[l+20>>2]|0;o=0;do{c[j+(o<<2)>>2]=c[f+(o<<2)>>2];o=o+1|0}while((o|0)<(c[M>>2]|0))}o=c[r+16>>2]|0;if(!o)break;j=c[o>>2]|0;if((j|0)<=-1)break;p=c[l+20>>2]|0;do{o=o+4|0;c[p+(j<<2)>>2]=B;j=c[o>>2]|0}while((j|0)>-1)}while(0);j=r+40|0;if(!(c[j>>2]|0)){o=l;break}else r=r+32|0}if(k){j=c[k>>2]|0;if((j|0)>-1)do{c[f+(j<<2)>>2]=B;k=k+4|0;j=c[k>>2]|0}while((j|0)>-1)}else k=0;if(!m){l=o;S=173}else{l=B;j=o;o=n}}else{k=0;S=173}k:while(1){if((S|0)==173){S=0;j=c[l+24>>2]|0;if(!j)break;q=c[l+8>>2]|0;if(c[q+20>>2]&256)c[g+(c[l+12>>2]<<2)>>2]=0;p=c[l>>2]|0;r=c[l+4>>2]|0;c[R>>2]=c[l+16>>2];o=c[M>>2]|0;if((o|0)<=0){l=p;m=q;o=r;continue}m=c[l+20>>2]|0;l=0;while(1){c[f+(l<<2)>>2]=c[m+(l<<2)>>2];l=l+1|0;if((l|0)==(o|0)){l=p;m=q;o=r;continue k}}}if((m|0)!=(c[F>>2]|0)){r=d;s=m;while(1){q=s+8|0;do if(!(c[q>>2]|0))S=97;else{if(!(c[s+20>>2]&256)){S=97;break}m=c[s+24>>2]|0;IP(m+1|0,h,c[W>>2]&-9,V,f,l);d=c[h+(m<<3)>>2]|0;m=c[h+(m<<3)+4>>2]|0;p=m-d|0;if(gP(b+d|0,o+-1|0,p)|0){d=r;l=j;S=173;continue k}Q=(m|0)==(d|0);d=Q&1;m=g+(c[s+12>>2]<<2)|0;if(Q?(c[m>>2]|0)!=0:0){d=r;l=j;S=173;continue k}c[m>>2]=d;p=p+-1|0;l=p+l|0;m=c[R>>2]|0;d=GN(R,o+p|0,4)|0;if((d|0)<1)if((d|0)<0){d=0;a=1;break h}else d=1;p=d+p|0}while(0);do if((S|0)==97){S=0;m=c[R>>2]|0;if(!m){d=r;l=j;S=173;continue k}d=GN(R,o,4)|0;if((d|0)>=1){p=d;break}if((d|0)<0){d=0;a=1;break h}else{p=1;d=1}}while(0);o=o+p|0;l=l+r|0;if(!(c[q>>2]|0)){l=j;S=173;continue k}v=(l|0)!=0;w=(m|0)==95;x=(l|0)==0;z=D&(m|0)==10;y=(C|(l|0)>0)^1;t=q;u=0;while(1){l:do if((c[s>>2]|0)>>>0>m>>>0)p=u;else{if((c[s+4>>2]|0)>>>0<m>>>0){p=u;break}r=s+20|0;p=c[r>>2]|0;do if(p){if(!(z|((p&1|0)==0|y))){p=u;break l}if((p&2|0)!=0?(Q=c[R>>2]|0,!((Q|K|0)==0|D&(Q|0)==10)):0){p=u;break l}do if(p&16){if(w){p=u;break l}if(MM(m)|0){p=u;break l}p=c[R>>2]|0;if((p|0)==95)break;if(!(MM(p)|0)){p=u;break l}}while(0);p=c[r>>2]|0;if(p&32){if(w){p=c[R>>2]|0;if((p|0)==95){p=u;break l}}else{Q=(MM(m)|0)==0;p=c[R>>2]|0;if(Q|(p|0)==95){p=u;break l}}if(MM(p)|0){p=u;break l}p=c[r>>2]|0}q=c[R>>2]|0;do if((q|0)!=0&(v&(p&64|0)!=0)){if(w)p=1;else{p=(MM(m)|0)!=0;q=c[R>>2]|0}if((q|0)==95)if(p){p=u;break l}else break;else if(p^(MM(q)|0)!=0)break;else{p=u;break l}}while(0);do if(c[r>>2]&128){p=c[R>>2]|0;if(x|(p|0)==0){p=u;break l}if(w)q=1;else{q=(MM(m)|0)!=0;p=c[R>>2]|0}if((p|0)==95)if(q)break;else{p=u;break l}else if(q^(MM(p)|0)!=0){p=u;break l}else break}while(0);p=c[r>>2]|0;do if(p&4){if(c[W>>2]&2)break;if(!(QM(m,c[s+24>>2]|0)|0)){p=u;break l}p=c[r>>2]|0}while(0);do if(p&4){if(!(c[W>>2]&2))break;Q=bN(m)|0;p=s+24|0;if(QM(Q,c[p>>2]|0)|0)break;Q=aN(m)|0;if(!(QM(Q,c[p>>2]|0)|0)){p=u;break l}}while(0);if(!(c[r>>2]&8))break;if(JP(c[s+28>>2]|0,m,c[W>>2]&2)|0){p=u;break l}}while(0);if(!u){p=c[t>>2]|0;k=c[s+16>>2]|0;break}q=j+28|0;p=c[q>>2]|0;if(!p){p=UN(L,0,0,0,32)|0;if(!p){S=146;break i}c[p+24>>2]=j;c[p+28>>2]=0;Q=UN(L,0,0,0,c[M>>2]<<2)|0;c[p+20>>2]=Q;if(!Q){S=153;break i}c[q>>2]=p;j=p}else j=p;c[j>>2]=l;c[j+4>>2]=o;c[j+8>>2]=c[t>>2];c[j+12>>2]=c[s+12>>2];c[j+16>>2]=c[R>>2];if((c[M>>2]|0)>0){p=c[j+20>>2]|0;q=0;do{c[p+(q<<2)>>2]=c[f+(q<<2)>>2];q=q+1|0}while((q|0)<(c[M>>2]|0))}q=c[s+16>>2]|0;if(!q){p=u;break}p=c[q>>2]|0;if((p|0)<=-1){p=u;break}r=c[j+20>>2]|0;do{c[r+(p<<2)>>2]=l;q=q+4|0;p=c[q>>2]|0}while((p|0)>-1);p=u}while(0);t=s+40|0;if(!(c[t>>2]|0)){m=j;break}else{u=p;s=s+32|0}}if(!p){l=m;S=173;continue k}do if(!k)k=0;else{j=c[k>>2]|0;if((j|0)<=-1)break;do{k=k+4|0;c[f+(j<<2)>>2]=l;j=c[k>>2]|0}while((j|0)>-1)}while(0);if((p|0)==(c[F>>2]|0)){j=m;break}else{r=d;j=m;s=p}}}if((a|0)>=(l|0)){if(!(H&(a|0)==(l|0))){l=j;S=173;continue}if(!(HP(c[M>>2]|0,c[I>>2]|0,f,T)|0)){l=j;S=173;continue}}if(G){a=l;l=j;S=173;continue}if((c[M>>2]|0)>0)a=0;else{a=l;l=j;S=173;continue}while(1){c[T+(a<<2)>>2]=c[f+(a<<2)>>2];a=a+1|0;if((a|0)>=(c[M>>2]|0)){a=l;l=j;S=173;continue k}}}if((a|0)>-1|(c[R>>2]|0)==0){S=181;break}c[R>>2]=A;j=c[M>>2]|0;x=A;m=B}if((S|0)==56){TN(L);if(f)fQ(f);if(h)fQ(h);if(!g){a=12;d=0;break g}fQ(g);a=12;d=0;break g}else if((S|0)==63){TN(L);if(f)fQ(f);if(h)fQ(h);if(!g){a=12;d=0;break g}fQ(g);a=12;d=0;break g}else if((S|0)==146){TN(L);if(f)fQ(f);if(h)fQ(h);if(!g){a=12;d=0;break g}fQ(g);a=12;d=0;break g}else if((S|0)==153){TN(L);if(f)fQ(f);if(h)fQ(h);if(!g){a=12;d=0;break g}fQ(g);a=12;d=0;break g}else if((S|0)==181){d=a;a=a>>>31;break}}while(0);TN(L);if(f)fQ(f);if(h)fQ(h);if(g)fQ(g)}else{a=12;d=0}while(0)}if(!a)IP(U,e,c[W>>2]|0,V,T,d);if(T)fQ(T)}i=X;return a|0}function SN(a,b){a=a|0;b=b|0;if(!a)b=gQ(1,24)|0;else{c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0}return b|0}function TN(a){a=a|0;var b=0,d=0;b=c[a>>2]|0;if(b)do{fQ(c[b>>2]|0);d=b;b=c[b+4>>2]|0;fQ(d)}while((b|0)!=0);fQ(a);return}function UN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;h=a+16|0;a:do if(!(c[h>>2]|0)){j=a+12|0;g=c[j>>2]|0;do if(g>>>0<f>>>0){if(b)if(!d){c[h>>2]=1;d=0;break a}else{h=a+8|0;c[h>>2]=d;c[j>>2]=1024;g=1024;break}g=f<<3;g=g>>>0>1024?g:1024;i=eQ(8)|0;if(!i){c[h>>2]=1;d=0;break a}d=eQ(g)|0;c[i>>2]=d;if(!d){fQ(i);c[h>>2]=1;d=0;break a}c[i+4>>2]=0;b=a+4|0;h=c[b>>2]|0;if(h)c[h+4>>2]=i;if(!(c[a>>2]|0))c[a>>2]=i;c[b>>2]=i;h=a+8|0;c[h>>2]=d;c[j>>2]=g}else{d=a+8|0;h=d;d=c[d>>2]|0}while(0);b=d+f&3;b=((b|0)==0?0:4-b|0)+f|0;c[h>>2]=d+b;c[j>>2]=g-b;if(e)tQ(d|0,0,b|0)|0}else d=0;while(0);return d|0}function VN(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;h=i;i=i+64|0;g=h+16|0;f=h+8|0;d=h;e=h+24|0;c[d>>2]=a;c[d+4>>2]=b;d=Ya(197,d|0)|0;if((d|0)==-9?(c[f>>2]=a,c[f+4>>2]=1,($a(221,f|0)|0)>=0):0){gN(e,a);c[g>>2]=e;c[g+4>>2]=b;d=jN(Za(195,g|0)|0)|0}else d=jN(d)|0;i=h;return d|0}function WN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;o=i;i=i+112|0;n=o+40|0;l=o+24|0;k=o+16|0;g=o;m=o+52|0;f=a[d>>0]|0;if(TO(193949,f<<24>>24,4)|0){e=eQ(1144)|0;if(!e)e=0;else{h=e;j=h+112|0;do{c[h>>2]=0;h=h+4|0}while((h|0)<(j|0));if(!(_O(d,43)|0))c[e>>2]=f<<24>>24==114?8:4;if(_O(d,101)|0){c[g>>2]=b;c[g+4>>2]=2;c[g+8>>2]=1;$a(221,g|0)|0;f=a[d>>0]|0}if(f<<24>>24==97){c[k>>2]=b;c[k+4>>2]=3;f=$a(221,k|0)|0;if(!(f&1024)){c[l>>2]=b;c[l+4>>2]=4;c[l+8>>2]=f|1024;$a(221,l|0)|0}d=c[e>>2]|128;c[e>>2]=d}else d=c[e>>2]|0;c[e+60>>2]=b;c[e+44>>2]=e+120;c[e+48>>2]=1024;f=e+75|0;a[f>>0]=-1;if((d&8|0)==0?(c[n>>2]=b,c[n+4>>2]=21505,c[n+8>>2]=m,(Ha(54,n|0)|0)==0):0)a[f>>0]=10;c[e+32>>2]=21;c[e+36>>2]=19;c[e+40>>2]=20;c[e+12>>2]=17;if(!(c[24748]|0))c[e+76>>2]=-1;pb(99016);f=c[24753]|0;c[e+56>>2]=f;if(f)c[f+52>>2]=e;c[24753]=e;jb(99016)}}else{c[(cN()|0)>>2]=22;e=0}i=o;return e|0}function XN(b){b=b|0;var c=0,d=0,e=0;d=(_O(b,43)|0)==0;c=a[b>>0]|0;d=d?c<<24>>24!=114&1:2;e=(_O(b,120)|0)==0;d=e?d:d|128;b=(_O(b,101)|0)==0;b=b?d:d|524288;b=c<<24>>24==114?b:b|64;b=c<<24>>24==119?b|512:b;return (c<<24>>24==97?b|1024:b)|0}function YN(a){a=a|0;return 0}function ZN(a){a=a|0;return}function _N(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;m=i;i=i+16|0;l=m;k=e&255;a[l>>0]=k;g=b+16|0;h=c[g>>2]|0;if(!h)if(!(gO(b)|0)){h=c[g>>2]|0;j=4}else f=-1;else j=4;do if((j|0)==4){g=b+20|0;j=c[g>>2]|0;if(j>>>0<h>>>0?(f=e&255,(f|0)!=(a[b+75>>0]|0)):0){c[g>>2]=j+1;a[j>>0]=k;break}if((Jb[c[b+36>>2]&63](b,l,1)|0)==1)f=d[l>>0]|0;else f=-1}while(0);i=m;return f|0}function $N(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;d=b;c[d>>2]=c[a+60>>2];a=jN(qb(6,d|0)|0)|0;i=b;return a|0}function aO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;m=i;i=i+48|0;h=m+16|0;g=m;f=m+32|0;c[f>>2]=d;j=f+4|0;l=b+48|0;n=c[l>>2]|0;c[j>>2]=e-((n|0)!=0&1);k=b+44|0;c[f+8>>2]=c[k>>2];c[f+12>>2]=n;if(!(c[24747]|0)){c[h>>2]=c[b+60>>2];c[h+4>>2]=f;c[h+8>>2]=2;f=jN(zb(145,h|0)|0)|0}else{Ia(120,b|0);c[g>>2]=c[b+60>>2];c[g+4>>2]=f;c[g+8>>2]=2;f=jN(zb(145,g|0)|0)|0;Ba(0)}if((f|0)>=1){j=c[j>>2]|0;if(f>>>0>j>>>0){h=c[k>>2]|0;g=b+4|0;c[g>>2]=h;c[b+8>>2]=h+(f-j);if(!(c[l>>2]|0))f=e;else{c[g>>2]=h+1;a[d+(e+-1)>>0]=a[h>>0]|0;f=e}}}else{c[b>>2]=c[b>>2]|f&48^16;c[b+8>>2]=0;c[b+4>>2]=0}i=m;return f|0}function bO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;f=i;i=i+32|0;g=f;e=f+20|0;c[g>>2]=c[a+60>>2];c[g+4>>2]=0;c[g+8>>2]=b;c[g+12>>2]=e;c[g+16>>2]=d;if((jN(kb(140,g|0)|0)|0)<0){c[e>>2]=-1;a=-1}else a=c[e>>2]|0;i=f;return a|0}function cO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=i;i=i+48|0;n=q+16|0;m=q;e=q+32|0;o=a+28|0;f=c[o>>2]|0;c[e>>2]=f;p=a+20|0;f=(c[p>>2]|0)-f|0;c[e+4>>2]=f;c[e+8>>2]=b;c[e+12>>2]=d;k=a+60|0;l=a+44|0;b=2;f=f+d|0;while(1){if(!(c[24747]|0)){c[n>>2]=c[k>>2];c[n+4>>2]=e;c[n+8>>2]=b;h=jN(Ab(146,n|0)|0)|0}else{Ia(121,a|0);c[m>>2]=c[k>>2];c[m+4>>2]=e;c[m+8>>2]=b;h=jN(Ab(146,m|0)|0)|0;Ba(0)}if((f|0)==(h|0)){f=6;break}if((h|0)<0){f=8;break}f=f-h|0;g=c[e+4>>2]|0;if(h>>>0<=g>>>0)if((b|0)==2){c[o>>2]=(c[o>>2]|0)+h;j=g;b=2}else j=g;else{j=c[l>>2]|0;c[o>>2]=j;c[p>>2]=j;j=c[e+12>>2]|0;h=h-g|0;e=e+8|0;b=b+-1|0}c[e>>2]=(c[e>>2]|0)+h;c[e+4>>2]=j-h}if((f|0)==6){n=c[l>>2]|0;c[a+16>>2]=n+(c[a+48>>2]|0);a=n;c[o>>2]=a;c[p>>2]=a}else if((f|0)==8){c[a+16>>2]=0;c[o>>2]=0;c[p>>2]=0;c[a>>2]=c[a>>2]|32;if((b|0)==2)d=0;else d=d-(c[e+4>>2]|0)|0}i=q;return d|0}function dO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;g=i;i=i+80|0;f=g;c[b+36>>2]=19;if((c[b>>2]&64|0)==0?(c[f>>2]=c[b+60>>2],c[f+4>>2]=21505,c[f+8>>2]=g+12,(Ha(54,f|0)|0)!=0):0)a[b+75>>0]=-1;f=cO(b,d,e)|0;i=g;return f|0}function eO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+84|0;g=c[e>>2]|0;h=d+256|0;f=TO(g,0,h)|0;f=(f|0)==0?h:f-g|0;d=f>>>0<d>>>0?f:d;rQ(b|0,g|0,d|0)|0;c[a+4>>2]=g+d;b=g+f|0;c[a+8>>2]=b;c[e>>2]=b;return d|0}function fO(b){b=b|0;var d=0,e=0;d=b+74|0;e=a[d>>0]|0;a[d>>0]=e+255|e;d=b+20|0;e=b+44|0;if((c[d>>2]|0)>>>0>(c[e>>2]|0)>>>0)Jb[c[b+36>>2]&63](b,0,0)|0;c[b+16>>2]=0;c[b+28>>2]=0;c[d>>2]=0;d=c[b>>2]|0;if(d&20)if(!(d&4))d=-1;else{c[b>>2]=d|32;d=-1}else{d=c[e>>2]|0;c[b+8>>2]=d;c[b+4>>2]=d;d=0}return d|0}function gO(b){b=b|0;var d=0,e=0;d=b+74|0;e=a[d>>0]|0;a[d>>0]=e+255|e;d=c[b>>2]|0;if(!(d&8)){c[b+8>>2]=0;c[b+4>>2]=0;d=c[b+44>>2]|0;c[b+28>>2]=d;c[b+20>>2]=d;c[b+16>>2]=d+(c[b+48>>2]|0);d=0}else{c[b>>2]=d|32;d=-1}return d|0}function hO(a){a=a|0;var b=0,e=0;e=i;i=i+16|0;b=e;if((c[a+8>>2]|0)==0?(fO(a)|0)!=0:0)b=-1;else if((Jb[c[a+32>>2]&63](a,b,1)|0)==1)b=d[b>>0]|0;else b=-1;i=e;return b|0}function iO(a){a=a|0;var b=0,d=0,e=0;e=(c[a>>2]&1|0)!=0;if(!e){pb(99016);d=c[a+52>>2]|0;b=a+56|0;if(d)c[d+56>>2]=c[b>>2];b=c[b>>2]|0;if(b)c[b+52>>2]=d;if((c[24753]|0)==(a|0))c[24753]=b;jb(99016)}b=kO(a)|0;b=Hb[c[a+12>>2]&63](a)|0|b;d=c[a+92>>2]|0;if(d)fQ(d);if(!e)fQ(a);return b|0}function jO(a){a=a|0;var b=0;if((c[a+76>>2]|0)>-1){b=(YN(a)|0)==0;a=(c[a>>2]|0)>>>4&1}else a=(c[a>>2]|0)>>>4&1;return a|0}function kO(a){a=a|0;var b=0,d=0;do if(a){if((c[a+76>>2]|0)<=-1){b=MP(a)|0;break}d=(YN(a)|0)==0;b=MP(a)|0;if(!d)ZN(a)}else{if(!(c[24812]|0))b=0;else b=kO(c[24812]|0)|0;pb(99016);a=c[24753]|0;if(a)do{if((c[a+76>>2]|0)>-1)d=YN(a)|0;else d=0;if((c[a+20>>2]|0)>>>0>(c[a+28>>2]|0)>>>0)b=MP(a)|0|b;if(d)ZN(a);a=c[a+56>>2]|0}while((a|0)!=0);jb(99016)}while(0);return b|0}function lO(a){a=a|0;var b=0,e=0,f=0;if((c[a+76>>2]|0)>=0?(YN(a)|0)!=0:0){b=a+4|0;e=c[b>>2]|0;if(e>>>0<(c[a+8>>2]|0)>>>0){c[b>>2]=e+1;b=d[e>>0]|0}else b=hO(a)|0}else f=3;do if((f|0)==3){b=a+4|0;e=c[b>>2]|0;if(e>>>0<(c[a+8>>2]|0)>>>0){c[b>>2]=e+1;b=d[e>>0]|0;break}else{b=hO(a)|0;break}}while(0);return b|0}function mO(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((c[f+76>>2]|0)>-1)o=YN(f)|0;else o=0;g=e+-1|0;if((e|0)<2){p=f+74|0;n=a[p>>0]|0;a[p>>0]=n+255|n;if(o)ZN(f);if(!g)a[b>>0]=0;else b=0}else{a:do if(g){m=f+4|0;n=f+8|0;h=b;while(1){i=c[m>>2]|0;q=i;k=(c[n>>2]|0)-q|0;j=TO(i,10,k)|0;r=(j|0)==0;j=r?k:1-q+j|0;q=j>>>0<g>>>0;j=q?j:g;rQ(h|0,i|0,j|0)|0;i=c[m>>2]|0;k=i+j|0;c[m>>2]=k;e=h+j|0;l=g-j|0;if(!(r&q)){p=18;break a}if(k>>>0<(c[n>>2]|0)>>>0){j=j+1|0;c[m>>2]=i+j;i=d[k>>0]|0}else{g=hO(f)|0;if((g|0)<0)break;j=j+1|0;i=g}g=l+-1|0;h=h+j|0;a[e>>0]=i;if(!((g|0)!=0&(i&255|0)!=10)){e=h;p=18;break a}}if((e|0)!=(b|0)?(c[f>>2]&16|0)!=0:0)p=18;else b=0}else{e=b;p=18}while(0);if((p|0)==18)if(!b)b=0;else a[e>>0]=0;if(o)ZN(f)}return b|0}function nO(a){a=a|0;(c[a+76>>2]|0)>-1?(YN(a)|0)!=0:0;return c[a+60>>2]|0}function oO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;g=i;i=i+32|0;f=g+16|0;e=g;if(TO(193949,a[d>>0]|0,4)|0){h=XN(d)|0|32768;c[e>>2]=b;c[e+4>>2]=h;c[e+8>>2]=438;e=jN(rb(5,e|0)|0)|0;if((e|0)>=0){b=WN(e,d)|0;if(!b){c[f>>2]=e;qb(6,f|0)|0;b=0}}else b=0}else{c[(cN()|0)>>2]=22;b=0}i=g;return b|0}function pO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=e;c[f>>2]=d;d=HO(a,b,f)|0;i=e;return d|0}function qO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;if((c[d+76>>2]|0)>=0?(YN(d)|0)!=0:0){if((a[d+75>>0]|0)!=(b|0)?(f=d+20|0,g=c[f>>2]|0,g>>>0<(c[d+16>>2]|0)>>>0):0){c[f>>2]=g+1;a[g>>0]=b;e=b&255}else e=_N(d,b)|0;ZN(d)}else i=3;do if((i|0)==3){if((a[d+75>>0]|0)!=(b|0)?(h=d+20|0,e=c[h>>2]|0,e>>>0<(c[d+16>>2]|0)>>>0):0){c[h>>2]=e+1;a[e>>0]=b;e=b&255;break}e=_N(d,b)|0}while(0);return e|0}function rO(a,b){a=a|0;b=b|0;return (AO(a,eP(a)|0,1,b)|0)+-1|0}function sO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;j=_(e,d)|0;if((c[f+76>>2]|0)>-1)k=YN(f)|0;else k=0;g=f+74|0;h=a[g>>0]|0;a[g>>0]=h+255|h;g=f+4|0;h=c[g>>2]|0;i=(c[f+8>>2]|0)-h|0;if((i|0)>0){i=i>>>0<j>>>0?i:j;rQ(b|0,h|0,i|0)|0;c[g>>2]=h+i;b=b+i|0;g=j-i|0}else g=j;a:do if(!g)l=13;else{i=f+32|0;h=g;while(1){if(fO(f)|0){e=h;break}g=Jb[c[i>>2]&63](f,b,h)|0;if((g+1|0)>>>0<2){e=h;break}if((h|0)==(g|0)){l=13;break a}else{b=b+g|0;h=h-g|0}}if(k)ZN(f);e=((j-e|0)>>>0)/(d>>>0)|0}while(0);if((l|0)==13)if(k)ZN(f);return e|0}function tO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==1)b=b-(c[a+8>>2]|0)+(c[a+4>>2]|0)|0;f=a+20|0;e=a+28|0;if((c[f>>2]|0)>>>0>(c[e>>2]|0)>>>0?(Jb[c[a+36>>2]&63](a,0,0)|0,(c[f>>2]|0)==0):0)b=-1;else{c[a+16>>2]=0;c[e>>2]=0;c[f>>2]=0;if((Jb[c[a+40>>2]&63](a,b,d)|0)<0)b=-1;else{c[a+8>>2]=0;c[a+4>>2]=0;c[a>>2]=c[a>>2]&-17;b=0}}return b|0}function uO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[a+76>>2]|0)>-1){e=(YN(a)|0)==0;b=tO(a,b,d)|0;if(!e)ZN(a)}else b=tO(a,b,d)|0;return b|0}function vO(a,b,c){a=a|0;b=b|0;c=c|0;return uO(a,b,c)|0}function wO(a){a=a|0;var b=0;if(!(c[a>>2]&128))b=1;else b=(c[a+20>>2]|0)>>>0>(c[a+28>>2]|0)>>>0?2:1;b=Jb[c[a+40>>2]&63](a,0,b)|0;if((b|0)>=0)b=b-(c[a+8>>2]|0)+(c[a+4>>2]|0)+(c[a+20>>2]|0)-(c[a+28>>2]|0)|0;return b|0}function xO(a){a=a|0;var b=0;if((c[a+76>>2]|0)>-1){b=(YN(a)|0)==0;a=wO(a)|0}else a=wO(a)|0;return a|0}function yO(a){a=a|0;return xO(a)|0}function zO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=e+16|0;g=c[f>>2]|0;if(!g)if(!(gO(e)|0)){g=c[f>>2]|0;h=4}else f=0;else h=4;a:do if((h|0)==4){i=e+20|0;h=c[i>>2]|0;if((g-h|0)>>>0<d>>>0){f=Jb[c[e+36>>2]&63](e,b,d)|0;break}b:do if((a[e+75>>0]|0)>-1){f=d;while(1){if(!f){g=h;f=0;break b}g=f+-1|0;if((a[b+g>>0]|0)==10)break;else f=g}if((Jb[c[e+36>>2]&63](e,b,f)|0)>>>0<f>>>0)break a;d=d-f|0;b=b+f|0;g=c[i>>2]|0}else{g=h;f=0}while(0);rQ(g|0,b|0,d|0)|0;c[i>>2]=(c[i>>2]|0)+d;f=f+d|0}while(0);return f|0}function AO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=_(d,b)|0;if((c[e+76>>2]|0)>-1){g=(YN(e)|0)==0;a=zO(a,f,e)|0;if(!g)ZN(e)}else a=zO(a,f,e)|0;if((a|0)!=(f|0))d=(a>>>0)/(b>>>0)|0;return d|0}function BO(b){b=b|0;var d=0,e=0,f=0,g=0;f=c[24811]|0;if((c[f+76>>2]|0)>-1)g=YN(f)|0;else g=0;do if((rO(b,f)|0)<0)d=1;else{if((a[f+75>>0]|0)!=10?(d=f+20|0,e=c[d>>2]|0,e>>>0<(c[f+16>>2]|0)>>>0):0){c[d>>2]=e+1;a[e>>0]=10;d=0;break}d=(_N(f,10)|0)<0}while(0);if(g)ZN(f);return d<<31>>31|0}function CO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=f;c[g>>2]=e;e=JO(a,b,d,g)|0;i=f;return e|0}function DO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=e;c[f>>2]=d;d=KO(a,b,f)|0;i=e;return d|0}function EO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=e;c[f>>2]=d;d=LO(a,b,f)|0;i=e;return d|0}function FO(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,j=0;j=i;i=i+48|0;g=j+16|0;f=j;d=j+20|0;e=0;while(1){a=GO(d)|0;if(!a){a=0;break}c[f>>2]=a;c[f+4>>2]=32962;c[f+8>>2]=384;b=jN(rb(5,f|0)|0)|0;e=e+1|0;if((b|0)>-1){h=5;break}if((e|0)>=100){a=0;break}}if((h|0)==5){h=WN(b,193953)|0;c[g>>2]=a;mb(10,g|0)|0;a=h}i=j;return a|0}function GO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;l=i;i=i+64|0;g=l+32|0;j=l+24|0;h=l+8|0;e=l;k=l+48|0;f=l+40|0;c[k>>2]=(a|0)==0?193956:a;c[e>>2]=193976;c[e+4>>2]=7;if(!(hb(33,e|0)|0)){b=f+4|0;d=k;e=0;while(1){c[h>>2]=0;c[h+4>>2]=f;c[h+8>>2]=0;Ga(265,h|0)|0;a=c[k>>2]|0;m=c[b>>2]^d^a;n=c[24915]|0;c[24915]=n+1;c[j>>2]=n;c[j+4>>2]=m;CO(a,20,193981,j)|0;c[g>>2]=c[k>>2];c[g+4>>2]=0;if(hb(33,g|0)|0){a=e;break}a=e+1|0;if((e|0)<100)e=a;else break}a=(a|0)>99?0:c[k>>2]|0}else a=0;i=l;return a|0}function HO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=i;i=i+224|0;o=s+80|0;r=s+96|0;q=s;p=s+136|0;f=r;g=f+40|0;do{c[f>>2]=0;f=f+4|0}while((f|0)<(g|0));c[o>>2]=c[e>>2];if((NP(0,d,o,q,r)|0)<0)e=-1;else{if((c[b+76>>2]|0)>-1)m=YN(b)|0;else m=0;e=c[b>>2]|0;n=e&32;if((a[b+74>>0]|0)<1)c[b>>2]=e&-33;e=b+48|0;if(!(c[e>>2]|0)){g=b+44|0;h=c[g>>2]|0;c[g>>2]=p;j=b+28|0;c[j>>2]=p;k=b+20|0;c[k>>2]=p;c[e>>2]=80;l=b+16|0;c[l>>2]=p+80;f=NP(b,d,o,q,r)|0;if(h){Jb[c[b+36>>2]&63](b,0,0)|0;f=(c[k>>2]|0)==0?-1:f;c[g>>2]=h;c[e>>2]=0;c[l>>2]=0;c[j>>2]=0;c[k>>2]=0}}else f=NP(b,d,o,q,r)|0;e=c[b>>2]|0;c[b>>2]=e|n;if(m)ZN(b);e=(e&32|0)==0?f:-1}i=s;return e|0}function IO(e,f,j){e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;P=i;i=i+304|0;H=P+16|0;J=P+8|0;I=P+33|0;K=P;y=P+32|0;if((c[e+76>>2]|0)>-1)O=YN(e)|0;else O=0;k=a[f>>0]|0;a:do if(k<<24>>24){L=e+4|0;M=e+100|0;G=e+108|0;z=e+8|0;A=I+10|0;B=I+33|0;D=J+4|0;E=I+46|0;F=I+94|0;m=k;k=0;n=f;s=0;l=0;f=0;b:while(1){c:do if(!(KM(m&255)|0)){m=(a[n>>0]|0)==37;d:do if(m){q=n+1|0;o=a[q>>0]|0;e:do switch(o<<24>>24){case 37:break d;case 42:{x=0;o=n+2|0;break}default:{o=(o&255)+-48|0;if(o>>>0<10?(a[n+2>>0]|0)==36:0){c[H>>2]=c[j>>2];while(1){x=(c[H>>2]|0)+(4-1)&~(4-1);m=c[x>>2]|0;c[H>>2]=x+4;if(o>>>0>1)o=o+-1|0;else break}x=m;o=n+3|0;break e}o=(c[j>>2]|0)+(4-1)&~(4-1);x=c[o>>2]|0;c[j>>2]=o+4;o=q}}while(0);m=a[o>>0]|0;n=m&255;if((n+-48|0)>>>0<10){m=0;while(1){q=(m*10|0)+-48+n|0;o=o+1|0;m=a[o>>0]|0;n=m&255;if((n+-48|0)>>>0>=10)break;else m=q}}else q=0;if(m<<24>>24==109){o=o+1|0;r=a[o>>0]|0;m=(x|0)!=0&1;l=0;f=0}else{r=m;m=0}n=o+1|0;switch(r&255|0){case 104:{w=(a[n>>0]|0)==104;n=w?o+2|0:n;o=w?-2:-1;break}case 108:{w=(a[n>>0]|0)==108;n=w?o+2|0:n;o=w?3:1;break}case 106:{o=3;break}case 116:case 122:{o=1;break}case 76:{o=2;break}case 110:case 112:case 67:case 83:case 91:case 99:case 115:case 88:case 71:case 70:case 69:case 65:case 103:case 102:case 101:case 97:case 120:case 117:case 111:case 105:case 100:{n=o;o=0;break}default:{N=152;break b}}r=d[n>>0]|0;t=(r&47|0)==3;r=t?r|32:r;t=t?1:o;switch(r|0){case 99:{w=s;v=(q|0)<1?1:q;break}case 91:{w=s;v=q;break}case 110:{if(!x){o=s;break c}switch(t|0){case -2:{a[x>>0]=s;o=s;break c}case -1:{b[x>>1]=s;o=s;break c}case 0:{c[x>>2]=s;o=s;break c}case 1:{c[x>>2]=s;o=s;break c}case 3:{o=x;c[o>>2]=s;c[o+4>>2]=((s|0)<0)<<31>>31;o=s;break c}default:{o=s;break c}}}default:{hN(e,0);do{o=c[L>>2]|0;if(o>>>0<(c[M>>2]|0)>>>0){c[L>>2]=o+1;o=d[o>>0]|0}else o=iN(e)|0}while((KM(o)|0)!=0);o=c[L>>2]|0;if(c[M>>2]|0){o=o+-1|0;c[L>>2]=o}w=(c[G>>2]|0)+s+o-(c[z>>2]|0)|0;v=q}}hN(e,v);o=c[L>>2]|0;q=c[M>>2]|0;if(o>>>0<q>>>0)c[L>>2]=o+1;else{if((iN(e)|0)<0){N=152;break b}q=c[M>>2]|0}if(q)c[L>>2]=(c[L>>2]|0)+-1;f:do switch(r|0){case 91:case 99:case 115:{u=(r|0)==99;g:do if((r&239|0)==99){tQ(I|0,-1,257)|0;a[I>>0]=0;if((r|0)==115){a[B>>0]=0;a[A>>0]=0;a[A+1>>0]=0;a[A+2>>0]=0;a[A+3>>0]=0;a[A+4>>0]=0}}else{Q=n+1|0;s=(a[Q>>0]|0)==94;o=s&1;r=s?Q:n;n=s?n+2|0:Q;tQ(I|0,s&1|0,257)|0;a[I>>0]=0;switch(a[n>>0]|0){case 45:{s=(o^1)&255;a[E>>0]=s;n=r+2|0;break}case 93:{s=(o^1)&255;a[F>>0]=s;n=r+2|0;break}default:s=(o^1)&255}while(1){o=a[n>>0]|0;h:do switch(o<<24>>24){case 0:{N=152;break b}case 93:break g;case 45:{r=n+1|0;o=a[r>>0]|0;switch(o<<24>>24){case 93:case 0:{o=45;break h}default:{}}n=a[n+-1>>0]|0;if((n&255)<(o&255)){n=n&255;do{n=n+1|0;a[I+n>>0]=s;o=a[r>>0]|0}while((n|0)<(o&255|0));n=r}else n=r;break}default:{}}while(0);a[I+((o&255)+1)>>0]=s;n=n+1|0}}while(0);r=u?v+1|0:31;s=(t|0)==1;t=(m|0)!=0;i:do if(s){if(t){f=eQ(r<<2)|0;if(!f){l=0;N=152;break b}}else f=x;c[J>>2]=0;c[D>>2]=0;l=0;j:while(1){q=(f|0)==0;do{k:while(1){o=c[L>>2]|0;if(o>>>0<(c[M>>2]|0)>>>0){c[L>>2]=o+1;o=d[o>>0]|0}else o=iN(e)|0;if(!(a[I+(o+1)>>0]|0))break j;a[y>>0]=o;switch(EN(K,y,1,J)|0){case -1:{l=0;N=152;break b}case -2:break;default:break k}}if(!q){c[f+(l<<2)>>2]=c[K>>2];l=l+1|0}}while(!(t&(l|0)==(r|0)));l=r<<1|1;o=hQ(f,l<<2)|0;if(!o){l=0;N=152;break b}Q=r;r=l;f=o;l=Q}if(!(FN(J)|0)){l=0;N=152;break b}else{q=l;l=0}}else{if(t){l=eQ(r)|0;if(!l){l=0;f=0;N=152;break b}else o=0;while(1){do{f=c[L>>2]|0;if(f>>>0<(c[M>>2]|0)>>>0){c[L>>2]=f+1;f=d[f>>0]|0}else f=iN(e)|0;if(!(a[I+(f+1)>>0]|0)){q=o;f=0;break i}a[l+o>>0]=f;o=o+1|0}while((o|0)!=(r|0));f=r<<1|1;o=hQ(l,f)|0;if(!o){f=0;N=152;break b}else{Q=r;r=f;l=o;o=Q}}}if(!x){l=q;while(1){f=c[L>>2]|0;if(f>>>0<l>>>0){c[L>>2]=f+1;f=d[f>>0]|0}else f=iN(e)|0;if(!(a[I+(f+1)>>0]|0)){q=0;l=0;f=0;break i}l=c[M>>2]|0}}else{l=0;while(1){f=c[L>>2]|0;if(f>>>0<q>>>0){c[L>>2]=f+1;f=d[f>>0]|0}else f=iN(e)|0;if(!(a[I+(f+1)>>0]|0)){q=l;l=x;f=0;break i}a[x+l>>0]=f;q=c[M>>2]|0;l=l+1|0}}}while(0);o=c[L>>2]|0;if(c[M>>2]|0){o=o+-1|0;c[L>>2]=o}o=o-(c[z>>2]|0)+(c[G>>2]|0)|0;if(!o)break b;if(!((o|0)==(v|0)|u^1))break b;do if(t)if(s){c[x>>2]=f;break}else{c[x>>2]=l;break}while(0);if(!u){if(f)c[f+(q<<2)>>2]=0;if(!l){l=0;break f}a[l+q>>0]=0}break}case 120:case 88:case 112:{o=16;N=134;break}case 111:{o=8;N=134;break}case 117:case 100:{o=10;N=134;break}case 105:{o=0;N=134;break}case 71:case 103:case 70:case 102:case 69:case 101:case 65:case 97:{p=+eN(e,t,0);if((c[G>>2]|0)==((c[z>>2]|0)-(c[L>>2]|0)|0))break b;if(x)switch(t|0){case 0:{g[x>>2]=p;break f}case 1:{h[x>>3]=p;break f}case 2:{h[x>>3]=p;break f}default:break f}break}default:{}}while(0);l:do if((N|0)==134){N=0;o=fN(e,o,0,-1,-1)|0;if((c[G>>2]|0)==((c[z>>2]|0)-(c[L>>2]|0)|0))break b;if((x|0)!=0&(r|0)==112){c[x>>2]=o;break}if(x)switch(t|0){case -2:{a[x>>0]=o;break l}case -1:{b[x>>1]=o;break l}case 0:{c[x>>2]=o;break l}case 1:{c[x>>2]=o;break l}case 3:{Q=x;c[Q>>2]=o;c[Q+4>>2]=C;break l}default:break l}}while(0);k=((x|0)!=0&1)+k|0;o=(c[G>>2]|0)+w+(c[L>>2]|0)-(c[z>>2]|0)|0;break c}while(0);n=n+(m&1)|0;hN(e,0);m=c[L>>2]|0;if(m>>>0<(c[M>>2]|0)>>>0){c[L>>2]=m+1;m=d[m>>0]|0}else m=iN(e)|0;if((m|0)!=(d[n>>0]|0)){N=21;break b}o=s+1|0}else{while(1){m=n+1|0;if(!(KM(d[m>>0]|0)|0))break;else n=m}hN(e,0);do{m=c[L>>2]|0;if(m>>>0<(c[M>>2]|0)>>>0){c[L>>2]=m+1;m=d[m>>0]|0}else m=iN(e)|0}while((KM(m)|0)!=0);m=c[L>>2]|0;if(c[M>>2]|0){m=m+-1|0;c[L>>2]=m}o=(c[G>>2]|0)+s+m-(c[z>>2]|0)|0}while(0);n=n+1|0;m=a[n>>0]|0;if(!(m<<24>>24))break a;else s=o}if((N|0)==21){if(c[M>>2]|0)c[L>>2]=(c[L>>2]|0)+-1;if((k|0)!=0|(m|0)>-1)break;else{k=0;N=153}}else if((N|0)==152)if(!k){k=m;N=153}if((N|0)==153){m=k;k=-1}if(m){fQ(l);fQ(f)}}else k=0;while(0);if(O)ZN(e);i=P;return k|0}function JO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;n=i;i=i+128|0;g=n+112|0;m=n;h=m;j=99664;k=h+112|0;do{c[h>>2]=c[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(k|0));if((d+-1|0)>>>0>2147483646)if(!d){d=1;l=4}else{c[(cN()|0)>>2]=75;d=-1}else{g=b;l=4}if((l|0)==4){l=-2-g|0;l=d>>>0>l>>>0?l:d;c[m+48>>2]=l;b=m+20|0;c[b>>2]=g;c[m+44>>2]=g;d=g+l|0;g=m+16|0;c[g>>2]=d;c[m+28>>2]=d;d=HO(m,e,f)|0;if(l){e=c[b>>2]|0;a[e+(((e|0)==(c[g>>2]|0))<<31>>31)>>0]=0}}i=n;return d|0}function KO(a,b,c){a=a|0;b=b|0;c=c|0;return JO(a,2147483647,b,c)|0}function LO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;g=i;i=i+112|0;e=g;f=e;h=f+112|0;do{c[f>>2]=0;f=f+4|0}while((f|0)<(h|0));c[e+32>>2]=47;c[e+44>>2]=a;c[e+76>>2]=-1;c[e+84>>2]=a;h=IO(e,b,d)|0;i=g;return h|0}function MO(a){a=a|0;return +(+QO(a,0))}function NO(b){b=b|0;var c=0,d=0,e=0,f=0;while(1){c=b+1|0;if(!(KM(a[b>>0]|0)|0))break;else b=c}d=a[b>>0]|0;switch(d<<24>>24|0){case 45:{e=1;f=5;break}case 43:{e=0;f=5;break}default:e=0}if((f|0)==5){b=c;d=a[c>>0]|0}c=(d<<24>>24)+-48|0;if(c>>>0<10){d=b;b=0;do{d=d+1|0;b=(b*10|0)-c|0;c=(a[d>>0]|0)+-48|0}while(c>>>0<10)}else b=0;return ((e|0)!=0?b:0-b|0)|0}function OO(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;a:do if(!c)b=0;else{h=b;while(1){g=c>>>1;b=h+(_(g,d)|0)|0;f=Qb[e&127](a,b)|0;if(!f)break a;if((c|0)==1){b=0;break a}f=(f|0)<0;c=f?g:c-g|0;if(!c){b=0;break}else h=f?h:b}}while(0);return b|0}function PO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+208|0;o=r+8|0;p=r;f=_(d,b)|0;n=p;c[n>>2]=1;c[n+4>>2]=0;if(f){j=f-d|0;c[o+4>>2]=d;c[o>>2]=d;g=d;b=d;h=2;while(1){b=b+d+g|0;c[o+(h<<2)>>2]=b;if(b>>>0<f>>>0){n=g;g=b;h=h+1|0;b=n}else break}n=0-d|0;k=a+j|0;m=p+4|0;if((j|0)>0){j=k;f=1;h=1;while(1){do if((f&3|0)==3){PP(a,d,e,h,o);l=c[m>>2]|0;b=l<<30|(c[p>>2]|0)>>>2;c[p>>2]=b;c[m>>2]=l>>>2;h=h+2|0}else{b=h+-1|0;if((c[o+(b<<2)>>2]|0)>>>0<(j-a|0)>>>0)PP(a,d,e,h,o);else QP(a,d,e,p,h,0,o);if((h|0)==1){b=c[p>>2]|0;c[m>>2]=b>>>31|c[m>>2]<<1;b=b<<1;c[p>>2]=b;h=0;break}if(b>>>0>31){f=c[p>>2]|0;c[m>>2]=f;c[p>>2]=0;b=h+-33|0;g=0}else{f=c[m>>2]|0;g=c[p>>2]|0}c[m>>2]=g>>>(32-b|0)|f<<b;b=g<<b;c[p>>2]=b;h=1}while(0);f=b|1;c[p>>2]=f;b=a+d|0;if(b>>>0>=k>>>0){f=b;break}else a=b}}else{f=a;h=1}QP(f,d,e,p,h,0,o);l=p+4|0;b=c[p>>2]|0;if(!((h|0)==1&(b|0)==1&(c[l>>2]|0)==0)){g=f;while(1){if((h|0)<2){f=b+-1|0;do if(f){if(!(f&1)){j=f;f=0;do{f=f+1|0;j=j>>>1}while((j&1|0)==0);if(!f)q=24}else q=24;if((q|0)==24){q=0;k=c[m>>2]|0;if(!k){f=64;q=30;break}if(!(k&1)){j=k;f=0}else{a=0;j=k;f=0;break}while(1){a=f+1|0;j=j>>>1;if(j&1){j=a;break}else f=a}if(!j){a=0;j=k;f=0;break}else f=f+33|0}if(f>>>0>31)q=30;else{a=f;j=c[m>>2]|0}}else{f=32;q=30}while(0);if((q|0)==30){q=0;b=c[m>>2]|0;c[p>>2]=b;c[m>>2]=0;a=f+-32|0;j=0}c[p>>2]=j<<32-a|b>>>a;c[m>>2]=j>>>a;g=g+n|0;f=f+h|0}else{a=b>>>30;k=a|c[m>>2]<<2;f=h+-2|0;c[p>>2]=(b<<1&2147483646|a<<31)^3;c[m>>2]=k>>>1;QP(g+(0-((c[o+(f<<2)>>2]|0)+d))|0,d,e,p,h+-1|0,1,o);k=c[p>>2]|0;c[m>>2]=k>>>31|c[m>>2]<<1;c[p>>2]=k<<1|1;g=g+n|0;QP(g,d,e,p,f,1,o)}b=c[p>>2]|0;if((f|0)==1&(b|0)==1&(c[l>>2]|0)==0)break;else h=f}}}i=r;return}function QO(a,b){a=a|0;b=b|0;return +(+RP(a,b,1))}function RO(a,b,c){a=a|0;b=b|0;c=c|0;a=SP(a,b,c,-1,0)|0;return a|0}function SO(a,b,c){a=a|0;b=b|0;c=c|0;a=SP(a,b,c,-2147483648,0)|0;return a|0}function TO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;h=d&255;f=(e|0)!=0;a:do if(f&(b&3|0)!=0){g=d&255;while(1){if((a[b>>0]|0)==g<<24>>24){i=6;break a}b=b+1|0;e=e+-1|0;f=(e|0)!=0;if(!(f&(b&3|0)!=0)){i=5;break}}}else i=5;while(0);if((i|0)==5)if(f)i=6;else e=0;b:do if((i|0)==6){g=d&255;if((a[b>>0]|0)!=g<<24>>24){f=_(h,16843009)|0;c:do if(e>>>0>3)while(1){h=c[b>>2]^f;if((h&-2139062144^-2139062144)&h+-16843009)break;b=b+4|0;e=e+-4|0;if(e>>>0<=3){i=11;break c}}else i=11;while(0);if((i|0)==11)if(!e){e=0;break}while(1){if((a[b>>0]|0)==g<<24>>24)break b;b=b+1|0;e=e+-1|0;if(!e){e=0;break}}}}while(0);return ((e|0)!=0?b:0)|0}function UO(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;a:do if(!d)d=0;else{f=d;e=b;while(1){b=a[e>>0]|0;d=a[c>>0]|0;if(b<<24>>24!=d<<24>>24)break;f=f+-1|0;if(!f){d=0;break a}else{e=e+1|0;c=c+1|0}}d=(b&255)-(d&255)|0}while(0);return d|0}function VO(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;e=c&255;do{if(!d){c=0;break}d=d+-1|0;c=b+d|0}while((a[c>>0]|0)!=e<<24>>24);return c|0}function WO(b,d){b=b|0;d=d|0;var e=0,f=0;e=d;a:do if(!((e^b)&3)){if(e&3)do{e=a[d>>0]|0;a[b>>0]=e;if(!(e<<24>>24))break a;d=d+1|0;b=b+1|0}while((d&3|0)!=0);e=c[d>>2]|0;if(!((e&-2139062144^-2139062144)&e+-16843009)){f=b;while(1){d=d+4|0;b=f+4|0;c[f>>2]=e;e=c[d>>2]|0;if((e&-2139062144^-2139062144)&e+-16843009)break;else f=b}}f=8}else f=8;while(0);if((f|0)==8){f=a[d>>0]|0;a[b>>0]=f;if(f<<24>>24)do{d=d+1|0;b=b+1|0;f=a[d>>0]|0;a[b>>0]=f}while(f<<24>>24!=0)}return b|0}function XO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;g=d;do if(!((g^b)&3)){f=(e|0)!=0;a:do if(f&(g&3|0)!=0)while(1){g=a[d>>0]|0;a[b>>0]=g;if(!(g<<24>>24))break a;e=e+-1|0;d=d+1|0;b=b+1|0;f=(e|0)!=0;if(!(f&(d&3|0)!=0)){h=5;break}}else h=5;while(0);if((h|0)==5)if(!f){e=0;break}if(a[d>>0]|0){b:do if(e>>>0>3)do{f=c[d>>2]|0;if((f&-2139062144^-2139062144)&f+-16843009)break b;c[b>>2]=f;e=e+-4|0;d=d+4|0;b=b+4|0}while(e>>>0>3);while(0);h=11}}else h=11;while(0);c:do if((h|0)==11)if(!e)e=0;else while(1){h=a[d>>0]|0;a[b>>0]=h;if(!(h<<24>>24))break c;e=e+-1|0;b=b+1|0;if(!e){e=0;break}else d=d+1|0}while(0);tQ(b|0,0,e|0)|0;return b|0}function YO(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=a[b>>0]|0;a:do if(!(e<<24>>24))b=0;else{g=e;f=e&255;while(1){e=a[c>>0]|0;if(!(e<<24>>24)){b=g;break a}if(g<<24>>24!=e<<24>>24?(g=_M(f)|0,(g|0)!=(_M(d[c>>0]|0)|0)):0)break;b=b+1|0;c=c+1|0;e=a[b>>0]|0;if(!(e<<24>>24)){b=0;break a}else{g=e;f=e&255}}b=a[b>>0]|0}while(0);g=_M(b&255)|0;return g-(_M(d[c>>0]|0)|0)|0}function ZO(a,b){a=a|0;b=b|0;bP(a+(eP(a)|0)|0,b)|0;return a|0}function _O(b,c){b=b|0;c=c|0;b=$O(b,c)|0;return ((a[b>>0]|0)==(c&255)<<24>>24?b:0)|0}function $O(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;f=d&255;a:do if(!f)b=b+(eP(b)|0)|0;else{if(b&3){e=d&255;do{g=a[b>>0]|0;if(g<<24>>24==0?1:g<<24>>24==e<<24>>24)break a;b=b+1|0}while((b&3|0)!=0)}f=_(f,16843009)|0;e=c[b>>2]|0;b:do if(!((e&-2139062144^-2139062144)&e+-16843009))do{g=e^f;if((g&-2139062144^-2139062144)&g+-16843009)break b;b=b+4|0;e=c[b>>2]|0}while(((e&-2139062144^-2139062144)&e+-16843009|0)==0);while(0);e=d&255;while(1){g=a[b>>0]|0;if(g<<24>>24==0?1:g<<24>>24==e<<24>>24)break;else b=b+1|0}}while(0);return b|0}function aP(b,c){b=b|0;c=c|0;var d=0,e=0;e=a[b>>0]|0;d=a[c>>0]|0;if(e<<24>>24==0?1:e<<24>>24!=d<<24>>24)c=e;else{do{b=b+1|0;c=c+1|0;e=a[b>>0]|0;d=a[c>>0]|0}while(!(e<<24>>24==0?1:e<<24>>24!=d<<24>>24));c=e}return (c&255)-(d&255)|0}function bP(a,b){a=a|0;b=b|0;WO(a,b)|0;return a|0}function cP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;g=i;i=i+32|0;f=g;e=a[d>>0]|0;if(e<<24>>24!=0?(a[d+1>>0]|0)!=0:0){c[f>>2]=0;c[f+4>>2]=0;c[f+8>>2]=0;c[f+12>>2]=0;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=0;c[f+28>>2]=0;do{h=f+(((e&255)>>>5&255)<<2)|0;c[h>>2]=c[h>>2]|1<<(e&31);d=d+1|0;e=a[d>>0]|0}while(e<<24>>24!=0);d=a[b>>0]|0;a:do if(!(d<<24>>24))e=b;else{e=b;do{if(c[f+(((d&255)>>>5&255)<<2)>>2]&1<<(d&31))break a;e=e+1|0;d=a[e>>0]|0}while(d<<24>>24!=0)}while(0);e=e-b|0}else e=($O(b,e<<24>>24)|0)-b|0;i=g;return e|0}function dP(a){a=a|0;var b=0,c=0;c=(eP(a)|0)+1|0;b=eQ(c)|0;if(!b)b=0;else rQ(b|0,a|0,c|0)|0;return b|0}function eP(b){b=b|0;var d=0,e=0,f=0;f=b;a:do if(!(f&3))e=4;else{d=b;b=f;while(1){if(!(a[d>>0]|0))break a;d=d+1|0;b=d;if(!(b&3)){b=d;e=4;break}}}while(0);if((e|0)==4){while(1){d=c[b>>2]|0;if(!((d&-2139062144^-2139062144)&d+-16843009))b=b+4|0;else break}if((d&255)<<24>>24)do b=b+1|0;while((a[b>>0]|0)!=0)}return b-f|0}function fP(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0;if(!e)c=0;else{f=a[b>>0]|0;a:do if(!(f<<24>>24))b=0;else{h=f;g=f&255;while(1){e=e+-1|0;f=a[c>>0]|0;if(!((e|0)!=0&f<<24>>24!=0)){b=h;break a}if(h<<24>>24!=f<<24>>24?(h=_M(g)|0,(h|0)!=(_M(d[c>>0]|0)|0)):0)break;b=b+1|0;c=c+1|0;f=a[b>>0]|0;if(!(f<<24>>24)){b=0;break a}else{h=f;g=f&255}}b=a[b>>0]|0}while(0);h=_M(b&255)|0;c=h-(_M(d[c>>0]|0)|0)|0}return c|0}function gP(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0;if(!e)c=0;else{f=a[b>>0]|0;a:do if(!(f<<24>>24))f=0;else while(1){e=e+-1|0;g=a[c>>0]|0;if(!(f<<24>>24==g<<24>>24&((e|0)!=0&g<<24>>24!=0)))break a;b=b+1|0;c=c+1|0;f=a[b>>0]|0;if(!(f<<24>>24)){f=0;break}}while(0);c=(f&255)-(d[c>>0]|0)|0}return c|0}function hP(a,b,c){a=a|0;b=b|0;c=c|0;XO(a,b,c)|0;return a|0}function iP(b,c){b=b|0;c=c|0;b=b+(cP(b,c)|0)|0;return ((a[b>>0]|0)!=0?b:0)|0}function jP(a,b){a=a|0;b=b|0;return VO(a,b,(eP(a)|0)+1|0)|0}function kP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;h=i;i=i+32|0;g=h;c[g>>2]=0;c[g+4>>2]=0;c[g+8>>2]=0;c[g+12>>2]=0;c[g+16>>2]=0;c[g+20>>2]=0;c[g+24>>2]=0;c[g+28>>2]=0;f=a[d>>0]|0;do if(!(f<<24>>24))d=0;else{if(!(a[d+1>>0]|0)){d=b;while(1)if((a[d>>0]|0)==f<<24>>24)d=d+1|0;else break;d=d-b|0;break}else{e=d;d=f}do{f=g+(((d&255)>>>5&255)<<2)|0;c[f>>2]=c[f>>2]|1<<(d&31);e=e+1|0;d=a[e>>0]|0}while(d<<24>>24!=0);e=a[b>>0]|0;a:do if(!(e<<24>>24))d=b;else{d=b;do{if(!(c[g+(((e&255)>>>5&255)<<2)>>2]&1<<(e&31)))break a;d=d+1|0;e=a[d>>0]|0}while(e<<24>>24!=0)}while(0);d=d-b|0}while(0);i=h;return d|0}function lP(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=i;i=i+1056|0;u=w+1024|0;v=w;k=a[e>>0]|0;do if(k<<24>>24){t=_O(b,k<<24>>24)|0;if(t){j=a[e+1>>0]|0;if(j<<24>>24){f=t+1|0;m=a[f>>0]|0;if(m<<24>>24){h=a[e+2>>0]|0;if(!(h<<24>>24)){k=j&255|(k&255)<<8;b=m;j=t;g=d[t>>0]<<8|m&255;while(1){h=g&65535;if((h|0)==(k|0)){f=j;break}b=f+1|0;g=a[b>>0]|0;if(!(g<<24>>24)){b=0;break}else{j=f;f=b;b=g;g=g&255|h<<8}}b=b<<24>>24!=0?f:0;break}f=t+2|0;l=a[f>>0]|0;if(l<<24>>24){g=a[e+3>>0]|0;if(!(g<<24>>24)){h=(j&255)<<16|(k&255)<<24|(h&255)<<8;b=(l&255)<<8|(m&255)<<16|d[t>>0]<<24;if((b|0)==(h|0))b=l;else{g=b;do{f=f+1|0;b=a[f>>0]|0;g=(b&255|g)<<8}while(!(b<<24>>24==0|(g|0)==(h|0)))}b=b<<24>>24!=0?f+-2|0:0;break}f=t+3|0;b=a[f>>0]|0;if(b<<24>>24){if(!(a[e+4>>0]|0)){h=(j&255)<<16|(k&255)<<24|(h&255)<<8|g&255;g=(l&255)<<8|(m&255)<<16|b&255|d[t>>0]<<24;if((g|0)!=(h|0))do{f=f+1|0;b=a[f>>0]|0;g=b&255|g<<8}while(!(b<<24>>24==0|(g|0)==(h|0)));b=b<<24>>24!=0?f+-3|0:0;break};c[u>>2]=0;c[u+4>>2]=0;c[u+8>>2]=0;c[u+12>>2]=0;c[u+16>>2]=0;c[u+20>>2]=0;c[u+24>>2]=0;c[u+28>>2]=0;b=k;g=0;while(1){if(!(a[t+g>>0]|0)){b=0;break}f=u+(((b&255)>>>5&255)<<2)|0;c[f>>2]=c[f>>2]|1<<(b&31);f=g+1|0;c[v+((b&255)<<2)>>2]=f;b=a[e+f>>0]|0;if(!(b<<24>>24)){n=23;break}else g=f}a:do if((n|0)==23){b:do if(f>>>0>1){h=1;n=-1;b=0;c:while(1){m=1;while(1){d:while(1){j=1;while(1){k=a[e+(j+n)>>0]|0;l=a[e+h>>0]|0;if(k<<24>>24!=l<<24>>24){m=h;j=k;h=l;break d}if((j|0)==(m|0))break;j=j+1|0;h=j+b|0;if(h>>>0>=f>>>0){b=n;p=m;break c}}b=b+m|0;h=b+1|0;if(h>>>0>=f>>>0){b=n;p=m;break c}}k=m-n|0;if((j&255)<=(h&255))break;b=m+1|0;if(b>>>0<f>>>0){h=b;b=m;m=k}else{b=n;p=k;break c}}h=b+2|0;if(h>>>0>=f>>>0){p=1;break}else{n=b;b=b+1|0}}j=1;k=-1;h=0;while(1){l=h;h=1;while(1){o=l;e:while(1){l=1;while(1){n=a[e+(l+k)>>0]|0;m=a[e+j>>0]|0;if(n<<24>>24!=m<<24>>24){l=j;j=o;break e}if((l|0)==(h|0))break;l=l+1|0;j=l+o|0;if(j>>>0>=f>>>0){j=p;break b}}o=o+h|0;j=o+1|0;if(j>>>0>=f>>>0){j=p;break b}}h=l-k|0;if((n&255)>=(m&255)){h=j;break}j=l+1|0;if(j>>>0>=f>>>0){j=p;break b}}j=h+2|0;if(j>>>0>=f>>>0){k=h;j=p;h=1;break}else{k=h;h=h+1|0}}}else{b=-1;k=-1;j=1;h=1}while(0);r=(k+1|0)>>>0>(b+1|0)>>>0;h=r?h:j;r=r?k:b;q=r+1|0;if(!(UO(e,e+h|0,q)|0))s=f-h|0;else{h=f-r+-1|0;s=0;h=(r>>>0>h>>>0?r:h)+1|0}n=f|63;o=(s|0)!=0;p=f-h|0;b=t;m=0;l=t;f:while(1){j=b;do if((l-j|0)>>>0<f>>>0){k=TO(l,0,n)|0;if(k)if((k-j|0)>>>0<f>>>0){b=0;break a}else break;else{k=l+n|0;break}}else k=l;while(0);j=a[b+g>>0]|0;if(!(1<<(j&31)&c[u+(((j&255)>>>5&255)<<2)>>2])){b=b+f|0;m=0;l=k;continue}t=c[v+((j&255)<<2)>>2]|0;j=f-t|0;if((f|0)!=(t|0)){b=b+(o&(m|0)!=0&j>>>0<h>>>0?p:j)|0;m=0;l=k;continue}j=q>>>0>m>>>0?q:m;l=a[e+j>>0]|0;g:do if(!(l<<24>>24))j=q;else{while(1){if(l<<24>>24!=(a[b+j>>0]|0))break;j=j+1|0;l=a[e+j>>0]|0;if(!(l<<24>>24)){j=q;break g}}b=b+(j-r)|0;m=0;l=k;continue f}while(0);do{if(j>>>0<=m>>>0)break a;j=j+-1|0}while((a[e+j>>0]|0)==(a[b+j>>0]|0));b=b+h|0;m=s;l=k}}while(0)}else b=0}else b=0}else b=0}else b=t}else b=0}while(0);i=w;return b|0}function mP(b,d){b=b|0;d=d|0;var e=0,f=0;if(!b){b=c[24944]|0;if(!b)b=0;else{f=b;e=3}}else{f=b;e=3}do if((e|0)==3){e=kP(f,d)|0;b=f+e|0;if(!(a[b>>0]|0)){c[24944]=0;b=0;break}e=(cP(b,d)|0)+e|0;d=f+e|0;c[24944]=d;if(!(a[d>>0]|0)){c[24944]=0;break}else{c[24944]=f+(e+1);a[d>>0]=0;break}}while(0);return b|0}function nP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;if(!b){b=c[e>>2]|0;if(!b)b=0;else{g=b;f=3}}else{g=b;f=3}do if((f|0)==3){f=kP(g,d)|0;b=g+f|0;if(!(a[b>>0]|0)){c[e>>2]=0;b=0;break}f=(cP(b,d)|0)+f|0;d=g+f|0;c[e>>2]=d;if(!(a[d>>0]|0)){c[e>>2]=0;break}else{c[e>>2]=g+(f+1);a[d>>0]=0;break}}while(0);return b|0}function oP(a,b){a=a|0;b=b|0;var d=0;if(!b)a=a+((pP(a)|0)<<2)|0;else{d=a;while(1){a=c[d>>2]|0;if((a|0)==0|(a|0)==(b|0))break;else d=d+4|0}a=(a|0)!=0?d:0}return a|0}function pP(a){a=a|0;var b=0;b=a;while(1)if(!(c[b>>2]|0))break;else b=b+4|0;return b-a>>2|0}function qP(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d;c[e>>2]=a;c[e+4>>2]=b;a=jN(hb(33,e|0)|0)|0;i=d;return a|0}function rP(){var a=0,b=0;b=i;i=i+16|0;a=Ma(20,b|0)|0;i=b;return a|0}function sP(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;l=(f<<1)+-1|0;k=f+-1|0;a:do if(!((c+-43008|0)>>>0<22272|((c+-11776|0)>>>0<30784|((c+-1536|0)>>>0<2560|(NM(c)|0)==0)))){g=(f|0)!=0;if(g&(c+-4256|0)>>>0<46){if((c|0)>4293)switch(c|0){case 4295:case 4301:break;default:break a}c=c+7264|0;break}if((c+-11520|0)>>>0<38&(g^1)){if((c|0)>11557)switch(c|0){case 11559:case 11565:break;default:break a}c=c+-7264|0;break}else j=0;do{i=a[106288+(j<<2)+2>>0]|0;h=i<<24>>24;g=c-(e[106288+(j<<2)>>1]|0)|0;if((g-(h&k)|0)>>>0<(d[106288+(j<<2)+3>>0]|0)>>>0){m=13;break}j=j+1|0}while((j|0)!=61);if((m|0)==13)if(i<<24>>24==1){c=f+c-(g&1)|0;break}else{c=(_(h,l)|0)+c|0;break}i=1-f|0;g=b[105796+(i<<1)>>1]|0;b:do if(g<<16>>16){h=0;while(1){if((g&65535|0)==(c|0)){c=h;break}h=h+1|0;g=b[105796+(h<<2)+(i<<1)>>1]|0;if(!(g<<16>>16))break b}c=e[105796+(c<<2)+(f<<1)>>1]|0;break a}while(0);if((c+-66600+(f*40|0)|0)>>>0<40)c=c+-40+(f*80|0)|0}while(0);return c|0}function tP(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0;i=a+4|0;e=c[i>>2]|0;j=a+100|0;if(e>>>0<(c[j>>2]|0)>>>0){c[i>>2]=e+1;e=d[e>>0]|0}else e=iN(a)|0;switch(e|0){case 43:case 45:{f=(e|0)==45&1;e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){c[i>>2]=e+1;e=d[e>>0]|0}else e=iN(a)|0;if((b|0)!=0&(e+-48|0)>>>0>9?(c[j>>2]|0)!=0:0){c[i>>2]=(c[i>>2]|0)+-1;h=f}else h=f;break}default:h=0}if((e+-48|0)>>>0>9)if(!(c[j>>2]|0)){f=-2147483648;e=0}else{c[i>>2]=(c[i>>2]|0)+-1;f=-2147483648;e=0}else{f=0;do{f=e+-48+(f*10|0)|0;e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){c[i>>2]=e+1;e=d[e>>0]|0}else e=iN(a)|0}while((e+-48|0)>>>0<10&(f|0)<214748364);b=((f|0)<0)<<31>>31;if((e+-48|0)>>>0<10){do{b=zQ(f|0,b|0,10,0)|0;f=C;e=mQ(e|0,((e|0)<0)<<31>>31|0,-48,-1)|0;f=mQ(e|0,C|0,b|0,f|0)|0;b=C;e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){c[i>>2]=e+1;e=d[e>>0]|0}else e=iN(a)|0}while((e+-48|0)>>>0<10&((b|0)<21474836|(b|0)==21474836&f>>>0<2061584302));g=f}else g=f;if((e+-48|0)>>>0<10)do{e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){c[i>>2]=e+1;e=d[e>>0]|0}else e=iN(a)|0}while((e+-48|0)>>>0<10);if(c[j>>2]|0)c[i>>2]=(c[i>>2]|0)+-1;a=(h|0)!=0;e=lQ(0,0,g|0,b|0)|0;f=a?C:b;e=a?e:g}C=f;return e|0}function uP(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;Y=i;i=i+432|0;Q=Y+272|0;P=Y+264|0;X=Y+260|0;V=Y+320|0;R=Y+256|0;S=Y;W=Y+268|0;T=Y+416|0;U=Y+384|0;G=c[b+4>>2]|0;J=G+12|0;L=c[J>>2]|0;if(!(c[b+40>>2]|0)){I=b+20|0;c[P>>2]=c[I>>2];c[Q>>2]=c[P>>2];wP(G,Q)|0;c[P>>2]=2;c[Q>>2]=c[P>>2];wP(G,Q)|0;c[I>>2]=(c[I>>2]|0)+1}c[P>>2]=0;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;H=b+12|0;I=b+16|0;c[I>>2]=c[H>>2];e=c[J>>2]|0;f=(d|0)==0;a:do if(!((d|0)!=0|f&(e|0)>(L|0)^1)){u=G+16|0;v=b+36|0;w=b+24|0;x=b+20|0;y=b+28|0;z=T+1|0;A=Q+12|0;B=Q+40|0;C=Q+24|0;D=Q+8|0;h=e;g=0;e=0;b:while(1){t=h+-1|0;c[J>>2]=t;d=c[u>>2]|0;c:do switch(c[d+(t<<2)>>2]|0){case 0:{if((c[v>>2]&1|0)!=0?(c[P>>2]=7,c[Q>>2]=c[P>>2],M=wP(G,Q)|0,(M|0)!=0):0){d=M;break c}c[P>>2]=3;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;break}case 3:{c[P>>2]=5;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(!d){c[P>>2]=4;c[Q>>2]=c[P>>2];d=wP(G,Q)|0}break}case 4:{c[P>>2]=9;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(!d){c[P>>2]=1;c[Q>>2]=c[P>>2];d=wP(G,Q)|0}break}case 5:{f=c[H>>2]|0;d=a[f>>0]|0;if(d<<24>>24!=0?(N=c[v>>2]&1,O=(N|0)!=0,!(d<<24>>24==124&O)):0){do if(!((e|0)>0&(d<<24>>24==41&O))){if(d<<24>>24==92&(N|0)==0?(a[f+1>>0]|0)==41:0)break;c[P>>2]=5;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(d)break c;c[P>>2]=g;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(d)break c;c[P>>2]=6;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(d)break c;c[P>>2]=4;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;break c}while(0);d=(N|e|0)==0?8:0;e=e+-1|0;if(!N)c[H>>2]=f+2}else d=0;break}case 6:{t=h+-2|0;c[J>>2]=t;g=yP(c[b>>2]|0,c[d+(t<<2)>>2]|0,g)|0;if(!g){d=12;break a}d=0;break}case 7:{d=c[H>>2]|0;switch(a[d>>0]|0){case 124:break;case 41:{c[H>>2]=d+1;d=0;break c}default:{d=0;break c}}c[P>>2]=7;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(!d){c[P>>2]=g;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(!d){c[P>>2]=8;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(!d){c[P>>2]=3;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(!d){c[H>>2]=(c[H>>2]|0)+1;d=0}}}}break}case 8:{t=h+-2|0;c[J>>2]=t;g=BP(c[b>>2]|0,c[d+(t<<2)>>2]|0,g)|0;if(!g){d=12;break a}d=0;break}case 9:{h=c[H>>2]|0;d=a[h>>0]|0;switch(d<<24>>24|0){case 63:case 43:{if(!(c[v>>2]&1)){d=0;break c}else E=38;break}case 42:{E=38;break}case 92:{f=c[v>>2]|0;if(f&1){d=0;break c}d=h+1|0;if((a[d>>0]|0)!=123){d=0;break c}c[H>>2]=d;break}case 123:{f=c[v>>2]|0;if(!(f&1)){d=0;break c}else d=h;break}default:{d=0;break c}}if((E|0)==38){E=0;c[H>>2]=h+1;g=zP(c[b>>2]|0,g,d<<24>>24==43&1,d<<24>>24==63?1:-1,0)|0;if(!g){d=12;break a}c[P>>2]=9;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;break c}m=d+1|0;c[H>>2]=m;h=a[m>>0]|0;if((h+-48&255)<10){d=h<<24>>24;if((d+-48|0)>>>0<10){k=d;h=-1;d=m}else{d=10;break a}while(1){l=((h|0)<0?-48:(h*10|0)+-48|0)+k|0;j=d+1|0;h=a[j>>0]|0;k=h<<24>>24;if((k+-48|0)>>>0>=10)break;else{h=l;d=j}}}else{j=m;l=-1}if(h<<24>>24==44){j=d+2|0;h=a[j>>0]|0;d=h<<24>>24;if((d+-48|0)>>>0<10){k=-1;h=j;while(1){k=((k|0)<0?-48:(k*10|0)+-48|0)+d|0;j=h+1|0;h=a[j>>0]|0;d=h<<24>>24;if((d+-48|0)>>>0>=10){E=50;break}else h=j}}else k=-1}else{k=l;E=50}if((E|0)==50){E=0;if((k|0)>-1?(l|0)>(k|0)|(k|0)>255:0){d=10;break a}}if(!(h<<24>>24)){d=9;break a}if((j|0)==(m|0)){d=10;break a}if(!(f&1)){if(h<<24>>24!=92){d=10;break a}if((a[j+1>>0]|0)!=125){d=10;break a}d=j+2|0}else{if(h<<24>>24!=125){d=10;break a}d=j+1|0}if(k|l){t=(k&l|0)<0;g=zP(c[b>>2]|0,g,t?1:l,t?1:k,0)|0;if(!g){d=12;break a}}else{g=AP(c[b>>2]|0,0,20)|0;if(!g){d=12;break a}t=c[g+4>>2]|0;c[t>>2]=-1;c[t+4>>2]=-1;c[t+8>>2]=-1}c[H>>2]=d;c[P>>2]=9;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;break}case 1:{d=c[H>>2]|0;d:do switch(a[d>>0]|0){case 40:{if(c[v>>2]&1)E=67;break}case 91:{f=d+1|0;c[H>>2]=f;t=eQ(128)|0;c[R>>2]=t;if(!t){E=72;break b}if((a[f>>0]|0)==94){f=d+2|0;c[H>>2]=f;t=1}else t=0;c[Q>>2]=0;c[P>>2]=32;l=0;e:while(1){switch(a[f>>0]|0){case 0:{s=l;d=7;break e}case 93:{if(f>>>0>(c[H>>2]|0)>>>0){d=l;E=79;break e}break}default:{}}d=GN(X,f,-1)|0;if((d|0)<0){c[X>>2]=-1;d=1}h=f+d|0;if((a[h>>0]|0)==45?(F=d+1|0,K=f+F|0,(a[K>>0]|0)!=93):0){j=c[X>>2]|0;d=GN(X,K,-1)|0;if((d|0)<0){c[X>>2]=-1;h=-1;d=1}else h=c[X>>2]|0;f=f+(d+F)|0;if(j>>>0>h>>>0){s=l;d=11;break}else{g=0;E=102}}else{f:do switch(a[f>>0]|0){case 91:{switch(a[f+1>>0]|0){case 61:case 46:{s=l;d=3;break e}case 58:break;default:{d=0;E=97;break f}}d=f+2|0;h=d;while(1){s=a[h>>0]|0;g=s<<24>>24==0;if(s<<24>>24!=58&(g^1))h=h+1|0;else break}if(g){g=0;d=4}else{g=h-f+-2|0;g=(g|0)>63?63:g;hP(V,d,g)|0;a[V+g>>0]=0;d=RM(V)|0;g=d;f=h+2|0;d=(d|0)==0?4:0}k=1114111;j=0;break}case 45:{if((a[f+1>>0]|0)==93){d=0;E=97}else{d=(c[H>>2]|0)==(f|0)?0:11;E=97}break}default:{d=0;E=97}}while(0);if((E|0)==97){E=0;j=c[X>>2]|0;g=0;k=j;f=h}if(d){s=l;break}if(t&(g|0)!=0)if((l|0)>63){h=k;d=12}else{c[S+(l<<2)>>2]=g;l=l+1|0;h=k;d=0}else{h=k;E=102}}if((E|0)==102){E=0;d=cQ(c[b>>2]|0,j,h,Q,P,R)|0;if(d){s=l;break}c[(c[(c[(c[R>>2]|0)+((c[Q>>2]|0)+-1<<2)>>2]|0)+4>>2]|0)+12>>2]=g;d=0}if((d|g|0)!=0|(c[v>>2]&2|0)==0)if(!d)continue;else{s=l;break}while(1){if(j>>>0>h>>>0)break;if(!(UM(j)|0)){g=j+1|0;if(YM(j)|0){k=bN(j)|0;g:do if(!(YM(g)|0))d=k;else{d=k;while(1){if(g>>>0>h>>>0|(bN(g)|0)!=(d+1|0))break g;j=g+1|0;d=bN(g)|0;if(!(YM(j)|0)){g=j;break}else g=j}}while(0);d=cQ(c[b>>2]|0,k,d,Q,P,R)|0}}else{k=aN(j)|0;d=j+1|0;h:do if(!(UM(d)|0))j=k;else{g=k;while(1){if(d>>>0>h>>>0|(aN(d)|0)!=(g+1|0)){j=g;break h}g=aN(d)|0;d=d+1|0;if(!(UM(d)|0)){j=g;break}}}while(0);g=d;d=cQ(c[b>>2]|0,k,j,Q,P,R)|0}if(!d){j=g;d=0}else{s=l;break e}}if(d){s=l;break}}if((E|0)==79){E=0;s=d;f=f+1|0;d=0}r=c[Q>>2]|0;c[H>>2]=f;i:do if(!d){if(t)PO(c[R>>2]|0,r,4,114);if((r|0)>0){n=(s|0)>0;o=s<<2;p=o+4|0;m=c[R>>2]|0;l=0;f=0;q=0;g=0;while(1){d=c[(c[m+(q<<2)>>2]|0)+4>>2]|0;h=c[d>>2]|0;j=d+4|0;k=c[j>>2]|0;do if(t){if((h|0)<(l|0)){h=k+1|0;j=m;h=(h|0)>=(l|0)?h:l;d=0;break}if((h|0)>(f|0)){c[d>>2]=f;c[j>>2]=h+-1}else d=0;f=k+1|0;l=f;E=129}else E=129;while(0);do if((E|0)==129){E=0;if(d){c[d+8>>2]=c[w>>2];if(n){h=UN(c[b>>2]|0,0,0,0,p)|0;d=d+16|0;c[d>>2]=h;if(!h){d=12;break i}rQ(h|0,S|0,o|0)|0;c[(c[d>>2]|0)+(s<<2)>>2]=0}else c[d+16>>2]=0;if(!g){g=c[R>>2]|0;j=g;h=l;g=c[g+(q<<2)>>2]|0;d=0;break}else{j=c[R>>2]|0;d=BP(c[b>>2]|0,g,c[j+(q<<2)>>2]|0)|0;h=l;g=d;d=(d|0)==0?12:0;break}}else{j=m;h=l;d=0}}while(0);q=q+1|0;if(!((q|0)<(r|0)&(d|0)==0)){k=g;break}else{m=j;l=h}}}else{f=0;k=0;d=0}if(t&(d|0)==0){d=c[w>>2]|0;g=AP(c[b>>2]|0,0,20)|0;if(g){j=c[g+4>>2]|0;c[j>>2]=f;c[j+4>>2]=1114111;c[j+8>>2]=d;if((s|0)>0){f=s<<2;h=UN(c[b>>2]|0,0,0,0,f+4|0)|0;d=j+16|0;c[d>>2]=h;if(!h){g=k;d=12;break}rQ(h|0,S|0,f|0)|0;c[(c[d>>2]|0)+(s<<2)>>2]=0}else c[j+16>>2]=0;if(!k)d=0;else{d=BP(c[b>>2]|0,k,g)|0;g=d;d=(d|0)==0?12:0}}else{g=k;d=12}}else g=k}else g=0;while(0);fQ(c[R>>2]|0);c[w>>2]=(c[w>>2]|0)+1;if(!d){d=0;break c}else break a}case 92:{f=d+1|0;h=a[f>>0]|0;do if(!(c[v>>2]&1))if(h<<24>>24!=40){f=d+1|0;g=a[f>>0]|0;if(g<<24>>24==41){E=210;break d}else{h=g;break}}else{c[H>>2]=f;d=f;E=67;break d}while(0);k=h<<24>>24==0;if(k){d=5;break a}else{g=100120;j=0}do{if((a[100116+(j<<3)>>0]|0)==h<<24>>24)break;j=j+1|0;g=100116+(j<<3)+4|0}while((j|0)!=12);h=c[g>>2]|0;if(h){d=Q;f=b;g=d+40|0;do{c[d>>2]=c[f>>2];d=d+4|0;f=f+4|0}while((d|0)<(g|0));c[A>>2]=h;c[B>>2]=1;d=uP(Q)|0;if(d){E=156;break b}c[H>>2]=(c[H>>2]|0)+2;c[w>>2]=c[C>>2];g=c[D>>2]|0;d=0;break c}if(k){d=5;break a}c[H>>2]=f;f=a[f>>0]|0;j:do switch(f|0){case 98:{g=AP(c[b>>2]|0,0,20)|0;if(!g)g=0;else{t=c[g+4>>2]|0;c[t>>2]=-2;c[t+4>>2]=64;c[t+8>>2]=-1}c[H>>2]=(c[H>>2]|0)+1;break}case 66:{g=AP(c[b>>2]|0,0,20)|0;if(!g)g=0;else{t=c[g+4>>2]|0;c[t>>2]=-2;c[t+4>>2]=128;c[t+8>>2]=-1}c[H>>2]=(c[H>>2]|0)+1;break}case 60:{g=AP(c[b>>2]|0,0,20)|0;if(!g)g=0;else{t=c[g+4>>2]|0;c[t>>2]=-2;c[t+4>>2]=16;c[t+8>>2]=-1}c[H>>2]=(c[H>>2]|0)+1;break}case 62:{g=AP(c[b>>2]|0,0,20)|0;if(!g)g=0;else{t=c[g+4>>2]|0;c[t>>2]=-2;c[t+4>>2]=32;c[t+8>>2]=-1}c[H>>2]=(c[H>>2]|0)+1;break}case 120:{f=d+2|0;c[H>>2]=f;f=a[f>>0]|0;if(f<<24>>24==123){d=d+3|0;c[H>>2]=d;g=0;k:while(1){f=a[d>>0]|0;switch(f<<24>>24){case 0:case 125:{f=g;break k}default:{}}if(!(ZM(f<<24>>24)|0)){d=9;break a}d=c[H>>2]|0;a[U+g>>0]=a[d>>0]|0;f=g+1|0;d=d+1|0;c[H>>2]=d;if(f>>>0>31)break;else g=f}c[H>>2]=d+1;a[U+f>>0]=0;d=SO(U,0,16)|0;f=c[w>>2]|0;g=AP(c[b>>2]|0,0,20)|0;if(!g)g=0;else{t=c[g+4>>2]|0;c[t>>2]=d;c[t+4>>2]=d;c[t+8>>2]=f}c[w>>2]=(c[w>>2]|0)+1;break j}else{a[T>>0]=0;a[T+1>>0]=0;a[T+2>>0]=0;t=(ZM(f<<24>>24)|0)==0;d=c[H>>2]|0;if(!t){a[T>>0]=a[d>>0]|0;d=d+1|0;c[H>>2]=d}if(ZM(a[d>>0]|0)|0){t=c[H>>2]|0;a[z>>0]=a[t>>0]|0;c[H>>2]=t+1}d=SO(T,0,16)|0;f=c[w>>2]|0;g=AP(c[b>>2]|0,0,20)|0;if(!g)g=0;else{t=c[g+4>>2]|0;c[t>>2]=d;c[t+4>>2]=d;c[t+8>>2]=f}c[w>>2]=(c[w>>2]|0)+1;break j}}default:{t=(SM(f)|0)==0;d=c[H>>2]|0;if(t)break d;d=(a[d>>0]|0)+-48|0;f=c[w>>2]|0;g=AP(c[b>>2]|0,0,20)|0;if(!g){d=12;break a}t=c[g+4>>2]|0;c[t>>2]=-4;c[t+4>>2]=d;c[t+8>>2]=f;c[w>>2]=(c[w>>2]|0)+1;t=c[y>>2]|0;c[y>>2]=(d|0)<(t|0)?t:d;c[H>>2]=(c[H>>2]|0)+1;d=0;break c}}while(0);if(!g){d=12;break a}else{d=0;break c}}case 46:{t=(c[v>>2]&4|0)==0;d=c[w>>2]|0;g=AP(c[b>>2]|0,0,20)|0;f=(g|0)==0;if(t){if(f){d=12;break a}t=c[g+4>>2]|0;c[t>>2]=0;c[t+4>>2]=1114111;c[t+8>>2]=d;d=(c[w>>2]|0)+1|0}else{if(f){d=12;break a}f=c[g+4>>2]|0;c[f>>2]=0;c[f+4>>2]=9;c[f+8>>2]=d;d=c[w>>2]|0;f=AP(c[b>>2]|0,0,20)|0;if(!f){d=12;break a}t=c[f+4>>2]|0;c[t>>2]=11;c[t+4>>2]=1114111;c[t+8>>2]=d+1;g=BP(c[b>>2]|0,g,f)|0;if(!g){d=12;break a}d=(c[w>>2]|0)+2|0}c[w>>2]=d;c[H>>2]=(c[H>>2]|0)+1;d=0;break c}case 94:{if(!(c[v>>2]&1)){if((d|0)!=(c[I>>2]|0))break d;c[P>>2]=5;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(d)break c}g=AP(c[b>>2]|0,0,20)|0;if(!g){d=12;break a}d=c[g+4>>2]|0;c[d>>2]=-2;c[d+4>>2]=1;c[d+8>>2]=-1;c[H>>2]=(c[H>>2]|0)+1;d=0;break c}case 36:{if((c[v>>2]&1|0)==0?(a[d+1>>0]|0)!=0:0)break d;g=AP(c[b>>2]|0,0,20)|0;if(!g){d=12;break a}d=c[g+4>>2]|0;c[d>>2]=-2;c[d+4>>2]=2;c[d+8>>2]=-1;c[H>>2]=(c[H>>2]|0)+1;d=0;break c}case 41:{if(e)E=209;break}case 63:case 43:case 123:case 124:case 42:{E=209;break}case 0:{E=210;break}default:{}}while(0);if((E|0)==67){E=0;e=e+1|0;c[H>>2]=d+1;c[P>>2]=c[x>>2];c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(d)break c;c[P>>2]=2;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(d)break c;c[P>>2]=0;c[Q>>2]=c[P>>2];d=wP(G,Q)|0;if(d)break c;c[x>>2]=(c[x>>2]|0)+1;d=0;break c}else if((E|0)==209){E=0;if(c[v>>2]&1)E=210}if((E|0)==210){E=0;g=AP(c[b>>2]|0,0,20)|0;if(!g){d=12;break a}d=c[g+4>>2]|0;c[d>>2]=-1;c[d+4>>2]=-1;c[d+8>>2]=-1;d=0;break c}d=GN(W,d,-1)|0;if((d|0)<0){c[W>>2]=-1;d=1}do if(c[v>>2]&2){if((YM(c[W>>2]|0)|0)==0?(UM(c[W>>2]|0)|0)==0:0){E=220;break}k=c[b>>2]|0;f=aN(c[W>>2]|0)|0;g=aN(c[W>>2]|0)|0;h=c[w>>2]|0;k=AP(k,0,20)|0;if(!k){d=12;break a}j=c[k+4>>2]|0;c[j>>2]=f;c[j+4>>2]=g;c[j+8>>2]=h;j=c[b>>2]|0;f=bN(c[W>>2]|0)|0;g=bN(c[W>>2]|0)|0;h=c[w>>2]|0;j=AP(j,0,20)|0;if(!j){d=12;break a}t=c[j+4>>2]|0;c[t>>2]=f;c[t+4>>2]=g;c[t+8>>2]=h;g=BP(c[b>>2]|0,k,j)|0;if(!g){d=12;break a}}else E=220;while(0);if((E|0)==220){E=0;f=c[W>>2]|0;h=c[w>>2]|0;g=AP(c[b>>2]|0,0,20)|0;if(!g){d=12;break a}t=c[g+4>>2]|0;c[t>>2]=f;c[t+4>>2]=f;c[t+8>>2]=h}c[w>>2]=(c[w>>2]|0)+1;c[H>>2]=(c[H>>2]|0)+d;d=0;break}case 2:{h=h+-2|0;c[J>>2]=h;h=c[d+(h<<2)>>2]|0;f=g;if((c[f+12>>2]|0)>-1){d=AP(c[b>>2]|0,0,20)|0;if(!d){d=12;break a}g=c[d+4>>2]|0;c[g>>2]=-1;c[g+4>>2]=-1;c[g+8>>2]=-1;g=yP(c[b>>2]|0,d,f)|0;if(!g){d=12;break a}c[g+16>>2]=c[f+16>>2]}d=g;c[d+12>>2]=h;d=d+16|0;c[d>>2]=(c[d>>2]|0)+1;d=0;break}case 10:{t=h+-2|0;c[J>>2]=t;c[v>>2]=c[d+(t<<2)>>2];d=0;break}default:d=0}while(0);h=c[J>>2]|0;f=(d|0)==0;if((d|0)!=0|f&(h|0)>(L|0)^1){E=229;break a}}if((E|0)==72){d=12;break}else if((E|0)==156)break}else{g=0;e=0;E=229}while(0);if((E|0)==229){e=(e|0)>0;if(e|f^1)d=e?8:d;else c[b+8>>2]=g}i=Y;return d|0}function vP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=i;i=i+16|0;C=G+4|0;B=G;z=d+12|0;A=c[z>>2]|0;D=(b|0)==0|(f|0)==0;if(!D){c[f+48>>2]=0;c[c[f+36>>2]>>2]=-1}g=c[f+28>>2]|0;E=eQ((g<<3)+8|0)|0;do if(!E)g=12;else{c[E>>2]=-1;F=eQ((g<<2)+4|0)|0;if(!F){fQ(E);g=12;break}c[F>>2]=-1;h=0;while(1)if(h>>>0>g>>>0)break;else h=h+1|0;c[B>>2]=e;c[C>>2]=c[B>>2];wP(d,C)|0;c[B>>2]=0;c[C>>2]=c[B>>2];g=wP(d,C)|0;h=c[z>>2]|0;a:do if((g|0)!=0|(h|0)<=(A|0)){o=-1;h=0;n=0;e=E;m=0}else{v=d+16|0;w=f+32|0;x=f+36|0;y=f+16|0;r=h;t=0;j=-1;u=1;h=0;n=0;e=E;m=0;while(1){s=r+-1|0;c[z>>2]=s;q=c[v>>2]|0;b:do switch(c[q+(s<<2)>>2]|0){case 6:{l=r+-2|0;c[z>>2]=l;l=c[q+(l<<2)>>2]|0;g=0;do{k=e+(g<<2)|0;g=g+1|0}while((c[k>>2]|0)>-1);c[k>>2]=l<<1|1;c[e+(g<<2)>>2]=-1;g=0;while(1)if((c[F+(g<<2)>>2]|0)>-1)g=g+1|0;else break;c[F+(g+-1<<2)>>2]=-1;l=t;k=u;g=0;break}case 0:{r=r+-2|0;c[z>>2]=r;r=c[q+(r<<2)>>2]|0;s=r+12|0;l=c[s>>2]|0;if((l|0)>-1){g=0;do{k=e+(g<<2)|0;g=g+1|0}while((c[k>>2]|0)>-1);c[k>>2]=l<<1;c[e+(g<<2)>>2]=-1;if(!D){g=0;while(1)if((c[F+(g<<2)>>2]|0)>-1)g=g+1|0;else break;k=(c[y>>2]|0)+(l*12|0)+8|0;c[k>>2]=0;if((g|0)>0){g=eQ((g<<2)+4|0)|0;if(!g){o=j;g=12;break a}c[k>>2]=g;k=c[F>>2]|0;if((k|0)>-1){l=g;o=0;do{c[l>>2]=k;o=o+1|0;k=c[F+(o<<2)>>2]|0;l=g+(o<<2)|0}while((k|0)>-1);g=l}c[g>>2]=-1}}c[B>>2]=c[s>>2];c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){o=j;break a}c[B>>2]=6;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){o=j;break a}}c:do switch(c[r>>2]|0){case 0:{q=c[c[r+4>>2]>>2]|0;if((q|0)>-1|(q|0)==-4?(c[e>>2]|0)>-1:0){if(D){c[r+20>>2]=1;g=0}else{g=$P(b,r,m)|0;c[(c[w>>2]|0)+(m<<2)>>2]=t;if((j|0)>-1){p=c[x>>2]|0;l=0;while(1){k=p+(l<<2)|0;o=l+1|0;if((c[k>>2]|0)>-1)l=o;else break}c[k>>2]=m;c[p+(o<<2)>>2]=j;c[p+(l+2<<2)>>2]=-1;j=-1;h=h+1|0}aQ(e,f,m)}c[e>>2]=-1;q=t;p=u+1|0;n=n+1|0;m=u}else{q=t;p=u;g=0}break}case 1:{l=c[r+4>>2]|0;o=c[l>>2]|0;l=c[l+4>>2]|0;c[B>>2]=r;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=5;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=l;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=0;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){k=o+20|0;c[B>>2]=(c[k>>2]|0)+u;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){if((c[k>>2]|0)>0){g=(c[l+20>>2]|0)>0;k=(g&1)+u|0;g=g?u:-1}else{k=u;g=-1}c[B>>2]=g;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=4;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=o;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=0;c[C>>2]=c[B>>2];q=t;p=k;g=wP(d,C)|0}else{q=t;p=k}}else{q=t;p=k}}else{q=t;p=k}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}break}case 2:{k=c[r+4>>2]|0;if(D){if((c[e>>2]|0)>-1)g=1;else g=(a[k+12>>0]&1)!=0;c[B>>2]=g&1;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){q=t;p=u;break c}}else{c[B>>2]=m;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){q=t;p=u;break c}c[B>>2]=a[k+12>>0]&1;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){q=t;p=u;break c}}c[B>>2]=r;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=1;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=c[k>>2];c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=0;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){if((c[e>>2]|0)<=-1?(a[k+12>>0]&1)==0:0){q=0;p=u;g=0;break c}if(D)g=0;else{g=$P(b,r,m)|0;c[(c[w>>2]|0)+(m<<2)>>2]=(a[k+12>>0]&1)==0?t:1;if((j|0)>-1){p=c[x>>2]|0;l=0;while(1){k=p+(l<<2)|0;o=l+1|0;if((c[k>>2]|0)>-1)l=o;else break}c[k>>2]=m;c[p+(o<<2)>>2]=j;c[p+(l+2<<2)>>2]=-1;j=-1;h=h+1|0}aQ(e,f,m)}c[e>>2]=-1;q=0;p=u+1|0;n=n+1|0;m=u}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}break}case 3:{l=c[r+4>>2]|0;o=c[l>>2]|0;l=c[l+4>>2]|0;k=(c[e>>2]|0)>-1;q=u+1|0;c[B>>2]=k?q:u;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=k?u:m;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=e;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=(c[e>>2]|0)>>>31^1;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=r;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=l;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=o;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=3;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=l;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=0;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(!g){c[B>>2]=2;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){q=t;p=u;break c}c[B>>2]=o;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){q=t;p=u;break c}c[B>>2]=0;c[C>>2]=c[B>>2];g=wP(d,C)|0;if(g){q=t;p=u;break c}if((c[e>>2]|0)>-1){if(D)g=0;else{g=$P(b,r,m)|0;c[(c[w>>2]|0)+(m<<2)>>2]=t;if((j|0)>-1){p=c[x>>2]|0;l=0;while(1){k=p+(l<<2)|0;o=l+1|0;if((c[k>>2]|0)>-1)l=o;else break}c[k>>2]=m;c[p+(o<<2)>>2]=j;c[p+(l+2<<2)>>2]=-1;j=-1;h=h+1|0}aQ(e,f,m)}c[e>>2]=-1;k=q;n=n+1|0;m=u}else{k=u;g=0}if((c[r+16>>2]|0)<=0){q=t;p=k;break c}q=t;p=k+2|0;m=k+1|0}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}}else{q=t;p=u}break}default:{q=t;p=u;g=0}}while(0);o=c[s>>2]|0;if((o|0)>-1){k=0;do{l=F+(k<<2)|0;k=k+1|0}while((c[l>>2]|0)>-1);c[l>>2]=o;c[F+(k<<2)>>2]=-1;l=q;k=p}else{l=q;k=p}break}case 1:{g=r+-2|0;c[z>>2]=g;g=c[q+(g<<2)>>2]|0;if(D){l=c[(c[c[g+4>>2]>>2]|0)+20>>2]|0;j=r+-3|0;c[z>>2]=j;c[g+20>>2]=(c[q+(j<<2)>>2]|0)+l;l=t;j=-1;k=u;g=0;break b}else{g=r+-3|0;c[z>>2]=g;g=c[q+(g<<2)>>2]|0;k=r+-4|0;c[z>>2]=k;g=(g|0)==0;l=g&1;j=g?j:c[q+(k<<2)>>2]|0;k=u;g=0;break b}}case 4:{u=r+-2|0;c[z>>2]=u;u=c[q+(u<<2)>>2]|0;k=r+-3|0;c[z>>2]=k;l=t;k=c[q+(k<<2)>>2]|0;g=0;m=(u|0)>-1?u:m;break}case 5:{g=r+-2|0;c[z>>2]=g;g=c[q+(g<<2)>>2]|0;if(D){l=c[g+4>>2]|0;c[g+20>>2]=(c[(c[l+4>>2]|0)+20>>2]|0)+(c[(c[l>>2]|0)+20>>2]|0);l=t;k=u;g=0}else{l=t;k=u;g=0}break}case 2:{while(1)if((c[e>>2]|0)>-1)e=e+4|0;else{l=t;k=u;g=0;break}break}case 3:{o=c[q+(r+-2<<2)>>2]|0;p=c[q+(r+-3<<2)>>2]|0;g=c[q+(r+-4<<2)>>2]|0;e=r+-5|0;c[z>>2]=e;if(D){t=c[g+4>>2]|0;l=c[g+16>>2]|0;c[g+20>>2]=(c[(c[t>>2]|0)+20>>2]|0)+(c[q+(e<<2)>>2]|0)+(c[(c[t+4>>2]|0)+20>>2]|0)+((l|0)>0?2:0)}else l=c[g+16>>2]|0;e=c[q+(r+-6<<2)>>2]|0;k=r+-7|0;c[z>>2]=k;k=c[q+(k<<2)>>2]|0;g=r+-8|0;c[z>>2]=g;g=c[q+(g<<2)>>2]|0;if((l|0)>0){if(D)g=0;else{bQ(b,o,k)|0;c[(c[w>>2]|0)+(k<<2)>>2]=1;t=bQ(b,p,g)|0;c[(c[w>>2]|0)+(g<<2)>>2]=1;g=t}l=1;k=u;n=n+2|0}else{l=1;k=u;g=0}break}default:{l=t;k=u;g=0}}while(0);r=c[z>>2]|0;if((g|0)!=0|(r|0)<=(A|0)){o=j;break a}else{t=l;u=k}}}while(0);if(!D?(aQ(e,f,m),(o|0)>-1):0){l=c[f+36>>2]|0;j=0;while(1){e=l+(j<<2)|0;k=j+1|0;if((c[e>>2]|0)>-1)j=k;else break}c[e>>2]=m;c[l+(k<<2)>>2]=o;c[l+(j+2<<2)>>2]=-1;h=h+1|0}c[f+48>>2]=n;c[f+40>>2]=n;c[f+44>>2]=h;fQ(E);fQ(F)}while(0);i=G;return g|0}function wP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=i;i=i+16|0;k=l;d=a+12|0;e=c[d>>2]|0;h=c[a>>2]|0;if((e|0)>=(h|0)){d=c[a+4>>2]|0;if((h|0)<(d|0)?(f=(c[a+8>>2]|0)+h|0,f=(f|0)>(d|0)?d:f,g=a+16|0,j=hQ(c[g>>2]|0,f<<2)|0,(j|0)!=0):0){c[a>>2]=f;c[g>>2]=j;c[k>>2]=c[b>>2];wP(a,k)|0;d=0}else d=12}else{c[(c[a+16>>2]|0)+(e<<2)>>2]=c[b>>2];c[d>>2]=(c[d>>2]|0)+1;d=0}i=l;return d|0}function xP(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;y=i;i=i+16|0;x=y+4|0;w=y;u=d+12|0;v=c[u>>2]|0;c[w>>2]=e;c[x>>2]=c[w>>2];wP(d,x)|0;c[w>>2]=0;c[x>>2]=c[w>>2];e=wP(d,x)|0;a:do if(!e){s=d+16|0;t=(f&1|0)==0;r=(f&2|0)!=0;o=1;q=0;f=j;while(1){e=c[u>>2]|0;if((e|0)>(v|0))j=f;else{f=q;e=0;break a}b:while(1){f=c[s>>2]|0;c:while(1){p=e+-1|0;c[u>>2]=p;switch(c[f+(p<<2)>>2]|0){case 1:{m=7;break c}case 0:{e=e+-2|0;c[u>>2]=e;e=c[f+(e<<2)>>2]|0;switch(c[e>>2]|0){case 0:{p=j;m=10;break b}case 3:{m=21;break b}case 1:{m=28;break b}case 2:{m=35;break c}default:{}}break}default:{}}e=c[u>>2]|0;if((e|0)<=(v|0)){f=q;e=0;break a}}if((m|0)==7){p=e+-2|0;c[u>>2]=p;f=c[f+(p<<2)>>2]|0}else if((m|0)==35){f=c[e+4>>2]|0;c[w>>2]=c[f>>2];c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=0;c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}e=zP(b,c[f>>2]|0,c[f+4>>2]|0,c[f+8>>2]|0,a[f+12>>0]&1)|0;c[j>>2]=e;if(!e){f=q;e=12;break a}f=c[e+4>>2]|0}e=c[u>>2]|0;if((e|0)<=(v|0)){f=q;e=0;break a}else j=f}if((m|0)==10){n=c[e+4>>2]|0;l=c[n+8>>2]|0;f=c[n>>2]|0;e=c[n+4>>2]|0;if(!((f|0)>-1|(f|0)==-4))if(t|(f|0)!=-3)if((f|0)==-3)if(r&(o|0)!=0){c[h+(e<<2)>>2]=1;o=0;m=-3;f=q}else{m=-3;f=q}else{m=f;f=q}else{e=-1;m=-1;f=q;l=-1}else{m=f;f=q+1|0;l=(c[g>>2]|0)+l|0}j=AP(b,0,20)|0;if(!j){c[p>>2]=0;e=12}else{q=j+4|0;z=c[q>>2]|0;c[z>>2]=m;c[z+4>>2]=e;c[z+8>>2]=l;c[p>>2]=j;e=c[q>>2]|0;c[e+12>>2]=c[n+12>>2];c[e+16>>2]=c[n+16>>2];e=0}if((l|0)>(c[k>>2]|0)){c[k>>2]=l;l=o;j=p}else{l=o;j=p}}else if((m|0)==21){l=c[e+4>>2]|0;f=l+4|0;e=BP(b,c[l>>2]|0,c[f>>2]|0)|0;c[j>>2]=e;if(!e){f=q;e=12;break a}j=c[e+4>>2]|0;c[w>>2]=c[f>>2];c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=0;c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=j+4;c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=1;c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=c[l>>2];c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=0;c[x>>2]=c[w>>2];l=o;f=q;e=wP(d,x)|0}else if((m|0)==28){l=c[e+4>>2]|0;f=l+4|0;e=yP(b,c[l>>2]|0,c[f>>2]|0)|0;c[j>>2]=e;if(!e){f=q;e=12;break a}m=c[e+4>>2]|0;c[m>>2]=0;j=m+4|0;c[j>>2]=0;c[w>>2]=c[f>>2];c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=0;c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=j;c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=1;c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=c[l>>2];c[x>>2]=c[w>>2];e=wP(d,x)|0;if(e){f=q;break a}c[w>>2]=0;c[x>>2]=c[w>>2];l=o;f=q;j=m;e=wP(d,x)|0}if(!e){o=l;q=f;f=j}else break}}else f=0;while(0);c[g>>2]=(c[g>>2]|0)+f;i=y;return e|0}function yP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;a=AP(a,1,8)|0;if(!a)a=0;else{e=c[a+4>>2]|0;c[e>>2]=b;c[e+4>>2]=d;c[a+16>>2]=(c[d+16>>2]|0)+(c[b+16>>2]|0)}return a|0}function zP(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=AP(b,2,16)|0;if(!b)b=0;else{h=c[b+4>>2]|0;c[h>>2]=d;c[h+4>>2]=e;c[h+8>>2]=f;e=h+12|0;a[e>>0]=a[e>>0]&-2|g&1;c[b+16>>2]=c[d+16>>2]}return b|0}function AP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=UN(a,0,0,1,32)|0;if((e|0)!=0?(d=UN(a,0,0,1,d)|0,c[e+4>>2]=d,(d|0)!=0):0){c[e>>2]=b;c[e+8>>2]=-1;c[e+12>>2]=-1}else e=0;return e|0}function BP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;a=AP(a,3,8)|0;if(!a)a=0;else{e=c[a+4>>2]|0;c[e>>2]=b;c[e+4>>2]=d;c[a+16>>2]=(c[d+16>>2]|0)+(c[b+16>>2]|0)}return a|0}function CP(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;a=UN(a,0,0,1,64)|0;if(!a)a=0;else{c[a>>2]=b;c[a+4>>2]=d;c[a+8>>2]=e;c[a+20>>2]=f;c[a+24>>2]=g;c[a+28>>2]=h;c[a+32>>2]=-1;c[a+36>>2]=-1;c[a+40>>2]=-1}return a|0}function DP(a){a=a|0;a=UN(a,0,0,1,32)|0;if(!a)a=0;else{c[a>>2]=-1;c[a+4>>2]=-1;c[a+8>>2]=-1}return a|0}function EP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=(e|0)==0;if(o)n=0;else{g=0;while(1)if((c[e+(g<<2)>>2]|0)>-1)g=g+1|0;else{n=g;break}}g=0;while(1)if((c[b+(g<<5)>>2]|0)>-1)g=g+1|0;else break;h=0;while(1)if((c[d+(h<<5)>>2]|0)>-1)h=h+1|0;else break;g=UN(a,0,0,1,(h+g<<5)+32|0)|0;a:do if(!g)g=0;else{h=c[b>>2]|0;if((h|0)>-1){m=(n|0)>0;i=0;while(1){c[g+(i<<5)>>2]=h;c[g+(i<<5)+4>>2]=c[b+(i<<5)+4>>2];c[g+(i<<5)+8>>2]=c[b+(i<<5)+8>>2];c[g+(i<<5)+16>>2]=c[b+(i<<5)+16>>2]|f;c[g+(i<<5)+20>>2]=c[b+(i<<5)+20>>2];c[g+(i<<5)+24>>2]=c[b+(i<<5)+24>>2];c[g+(i<<5)+28>>2]=c[b+(i<<5)+28>>2];k=b+(i<<5)+12|0;j=c[k>>2]|0;h=(j|0)==0;if(o&h)c[g+(i<<5)+12>>2]=0;else{if(h)h=0;else{h=0;while(1)if((c[j+(h<<2)>>2]|0)>-1)h=h+1|0;else break}l=UN(a,0,0,0,(h+n<<2)+4|0)|0;if(!l){g=0;break a}if((h|0)>0){j=c[k>>2]|0;k=0;do{c[l+(k<<2)>>2]=c[j+(k<<2)>>2];k=k+1|0}while((k|0)!=(h|0))}else h=0;if(m){j=0;do{c[l+(j+h<<2)>>2]=c[e+(j<<2)>>2];j=j+1|0}while((j|0)!=(n|0));j=n}else j=0;c[l+(j+h<<2)>>2]=-1;c[g+(i<<5)+12>>2]=l}i=i+1|0;h=c[b+(i<<5)>>2]|0;if((h|0)<=-1){n=i;break}}}else n=0;i=c[d>>2]|0;h=g+(n<<5)|0;if((i|0)>-1){l=n;m=0;do{c[h>>2]=i;c[g+(l<<5)+4>>2]=c[d+(m<<5)+4>>2];c[g+(l<<5)+8>>2]=c[d+(m<<5)+8>>2];c[g+(l<<5)+16>>2]=c[d+(m<<5)+16>>2];c[g+(l<<5)+20>>2]=c[d+(m<<5)+20>>2];c[g+(l<<5)+24>>2]=c[d+(m<<5)+24>>2];c[g+(l<<5)+28>>2]=c[d+(m<<5)+28>>2];j=d+(m<<5)+12|0;i=c[j>>2]|0;if(!i)c[g+(l<<5)+12>>2]=0;else{h=0;while(1)if((c[i+(h<<2)>>2]|0)>-1)h=h+1|0;else break;k=UN(a,0,0,0,(h<<2)+4|0)|0;if(!k){g=0;break a}if((h|0)>0){i=c[j>>2]|0;j=0;do{c[k+(j<<2)>>2]=c[i+(j<<2)>>2];j=j+1|0}while((j|0)!=(h|0))}else h=0;c[k+(h<<2)>>2]=-1;c[g+(l<<5)+12>>2]=k}m=m+1|0;i=c[d+(m<<5)>>2]|0;l=m+n|0;h=g+(l<<5)|0}while((i|0)>-1)}c[h>>2]=-1}while(0);return g|0}function FP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=i;i=i+16|0;s=u+4|0;t=u;p=a+12|0;q=c[p>>2]|0;r=(f|0)!=0;if(r)c[f>>2]=0;c[t>>2]=b;c[s>>2]=c[t>>2];b=wP(a,s)|0;a:do if(!b){k=a+16|0;l=(d|0)==0;m=(e|0)==0;b=c[p>>2]|0;if((b|0)>(q|0))while(1){b=b+-1|0;c[p>>2]=b;b=c[(c[k>>2]|0)+(b<<2)>>2]|0;b:do switch(c[b>>2]|0){case 0:{b=c[b+4>>2]|0;switch(c[b>>2]|0){case -3:break;case -2:{if(m)break b;c[e>>2]=c[e>>2]|c[b+4>>2];break b}default:break b}j=c[b+4>>2]|0;if((j|0)>-1){c:do if(!l){b=c[d>>2]|0;d:do if((b|0)>-1){g=d;h=0;while(1){if((b|0)==(j|0)){b=h;break}h=h+1|0;g=d+(h<<2)|0;b=c[g>>2]|0;if((b|0)<=-1){b=h;break d}}if((j|0)>=0)break c}else{g=d;b=0}while(0);c[g>>2]=j;c[d+(b+1<<2)>>2]=-1}while(0);if(r)c[f>>2]=(c[f>>2]|0)+1}break}case 3:{b=c[b+4>>2]|0;g=c[b>>2]|0;if(c[g+8>>2]|0){c[t>>2]=g;c[s>>2]=c[t>>2];n=wP(a,s)|0;o=6;break b}b=c[b+4>>2]|0;if(c[b+8>>2]|0){c[t>>2]=b;c[s>>2]=c[t>>2];n=wP(a,s)|0;o=6}break}case 1:{g=c[b+4>>2]|0;c[t>>2]=c[g>>2];c[s>>2]=c[t>>2];b=wP(a,s)|0;if(b)break a;c[t>>2]=c[g+4>>2];c[s>>2]=c[t>>2];n=wP(a,s)|0;o=6;break}case 2:{b=c[c[b+4>>2]>>2]|0;if(c[b+8>>2]|0){c[t>>2]=b;c[s>>2]=c[t>>2];n=wP(a,s)|0;o=6}break}default:{}}while(0);if((o|0)==6?(o=0,(n|0)!=0):0){b=n;break a}b=c[p>>2]|0;if((b|0)<=(q|0)){b=0;break a}}else b=0}while(0);i=u;return b|0}function GP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;a:while(1){switch(c[a>>2]|0){case 2:{a=c[a+4>>2]|0;if((c[a+8>>2]|0)==-1?(h=c[a>>2]|0,h=_P(c[h+28>>2]|0,c[h+24>>2]|0,b,d,e)|0,(h|0)!=0):0){a=h;break a}break}case 3:{f=c[a+4>>2]|0;a=GP(c[f>>2]|0,b,d,e)|0;if(a)break a;a=f+4|0;break}case 1:{f=c[a+4>>2]|0;g=f+4|0;a=_P(c[(c[f>>2]|0)+28>>2]|0,c[(c[g>>2]|0)+24>>2]|0,b,d,e)|0;if(a)break a;a=GP(c[f>>2]|0,b,d,e)|0;if(!a)a=g;else break a;break}default:{a=0;break a}}a=c[a>>2]|0}return a|0}function HP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;a:do if((a|0)>0){h=0;while(1){f=c[d+(h<<2)>>2]|0;g=c[e+(h<<2)>>2]|0;if(!(c[b+(h<<2)>>2]|0)){if((f|0)<(g|0)){f=1;break a}if((f|0)>(g|0)){f=0;break a}}else{if((f|0)>(g|0)){f=1;break a}if((f|0)<(g|0)){f=0;break a}}h=h+1|0;if((h|0)>=(a|0)){f=0;break}}}else f=0;while(0);return f|0}function IP(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((d&8|0)==0&(g|0)>-1){n=c[e+16>>2]|0;l=e+28|0;d=c[l>>2]|0;m=(a|0)!=0;if(m&(d|0)!=0){j=e+48|0;k=0;do{d=c[n+(k*12|0)>>2]|0;if((d|0)==(c[j>>2]|0))i=g;else i=c[f+(d<<2)>>2]|0;h=b+(k<<3)|0;c[h>>2]=i;d=c[n+(k*12|0)+4>>2]|0;if((d|0)==(c[j>>2]|0))e=g;else e=c[f+(d<<2)>>2]|0;d=b+(k<<3)+4|0;c[d>>2]=e;if((i|0)==-1|(e|0)==-1){c[d>>2]=-1;c[h>>2]=-1}k=k+1|0;d=c[l>>2]|0}while(k>>>0<a>>>0&k>>>0<d>>>0);g=d}else g=d;if(m&(g|0)!=0){d=0;do{h=b+(d<<3)+4|0;i=c[n+(d*12|0)+8>>2]|0;if((i|0)!=0?(o=c[i>>2]|0,(o|0)>-1):0){j=b+(d<<3)|0;k=o;e=c[j>>2]|0;l=0;do{if(!((e|0)>=(c[b+(k<<3)>>2]|0)?(c[h>>2]|0)<=(c[b+(k<<3)+4>>2]|0):0)){c[h>>2]=-1;c[j>>2]=-1;e=-1}l=l+1|0;k=c[i+(l<<2)>>2]|0}while((k|0)>-1)}d=d+1|0}while(d>>>0<a>>>0&d>>>0<g>>>0)}else d=0}else d=0;if(d>>>0<a>>>0)do{c[b+(d<<3)>>2]=-1;c[b+(d<<3)+4>>2]=-1;d=d+1|0}while((d|0)!=(a|0));return}function JP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=c[a>>2]|0;a:do if(!e)e=0;else{f=(d|0)==0;d=a;while(1){if(f){if(QM(b,e)|0){e=1;break a}}else{a=aN(b)|0;if(QM(a,c[d>>2]|0)|0){e=1;break a}a=bN(b)|0;if(QM(a,c[d>>2]|0)|0){e=1;break a}}d=d+4|0;e=c[d>>2]|0;if(!e){e=0;break}}}while(0);return e|0}function KP(a){a=a|0;if(!(c[a+68>>2]|0))ZN(a);return}function LP(a){a=a|0;if(!(c[a+68>>2]|0))ZN(a);return}function MP(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=a+20|0;g=a+28|0;if((c[b>>2]|0)>>>0>(c[g>>2]|0)>>>0?(Jb[c[a+36>>2]&63](a,0,0)|0,(c[b>>2]|0)==0):0)b=-1;else{h=a+4|0;d=c[h>>2]|0;e=a+8|0;f=c[e>>2]|0;if(d>>>0<f>>>0)Jb[c[a+40>>2]&63](a,d-f|0,1)|0;c[a+16>>2]=0;c[g>>2]=0;c[b>>2]=0;c[e>>2]=0;c[h>>2]=0;b=0}return b|0}function NP(e,f,g,j,l){e=e|0;f=f|0;g=g|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;ha=i;i=i+624|0;ca=ha+24|0;ea=ha+16|0;da=ha+588|0;Y=ha+576|0;ba=ha;V=ha+536|0;ga=ha+8|0;fa=ha+528|0;M=(e|0)!=0;N=V+40|0;U=N;V=V+39|0;W=ga+4|0;X=Y+12|0;Y=Y+11|0;Z=da;$=X;aa=$-Z|0;O=-2-Z|0;P=$+2|0;Q=ca+288|0;R=da+9|0;S=R;T=da+8|0;m=0;w=f;n=0;f=0;a:while(1){do if((m|0)>-1)if((n|0)>(2147483647-m|0)){c[(cN()|0)>>2]=75;m=-1;break}else{m=n+m|0;break}while(0);n=a[w>>0]|0;if(!(n<<24>>24)){L=245;break}else o=w;b:while(1){switch(n<<24>>24){case 37:{n=o;L=9;break b}case 0:{n=o;break b}default:{}}K=o+1|0;n=a[K>>0]|0;o=K}c:do if((L|0)==9)while(1){L=0;if((a[n+1>>0]|0)!=37)break c;o=o+1|0;n=n+2|0;if((a[n>>0]|0)==37)L=9;else break}while(0);y=o-w|0;if(M?(c[e>>2]&32|0)==0:0)zO(w,y,e)|0;if((o|0)!=(w|0)){w=n;n=y;continue}r=n+1|0;o=a[r>>0]|0;p=(o<<24>>24)+-48|0;if(p>>>0<10){K=(a[n+2>>0]|0)==36;r=K?n+3|0:r;o=a[r>>0]|0;u=K?p:-1;f=K?1:f}else u=-1;n=o<<24>>24;d:do if((n&-32|0)==32){p=0;while(1){if(!(1<<n+-32&75913)){s=p;n=r;break d}p=1<<(o<<24>>24)+-32|p;r=r+1|0;o=a[r>>0]|0;n=o<<24>>24;if((n&-32|0)!=32){s=p;n=r;break}}}else{s=0;n=r}while(0);do if(o<<24>>24==42){p=n+1|0;o=(a[p>>0]|0)+-48|0;if(o>>>0<10?(a[n+2>>0]|0)==36:0){c[l+(o<<2)>>2]=10;f=1;n=n+3|0;o=c[j+((a[p>>0]|0)+-48<<3)>>2]|0}else{if(f){m=-1;break a}if(!M){x=s;n=p;f=0;K=0;break}f=(c[g>>2]|0)+(4-1)&~(4-1);o=c[f>>2]|0;c[g>>2]=f+4;f=0;n=p}if((o|0)<0){x=s|8192;K=0-o|0}else{x=s;K=o}}else{p=(o<<24>>24)+-48|0;if(p>>>0<10){o=0;do{o=(o*10|0)+p|0;n=n+1|0;p=(a[n>>0]|0)+-48|0}while(p>>>0<10);if((o|0)<0){m=-1;break a}else{x=s;K=o}}else{x=s;K=0}}while(0);e:do if((a[n>>0]|0)==46){p=n+1|0;o=a[p>>0]|0;if(o<<24>>24!=42){r=(o<<24>>24)+-48|0;if(r>>>0<10){n=p;o=0}else{n=p;r=0;break}while(1){o=(o*10|0)+r|0;n=n+1|0;r=(a[n>>0]|0)+-48|0;if(r>>>0>=10){r=o;break e}}}p=n+2|0;o=(a[p>>0]|0)+-48|0;if(o>>>0<10?(a[n+3>>0]|0)==36:0){c[l+(o<<2)>>2]=10;n=n+4|0;r=c[j+((a[p>>0]|0)+-48<<3)>>2]|0;break}if(f){m=-1;break a}if(M){n=(c[g>>2]|0)+(4-1)&~(4-1);r=c[n>>2]|0;c[g>>2]=n+4;n=p}else{n=p;r=0}}else r=-1;while(0);t=0;while(1){o=(a[n>>0]|0)+-65|0;if(o>>>0>57){m=-1;break a}p=n+1|0;o=a[196065+(t*58|0)+o>>0]|0;s=o&255;if((s+-1|0)>>>0<8){n=p;t=s}else{J=p;break}}if(!(o<<24>>24)){m=-1;break}p=(u|0)>-1;do if(o<<24>>24==19)if(p){m=-1;break a}else L=52;else{if(p){c[l+(u<<2)>>2]=s;H=j+(u<<3)|0;I=c[H+4>>2]|0;L=ba;c[L>>2]=c[H>>2];c[L+4>>2]=I;L=52;break}if(!M){m=0;break a}XP(ba,s,g)}while(0);if((L|0)==52?(L=0,!M):0){w=J;n=y;continue}u=a[n>>0]|0;u=(t|0)!=0&(u&15|0)==3?u&-33:u;p=x&-65537;I=(x&8192|0)==0?x:p;f:do switch(u|0){case 110:switch(t|0){case 0:{c[c[ba>>2]>>2]=m;w=J;n=y;continue a}case 1:{c[c[ba>>2]>>2]=m;w=J;n=y;continue a}case 2:{w=c[ba>>2]|0;c[w>>2]=m;c[w+4>>2]=((m|0)<0)<<31>>31;w=J;n=y;continue a}case 3:{b[c[ba>>2]>>1]=m;w=J;n=y;continue a}case 4:{a[c[ba>>2]>>0]=m;w=J;n=y;continue a}case 6:{c[c[ba>>2]>>2]=m;w=J;n=y;continue a}case 7:{w=c[ba>>2]|0;c[w>>2]=m;c[w+4>>2]=((m|0)<0)<<31>>31;w=J;n=y;continue a}default:{w=J;n=y;continue a}}case 112:{t=I|8;r=r>>>0>8?r:8;u=120;L=64;break}case 88:case 120:{t=I;L=64;break}case 111:{p=ba;o=c[p>>2]|0;p=c[p+4>>2]|0;if((o|0)==0&(p|0)==0)n=N;else{n=N;do{n=n+-1|0;a[n>>0]=o&7|48;o=pQ(o|0,p|0,3)|0;p=C}while(!((o|0)==0&(p|0)==0))}if(!(I&8)){o=I;t=0;s=196545;L=77}else{t=U-n+1|0;o=I;r=(r|0)<(t|0)?t:r;t=0;s=196545;L=77}break}case 105:case 100:{o=ba;n=c[o>>2]|0;o=c[o+4>>2]|0;if((o|0)<0){n=lQ(0,0,n|0,o|0)|0;o=C;p=ba;c[p>>2]=n;c[p+4>>2]=o;p=1;s=196545;L=76;break f}if(!(I&2048)){s=I&1;p=s;s=(s|0)==0?196545:196547;L=76}else{p=1;s=196546;L=76}break}case 117:{o=ba;n=c[o>>2]|0;o=c[o+4>>2]|0;p=0;s=196545;L=76;break}case 99:{a[V>>0]=c[ba>>2];w=V;o=1;t=0;u=196545;n=N;break}case 109:{n=dN(c[(cN()|0)>>2]|0)|0;L=82;break}case 115:{n=c[ba>>2]|0;n=(n|0)!=0?n:196555;L=82;break}case 67:{c[ga>>2]=c[ba>>2];c[W>>2]=0;c[ba>>2]=ga;r=-1;L=86;break}case 83:{if(!r){ZP(e,32,K,0,I);n=0;L=98}else L=86;break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{q=+h[ba>>3];c[ea>>2]=0;h[k>>3]=q;if((c[k+4>>2]|0)>=0)if(!(I&2048)){H=I&1;G=H;H=(H|0)==0?196563:196568}else{G=1;H=196565}else{q=-q;G=1;H=196562}h[k>>3]=q;F=c[k+4>>2]&2146435072;do if(F>>>0<2146435072|(F|0)==2146435072&0<0){v=+vN(q,ea)*2.0;o=v!=0.0;if(o)c[ea>>2]=(c[ea>>2]|0)+-1;D=u|32;if((D|0)==97){w=u&32;y=(w|0)==0?H:H+9|0;x=G|2;n=12-r|0;do if(!(r>>>0>11|(n|0)==0)){q=8.0;do{n=n+-1|0;q=q*16.0}while((n|0)!=0);if((a[y>>0]|0)==45){q=-(q+(-v-q));break}else{q=v+q-q;break}}else q=v;while(0);o=c[ea>>2]|0;n=(o|0)<0?0-o|0:o;n=YP(n,((n|0)<0)<<31>>31,X)|0;if((n|0)==(X|0)){a[Y>>0]=48;n=Y}a[n+-1>>0]=(o>>31&2)+43;t=n+-2|0;a[t>>0]=u+15;s=(r|0)<1;p=(I&8|0)==0;o=da;while(1){H=~~q;n=o+1|0;a[o>>0]=d[196529+H>>0]|w;q=(q-+(H|0))*16.0;do if((n-Z|0)==1){if(p&(s&q==0.0))break;a[n>>0]=46;n=o+2|0}while(0);if(!(q!=0.0))break;else o=n}r=(r|0)!=0&(O+n|0)<(r|0)?P+r-t|0:aa-t+n|0;p=r+x|0;ZP(e,32,K,p,I);if(!(c[e>>2]&32))zO(y,x,e)|0;ZP(e,48,K,p,I^65536);n=n-Z|0;if(!(c[e>>2]&32))zO(da,n,e)|0;o=$-t|0;ZP(e,48,r-(n+o)|0,0,0);if(!(c[e>>2]&32))zO(t,o,e)|0;ZP(e,32,K,p,I^8192);n=(p|0)<(K|0)?K:p;break}n=(r|0)<0?6:r;if(o){o=(c[ea>>2]|0)+-28|0;c[ea>>2]=o;q=v*268435456.0}else{q=v;o=c[ea>>2]|0}F=(o|0)<0?ca:Q;E=F;o=F;do{B=~~q>>>0;c[o>>2]=B;o=o+4|0;q=(q-+(B>>>0))*1.0e9}while(q!=0.0);p=o;o=c[ea>>2]|0;if((o|0)>0){s=F;while(1){t=(o|0)>29?29:o;r=p+-4|0;do if(r>>>0<s>>>0)r=s;else{o=0;do{B=uQ(c[r>>2]|0,0,t|0)|0;B=mQ(B|0,C|0,o|0,0)|0;o=C;A=BQ(B|0,o|0,1e9,0)|0;c[r>>2]=A;o=AQ(B|0,o|0,1e9,0)|0;r=r+-4|0}while(r>>>0>=s>>>0);if(!o){r=s;break}r=s+-4|0;c[r>>2]=o}while(0);while(1){if(p>>>0<=r>>>0)break;o=p+-4|0;if(!(c[o>>2]|0))p=o;else break}o=(c[ea>>2]|0)-t|0;c[ea>>2]=o;if((o|0)>0)s=r;else break}}else r=F;if((o|0)<0){y=((n+25|0)/9|0)+1|0;z=(D|0)==102;w=r;while(1){x=0-o|0;x=(x|0)>9?9:x;do if(w>>>0<p>>>0){o=(1<<x)+-1|0;s=1e9>>>x;r=0;t=w;do{B=c[t>>2]|0;c[t>>2]=(B>>>x)+r;r=_(B&o,s)|0;t=t+4|0}while(t>>>0<p>>>0);o=(c[w>>2]|0)==0?w+4|0:w;if(!r){r=o;break}c[p>>2]=r;r=o;p=p+4|0}else r=(c[w>>2]|0)==0?w+4|0:w;while(0);o=z?F:r;p=(p-o>>2|0)>(y|0)?o+(y<<2)|0:p;o=(c[ea>>2]|0)+x|0;c[ea>>2]=o;if((o|0)>=0){w=r;break}else w=r}}else w=r;do if(w>>>0<p>>>0){o=(E-w>>2)*9|0;s=c[w>>2]|0;if(s>>>0<10)break;else r=10;do{r=r*10|0;o=o+1|0}while(s>>>0>=r>>>0)}else o=0;while(0);A=(D|0)==103;B=(n|0)!=0;r=n-((D|0)!=102?o:0)+((B&A)<<31>>31)|0;if((r|0)<(((p-E>>2)*9|0)+-9|0)){t=r+9216|0;z=(t|0)/9|0;r=F+(z+-1023<<2)|0;t=((t|0)%9|0)+1|0;if((t|0)<9){s=10;do{s=s*10|0;t=t+1|0}while((t|0)!=9)}else s=10;x=c[r>>2]|0;y=(x>>>0)%(s>>>0)|0;if((y|0)==0?(F+(z+-1022<<2)|0)==(p|0):0)s=w;else L=163;do if((L|0)==163){L=0;v=(((x>>>0)/(s>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;t=(s|0)/2|0;do if(y>>>0<t>>>0)q=.5;else{if((y|0)==(t|0)?(F+(z+-1022<<2)|0)==(p|0):0){q=1.0;break}q=1.5}while(0);do if(G){if((a[H>>0]|0)!=45)break;v=-v;q=-q}while(0);t=x-y|0;c[r>>2]=t;if(!(v+q!=v)){s=w;break}D=t+s|0;c[r>>2]=D;if(D>>>0>999999999){o=w;while(1){s=r+-4|0;c[r>>2]=0;if(s>>>0<o>>>0){o=o+-4|0;c[o>>2]=0}D=(c[s>>2]|0)+1|0;c[s>>2]=D;if(D>>>0>999999999)r=s;else{w=o;r=s;break}}}o=(E-w>>2)*9|0;t=c[w>>2]|0;if(t>>>0<10){s=w;break}else s=10;do{s=s*10|0;o=o+1|0}while(t>>>0>=s>>>0);s=w}while(0);D=r+4|0;w=s;p=p>>>0>D>>>0?D:p}y=0-o|0;while(1){if(p>>>0<=w>>>0){z=0;D=p;break}r=p+-4|0;if(!(c[r>>2]|0))p=r;else{z=1;D=p;break}}do if(A){n=(B&1^1)+n|0;if((n|0)>(o|0)&(o|0)>-5){u=u+-1|0;n=n+-1-o|0}else{u=u+-2|0;n=n+-1|0}p=I&8;if(p)break;do if(z){p=c[D+-4>>2]|0;if(!p){r=9;break}if(!((p>>>0)%10|0)){s=10;r=0}else{r=0;break}do{s=s*10|0;r=r+1|0}while(((p>>>0)%(s>>>0)|0|0)==0)}else r=9;while(0);p=((D-E>>2)*9|0)+-9|0;if((u|32|0)==102){p=p-r|0;p=(p|0)<0?0:p;n=(n|0)<(p|0)?n:p;p=0;break}else{p=p+o-r|0;p=(p|0)<0?0:p;n=(n|0)<(p|0)?n:p;p=0;break}}else p=I&8;while(0);x=n|p;s=(x|0)!=0&1;t=(u|32|0)==102;if(t){o=(o|0)>0?o:0;u=0}else{r=(o|0)<0?y:o;r=YP(r,((r|0)<0)<<31>>31,X)|0;if(($-r|0)<2)do{r=r+-1|0;a[r>>0]=48}while(($-r|0)<2);a[r+-1>>0]=(o>>31&2)+43;E=r+-2|0;a[E>>0]=u;o=$-E|0;u=E}y=G+1+n+s+o|0;ZP(e,32,K,y,I);if(!(c[e>>2]&32))zO(H,G,e)|0;ZP(e,48,K,y,I^65536);do if(t){r=w>>>0>F>>>0?F:w;o=r;do{p=YP(c[o>>2]|0,0,R)|0;do if((o|0)==(r|0)){if((p|0)!=(R|0))break;a[T>>0]=48;p=T}else{if(p>>>0<=da>>>0)break;do{p=p+-1|0;a[p>>0]=48}while(p>>>0>da>>>0)}while(0);if(!(c[e>>2]&32))zO(p,S-p|0,e)|0;o=o+4|0}while(o>>>0<=F>>>0);do if(x){if(c[e>>2]&32)break;zO(196597,1,e)|0}while(0);if((n|0)>0&o>>>0<D>>>0){p=o;while(1){o=YP(c[p>>2]|0,0,R)|0;if(o>>>0>da>>>0)do{o=o+-1|0;a[o>>0]=48}while(o>>>0>da>>>0);if(!(c[e>>2]&32))zO(o,(n|0)>9?9:n,e)|0;p=p+4|0;o=n+-9|0;if(!((n|0)>9&p>>>0<D>>>0)){n=o;break}else n=o}}ZP(e,48,n+9|0,9,0)}else{t=z?D:w+4|0;if((n|0)>-1){s=(p|0)==0;r=w;do{o=YP(c[r>>2]|0,0,R)|0;if((o|0)==(R|0)){a[T>>0]=48;o=T}do if((r|0)==(w|0)){p=o+1|0;if(!(c[e>>2]&32))zO(o,1,e)|0;if(s&(n|0)<1){o=p;break}if(c[e>>2]&32){o=p;break}zO(196597,1,e)|0;o=p}else{if(o>>>0<=da>>>0)break;do{o=o+-1|0;a[o>>0]=48}while(o>>>0>da>>>0)}while(0);p=S-o|0;if(!(c[e>>2]&32))zO(o,(n|0)>(p|0)?p:n,e)|0;n=n-p|0;r=r+4|0}while(r>>>0<t>>>0&(n|0)>-1)}ZP(e,48,n+18|0,18,0);if(c[e>>2]&32)break;zO(u,$-u|0,e)|0}while(0);ZP(e,32,K,y,I^8192);n=(y|0)<(K|0)?K:y}else{t=(u&32|0)!=0;s=q!=q|0.0!=0.0;o=s?0:G;r=o+3|0;ZP(e,32,K,r,p);n=c[e>>2]|0;if(!(n&32)){zO(H,o,e)|0;n=c[e>>2]|0}if(!(n&32))zO(s?(t?196589:196593):t?196581:196585,3,e)|0;ZP(e,32,K,r,I^8192);n=(r|0)<(K|0)?K:r}while(0);w=J;continue a}default:{p=I;o=r;t=0;u=196545;n=N}}while(0);g:do if((L|0)==64){p=ba;o=c[p>>2]|0;p=c[p+4>>2]|0;s=u&32;if(!((o|0)==0&(p|0)==0)){n=N;do{n=n+-1|0;a[n>>0]=d[196529+(o&15)>>0]|s;o=pQ(o|0,p|0,4)|0;p=C}while(!((o|0)==0&(p|0)==0));L=ba;if((t&8|0)==0|(c[L>>2]|0)==0&(c[L+4>>2]|0)==0){o=t;t=0;s=196545;L=77}else{o=t;t=2;s=196545+(u>>4)|0;L=77}}else{n=N;o=t;t=0;s=196545;L=77}}else if((L|0)==76){n=YP(n,o,N)|0;o=I;t=p;L=77}else if((L|0)==82){L=0;I=TO(n,0,r)|0;H=(I|0)==0;w=n;o=H?r:I-n|0;t=0;u=196545;n=H?n+r|0:I}else if((L|0)==86){L=0;o=0;n=0;s=c[ba>>2]|0;while(1){p=c[s>>2]|0;if(!p)break;n=IN(fa,p)|0;if((n|0)<0|n>>>0>(r-o|0)>>>0)break;o=n+o|0;if(r>>>0>o>>>0)s=s+4|0;else break}if((n|0)<0){m=-1;break a}ZP(e,32,K,o,I);if(!o){n=0;L=98}else{p=0;r=c[ba>>2]|0;while(1){n=c[r>>2]|0;if(!n){n=o;L=98;break g}n=IN(fa,n)|0;p=n+p|0;if((p|0)>(o|0)){n=o;L=98;break g}if(!(c[e>>2]&32))zO(fa,n,e)|0;if(p>>>0>=o>>>0){n=o;L=98;break}else r=r+4|0}}}while(0);if((L|0)==98){L=0;ZP(e,32,K,n,I^8192);w=J;n=(K|0)>(n|0)?K:n;continue}if((L|0)==77){L=0;p=(r|0)>-1?o&-65537:o;o=ba;o=(c[o>>2]|0)!=0|(c[o+4>>2]|0)!=0;if((r|0)!=0|o){o=(o&1^1)+(U-n)|0;w=n;o=(r|0)>(o|0)?r:o;u=s;n=N}else{w=N;o=0;u=s;n=N}}s=n-w|0;o=(o|0)<(s|0)?s:o;r=t+o|0;n=(K|0)<(r|0)?r:K;ZP(e,32,n,r,p);if(!(c[e>>2]&32))zO(u,t,e)|0;ZP(e,48,n,r,p^65536);ZP(e,48,o,s,0);if(!(c[e>>2]&32))zO(w,s,e)|0;ZP(e,32,n,r,p^8192);w=J}h:do if((L|0)==245)if(!e)if(f){m=1;while(1){f=c[l+(m<<2)>>2]|0;if(!f)break;XP(j+(m<<3)|0,f,g);m=m+1|0;if((m|0)>=10){m=1;break h}}if((m|0)<10)while(1){if(c[l+(m<<2)>>2]|0){m=-1;break h}m=m+1|0;if((m|0)>=10){m=1;break}}else m=1}else m=0;while(0);i=ha;return m|0}function OP(a,b,c){a=a|0;b=b|0;c=c|0;return eO(a,b,c)|0}function PP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=i;i=i+240|0;o=p;c[o>>2]=a;a:do if((e|0)>1){n=0-b|0;g=e;h=a;k=a;l=1;while(1){a=h+n|0;m=g+-2|0;j=h+(0-((c[f+(m<<2)>>2]|0)+b))|0;if((Qb[d&127](k,j)|0)>-1?(Qb[d&127](k,a)|0)>-1:0){e=l;break a}e=l+1|0;h=o+(l<<2)|0;if((Qb[d&127](j,a)|0)>-1){c[h>>2]=j;a=j;g=g+-1|0}else{c[h>>2]=a;g=m}if((g|0)<=1)break a;h=a;k=c[o>>2]|0;l=e}}else e=1;while(0);VP(b,o,e);i=p;return}function QP(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=i;i=i+240|0;p=r;k=c[e>>2]|0;e=c[e+4>>2]|0;c[p>>2]=a;o=0-b|0;a:do if((e|0)!=0|(k|0)!=1?(j=a+(0-(c[h+(f<<2)>>2]|0))|0,(Qb[d&127](j,a)|0)>=1):0){g=(g|0)==0;n=j;l=k;m=e;j=1;while(1){if(g&(f|0)>1){e=c[h+(f+-2<<2)>>2]|0;if((Qb[d&127](a+o|0,n)|0)>-1){g=f;e=j;q=20;break a}if((Qb[d&127](a+(0-(e+b))|0,n)|0)>-1){g=f;e=j;q=20;break a}}e=j+1|0;c[p+(j<<2)>>2]=n;g=l+-1|0;do if(g){if(!(g&1)){a=g;g=0;do{g=g+1|0;a=a>>>1}while((a&1|0)==0);if(!g)q=11}else q=11;if((q|0)==11){q=0;if(!m){g=64;q=16;break}if(!(m&1)){a=m;g=0}else{k=0;a=l;j=m;g=0;break}while(1){j=g+1|0;a=a>>>1;if(a&1){a=j;break}else g=j}if(!a){k=0;a=l;j=m;g=0;break}else g=g+33|0}if(g>>>0>31)q=16;else{k=g;a=l;j=m}}else{g=32;q=16}while(0);if((q|0)==16){q=0;k=g+-32|0;a=m;j=0}l=j<<32-k|a>>>k;m=j>>>k;g=g+f|0;if(!((m|0)!=0|(l|0)!=1)){a=n;q=20;break a}a=n+(0-(c[h+(g<<2)>>2]|0))|0;if((Qb[d&127](a,c[p>>2]|0)|0)<1){a=n;f=g;g=0;q=19;break}else{k=n;f=g;g=1;n=a;j=e;a=k}}}else{e=1;q=19}while(0);if((q|0)==19?(g|0)==0:0){g=f;q=20}if((q|0)==20){VP(b,p,e);PP(a,b,d,g,h)}i=r;return}function RP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0,g=0,h=0,j=0;j=i;i=i+112|0;h=j;f=h;g=f+112|0;do{c[f>>2]=0;f=f+4|0}while((f|0)<(g|0));f=h+4|0;c[f>>2]=a;g=h+8|0;c[g>>2]=-1;c[h+44>>2]=a;c[h+76>>2]=-1;hN(h,0);e=+eN(h,d,1);d=(c[f>>2]|0)-(c[g>>2]|0)+(c[h+108>>2]|0)|0;if(b)c[b>>2]=(d|0)!=0?a+d|0:a;i=j;return +e}function SP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;k=i;i=i+112|0;j=k;c[j>>2]=0;g=j+4|0;c[g>>2]=a;c[j+44>>2]=a;h=j+8|0;c[h>>2]=(a|0)<0?-1:a+2147483647|0;c[j+76>>2]=-1;hN(j,0);e=fN(j,d,1,e,f)|0;if(b)c[b>>2]=a+((c[g>>2]|0)+(c[j+108>>2]|0)-(c[h>>2]|0));i=k;return e|0}function TP(a){a=a|0;return}function UP(){return}function VP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;h=i;i=i+256|0;e=h;a:do if((d|0)>=2?(g=b+(d<<2)|0,c[g>>2]=e,(a|0)!=0):0)while(1){f=a>>>0>256?256:a;rQ(e|0,c[b>>2]|0,f|0)|0;e=0;do{j=b+(e<<2)|0;e=e+1|0;rQ(c[j>>2]|0,c[b+(e<<2)>>2]|0,f|0)|0;c[j>>2]=(c[j>>2]|0)+f}while((e|0)!=(d|0));if((a|0)==(f|0))break a;a=a-f|0;e=c[g>>2]|0}while(0);i=h;return}function WP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=a+20|0;f=c[e>>2]|0;a=(c[a+16>>2]|0)-f|0;a=a>>>0>d>>>0?d:a;rQ(f|0,b|0,a|0)|0;c[e>>2]=(c[e>>2]|0)+a;return d|0}function XP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{e=(c[d>>2]|0)+(4-1)&~(4-1);b=c[e>>2]|0;c[d>>2]=e+4;c[a>>2]=b;break a}case 10:{e=(c[d>>2]|0)+(4-1)&~(4-1);b=c[e>>2]|0;c[d>>2]=e+4;e=a;c[e>>2]=b;c[e+4>>2]=((b|0)<0)<<31>>31;break a}case 11:{e=(c[d>>2]|0)+(4-1)&~(4-1);b=c[e>>2]|0;c[d>>2]=e+4;e=a;c[e>>2]=b;c[e+4>>2]=0;break a}case 12:{e=(c[d>>2]|0)+(8-1)&~(8-1);b=e;f=c[b>>2]|0;b=c[b+4>>2]|0;c[d>>2]=e+8;e=a;c[e>>2]=f;c[e+4>>2]=b;break a}case 13:{f=(c[d>>2]|0)+(4-1)&~(4-1);e=c[f>>2]|0;c[d>>2]=f+4;e=(e&65535)<<16>>16;f=a;c[f>>2]=e;c[f+4>>2]=((e|0)<0)<<31>>31;break a}case 14:{f=(c[d>>2]|0)+(4-1)&~(4-1);e=c[f>>2]|0;c[d>>2]=f+4;f=a;c[f>>2]=e&65535;c[f+4>>2]=0;break a}case 15:{f=(c[d>>2]|0)+(4-1)&~(4-1);e=c[f>>2]|0;c[d>>2]=f+4;e=(e&255)<<24>>24;f=a;c[f>>2]=e;c[f+4>>2]=((e|0)<0)<<31>>31;break a}case 16:{f=(c[d>>2]|0)+(4-1)&~(4-1);e=c[f>>2]|0;c[d>>2]=f+4;f=a;c[f>>2]=e&255;c[f+4>>2]=0;break a}case 17:{f=(c[d>>2]|0)+(8-1)&~(8-1);g=+h[f>>3];c[d>>2]=f+8;h[a>>3]=g;break a}case 18:{f=(c[d>>2]|0)+(8-1)&~(8-1);g=+h[f>>3];c[d>>2]=f+8;h[a>>3]=g;break a}default:break a}while(0);while(0);return}function YP(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if(c>>>0>0|(c|0)==0&b>>>0>4294967295)while(1){e=BQ(b|0,c|0,10,0)|0;d=d+-1|0;a[d>>0]=e|48;e=AQ(b|0,c|0,10,0)|0;if(c>>>0>9|(c|0)==9&b>>>0>4294967295){b=e;c=C}else{b=e;break}}if(b)while(1){d=d+-1|0;a[d>>0]=(b>>>0)%10|0|48;if(b>>>0<10)break;else b=(b>>>0)/10|0}return d|0}function ZP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;j=i;i=i+256|0;h=j;do if((d|0)>(e|0)&(f&73728|0)==0){f=d-e|0;tQ(h|0,b|0,(f>>>0>256?256:f)|0)|0;b=c[a>>2]|0;g=(b&32|0)==0;if(f>>>0>255){e=d-e|0;do{if(g){zO(h,256,a)|0;b=c[a>>2]|0}f=f+-256|0;g=(b&32|0)==0}while(f>>>0>255);if(g)f=e&255;else break}else if(!g)break;zO(h,f,a)|0}while(0);i=j;return}function _P(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;g=c[a>>2]|0;h=(g|0)>-1;a:do if(!d)if(h){j=b+32|0;i=a;h=a;while(1){if((c[b>>2]|0)>-1?(z=e+(g<<2)|0,c[z>>2]=(c[z>>2]|0)+1,(c[j>>2]|0)>-1):0){g=j;do{z=e+(c[i>>2]<<2)|0;c[z>>2]=(c[z>>2]|0)+1;g=g+32|0}while((c[g>>2]|0)>-1)}h=h+32|0;g=c[h>>2]|0;if((g|0)>-1)i=h;else{g=0;break}}}else g=0;else if(h){w=a;t=a;while(1){g=c[b>>2]|0;b:do if((g|0)>-1){s=t+4|0;u=t+8|0;v=t+16|0;o=t+20|0;p=t+24|0;q=t+28|0;r=t+12|0;h=b;i=-1;while(1){while(1){if((g|0)!=(i|0)){n=g;break}h=h+32|0;g=c[h>>2]|0;if((g|0)<=-1)break b}i=d+(c[f+(c[w>>2]<<2)>>2]<<5)|0;while(1){g=i+8|0;if(!(c[g>>2]|0)){k=i;break}else i=i+32|0}c[k+40>>2]=0;c[k>>2]=c[s>>2];c[k+4>>2]=c[u>>2];c[g>>2]=d+(c[f+(n<<2)>>2]<<5);c[k+12>>2]=n;g=c[o>>2]|0;i=c[h+16>>2]|c[v>>2]|((g|0)!=0?4:0)|((c[p>>2]|0)!=0?8:0);j=k+20|0;c[j>>2]=i;a=c[q>>2]|0;if((a|0)>-1){c[j>>2]=i|256;g=a}c[k+24>>2]=g;i=c[p>>2]|0;if(!i)c[k+28>>2]=0;else{j=0;while(1){g=j+1|0;if(!(c[i+(j<<2)>>2]|0))break;else j=g}g=eQ(g<<2)|0;c[k+28>>2]=g;if(!g){g=12;break a}e=c[p>>2]|0;i=c[e>>2]|0;if(i){j=g;a=0;do{c[j>>2]=i;a=a+1|0;i=c[e+(a<<2)>>2]|0;j=g+(a<<2)|0}while((i|0)!=0);g=j}c[g>>2]=0}g=c[r>>2]|0;if(!g)i=0;else{i=0;while(1)if((c[g+(i<<2)>>2]|0)>-1)i=i+1|0;else break}e=h+12|0;g=c[e>>2]|0;if(!g)j=0;else{j=0;while(1)if((c[g+(j<<2)>>2]|0)>-1)j=j+1|0;else break}a=k+16|0;g=c[a>>2]|0;if(g)fQ(g);c[a>>2]=0;g=j+i|0;if((g|0)>0){m=eQ((g<<2)+4|0)|0;c[a>>2]=m;if(!m){g=12;break a}j=c[r>>2]|0;if((j|0)!=0?(y=c[j>>2]|0,(y|0)>-1):0){i=y;g=0;do{c[m+(g<<2)>>2]=i;g=g+1|0;i=c[j+(g<<2)>>2]|0}while((i|0)>-1)}else g=0;a=c[e>>2]|0;if((a|0)!=0?(x=c[a>>2]|0,(x|0)>-1):0){e=(g|0)>0;k=x;l=0;i=g;while(1){c:do if(e){j=0;while(1){if((c[m+(j<<2)>>2]|0)==(k|0))break c;j=j+1|0;if((j|0)>=(g|0)){z=39;break}}}else z=39;while(0);if((z|0)==39){z=0;c[m+(i<<2)>>2]=k;i=i+1|0}l=l+1|0;k=c[a+(l<<2)>>2]|0;if((k|0)<=-1){g=i;break}}}c[m+(g<<2)>>2]=-1}h=h+32|0;g=c[h>>2]|0;if((g|0)>-1)i=n;else break}}while(0);g=t+32|0;if((c[g>>2]|0)>-1){w=g;t=g}else{g=0;break}}}else g=0;while(0);return g|0}function $P(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;f=UN(a,0,0,0,8)|0;do if(f){e=AP(a,0,20)|0;if(!e){c[f>>2]=0;e=12;break}g=c[e+4>>2]|0;c[g>>2]=-3;c[g+4>>2]=d;c[g+8>>2]=-1;c[f>>2]=e;e=UN(a,0,0,0,32)|0;c[f+4>>2]=e;if(e){g=b+4|0;c[e+4>>2]=c[g>>2];c[e>>2]=c[b>>2];c[e+8>>2]=-1;c[e+12>>2]=-1;c[e+24>>2]=0;c[e+28>>2]=0;c[e+20>>2]=0;c[g>>2]=f;c[b>>2]=1;e=0}else e=12}else e=12;while(0);return e|0}function aQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=c[a>>2]|0;if((e|0)>-1){g=c[b+16>>2]|0;f=0;do{b=(e|0)/2|0;if(!(e&1))c[g+(b*12|0)>>2]=d;else c[g+(b*12|0)+4>>2]=d;f=f+1|0;e=c[a+(f<<2)>>2]|0}while((e|0)>-1)}c[a>>2]=-1;return}function bQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;f=UN(a,0,0,0,8)|0;do if(f){e=AP(a,0,20)|0;if(!e){c[f+4>>2]=0;e=12;break}g=c[e+4>>2]|0;c[g>>2]=-3;c[g+4>>2]=d;c[g+8>>2]=-1;c[f+4>>2]=e;e=UN(a,0,0,0,32)|0;c[f>>2]=e;if(e){g=b+4|0;c[e+4>>2]=c[g>>2];c[e>>2]=c[b>>2];c[e+8>>2]=-1;c[e+12>>2]=-1;c[e+24>>2]=0;c[e+28>>2]=0;c[e+20>>2]=0;c[g>>2]=f;c[b>>2]=1;e=0}else e=12}else e=12;while(0);return e|0}function cQ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0;i=c[g>>2]|0;h=c[f>>2]|0;if((c[e>>2]|0)>=(h|0))if((h|0)<=1024?(c[f>>2]=h<<1,j=hQ(i,h<<3)|0,(j|0)!=0):0){c[g>>2]=j;i=j;k=5}else h=12;else k=5;if((k|0)==5){h=AP(a,0,20)|0;if(!h)h=0;else{k=c[h+4>>2]|0;c[k>>2]=b;c[k+4>>2]=d;c[k+8>>2]=-1}k=c[e>>2]|0;c[i+(k<<2)>>2]=h;c[e>>2]=k+1;h=(h|0)==0?12:0}return h|0}function dQ(a,b){a=a|0;b=b|0;a=c[c[(c[a>>2]|0)+4>>2]>>2]|0;b=c[c[(c[b>>2]|0)+4>>2]>>2]|0;return ((a|0)<(b|0)?-1:(a|0)>(b|0)&1)|0}
function eQ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;do if(a>>>0<245){o=a>>>0<11?16:a+11&-8;a=o>>>3;i=c[25055]|0;d=i>>>a;if(d&3){a=(d&1^1)+a|0;e=a<<1;d=100260+(e<<2)|0;e=100260+(e+2<<2)|0;f=c[e>>2]|0;g=f+8|0;h=c[g>>2]|0;do if((d|0)!=(h|0)){if(h>>>0<(c[25059]|0)>>>0)Ja();b=h+12|0;if((c[b>>2]|0)==(f|0)){c[b>>2]=d;c[e>>2]=h;break}else Ja()}else c[25055]=i&~(1<<a);while(0);M=a<<3;c[f+4>>2]=M|3;M=f+(M|4)|0;c[M>>2]=c[M>>2]|1;M=g;return M|0}h=c[25057]|0;if(o>>>0>h>>>0){if(d){e=2<<a;e=d<<a&(e|0-e);e=(e&0-e)+-1|0;j=e>>>12&16;e=e>>>j;f=e>>>5&8;e=e>>>f;g=e>>>2&4;e=e>>>g;d=e>>>1&2;e=e>>>d;a=e>>>1&1;a=(f|j|g|d|a)+(e>>>a)|0;e=a<<1;d=100260+(e<<2)|0;e=100260+(e+2<<2)|0;g=c[e>>2]|0;j=g+8|0;f=c[j>>2]|0;do if((d|0)!=(f|0)){if(f>>>0<(c[25059]|0)>>>0)Ja();b=f+12|0;if((c[b>>2]|0)==(g|0)){c[b>>2]=d;c[e>>2]=f;k=c[25057]|0;break}else Ja()}else{c[25055]=i&~(1<<a);k=h}while(0);M=a<<3;h=M-o|0;c[g+4>>2]=o|3;i=g+o|0;c[g+(o|4)>>2]=h|1;c[g+M>>2]=h;if(k){f=c[25060]|0;d=k>>>3;b=d<<1;e=100260+(b<<2)|0;a=c[25055]|0;d=1<<d;if(a&d){a=100260+(b+2<<2)|0;b=c[a>>2]|0;if(b>>>0<(c[25059]|0)>>>0)Ja();else{l=a;m=b}}else{c[25055]=a|d;l=100260+(b+2<<2)|0;m=e}c[l>>2]=f;c[m+12>>2]=f;c[f+8>>2]=m;c[f+12>>2]=e}c[25057]=h;c[25060]=i;M=j;return M|0}a=c[25056]|0;if(a){d=(a&0-a)+-1|0;L=d>>>12&16;d=d>>>L;K=d>>>5&8;d=d>>>K;M=d>>>2&4;d=d>>>M;a=d>>>1&2;d=d>>>a;e=d>>>1&1;e=c[100524+((K|L|M|a|e)+(d>>>e)<<2)>>2]|0;d=(c[e+4>>2]&-8)-o|0;a=e;while(1){b=c[a+16>>2]|0;if(!b){b=c[a+20>>2]|0;if(!b){j=d;break}}a=(c[b+4>>2]&-8)-o|0;M=a>>>0<d>>>0;d=M?a:d;a=b;e=M?b:e}g=c[25059]|0;if(e>>>0<g>>>0)Ja();i=e+o|0;if(e>>>0>=i>>>0)Ja();h=c[e+24>>2]|0;d=c[e+12>>2]|0;do if((d|0)==(e|0)){a=e+20|0;b=c[a>>2]|0;if(!b){a=e+16|0;b=c[a>>2]|0;if(!b){n=0;break}}while(1){d=b+20|0;f=c[d>>2]|0;if(f){b=f;a=d;continue}d=b+16|0;f=c[d>>2]|0;if(!f)break;else{b=f;a=d}}if(a>>>0<g>>>0)Ja();else{c[a>>2]=0;n=b;break}}else{f=c[e+8>>2]|0;if(f>>>0<g>>>0)Ja();b=f+12|0;if((c[b>>2]|0)!=(e|0))Ja();a=d+8|0;if((c[a>>2]|0)==(e|0)){c[b>>2]=d;c[a>>2]=f;n=d;break}else Ja()}while(0);do if(h){b=c[e+28>>2]|0;a=100524+(b<<2)|0;if((e|0)==(c[a>>2]|0)){c[a>>2]=n;if(!n){c[25056]=c[25056]&~(1<<b);break}}else{if(h>>>0<(c[25059]|0)>>>0)Ja();b=h+16|0;if((c[b>>2]|0)==(e|0))c[b>>2]=n;else c[h+20>>2]=n;if(!n)break}a=c[25059]|0;if(n>>>0<a>>>0)Ja();c[n+24>>2]=h;b=c[e+16>>2]|0;do if(b)if(b>>>0<a>>>0)Ja();else{c[n+16>>2]=b;c[b+24>>2]=n;break}while(0);b=c[e+20>>2]|0;if(b)if(b>>>0<(c[25059]|0)>>>0)Ja();else{c[n+20>>2]=b;c[b+24>>2]=n;break}}while(0);if(j>>>0<16){M=j+o|0;c[e+4>>2]=M|3;M=e+(M+4)|0;c[M>>2]=c[M>>2]|1}else{c[e+4>>2]=o|3;c[e+(o|4)>>2]=j|1;c[e+(j+o)>>2]=j;b=c[25057]|0;if(b){g=c[25060]|0;d=b>>>3;b=d<<1;f=100260+(b<<2)|0;a=c[25055]|0;d=1<<d;if(a&d){b=100260+(b+2<<2)|0;a=c[b>>2]|0;if(a>>>0<(c[25059]|0)>>>0)Ja();else{p=b;q=a}}else{c[25055]=a|d;p=100260+(b+2<<2)|0;q=f}c[p>>2]=g;c[q+12>>2]=g;c[g+8>>2]=q;c[g+12>>2]=f}c[25057]=j;c[25060]=i}M=e+8|0;return M|0}else q=o}else q=o}else if(a>>>0<=4294967231){a=a+11|0;m=a&-8;l=c[25056]|0;if(l){d=0-m|0;a=a>>>8;if(a)if(m>>>0>16777215)k=31;else{q=(a+1048320|0)>>>16&8;v=a<<q;p=(v+520192|0)>>>16&4;v=v<<p;k=(v+245760|0)>>>16&2;k=14-(p|q|k)+(v<<k>>>15)|0;k=m>>>(k+7|0)&1|k<<1}else k=0;a=c[100524+(k<<2)>>2]|0;a:do if(!a){f=0;a=0;v=86}else{h=d;f=0;i=m<<((k|0)==31?0:25-(k>>>1)|0);j=a;a=0;while(1){g=c[j+4>>2]&-8;d=g-m|0;if(d>>>0<h>>>0)if((g|0)==(m|0)){g=j;a=j;v=90;break a}else a=j;else d=h;v=c[j+20>>2]|0;j=c[j+16+(i>>>31<<2)>>2]|0;f=(v|0)==0|(v|0)==(j|0)?f:v;if(!j){v=86;break}else{h=d;i=i<<1}}}while(0);if((v|0)==86){if((f|0)==0&(a|0)==0){a=2<<k;a=l&(a|0-a);if(!a){q=m;break}a=(a&0-a)+-1|0;n=a>>>12&16;a=a>>>n;l=a>>>5&8;a=a>>>l;p=a>>>2&4;a=a>>>p;q=a>>>1&2;a=a>>>q;f=a>>>1&1;f=c[100524+((l|n|p|q|f)+(a>>>f)<<2)>>2]|0;a=0}if(!f){i=d;j=a}else{g=f;v=90}}if((v|0)==90)while(1){v=0;q=(c[g+4>>2]&-8)-m|0;f=q>>>0<d>>>0;d=f?q:d;a=f?g:a;f=c[g+16>>2]|0;if(f){g=f;v=90;continue}g=c[g+20>>2]|0;if(!g){i=d;j=a;break}else v=90}if((j|0)!=0?i>>>0<((c[25057]|0)-m|0)>>>0:0){f=c[25059]|0;if(j>>>0<f>>>0)Ja();h=j+m|0;if(j>>>0>=h>>>0)Ja();g=c[j+24>>2]|0;d=c[j+12>>2]|0;do if((d|0)==(j|0)){a=j+20|0;b=c[a>>2]|0;if(!b){a=j+16|0;b=c[a>>2]|0;if(!b){o=0;break}}while(1){d=b+20|0;e=c[d>>2]|0;if(e){b=e;a=d;continue}d=b+16|0;e=c[d>>2]|0;if(!e)break;else{b=e;a=d}}if(a>>>0<f>>>0)Ja();else{c[a>>2]=0;o=b;break}}else{e=c[j+8>>2]|0;if(e>>>0<f>>>0)Ja();b=e+12|0;if((c[b>>2]|0)!=(j|0))Ja();a=d+8|0;if((c[a>>2]|0)==(j|0)){c[b>>2]=d;c[a>>2]=e;o=d;break}else Ja()}while(0);do if(g){b=c[j+28>>2]|0;a=100524+(b<<2)|0;if((j|0)==(c[a>>2]|0)){c[a>>2]=o;if(!o){c[25056]=c[25056]&~(1<<b);break}}else{if(g>>>0<(c[25059]|0)>>>0)Ja();b=g+16|0;if((c[b>>2]|0)==(j|0))c[b>>2]=o;else c[g+20>>2]=o;if(!o)break}a=c[25059]|0;if(o>>>0<a>>>0)Ja();c[o+24>>2]=g;b=c[j+16>>2]|0;do if(b)if(b>>>0<a>>>0)Ja();else{c[o+16>>2]=b;c[b+24>>2]=o;break}while(0);b=c[j+20>>2]|0;if(b)if(b>>>0<(c[25059]|0)>>>0)Ja();else{c[o+20>>2]=b;c[b+24>>2]=o;break}}while(0);b:do if(i>>>0>=16){c[j+4>>2]=m|3;c[j+(m|4)>>2]=i|1;c[j+(i+m)>>2]=i;b=i>>>3;if(i>>>0<256){a=b<<1;e=100260+(a<<2)|0;d=c[25055]|0;b=1<<b;if(d&b){b=100260+(a+2<<2)|0;a=c[b>>2]|0;if(a>>>0<(c[25059]|0)>>>0)Ja();else{s=b;t=a}}else{c[25055]=d|b;s=100260+(a+2<<2)|0;t=e}c[s>>2]=h;c[t+12>>2]=h;c[j+(m+8)>>2]=t;c[j+(m+12)>>2]=e;break}b=i>>>8;if(b)if(i>>>0>16777215)e=31;else{L=(b+1048320|0)>>>16&8;M=b<<L;K=(M+520192|0)>>>16&4;M=M<<K;e=(M+245760|0)>>>16&2;e=14-(K|L|e)+(M<<e>>>15)|0;e=i>>>(e+7|0)&1|e<<1}else e=0;b=100524+(e<<2)|0;c[j+(m+28)>>2]=e;c[j+(m+20)>>2]=0;c[j+(m+16)>>2]=0;a=c[25056]|0;d=1<<e;if(!(a&d)){c[25056]=a|d;c[b>>2]=h;c[j+(m+24)>>2]=b;c[j+(m+12)>>2]=h;c[j+(m+8)>>2]=h;break}b=c[b>>2]|0;c:do if((c[b+4>>2]&-8|0)!=(i|0)){e=i<<((e|0)==31?0:25-(e>>>1)|0);while(1){a=b+16+(e>>>31<<2)|0;d=c[a>>2]|0;if(!d)break;if((c[d+4>>2]&-8|0)==(i|0)){y=d;break c}else{e=e<<1;b=d}}if(a>>>0<(c[25059]|0)>>>0)Ja();else{c[a>>2]=h;c[j+(m+24)>>2]=b;c[j+(m+12)>>2]=h;c[j+(m+8)>>2]=h;break b}}else y=b;while(0);b=y+8|0;a=c[b>>2]|0;M=c[25059]|0;if(a>>>0>=M>>>0&y>>>0>=M>>>0){c[a+12>>2]=h;c[b>>2]=h;c[j+(m+8)>>2]=a;c[j+(m+12)>>2]=y;c[j+(m+24)>>2]=0;break}else Ja()}else{M=i+m|0;c[j+4>>2]=M|3;M=j+(M+4)|0;c[M>>2]=c[M>>2]|1}while(0);M=j+8|0;return M|0}else q=m}else q=m}else q=-1;while(0);d=c[25057]|0;if(d>>>0>=q>>>0){b=d-q|0;a=c[25060]|0;if(b>>>0>15){c[25060]=a+q;c[25057]=b;c[a+(q+4)>>2]=b|1;c[a+d>>2]=b;c[a+4>>2]=q|3}else{c[25057]=0;c[25060]=0;c[a+4>>2]=d|3;M=a+(d+4)|0;c[M>>2]=c[M>>2]|1}M=a+8|0;return M|0}a=c[25058]|0;if(a>>>0>q>>>0){L=a-q|0;c[25058]=L;M=c[25061]|0;c[25061]=M+q;c[M+(q+4)>>2]=L|1;c[M+4>>2]=q|3;M=M+8|0;return M|0}do if(!(c[25173]|0)){a=ob(30)|0;if(!(a+-1&a)){c[25175]=a;c[25174]=a;c[25176]=-1;c[25177]=-1;c[25178]=0;c[25166]=0;c[25173]=(tb(0)|0)&-16^1431655768;break}else Ja()}while(0);j=q+48|0;i=c[25175]|0;k=q+47|0;h=i+k|0;i=0-i|0;l=h&i;if(l>>>0<=q>>>0){M=0;return M|0}a=c[25165]|0;if((a|0)!=0?(t=c[25163]|0,y=t+l|0,y>>>0<=t>>>0|y>>>0>a>>>0):0){M=0;return M|0}d:do if(!(c[25166]&4)){a=c[25061]|0;e:do if(a){f=100668;while(1){d=c[f>>2]|0;if(d>>>0<=a>>>0?(r=f+4|0,(d+(c[r>>2]|0)|0)>>>0>a>>>0):0){g=f;a=r;break}f=c[f+8>>2]|0;if(!f){v=174;break e}}d=h-(c[25058]|0)&i;if(d>>>0<2147483647){f=Wa(d|0)|0;y=(f|0)==((c[g>>2]|0)+(c[a>>2]|0)|0);a=y?d:0;if(y){if((f|0)!=(-1|0)){w=f;p=a;v=194;break d}}else v=184}else a=0}else v=174;while(0);do if((v|0)==174){g=Wa(0)|0;if((g|0)!=(-1|0)){a=g;d=c[25174]|0;f=d+-1|0;if(!(f&a))d=l;else d=l-a+(f+a&0-d)|0;a=c[25163]|0;f=a+d|0;if(d>>>0>q>>>0&d>>>0<2147483647){y=c[25165]|0;if((y|0)!=0?f>>>0<=a>>>0|f>>>0>y>>>0:0){a=0;break}f=Wa(d|0)|0;y=(f|0)==(g|0);a=y?d:0;if(y){w=g;p=a;v=194;break d}else v=184}else a=0}else a=0}while(0);f:do if((v|0)==184){g=0-d|0;do if(j>>>0>d>>>0&(d>>>0<2147483647&(f|0)!=(-1|0))?(u=c[25175]|0,u=k-d+u&0-u,u>>>0<2147483647):0)if((Wa(u|0)|0)==(-1|0)){Wa(g|0)|0;break f}else{d=u+d|0;break}while(0);if((f|0)!=(-1|0)){w=f;p=d;v=194;break d}}while(0);c[25166]=c[25166]|4;v=191}else{a=0;v=191}while(0);if((((v|0)==191?l>>>0<2147483647:0)?(w=Wa(l|0)|0,x=Wa(0)|0,w>>>0<x>>>0&((w|0)!=(-1|0)&(x|0)!=(-1|0))):0)?(z=x-w|0,A=z>>>0>(q+40|0)>>>0,A):0){p=A?z:a;v=194}if((v|0)==194){a=(c[25163]|0)+p|0;c[25163]=a;if(a>>>0>(c[25164]|0)>>>0)c[25164]=a;h=c[25061]|0;g:do if(h){g=100668;do{a=c[g>>2]|0;d=g+4|0;f=c[d>>2]|0;if((w|0)==(a+f|0)){B=a;C=d;D=f;E=g;v=204;break}g=c[g+8>>2]|0}while((g|0)!=0);if(((v|0)==204?(c[E+12>>2]&8|0)==0:0)?h>>>0<w>>>0&h>>>0>=B>>>0:0){c[C>>2]=D+p;M=(c[25058]|0)+p|0;L=h+8|0;L=(L&7|0)==0?0:0-L&7;K=M-L|0;c[25061]=h+L;c[25058]=K;c[h+(L+4)>>2]=K|1;c[h+(M+4)>>2]=40;c[25062]=c[25177];break}a=c[25059]|0;if(w>>>0<a>>>0){c[25059]=w;a=w}d=w+p|0;g=100668;while(1){if((c[g>>2]|0)==(d|0)){f=g;d=g;v=212;break}g=c[g+8>>2]|0;if(!g){d=100668;break}}if((v|0)==212)if(!(c[d+12>>2]&8)){c[f>>2]=w;n=d+4|0;c[n>>2]=(c[n>>2]|0)+p;n=w+8|0;n=(n&7|0)==0?0:0-n&7;k=w+(p+8)|0;k=(k&7|0)==0?0:0-k&7;b=w+(k+p)|0;m=n+q|0;o=w+m|0;l=b-(w+n)-q|0;c[w+(n+4)>>2]=q|3;h:do if((b|0)!=(h|0)){if((b|0)==(c[25060]|0)){M=(c[25057]|0)+l|0;c[25057]=M;c[25060]=o;c[w+(m+4)>>2]=M|1;c[w+(M+m)>>2]=M;break}i=p+4|0;d=c[w+(i+k)>>2]|0;if((d&3|0)==1){j=d&-8;g=d>>>3;i:do if(d>>>0>=256){h=c[w+((k|24)+p)>>2]|0;e=c[w+(p+12+k)>>2]|0;do if((e|0)==(b|0)){f=k|16;e=w+(i+f)|0;d=c[e>>2]|0;if(!d){e=w+(f+p)|0;d=c[e>>2]|0;if(!d){J=0;break}}while(1){f=d+20|0;g=c[f>>2]|0;if(g){d=g;e=f;continue}f=d+16|0;g=c[f>>2]|0;if(!g)break;else{d=g;e=f}}if(e>>>0<a>>>0)Ja();else{c[e>>2]=0;J=d;break}}else{f=c[w+((k|8)+p)>>2]|0;if(f>>>0<a>>>0)Ja();a=f+12|0;if((c[a>>2]|0)!=(b|0))Ja();d=e+8|0;if((c[d>>2]|0)==(b|0)){c[a>>2]=e;c[d>>2]=f;J=e;break}else Ja()}while(0);if(!h)break;a=c[w+(p+28+k)>>2]|0;d=100524+(a<<2)|0;do if((b|0)!=(c[d>>2]|0)){if(h>>>0<(c[25059]|0)>>>0)Ja();a=h+16|0;if((c[a>>2]|0)==(b|0))c[a>>2]=J;else c[h+20>>2]=J;if(!J)break i}else{c[d>>2]=J;if(J)break;c[25056]=c[25056]&~(1<<a);break i}while(0);d=c[25059]|0;if(J>>>0<d>>>0)Ja();c[J+24>>2]=h;b=k|16;a=c[w+(b+p)>>2]|0;do if(a)if(a>>>0<d>>>0)Ja();else{c[J+16>>2]=a;c[a+24>>2]=J;break}while(0);b=c[w+(i+b)>>2]|0;if(!b)break;if(b>>>0<(c[25059]|0)>>>0)Ja();else{c[J+20>>2]=b;c[b+24>>2]=J;break}}else{e=c[w+((k|8)+p)>>2]|0;f=c[w+(p+12+k)>>2]|0;d=100260+(g<<1<<2)|0;do if((e|0)!=(d|0)){if(e>>>0<a>>>0)Ja();if((c[e+12>>2]|0)==(b|0))break;Ja()}while(0);if((f|0)==(e|0)){c[25055]=c[25055]&~(1<<g);break}do if((f|0)==(d|0))F=f+8|0;else{if(f>>>0<a>>>0)Ja();a=f+8|0;if((c[a>>2]|0)==(b|0)){F=a;break}Ja()}while(0);c[e+12>>2]=f;c[F>>2]=e}while(0);b=w+((j|k)+p)|0;f=j+l|0}else f=l;b=b+4|0;c[b>>2]=c[b>>2]&-2;c[w+(m+4)>>2]=f|1;c[w+(f+m)>>2]=f;b=f>>>3;if(f>>>0<256){a=b<<1;e=100260+(a<<2)|0;d=c[25055]|0;b=1<<b;do if(!(d&b)){c[25055]=d|b;K=100260+(a+2<<2)|0;L=e}else{b=100260+(a+2<<2)|0;a=c[b>>2]|0;if(a>>>0>=(c[25059]|0)>>>0){K=b;L=a;break}Ja()}while(0);c[K>>2]=o;c[L+12>>2]=o;c[w+(m+8)>>2]=L;c[w+(m+12)>>2]=e;break}b=f>>>8;do if(!b)e=0;else{if(f>>>0>16777215){e=31;break}K=(b+1048320|0)>>>16&8;L=b<<K;J=(L+520192|0)>>>16&4;L=L<<J;e=(L+245760|0)>>>16&2;e=14-(J|K|e)+(L<<e>>>15)|0;e=f>>>(e+7|0)&1|e<<1}while(0);b=100524+(e<<2)|0;c[w+(m+28)>>2]=e;c[w+(m+20)>>2]=0;c[w+(m+16)>>2]=0;a=c[25056]|0;d=1<<e;if(!(a&d)){c[25056]=a|d;c[b>>2]=o;c[w+(m+24)>>2]=b;c[w+(m+12)>>2]=o;c[w+(m+8)>>2]=o;break}b=c[b>>2]|0;j:do if((c[b+4>>2]&-8|0)!=(f|0)){e=f<<((e|0)==31?0:25-(e>>>1)|0);while(1){a=b+16+(e>>>31<<2)|0;d=c[a>>2]|0;if(!d)break;if((c[d+4>>2]&-8|0)==(f|0)){M=d;break j}else{e=e<<1;b=d}}if(a>>>0<(c[25059]|0)>>>0)Ja();else{c[a>>2]=o;c[w+(m+24)>>2]=b;c[w+(m+12)>>2]=o;c[w+(m+8)>>2]=o;break h}}else M=b;while(0);b=M+8|0;a=c[b>>2]|0;L=c[25059]|0;if(a>>>0>=L>>>0&M>>>0>=L>>>0){c[a+12>>2]=o;c[b>>2]=o;c[w+(m+8)>>2]=a;c[w+(m+12)>>2]=M;c[w+(m+24)>>2]=0;break}else Ja()}else{M=(c[25058]|0)+l|0;c[25058]=M;c[25061]=o;c[w+(m+4)>>2]=M|1}while(0);M=w+(n|8)|0;return M|0}else d=100668;while(1){a=c[d>>2]|0;if(a>>>0<=h>>>0?(b=c[d+4>>2]|0,e=a+b|0,e>>>0>h>>>0):0)break;d=c[d+8>>2]|0}f=a+(b+-39)|0;a=a+(b+-47+((f&7|0)==0?0:0-f&7))|0;f=h+16|0;a=a>>>0<f>>>0?h:a;b=a+8|0;d=w+8|0;d=(d&7|0)==0?0:0-d&7;M=p+-40-d|0;c[25061]=w+d;c[25058]=M;c[w+(d+4)>>2]=M|1;c[w+(p+-36)>>2]=40;c[25062]=c[25177];d=a+4|0;c[d>>2]=27;c[b>>2]=c[25167];c[b+4>>2]=c[25168];c[b+8>>2]=c[25169];c[b+12>>2]=c[25170];c[25167]=w;c[25168]=p;c[25170]=0;c[25169]=b;b=a+28|0;c[b>>2]=7;if((a+32|0)>>>0<e>>>0)do{M=b;b=b+4|0;c[b>>2]=7}while((M+8|0)>>>0<e>>>0);if((a|0)!=(h|0)){g=a-h|0;c[d>>2]=c[d>>2]&-2;c[h+4>>2]=g|1;c[a>>2]=g;b=g>>>3;if(g>>>0<256){a=b<<1;e=100260+(a<<2)|0;d=c[25055]|0;b=1<<b;if(d&b){b=100260+(a+2<<2)|0;a=c[b>>2]|0;if(a>>>0<(c[25059]|0)>>>0)Ja();else{G=b;H=a}}else{c[25055]=d|b;G=100260+(a+2<<2)|0;H=e}c[G>>2]=h;c[H+12>>2]=h;c[h+8>>2]=H;c[h+12>>2]=e;break}b=g>>>8;if(b)if(g>>>0>16777215)e=31;else{L=(b+1048320|0)>>>16&8;M=b<<L;K=(M+520192|0)>>>16&4;M=M<<K;e=(M+245760|0)>>>16&2;e=14-(K|L|e)+(M<<e>>>15)|0;e=g>>>(e+7|0)&1|e<<1}else e=0;d=100524+(e<<2)|0;c[h+28>>2]=e;c[h+20>>2]=0;c[f>>2]=0;b=c[25056]|0;a=1<<e;if(!(b&a)){c[25056]=b|a;c[d>>2]=h;c[h+24>>2]=d;c[h+12>>2]=h;c[h+8>>2]=h;break}b=c[d>>2]|0;k:do if((c[b+4>>2]&-8|0)!=(g|0)){e=g<<((e|0)==31?0:25-(e>>>1)|0);while(1){a=b+16+(e>>>31<<2)|0;d=c[a>>2]|0;if(!d)break;if((c[d+4>>2]&-8|0)==(g|0)){I=d;break k}else{e=e<<1;b=d}}if(a>>>0<(c[25059]|0)>>>0)Ja();else{c[a>>2]=h;c[h+24>>2]=b;c[h+12>>2]=h;c[h+8>>2]=h;break g}}else I=b;while(0);b=I+8|0;a=c[b>>2]|0;M=c[25059]|0;if(a>>>0>=M>>>0&I>>>0>=M>>>0){c[a+12>>2]=h;c[b>>2]=h;c[h+8>>2]=a;c[h+12>>2]=I;c[h+24>>2]=0;break}else Ja()}}else{M=c[25059]|0;if((M|0)==0|w>>>0<M>>>0)c[25059]=w;c[25167]=w;c[25168]=p;c[25170]=0;c[25064]=c[25173];c[25063]=-1;b=0;do{M=b<<1;L=100260+(M<<2)|0;c[100260+(M+3<<2)>>2]=L;c[100260+(M+2<<2)>>2]=L;b=b+1|0}while((b|0)!=32);M=w+8|0;M=(M&7|0)==0?0:0-M&7;L=p+-40-M|0;c[25061]=w+M;c[25058]=L;c[w+(M+4)>>2]=L|1;c[w+(p+-36)>>2]=40;c[25062]=c[25177]}while(0);b=c[25058]|0;if(b>>>0>q>>>0){L=b-q|0;c[25058]=L;M=c[25061]|0;c[25061]=M+q;c[M+(q+4)>>2]=L|1;c[M+4>>2]=q|3;M=M+8|0;return M|0}}c[(cN()|0)>>2]=12;M=0;return M|0}function fQ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!a)return;b=a+-8|0;i=c[25059]|0;if(b>>>0<i>>>0)Ja();d=c[a+-4>>2]|0;e=d&3;if((e|0)==1)Ja();o=d&-8;q=a+(o+-8)|0;do if(!(d&1)){b=c[b>>2]|0;if(!e)return;j=-8-b|0;l=a+j|0;m=b+o|0;if(l>>>0<i>>>0)Ja();if((l|0)==(c[25060]|0)){b=a+(o+-4)|0;d=c[b>>2]|0;if((d&3|0)!=3){u=l;g=m;break}c[25057]=m;c[b>>2]=d&-2;c[a+(j+4)>>2]=m|1;c[q>>2]=m;return}f=b>>>3;if(b>>>0<256){e=c[a+(j+8)>>2]|0;d=c[a+(j+12)>>2]|0;b=100260+(f<<1<<2)|0;if((e|0)!=(b|0)){if(e>>>0<i>>>0)Ja();if((c[e+12>>2]|0)!=(l|0))Ja()}if((d|0)==(e|0)){c[25055]=c[25055]&~(1<<f);u=l;g=m;break}if((d|0)!=(b|0)){if(d>>>0<i>>>0)Ja();b=d+8|0;if((c[b>>2]|0)==(l|0))h=b;else Ja()}else h=d+8|0;c[e+12>>2]=d;c[h>>2]=e;u=l;g=m;break}h=c[a+(j+24)>>2]|0;e=c[a+(j+12)>>2]|0;do if((e|0)==(l|0)){d=a+(j+20)|0;b=c[d>>2]|0;if(!b){d=a+(j+16)|0;b=c[d>>2]|0;if(!b){k=0;break}}while(1){e=b+20|0;f=c[e>>2]|0;if(f){b=f;d=e;continue}e=b+16|0;f=c[e>>2]|0;if(!f)break;else{b=f;d=e}}if(d>>>0<i>>>0)Ja();else{c[d>>2]=0;k=b;break}}else{f=c[a+(j+8)>>2]|0;if(f>>>0<i>>>0)Ja();b=f+12|0;if((c[b>>2]|0)!=(l|0))Ja();d=e+8|0;if((c[d>>2]|0)==(l|0)){c[b>>2]=e;c[d>>2]=f;k=e;break}else Ja()}while(0);if(h){b=c[a+(j+28)>>2]|0;d=100524+(b<<2)|0;if((l|0)==(c[d>>2]|0)){c[d>>2]=k;if(!k){c[25056]=c[25056]&~(1<<b);u=l;g=m;break}}else{if(h>>>0<(c[25059]|0)>>>0)Ja();b=h+16|0;if((c[b>>2]|0)==(l|0))c[b>>2]=k;else c[h+20>>2]=k;if(!k){u=l;g=m;break}}d=c[25059]|0;if(k>>>0<d>>>0)Ja();c[k+24>>2]=h;b=c[a+(j+16)>>2]|0;do if(b)if(b>>>0<d>>>0)Ja();else{c[k+16>>2]=b;c[b+24>>2]=k;break}while(0);b=c[a+(j+20)>>2]|0;if(b)if(b>>>0<(c[25059]|0)>>>0)Ja();else{c[k+20>>2]=b;c[b+24>>2]=k;u=l;g=m;break}else{u=l;g=m}}else{u=l;g=m}}else{u=b;g=o}while(0);if(u>>>0>=q>>>0)Ja();b=a+(o+-4)|0;d=c[b>>2]|0;if(!(d&1))Ja();if(!(d&2)){if((q|0)==(c[25061]|0)){t=(c[25058]|0)+g|0;c[25058]=t;c[25061]=u;c[u+4>>2]=t|1;if((u|0)!=(c[25060]|0))return;c[25060]=0;c[25057]=0;return}if((q|0)==(c[25060]|0)){t=(c[25057]|0)+g|0;c[25057]=t;c[25060]=u;c[u+4>>2]=t|1;c[u+t>>2]=t;return}g=(d&-8)+g|0;f=d>>>3;do if(d>>>0>=256){h=c[a+(o+16)>>2]|0;b=c[a+(o|4)>>2]|0;do if((b|0)==(q|0)){d=a+(o+12)|0;b=c[d>>2]|0;if(!b){d=a+(o+8)|0;b=c[d>>2]|0;if(!b){p=0;break}}while(1){e=b+20|0;f=c[e>>2]|0;if(f){b=f;d=e;continue}e=b+16|0;f=c[e>>2]|0;if(!f)break;else{b=f;d=e}}if(d>>>0<(c[25059]|0)>>>0)Ja();else{c[d>>2]=0;p=b;break}}else{d=c[a+o>>2]|0;if(d>>>0<(c[25059]|0)>>>0)Ja();e=d+12|0;if((c[e>>2]|0)!=(q|0))Ja();f=b+8|0;if((c[f>>2]|0)==(q|0)){c[e>>2]=b;c[f>>2]=d;p=b;break}else Ja()}while(0);if(h){b=c[a+(o+20)>>2]|0;d=100524+(b<<2)|0;if((q|0)==(c[d>>2]|0)){c[d>>2]=p;if(!p){c[25056]=c[25056]&~(1<<b);break}}else{if(h>>>0<(c[25059]|0)>>>0)Ja();b=h+16|0;if((c[b>>2]|0)==(q|0))c[b>>2]=p;else c[h+20>>2]=p;if(!p)break}d=c[25059]|0;if(p>>>0<d>>>0)Ja();c[p+24>>2]=h;b=c[a+(o+8)>>2]|0;do if(b)if(b>>>0<d>>>0)Ja();else{c[p+16>>2]=b;c[b+24>>2]=p;break}while(0);b=c[a+(o+12)>>2]|0;if(b)if(b>>>0<(c[25059]|0)>>>0)Ja();else{c[p+20>>2]=b;c[b+24>>2]=p;break}}}else{e=c[a+o>>2]|0;d=c[a+(o|4)>>2]|0;b=100260+(f<<1<<2)|0;if((e|0)!=(b|0)){if(e>>>0<(c[25059]|0)>>>0)Ja();if((c[e+12>>2]|0)!=(q|0))Ja()}if((d|0)==(e|0)){c[25055]=c[25055]&~(1<<f);break}if((d|0)!=(b|0)){if(d>>>0<(c[25059]|0)>>>0)Ja();b=d+8|0;if((c[b>>2]|0)==(q|0))n=b;else Ja()}else n=d+8|0;c[e+12>>2]=d;c[n>>2]=e}while(0);c[u+4>>2]=g|1;c[u+g>>2]=g;if((u|0)==(c[25060]|0)){c[25057]=g;return}}else{c[b>>2]=d&-2;c[u+4>>2]=g|1;c[u+g>>2]=g}b=g>>>3;if(g>>>0<256){d=b<<1;f=100260+(d<<2)|0;e=c[25055]|0;b=1<<b;if(e&b){b=100260+(d+2<<2)|0;d=c[b>>2]|0;if(d>>>0<(c[25059]|0)>>>0)Ja();else{r=b;s=d}}else{c[25055]=e|b;r=100260+(d+2<<2)|0;s=f}c[r>>2]=u;c[s+12>>2]=u;c[u+8>>2]=s;c[u+12>>2]=f;return}b=g>>>8;if(b)if(g>>>0>16777215)f=31;else{r=(b+1048320|0)>>>16&8;s=b<<r;q=(s+520192|0)>>>16&4;s=s<<q;f=(s+245760|0)>>>16&2;f=14-(q|r|f)+(s<<f>>>15)|0;f=g>>>(f+7|0)&1|f<<1}else f=0;b=100524+(f<<2)|0;c[u+28>>2]=f;c[u+20>>2]=0;c[u+16>>2]=0;d=c[25056]|0;e=1<<f;a:do if(d&e){b=c[b>>2]|0;b:do if((c[b+4>>2]&-8|0)!=(g|0)){f=g<<((f|0)==31?0:25-(f>>>1)|0);while(1){d=b+16+(f>>>31<<2)|0;e=c[d>>2]|0;if(!e)break;if((c[e+4>>2]&-8|0)==(g|0)){t=e;break b}else{f=f<<1;b=e}}if(d>>>0<(c[25059]|0)>>>0)Ja();else{c[d>>2]=u;c[u+24>>2]=b;c[u+12>>2]=u;c[u+8>>2]=u;break a}}else t=b;while(0);b=t+8|0;d=c[b>>2]|0;s=c[25059]|0;if(d>>>0>=s>>>0&t>>>0>=s>>>0){c[d+12>>2]=u;c[b>>2]=u;c[u+8>>2]=d;c[u+12>>2]=t;c[u+24>>2]=0;break}else Ja()}else{c[25056]=d|e;c[b>>2]=u;c[u+24>>2]=b;c[u+12>>2]=u;c[u+8>>2]=u}while(0);u=(c[25063]|0)+-1|0;c[25063]=u;if(!u)b=100676;else return;while(1){b=c[b>>2]|0;if(!b)break;else b=b+8|0}c[25063]=-1;return}function gQ(a,b){a=a|0;b=b|0;var d=0;if(a){d=_(b,a)|0;if((b|a)>>>0>65535)d=((d>>>0)/(a>>>0)|0|0)==(b|0)?d:-1}else d=0;b=eQ(d)|0;if(!b)return b|0;if(!(c[b+-4>>2]&3))return b|0;tQ(b|0,0,d|0)|0;return b|0}function hQ(a,b){a=a|0;b=b|0;var d=0,e=0;if(!a){a=eQ(b)|0;return a|0}if(b>>>0>4294967231){c[(cN()|0)>>2]=12;a=0;return a|0}d=iQ(a+-8|0,b>>>0<11?16:b+11&-8)|0;if(d){a=d+8|0;return a|0}d=eQ(b)|0;if(!d){a=0;return a|0}e=c[a+-4>>2]|0;e=(e&-8)-((e&3|0)==0?8:4)|0;rQ(d|0,a|0,(e>>>0<b>>>0?e:b)|0)|0;fQ(a);a=d;return a|0}function iQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;o=a+4|0;p=c[o>>2]|0;j=p&-8;l=a+j|0;i=c[25059]|0;d=p&3;if(!((d|0)!=1&a>>>0>=i>>>0&a>>>0<l>>>0))Ja();e=a+(j|4)|0;f=c[e>>2]|0;if(!(f&1))Ja();if(!d){if(b>>>0<256){a=0;return a|0}if(j>>>0>=(b+4|0)>>>0?(j-b|0)>>>0<=c[25175]<<1>>>0:0)return a|0;a=0;return a|0}if(j>>>0>=b>>>0){d=j-b|0;if(d>>>0<=15)return a|0;c[o>>2]=p&1|b|2;c[a+(b+4)>>2]=d|3;c[e>>2]=c[e>>2]|1;jQ(a+b|0,d);return a|0}if((l|0)==(c[25061]|0)){d=(c[25058]|0)+j|0;if(d>>>0<=b>>>0){a=0;return a|0}n=d-b|0;c[o>>2]=p&1|b|2;c[a+(b+4)>>2]=n|1;c[25061]=a+b;c[25058]=n;return a|0}if((l|0)==(c[25060]|0)){e=(c[25057]|0)+j|0;if(e>>>0<b>>>0){a=0;return a|0}d=e-b|0;if(d>>>0>15){c[o>>2]=p&1|b|2;c[a+(b+4)>>2]=d|1;c[a+e>>2]=d;e=a+(e+4)|0;c[e>>2]=c[e>>2]&-2;e=a+b|0}else{c[o>>2]=p&1|e|2;e=a+(e+4)|0;c[e>>2]=c[e>>2]|1;e=0;d=0}c[25057]=d;c[25060]=e;return a|0}if(f&2){a=0;return a|0}m=(f&-8)+j|0;if(m>>>0<b>>>0){a=0;return a|0}n=m-b|0;g=f>>>3;do if(f>>>0>=256){h=c[a+(j+24)>>2]|0;g=c[a+(j+12)>>2]|0;do if((g|0)==(l|0)){e=a+(j+20)|0;d=c[e>>2]|0;if(!d){e=a+(j+16)|0;d=c[e>>2]|0;if(!d){k=0;break}}while(1){f=d+20|0;g=c[f>>2]|0;if(g){d=g;e=f;continue}f=d+16|0;g=c[f>>2]|0;if(!g)break;else{d=g;e=f}}if(e>>>0<i>>>0)Ja();else{c[e>>2]=0;k=d;break}}else{f=c[a+(j+8)>>2]|0;if(f>>>0<i>>>0)Ja();d=f+12|0;if((c[d>>2]|0)!=(l|0))Ja();e=g+8|0;if((c[e>>2]|0)==(l|0)){c[d>>2]=g;c[e>>2]=f;k=g;break}else Ja()}while(0);if(h){d=c[a+(j+28)>>2]|0;e=100524+(d<<2)|0;if((l|0)==(c[e>>2]|0)){c[e>>2]=k;if(!k){c[25056]=c[25056]&~(1<<d);break}}else{if(h>>>0<(c[25059]|0)>>>0)Ja();d=h+16|0;if((c[d>>2]|0)==(l|0))c[d>>2]=k;else c[h+20>>2]=k;if(!k)break}e=c[25059]|0;if(k>>>0<e>>>0)Ja();c[k+24>>2]=h;d=c[a+(j+16)>>2]|0;do if(d)if(d>>>0<e>>>0)Ja();else{c[k+16>>2]=d;c[d+24>>2]=k;break}while(0);d=c[a+(j+20)>>2]|0;if(d)if(d>>>0<(c[25059]|0)>>>0)Ja();else{c[k+20>>2]=d;c[d+24>>2]=k;break}}}else{f=c[a+(j+8)>>2]|0;e=c[a+(j+12)>>2]|0;d=100260+(g<<1<<2)|0;if((f|0)!=(d|0)){if(f>>>0<i>>>0)Ja();if((c[f+12>>2]|0)!=(l|0))Ja()}if((e|0)==(f|0)){c[25055]=c[25055]&~(1<<g);break}if((e|0)!=(d|0)){if(e>>>0<i>>>0)Ja();d=e+8|0;if((c[d>>2]|0)==(l|0))h=d;else Ja()}else h=e+8|0;c[f+12>>2]=e;c[h>>2]=f}while(0);if(n>>>0<16){c[o>>2]=m|p&1|2;b=a+(m|4)|0;c[b>>2]=c[b>>2]|1;return a|0}else{c[o>>2]=p&1|b|2;c[a+(b+4)>>2]=n|3;p=a+(m|4)|0;c[p>>2]=c[p>>2]|1;jQ(a+b|0,n);return a|0}return 0}function jQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;q=a+b|0;d=c[a+4>>2]|0;do if(!(d&1)){k=c[a>>2]|0;if(!(d&3))return;n=a+(0-k)|0;m=k+b|0;j=c[25059]|0;if(n>>>0<j>>>0)Ja();if((n|0)==(c[25060]|0)){e=a+(b+4)|0;d=c[e>>2]|0;if((d&3|0)!=3){t=n;h=m;break}c[25057]=m;c[e>>2]=d&-2;c[a+(4-k)>>2]=m|1;c[q>>2]=m;return}g=k>>>3;if(k>>>0<256){f=c[a+(8-k)>>2]|0;e=c[a+(12-k)>>2]|0;d=100260+(g<<1<<2)|0;if((f|0)!=(d|0)){if(f>>>0<j>>>0)Ja();if((c[f+12>>2]|0)!=(n|0))Ja()}if((e|0)==(f|0)){c[25055]=c[25055]&~(1<<g);t=n;h=m;break}if((e|0)!=(d|0)){if(e>>>0<j>>>0)Ja();d=e+8|0;if((c[d>>2]|0)==(n|0))i=d;else Ja()}else i=e+8|0;c[f+12>>2]=e;c[i>>2]=f;t=n;h=m;break}i=c[a+(24-k)>>2]|0;f=c[a+(12-k)>>2]|0;do if((f|0)==(n|0)){f=16-k|0;e=a+(f+4)|0;d=c[e>>2]|0;if(!d){e=a+f|0;d=c[e>>2]|0;if(!d){l=0;break}}while(1){f=d+20|0;g=c[f>>2]|0;if(g){d=g;e=f;continue}f=d+16|0;g=c[f>>2]|0;if(!g)break;else{d=g;e=f}}if(e>>>0<j>>>0)Ja();else{c[e>>2]=0;l=d;break}}else{g=c[a+(8-k)>>2]|0;if(g>>>0<j>>>0)Ja();d=g+12|0;if((c[d>>2]|0)!=(n|0))Ja();e=f+8|0;if((c[e>>2]|0)==(n|0)){c[d>>2]=f;c[e>>2]=g;l=f;break}else Ja()}while(0);if(i){d=c[a+(28-k)>>2]|0;e=100524+(d<<2)|0;if((n|0)==(c[e>>2]|0)){c[e>>2]=l;if(!l){c[25056]=c[25056]&~(1<<d);t=n;h=m;break}}else{if(i>>>0<(c[25059]|0)>>>0)Ja();d=i+16|0;if((c[d>>2]|0)==(n|0))c[d>>2]=l;else c[i+20>>2]=l;if(!l){t=n;h=m;break}}f=c[25059]|0;if(l>>>0<f>>>0)Ja();c[l+24>>2]=i;d=16-k|0;e=c[a+d>>2]|0;do if(e)if(e>>>0<f>>>0)Ja();else{c[l+16>>2]=e;c[e+24>>2]=l;break}while(0);d=c[a+(d+4)>>2]|0;if(d)if(d>>>0<(c[25059]|0)>>>0)Ja();else{c[l+20>>2]=d;c[d+24>>2]=l;t=n;h=m;break}else{t=n;h=m}}else{t=n;h=m}}else{t=a;h=b}while(0);j=c[25059]|0;if(q>>>0<j>>>0)Ja();d=a+(b+4)|0;e=c[d>>2]|0;if(!(e&2)){if((q|0)==(c[25061]|0)){s=(c[25058]|0)+h|0;c[25058]=s;c[25061]=t;c[t+4>>2]=s|1;if((t|0)!=(c[25060]|0))return;c[25060]=0;c[25057]=0;return}if((q|0)==(c[25060]|0)){s=(c[25057]|0)+h|0;c[25057]=s;c[25060]=t;c[t+4>>2]=s|1;c[t+s>>2]=s;return}h=(e&-8)+h|0;g=e>>>3;do if(e>>>0>=256){i=c[a+(b+24)>>2]|0;f=c[a+(b+12)>>2]|0;do if((f|0)==(q|0)){e=a+(b+20)|0;d=c[e>>2]|0;if(!d){e=a+(b+16)|0;d=c[e>>2]|0;if(!d){p=0;break}}while(1){f=d+20|0;g=c[f>>2]|0;if(g){d=g;e=f;continue}f=d+16|0;g=c[f>>2]|0;if(!g)break;else{d=g;e=f}}if(e>>>0<j>>>0)Ja();else{c[e>>2]=0;p=d;break}}else{g=c[a+(b+8)>>2]|0;if(g>>>0<j>>>0)Ja();d=g+12|0;if((c[d>>2]|0)!=(q|0))Ja();e=f+8|0;if((c[e>>2]|0)==(q|0)){c[d>>2]=f;c[e>>2]=g;p=f;break}else Ja()}while(0);if(i){d=c[a+(b+28)>>2]|0;e=100524+(d<<2)|0;if((q|0)==(c[e>>2]|0)){c[e>>2]=p;if(!p){c[25056]=c[25056]&~(1<<d);break}}else{if(i>>>0<(c[25059]|0)>>>0)Ja();d=i+16|0;if((c[d>>2]|0)==(q|0))c[d>>2]=p;else c[i+20>>2]=p;if(!p)break}e=c[25059]|0;if(p>>>0<e>>>0)Ja();c[p+24>>2]=i;d=c[a+(b+16)>>2]|0;do if(d)if(d>>>0<e>>>0)Ja();else{c[p+16>>2]=d;c[d+24>>2]=p;break}while(0);d=c[a+(b+20)>>2]|0;if(d)if(d>>>0<(c[25059]|0)>>>0)Ja();else{c[p+20>>2]=d;c[d+24>>2]=p;break}}}else{f=c[a+(b+8)>>2]|0;e=c[a+(b+12)>>2]|0;d=100260+(g<<1<<2)|0;if((f|0)!=(d|0)){if(f>>>0<j>>>0)Ja();if((c[f+12>>2]|0)!=(q|0))Ja()}if((e|0)==(f|0)){c[25055]=c[25055]&~(1<<g);break}if((e|0)!=(d|0)){if(e>>>0<j>>>0)Ja();d=e+8|0;if((c[d>>2]|0)==(q|0))o=d;else Ja()}else o=e+8|0;c[f+12>>2]=e;c[o>>2]=f}while(0);c[t+4>>2]=h|1;c[t+h>>2]=h;if((t|0)==(c[25060]|0)){c[25057]=h;return}}else{c[d>>2]=e&-2;c[t+4>>2]=h|1;c[t+h>>2]=h}d=h>>>3;if(h>>>0<256){e=d<<1;g=100260+(e<<2)|0;f=c[25055]|0;d=1<<d;if(f&d){d=100260+(e+2<<2)|0;e=c[d>>2]|0;if(e>>>0<(c[25059]|0)>>>0)Ja();else{r=d;s=e}}else{c[25055]=f|d;r=100260+(e+2<<2)|0;s=g}c[r>>2]=t;c[s+12>>2]=t;c[t+8>>2]=s;c[t+12>>2]=g;return}d=h>>>8;if(d)if(h>>>0>16777215)g=31;else{r=(d+1048320|0)>>>16&8;s=d<<r;q=(s+520192|0)>>>16&4;s=s<<q;g=(s+245760|0)>>>16&2;g=14-(q|r|g)+(s<<g>>>15)|0;g=h>>>(g+7|0)&1|g<<1}else g=0;d=100524+(g<<2)|0;c[t+28>>2]=g;c[t+20>>2]=0;c[t+16>>2]=0;e=c[25056]|0;f=1<<g;if(!(e&f)){c[25056]=e|f;c[d>>2]=t;c[t+24>>2]=d;c[t+12>>2]=t;c[t+8>>2]=t;return}d=c[d>>2]|0;a:do if((c[d+4>>2]&-8|0)!=(h|0)){g=h<<((g|0)==31?0:25-(g>>>1)|0);while(1){e=d+16+(g>>>31<<2)|0;f=c[e>>2]|0;if(!f)break;if((c[f+4>>2]&-8|0)==(h|0)){d=f;break a}else{g=g<<1;d=f}}if(e>>>0<(c[25059]|0)>>>0)Ja();c[e>>2]=t;c[t+24>>2]=d;c[t+12>>2]=t;c[t+8>>2]=t;return}while(0);e=d+8|0;f=c[e>>2]|0;s=c[25059]|0;if(!(f>>>0>=s>>>0&d>>>0>=s>>>0))Ja();c[f+12>>2]=t;c[e>>2]=t;c[t+8>>2]=f;c[t+12>>2]=d;c[t+24>>2]=0;return}function kQ(){}function lQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=b-d-(c>>>0>a>>>0|0)>>>0;return (C=d,a-c>>>0|0)|0}function mQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=a+c>>>0;return (C=b+d+(c>>>0<a>>>0|0)>>>0,c|0)|0}function nQ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;p=p+1|0;c[a>>2]=p;while((f|0)<(e|0)){if(!(c[d+(f<<3)>>2]|0)){c[d+(f<<3)>>2]=p;c[d+((f<<3)+4)>>2]=b;c[d+((f<<3)+8)>>2]=0;C=e;return d|0}f=f+1|0}e=e*2|0;d=hQ(d|0,8*(e+1|0)|0)|0;d=nQ(a|0,b|0,d|0,e|0)|0;C=e;return d|0}function oQ(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){C=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}C=(b|0)<0?-1:0;return b>>c-32|0}function pQ(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){C=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}C=0;return b>>>c-32|0}function qQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;while((f|0)<(d|0)){e=c[b+(f<<3)>>2]|0;if(!e)break;if((e|0)==(a|0))return c[b+((f<<3)+4)>>2]|0;f=f+1|0}return 0}function rQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return ab(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if(!e)return f|0;a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b>>0]=a[d>>0]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function sQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b>>0]=a[c>>0]|0}b=e}else rQ(b,c,d)|0;return b|0}function tQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;h=b&3;i=d|d<<8|d<<16|d<<24;g=f&~3;if(h){h=b+4-h|0;while((b|0)<(h|0)){a[b>>0]=d;b=b+1|0}}while((b|0)<(g|0)){c[b>>2]=i;b=b+4|0}}while((b|0)<(f|0)){a[b>>0]=d;b=b+1|0}return b-e|0}function uQ(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){C=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}C=a<<c-32;return 0}function vQ(b){b=b|0;var c=0;c=a[m+(b&255)>>0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)>>0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)>>0]|0;if((c|0)<8)return c+16|0;return (a[m+(b>>>24)>>0]|0)+24|0}function wQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a&65535;e=b&65535;c=_(e,f)|0;d=a>>>16;a=(c>>>16)+(_(e,d)|0)|0;e=b>>>16;b=_(e,f)|0;return (C=(a>>>16)+(_(e,d)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|c&65535|0)|0}function xQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;j=b>>31|((b|0)<0?-1:0)<<1;i=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;f=d>>31|((d|0)<0?-1:0)<<1;e=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;h=lQ(j^a,i^b,j,i)|0;g=C;a=f^j;b=e^i;return lQ((CQ(h,g,lQ(f^c,e^d,f,e)|0,C,0)|0)^a,C^b,a,b)|0}function yQ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;j=f|0;h=b>>31|((b|0)<0?-1:0)<<1;g=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;l=e>>31|((e|0)<0?-1:0)<<1;k=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;a=lQ(h^a,g^b,h,g)|0;b=C;CQ(a,b,lQ(l^d,k^e,l,k)|0,C,j)|0;e=lQ(c[j>>2]^h,c[j+4>>2]^g,h,g)|0;d=C;i=f;return (C=d,e)|0}function zQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;f=c;c=wQ(e,f)|0;a=C;return (C=(_(b,f)|0)+(_(d,e)|0)+a|a&0,c|0|0)|0}function AQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return CQ(a,b,c,d,0)|0}function BQ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;g=i;i=i+16|0;f=g|0;CQ(a,b,d,e,f)|0;i=g;return (C=c[f+4>>2]|0,c[f>>2]|0)|0}function CQ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;l=a;j=b;k=j;h=d;n=e;i=n;if(!k){g=(f|0)!=0;if(!i){if(g){c[f>>2]=(l>>>0)%(h>>>0);c[f+4>>2]=0}n=0;f=(l>>>0)/(h>>>0)>>>0;return (C=n,f)|0}else{if(!g){n=0;f=0;return (C=n,f)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;f=0;return (C=n,f)|0}}g=(i|0)==0;do if(h){if(!g){g=(aa(i|0)|0)-(aa(k|0)|0)|0;if(g>>>0<=31){m=g+1|0;i=31-g|0;b=g-31>>31;h=m;a=l>>>(m>>>0)&b|k<<i;b=k>>>(m>>>0)&b;g=0;i=l<<i;break}if(!f){n=0;f=0;return (C=n,f)|0}c[f>>2]=a|0;c[f+4>>2]=j|b&0;n=0;f=0;return (C=n,f)|0}g=h-1|0;if(g&h){i=(aa(h|0)|0)+33-(aa(k|0)|0)|0;p=64-i|0;m=32-i|0;j=m>>31;o=i-32|0;b=o>>31;h=i;a=m-1>>31&k>>>(o>>>0)|(k<<m|l>>>(i>>>0))&b;b=b&k>>>(i>>>0);g=l<<p&j;i=(k<<p|l>>>(o>>>0))&j|l<<m&i-33>>31;break}if(f){c[f>>2]=g&l;c[f+4>>2]=0}if((h|0)==1){o=j|b&0;p=a|0|0;return (C=o,p)|0}else{p=vQ(h|0)|0;o=k>>>(p>>>0)|0;p=k<<32-p|l>>>(p>>>0)|0;return (C=o,p)|0}}else{if(g){if(f){c[f>>2]=(k>>>0)%(h>>>0);c[f+4>>2]=0}o=0;p=(k>>>0)/(h>>>0)>>>0;return (C=o,p)|0}if(!l){if(f){c[f>>2]=0;c[f+4>>2]=(k>>>0)%(i>>>0)}o=0;p=(k>>>0)/(i>>>0)>>>0;return (C=o,p)|0}g=i-1|0;if(!(g&i)){if(f){c[f>>2]=a|0;c[f+4>>2]=g&k|b&0}o=0;p=k>>>((vQ(i|0)|0)>>>0);return (C=o,p)|0}g=(aa(i|0)|0)-(aa(k|0)|0)|0;if(g>>>0<=30){b=g+1|0;i=31-g|0;h=b;a=k<<i|l>>>(b>>>0);b=k>>>(b>>>0);g=0;i=l<<i;break}if(!f){o=0;p=0;return (C=o,p)|0}c[f>>2]=a|0;c[f+4>>2]=j|b&0;o=0;p=0;return (C=o,p)|0}while(0);if(!h){k=i;j=0;i=0}else{m=d|0|0;l=n|e&0;k=mQ(m|0,l|0,-1,-1)|0;d=C;j=i;i=0;do{e=j;j=g>>>31|j<<1;g=i|g<<1;e=a<<1|e>>>31|0;n=a>>>31|b<<1|0;lQ(k,d,e,n)|0;p=C;o=p>>31|((p|0)<0?-1:0)<<1;i=o&1;a=lQ(e,n,o&m,(((p|0)<0?-1:0)>>31|((p|0)<0?-1:0)<<1)&l)|0;b=C;h=h-1|0}while((h|0)!=0);k=j;j=0}h=0;if(f){c[f>>2]=a;c[f+4>>2]=b}o=(g|0)>>>31|(k|h)<<1|(h<<1|g>>>31)&0|j;p=(g<<1|0>>>31)&-2|i;return (C=o,p)|0}function DQ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Cb[a&31](b|0,c|0,d|0,e|0,f|0)}function EQ(a,b){a=a|0;b=b|0;Db[a&127](b|0)}function FQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;return Eb[a&3](b|0,c|0,+d,+e)|0}function GQ(a,b,c){a=a|0;b=b|0;c=c|0;Fb[a&63](b|0,c|0)}function HQ(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return Gb[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function IQ(a,b){a=a|0;b=b|0;return Hb[a&63](b|0)|0}function JQ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Ib[a&63](b|0,c|0,d|0,e|0,f|0)|0}function KQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Jb[a&63](b|0,c|0,d|0)|0}function LQ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Kb[a&15](b|0,c|0,d|0,e|0,f|0,g|0)}function MQ(a,b){a=a|0;b=b|0;return +Lb[a&1](b|0)}function NQ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return Mb[a&1](b|0,c|0,d|0,e|0,f|0,g|0)|0}function OQ(a,b){a=a|0;b=+b;return +Nb[a&1](+b)}function PQ(a,b,c,d){a=a|0;b=+b;c=+c;d=+d;return +Ob[a&7](+b,+c,+d)}function QQ(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;Pb[a&0](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function RQ(a,b,c){a=a|0;b=b|0;c=c|0;return Qb[a&127](b|0,c|0)|0}function SQ(a){a=a|0;return +Rb[a&1]()}function TQ(a){a=a|0;return Sb[a&3]()|0}function UQ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;Tb[a&15](b|0,c|0,d|0,+e,+f,g|0)}function VQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Ub[a&127](b|0,c|0,d|0,e|0)|0}function WQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Vb[a&127](b|0,c|0,d|0)}function XQ(a){a=a|0;Wb[a&7]()}function YQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;Xb[a&1](b|0,c|0,+d)}function ZQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return Yb[a&1](b|0,c|0,d|0,+e)|0}function _Q(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Zb[a&31](b|0,c|0,d|0,e|0)}function $Q(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ba(0)}function aR(a){a=a|0;ba(1)}function bR(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;ba(2);return 0}function cR(a,b){a=a|0;b=b|0;ba(3)}function dR(a,b){a=a|0;b=b|0;ub(a|0,b|0)}function eR(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ba(4);return 0}function fR(a){a=a|0;ba(5);return 0}function gR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ba(6);return 0}function hR(a,b,c){a=a|0;b=b|0;c=c|0;ba(7);return 0}function iR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ba(8)}function jR(a){a=a|0;ba(9);return 0.0}function kR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ba(10);return 0}function lR(a){a=+a;ba(11);return 0.0}function mR(a){a=+a;return +wb(+a)}function nR(a,b,c){a=+a;b=+b;c=+c;ba(12);return 0.0}function oR(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ba(13)}function pR(a,b){a=a|0;b=b|0;ba(14);return 0}function qR(){ba(15);return 0.0}function rR(){ba(16);return 0}function sR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;ba(17)}function tR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ba(18);return 0}function uR(a,b,c){a=a|0;b=b|0;c=c|0;ba(19)}function vR(){ba(20)}function wR(a,b,c){a=a|0;b=b|0;c=+c;ba(21)}function xR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;ba(22);return 0}function yR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ba(23)}function zR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Na(a|0,b|0,c|0,d|0)}

// EMSCRIPTEN_END_FUNCS
var Cb=[$Q,ed,Hd,Od,ce,Ge,GL,FL,oL,pL,EL,TK,UK,wK,xK,Ti,HB,XJ,YJ,$Q,$Q,$Q,$Q,$Q,$Q,$Q,$Q,$Q,$Q,$Q,$Q,$Q];var Db=[aR,oc,pc,qc,rc,sc,Ec,Fc,Pc,Qc,Rc,Sc,Tc,Uc,Vc,cd,dd,gd,hd,id,jd,kd,ld,md,vd,wd,xd,zd,Ad,Bd,Cd,Dd,Ed,Fd,Gd,Rd,Sd,Td,Vd,Wd,Xd,Yd,Zd,_d,$d,ae,be,de,pe,qe,re,se,De,Ee,Fe,He,Se,Te,Ue,We,Xe,Ye,Ze,_e,$e,af,bf,cf,lf,mf,nf,of,Hf,Gf,hj,dj,Hk,Ck,el,fl,ok,pk,bl,cl,$i,aj,rk,sk,uk,vk,Mt,XA,cB,ZA,YA,nB,xA,yA,cF,hF,Bf,Ui,Fk,Gk,fQ,sp,Ks,mx,Ey,iC,Kz,lG,aE,CD,DD,FD,bA,wG,mI,tI,KP,LP,aR,aR,aR,aR,aR,aR];var Eb=[bR,zo,yo,bR];var Fb=[cR,Xc,ad,od,td,Nd,je,ye,Ne,jf,uf,fu,gB,zB,rB,mB,aB,bB,vB,wB,fF,jF,rA,En,dR,vs,jx,jC,Gz,Mz,Oz,wD,ED,zH,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR,cR];var Gb=[eR,SJ,PJ,eR];var Hb=[fR,jg,kg,Hj,Ij,_t,cu,GD,HD,WE,XE,YE,ZE,_E,$E,aF,bF,$N,hc,rw,xj,zz,vt,gu,ut,yz,hC,kC,Ft,Iz,Nz,wt,eQ,uI,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR,fR];var Ib=[gR,It,fB,qB,Dn,KL,AM,BM,OL,ML,yM,zM,PL,QL,RL,SL,TL,oM,pM,fM,_L,VL,UL,WL,XL,ZL,YL,NL,LL,$L,aM,bM,cM,dM,eM,gM,hM,iM,jM,nM,lM,kM,mM,uM,qM,rM,sM,tM,vM,wM,xM,CM,DM,EM,FM,gR,gR,gR,gR,gR,gR,gR,gR,gR];var Jb=[hR,Ej,qp,Vr,as,gs,ls,Yt,$t,mA,rD,iG,fL,lL,KK,QK,nK,tK,WP,cO,bO,aO,dO,us,Aj,uj,ep,Tk,Cn,pO,Rq,Uq,Tq,ns,ix,DO,rv,Hz,Lz,cC,fA,gE,pI,RJ,OJ,bK,fK,OP,hR,hR,hR,hR,hR,hR,hR,hR,hR,hR,hR,hR,hR,hR,hR,hR];var Kb=[iR,wc,_c,rd,Ld,he,we,Le,gf,sf,iR,iR,iR,iR,iR,iR];var Lb=[jR,nC];var Mb=[kR,nI];var Nb=[lR,mR];var Ob=[nR,Uy,Vy,Wy,Xy,nR,nR,nR];var Pb=[oR];var Qb=[pR,Ht,Zt,du,xB,yB,pB,lB,eB,dI,LH,MH,eI,NH,OH,PH,fI,RH,SH,TH,UH,VH,WH,gI,YH,ZH,_H,$H,aI,bI,JH,KH,QH,XH,FH,GH,HH,EH,CH,DH,hL,iL,kL,qL,rL,sL,tL,uL,vL,wL,xL,MK,NK,PK,pK,qK,sK,pw,Vf,gg,Qg,ih,mh,si,ti,Si,Pf,vj,Pk,nl,Ul,fm,hm,jm,km,lm,rm,mm,yn,An,kI,ap,yq,Zv,Yv,Xv,kx,hu,Bz,ox,Ex,Ix,Jx,ay,Fz,qO,bC,nD,Qs,vG,at,ct,xD,hQ,hs,BD,aP,DF,cI,rI,sI,UJ,VJ,WJ,dQ,pR,pR,pR,pR,pR,pR,pR,pR,pR,pR,pR,pR,pR];var Rb=[qR,gC];var Sb=[rR,Rl,aA,rR];var Tb=[sR,by,cy,dy,ey,fy,gy,hy,iy,sR,sR,sR,sR,sR,sR,sR];var Ub=[tR,Gj,qm,rp,Xr,cs,mt,xv,lt,Bt,Jt,Lt,Wt,Vt,eu,pu,qu,oA,tD,TD,RD,vF,kG,zG,yG,$K,aL,bL,cL,dL,eL,gL,jL,nL,EK,FK,GK,HK,IK,JK,LK,OK,SK,hK,iK,jK,kK,lK,mK,oK,rK,vK,qs,Ou,lx,Pz,AO,eC,bJ,JJ,jJ,rJ,eJ,yJ,CJ,AJ,DJ,TJ,MJ,_J,$J,dK,eK,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR,tR];var Vb=[uR,tc,uc,xc,Oc,Wc,Yc,$c,nd,pd,sd,Id,Jd,Md,ee,fe,ie,te,ue,xe,Ie,Je,Me,df,ef,hf,pf,qf,tf,ci,di,ei,Fj,Wr,bs,_s,Nt,vu,Mu,yv,Xw,Py,pA,nA,DA,uD,sD,SD,QD,dF,eF,gF,iF,kF,jG,pH,oH,Bn,Ws,it,nu,Vu,Wu,Jz,dC,dA,yD,zD,uG,qH,rH,sH,yH,AH,qI,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR,uR];var Wb=[vR,fC,Ez,Qz,mG,vR,vR,vR];var Xb=[wR,AD];var Yb=[xR,eE];var Zb=[yR,vc,Zc,qd,yd,Kd,Ud,ge,ve,Ke,Ve,ff,rf,Ef,Df,Cf,Af,zf,wf,kc,yf,xf,Kt,dB,oB,mL,RK,uK,PO,zR,aK,yR];return{_saveSetjmp:nQ,_vizRenderFromString:jc,_i64Subtract:lQ,_fflush:kO,_realloc:hQ,_dtextract:es,_memmove:sQ,_bitshift64Ashr:oQ,_vizLastErrorMessage:ic,_memset:tQ,_malloc:eQ,_i64Add:mQ,_memcpy:rQ,_bitshift64Lshr:pQ,_free:fQ,_bitshift64Shl:uQ,___errno_location:cN,_testSetjmp:qQ,runPostSets:kQ,stackAlloc:_b,stackSave:$b,stackRestore:ac,establishStackSpace:bc,setThrew:cc,setTempRet0:fc,getTempRet0:gc,dynCall_viiiii:DQ,dynCall_vi:EQ,dynCall_iiidd:FQ,dynCall_vii:GQ,dynCall_iiiiiiiiiii:HQ,dynCall_ii:IQ,dynCall_iiiiii:JQ,dynCall_iiii:KQ,dynCall_viiiiii:LQ,dynCall_di:MQ,dynCall_iiiiiii:NQ,dynCall_dd:OQ,dynCall_dddd:PQ,dynCall_viiiiiiiii:QQ,dynCall_iii:RQ,dynCall_d:SQ,dynCall_i:TQ,dynCall_viiiddi:UQ,dynCall_iiiii:VQ,dynCall_viii:WQ,dynCall_v:XQ,dynCall_viid:YQ,dynCall_iiiid:ZQ,dynCall_viiii:_Q}})


// EMSCRIPTEN_END_ASM
(e.Sa,e.Ta,buffer);e._vizRenderFromString=X._vizRenderFromString;var lc=e._saveSetjmp=X._saveSetjmp;e._fflush=X._fflush;var wc=e._memset=X._memset,kc=e._realloc=X._realloc;e._dtextract=X._dtextract;
var vc=e._memmove=X._memmove,nc=e._bitshift64Ashr=X._bitshift64Ashr,ib=e._i64Subtract=X._i64Subtract,qc=e._testSetjmp=X._testSetjmp;e._vizLastErrorMessage=X._vizLastErrorMessage;var xa=e._malloc=X._malloc,kb=e._i64Add=X._i64Add,tc=e._memcpy=X._memcpy;e.runPostSets=X.runPostSets;var oc=e._bitshift64Lshr=X._bitshift64Lshr,Ea=e._free=X._free;e.___errno_location=X.___errno_location;var xc=e._bitshift64Shl=X._bitshift64Shl;e.dynCall_viiiii=X.dynCall_viiiii;e.dynCall_vi=X.dynCall_vi;e.dynCall_iiidd=X.dynCall_iiidd;
e.dynCall_vii=X.dynCall_vii;e.dynCall_iiiiiiiiiii=X.dynCall_iiiiiiiiiii;e.dynCall_ii=X.dynCall_ii;e.dynCall_iiiiii=X.dynCall_iiiiii;e.dynCall_iiii=X.dynCall_iiii;e.dynCall_viiiiii=X.dynCall_viiiiii;e.dynCall_di=X.dynCall_di;e.dynCall_iiiiiii=X.dynCall_iiiiiii;e.dynCall_dd=X.dynCall_dd;e.dynCall_dddd=X.dynCall_dddd;e.dynCall_viiiiiiiii=X.dynCall_viiiiiiiii;e.dynCall_iii=X.dynCall_iii;e.dynCall_d=X.dynCall_d;e.dynCall_i=X.dynCall_i;e.dynCall_viiiddi=X.dynCall_viiiddi;e.dynCall_iiiii=X.dynCall_iiiii;
e.dynCall_viii=X.dynCall_viii;e.dynCall_v=X.dynCall_v;e.dynCall_viid=X.dynCall_viid;e.dynCall_iiiid=X.dynCall_iiiid;e.dynCall_viiii=X.dynCall_viiii;n.ia=X.stackAlloc;n.ya=X.stackSave;n.ja=X.stackRestore;n.vd=X.establishStackSpace;n.lb=X.setTempRet0;n.Za=X.getTempRet0;function ja(a){this.name="ExitStatus";this.message="Program terminated with exit("+a+")";this.status=a}ja.prototype=Error();ja.prototype.constructor=ja;var qd=null;
e.callMain=e.sd=function(a){function b(){for(var a=0;3>a;a++)d.push(0)}assert(!0,"cannot call main when async dependencies remain! (listen on __ATMAIN__)");assert(0==Ra.length,"cannot call main when preRun functions remain to be called");a=a||[];Va||(Va=!0,Qa(Sa));var c=a.length+1,d=[B(Xa(e.thisProgram),"i8",0)];b();for(var f=0;f<c-1;f+=1)d.push(B(Xa(a[f]),"i8",0)),b();d.push(0);d=B(d,"i32",0);try{var g=e._main(c,d,0);rd(g,!0)}catch(k){if(!(k instanceof ja))if("SimulateInfiniteLoop"==k)e.noExitRuntime=
!0;else throw k&&"object"===typeof k&&k.stack&&e.X("exception thrown: "+[k,k.stack]),k;}finally{}};
function sd(a){function b(){if(!e.calledRun&&(e.calledRun=!0,!w)){Va||(Va=!0,Qa(Sa));Qa(Ta);if(e.onRuntimeInitialized)e.onRuntimeInitialized();e._main&&td&&e.callMain(a);if(e.postRun)for("function"==typeof e.postRun&&(e.postRun=[e.postRun]);e.postRun.length;){var b=e.postRun.shift();Ua.unshift(b)}Qa(Ua)}}a=a||e.arguments;null===qd&&(qd=Date.now());if(e.preRun)for("function"==typeof e.preRun&&(e.preRun=[e.preRun]);e.preRun.length;)Wa();Qa(Ra);e.calledRun||(e.setStatus?(e.setStatus("Running..."),setTimeout(function(){setTimeout(function(){e.setStatus("")},
1);b()},1)):b())}e.run=e.run=sd;function rd(a,b){if(!b||!e.noExitRuntime){if(!e.noExitRuntime&&(w=!0,m=void 0,Qa(H),e.onExit))e.onExit(a);da?(process.stdout.once("drain",function(){process.exit(a)}),console.log(" "),setTimeout(function(){process.exit(a)},500)):fa&&"function"===typeof quit&&quit(a);throw new ja(a);}}e.exit=e.exit=rd;var ud=[];
function v(a){void 0!==a?(e.print(a),e.X(a),a=JSON.stringify(a)):a="";w=!0;var b="abort("+a+") at "+Fa()+"\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";ud&&ud.forEach(function(c){b=c(b,a)});throw b;}e.abort=e.abort=v;if(e.preInit)for("function"==typeof e.preInit&&(e.preInit=[e.preInit]);0<e.preInit.length;)e.preInit.pop()();var td=!0;e.noInitialRun&&(td=!1);sd();


  return Module;
};
  function Viz(src) {
    var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];
    var format = options.format === undefined ? "svg" : options.format;
    var engine = options.engine === undefined ? "dot" : options.engine;
    var scale = options.scale;
    var totalMemory = options.totalMemory;
  
    if (format == "png-image-element") {
      return Viz.svgXmlToPngImageElement(render(src, "svg", engine, totalMemory), scale);
    } else {
      return render(src, format, engine, totalMemory);
    }
  }
  
  function render(src, format, engine, totalMemory) {
    var graphviz = Module({ TOTAL_MEMORY: totalMemory });
    
    var resultPointer = graphviz["ccall"]("vizRenderFromString", "number", ["string", "string", "string"], [src, format, engine]);
    var resultString = graphviz["Pointer_stringify"](resultPointer);

    var errorMessagePointer = graphviz["ccall"]("vizLastErrorMessage", "number", [], []);
    var errorMessageString = graphviz["Pointer_stringify"](errorMessagePointer);
    
    if (errorMessageString != "") {
      throw new Error(errorMessageString);
    }
    
    return resultString;
  }
  
  // https://developer.mozilla.org/en-US/docs/Web/API/WindowBase64/Base64_encoding_and_decoding
  function b64EncodeUnicode(str) {
    return btoa(encodeURIComponent(str).replace(/%([0-9A-F]{2})/g, function(match, p1) {
      return String.fromCharCode('0x' + p1);
    }));
  }
  
  Viz.svgXmlToPngImageElement = function(svgXml, scale, callback) {
    if (scale === undefined) {
      if ("devicePixelRatio" in window && window.devicePixelRatio > 1) {
        scale = window.devicePixelRatio;
      } else {
        scale = 1;
      }
    }
    
    var pngImage = new Image();

    try {
      if (typeof fabric === "object" && fabric.loadSVGFromString) {
        fabric.loadSVGFromString(svgXml, function(objects, options) {
          // If there's something wrong with the SVG, Fabric may return an empty array of objects. Graphviz appears to give us at least one <g> element back even given an empty graph, so we will assume an error in this case.
          if (objects.length == 0) {
            if (callback !== undefined) {
              callback(new Error("Error loading SVG with Fabric"));
              return;
            } else {
              throw new Error("Error loading SVG with Fabric");
            }
          }
        
          var element = document.createElement("canvas");
          element.width = options.width;
          element.height = options.height;
      
          var canvas = new fabric.Canvas(element, { enableRetinaScaling: false });
          var obj = fabric.util.groupSVGElements(objects, options);
          canvas.add(obj).renderAll();
      
          pngImage.src = canvas.toDataURL({ multiplier: scale });
          pngImage.width = options.width;
          pngImage.height = options.height;
        
          if (callback !== undefined) {
            callback(null, pngImage);
          }
        });
      } else {
        var svgImage = new Image();

        svgImage.onload = function() {
          var canvas = document.createElement("canvas");
          canvas.width = svgImage.width * scale;
          canvas.height = svgImage.height * scale;

          var context = canvas.getContext("2d");
          context.drawImage(svgImage, 0, 0, canvas.width, canvas.height);

          pngImage.src = canvas.toDataURL("image/png");
          pngImage.width = svgImage.width;
          pngImage.height = svgImage.height;
        
          if (callback !== undefined) {
            callback(null, pngImage);
          }
        }
      
        svgImage.onerror = function(e) {
          var error;
        
          if ('error' in e) {
            error = e.error;
          } else {
            error = new Error('Error loading SVG');
          }
        
          if (callback !== undefined) {
            callback(error);
          } else {
            throw error;
          }
        }
      
        svgImage.src = "data:image/svg+xml;base64," + b64EncodeUnicode(svgXml);
      }
    } catch (e) {
      if (callback !== undefined) {
        callback(e);
      } else {
        throw e;
      }
    }
    
    if (callback === undefined) {
      return pngImage;
    }
  }
  
  Viz.svgXmlToPngBase64 = function(svgXml, scale, callback) {
    Viz.svgXmlToPngImageElement(svgXml, scale, function(err, image) {
      if (err) {
        callback(err);
      } else {
        callback(null, image.src.slice("data:image/png;base64,".length));
      }
    });
  }
  
  if (typeof module === "object" && module.exports) {
    module.exports = Viz;
  } else {
    global.Viz = Viz;
  }
  
})(this);

/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(2), "/"))

/***/ })
/******/ ]);
//# sourceMappingURL=voyager.worker.js.map